Index: Makefile.in
===================================================================
--- Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -38710,13 +38710,8 @@
 @if target-libffi
 maybe-install-target-libffi: install-target-libffi
 
-install-target-libffi: installdirs
-	@: $(MAKE); $(unstage)
-	@r=`${PWD_COMMAND}`; export r; \
-	s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
-	$(NORMAL_TARGET_EXPORTS) \
-	(cd $(TARGET_SUBDIR)/libffi && \
-	  $(MAKE) $(TARGET_FLAGS_TO_PASS)  install)
+# Dummy target for uninstallable.
+install-target-libffi:
 
 @endif target-libffi
 
@@ -38725,13 +38720,8 @@
 @if target-libffi
 maybe-install-strip-target-libffi: install-strip-target-libffi
 
-install-strip-target-libffi: installdirs
-	@: $(MAKE); $(unstage)
-	@r=`${PWD_COMMAND}`; export r; \
-	s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
-	$(NORMAL_TARGET_EXPORTS) \
-	(cd $(TARGET_SUBDIR)/libffi && \
-	  $(MAKE) $(TARGET_FLAGS_TO_PASS)  install-strip)
+# Dummy target for uninstallable.
+install-strip-target-libffi:
 
 @endif target-libffi
 
Index: libgomp/ChangeLog
===================================================================
--- libgomp/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libgomp/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,12 @@
+2013-05-16  Jakub Jelinek  <jakub@redhat.com>
+
+	* testsuite/libgomp.c/loop-13.c: New test.
+	* testsuite/libgomp.c/loop-14.c: New test.
+	* testsuite/libgomp.c/loop-15.c: New test.
+	* testsuite/libgomp.c++/loop-13.C: New test.
+	* testsuite/libgomp.c++/loop-14.C: New test.
+	* testsuite/libgomp.c++/loop-15.C: New test.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
Index: libgomp/testsuite/libgomp.c++/loop-14.C
===================================================================
--- libgomp/testsuite/libgomp.c++/loop-14.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ libgomp/testsuite/libgomp.c++/loop-14.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,3 @@
+/* { dg-do run } */
+
+#include "../libgomp.c/loop-14.c"
Index: libgomp/testsuite/libgomp.c++/loop-13.C
===================================================================
--- libgomp/testsuite/libgomp.c++/loop-13.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ libgomp/testsuite/libgomp.c++/loop-13.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,3 @@
+/* { dg-do run } */
+
+#include "../libgomp.c/loop-13.c"
Index: libgomp/testsuite/libgomp.c++/loop-15.C
===================================================================
--- libgomp/testsuite/libgomp.c++/loop-15.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ libgomp/testsuite/libgomp.c++/loop-15.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,3 @@
+/* { dg-do run } */
+
+#include "../libgomp.c/loop-15.c"
Index: libgomp/testsuite/libgomp.c/loop-15.c
===================================================================
--- libgomp/testsuite/libgomp.c/loop-15.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ libgomp/testsuite/libgomp.c/loop-15.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,253 @@
+/* { dg-do run } */
+
+volatile int ji = 100, ki = 2;
+volatile unsigned int ju = 100, ku = 2;
+volatile long long int jll = 100, kll = 2;
+volatile unsigned long long int jull = 100, kull = 2;
+unsigned long long l;
+
+void
+f0 (void)
+{
+  int i, j, k;
+  unsigned int j2, k2;
+  #pragma omp for reduction(+: l) schedule(runtime)
+  for (i = ji; i < ki; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) schedule(runtime)
+  for (i = ji; i < ki; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3) schedule(runtime)
+  for (j = 0; j < 4; j++)
+    for (i = ji; i < ki; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(runtime)
+  for (j = 0; j < 4; j++)
+    for (i = ji; i < ki; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3) schedule(runtime)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = ji; i < ki; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(runtime)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = ji; i < ki; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(runtime)
+  for (j = 0; j < 4; j++)
+    for (i = ji; i < ki; i++)
+      for (k = ki + 10; k < ji - 10; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(runtime)
+  for (j = ki + 10; j < ji - 10; j++)
+    for (i = ji; i < ki; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+}
+
+void
+f1 (void)
+{
+  unsigned int i, j, k;
+  int j2, k2;
+  #pragma omp for reduction(+: l) schedule(runtime)
+  for (i = ju; i < ku; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) schedule(runtime)
+  for (i = ju; i < ku; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3) schedule(runtime)
+  for (j = 0; j < 4; j++)
+    for (i = ju; i < ku; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(runtime)
+  for (j = 0; j < 4; j++)
+    for (i = ju; i < ku; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3) schedule(runtime)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = ju; i < ku; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(runtime)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = ju; i < ku; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(runtime)
+  for (j = 0; j < 4; j++)
+    for (i = ju; i < ku; i++)
+      for (k = ku; k < ju; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(runtime)
+  for (j = ku; j < ju; j++)
+    for (i = ju; i < ku; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+}
+
+void
+f2 (void)
+{
+  long long int i, j, k;
+  unsigned long long int j2, k2;
+  #pragma omp for reduction(+: l) schedule(runtime)
+  for (i = jll; i < kll; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) schedule(runtime)
+  for (i = jll; i < kll; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3) schedule(runtime)
+  for (j = 0; j < 4; j++)
+    for (i = jll; i < kll; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(runtime)
+  for (j = 0; j < 4; j++)
+    for (i = jll; i < kll; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3) schedule(runtime)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = jll; i < kll; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(runtime)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = jll; i < kll; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(runtime)
+  for (j = 0; j < 4; j++)
+    for (i = jll; i < kll; i++)
+      for (k = kll; k < jll; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(runtime)
+  for (j = kll; j < jll; j++)
+    for (i = jll; i < kll; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+}
+
+void
+f3 (void)
+{
+  unsigned long long int i, j, k;
+  long long int j2, k2;
+  #pragma omp for reduction(+: l) schedule(runtime)
+  for (i = jull; i < kull; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) schedule(runtime)
+  for (i = jull; i < kull; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3) schedule(runtime)
+  for (j = 0; j < 4; j++)
+    for (i = jull; i < kull; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(runtime)
+  for (j = 0; j < 4; j++)
+    for (i = jull; i < kull; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3) schedule(runtime)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = jull; i < kull; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(runtime)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = jull; i < kull; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(runtime)
+  for (j = 0; j < 4; j++)
+    for (i = jull; i < kull; i++)
+      for (k = kull; k < jull; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(runtime)
+  for (j = kull; j < jull; j++)
+    for (i = jull; i < kull; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+}
+
+int
+main ()
+{
+  f0 ();
+  f1 ();
+  f2 ();
+  f3 ();
+  return 0;
+}
Index: libgomp/testsuite/libgomp.c/loop-13.c
===================================================================
--- libgomp/testsuite/libgomp.c/loop-13.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ libgomp/testsuite/libgomp.c/loop-13.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,253 @@
+/* { dg-do run } */
+
+volatile int ji = 100, ki = 2;
+volatile unsigned int ju = 100, ku = 2;
+volatile long long int jll = 100, kll = 2;
+volatile unsigned long long int jull = 100, kull = 2;
+unsigned long long l;
+
+void
+f0 (void)
+{
+  int i, j, k;
+  unsigned int j2, k2;
+  #pragma omp for reduction(+: l)
+  for (i = ji; i < ki; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l)
+  for (i = ji; i < ki; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3)
+  for (j = 0; j < 4; j++)
+    for (i = ji; i < ki; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3)
+  for (j = 0; j < 4; j++)
+    for (i = ji; i < ki; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = ji; i < ki; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = ji; i < ki; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3)
+  for (j = 0; j < 4; j++)
+    for (i = ji; i < ki; i++)
+      for (k = ki + 10; k < ji - 10; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3)
+  for (j = ki + 10; j < ji - 10; j++)
+    for (i = ji; i < ki; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+}
+
+void
+f1 (void)
+{
+  unsigned int i, j, k;
+  int j2, k2;
+  #pragma omp for reduction(+: l)
+  for (i = ju; i < ku; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l)
+  for (i = ju; i < ku; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3)
+  for (j = 0; j < 4; j++)
+    for (i = ju; i < ku; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3)
+  for (j = 0; j < 4; j++)
+    for (i = ju; i < ku; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = ju; i < ku; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = ju; i < ku; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3)
+  for (j = 0; j < 4; j++)
+    for (i = ju; i < ku; i++)
+      for (k = ku; k < ju; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3)
+  for (j = ku; j < ju; j++)
+    for (i = ju; i < ku; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+}
+
+void
+f2 (void)
+{
+  long long int i, j, k;
+  unsigned long long int j2, k2;
+  #pragma omp for reduction(+: l)
+  for (i = jll; i < kll; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l)
+  for (i = jll; i < kll; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3)
+  for (j = 0; j < 4; j++)
+    for (i = jll; i < kll; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3)
+  for (j = 0; j < 4; j++)
+    for (i = jll; i < kll; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = jll; i < kll; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = jll; i < kll; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3)
+  for (j = 0; j < 4; j++)
+    for (i = jll; i < kll; i++)
+      for (k = kll; k < jll; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3)
+  for (j = kll; j < jll; j++)
+    for (i = jll; i < kll; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+}
+
+void
+f3 (void)
+{
+  unsigned long long int i, j, k;
+  long long int j2, k2;
+  #pragma omp for reduction(+: l)
+  for (i = jull; i < kull; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l)
+  for (i = jull; i < kull; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3)
+  for (j = 0; j < 4; j++)
+    for (i = jull; i < kull; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3)
+  for (j = 0; j < 4; j++)
+    for (i = jull; i < kull; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = jull; i < kull; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = jull; i < kull; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3)
+  for (j = 0; j < 4; j++)
+    for (i = jull; i < kull; i++)
+      for (k = kull; k < jull; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3)
+  for (j = kull; j < jull; j++)
+    for (i = jull; i < kull; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+}
+
+int
+main ()
+{
+  f0 ();
+  f1 ();
+  f2 ();
+  f3 ();
+  return 0;
+}
Index: libgomp/testsuite/libgomp.c/loop-14.c
===================================================================
--- libgomp/testsuite/libgomp.c/loop-14.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ libgomp/testsuite/libgomp.c/loop-14.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,253 @@
+/* { dg-do run } */
+
+volatile int ji = 100, ki = 2;
+volatile unsigned int ju = 100, ku = 2;
+volatile long long int jll = 100, kll = 2;
+volatile unsigned long long int jull = 100, kull = 2;
+unsigned long long l;
+
+void
+f0 (void)
+{
+  int i, j, k;
+  unsigned int j2, k2;
+  #pragma omp for reduction(+: l) schedule(static, 2)
+  for (i = ji; i < ki; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) schedule(static, 2)
+  for (i = ji; i < ki; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j = 0; j < 4; j++)
+    for (i = ji; i < ki; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j = 0; j < 4; j++)
+    for (i = ji; i < ki; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = ji; i < ki; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = ji; i < ki; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j = 0; j < 4; j++)
+    for (i = ji; i < ki; i++)
+      for (k = ki + 10; k < ji - 10; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j = ki + 10; j < ji - 10; j++)
+    for (i = ji; i < ki; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+}
+
+void
+f1 (void)
+{
+  unsigned int i, j, k;
+  int j2, k2;
+  #pragma omp for reduction(+: l) schedule(static, 2)
+  for (i = ju; i < ku; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) schedule(static, 2)
+  for (i = ju; i < ku; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j = 0; j < 4; j++)
+    for (i = ju; i < ku; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j = 0; j < 4; j++)
+    for (i = ju; i < ku; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = ju; i < ku; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = ju; i < ku; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j = 0; j < 4; j++)
+    for (i = ju; i < ku; i++)
+      for (k = ku; k < ju; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j = ku; j < ju; j++)
+    for (i = ju; i < ku; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+}
+
+void
+f2 (void)
+{
+  long long int i, j, k;
+  unsigned long long int j2, k2;
+  #pragma omp for reduction(+: l) schedule(static, 2)
+  for (i = jll; i < kll; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) schedule(static, 2)
+  for (i = jll; i < kll; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j = 0; j < 4; j++)
+    for (i = jll; i < kll; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j = 0; j < 4; j++)
+    for (i = jll; i < kll; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = jll; i < kll; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = jll; i < kll; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j = 0; j < 4; j++)
+    for (i = jll; i < kll; i++)
+      for (k = kll; k < jll; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j = kll; j < jll; j++)
+    for (i = jll; i < kll; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+}
+
+void
+f3 (void)
+{
+  unsigned long long int i, j, k;
+  long long int j2, k2;
+  #pragma omp for reduction(+: l) schedule(static, 2)
+  for (i = jull; i < kull; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) schedule(static, 2)
+  for (i = jull; i < kull; i++)
+    l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j = 0; j < 4; j++)
+    for (i = jull; i < kull; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j = 0; j < 4; j++)
+    for (i = jull; i < kull; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = jull; i < kull; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j2 = 0; j2 < 4; j2++)
+    for (i = jull; i < kull; i++)
+      for (k2 = 0; k2 < 5; k2 += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j = 0; j < 4; j++)
+    for (i = jull; i < kull; i++)
+      for (k = kull; k < jull; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+  #pragma omp parallel for reduction(+: l) collapse(3) schedule(static, 2)
+  for (j = kull; j < jull; j++)
+    for (i = jull; i < kull; i++)
+      for (k = 0; k < 5; k += 2)
+	l++;
+  if (l != 0)
+    __builtin_abort ();
+}
+
+int
+main ()
+{
+  f0 ();
+  f1 ();
+  f2 ();
+  f3 ();
+  return 0;
+}
Index: libsanitizer/sanitizer_common/Makefile.in
===================================================================
--- libsanitizer/sanitizer_common/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libsanitizer/sanitizer_common/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = sanitizer_common
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
 	$(top_srcdir)/../config/depstand.m4 \
@@ -79,10 +79,8 @@
 	--mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libsanitizer_common_la_SOURCES)
-DIST_SOURCES = $(libsanitizer_common_la_SOURCES)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -432,37 +430,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES)
@@ -568,8 +535,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-noinstLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-pdf install-pdf-am install-ps install-ps-am \
Index: libsanitizer/Makefile.in
===================================================================
--- libsanitizer/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libsanitizer/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -35,11 +35,9 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = .
-DIST_COMMON = $(am__configure_deps) $(srcdir)/../config.guess \
-	$(srcdir)/../config.sub $(srcdir)/../install-sh \
-	$(srcdir)/../ltmain.sh $(srcdir)/../missing \
-	$(srcdir)/../mkinstalldirs $(srcdir)/Makefile.am \
-	$(srcdir)/Makefile.in $(top_srcdir)/configure ChangeLog
+DIST_COMMON = ChangeLog $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
+	$(top_srcdir)/configure $(am__configure_deps) \
+	$(srcdir)/../mkinstalldirs
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
 	$(top_srcdir)/../config/depstand.m4 \
@@ -59,7 +57,6 @@
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
 SOURCES =
-DIST_SOURCES =
 MULTISRCTOP = 
 MULTIBUILDTOP = 
 MULTIDIRS = 
@@ -76,47 +73,10 @@
 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
   distclean-recursive maintainer-clean-recursive
 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
-	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
-	distdir dist dist-all distcheck
+	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS
 ETAGS = etags
 CTAGS = ctags
 DIST_SUBDIRS = interception sanitizer_common asan tsan
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-distdir = $(PACKAGE)-$(VERSION)
-top_distdir = $(distdir)
-am__remove_distdir = \
-  { test ! -d "$(distdir)" \
-    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
-         && rm -fr "$(distdir)"; }; }
-am__relativize = \
-  dir0=`pwd`; \
-  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
-  sed_rest='s,^[^/]*/*,,'; \
-  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
-  sed_butlast='s,/*[^/]*$$,,'; \
-  while test -n "$$dir1"; do \
-    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
-    if test "$$first" != "."; then \
-      if test "$$first" = ".."; then \
-        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
-        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
-      else \
-        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
-        if test "$$first2" = "$$first"; then \
-          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
-        else \
-          dir2="../$$dir2"; \
-        fi; \
-        dir0="$$dir0"/"$$first"; \
-      fi; \
-    fi; \
-    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
-  done; \
-  reldir="$$dir2"
-DIST_ARCHIVES = $(distdir).tar.gz
-GZIP_ENV = --best
-distuninstallcheck_listfiles = find . -type f -print
-distcleancheck_listfiles = find . -type f -print
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -490,182 +450,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	$(am__remove_distdir)
-	test -d "$(distdir)" || mkdir "$(distdir)"
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
-	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
-	  if test "$$subdir" = .; then :; else \
-	    test -d "$(distdir)/$$subdir" \
-	    || $(MKDIR_P) "$(distdir)/$$subdir" \
-	    || exit 1; \
-	  fi; \
-	done
-	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
-	  if test "$$subdir" = .; then :; else \
-	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
-	    $(am__relativize); \
-	    new_distdir=$$reldir; \
-	    dir1=$$subdir; dir2="$(top_distdir)"; \
-	    $(am__relativize); \
-	    new_top_distdir=$$reldir; \
-	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
-	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
-	    ($(am__cd) $$subdir && \
-	      $(MAKE) $(AM_MAKEFLAGS) \
-	        top_distdir="$$new_top_distdir" \
-	        distdir="$$new_distdir" \
-		am__remove_distdir=: \
-		am__skip_length_check=: \
-		am__skip_mode_fix=: \
-	        distdir) \
-	      || exit 1; \
-	  fi; \
-	done
-	-test -n "$(am__skip_mode_fix)" \
-	|| find "$(distdir)" -type d ! -perm -755 \
-		-exec chmod u+rwx,go+rx {} \; -o \
-	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
-	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
-	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
-	|| chmod -R a+r "$(distdir)"
-dist-gzip: distdir
-	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
-	$(am__remove_distdir)
-
-dist-bzip2: distdir
-	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
-	$(am__remove_distdir)
-
-dist-lzma: distdir
-	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
-	$(am__remove_distdir)
-
-dist-xz: distdir
-	tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
-	$(am__remove_distdir)
-
-dist-tarZ: distdir
-	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
-	$(am__remove_distdir)
-
-dist-shar: distdir
-	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
-	$(am__remove_distdir)
-
-dist-zip: distdir
-	-rm -f $(distdir).zip
-	zip -rq $(distdir).zip $(distdir)
-	$(am__remove_distdir)
-
-dist dist-all: distdir
-	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
-	$(am__remove_distdir)
-
-# This target untars the dist file and tries a VPATH configuration.  Then
-# it guarantees that the distribution is self-contained by making another
-# tarfile.
-distcheck: dist
-	case '$(DIST_ARCHIVES)' in \
-	*.tar.gz*) \
-	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
-	*.tar.bz2*) \
-	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
-	*.tar.lzma*) \
-	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
-	*.tar.xz*) \
-	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
-	*.tar.Z*) \
-	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
-	*.shar.gz*) \
-	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
-	*.zip*) \
-	  unzip $(distdir).zip ;;\
-	esac
-	chmod -R a-w $(distdir); chmod a+w $(distdir)
-	mkdir $(distdir)/_build
-	mkdir $(distdir)/_inst
-	chmod a-w $(distdir)
-	test -d $(distdir)/_build || exit 0; \
-	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
-	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
-	  && am__cwd=`pwd` \
-	  && $(am__cd) $(distdir)/_build \
-	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
-	    $(DISTCHECK_CONFIGURE_FLAGS) \
-	  && $(MAKE) $(AM_MAKEFLAGS) \
-	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
-	  && $(MAKE) $(AM_MAKEFLAGS) check \
-	  && $(MAKE) $(AM_MAKEFLAGS) install \
-	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
-	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
-	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
-	        distuninstallcheck \
-	  && chmod -R a-w "$$dc_install_base" \
-	  && ({ \
-	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
-	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
-	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
-	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
-	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
-	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
-	  && rm -rf "$$dc_destdir" \
-	  && $(MAKE) $(AM_MAKEFLAGS) dist \
-	  && rm -rf $(DIST_ARCHIVES) \
-	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
-	  && cd "$$am__cwd" \
-	  || exit 1
-	$(am__remove_distdir)
-	@(echo "$(distdir) archives ready for distribution: "; \
-	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
-	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
-distuninstallcheck:
-	@$(am__cd) '$(distuninstallcheck_dir)' \
-	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
-	   || { echo "ERROR: files left after uninstall:" ; \
-	        if test -n "$(DESTDIR)"; then \
-	          echo "  (check DESTDIR support)"; \
-	        fi ; \
-	        $(distuninstallcheck_listfiles) ; \
-	        exit 1; } >&2
-distcleancheck: distclean
-	@if test '$(srcdir)' = . ; then \
-	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
-	  exit 1 ; \
-	fi
-	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
-	  || { echo "ERROR: files left in build directory after distclean:" ; \
-	       $(distcleancheck_listfiles) ; \
-	       exit 1; } >&2
 check-am: all-am
 check: check-recursive
 all-am: Makefile all-multi
@@ -774,20 +558,17 @@
 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
 	all all-am all-multi am--refresh check check-am clean \
 	clean-generic clean-libtool clean-multi ctags ctags-recursive \
-	dist dist-all dist-bzip2 dist-gzip dist-lzma dist-shar \
-	dist-tarZ dist-xz dist-zip distcheck distclean \
-	distclean-generic distclean-libtool distclean-multi \
-	distclean-tags distcleancheck distdir distuninstallcheck dvi \
-	dvi-am html html-am info info-am install install-am \
-	install-data install-data-am install-dvi install-dvi-am \
-	install-exec install-exec-am install-html install-html-am \
-	install-info install-info-am install-man install-multi \
-	install-pdf install-pdf-am install-ps install-ps-am \
-	install-strip installcheck installcheck-am installdirs \
-	installdirs-am maintainer-clean maintainer-clean-generic \
-	maintainer-clean-multi mostlyclean mostlyclean-generic \
-	mostlyclean-libtool mostlyclean-multi pdf pdf-am ps ps-am tags \
-	tags-recursive uninstall uninstall-am
+	distclean distclean-generic distclean-libtool distclean-multi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
+	install-dvi-am install-exec install-exec-am install-html \
+	install-html-am install-info install-info-am install-man \
+	install-multi install-pdf install-pdf-am install-ps \
+	install-ps-am install-strip installcheck installcheck-am \
+	installdirs installdirs-am maintainer-clean \
+	maintainer-clean-generic maintainer-clean-multi mostlyclean \
+	mostlyclean-generic mostlyclean-libtool mostlyclean-multi pdf \
+	pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
 
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: libsanitizer/asan/Makefile.in
===================================================================
--- libsanitizer/asan/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libsanitizer/asan/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -38,7 +38,7 @@
 target_triplet = @target@
 @USING_MAC_INTERPOSE_TRUE@am__append_1 = -DMAC_INTERPOSE_FUNCTIONS -DMISSING_BLOCKS_SUPPORT
 subdir = asan
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
 	$(top_srcdir)/../config/depstand.m4 \
@@ -111,11 +111,9 @@
 	--mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libasan_la_SOURCES)
-DIST_SOURCES = $(libasan_la_SOURCES)
 HEADERS = $(nodist_toolexeclib_HEADERS)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -523,37 +521,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES) $(HEADERS)
@@ -664,8 +631,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-toolexeclibLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-nodist_toolexeclibHEADERS install-pdf install-pdf-am \
Index: libsanitizer/ChangeLog
===================================================================
--- libsanitizer/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libsanitizer/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,13 @@
+2013-03-22  Jakub Jelinek  <jakub@redhat.com>
+
+	PR other/43620
+	* configure.ac (AM_INIT_AUTOMAKE): Add no-dist.
+	* Makefile.in: Regenerated.
+	* asan/Makefile.in: Regenerated.
+	* interception/Makefile.in: Regenerated.
+	* sanitizer_common/Makefile.in: Regenerated.
+	* tsan/Makefile.in: Regenerated.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
Index: libsanitizer/configure.ac
===================================================================
--- libsanitizer/configure.ac	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libsanitizer/configure.ac	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -23,7 +23,7 @@
 AC_SUBST(target_alias)
 GCC_LIBSTDCXX_RAW_CXX_FLAGS
 
-AM_INIT_AUTOMAKE(foreign)
+AM_INIT_AUTOMAKE(foreign no-dist)
 AM_ENABLE_MULTILIB(, ..)
 AM_MAINTAINER_MODE
 
Index: libsanitizer/interception/Makefile.in
===================================================================
--- libsanitizer/interception/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libsanitizer/interception/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = interception
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
 	$(top_srcdir)/../config/depstand.m4 \
@@ -73,10 +73,8 @@
 	--mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libinterception_la_SOURCES)
-DIST_SOURCES = $(libinterception_la_SOURCES)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -400,37 +398,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES)
@@ -536,8 +503,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-noinstLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-pdf install-pdf-am install-ps install-ps-am \
Index: libsanitizer/tsan/Makefile.in
===================================================================
--- libsanitizer/tsan/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libsanitizer/tsan/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = tsan
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
 	$(top_srcdir)/../config/depstand.m4 \
@@ -123,10 +123,8 @@
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libtsan_la_SOURCES)
-DIST_SOURCES = $(libtsan_la_SOURCES)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 AR = @AR@
@@ -537,37 +535,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES)
@@ -676,8 +643,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-toolexeclibLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-pdf install-pdf-am install-ps install-ps-am \
Index: libstdc++-v3/configure
===================================================================
--- libstdc++-v3/configure	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/configure	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -20413,11 +20413,65 @@
 
 
 
+  { $as_echo "$as_me:${as_lineno-$LINENO}: result: for suitable sys/sdt.h" >&5
+$as_echo "for suitable sys/sdt.h" >&6; }
+  # Note that this test has to be run with the C language.
+  # Otherwise, sdt.h will try to include some headers from
+  # libstdc++ itself.
+
+  ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
+  if test "${glibcxx_cv_sys_sdt_h+set}" = set; then :
+  $as_echo_n "(cached) " >&6
+else
+
+    # Because we have to run the test in C, we use grep rather
+    # than the compiler to check for the bug.  The bug is that
+    # were strings without trailing whitespace, causing g++
+    # to look for operator"".  The pattern searches for the fixed
+    # output.
+    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+/* end confdefs.h.  */
+
+      #include <sys/sdt.h>
+      int f() { STAP_PROBE(hi, bob); }
+
+_ACEOF
+if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
+  $EGREP " \",\" " >/dev/null 2>&1; then :
+  glibcxx_cv_sys_sdt_h=yes
+else
+  glibcxx_cv_sys_sdt_h=no
+fi
+rm -f conftest*
+
+
+fi
+
+  ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
+  if test $glibcxx_cv_sys_sdt_h = yes; then
+
+$as_echo "#define HAVE_SYS_SDT_H 1" >>confdefs.h
+
+  fi
+  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $glibcxx_cv_sys_sdt_h" >&5
+$as_echo "$glibcxx_cv_sys_sdt_h" >&6; }
+
+
 # Check for available headers.
 for ac_header in endian.h execinfo.h float.h fp.h ieeefp.h inttypes.h \
 locale.h machine/endian.h machine/param.h nan.h stdint.h stdlib.h string.h \
 strings.h sys/ipc.h sys/isa_defs.h sys/machine.h sys/param.h \
-sys/resource.h sys/sdt.h sys/sem.h sys/stat.h sys/time.h sys/types.h unistd.h \
+sys/resource.h sys/sem.h sys/stat.h sys/time.h sys/types.h unistd.h \
 wchar.h wctype.h
 do :
   as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
Index: libstdc++-v3/src/c++11/system_error.cc
===================================================================
--- libstdc++-v3/src/c++11/system_error.cc	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/src/c++11/system_error.cc	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -62,8 +62,8 @@
     }
   };
 
-  const generic_error_category generic_category_instance;
-  const system_error_category system_category_instance;
+  const generic_error_category generic_category_instance{};
+  const system_error_category system_category_instance{};
 }
 
 namespace std _GLIBCXX_VISIBILITY(default)
Index: libstdc++-v3/src/c++11/future.cc
===================================================================
--- libstdc++-v3/src/c++11/future.cc	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/src/c++11/future.cc	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -60,7 +60,7 @@
   const future_error_category&
   __future_category_instance() noexcept
   {
-    static const future_error_category __fec;
+    static const future_error_category __fec{};
     return __fec;
   }
 }
Index: libstdc++-v3/configure.ac
===================================================================
--- libstdc++-v3/configure.ac	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/configure.ac	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -211,12 +211,13 @@
 GLIBCXX_CHECK_SC_NPROC_ONLN
 GLIBCXX_CHECK_PTHREADS_NUM_PROCESSORS_NP
 GLIBCXX_CHECK_SYSCTL_HW_NCPU
+GLIBCXX_CHECK_SDT_H
 
 # Check for available headers.
 AC_CHECK_HEADERS([endian.h execinfo.h float.h fp.h ieeefp.h inttypes.h \
 locale.h machine/endian.h machine/param.h nan.h stdint.h stdlib.h string.h \
 strings.h sys/ipc.h sys/isa_defs.h sys/machine.h sys/param.h \
-sys/resource.h sys/sdt.h sys/sem.h sys/stat.h sys/time.h sys/types.h unistd.h \
+sys/resource.h sys/sem.h sys/stat.h sys/time.h sys/types.h unistd.h \
 wchar.h wctype.h])
 
 # Only do link tests if native. Else, hardcode.
Index: libstdc++-v3/doc/xml/manual/allocator.xml
===================================================================
--- libstdc++-v3/doc/xml/manual/allocator.xml	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/doc/xml/manual/allocator.xml	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -504,7 +504,7 @@
   <biblioentry>
       <title>
 	<link xmlns:xlink="http://www.w3.org/1999/xlink"
-	      xlink:href="http://www.drdobbs.com/cpp/184403759">
+	      xlink:href="http://www.drdobbs.com/the-standard-librarian-what-are-allocato/184403759">
       The Standard Librarian: What Are Allocators Good For?
 	</link>
       </title>
Index: libstdc++-v3/doc/xml/manual/shared_ptr.xml
===================================================================
--- libstdc++-v3/doc/xml/manual/shared_ptr.xml	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/doc/xml/manual/shared_ptr.xml	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -159,7 +159,7 @@
     
 <para>
 The
-<link xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="http://boost.org/libs/smart_ptr/shared_ptr.htm#ThreadSafety">Thread
+<link xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="http://www.boost.org/libs/smart_ptr/shared_ptr.htm#ThreadSafety">Thread
 Safety</link> section of the Boost shared_ptr documentation says "shared_ptr
 objects offer the same level of thread safety as built-in types."
 The implementation must ensure that concurrent updates to separate shared_ptr
Index: libstdc++-v3/doc/xml/manual/profile_mode.xml
===================================================================
--- libstdc++-v3/doc/xml/manual/profile_mode.xml	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/doc/xml/manual/profile_mode.xml	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1401,7 +1401,7 @@
   </para></listitem>
   <listitem><para><emphasis>Fundamentals:</emphasis>
   See papers:
-  <link xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="http://portal.acm.org/citation.cfm?doid=1065944.1065981">
+  <link xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="https://dl.acm.org/citation.cfm?doid=1065944.1065981">
   A framework for adaptive algorithm selection in STAPL</link> and
   <link xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="http://ieeexplore.ieee.org/search/wrapper.jsp?arnumber=4228227">
   Optimizing Sorting with Machine Learning Algorithms</link>.
@@ -1597,7 +1597,7 @@
   Keep a shadow for each container.  Record iterator dereferences and
   container member accesses.  Issue advice for elements referenced by
   multiple threads.
-  See paper: <link xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="http://portal.acm.org/citation.cfm?id=207110.207148">
+  See paper: <link xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="https://dl.acm.org/citation.cfm?id=207110.207148">
   The LRPD test: speculative run-time parallelization of loops with
   privatization and reduction parallelization</link>.
   </para></listitem>
Index: libstdc++-v3/doc/xml/manual/policy_data_structures_biblio.xml
===================================================================
--- libstdc++-v3/doc/xml/manual/policy_data_structures_biblio.xml	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/doc/xml/manual/policy_data_structures_biblio.xml	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -895,7 +895,7 @@
     <biblioentry xml:id="biblio.maverik_lowerbounds">
       <title>
 	<link xmlns:xlink="http://www.w3.org/1999/xlink"
-	      xlink:href="http://magic.aladdin.cs.cmu.edu/2005/08/01/deamortization-part-2-binomial-heaps">
+	      xlink:href="http://magic.aladdin.cs.cmu.edu/2005/08/01/deamortization-part-2-binomial-heaps/">
 	  Deamortization - Part 2: Binomial Heaps
 	</link>
       </title>
@@ -1142,7 +1142,7 @@
     <biblioentry xml:id="biblio.nelson96stlpq">
       <title>
 	<link xmlns:xlink="http://www.w3.org/1999/xlink"
-	      xlink:href="http://www.dogma.net/markn/articles/pq_stl/priority.htm">Priority Queues and the STL
+	      xlink:href="http://marknelson.us/1996/01/01/priority-queues/">Priority Queues and the STL
 	</link>
       </title>
       <date>
Index: libstdc++-v3/doc/xml/manual/debug.xml
===================================================================
--- libstdc++-v3/doc/xml/manual/debug.xml	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/doc/xml/manual/debug.xml	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -234,7 +234,7 @@
   xlink:href="http://valgrind.org/docs/manual/hg-manual.html"> 
   Helgrind</link>, and
   <link xmlns:xlink="http://www.w3.org/1999/xlink" 
-  xlink:href="http://code.google.com/p/data-race-test"> 
+  xlink:href="http://code.google.com/p/data-race-test/"> 
   ThreadSanitizer</link>.
 </para>
 
Index: libstdc++-v3/doc/xml/manual/debug_mode.xml
===================================================================
--- libstdc++-v3/doc/xml/manual/debug_mode.xml	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/doc/xml/manual/debug_mode.xml	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -856,7 +856,7 @@
   supports debugging for programs using libstdc++. The existing
   implementations include:</para>
 <itemizedlist>
-  <listitem><para><link xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="http://www.mathcs.sjsu.edu/faculty/horstman/safestl.html">SafeSTL</link>:
+  <listitem><para><link xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="http://www.cs.sjsu.edu/faculty/horstman/safestl.html">SafeSTL</link>:
   SafeSTL was the original debugging version of the Standard Template
   Library (STL), implemented by Cay S. Horstmann on top of the
   Hewlett-Packard STL. Though it inspired much work in this area, it
Index: libstdc++-v3/doc/xml/manual/policy_data_structures.xml
===================================================================
--- libstdc++-v3/doc/xml/manual/policy_data_structures.xml	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/doc/xml/manual/policy_data_structures.xml	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -5061,8 +5061,7 @@
     </para>
 
     <para>
-      This library was partially written at
-      <link xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="http://www.haifa.il.ibm.com/">IBM's Haifa Research Labs</link>.
+      This library was partially written at IBM's Haifa Research Labs.
       It is based heavily on policy-based design and uses many useful
       techniques from Modern C++ Design: Generic Programming and Design
       Patterns Applied by Andrei Alexandrescu.
Index: libstdc++-v3/doc/xml/manual/documentation_hacking.xml
===================================================================
--- libstdc++-v3/doc/xml/manual/documentation_hacking.xml	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/doc/xml/manual/documentation_hacking.xml	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -443,9 +443,8 @@
 
       <para>
 	Some commentary to accompany
-	the first list in the <link xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="http://www.stack.nl/~dimitri/doxygen/docblocks.html">Special
-	Documentation Blocks</link> section of
-	the Doxygen manual:
+	the first list in the <link xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="http://www.stack.nl/~dimitri/doxygen/manual/docblocks.html">Special
+	Documentation Blocks</link> section of the Doxygen manual:
       </para>
 
       <orderedlist inheritnum="ignore" continuation="restarts">
Index: libstdc++-v3/doc/xml/manual/appendix_contributing.xml
===================================================================
--- libstdc++-v3/doc/xml/manual/appendix_contributing.xml	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/doc/xml/manual/appendix_contributing.xml	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -68,7 +68,7 @@
       <listitem>
 	<para>
 	  Peruse
-	  the <link xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="http://www.gnu.org/prep/standards">GNU
+	  the <link xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="http://www.gnu.org/prep/standards/">GNU
 	  Coding Standards</link>, and chuckle when you hit the part
 	  about <quote>Using Languages Other Than C</quote>.
 	</para>
Index: libstdc++-v3/doc/xml/manual/messages.xml
===================================================================
--- libstdc++-v3/doc/xml/manual/messages.xml	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/doc/xml/manual/messages.xml	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -541,7 +541,7 @@
   <biblioentry>
       <title>
 	<link xmlns:xlink="http://www.w3.org/1999/xlink"
-	      xlink:href="http://java.sun.com/reference/api/index.html">
+	      xlink:href="http://www.oracle.com/technetwork/java/api/index.html">
 	API Specifications, Java Platform
 	</link>
       </title>
Index: libstdc++-v3/include/Makefile.in
===================================================================
--- libstdc++-v3/include/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/include/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1532,6 +1532,7 @@
 	sed -e '/^#pragma/b' \
 	    -e '/^#/s/\(${uppercase}${uppercase}*\)/_GLIBCXX_\1/g' \
 	    -e 's/_GLIBCXX_SUPPORTS_WEAK/__GXX_WEAK__/g' \
+	    -e 's/_GLIBCXX___MINGW32_GLIBCXX___/__MINGW32__/g' \
 	    -e 's,^#include "\(.*\)",#include <bits/\1>,g' \
 	    < $< > $@
 
Index: libstdc++-v3/include/debug/array
===================================================================
--- libstdc++-v3/include/debug/array	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/include/debug/array	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -289,17 +289,11 @@
   // Tuple interface to class template array.
 
   /// tuple_size
-  template<typename _Tp> 
-    class tuple_size;
-
   template<typename _Tp, std::size_t _Nm>
     struct tuple_size<__debug::array<_Tp, _Nm>>
     : public integral_constant<std::size_t, _Nm> { };
 
   /// tuple_element
-  template<std::size_t _Int, typename _Tp>
-    class tuple_element;
-
   template<std::size_t _Int, typename _Tp, std::size_t _Nm>
     struct tuple_element<_Int, __debug::array<_Tp, _Nm>>
     {
Index: libstdc++-v3/include/std/chrono
===================================================================
--- libstdc++-v3/include/std/chrono	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/include/std/chrono	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -225,7 +225,7 @@
 	{ return numeric_limits<_Rep>::lowest(); }
       };
 
-    template<typename T>
+    template<typename _Tp>
       struct __is_ratio
       : std::false_type
       { };
Index: libstdc++-v3/include/std/mutex
===================================================================
--- libstdc++-v3/include/std/mutex	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/include/std/mutex	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -45,12 +45,13 @@
 #include <bits/gthr.h>
 #include <bits/move.h> // for std::swap
 
-#if defined(_GLIBCXX_HAS_GTHREADS) && defined(_GLIBCXX_USE_C99_STDINT_TR1)
+#ifdef _GLIBCXX_USE_C99_STDINT_TR1
 
 namespace std _GLIBCXX_VISIBILITY(default)
 {
 _GLIBCXX_BEGIN_NAMESPACE_VERSION
 
+#ifdef _GLIBCXX_HAS_GTHREADS
   // Common base class for std::mutex and std::timed_mutex
   class __mutex_base
   {
@@ -384,6 +385,7 @@
       }
   };
 #endif
+#endif // _GLIBCXX_HAS_GTHREADS
 
   /// Do not acquire ownership of the mutex.
   struct defer_lock_t { };
@@ -719,6 +721,7 @@
         }
     }
 
+#ifdef _GLIBCXX_HAS_GTHREADS
   /// once_flag
   struct once_flag
   {
@@ -790,13 +793,13 @@
       if (__e)
 	__throw_system_error(__e);
     }
+#endif // _GLIBCXX_HAS_GTHREADS
 
   // @} group mutexes
 _GLIBCXX_END_NAMESPACE_VERSION
 } // namespace
+#endif // _GLIBCXX_USE_C99_STDINT_TR1
 
-#endif // _GLIBCXX_HAS_GTHREADS && _GLIBCXX_USE_C99_STDINT_TR1
-
 #endif // C++11
 
 #endif // _GLIBCXX_MUTEX
Index: libstdc++-v3/include/std/functional
===================================================================
--- libstdc++-v3/include/std/functional	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/include/std/functional	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -227,7 +227,7 @@
 	     (!is_member_pointer<_Functor>::value
 	      && !is_function<_Functor>::value
 	      && !is_function<typename remove_pointer<_Functor>::type>::value),
-	     typename result_of<_Functor(_Args&&...)>::type
+	     typename result_of<_Functor&(_Args&&...)>::type
 	   >::type
     __invoke(_Functor& __f, _Args&&... __args)
     {
Index: libstdc++-v3/include/profile/array
===================================================================
--- libstdc++-v3/include/profile/array	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/include/profile/array	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -251,17 +251,11 @@
   // Tuple interface to class template array.
 
   /// tuple_size
-  template<typename _Tp> 
-    class tuple_size;
-
   template<typename _Tp, std::size_t _Nm>
     struct tuple_size<__profile::array<_Tp, _Nm>>
     : public integral_constant<std::size_t, _Nm> { };
 
   /// tuple_element
-  template<std::size_t _Int, typename _Tp>
-    class tuple_element;
-
   template<std::size_t _Int, typename _Tp, std::size_t _Nm>
     struct tuple_element<_Int, __profile::array<_Tp, _Nm>>
     {
Index: libstdc++-v3/include/bits/stl_list.h
===================================================================
--- libstdc++-v3/include/bits/stl_list.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/include/bits/stl_list.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1487,7 +1487,11 @@
 			       __false_type)
         {
 	  for (; __first != __last; ++__first)
+#if __cplusplus >= 201103L
+	    emplace_back(*__first);
+#else
 	    push_back(*__first);
+#endif
 	}
 
       // Called by list(n,v,a), and the range constructor when it turns out
Index: libstdc++-v3/include/bits/hashtable_policy.h
===================================================================
--- libstdc++-v3/include/bits/hashtable_policy.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/include/bits/hashtable_policy.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -644,7 +644,7 @@
 	  __h._M_rehash(__do_rehash.second, __saved_state);
 
 	for (; __first != __last; ++__first)
-	  this->insert(*__first);
+	  __h._M_insert(*__first, __unique_keys());
       }
 
   /**
Index: libstdc++-v3/include/bits/stl_heap.h
===================================================================
--- libstdc++-v3/include/bits/stl_heap.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/include/bits/stl_heap.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -291,8 +291,11 @@
       __glibcxx_requires_valid_range(__first, __last);
       __glibcxx_requires_heap(__first, __last);
 
-      --__last;
-      std::__pop_heap(__first, __last, __last);
+      if (__last - __first > 1)
+	{
+	  --__last;
+	  std::__pop_heap(__first, __last, __last);
+	}
     }
 
   template<typename _RandomAccessIterator, typename _Distance,
@@ -363,8 +366,11 @@
       __glibcxx_requires_non_empty_range(__first, __last);
       __glibcxx_requires_heap_pred(__first, __last, __comp);
 
-      --__last;
-      std::__pop_heap(__first, __last, __last, __comp);
+      if (__last - __first > 1)
+	{
+	  --__last;
+	  std::__pop_heap(__first, __last, __last, __comp);
+	}
     }
 
   /**
Index: libstdc++-v3/include/bits/basic_string.h
===================================================================
--- libstdc++-v3/include/bits/basic_string.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/include/bits/basic_string.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -2767,10 +2767,9 @@
    *
    *  Stores characters from @a __is into @a __str until @a __delim is
    *  found, the end of the stream is encountered, or str.max_size()
-   *  is reached.  If is.width() is non-zero, that is the limit on the
-   *  number of characters stored into @a __str.  Any previous
-   *  contents of @a __str are erased.  If @a __delim was encountered,
-   *  it is extracted but not stored into @a __str.
+   *  is reached.  Any previous contents of @a __str are erased.  If
+   *  @a __delim is encountered, it is extracted but not stored into
+   *  @a __str.
    */
   template<typename _CharT, typename _Traits, typename _Alloc>
     basic_istream<_CharT, _Traits>&
@@ -2785,10 +2784,9 @@
    *
    *  Stores characters from is into @a __str until &apos;\n&apos; is
    *  found, the end of the stream is encountered, or str.max_size()
-   *  is reached.  If __is.width() is non-zero, that is the limit on
-   *  the number of characters stored into @a __str.  Any previous
-   *  contents of @a __str are erased.  If end of line was
-   *  encountered, it is extracted but not stored into @a __str.
+   *  is reached.  Any previous contents of @a __str are erased.  If
+   *  end of line is encountered, it is extracted but not stored into
+   *  @a __str.
    */
   template<typename _CharT, typename _Traits, typename _Alloc>
     inline basic_istream<_CharT, _Traits>&
Index: libstdc++-v3/include/bits/stl_vector.h
===================================================================
--- libstdc++-v3/include/bits/stl_vector.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/include/bits/stl_vector.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1184,7 +1184,11 @@
 			    _InputIterator __last, std::input_iterator_tag)
         {
 	  for (; __first != __last; ++__first)
+#if __cplusplus >= 201103L
+	    emplace_back(*__first);
+#else
 	    push_back(*__first);
+#endif
 	}
 
       // Called by the second initialize_dispatch above
Index: libstdc++-v3/include/bits/deque.tcc
===================================================================
--- libstdc++-v3/include/bits/deque.tcc	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/include/bits/deque.tcc	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -381,7 +381,11 @@
         __try
           {
             for (; __first != __last; ++__first)
+#if __cplusplus >= 201103L
+	      emplace_back(*__first);
+#else
               push_back(*__first);
+#endif
           }
         __catch(...)
           {
Index: libstdc++-v3/include/Makefile.am
===================================================================
--- libstdc++-v3/include/Makefile.am	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/include/Makefile.am	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1131,6 +1131,7 @@
 	sed -e '/^#pragma/b' \
 	    -e '/^#/s/\(${uppercase}${uppercase}*\)/_GLIBCXX_\1/g' \
 	    -e 's/_GLIBCXX_SUPPORTS_WEAK/__GXX_WEAK__/g' \
+	    -e 's/_GLIBCXX___MINGW32_GLIBCXX___/__MINGW32__/g' \
 	    -e 's,^#include "\(.*\)",#include <bits/\1>,g' \
 	    < $< > $@
 
Index: libstdc++-v3/ChangeLog
===================================================================
--- libstdc++-v3/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,118 @@
+2013-05-21  Jonathan Wakely  <jwakely.gcc@gmail.com>
+
+	PR libstdc++/57336
+	* include/std/functional (__invoke): Do not form function types with
+	abstract return type.
+	* testsuite/20_util/reference_wrapper/invoke-3.cc: New.
+
+2013-05-15  Jonathan Wakely  <jwakely.gcc@gmail.com>
+
+	* include/bits/basic_string.h (getline): Fix doxygen comments.
+
+2013-05-14  Evgeniy Stepanov  <eugenis@google.com>
+
+	* src/c++11/system_error.cc (generic_category_instance): Add
+	initializer.
+	(system_category_instance): Likewise.
+	* src/c++11/future.cc (__fec): Likewise.
+
+2013-05-08  Andoni Morales Alastruey <ylatuya@gmail.com>
+
+	PR libstdc++/57212
+	* include/Makefile.am (_GLIBCXX___MINGW32_GLIBCXX___): Modify
+	to __MINGW32__.
+	* include/Makefile.in: Regenerated.
+
+2013-04-27  François Dumont  <fdumont@gcc.gnu.org>
+
+	* include/bits/hashtable_policy.h
+	(_Insert_base<>::insert<_It>(_It, _It)): Enable move semantics.
+	* testsuite/23_containers/unordered_set/insert/move_range.cc: New.
+
+2013-04-22  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR libstdc++/57010
+	* include/bits/stl_heap.h (pop_heap): Avoid self move-assignment.
+	* testsuite/25_algorithms/pop_heap/57010.cc: New.
+
+2013-04-09  Tom Tromey  <tromey@redhat.com>
+
+	* configure, config.h.in: Rebuild.
+	* configure.ac: Use GLIBCXX_CHECK_SDT_H.  Don't check for
+	sys/sdt.h.
+	* acinclude.m4 (GLIBCXX_CHECK_SDT_H): New defun.
+
+2013-04-04  Gerald Pfeifer  <gerald@pfeifer.com>
+
+	* doc/xml/manual/allocator.xml: Adjust link to Dr.Dobb's article.
+
+	* doc/xml/manual/appendix_contributing.xml: Adjust link to GNU
+	Coding Standards.
+
+	* doc/xml/manual/debug.xml: Adjust link for ThreadSanitizer.
+
+	* doc/xml/manual/debug_mode.xml: Adjust link for SafeSTL.
+
+	* doc/xml/manual/documentation_hacking.xml: Adjust Doxygen link.
+
+	* doc/xml/manual/messages.xml: Adjust link to Java API specs.
+
+	* doc/xml/manual/policy_data_structures: Remove direct link to
+	IBM Haifa Research Labs.
+
+	* doc/xml/manual/policy_data_structures_biblio.xml: Adjust links
+	for biblio.maverik_lowerbounds and biblio.nelson96stlpq.
+
+	* doc/xml/manual/profile_mode.xml: Adjust two links to acm.org
+	papers.
+
+	* doc/xml/manual/shared_ptr.xml: Use canonical address for
+	www.boost.org.
+
+2013-04-03  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR libstdc++/56834
+	* include/debug/array (tuple_size, tuple_element): Do not declare.
+	* include/profile/array: Likewise.
+	* testsuite/23_containers/array/tuple_interface/
+	tuple_element_debug_neg.cc: Adjust dg-error line number.
+
+2013-03-27  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR libstdc++/55977 (partial, std::vector and std::deque bits)
+	* include/bits/stl_vector.h (_M_range_initialize(_InputIterator,
+	_InputIterator, std::input_iterator_tag)): Use emplace_back.
+	* include/bits/deque.tcc (_M_range_initialize(_InputIterator,
+	_InputIterator, std::input_iterator_tag)): Likewise.
+	* testsuite/23_containers/vector/cons/55977.cc: New.
+	* testsuite/23_containers/deque/cons/55977.cc: Likewise.
+	* testsuite/23_containers/vector/requirements/dr438/assign_neg.cc:
+	Adjust dg-error line number.
+	* testsuite/23_containers/vector/requirements/dr438/insert_neg.cc:
+	Likewise.
+
+2013-03-27  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR libstdc++/55979
+	* include/bits/stl_list.h (_M_initialize_dispatch(_InputIterator,
+	_InputIterator, __false_type)): Use emplace_back.
+	* testsuite/23_containers/list/cons/55979.cc: New.
+	* testsuite/23_containers/list/modifiers/1.h: Adjust.
+	* testsuite/23_containers/list/requirements/dr438/assign_neg.cc:
+	Adjust dg-error line number.
+
+2013-03-24  Jonathan Wakely  <jwakely.gcc@gmail.com>
+
+	PR libstdc++/56002
+	* include/std/mutex (lock_guard, unique_lock, lock): Define without
+	depending on _GLIBCXX_HAS_GTHREADS.
+	* testsuite/30_threads/lock_guard/cons/1.cc: Run on all targets.
+
+2013-03-22  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR libstdc++/56678
+	* include/std/chrono (__is_ratio): Uglify T.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
Index: libstdc++-v3/testsuite/25_algorithms/pop_heap/57010.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/pop_heap/57010.cc	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ libstdc++-v3/testsuite/25_algorithms/pop_heap/57010.cc	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,55 @@
+// Copyright (C) 2013 Free Software Foundation, Inc.
+//
+// This file is part of the GNU ISO C++ Library.  This library is free
+// software; you can redistribute it and/or modify it under the
+// terms of the GNU General Public License as published by the
+// Free Software Foundation; either version 3, or (at your option)
+// any later version.
+
+// This library is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+
+// You should have received a copy of the GNU General Public License along
+// with this library; see the file COPYING3.  If not see
+// <http://www.gnu.org/licenses/>.
+
+// { dg-options "-std=gnu++11" }
+
+#include <algorithm>
+#include <functional>
+#include <testsuite_hooks.h>
+#include <testsuite_iterators.h>
+#include <testsuite_rvalref.h>
+
+using __gnu_test::test_container;
+using __gnu_test::random_access_iterator_wrapper;
+using __gnu_test::rvalstruct;
+
+typedef test_container<rvalstruct, random_access_iterator_wrapper> container;
+
+void test01()
+{
+  {
+    rvalstruct makeheap[1];
+    container makecon(makeheap, makeheap + 1);
+
+    std::push_heap(makecon.begin(), makecon.end());
+    std::pop_heap(makecon.begin(), makecon.end());
+  }
+
+  {
+    rvalstruct makeheap[1];
+    container makecon(makeheap, makeheap + 1);
+
+    std::push_heap(makecon.begin(), makecon.end(), std::less<rvalstruct>());
+    std::pop_heap(makecon.begin(), makecon.end(), std::less<rvalstruct>());
+  }
+}
+
+int main()
+{
+  test01();
+  return 0;
+}
Index: libstdc++-v3/testsuite/30_threads/lock_guard/cons/1.cc
===================================================================
--- libstdc++-v3/testsuite/30_threads/lock_guard/cons/1.cc	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/testsuite/30_threads/lock_guard/cons/1.cc	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,9 +1,6 @@
-// { dg-do run { target *-*-freebsd* *-*-netbsd* *-*-linux* *-*-solaris* *-*-cygwin *-*-darwin* powerpc-ibm-aix* } }
-// { dg-options " -std=gnu++0x -pthread" { target *-*-freebsd* *-*-netbsd* *-*-linux* powerpc-ibm-aix* } }
-// { dg-options " -std=gnu++0x -pthreads" { target *-*-solaris* } }
-// { dg-options " -std=gnu++0x " { target *-*-cygwin *-*-darwin* } }
+// { dg-do run }
+// { dg-options " -std=gnu++11 " }
 // { dg-require-cstdint "" }
-// { dg-require-gthreads "" }
 
 // Copyright (C) 2010-2013 Free Software Foundation, Inc.
 //
Index: libstdc++-v3/testsuite/23_containers/vector/requirements/dr438/assign_neg.cc
===================================================================
--- libstdc++-v3/testsuite/23_containers/vector/requirements/dr438/assign_neg.cc	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/testsuite/23_containers/vector/requirements/dr438/assign_neg.cc	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -18,7 +18,7 @@
 // <http://www.gnu.org/licenses/>.
 
 // { dg-do compile }
-// { dg-error "no matching" "" { target *-*-* } 1236 }
+// { dg-error "no matching" "" { target *-*-* } 1240 }
 
 #include <vector>
 
Index: libstdc++-v3/testsuite/23_containers/vector/requirements/dr438/insert_neg.cc
===================================================================
--- libstdc++-v3/testsuite/23_containers/vector/requirements/dr438/insert_neg.cc	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/testsuite/23_containers/vector/requirements/dr438/insert_neg.cc	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -18,7 +18,7 @@
 // <http://www.gnu.org/licenses/>.
 
 // { dg-do compile }
-// { dg-error "no matching" "" { target *-*-* } 1277 }
+// { dg-error "no matching" "" { target *-*-* } 1281 }
 
 #include <vector>
 
Index: libstdc++-v3/testsuite/23_containers/vector/cons/55977.cc
===================================================================
--- libstdc++-v3/testsuite/23_containers/vector/cons/55977.cc	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ libstdc++-v3/testsuite/23_containers/vector/cons/55977.cc	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,60 @@
+// { dg-do compile }
+// { dg-options "-std=gnu++11" }
+
+// Copyright (C) 2013 Free Software Foundation, Inc.
+//
+// This file is part of the GNU ISO C++ Library.  This library is free
+// software; you can redistribute it and/or modify it under the
+// terms of the GNU General Public License as published by the
+// Free Software Foundation; either version 3, or (at your option)
+// any later version.
+//
+// This library is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License along
+// with this library; see the file COPYING3.  If not see
+// <http://www.gnu.org/licenses/>.
+
+#include <memory>
+#include <utility>
+#include <vector>
+#include <iterator>
+
+template <class T>
+struct MyAllocator
+{
+  std::allocator<T> base;
+  typedef T value_type;
+  MyAllocator() = default;
+  template <class U>
+  MyAllocator(const MyAllocator<U>& other) : base(other.base) {}
+  T* allocate(std::size_t n) { return base.allocate(n); }
+  void deallocate(T* p, std::size_t n) { return base.deallocate(p, n); }
+  template <class U, class... Args>
+  void construct(U* p, Args&&... args)
+  {
+    ::new (static_cast<void*>(p)) U(std::forward<Args>(args)...);
+  }
+};
+
+struct A
+{
+private:
+  friend class MyAllocator<A>;
+  A(int value) : value(value) {}
+  int value;
+public:
+  A() : value() {}
+  int get() const { return value; }
+};
+
+void foo()
+{
+  std::vector<A, MyAllocator<A>> v1;
+  const int i = 1;
+  v1.emplace_back(i); // OK
+  std::vector<A, MyAllocator<A>> v2(std::istream_iterator<int>(), {}); // ERROR
+}
Index: libstdc++-v3/testsuite/23_containers/unordered_set/insert/move_range.cc
===================================================================
--- libstdc++-v3/testsuite/23_containers/unordered_set/insert/move_range.cc	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ libstdc++-v3/testsuite/23_containers/unordered_set/insert/move_range.cc	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,51 @@
+// { dg-options "-std=gnu++11" }
+
+// Copyright (C) 2013 Free Software Foundation, Inc.
+//
+// This file is part of the GNU ISO C++ Library.  This library is free
+// software; you can redistribute it and/or modify it under the
+// terms of the GNU General Public License as published by the
+// Free Software Foundation; either version 3, or (at your option)
+// any later version.
+//
+// This library is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License along
+// with this library; see the file COPYING3.  If not see
+// <http://www.gnu.org/licenses/>.
+
+// range insert using move iterator
+
+#include <iterator>
+#include <vector>
+#include <unordered_set>
+#include <testsuite_hooks.h>
+#include <testsuite_counter_type.h>
+
+bool test __attribute__((unused)) = true;
+
+void test01()
+{
+  using namespace __gnu_test;
+
+  std::vector<counter_type> ref = { 0, 1, 2, 3, 4, 5 };
+  typedef std::unordered_set<counter_type, counter_type_hasher> Set;
+  Set s;
+
+  counter_type::reset();
+
+  s.insert(std::make_move_iterator(ref.begin()),
+	   std::make_move_iterator(ref.end()));
+
+  VERIFY( s.size() == ref.size() );
+  VERIFY( counter_type::move_count == ref.size() );
+}
+
+int main()
+{
+  test01();
+  return 0;
+}
Index: libstdc++-v3/testsuite/23_containers/deque/cons/55977.cc
===================================================================
--- libstdc++-v3/testsuite/23_containers/deque/cons/55977.cc	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ libstdc++-v3/testsuite/23_containers/deque/cons/55977.cc	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,70 @@
+// { dg-do compile }
+// { dg-options "-std=gnu++11" }
+
+// Copyright (C) 2013 Free Software Foundation, Inc.
+//
+// This file is part of the GNU ISO C++ Library.  This library is free
+// software; you can redistribute it and/or modify it under the
+// terms of the GNU General Public License as published by the
+// Free Software Foundation; either version 3, or (at your option)
+// any later version.
+//
+// This library is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License along
+// with this library; see the file COPYING3.  If not see
+// <http://www.gnu.org/licenses/>.
+
+#include <memory>
+#include <utility>
+#include <deque>
+#include <iterator>
+
+template <class T>
+struct MyAllocator
+{
+  std::allocator<T> base;
+  typedef T         value_type;
+
+  // FIXME: these types shouldn't be required.
+  typedef T*        pointer;
+  typedef const T*  const_pointer;
+  typedef T&        reference;
+  typedef const T&  const_reference;
+  template <typename U>
+    struct rebind
+    { typedef MyAllocator<U> other; };
+
+  MyAllocator() = default;
+  template <class U>
+  MyAllocator(const MyAllocator<U>& other) : base(other.base) {}
+  T* allocate(std::size_t n) { return base.allocate(n); }
+  void deallocate(T* p, std::size_t n) { return base.deallocate(p, n); }
+  template <class U, class... Args>
+  void construct(U* p, Args&&... args)
+  {
+    ::new (static_cast<void*>(p)) U(std::forward<Args>(args)...);
+  }
+};
+
+struct A
+{
+private:
+  friend class MyAllocator<A>;
+  A(int value) : value(value) {}
+  int value;
+public:
+  A() : value() {}
+  int get() const { return value; }
+};
+
+void foo()
+{
+  std::deque<A, MyAllocator<A>> v1;
+  const int i = 1;
+  v1.emplace_back(i); // OK
+  std::deque<A, MyAllocator<A>> v2(std::istream_iterator<int>(), {}); // ERROR
+}
Index: libstdc++-v3/testsuite/23_containers/list/modifiers/1.h
===================================================================
--- libstdc++-v3/testsuite/23_containers/list/modifiers/1.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/testsuite/23_containers/list/modifiers/1.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -89,14 +89,22 @@
   b = list0301.begin();
   list0301.insert(b, A, A + N); // should be [321 322 333 13 13]
   VERIFY(list0301.size() == 5);
+#if __cplusplus >= 201103L
+  VERIFY(copy_constructor::count() == 0);
+#else
   VERIFY(copy_constructor::count() == 3);
+#endif
   VERIFY(m->id() == 13);
 
   // range fill at end
   value_type::reset();
   list0301.insert(e, A, A + N); // should be [321 322 333 13 13 321 322 333]
   VERIFY(list0301.size() == 8);
+#if __cplusplus >= 201103L
+  VERIFY(copy_constructor::count() == 0);
+#else
   VERIFY(copy_constructor::count() == 3);
+#endif
   VERIFY(e == list0301.end());
   VERIFY(m->id() == 13);
 
@@ -104,7 +112,11 @@
   value_type::reset();
   list0301.insert(m, A, A + N);
   VERIFY(list0301.size() == 11);
+#if __cplusplus >= 201103L
+  VERIFY(copy_constructor::count() == 0);
+#else
   VERIFY(copy_constructor::count() == 3);
+#endif
   VERIFY(e == list0301.end());
   VERIFY(m->id() == 13);
 
Index: libstdc++-v3/testsuite/23_containers/list/requirements/dr438/assign_neg.cc
===================================================================
--- libstdc++-v3/testsuite/23_containers/list/requirements/dr438/assign_neg.cc	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/testsuite/23_containers/list/requirements/dr438/assign_neg.cc	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -18,7 +18,7 @@
 // <http://www.gnu.org/licenses/>.
 
 // { dg-do compile }
-// { dg-error "no matching" "" { target *-*-* } 1525 }
+// { dg-error "no matching" "" { target *-*-* } 1529 }
 
 #include <list>
 
Index: libstdc++-v3/testsuite/23_containers/list/cons/55979.cc
===================================================================
--- libstdc++-v3/testsuite/23_containers/list/cons/55979.cc	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ libstdc++-v3/testsuite/23_containers/list/cons/55979.cc	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,34 @@
+// { dg-do compile }
+// { dg-options "-std=gnu++11" }
+
+// Copyright (C) 2013 Free Software Foundation, Inc.
+//
+// This file is part of the GNU ISO C++ Library.  This library is free
+// software; you can redistribute it and/or modify it under the
+// terms of the GNU General Public License as published by the
+// Free Software Foundation; either version 3, or (at your option)
+// any later version.
+//
+// This library is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License along
+// with this library; see the file COPYING3.  If not see
+// <http://www.gnu.org/licenses/>.
+
+#include <list>
+
+struct A
+{
+  A(int) { }
+  A(const A&) = delete;
+  A& operator=(const A&) = delete;
+};
+
+void foo()
+{
+  int i[] = {1, 2};
+  std::list<A> li(i, i + 2);
+}
Index: libstdc++-v3/testsuite/23_containers/array/tuple_interface/tuple_element_debug_neg.cc
===================================================================
--- libstdc++-v3/testsuite/23_containers/array/tuple_interface/tuple_element_debug_neg.cc	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/testsuite/23_containers/array/tuple_interface/tuple_element_debug_neg.cc	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -23,4 +23,4 @@
 
 typedef std::tuple_element<1, std::array<int, 1>>::type type;
 
-// { dg-error "static assertion failed" "" { target *-*-* } 306 }
+// { dg-error "static assertion failed" "" { target *-*-* } 300 }
Index: libstdc++-v3/testsuite/20_util/reference_wrapper/invoke-3.cc
===================================================================
--- libstdc++-v3/testsuite/20_util/reference_wrapper/invoke-3.cc	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ libstdc++-v3/testsuite/20_util/reference_wrapper/invoke-3.cc	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,37 @@
+// { dg-options "-std=gnu++11" }
+// { dg-do compile }
+
+// Copyright (C) 2013 Free Software Foundation, Inc.
+//
+// This file is part of the GNU ISO C++ Library.  This library is free
+// software; you can redistribute it and/or modify it under the
+// terms of the GNU General Public License as published by the
+// Free Software Foundation; either version 3, or (at your option)
+// any later version.
+//
+// This library is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License along
+// with this library; see the file COPYING3.  If not see
+// <http://www.gnu.org/licenses/>.
+
+// 20.8.3.4 reference_wrapper invocation [refwrap.invoke]
+#include <functional>
+
+struct ABC
+{
+    virtual bool operator()() const = 0;
+};
+
+struct Concrete : ABC
+{
+    virtual bool operator()() const { return true; }
+};
+
+Concrete c;
+ABC& abc = c;
+
+auto b = std::cref(abc)();
Index: libstdc++-v3/config.h.in
===================================================================
--- libstdc++-v3/config.h.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/config.h.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -400,7 +400,7 @@
 /* Define to 1 if you have the <sys/resource.h> header file. */
 #undef HAVE_SYS_RESOURCE_H
 
-/* Define to 1 if you have the <sys/sdt.h> header file. */
+/* Define to 1 if you have a suitable <sys/sdt.h> header file */
 #undef HAVE_SYS_SDT_H
 
 /* Define to 1 if you have the <sys/sem.h> header file. */
Index: libstdc++-v3/acinclude.m4
===================================================================
--- libstdc++-v3/acinclude.m4	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libstdc++-v3/acinclude.m4	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -3660,6 +3660,36 @@
 ])
 
 
+dnl
+dnl Check to see if sys/sdt.h exists and that it is suitable for use.
+dnl Some versions of sdt.h were not compatible with C++11.
+dnl
+AC_DEFUN([GLIBCXX_CHECK_SDT_H], [
+  AC_MSG_RESULT([for suitable sys/sdt.h])
+  # Note that this test has to be run with the C language.
+  # Otherwise, sdt.h will try to include some headers from
+  # libstdc++ itself.
+  AC_LANG_SAVE
+  AC_LANG_C
+  AC_CACHE_VAL(glibcxx_cv_sys_sdt_h, [
+    # Because we have to run the test in C, we use grep rather
+    # than the compiler to check for the bug.  The bug is that
+    # were strings without trailing whitespace, causing g++
+    # to look for operator"".  The pattern searches for the fixed
+    # output.
+    AC_EGREP_CPP([ \",\" ], [
+      #include <sys/sdt.h>
+      int f() { STAP_PROBE(hi, bob); }
+    ], [glibcxx_cv_sys_sdt_h=yes], [glibcxx_cv_sys_sdt_h=no])
+  ])
+  AC_LANG_RESTORE
+  if test $glibcxx_cv_sys_sdt_h = yes; then
+    AC_DEFINE(HAVE_SYS_SDT_H, 1,
+              [Define to 1 if you have a suitable <sys/sdt.h> header file])
+  fi
+  AC_MSG_RESULT($glibcxx_cv_sys_sdt_h)
+])
+
 # Macros from the top-level gcc directory.
 m4_include([../config/gc++filt.m4])
 m4_include([../config/tls.m4])
Index: boehm-gc/Makefile.in
===================================================================
--- boehm-gc/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ boehm-gc/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,13 +36,10 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = .
-DIST_COMMON = $(am__configure_deps) $(srcdir)/../compile \
-	$(srcdir)/../config.guess $(srcdir)/../config.sub \
-	$(srcdir)/../depcomp $(srcdir)/../install-sh \
-	$(srcdir)/../ltmain.sh $(srcdir)/../missing \
-	$(srcdir)/../mkinstalldirs $(srcdir)/Makefile.am \
-	$(srcdir)/Makefile.in $(srcdir)/threads.mk.in \
-	$(top_srcdir)/configure ChangeLog depcomp
+DIST_COMMON = ChangeLog $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
+	$(top_srcdir)/configure $(am__configure_deps) \
+	$(srcdir)/../mkinstalldirs $(srcdir)/threads.mk.in \
+	$(srcdir)/../depcomp
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
 	$(top_srcdir)/../config/depstand.m4 \
@@ -63,14 +60,6 @@
 CONFIG_CLEAN_VPATH_FILES =
 LTLIBRARIES = $(noinst_LTLIBRARIES)
 am__DEPENDENCIES_1 =
-am__libgcjgc_la_SOURCES_DIST = allchblk.c alloc.c blacklst.c \
-	checksums.c dbg_mlc.c dyn_load.c finalize.c gc_dlopen.c \
-	gcj_mlc.c headers.c malloc.c mallocx.c mark.c mark_rts.c \
-	misc.c new_hblk.c obj_map.c os_dep.c pcr_interface.c \
-	ptr_chck.c real_malloc.c reclaim.c specific.c stubborn.c \
-	typd_mlc.c backgraph.c win32_threads.c pthread_support.c \
-	pthread_stop_world.c darwin_stop_world.c \
-	powerpc_darwin_mach_dep.s
 @POWERPC_DARWIN_TRUE@am__objects_1 = powerpc_darwin_mach_dep.lo
 am_libgcjgc_la_OBJECTS = allchblk.lo alloc.lo blacklst.lo checksums.lo \
 	dbg_mlc.lo dyn_load.lo finalize.lo gc_dlopen.lo gcj_mlc.lo \
@@ -80,14 +69,6 @@
 	backgraph.lo win32_threads.lo pthread_support.lo \
 	pthread_stop_world.lo darwin_stop_world.lo $(am__objects_1)
 libgcjgc_la_OBJECTS = $(am_libgcjgc_la_OBJECTS)
-am__libgcjgc_convenience_la_SOURCES_DIST = allchblk.c alloc.c \
-	blacklst.c checksums.c dbg_mlc.c dyn_load.c finalize.c \
-	gc_dlopen.c gcj_mlc.c headers.c malloc.c mallocx.c mark.c \
-	mark_rts.c misc.c new_hblk.c obj_map.c os_dep.c \
-	pcr_interface.c ptr_chck.c real_malloc.c reclaim.c specific.c \
-	stubborn.c typd_mlc.c backgraph.c win32_threads.c \
-	pthread_support.c pthread_stop_world.c darwin_stop_world.c \
-	powerpc_darwin_mach_dep.s
 am__objects_2 = allchblk.lo alloc.lo blacklst.lo checksums.lo \
 	dbg_mlc.lo dyn_load.lo finalize.lo gc_dlopen.lo gcj_mlc.lo \
 	headers.lo malloc.lo mallocx.lo mark.lo mark_rts.lo misc.lo \
@@ -115,8 +96,6 @@
 LTCCASCOMPILE = $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=compile $(CCAS) $(AM_CCASFLAGS) $(CCASFLAGS)
 SOURCES = $(libgcjgc_la_SOURCES) $(libgcjgc_convenience_la_SOURCES)
-DIST_SOURCES = $(am__libgcjgc_la_SOURCES_DIST) \
-	$(am__libgcjgc_convenience_la_SOURCES_DIST)
 MULTISRCTOP = 
 MULTIBUILDTOP = 
 MULTIDIRS = 
@@ -133,47 +112,10 @@
 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
   distclean-recursive maintainer-clean-recursive
 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
-	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
-	distdir dist dist-all distcheck
+	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS
 ETAGS = etags
 CTAGS = ctags
 DIST_SUBDIRS = $(SUBDIRS)
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-distdir = $(PACKAGE)-$(VERSION)
-top_distdir = $(distdir)
-am__remove_distdir = \
-  { test ! -d "$(distdir)" \
-    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
-         && rm -fr "$(distdir)"; }; }
-am__relativize = \
-  dir0=`pwd`; \
-  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
-  sed_rest='s,^[^/]*/*,,'; \
-  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
-  sed_butlast='s,/*[^/]*$$,,'; \
-  while test -n "$$dir1"; do \
-    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
-    if test "$$first" != "."; then \
-      if test "$$first" = ".."; then \
-        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
-        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
-      else \
-        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
-        if test "$$first2" = "$$first"; then \
-          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
-        else \
-          dir2="../$$dir2"; \
-        fi; \
-        dir0="$$dir0"/"$$first"; \
-      fi; \
-    fi; \
-    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
-  done; \
-  reldir="$$dir2"
-DIST_ARCHIVES = $(distdir).tar.gz
-GZIP_ENV = --best
-distuninstallcheck_listfiles = find . -type f -print
-distcleancheck_listfiles = find . -type f -print
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 AM_CPPFLAGS = @AM_CPPFLAGS@
@@ -314,7 +256,7 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AUTOMAKE_OPTIONS = foreign subdir-objects
+AUTOMAKE_OPTIONS = foreign subdir-objects no-dist
 ACLOCAL_AMFLAGS = -I .. -I ../config
 SUBDIRS = include testsuite
 noinst_LTLIBRARIES = libgcjgc.la libgcjgc_convenience.la
@@ -672,182 +614,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	$(am__remove_distdir)
-	test -d "$(distdir)" || mkdir "$(distdir)"
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
-	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
-	  if test "$$subdir" = .; then :; else \
-	    test -d "$(distdir)/$$subdir" \
-	    || $(MKDIR_P) "$(distdir)/$$subdir" \
-	    || exit 1; \
-	  fi; \
-	done
-	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
-	  if test "$$subdir" = .; then :; else \
-	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
-	    $(am__relativize); \
-	    new_distdir=$$reldir; \
-	    dir1=$$subdir; dir2="$(top_distdir)"; \
-	    $(am__relativize); \
-	    new_top_distdir=$$reldir; \
-	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
-	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
-	    ($(am__cd) $$subdir && \
-	      $(MAKE) $(AM_MAKEFLAGS) \
-	        top_distdir="$$new_top_distdir" \
-	        distdir="$$new_distdir" \
-		am__remove_distdir=: \
-		am__skip_length_check=: \
-		am__skip_mode_fix=: \
-	        distdir) \
-	      || exit 1; \
-	  fi; \
-	done
-	-test -n "$(am__skip_mode_fix)" \
-	|| find "$(distdir)" -type d ! -perm -755 \
-		-exec chmod u+rwx,go+rx {} \; -o \
-	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
-	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
-	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
-	|| chmod -R a+r "$(distdir)"
-dist-gzip: distdir
-	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
-	$(am__remove_distdir)
-
-dist-bzip2: distdir
-	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
-	$(am__remove_distdir)
-
-dist-lzma: distdir
-	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
-	$(am__remove_distdir)
-
-dist-xz: distdir
-	tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
-	$(am__remove_distdir)
-
-dist-tarZ: distdir
-	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
-	$(am__remove_distdir)
-
-dist-shar: distdir
-	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
-	$(am__remove_distdir)
-
-dist-zip: distdir
-	-rm -f $(distdir).zip
-	zip -rq $(distdir).zip $(distdir)
-	$(am__remove_distdir)
-
-dist dist-all: distdir
-	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
-	$(am__remove_distdir)
-
-# This target untars the dist file and tries a VPATH configuration.  Then
-# it guarantees that the distribution is self-contained by making another
-# tarfile.
-distcheck: dist
-	case '$(DIST_ARCHIVES)' in \
-	*.tar.gz*) \
-	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
-	*.tar.bz2*) \
-	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
-	*.tar.lzma*) \
-	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
-	*.tar.xz*) \
-	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
-	*.tar.Z*) \
-	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
-	*.shar.gz*) \
-	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
-	*.zip*) \
-	  unzip $(distdir).zip ;;\
-	esac
-	chmod -R a-w $(distdir); chmod a+w $(distdir)
-	mkdir $(distdir)/_build
-	mkdir $(distdir)/_inst
-	chmod a-w $(distdir)
-	test -d $(distdir)/_build || exit 0; \
-	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
-	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
-	  && am__cwd=`pwd` \
-	  && $(am__cd) $(distdir)/_build \
-	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
-	    $(DISTCHECK_CONFIGURE_FLAGS) \
-	  && $(MAKE) $(AM_MAKEFLAGS) \
-	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
-	  && $(MAKE) $(AM_MAKEFLAGS) check \
-	  && $(MAKE) $(AM_MAKEFLAGS) install \
-	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
-	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
-	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
-	        distuninstallcheck \
-	  && chmod -R a-w "$$dc_install_base" \
-	  && ({ \
-	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
-	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
-	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
-	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
-	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
-	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
-	  && rm -rf "$$dc_destdir" \
-	  && $(MAKE) $(AM_MAKEFLAGS) dist \
-	  && rm -rf $(DIST_ARCHIVES) \
-	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
-	  && cd "$$am__cwd" \
-	  || exit 1
-	$(am__remove_distdir)
-	@(echo "$(distdir) archives ready for distribution: "; \
-	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
-	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
-distuninstallcheck:
-	@$(am__cd) '$(distuninstallcheck_dir)' \
-	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
-	   || { echo "ERROR: files left after uninstall:" ; \
-	        if test -n "$(DESTDIR)"; then \
-	          echo "  (check DESTDIR support)"; \
-	        fi ; \
-	        $(distuninstallcheck_listfiles) ; \
-	        exit 1; } >&2
-distcleancheck: distclean
-	@if test '$(srcdir)' = . ; then \
-	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
-	  exit 1 ; \
-	fi
-	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
-	  || { echo "ERROR: files left in build directory after distclean:" ; \
-	       $(distcleancheck_listfiles) ; \
-	       exit 1; } >&2
 check-am: all-am
 check: check-recursive
 all-am: Makefile $(LTLIBRARIES) all-multi
@@ -960,21 +726,19 @@
 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
 	all all-am all-multi am--refresh check check-am clean \
 	clean-generic clean-libtool clean-multi \
-	clean-noinstLTLIBRARIES ctags ctags-recursive dist dist-all \
-	dist-bzip2 dist-gzip dist-lzma dist-shar dist-tarZ dist-xz \
-	dist-zip distcheck distclean distclean-compile \
-	distclean-generic distclean-libtool distclean-multi \
-	distclean-tags distcleancheck distdir distuninstallcheck dvi \
-	dvi-am html html-am info info-am install install-am \
-	install-data install-data-am install-dvi install-dvi-am \
-	install-exec install-exec-am install-html install-html-am \
-	install-info install-info-am install-man install-multi \
-	install-pdf install-pdf-am install-ps install-ps-am \
-	install-strip installcheck installcheck-am installdirs \
-	installdirs-am maintainer-clean maintainer-clean-generic \
-	maintainer-clean-multi mostlyclean mostlyclean-compile \
-	mostlyclean-generic mostlyclean-libtool mostlyclean-multi pdf \
-	pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
+	clean-noinstLTLIBRARIES ctags ctags-recursive distclean \
+	distclean-compile distclean-generic distclean-libtool \
+	distclean-multi distclean-tags dvi dvi-am html html-am info \
+	info-am install install-am install-data install-data-am \
+	install-dvi install-dvi-am install-exec install-exec-am \
+	install-html install-html-am install-info install-info-am \
+	install-man install-multi install-pdf install-pdf-am \
+	install-ps install-ps-am install-strip installcheck \
+	installcheck-am installdirs installdirs-am maintainer-clean \
+	maintainer-clean-generic maintainer-clean-multi mostlyclean \
+	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
+	mostlyclean-multi pdf pdf-am ps ps-am tags tags-recursive \
+	uninstall uninstall-am
 
 override CFLAGS := $(filter-out $(O0_CFLAGS), $(CFLAGS)) $(O0_CFLAGS)
 
Index: boehm-gc/include/Makefile.in
===================================================================
--- boehm-gc/include/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ boehm-gc/include/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,9 +36,9 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = include
-DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
-	$(srcdir)/Makefile.in $(srcdir)/gc_config.h.in \
-	$(srcdir)/gc_ext_config.h.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
+	$(srcdir)/gc_config.h.in $(srcdir)/gc_ext_config.h.in \
+	$(noinst_HEADERS)
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
 	$(top_srcdir)/../config/depstand.m4 \
@@ -55,11 +55,9 @@
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
 SOURCES =
-DIST_SOURCES =
 HEADERS = $(noinst_HEADERS)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 AM_CPPFLAGS = @AM_CPPFLAGS@
@@ -200,7 +198,7 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dist
 noinst_HEADERS = gc.h gc_backptr.h gc_local_alloc.h \
   gc_pthread_redirects.h gc_cpp.h
 
@@ -323,37 +321,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(HEADERS) gc_config.h gc_ext_config.h
@@ -453,16 +420,15 @@
 
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool ctags distclean distclean-generic distclean-hdr \
-	distclean-libtool distclean-tags distdir dvi dvi-am html \
-	html-am info info-am install install-am install-data \
-	install-data-am install-dvi install-dvi-am install-exec \
-	install-exec-am install-html install-html-am install-info \
-	install-info-am install-man install-pdf install-pdf-am \
-	install-ps install-ps-am install-strip installcheck \
-	installcheck-am installdirs maintainer-clean \
-	maintainer-clean-generic mostlyclean mostlyclean-generic \
-	mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
-	uninstall-am
+	distclean-libtool distclean-tags dvi dvi-am html html-am info \
+	info-am install install-am install-data install-data-am \
+	install-dvi install-dvi-am install-exec install-exec-am \
+	install-html install-html-am install-info install-info-am \
+	install-man install-pdf install-pdf-am install-ps \
+	install-ps-am install-strip installcheck installcheck-am \
+	installdirs maintainer-clean maintainer-clean-generic \
+	mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
+	ps ps-am tags uninstall uninstall-am
 
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: boehm-gc/include/Makefile.am
===================================================================
--- boehm-gc/include/Makefile.am	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ boehm-gc/include/Makefile.am	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,4 +1,4 @@
-AUTOMAKE_OPTIONS = foreign
+AUTOMAKE_OPTIONS = foreign no-dist
 
 noinst_HEADERS = gc.h gc_backptr.h gc_local_alloc.h \
   gc_pthread_redirects.h gc_cpp.h
Index: boehm-gc/ChangeLog
===================================================================
--- boehm-gc/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ boehm-gc/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,13 @@
+2013-03-22  Jakub Jelinek  <jakub@redhat.com>
+
+	PR other/43620
+	* Makefile.am (AUTOMAKE_OPTIONS): Add no-dist.
+	* include/Makefile.am (AUTOMAKE_OPTIONS): Add no-dist.
+	* testsuite/Makefile.am (AUTOMAKE_OPTIONS): Add no-dist.
+	* Makefile.in: Regenerated.
+	* include/Makefile.in: Regenerated.
+	* testsuite/Makefile.in: Regenerated.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
Index: boehm-gc/testsuite/Makefile.in
===================================================================
--- boehm-gc/testsuite/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ boehm-gc/testsuite/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -35,7 +35,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = testsuite
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
 	$(top_srcdir)/../config/depstand.m4 \
@@ -53,10 +53,8 @@
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
 SOURCES =
-DIST_SOURCES =
 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
 RUNTEST = runtest
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 AM_CPPFLAGS = @AM_CPPFLAGS@
@@ -197,7 +195,7 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AUTOMAKE_OPTIONS = foreign dejagnu
+AUTOMAKE_OPTIONS = foreign dejagnu no-dist
 EXPECT = expect
 
 # Override default.
@@ -267,37 +265,6 @@
 	-l='$(DEJATOOL)'; for tool in $$l; do \
 	  rm -f $$tool.sum $$tool.log; \
 	done
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 	$(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU
 check: check-am
@@ -399,8 +366,8 @@
 
 .PHONY: all all-am check check-DEJAGNU check-am clean clean-generic \
 	clean-libtool distclean distclean-DEJAGNU distclean-generic \
-	distclean-libtool distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-libtool dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-pdf install-pdf-am install-ps install-ps-am \
Index: boehm-gc/testsuite/Makefile.am
===================================================================
--- boehm-gc/testsuite/Makefile.am	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ boehm-gc/testsuite/Makefile.am	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in.
 
-AUTOMAKE_OPTIONS = foreign dejagnu
+AUTOMAKE_OPTIONS = foreign dejagnu no-dist
 
 EXPECT = expect
 
Index: boehm-gc/Makefile.am
===================================================================
--- boehm-gc/Makefile.am	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ boehm-gc/Makefile.am	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -4,7 +4,7 @@
 ## files that should be in the distribution are not mentioned in this
 ## Makefile.am.
 
-AUTOMAKE_OPTIONS = foreign subdir-objects
+AUTOMAKE_OPTIONS = foreign subdir-objects no-dist
 ACLOCAL_AMFLAGS = -I .. -I ../config
 
 SUBDIRS = include testsuite
Index: include/ChangeLog
===================================================================
--- include/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ include/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,10 @@
+2013-04-03  Jason Merrill  <jason@redhat.com>
+
+	Demangle C++11 ref-qualifier.
+	* demangle.h (enum demangle_component_type): Add
+	DEMANGLE_COMPONENT_REFERENCE_THIS,
+	DEMANGLE_COMPONENT_RVALUE_REFERENCE_THIS.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
Index: include/demangle.h
===================================================================
--- include/demangle.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ include/demangle.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -302,6 +302,12 @@
   /* The const qualifier modifying a member function.  The one subtree
      is the type which is being qualified.  */
   DEMANGLE_COMPONENT_CONST_THIS,
+  /* C++11 A reference modifying a member function.  The one subtree is the
+     type which is being referenced.  */
+  DEMANGLE_COMPONENT_REFERENCE_THIS,
+  /* C++11: An rvalue reference modifying a member function.  The one
+     subtree is the type which is being referenced.  */
+  DEMANGLE_COMPONENT_RVALUE_REFERENCE_THIS,
   /* A vendor qualifier.  The left subtree is the type which is being
      qualified, and the right subtree is the name of the
      qualifier.  */
Index: libiberty/ChangeLog
===================================================================
--- libiberty/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libiberty/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,17 @@
+2013-04-03  Jason Merrill  <jason@redhat.com>
+
+	Demangle C++11 ref-qualifier.
+	* cp-demangle.c (d_ref_qualifier): New.
+	(d_nested_name, d_function_type): Use it.
+	(d_parmlist): Don't get confused by a ref-qualifier.
+	(cplus_demangle_type): Reorder ref-qualifier.
+	(d_pointer_to_member_type): Likewise.
+	(d_dump): Handle DEMANGLE_COMPONENT_REFERENCE_THIS and
+	DEMANGLE_COMPONENT_RVALUE_REFERENCE_THIS.
+	(d_make_comp, has_return_type, d_encoding): Likewise.
+	(d_print_comp, d_print_mod_list, d_print_mod): Likewise.
+	(d_print_function_type, is_ctor_or_dtor): Likewise.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
Index: libiberty/testsuite/demangle-expected
===================================================================
--- libiberty/testsuite/demangle-expected	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libiberty/testsuite/demangle-expected	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -4279,3 +4279,15 @@
 --format=gnu-v3
 _ZN4modc6parser8sequenceINS_9astParser13LocatedParserINS0_9ParserRefINS2_UlRNS2_16TokenParserInputEE_EEEEEINS0_14OptionalParserINS2_18ListParserTemplateILNS_6tokens5Token4TypeE4EXadL_ZNSD_Ut_13parenthesizedEEEE6ParserINS4_INS0_6ParserIS5_NS_3ast10ExpressionEEEEEEEEENSA_INS4_INS2_22OneOfKeywordsToTParserINSJ_5StyleEEEEEEENS0_14SequenceParserIS5_INS0_18ExactElementParserIS5_EENSA_ISM_EEEEENS0_14RepeatedParserINS4_INS0_15TransformParserINSU_IS5_INS4_INSP_INSJ_10Annotation12RelationshipEEEEESX_EEENS2_UlNS2_3LocES12_ONS_5MaybeISK_EEE19_EEEEELb0EEEEEENSU_INS0_17ExtractParserTypeIT_E9InputTypeEINS0_8MaybeRefIS1F_E4TypeEDpNS1I_IT0_E4TypeEEEEOS1F_DpOS1L_
 modc::parser::ParserRef<modc::astParser::OneOfKeywordsToTParser<modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser::Style> ><modc::parser::ExtractParserType<modc::astParser::LocatedParser<modc::parser::ParserRef<modc::astParser::{lambda(modc::astParser::TokenParserInput&)#1}> > >::InputType, modc::parser::MaybeRef<modc::astParser::{lambda(modc::astParser::Loc, modc::parser::RepeatedParser, modc::Maybe<modc::parser::Parser>&&)#21}>::Type, modc::parser::RepeatedParser<modc::parser::ParserRef<modc::parser::TransformParser<modc::parser::ParserRef<modc::astParser::OneOfKeywordsToTParser<modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser::Style> ><modc::astParser::TokenParserInput<modc::parser::ParserRef<modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser<modc::parser::ParserRef<modc::parser::Parser<modc::astParser::TokenParserInput, modc::ast::Expression> > ><modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser::Annotation::Relationship> >, modc::parser::ExactElementParser> >, modc::astParser::{lambda(modc::astParser::Loc, modc::parser::RepeatedParser, modc::Maybe<modc::parser::Parser>&&)#21}> >, false><modc::parser::OptionalParser<modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser<modc::parser::ParserRef<modc::parser::Parser<modc::astParser::TokenParserInput, modc::ast::Expression> > > > >::Type, modc::parser::RepeatedParser<modc::parser::ParserRef<modc::parser::TransformParser<modc::parser::ParserRef<modc::astParser::OneOfKeywordsToTParser<modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser::Style> ><modc::astParser::TokenParserInput<modc::parser::ParserRef<modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser<modc::parser::ParserRef<modc::parser::Parser<modc::astParser::TokenParserInput, modc::ast::Expression> > ><modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser::Annotation::Relationship> >, modc::parser::ExactElementParser> >, modc::astParser::{lambda(modc::astParser::Loc, modc::parser::RepeatedParser, modc::Maybe<modc::parser::Parser>&&)#21}> >, false><modc::astParser::LocatedParser<modc::parser::ParserRef<modc::astParser::{lambda(modc::astParser::TokenParserInput&)#1}> ><modc::parser::ParserRef<modc::astParser::OneOfKeywordsToTParser<modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser::Style> > > >::Type, modc::parser::RepeatedParser<modc::parser::ParserRef<modc::parser::TransformParser<modc::parser::ParserRef<modc::astParser::OneOfKeywordsToTParser<modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser::Style> ><modc::astParser::TokenParserInput<modc::parser::ParserRef<modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser<modc::parser::ParserRef<modc::parser::Parser<modc::astParser::TokenParserInput, modc::ast::Expression> > ><modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser::Annotation::Relationship> >, modc::parser::ExactElementParser> >, modc::astParser::{lambda(modc::astParser::Loc, modc::parser::RepeatedParser, modc::Maybe<modc::parser::Parser>&&)#21}> >, false><modc::parser::SequenceParser<modc::astParser::TokenParserInput<modc::parser::ExactElementParser<modc::astParser::TokenParserInput>, modc::astParser::LocatedParser<modc::parser::ParserRef<modc::astParser::{lambda(modc::astParser::TokenParserInput&)#1}> ><modc::ast::Expression> > > >::Type, modc::parser::RepeatedParser<modc::parser::ParserRef<modc::parser::TransformParser<modc::parser::ParserRef<modc::astParser::OneOfKeywordsToTParser<modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser::Style> ><modc::astParser::TokenParserInput<modc::parser::ParserRef<modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser<modc::parser::ParserRef<modc::parser::Parser<modc::astParser::TokenParserInput, modc::ast::Expression> > ><modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser::Annotation::Relationship> >, modc::parser::ExactElementParser> >, modc::astParser::{lambda(modc::astParser::Loc, modc::parser::RepeatedParser, modc::Maybe<modc::parser::Parser>&&)#21}> >, false><modc::parser::RepeatedParser<modc::parser::ParserRef<modc::parser::TransformParser<modc::parser::ParserRef<modc::astParser::OneOfKeywordsToTParser<modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser::Style> ><modc::astParser::TokenParserInput<modc::parser::ParserRef<modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser<modc::parser::ParserRef<modc::parser::Parser<modc::astParser::TokenParserInput, modc::ast::Expression> > ><modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser::Annotation::Relationship> >, modc::parser::ExactElementParser> >, modc::astParser::{lambda(modc::astParser::Loc, modc::parser::RepeatedParser, modc::Maybe<modc::parser::Parser>&&)#21}> >, false> >::Type> modc::parser::sequence<modc::astParser::LocatedParser<modc::parser::ParserRef<modc::astParser::{lambda(modc::astParser::TokenParserInput&)#1}> >, modc::parser::OptionalParser<modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser<modc::parser::ParserRef<modc::parser::Parser<modc::astParser::TokenParserInput, modc::ast::Expression> > > >, modc::astParser::LocatedParser<modc::parser::ParserRef<modc::astParser::{lambda(modc::astParser::TokenParserInput&)#1}> ><modc::parser::ParserRef<modc::astParser::OneOfKeywordsToTParser<modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser::Style> > >, modc::parser::SequenceParser<modc::astParser::TokenParserInput<modc::parser::ExactElementParser<modc::astParser::TokenParserInput>, modc::astParser::LocatedParser<modc::parser::ParserRef<modc::astParser::{lambda(modc::astParser::TokenParserInput&)#1}> ><modc::ast::Expression> > >, modc::parser::RepeatedParser<modc::parser::ParserRef<modc::parser::TransformParser<modc::parser::ParserRef<modc::astParser::OneOfKeywordsToTParser<modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser::Style> ><modc::astParser::TokenParserInput<modc::parser::ParserRef<modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser<modc::parser::ParserRef<modc::parser::Parser<modc::astParser::TokenParserInput, modc::ast::Expression> > ><modc::astParser::ListParserTemplate<(modc::tokens::Token::Type)4, &modc::tokens::{unnamed type#1}::parenthesized>::Parser::Annotation::Relationship> >, modc::parser::ExactElementParser> >, modc::astParser::{lambda(modc::astParser::Loc, modc::parser::RepeatedParser, modc::Maybe<modc::parser::Parser>&&)#21}> >, false> >(modc::astParser::{lambda(modc::astParser::Loc, modc::parser::RepeatedParser, modc::Maybe<modc::parser::Parser>&&)#21}&&, (modc::parser::ExtractParserType<modc::astParser::LocatedParser<modc::parser::ParserRef<modc::astParser::{lambda(modc::astParser::TokenParserInput&)#1}> > >&&)...)
+--format=gnu-v3
+_ZNKR1A1hEv
+A::h() const &
+--format=gnu-v3
+_Z1lM1AKFvvRE
+l(void (A::*)() const &)
+--format=gnu-v3
+_Z1mIFvvOEEvM1AT_
+void m<void () &&>(void (A::*)() &&)
+--format=gnu-v3
+_Z1nIM1AKFvvREEvT_
+void n<void (A::*)() const &>(void (A::*)() const &)
Index: libiberty/cp-demangle.c
===================================================================
--- libiberty/cp-demangle.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libiberty/cp-demangle.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -382,6 +382,9 @@
 d_cv_qualifiers (struct d_info *, struct demangle_component **, int);
 
 static struct demangle_component *
+d_ref_qualifier (struct d_info *, struct demangle_component *);
+
+static struct demangle_component *
 d_function_type (struct d_info *);
 
 static struct demangle_component *
@@ -614,6 +617,12 @@
     case DEMANGLE_COMPONENT_CONST_THIS:
       printf ("const this\n");
       break;
+    case DEMANGLE_COMPONENT_REFERENCE_THIS:
+      printf ("reference this\n");
+      break;
+    case DEMANGLE_COMPONENT_RVALUE_REFERENCE_THIS:
+      printf ("rvalue reference this\n");
+      break;
     case DEMANGLE_COMPONENT_VENDOR_TYPE_QUAL:
       printf ("vendor type qualifier\n");
       break;
@@ -893,6 +902,8 @@
     case DEMANGLE_COMPONENT_RESTRICT_THIS:
     case DEMANGLE_COMPONENT_VOLATILE_THIS:
     case DEMANGLE_COMPONENT_CONST_THIS:
+    case DEMANGLE_COMPONENT_REFERENCE_THIS:
+    case DEMANGLE_COMPONENT_RVALUE_REFERENCE_THIS:
     case DEMANGLE_COMPONENT_ARGLIST:
     case DEMANGLE_COMPONENT_TEMPLATE_ARGLIST:
       break;
@@ -1131,6 +1142,8 @@
     case DEMANGLE_COMPONENT_RESTRICT_THIS:
     case DEMANGLE_COMPONENT_VOLATILE_THIS:
     case DEMANGLE_COMPONENT_CONST_THIS:
+    case DEMANGLE_COMPONENT_REFERENCE_THIS:
+    case DEMANGLE_COMPONENT_RVALUE_REFERENCE_THIS:
       return has_return_type (d_left (dc));
     }
 }
@@ -1186,7 +1199,9 @@
 	     v2 demangler without DMGL_PARAMS.  */
 	  while (dc->type == DEMANGLE_COMPONENT_RESTRICT_THIS
 		 || dc->type == DEMANGLE_COMPONENT_VOLATILE_THIS
-		 || dc->type == DEMANGLE_COMPONENT_CONST_THIS)
+		 || dc->type == DEMANGLE_COMPONENT_CONST_THIS
+		 || dc->type == DEMANGLE_COMPONENT_REFERENCE_THIS
+		 || dc->type == DEMANGLE_COMPONENT_RVALUE_REFERENCE_THIS)
 	    dc = d_left (dc);
 
 	  /* If the top level is a DEMANGLE_COMPONENT_LOCAL_NAME, then
@@ -1200,7 +1215,9 @@
 	      dcr = d_right (dc);
 	      while (dcr->type == DEMANGLE_COMPONENT_RESTRICT_THIS
 		     || dcr->type == DEMANGLE_COMPONENT_VOLATILE_THIS
-		     || dcr->type == DEMANGLE_COMPONENT_CONST_THIS)
+		     || dcr->type == DEMANGLE_COMPONENT_CONST_THIS
+		     || dcr->type == DEMANGLE_COMPONENT_REFERENCE_THIS
+		     || dcr->type == DEMANGLE_COMPONENT_RVALUE_REFERENCE_THIS)
 		dcr = d_left (dcr);
 	      dc->u.s_binary.right = dcr;
 	    }
@@ -1322,8 +1339,8 @@
     }
 }
 
-/* <nested-name> ::= N [<CV-qualifiers>] <prefix> <unqualified-name> E
-                 ::= N [<CV-qualifiers>] <template-prefix> <template-args> E
+/* <nested-name> ::= N [<CV-qualifiers>] [<ref-qualifier>] <prefix> <unqualified-name> E
+                 ::= N [<CV-qualifiers>] [<ref-qualifier>] <template-prefix> <template-args> E
 */
 
 static struct demangle_component *
@@ -1331,6 +1348,7 @@
 {
   struct demangle_component *ret;
   struct demangle_component **pret;
+  struct demangle_component *rqual;
 
   if (! d_check_char (di, 'N'))
     return NULL;
@@ -1339,10 +1357,20 @@
   if (pret == NULL)
     return NULL;
 
+  /* Parse the ref-qualifier now and then attach it
+     once we have something to attach it to.  */
+  rqual = d_ref_qualifier (di, NULL);
+
   *pret = d_prefix (di);
   if (*pret == NULL)
     return NULL;
 
+  if (rqual)
+    {
+      d_left (rqual) = ret;
+      ret = rqual;
+    }
+
   if (! d_check_char (di, 'E'))
     return NULL;
 
@@ -2171,8 +2199,20 @@
       if (pret == NULL)
 	return NULL;
       *pret = cplus_demangle_type (di);
-      if (! *pret || ! d_add_substitution (di, ret))
+      if (! *pret)
 	return NULL;
+      if ((*pret)->type == DEMANGLE_COMPONENT_RVALUE_REFERENCE_THIS
+	  || (*pret)->type == DEMANGLE_COMPONENT_REFERENCE_THIS)
+	{
+	  /* Move the ref-qualifier outside the cv-qualifiers so that
+	     they are printed in the right order.  */
+	  struct demangle_component *fn = d_left (*pret);
+	  d_left (*pret) = ret;
+	  ret = *pret;
+	  *pret = fn;
+	}
+      if (! d_add_substitution (di, ret))
+	return NULL;
       return ret;
     }
 
@@ -2474,9 +2514,40 @@
   return pret;
 }
 
-/* <function-type> ::= F [Y] <bare-function-type> E  */
+/* <ref-qualifier> ::= R
+                   ::= O */
 
 static struct demangle_component *
+d_ref_qualifier (struct d_info *di, struct demangle_component *sub)
+{
+  struct demangle_component *ret = sub;
+  char peek;
+
+  peek = d_peek_char (di);
+  if (peek == 'R' || peek == 'O')
+    {
+      enum demangle_component_type t;
+      if (peek == 'R')
+	{
+	  t = DEMANGLE_COMPONENT_REFERENCE_THIS;
+	  di->expansion += sizeof "&";
+	}
+      else
+	{
+	  t = DEMANGLE_COMPONENT_RVALUE_REFERENCE_THIS;
+	  di->expansion += sizeof "&&";
+	}
+      d_advance (di, 1);
+
+      ret = d_make_comp (di, t, ret, NULL);
+    }
+
+  return ret;
+}
+
+/* <function-type> ::= F [Y] <bare-function-type> [<ref-qualifier>] E  */
+
+static struct demangle_component *
 d_function_type (struct d_info *di)
 {
   struct demangle_component *ret;
@@ -2490,6 +2561,8 @@
       d_advance (di, 1);
     }
   ret = d_bare_function_type (di, 1);
+  ret = d_ref_qualifier (di, ret);
+
   if (! d_check_char (di, 'E'))
     return NULL;
   return ret;
@@ -2512,6 +2585,10 @@
       char peek = d_peek_char (di);
       if (peek == '\0' || peek == 'E' || peek == '.')
 	break;
+      if ((peek == 'R' || peek == 'O')
+	  && d_peek_next_char (di) == 'E')
+	/* Function ref-qualifier, not a ref prefix for a parameter type.  */
+	break;
       type = cplus_demangle_type (di);
       if (type == NULL)
 	return NULL;
@@ -2692,6 +2769,18 @@
   if (*pmem == NULL)
     return NULL;
 
+  if (pmem != &mem
+      && ((*pmem)->type == DEMANGLE_COMPONENT_RVALUE_REFERENCE_THIS
+	  || (*pmem)->type == DEMANGLE_COMPONENT_REFERENCE_THIS))
+    {
+      /* Move the ref-qualifier outside the cv-qualifiers so that
+	 they are printed in the right order.  */
+      struct demangle_component *fn = d_left (*pmem);
+      d_left (*pmem) = mem;
+      mem = *pmem;
+      *pmem = fn;
+    }
+
   if (pmem != &mem && (*pmem)->type != DEMANGLE_COMPONENT_FUNCTION_TYPE)
     {
       if (! d_add_substitution (di, mem))
@@ -3923,7 +4012,9 @@
 
 	    if (typed_name->type != DEMANGLE_COMPONENT_RESTRICT_THIS
 		&& typed_name->type != DEMANGLE_COMPONENT_VOLATILE_THIS
-		&& typed_name->type != DEMANGLE_COMPONENT_CONST_THIS)
+		&& typed_name->type != DEMANGLE_COMPONENT_CONST_THIS
+		&& typed_name->type != DEMANGLE_COMPONENT_RVALUE_REFERENCE_THIS
+		&& typed_name->type != DEMANGLE_COMPONENT_REFERENCE_THIS)
 	      break;
 
 	    typed_name = d_left (typed_name);
@@ -3957,7 +4048,10 @@
 	      local_name = local_name->u.s_unary_num.sub;
 	    while (local_name->type == DEMANGLE_COMPONENT_RESTRICT_THIS
 		   || local_name->type == DEMANGLE_COMPONENT_VOLATILE_THIS
-		   || local_name->type == DEMANGLE_COMPONENT_CONST_THIS)
+		   || local_name->type == DEMANGLE_COMPONENT_CONST_THIS
+		   || local_name->type == DEMANGLE_COMPONENT_REFERENCE_THIS
+		   || (local_name->type
+		       == DEMANGLE_COMPONENT_RVALUE_REFERENCE_THIS))
 	      {
 		if (i >= sizeof adpm / sizeof adpm[0])
 		  {
@@ -4234,6 +4328,8 @@
     case DEMANGLE_COMPONENT_RESTRICT_THIS:
     case DEMANGLE_COMPONENT_VOLATILE_THIS:
     case DEMANGLE_COMPONENT_CONST_THIS:
+    case DEMANGLE_COMPONENT_REFERENCE_THIS:
+    case DEMANGLE_COMPONENT_RVALUE_REFERENCE_THIS:
     case DEMANGLE_COMPONENT_VENDOR_TYPE_QUAL:
     case DEMANGLE_COMPONENT_POINTER:
     case DEMANGLE_COMPONENT_COMPLEX:
@@ -4906,7 +5002,10 @@
       || (! suffix
 	  && (mods->mod->type == DEMANGLE_COMPONENT_RESTRICT_THIS
 	      || mods->mod->type == DEMANGLE_COMPONENT_VOLATILE_THIS
-	      || mods->mod->type == DEMANGLE_COMPONENT_CONST_THIS)))
+	      || mods->mod->type == DEMANGLE_COMPONENT_CONST_THIS
+	      || mods->mod->type == DEMANGLE_COMPONENT_REFERENCE_THIS
+	      || (mods->mod->type
+		  == DEMANGLE_COMPONENT_RVALUE_REFERENCE_THIS))))
     {
       d_print_mod_list (dpi, options, mods->next, suffix);
       return;
@@ -4961,7 +5060,9 @@
 
       while (dc->type == DEMANGLE_COMPONENT_RESTRICT_THIS
 	     || dc->type == DEMANGLE_COMPONENT_VOLATILE_THIS
-	     || dc->type == DEMANGLE_COMPONENT_CONST_THIS)
+	     || dc->type == DEMANGLE_COMPONENT_CONST_THIS
+	     || dc->type == DEMANGLE_COMPONENT_REFERENCE_THIS
+	     || dc->type == DEMANGLE_COMPONENT_RVALUE_REFERENCE_THIS)
 	dc = d_left (dc);
 
       d_print_comp (dpi, options, dc);
@@ -5006,9 +5107,14 @@
       if ((options & DMGL_JAVA) == 0)
 	d_append_char (dpi, '*');
       return;
+    case DEMANGLE_COMPONENT_REFERENCE_THIS:
+      /* For the ref-qualifier, put a space before the &.  */
+      d_append_char (dpi, ' ');
     case DEMANGLE_COMPONENT_REFERENCE:
       d_append_char (dpi, '&');
       return;
+    case DEMANGLE_COMPONENT_RVALUE_REFERENCE_THIS:
+      d_append_char (dpi, ' ');
     case DEMANGLE_COMPONENT_RVALUE_REFERENCE:
       d_append_string (dpi, "&&");
       return;
@@ -5080,6 +5186,8 @@
 	case DEMANGLE_COMPONENT_RESTRICT_THIS:
 	case DEMANGLE_COMPONENT_VOLATILE_THIS:
 	case DEMANGLE_COMPONENT_CONST_THIS:
+	case DEMANGLE_COMPONENT_REFERENCE_THIS:
+	case DEMANGLE_COMPONENT_RVALUE_REFERENCE_THIS:
 	  break;
 	default:
 	  break;
@@ -5600,14 +5708,17 @@
       {
 	switch (dc->type)
 	  {
+	    /* These cannot appear on a constructor or destructor.  */
+	  case DEMANGLE_COMPONENT_RESTRICT_THIS:
+	  case DEMANGLE_COMPONENT_VOLATILE_THIS:
+	  case DEMANGLE_COMPONENT_CONST_THIS:
+	  case DEMANGLE_COMPONENT_REFERENCE_THIS:
+	  case DEMANGLE_COMPONENT_RVALUE_REFERENCE_THIS:
 	  default:
 	    dc = NULL;
 	    break;
 	  case DEMANGLE_COMPONENT_TYPED_NAME:
 	  case DEMANGLE_COMPONENT_TEMPLATE:
-	  case DEMANGLE_COMPONENT_RESTRICT_THIS:
-	  case DEMANGLE_COMPONENT_VOLATILE_THIS:
-	  case DEMANGLE_COMPONENT_CONST_THIS:
 	    dc = d_left (dc);
 	    break;
 	  case DEMANGLE_COMPONENT_QUAL_NAME:
Index: ChangeLog
===================================================================
--- ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,8 @@
+2013-03-30  Matthias Klose  <doko@ubuntu.com>
+
+	* Makefile.def (target_modules): Don't install libffi.
+	* Makefile.in: Regenerate.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
Index: libbacktrace/ChangeLog
===================================================================
--- libbacktrace/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libbacktrace/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,8 @@
+2013-03-25  Ian Lance Taylor  <iant@google.com>
+
+	* alloc.c: #include <sys/types.h>.
+	* mmap.c: Likewise.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
Index: libbacktrace/alloc.c
===================================================================
--- libbacktrace/alloc.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libbacktrace/alloc.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -34,6 +34,7 @@
 
 #include <errno.h>
 #include <stdlib.h>
+#include <sys/types.h>
 
 #include "backtrace.h"
 #include "internal.h"
Index: libbacktrace/mmap.c
===================================================================
--- libbacktrace/mmap.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libbacktrace/mmap.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,6 +36,7 @@
 #include <string.h>
 #include <stdlib.h>
 #include <unistd.h>
+#include <sys/types.h>
 #include <sys/mman.h>
 
 #include "backtrace.h"
Index: libjava/classpath/Makefile.in
===================================================================
--- libjava/classpath/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -35,25 +35,15 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = .
-DIST_COMMON = README $(am__configure_deps) $(srcdir)/../../compile \
-	$(srcdir)/../../config.guess $(srcdir)/../../config.rpath \
-	$(srcdir)/../../config.sub $(srcdir)/../../install-sh \
-	$(srcdir)/../../ltmain.sh $(srcdir)/../../missing \
-	$(srcdir)/../../mkinstalldirs $(srcdir)/Makefile.am \
-	$(srcdir)/Makefile.in $(top_srcdir)/configure \
+DIST_COMMON = INSTALL NEWS README AUTHORS ChangeLog \
+	$(srcdir)/Makefile.in $(srcdir)/Makefile.am \
+	$(top_srcdir)/configure $(am__configure_deps) \
+	$(srcdir)/../../mkinstalldirs \
 	$(top_srcdir)/gnu/classpath/Configuration.java.in \
 	$(top_srcdir)/gnu/java/security/Configuration.java.in \
 	$(top_srcdir)/resource/META-INF/services/java.util.prefs.PreferencesFactory.in \
 	$(top_srcdir)/resource/META-INF/services/javax.sound.sampled.spi.AudioFileReader.in \
-	$(top_srcdir)/resource/META-INF/services/javax.sound.sampled.spi.MixerProvider.in \
-	../../ABOUT-NLS ../../COPYING ../../COPYING.LIB \
-	../../ChangeLog ../../README ../../compile ../../config.guess \
-	../../config.rpath ../../config.sub ../../depcomp \
-	../../install-sh ../../ltmain.sh ../../missing \
-	../../mkinstalldirs ../../ylwrap AUTHORS COPYING ChangeLog \
-	INSTALL NEWS TODO compile config.guess config.rpath config.sub \
-	depcomp install-sh ltcf-c.sh ltcf-cxx.sh ltcf-gcj.sh ltconfig \
-	ltmain.sh missing mkinstalldirs
+	$(top_srcdir)/resource/META-INF/services/javax.sound.sampled.spi.MixerProvider.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -91,7 +81,6 @@
 	resource/META-INF/services/javax.sound.sampled.spi.MixerProvider
 CONFIG_CLEAN_VPATH_FILES =
 SOURCES =
-DIST_SOURCES =
 MULTISRCTOP = 
 MULTIBUILDTOP = 
 MULTIDIRS = 
@@ -108,46 +97,9 @@
 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
   distclean-recursive maintainer-clean-recursive
 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
-	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
-	distdir dist dist-all distcheck
+	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-distdir = $(PACKAGE)-$(VERSION)
-top_distdir = $(distdir)
-am__remove_distdir = \
-  { test ! -d "$(distdir)" \
-    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
-         && rm -fr "$(distdir)"; }; }
-am__relativize = \
-  dir0=`pwd`; \
-  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
-  sed_rest='s,^[^/]*/*,,'; \
-  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
-  sed_butlast='s,/*[^/]*$$,,'; \
-  while test -n "$$dir1"; do \
-    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
-    if test "$$first" != "."; then \
-      if test "$$first" = ".."; then \
-        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
-        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
-      else \
-        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
-        if test "$$first2" = "$$first"; then \
-          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
-        else \
-          dir2="../$$dir2"; \
-        fi; \
-        dir0="$$dir0"/"$$first"; \
-      fi; \
-    fi; \
-    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
-  done; \
-  reldir="$$dir2"
-DIST_ARCHIVES = $(distdir).tar.gz
-GZIP_ENV = --best
-distuninstallcheck_listfiles = find . -type f -print
-distcleancheck_listfiles = find . -type f -print
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -582,185 +534,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	$(am__remove_distdir)
-	test -d "$(distdir)" || mkdir "$(distdir)"
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
-	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
-	  if test "$$subdir" = .; then :; else \
-	    test -d "$(distdir)/$$subdir" \
-	    || $(MKDIR_P) "$(distdir)/$$subdir" \
-	    || exit 1; \
-	  fi; \
-	done
-	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
-	  if test "$$subdir" = .; then :; else \
-	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
-	    $(am__relativize); \
-	    new_distdir=$$reldir; \
-	    dir1=$$subdir; dir2="$(top_distdir)"; \
-	    $(am__relativize); \
-	    new_top_distdir=$$reldir; \
-	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
-	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
-	    ($(am__cd) $$subdir && \
-	      $(MAKE) $(AM_MAKEFLAGS) \
-	        top_distdir="$$new_top_distdir" \
-	        distdir="$$new_distdir" \
-		am__remove_distdir=: \
-		am__skip_length_check=: \
-		am__skip_mode_fix=: \
-	        distdir) \
-	      || exit 1; \
-	  fi; \
-	done
-	$(MAKE) $(AM_MAKEFLAGS) \
-	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
-	  dist-hook
-	-test -n "$(am__skip_mode_fix)" \
-	|| find "$(distdir)" -type d ! -perm -755 \
-		-exec chmod u+rwx,go+rx {} \; -o \
-	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
-	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
-	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
-	|| chmod -R a+r "$(distdir)"
-dist-gzip: distdir
-	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
-	$(am__remove_distdir)
-
-dist-bzip2: distdir
-	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
-	$(am__remove_distdir)
-
-dist-lzma: distdir
-	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
-	$(am__remove_distdir)
-
-dist-xz: distdir
-	tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
-	$(am__remove_distdir)
-
-dist-tarZ: distdir
-	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
-	$(am__remove_distdir)
-
-dist-shar: distdir
-	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
-	$(am__remove_distdir)
-
-dist-zip: distdir
-	-rm -f $(distdir).zip
-	zip -rq $(distdir).zip $(distdir)
-	$(am__remove_distdir)
-
-dist dist-all: distdir
-	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
-	$(am__remove_distdir)
-
-# This target untars the dist file and tries a VPATH configuration.  Then
-# it guarantees that the distribution is self-contained by making another
-# tarfile.
-distcheck: dist
-	case '$(DIST_ARCHIVES)' in \
-	*.tar.gz*) \
-	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
-	*.tar.bz2*) \
-	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
-	*.tar.lzma*) \
-	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
-	*.tar.xz*) \
-	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
-	*.tar.Z*) \
-	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
-	*.shar.gz*) \
-	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
-	*.zip*) \
-	  unzip $(distdir).zip ;;\
-	esac
-	chmod -R a-w $(distdir); chmod a+w $(distdir)
-	mkdir $(distdir)/_build
-	mkdir $(distdir)/_inst
-	chmod a-w $(distdir)
-	test -d $(distdir)/_build || exit 0; \
-	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
-	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
-	  && am__cwd=`pwd` \
-	  && $(am__cd) $(distdir)/_build \
-	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
-	    $(DISTCHECK_CONFIGURE_FLAGS) \
-	  && $(MAKE) $(AM_MAKEFLAGS) \
-	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
-	  && $(MAKE) $(AM_MAKEFLAGS) check \
-	  && $(MAKE) $(AM_MAKEFLAGS) install \
-	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
-	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
-	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
-	        distuninstallcheck \
-	  && chmod -R a-w "$$dc_install_base" \
-	  && ({ \
-	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
-	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
-	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
-	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
-	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
-	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
-	  && rm -rf "$$dc_destdir" \
-	  && $(MAKE) $(AM_MAKEFLAGS) dist \
-	  && rm -rf $(DIST_ARCHIVES) \
-	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
-	  && cd "$$am__cwd" \
-	  || exit 1
-	$(am__remove_distdir)
-	@(echo "$(distdir) archives ready for distribution: "; \
-	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
-	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
-distuninstallcheck:
-	@$(am__cd) '$(distuninstallcheck_dir)' \
-	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
-	   || { echo "ERROR: files left after uninstall:" ; \
-	        if test -n "$(DESTDIR)"; then \
-	          echo "  (check DESTDIR support)"; \
-	        fi ; \
-	        $(distuninstallcheck_listfiles) ; \
-	        exit 1; } >&2
-distcleancheck: distclean
-	@if test '$(srcdir)' = . ; then \
-	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
-	  exit 1 ; \
-	fi
-	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
-	  || { echo "ERROR: files left in build directory after distclean:" ; \
-	       $(distcleancheck_listfiles) ; \
-	       exit 1; } >&2
 check-am: all-am
 check: check-recursive
 all-am: Makefile all-multi
@@ -869,20 +642,17 @@
 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
 	all all-am all-multi am--refresh check check-am clean \
 	clean-generic clean-libtool clean-multi ctags ctags-recursive \
-	dist dist-all dist-bzip2 dist-gzip dist-hook dist-lzma \
-	dist-shar dist-tarZ dist-xz dist-zip distcheck distclean \
-	distclean-generic distclean-libtool distclean-multi \
-	distclean-tags distcleancheck distdir distuninstallcheck dvi \
-	dvi-am html html-am info info-am install install-am \
-	install-data install-data-am install-dvi install-dvi-am \
-	install-exec install-exec-am install-html install-html-am \
-	install-info install-info-am install-man install-multi \
-	install-pdf install-pdf-am install-ps install-ps-am \
-	install-strip installcheck installcheck-am installdirs \
-	installdirs-am maintainer-clean maintainer-clean-generic \
-	maintainer-clean-multi mostlyclean mostlyclean-generic \
-	mostlyclean-libtool mostlyclean-multi pdf pdf-am ps ps-am tags \
-	tags-recursive uninstall uninstall-am
+	distclean distclean-generic distclean-libtool distclean-multi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
+	install-dvi-am install-exec install-exec-am install-html \
+	install-html-am install-info install-info-am install-man \
+	install-multi install-pdf install-pdf-am install-ps \
+	install-ps-am install-strip installcheck installcheck-am \
+	installdirs installdirs-am maintainer-clean \
+	maintainer-clean-generic maintainer-clean-multi mostlyclean \
+	mostlyclean-generic mostlyclean-libtool mostlyclean-multi pdf \
+	pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
 
 
 native: lib
Index: libjava/classpath/scripts/Makefile.in
===================================================================
--- libjava/classpath/scripts/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/scripts/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -35,8 +35,8 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = scripts
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
-	$(srcdir)/check_jni_methods.sh.in $(srcdir)/classpath.spec.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
+	$(srcdir)/classpath.spec.in $(srcdir)/check_jni_methods.sh.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -68,8 +68,6 @@
 CONFIG_CLEAN_FILES = classpath.spec check_jni_methods.sh
 CONFIG_CLEAN_VPATH_FILES =
 SOURCES =
-DIST_SOURCES =
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -331,37 +329,6 @@
 ctags: CTAGS
 CTAGS:
 
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile
@@ -460,13 +427,13 @@
 .MAKE: install-am install-strip
 
 .PHONY: all all-am check check-am clean clean-generic clean-libtool \
-	distclean distclean-generic distclean-libtool distdir dvi \
-	dvi-am html html-am info info-am install install-am \
-	install-data install-data-am install-dvi install-dvi-am \
-	install-exec install-exec-am install-html install-html-am \
-	install-info install-info-am install-man install-pdf \
-	install-pdf-am install-ps install-ps-am install-strip \
-	installcheck installcheck-am installdirs maintainer-clean \
+	distclean distclean-generic distclean-libtool dvi dvi-am html \
+	html-am info info-am install install-am install-data \
+	install-data-am install-dvi install-dvi-am install-exec \
+	install-exec-am install-html install-html-am install-info \
+	install-info-am install-man install-pdf install-pdf-am \
+	install-ps install-ps-am install-strip installcheck \
+	installcheck-am installdirs maintainer-clean \
 	maintainer-clean-generic mostlyclean mostlyclean-generic \
 	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am
 
Index: libjava/classpath/resource/Makefile.in
===================================================================
--- libjava/classpath/resource/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/resource/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = resource
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -68,7 +68,6 @@
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
 SOURCES =
-DIST_SOURCES =
 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
 am__vpath_adj = case $$p in \
     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
@@ -92,7 +91,6 @@
   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
 am__installdirs = "$(DESTDIR)$(loggingdir)" "$(DESTDIR)$(securitydir)"
 DATA = $(logging_DATA) $(security_DATA)
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -393,37 +391,6 @@
 ctags: CTAGS
 CTAGS:
 
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(DATA)
@@ -525,17 +492,17 @@
 .MAKE: install-am install-strip
 
 .PHONY: all all-am check check-am clean clean-generic clean-libtool \
-	distclean distclean-generic distclean-libtool distdir dvi \
-	dvi-am html html-am info info-am install install-am \
-	install-data install-data-am install-dvi install-dvi-am \
-	install-exec install-exec-am install-html install-html-am \
-	install-info install-info-am install-loggingDATA install-man \
-	install-pdf install-pdf-am install-ps install-ps-am \
-	install-securityDATA install-strip installcheck \
-	installcheck-am installdirs maintainer-clean \
-	maintainer-clean-generic mostlyclean mostlyclean-generic \
-	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
-	uninstall-loggingDATA uninstall-securityDATA
+	distclean distclean-generic distclean-libtool dvi dvi-am html \
+	html-am info info-am install install-am install-data \
+	install-data-am install-dvi install-dvi-am install-exec \
+	install-exec-am install-html install-html-am install-info \
+	install-info-am install-loggingDATA install-man install-pdf \
+	install-pdf-am install-ps install-ps-am install-securityDATA \
+	install-strip installcheck installcheck-am installdirs \
+	maintainer-clean maintainer-clean-generic mostlyclean \
+	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
+	uninstall uninstall-am uninstall-loggingDATA \
+	uninstall-securityDATA
 
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: libjava/classpath/tools/Makefile.in
===================================================================
--- libjava/classpath/tools/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/tools/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -44,13 +44,13 @@
 @CREATE_WRAPPERS_TRUE@@INSTALL_BINARIES_FALSE@	$(am__EXEEXT_2)
 @CREATE_GJDOC_TRUE@@CREATE_WRAPPERS_FALSE@am__append_2 = gjdoc
 subdir = tools
-DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
-	$(srcdir)/gappletviewer.in $(srcdir)/gjar.in \
-	$(srcdir)/gjarsigner.in $(srcdir)/gjavah.in $(srcdir)/gjdoc.in \
-	$(srcdir)/gkeytool.in $(srcdir)/gnative2ascii.in \
-	$(srcdir)/gorbd.in $(srcdir)/grmic.in $(srcdir)/grmid.in \
-	$(srcdir)/grmiregistry.in $(srcdir)/gserialver.in \
-	$(srcdir)/gtnameserv.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
+	$(srcdir)/gappletviewer.in $(srcdir)/gjarsigner.in \
+	$(srcdir)/gkeytool.in $(srcdir)/gjar.in \
+	$(srcdir)/gnative2ascii.in $(srcdir)/gserialver.in \
+	$(srcdir)/grmiregistry.in $(srcdir)/gtnameserv.in \
+	$(srcdir)/gorbd.in $(srcdir)/grmid.in $(srcdir)/grmic.in \
+	$(srcdir)/gjavah.in $(srcdir)/gjdoc.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -95,7 +95,6 @@
 @CREATE_WRAPPERS_TRUE@	$(am__EXEEXT_1)
 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)"
 PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)
-am__gappletviewer_SOURCES_DIST = toolwrapper.c
 @CREATE_WRAPPERS_TRUE@am_gappletviewer_OBJECTS =  \
 @CREATE_WRAPPERS_TRUE@	gappletviewer-toolwrapper.$(OBJEXT)
 gappletviewer_OBJECTS = $(am_gappletviewer_OBJECTS)
@@ -103,14 +102,12 @@
 gappletviewer_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(gappletviewer_CFLAGS) \
 	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
-am__gjar_SOURCES_DIST = toolwrapper.c
 @CREATE_WRAPPERS_TRUE@am_gjar_OBJECTS = gjar-toolwrapper.$(OBJEXT)
 gjar_OBJECTS = $(am_gjar_OBJECTS)
 gjar_LDADD = $(LDADD)
 gjar_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=link $(CCLD) $(gjar_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
-am__gjarsigner_SOURCES_DIST = toolwrapper.c
 @CREATE_WRAPPERS_TRUE@am_gjarsigner_OBJECTS =  \
 @CREATE_WRAPPERS_TRUE@	gjarsigner-toolwrapper.$(OBJEXT)
 gjarsigner_OBJECTS = $(am_gjarsigner_OBJECTS)
@@ -118,7 +115,6 @@
 gjarsigner_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(gjarsigner_CFLAGS) \
 	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
-am__gjavah_SOURCES_DIST = toolwrapper.c
 @CREATE_WRAPPERS_TRUE@am_gjavah_OBJECTS =  \
 @CREATE_WRAPPERS_TRUE@	gjavah-toolwrapper.$(OBJEXT)
 gjavah_OBJECTS = $(am_gjavah_OBJECTS)
@@ -126,14 +122,12 @@
 gjavah_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=link $(CCLD) $(gjavah_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
-am__gjdoc_SOURCES_DIST = toolwrapper.c
 @CREATE_WRAPPERS_TRUE@am_gjdoc_OBJECTS = gjdoc-toolwrapper.$(OBJEXT)
 gjdoc_OBJECTS = $(am_gjdoc_OBJECTS)
 gjdoc_LDADD = $(LDADD)
 gjdoc_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=link $(CCLD) $(gjdoc_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
-am__gkeytool_SOURCES_DIST = toolwrapper.c
 @CREATE_WRAPPERS_TRUE@am_gkeytool_OBJECTS =  \
 @CREATE_WRAPPERS_TRUE@	gkeytool-toolwrapper.$(OBJEXT)
 gkeytool_OBJECTS = $(am_gkeytool_OBJECTS)
@@ -141,7 +135,6 @@
 gkeytool_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=link $(CCLD) $(gkeytool_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
-am__gnative2ascii_SOURCES_DIST = toolwrapper.c
 @CREATE_WRAPPERS_TRUE@am_gnative2ascii_OBJECTS =  \
 @CREATE_WRAPPERS_TRUE@	gnative2ascii-toolwrapper.$(OBJEXT)
 gnative2ascii_OBJECTS = $(am_gnative2ascii_OBJECTS)
@@ -149,28 +142,24 @@
 gnative2ascii_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(gnative2ascii_CFLAGS) \
 	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
-am__gorbd_SOURCES_DIST = toolwrapper.c
 @CREATE_WRAPPERS_TRUE@am_gorbd_OBJECTS = gorbd-toolwrapper.$(OBJEXT)
 gorbd_OBJECTS = $(am_gorbd_OBJECTS)
 gorbd_LDADD = $(LDADD)
 gorbd_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=link $(CCLD) $(gorbd_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
-am__grmic_SOURCES_DIST = toolwrapper.c
 @CREATE_WRAPPERS_TRUE@am_grmic_OBJECTS = grmic-toolwrapper.$(OBJEXT)
 grmic_OBJECTS = $(am_grmic_OBJECTS)
 grmic_LDADD = $(LDADD)
 grmic_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=link $(CCLD) $(grmic_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
-am__grmid_SOURCES_DIST = toolwrapper.c
 @CREATE_WRAPPERS_TRUE@am_grmid_OBJECTS = grmid-toolwrapper.$(OBJEXT)
 grmid_OBJECTS = $(am_grmid_OBJECTS)
 grmid_LDADD = $(LDADD)
 grmid_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=link $(CCLD) $(grmid_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
-am__grmiregistry_SOURCES_DIST = toolwrapper.c
 @CREATE_WRAPPERS_TRUE@am_grmiregistry_OBJECTS =  \
 @CREATE_WRAPPERS_TRUE@	grmiregistry-toolwrapper.$(OBJEXT)
 grmiregistry_OBJECTS = $(am_grmiregistry_OBJECTS)
@@ -178,7 +167,6 @@
 grmiregistry_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(grmiregistry_CFLAGS) \
 	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
-am__gserialver_SOURCES_DIST = toolwrapper.c
 @CREATE_WRAPPERS_TRUE@am_gserialver_OBJECTS =  \
 @CREATE_WRAPPERS_TRUE@	gserialver-toolwrapper.$(OBJEXT)
 gserialver_OBJECTS = $(am_gserialver_OBJECTS)
@@ -186,7 +174,6 @@
 gserialver_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(gserialver_CFLAGS) \
 	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
-am__gtnameserv_SOURCES_DIST = toolwrapper.c
 @CREATE_WRAPPERS_TRUE@am_gtnameserv_OBJECTS =  \
 @CREATE_WRAPPERS_TRUE@	gtnameserv-toolwrapper.$(OBJEXT)
 gtnameserv_OBJECTS = $(am_gtnameserv_OBJECTS)
@@ -234,17 +221,9 @@
 	$(gkeytool_SOURCES) $(gnative2ascii_SOURCES) $(gorbd_SOURCES) \
 	$(grmic_SOURCES) $(grmid_SOURCES) $(grmiregistry_SOURCES) \
 	$(gserialver_SOURCES) $(gtnameserv_SOURCES)
-DIST_SOURCES = $(am__gappletviewer_SOURCES_DIST) \
-	$(am__gjar_SOURCES_DIST) $(am__gjarsigner_SOURCES_DIST) \
-	$(am__gjavah_SOURCES_DIST) $(am__gjdoc_SOURCES_DIST) \
-	$(am__gkeytool_SOURCES_DIST) $(am__gnative2ascii_SOURCES_DIST) \
-	$(am__gorbd_SOURCES_DIST) $(am__grmic_SOURCES_DIST) \
-	$(am__grmid_SOURCES_DIST) $(am__grmiregistry_SOURCES_DIST) \
-	$(am__gserialver_SOURCES_DIST) $(am__gtnameserv_SOURCES_DIST)
 DATA = $(noinst_DATA)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -1199,40 +1178,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
-	$(MAKE) $(AM_MAKEFLAGS) \
-	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
-	  dist-hook
 check-am: all-am
 check: $(BUILT_SOURCES)
 	$(MAKE) $(AM_MAKEFLAGS) check-am
@@ -1343,9 +1288,9 @@
 
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-binPROGRAMS \
 	clean-generic clean-libtool clean-local clean-noinstPROGRAMS \
-	ctags dist-hook distclean distclean-compile distclean-generic \
-	distclean-libtool distclean-tags distdir dvi dvi-am html \
-	html-am info info-am install install-am install-binPROGRAMS \
+	ctags distclean distclean-compile distclean-generic \
+	distclean-libtool distclean-tags dvi dvi-am html html-am info \
+	info-am install install-am install-binPROGRAMS \
 	install-binSCRIPTS install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
Index: libjava/classpath/doc/Makefile.in
===================================================================
--- libjava/classpath/doc/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/doc/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -35,7 +35,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = doc
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in texinfo.tex
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -67,7 +67,6 @@
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
 SOURCES =
-DIST_SOURCES =
 INFO_DEPS = cp-tools.info
 am__TEXINFO_TEX_DIR = $(srcdir)/../../gcc/doc/include
 DVIS = cp-tools.dvi
@@ -115,37 +114,10 @@
 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
   distclean-recursive maintainer-clean-recursive
 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
-	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
-	distdir
+	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS
 ETAGS = etags
 CTAGS = ctags
 DIST_SUBDIRS = $(SUBDIRS)
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-am__relativize = \
-  dir0=`pwd`; \
-  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
-  sed_rest='s,^[^/]*/*,,'; \
-  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
-  sed_butlast='s,/*[^/]*$$,,'; \
-  while test -n "$$dir1"; do \
-    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
-    if test "$$first" != "."; then \
-      if test "$$first" = ".."; then \
-        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
-        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
-      else \
-        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
-        if test "$$first2" = "$$first"; then \
-          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
-        else \
-          dir2="../$$dir2"; \
-        fi; \
-        dir0="$$dir0"/"$$first"; \
-      fi; \
-    fi; \
-    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
-  done; \
-  reldir="$$dir2"
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -756,81 +728,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@list='$(MANS)'; if test -n "$$list"; then \
-	  list=`for p in $$list; do \
-	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
-	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
-	  if test -n "$$list" && \
-	    grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
-	    echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
-	    grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
-	    echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
-	    echo "       typically \`make maintainer-clean' will remove them" >&2; \
-	    exit 1; \
-	  else :; fi; \
-	else :; fi
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
-	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
-	  if test "$$subdir" = .; then :; else \
-	    test -d "$(distdir)/$$subdir" \
-	    || $(MKDIR_P) "$(distdir)/$$subdir" \
-	    || exit 1; \
-	  fi; \
-	done
-	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
-	  if test "$$subdir" = .; then :; else \
-	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
-	    $(am__relativize); \
-	    new_distdir=$$reldir; \
-	    dir1=$$subdir; dir2="$(top_distdir)"; \
-	    $(am__relativize); \
-	    new_top_distdir=$$reldir; \
-	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
-	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
-	    ($(am__cd) $$subdir && \
-	      $(MAKE) $(AM_MAKEFLAGS) \
-	        top_distdir="$$new_top_distdir" \
-	        distdir="$$new_distdir" \
-		am__remove_distdir=: \
-		am__skip_length_check=: \
-		am__skip_mode_fix=: \
-	        distdir) \
-	      || exit 1; \
-	  fi; \
-	done
-	$(MAKE) $(AM_MAKEFLAGS) \
-	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
-	  dist-info
 check-am: all-am
 check: check-recursive
 all-am: Makefile $(INFO_DEPS) $(MANS) all-local
@@ -1021,8 +918,8 @@
 	all all-am all-local check check-am clean clean-aminfo \
 	clean-generic clean-libtool clean-local ctags ctags-recursive \
 	dist-info distclean distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-man1 install-pdf install-pdf-am install-ps \
Index: libjava/classpath/doc/api/Makefile.in
===================================================================
--- libjava/classpath/doc/api/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/doc/api/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = doc/api
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -68,9 +68,7 @@
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
 SOURCES =
-DIST_SOURCES =
 DATA = $(noinst_DATA)
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -330,37 +328,6 @@
 ctags: CTAGS
 CTAGS:
 
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(DATA)
@@ -459,16 +426,16 @@
 .MAKE: install-am install-strip
 
 .PHONY: all all-am check check-am clean clean-generic clean-libtool \
-	clean-local distclean distclean-generic distclean-libtool \
-	distdir dvi dvi-am html html-am info info-am install \
-	install-am install-data install-data-am install-data-local \
-	install-dvi install-dvi-am install-exec install-exec-am \
-	install-html install-html-am install-info install-info-am \
-	install-man install-pdf install-pdf-am install-ps \
-	install-ps-am install-strip installcheck installcheck-am \
-	installdirs maintainer-clean maintainer-clean-generic \
-	mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
-	ps ps-am uninstall uninstall-am uninstall-local
+	clean-local distclean distclean-generic distclean-libtool dvi \
+	dvi-am html html-am info info-am install install-am \
+	install-data install-data-am install-data-local install-dvi \
+	install-dvi-am install-exec install-exec-am install-html \
+	install-html-am install-info install-info-am install-man \
+	install-pdf install-pdf-am install-ps install-ps-am \
+	install-strip installcheck installcheck-am installdirs \
+	maintainer-clean maintainer-clean-generic mostlyclean \
+	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
+	uninstall uninstall-am uninstall-local
 
 
 @CREATE_API_DOCS_TRUE@install-data-local:
Index: libjava/classpath/external/Makefile.in
===================================================================
--- libjava/classpath/external/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/external/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -35,7 +35,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = external
-DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -67,7 +67,6 @@
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
 SOURCES =
-DIST_SOURCES =
 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
 	html-recursive info-recursive install-data-recursive \
 	install-dvi-recursive install-exec-recursive \
@@ -78,37 +77,10 @@
 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
   distclean-recursive maintainer-clean-recursive
 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
-	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
-	distdir
+	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS
 ETAGS = etags
 CTAGS = ctags
 DIST_SUBDIRS = $(SUBDIRS)
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-am__relativize = \
-  dir0=`pwd`; \
-  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
-  sed_rest='s,^[^/]*/*,,'; \
-  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
-  sed_butlast='s,/*[^/]*$$,,'; \
-  while test -n "$$dir1"; do \
-    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
-    if test "$$first" != "."; then \
-      if test "$$first" = ".."; then \
-        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
-        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
-      else \
-        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
-        if test "$$first2" = "$$first"; then \
-          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
-        else \
-          dir2="../$$dir2"; \
-        fi; \
-        dir0="$$dir0"/"$$first"; \
-      fi; \
-    fi; \
-    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
-  done; \
-  reldir="$$dir2"
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -496,65 +468,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
-	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
-	  if test "$$subdir" = .; then :; else \
-	    test -d "$(distdir)/$$subdir" \
-	    || $(MKDIR_P) "$(distdir)/$$subdir" \
-	    || exit 1; \
-	  fi; \
-	done
-	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
-	  if test "$$subdir" = .; then :; else \
-	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
-	    $(am__relativize); \
-	    new_distdir=$$reldir; \
-	    dir1=$$subdir; dir2="$(top_distdir)"; \
-	    $(am__relativize); \
-	    new_top_distdir=$$reldir; \
-	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
-	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
-	    ($(am__cd) $$subdir && \
-	      $(MAKE) $(AM_MAKEFLAGS) \
-	        top_distdir="$$new_top_distdir" \
-	        distdir="$$new_distdir" \
-		am__remove_distdir=: \
-		am__skip_length_check=: \
-		am__skip_mode_fix=: \
-	        distdir) \
-	      || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-recursive
 all-am: Makefile
@@ -657,13 +570,13 @@
 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
 	all all-am check check-am clean clean-generic clean-libtool \
 	ctags ctags-recursive distclean distclean-generic \
-	distclean-libtool distclean-tags distdir dvi dvi-am html \
-	html-am info info-am install install-am install-data \
-	install-data-am install-dvi install-dvi-am install-exec \
-	install-exec-am install-html install-html-am install-info \
-	install-info-am install-man install-pdf install-pdf-am \
-	install-ps install-ps-am install-strip installcheck \
-	installcheck-am installdirs installdirs-am maintainer-clean \
+	distclean-libtool distclean-tags dvi dvi-am html html-am info \
+	info-am install install-am install-data install-data-am \
+	install-dvi install-dvi-am install-exec install-exec-am \
+	install-html install-html-am install-info install-info-am \
+	install-man install-pdf install-pdf-am install-ps \
+	install-ps-am install-strip installcheck installcheck-am \
+	installdirs installdirs-am maintainer-clean \
 	maintainer-clean-generic mostlyclean mostlyclean-generic \
 	mostlyclean-libtool pdf pdf-am ps ps-am tags tags-recursive \
 	uninstall uninstall-am
Index: libjava/classpath/external/jsr166/Makefile.in
===================================================================
--- libjava/classpath/external/jsr166/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/external/jsr166/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -35,7 +35,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = external/jsr166
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -67,8 +67,6 @@
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
 SOURCES =
-DIST_SOURCES =
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -398,37 +396,6 @@
 ctags: CTAGS
 CTAGS:
 
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile
@@ -527,13 +494,13 @@
 .MAKE: install-am install-strip
 
 .PHONY: all all-am check check-am clean clean-generic clean-libtool \
-	distclean distclean-generic distclean-libtool distdir dvi \
-	dvi-am html html-am info info-am install install-am \
-	install-data install-data-am install-dvi install-dvi-am \
-	install-exec install-exec-am install-html install-html-am \
-	install-info install-info-am install-man install-pdf \
-	install-pdf-am install-ps install-ps-am install-strip \
-	installcheck installcheck-am installdirs maintainer-clean \
+	distclean distclean-generic distclean-libtool dvi dvi-am html \
+	html-am info info-am install install-am install-data \
+	install-data-am install-dvi install-dvi-am install-exec \
+	install-exec-am install-html install-html-am install-info \
+	install-info-am install-man install-pdf install-pdf-am \
+	install-ps install-ps-am install-strip installcheck \
+	installcheck-am installdirs maintainer-clean \
 	maintainer-clean-generic mostlyclean mostlyclean-generic \
 	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am
 
Index: libjava/classpath/external/sax/Makefile.in
===================================================================
--- libjava/classpath/external/sax/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/external/sax/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -35,7 +35,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = external/sax
-DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -67,8 +67,6 @@
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
 SOURCES =
-DIST_SOURCES =
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -366,37 +364,6 @@
 ctags: CTAGS
 CTAGS:
 
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile
@@ -495,13 +462,13 @@
 .MAKE: install-am install-strip
 
 .PHONY: all all-am check check-am clean clean-generic clean-libtool \
-	distclean distclean-generic distclean-libtool distdir dvi \
-	dvi-am html html-am info info-am install install-am \
-	install-data install-data-am install-dvi install-dvi-am \
-	install-exec install-exec-am install-html install-html-am \
-	install-info install-info-am install-man install-pdf \
-	install-pdf-am install-ps install-ps-am install-strip \
-	installcheck installcheck-am installdirs maintainer-clean \
+	distclean distclean-generic distclean-libtool dvi dvi-am html \
+	html-am info info-am install install-am install-data \
+	install-data-am install-dvi install-dvi-am install-exec \
+	install-exec-am install-html install-html-am install-info \
+	install-info-am install-man install-pdf install-pdf-am \
+	install-ps install-ps-am install-strip installcheck \
+	installcheck-am installdirs maintainer-clean \
 	maintainer-clean-generic mostlyclean mostlyclean-generic \
 	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am
 
Index: libjava/classpath/external/w3c_dom/Makefile.in
===================================================================
--- libjava/classpath/external/w3c_dom/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/external/w3c_dom/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -35,7 +35,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = external/w3c_dom
-DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -67,8 +67,6 @@
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
 SOURCES =
-DIST_SOURCES =
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -473,37 +471,6 @@
 ctags: CTAGS
 CTAGS:
 
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile
@@ -602,13 +569,13 @@
 .MAKE: install-am install-strip
 
 .PHONY: all all-am check check-am clean clean-generic clean-libtool \
-	distclean distclean-generic distclean-libtool distdir dvi \
-	dvi-am html html-am info info-am install install-am \
-	install-data install-data-am install-dvi install-dvi-am \
-	install-exec install-exec-am install-html install-html-am \
-	install-info install-info-am install-man install-pdf \
-	install-pdf-am install-ps install-ps-am install-strip \
-	installcheck installcheck-am installdirs maintainer-clean \
+	distclean distclean-generic distclean-libtool dvi dvi-am html \
+	html-am info info-am install install-am install-data \
+	install-data-am install-dvi install-dvi-am install-exec \
+	install-exec-am install-html install-html-am install-info \
+	install-info-am install-man install-pdf install-pdf-am \
+	install-ps install-ps-am install-strip installcheck \
+	installcheck-am installdirs maintainer-clean \
 	maintainer-clean-generic mostlyclean mostlyclean-generic \
 	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am
 
Index: libjava/classpath/external/relaxngDatatype/Makefile.in
===================================================================
--- libjava/classpath/external/relaxngDatatype/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/external/relaxngDatatype/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -35,7 +35,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = external/relaxngDatatype
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -67,8 +67,6 @@
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
 SOURCES =
-DIST_SOURCES =
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -338,37 +336,6 @@
 ctags: CTAGS
 CTAGS:
 
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile
@@ -467,13 +434,13 @@
 .MAKE: install-am install-strip
 
 .PHONY: all all-am check check-am clean clean-generic clean-libtool \
-	distclean distclean-generic distclean-libtool distdir dvi \
-	dvi-am html html-am info info-am install install-am \
-	install-data install-data-am install-dvi install-dvi-am \
-	install-exec install-exec-am install-html install-html-am \
-	install-info install-info-am install-man install-pdf \
-	install-pdf-am install-ps install-ps-am install-strip \
-	installcheck installcheck-am installdirs maintainer-clean \
+	distclean distclean-generic distclean-libtool dvi dvi-am html \
+	html-am info info-am install install-am install-data \
+	install-data-am install-dvi install-dvi-am install-exec \
+	install-exec-am install-html install-html-am install-info \
+	install-info-am install-man install-pdf install-pdf-am \
+	install-ps install-ps-am install-strip installcheck \
+	installcheck-am installdirs maintainer-clean \
 	maintainer-clean-generic mostlyclean mostlyclean-generic \
 	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am
 
Index: libjava/classpath/include/Makefile.in
===================================================================
--- libjava/classpath/include/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/include/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -35,7 +35,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = include
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
 	$(srcdir)/config.h.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
@@ -68,8 +68,6 @@
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
 SOURCES =
-DIST_SOURCES =
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -501,37 +499,6 @@
 ctags: CTAGS
 CTAGS:
 
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 @CREATE_JNI_HEADERS_FALSE@all-local:
@@ -633,8 +600,8 @@
 
 .PHONY: all all-am all-local check check-am clean clean-generic \
 	clean-libtool distclean distclean-generic distclean-hdr \
-	distclean-libtool distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-libtool dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-pdf install-pdf-am install-ps install-ps-am \
Index: libjava/classpath/native/jni/Makefile.in
===================================================================
--- libjava/classpath/native/jni/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/native/jni/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -35,7 +35,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = native/jni
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -67,7 +67,6 @@
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
 SOURCES =
-DIST_SOURCES =
 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
 	html-recursive info-recursive install-data-recursive \
 	install-dvi-recursive install-exec-recursive \
@@ -78,36 +77,9 @@
 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
   distclean-recursive maintainer-clean-recursive
 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
-	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
-	distdir
+	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-am__relativize = \
-  dir0=`pwd`; \
-  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
-  sed_rest='s,^[^/]*/*,,'; \
-  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
-  sed_butlast='s,/*[^/]*$$,,'; \
-  while test -n "$$dir1"; do \
-    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
-    if test "$$first" != "."; then \
-      if test "$$first" = ".."; then \
-        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
-        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
-      else \
-        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
-        if test "$$first2" = "$$first"; then \
-          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
-        else \
-          dir2="../$$dir2"; \
-        fi; \
-        dir0="$$dir0"/"$$first"; \
-      fi; \
-    fi; \
-    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
-  done; \
-  reldir="$$dir2"
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -510,65 +482,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
-	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
-	  if test "$$subdir" = .; then :; else \
-	    test -d "$(distdir)/$$subdir" \
-	    || $(MKDIR_P) "$(distdir)/$$subdir" \
-	    || exit 1; \
-	  fi; \
-	done
-	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
-	  if test "$$subdir" = .; then :; else \
-	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
-	    $(am__relativize); \
-	    new_distdir=$$reldir; \
-	    dir1=$$subdir; dir2="$(top_distdir)"; \
-	    $(am__relativize); \
-	    new_top_distdir=$$reldir; \
-	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
-	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
-	    ($(am__cd) $$subdir && \
-	      $(MAKE) $(AM_MAKEFLAGS) \
-	        top_distdir="$$new_top_distdir" \
-	        distdir="$$new_distdir" \
-		am__remove_distdir=: \
-		am__skip_length_check=: \
-		am__skip_mode_fix=: \
-	        distdir) \
-	      || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-recursive
 all-am: Makefile all-local
@@ -671,16 +584,16 @@
 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
 	all all-am all-local check check-am clean clean-generic \
 	clean-libtool ctags ctags-recursive distclean \
-	distclean-generic distclean-libtool distclean-tags distdir dvi \
-	dvi-am html html-am info info-am install install-am \
-	install-data install-data-am install-dvi install-dvi-am \
-	install-exec install-exec-am install-html install-html-am \
-	install-info install-info-am install-man install-pdf \
-	install-pdf-am install-ps install-ps-am install-strip \
-	installcheck installcheck-am installdirs installdirs-am \
-	maintainer-clean maintainer-clean-generic mostlyclean \
-	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
-	tags tags-recursive uninstall uninstall-am
+	distclean-generic distclean-libtool distclean-tags dvi dvi-am \
+	html html-am info info-am install install-am install-data \
+	install-data-am install-dvi install-dvi-am install-exec \
+	install-exec-am install-html install-html-am install-info \
+	install-info-am install-man install-pdf install-pdf-am \
+	install-ps install-ps-am install-strip installcheck \
+	installcheck-am installdirs installdirs-am maintainer-clean \
+	maintainer-clean-generic mostlyclean mostlyclean-generic \
+	mostlyclean-libtool pdf pdf-am ps ps-am tags tags-recursive \
+	uninstall uninstall-am
 
 
 all-local:
Index: libjava/classpath/native/jni/classpath/Makefile.in
===================================================================
--- libjava/classpath/native/jni/classpath/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/native/jni/classpath/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = native/jni/classpath
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -85,10 +85,8 @@
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libclasspath_la_SOURCES)
-DIST_SOURCES = $(libclasspath_la_SOURCES)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -445,37 +443,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES)
@@ -581,8 +548,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-noinstLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-pdf install-pdf-am install-ps install-ps-am \
Index: libjava/classpath/native/jni/gstreamer-peer/Makefile.in
===================================================================
--- libjava/classpath/native/jni/gstreamer-peer/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/native/jni/gstreamer-peer/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = native/jni/gstreamer-peer
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -113,10 +113,8 @@
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libgstreamerpeer_la_SOURCES)
-DIST_SOURCES = $(libgstreamerpeer_la_SOURCES)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -514,37 +512,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES)
@@ -653,8 +620,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-nativeexeclibLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-nativeexeclibLTLIBRARIES install-pdf install-pdf-am \
Index: libjava/classpath/native/jni/midi-dssi/Makefile.in
===================================================================
--- libjava/classpath/native/jni/midi-dssi/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/native/jni/midi-dssi/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = native/jni/midi-dssi
-DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -113,10 +113,8 @@
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libgjsmdssi_la_SOURCES)
-DIST_SOURCES = $(libgjsmdssi_la_SOURCES)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -496,37 +494,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES)
@@ -635,8 +602,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-nativeexeclibLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-nativeexeclibLTLIBRARIES install-pdf install-pdf-am \
Index: libjava/classpath/native/jni/gconf-peer/Makefile.in
===================================================================
--- libjava/classpath/native/jni/gconf-peer/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/native/jni/gconf-peer/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = native/jni/gconf-peer
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -111,10 +111,8 @@
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libgconfpeer_la_SOURCES)
-DIST_SOURCES = $(libgconfpeer_la_SOURCES)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -489,37 +487,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES)
@@ -628,8 +595,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-nativeexeclibLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-nativeexeclibLTLIBRARIES install-pdf install-pdf-am \
Index: libjava/classpath/native/jni/java-io/Makefile.in
===================================================================
--- libjava/classpath/native/jni/java-io/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/native/jni/java-io/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = native/jni/java-io
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -110,10 +110,8 @@
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libjavaio_la_SOURCES)
-DIST_SOURCES = $(libjavaio_la_SOURCES)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -496,37 +494,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES)
@@ -635,8 +602,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-nativeexeclibLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-nativeexeclibLTLIBRARIES install-pdf install-pdf-am \
Index: libjava/classpath/native/jni/native-lib/Makefile.in
===================================================================
--- libjava/classpath/native/jni/native-lib/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/native/jni/native-lib/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = native/jni/native-lib
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -85,10 +85,8 @@
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libclasspathnative_la_SOURCES)
-DIST_SOURCES = $(libclasspathnative_la_SOURCES)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -448,37 +446,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES)
@@ -584,8 +551,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-noinstLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-pdf install-pdf-am install-ps install-ps-am \
Index: libjava/classpath/native/jni/java-util/Makefile.in
===================================================================
--- libjava/classpath/native/jni/java-util/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/native/jni/java-util/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = native/jni/java-util
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -107,10 +107,8 @@
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libjavautil_la_SOURCES)
-DIST_SOURCES = $(libjavautil_la_SOURCES)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -483,37 +481,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES)
@@ -622,8 +589,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-nativeexeclibLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-nativeexeclibLTLIBRARIES install-pdf install-pdf-am \
Index: libjava/classpath/native/jni/java-lang/Makefile.in
===================================================================
--- libjava/classpath/native/jni/java-lang/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/native/jni/java-lang/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = native/jni/java-lang
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -122,12 +122,8 @@
 SOURCES = $(libjavalang_la_SOURCES) \
 	$(libjavalangmanagement_la_SOURCES) \
 	$(libjavalangreflect_la_SOURCES)
-DIST_SOURCES = $(libjavalang_la_SOURCES) \
-	$(libjavalangmanagement_la_SOURCES) \
-	$(libjavalangreflect_la_SOURCES)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -521,37 +517,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES)
@@ -660,8 +625,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-nativeexeclibLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-nativeexeclibLTLIBRARIES install-pdf install-pdf-am \
Index: libjava/classpath/native/jni/midi-alsa/Makefile.in
===================================================================
--- libjava/classpath/native/jni/midi-alsa/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/native/jni/midi-alsa/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = native/jni/midi-alsa
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -113,10 +113,8 @@
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libgjsmalsa_la_SOURCES)
-DIST_SOURCES = $(libgjsmalsa_la_SOURCES)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -496,37 +494,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES)
@@ -635,8 +602,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-nativeexeclibLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-nativeexeclibLTLIBRARIES install-pdf install-pdf-am \
Index: libjava/classpath/native/jni/java-nio/Makefile.in
===================================================================
--- libjava/classpath/native/jni/java-nio/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/native/jni/java-nio/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = native/jni/java-nio
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -118,10 +118,8 @@
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libjavanio_la_SOURCES)
-DIST_SOURCES = $(libjavanio_la_SOURCES)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -519,37 +517,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES)
@@ -658,8 +625,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-nativeexeclibLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-nativeexeclibLTLIBRARIES install-pdf install-pdf-am \
Index: libjava/classpath/native/jni/java-net/Makefile.in
===================================================================
--- libjava/classpath/native/jni/java-net/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/native/jni/java-net/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = native/jni/java-net
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -95,10 +95,6 @@
 	$(top_builddir)/native/jni/classpath/jcl.lo \
 	$(top_builddir)/native/jni/native-lib/libclasspathnative.la \
 	$(am__DEPENDENCIES_1)
-am__libjavanet_la_SOURCES_DIST = javanet.c javanet.h \
-	java_net_VMInetAddress.c java_net_VMNetworkInterface.c \
-	java_net_VMURLConnection.c gnu_java_net_VMPlainSocketImpl.c \
-	gnu_java_net_local_LocalSocketImpl.c local.c local.h
 @ENABLE_LOCAL_SOCKETS_FALSE@am__objects_1 = gnu_java_net_local_LocalSocketImpl.lo
 @ENABLE_LOCAL_SOCKETS_TRUE@am__objects_1 = gnu_java_net_local_LocalSocketImpl.lo \
 @ENABLE_LOCAL_SOCKETS_TRUE@	local.lo
@@ -120,10 +116,8 @@
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libjavanet_la_SOURCES)
-DIST_SOURCES = $(am__libjavanet_la_SOURCES_DIST)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -518,37 +512,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES)
@@ -657,8 +620,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-nativeexeclibLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-nativeexeclibLTLIBRARIES install-pdf install-pdf-am \
Index: libjava/classpath/native/jni/java-math/Makefile.in
===================================================================
--- libjava/classpath/native/jni/java-math/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/native/jni/java-math/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = native/jni/java-math
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -111,10 +111,8 @@
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libjavamath_la_SOURCES)
-DIST_SOURCES = $(libjavamath_la_SOURCES)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -487,37 +485,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES)
@@ -626,8 +593,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-nativeexeclibLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-nativeexeclibLTLIBRARIES install-pdf install-pdf-am \
Index: libjava/classpath/native/jni/xmlj/Makefile.in
===================================================================
--- libjava/classpath/native/jni/xmlj/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/native/jni/xmlj/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = native/jni/xmlj
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -109,10 +109,8 @@
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libxmlj_la_SOURCES)
-DIST_SOURCES = $(libxmlj_la_SOURCES)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -511,37 +509,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES)
@@ -650,8 +617,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-nativeexeclibLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-nativeexeclibLTLIBRARIES install-pdf install-pdf-am \
Index: libjava/classpath/native/jni/qt-peer/Makefile.in
===================================================================
--- libjava/classpath/native/jni/qt-peer/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/native/jni/qt-peer/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -39,7 +39,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = native/jni/qt-peer
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -115,10 +115,8 @@
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libqtpeer_la_SOURCES) $(nodist_libqtpeer_la_SOURCES)
-DIST_SOURCES = $(libqtpeer_la_SOURCES)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -577,37 +575,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: $(BUILT_SOURCES)
 	$(MAKE) $(AM_MAKEFLAGS) check-am
@@ -717,8 +684,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-noinstLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-pdf install-pdf-am install-ps install-ps-am \
Index: libjava/classpath/native/jni/gtk-peer/Makefile.in
===================================================================
--- libjava/classpath/native/jni/gtk-peer/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/native/jni/gtk-peer/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = native/jni/gtk-peer
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -149,10 +149,8 @@
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libgtkpeer_la_SOURCES)
-DIST_SOURCES = $(libgtkpeer_la_SOURCES)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -620,37 +618,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES)
@@ -759,8 +726,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-nativeexeclibLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-nativeexeclibLTLIBRARIES install-pdf install-pdf-am \
Index: libjava/classpath/native/Makefile.in
===================================================================
--- libjava/classpath/native/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/native/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -35,7 +35,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = native
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -67,7 +67,6 @@
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
 SOURCES =
-DIST_SOURCES =
 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
 	html-recursive info-recursive install-data-recursive \
 	install-dvi-recursive install-exec-recursive \
@@ -78,36 +77,9 @@
 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
   distclean-recursive maintainer-clean-recursive
 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
-	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
-	distdir
+	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-am__relativize = \
-  dir0=`pwd`; \
-  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
-  sed_rest='s,^[^/]*/*,,'; \
-  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
-  sed_butlast='s,/*[^/]*$$,,'; \
-  while test -n "$$dir1"; do \
-    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
-    if test "$$first" != "."; then \
-      if test "$$first" = ".."; then \
-        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
-        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
-      else \
-        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
-        if test "$$first2" = "$$first"; then \
-          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
-        else \
-          dir2="../$$dir2"; \
-        fi; \
-        dir0="$$dir0"/"$$first"; \
-      fi; \
-    fi; \
-    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
-  done; \
-  reldir="$$dir2"
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -498,65 +470,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
-	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
-	  if test "$$subdir" = .; then :; else \
-	    test -d "$(distdir)/$$subdir" \
-	    || $(MKDIR_P) "$(distdir)/$$subdir" \
-	    || exit 1; \
-	  fi; \
-	done
-	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
-	  if test "$$subdir" = .; then :; else \
-	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
-	    $(am__relativize); \
-	    new_distdir=$$reldir; \
-	    dir1=$$subdir; dir2="$(top_distdir)"; \
-	    $(am__relativize); \
-	    new_top_distdir=$$reldir; \
-	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
-	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
-	    ($(am__cd) $$subdir && \
-	      $(MAKE) $(AM_MAKEFLAGS) \
-	        top_distdir="$$new_top_distdir" \
-	        distdir="$$new_distdir" \
-		am__remove_distdir=: \
-		am__skip_length_check=: \
-		am__skip_mode_fix=: \
-	        distdir) \
-	      || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-recursive
 all-am: Makefile
@@ -659,13 +572,13 @@
 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
 	all all-am check check-am clean clean-generic clean-libtool \
 	ctags ctags-recursive distclean distclean-generic \
-	distclean-libtool distclean-tags distdir dvi dvi-am html \
-	html-am info info-am install install-am install-data \
-	install-data-am install-dvi install-dvi-am install-exec \
-	install-exec-am install-html install-html-am install-info \
-	install-info-am install-man install-pdf install-pdf-am \
-	install-ps install-ps-am install-strip installcheck \
-	installcheck-am installdirs installdirs-am maintainer-clean \
+	distclean-libtool distclean-tags dvi dvi-am html html-am info \
+	info-am install install-am install-data install-data-am \
+	install-dvi install-dvi-am install-exec install-exec-am \
+	install-html install-html-am install-info install-info-am \
+	install-man install-pdf install-pdf-am install-ps \
+	install-ps-am install-strip installcheck installcheck-am \
+	installdirs installdirs-am maintainer-clean \
 	maintainer-clean-generic mostlyclean mostlyclean-generic \
 	mostlyclean-libtool pdf pdf-am ps ps-am tags tags-recursive \
 	uninstall uninstall-am
Index: libjava/classpath/native/jawt/Makefile.in
===================================================================
--- libjava/classpath/native/jawt/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/native/jawt/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = native/jawt
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -111,10 +111,8 @@
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libjawt_la_SOURCES)
-DIST_SOURCES = $(libjawt_la_SOURCES)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -492,37 +490,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES)
@@ -631,8 +598,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-nativeexeclibLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-nativeexeclibLTLIBRARIES install-pdf install-pdf-am \
Index: libjava/classpath/native/fdlibm/Makefile.in
===================================================================
--- libjava/classpath/native/fdlibm/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/native/fdlibm/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = native/fdlibm
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -94,10 +94,8 @@
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libfdlibm_la_SOURCES)
-DIST_SOURCES = $(libfdlibm_la_SOURCES)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -553,37 +551,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES)
@@ -689,8 +656,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-noinstLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-pdf install-pdf-am install-ps install-ps-am \
Index: libjava/classpath/native/plugin/Makefile.in
===================================================================
--- libjava/classpath/native/plugin/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/native/plugin/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = native/plugin
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -111,10 +111,8 @@
 	--mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
 SOURCES = $(libgcjwebplugin_la_SOURCES)
-DIST_SOURCES = $(libgcjwebplugin_la_SOURCES)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -497,37 +495,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES)
@@ -636,8 +603,8 @@
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-nativeexeclibLTLIBRARIES ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-tags dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-nativeexeclibLTLIBRARIES install-pdf install-pdf-am \
Index: libjava/classpath/lib/Makefile.in
===================================================================
--- libjava/classpath/lib/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/lib/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,9 +36,9 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = lib
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
-	$(srcdir)/copy-vmresources.sh.in $(srcdir)/gen-classlist.sh.in \
-	$(srcdir)/mkcollections.pl.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
+	$(srcdir)/mkcollections.pl.in $(srcdir)/gen-classlist.sh.in \
+	$(srcdir)/copy-vmresources.sh.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -71,9 +71,7 @@
 	copy-vmresources.sh
 CONFIG_CLEAN_VPATH_FILES =
 SOURCES =
-DIST_SOURCES =
 DATA = $(noinst_DATA)
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -356,40 +354,6 @@
 ctags: CTAGS
 CTAGS:
 
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
-	$(MAKE) $(AM_MAKEFLAGS) \
-	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
-	  dist-hook
 check-am: all-am
 check: check-am
 all-am: Makefile $(DATA)
@@ -492,17 +456,16 @@
 .MAKE: install-am install-strip
 
 .PHONY: all all-am check check-am clean clean-generic clean-libtool \
-	clean-local dist-hook distclean distclean-generic \
-	distclean-libtool distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am \
-	install-data-local install-dvi install-dvi-am install-exec \
-	install-exec-am install-html install-html-am install-info \
-	install-info-am install-man install-pdf install-pdf-am \
-	install-ps install-ps-am install-strip installcheck \
-	installcheck-am installdirs maintainer-clean \
-	maintainer-clean-generic mostlyclean mostlyclean-generic \
-	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
-	uninstall-local
+	clean-local distclean distclean-generic distclean-libtool dvi \
+	dvi-am html html-am info info-am install install-am \
+	install-data install-data-am install-data-local install-dvi \
+	install-dvi-am install-exec install-exec-am install-html \
+	install-html-am install-info install-info-am install-man \
+	install-pdf install-pdf-am install-ps install-ps-am \
+	install-strip installcheck installcheck-am installdirs \
+	maintainer-clean maintainer-clean-generic mostlyclean \
+	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
+	uninstall uninstall-am uninstall-local
 
 
 sinclude $(JAVA_DEPEND)
Index: libjava/classpath/ChangeLog.gcj
===================================================================
--- libjava/classpath/ChangeLog.gcj	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/ChangeLog.gcj	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,41 @@
+2013-03-22  Jakub Jelinek  <jakub@redhat.com>
+
+	PR other/43620
+	* Makefile.in: Regenerated.
+	* doc/Makefile.in: Regenerated.
+	* doc/api/Makefile.in: Regenerated.
+	* examples/Makefile.in: Regenerated.
+	* external/Makefile.in: Regenerated.
+	* external/jsr166/Makefile.in: Regenerated.
+	* external/relaxngDatatype/Makefile.in: Regenerated.
+	* external/sax/Makefile.in: Regenerated.
+	* external/w3c_dom/Makefile.in: Regenerated.
+	* include/Makefile.in: Regenerated.
+	* lib/Makefile.in: Regenerated.
+	* native/Makefile.in: Regenerated.
+	* native/fdlibm/Makefile.in: Regenerated.
+	* native/jawt/Makefile.in: Regenerated.
+	* native/jni/Makefile.in: Regenerated.
+	* native/jni/classpath/Makefile.in: Regenerated.
+	* native/jni/gconf-peer/Makefile.in: Regenerated.
+	* native/jni/gstreamer-peer/Makefile.in: Regenerated.
+	* native/jni/gtk-peer/Makefile.in: Regenerated.
+	* native/jni/java-io/Makefile.in: Regenerated.
+	* native/jni/java-lang/Makefile.in: Regenerated.
+	* native/jni/java-math/Makefile.in: Regenerated.
+	* native/jni/java-net/Makefile.in: Regenerated.
+	* native/jni/java-nio/Makefile.in: Regenerated.
+	* native/jni/java-util/Makefile.in: Regenerated.
+	* native/jni/midi-alsa/Makefile.in: Regenerated.
+	* native/jni/midi-dssi/Makefile.in: Regenerated.
+	* native/jni/native-lib/Makefile.in: Regenerated.
+	* native/jni/qt-peer/Makefile.in: Regenerated.
+	* native/jni/xmlj/Makefile.in: Regenerated.
+	* native/plugin/Makefile.in: Regenerated.
+	* resource/Makefile.in: Regenerated.
+	* scripts/Makefile.in: Regenerated.
+	* tools/Makefile.in: Regenerated.
+
 2013-02-21  Jakub Jelinek  <jakub@redhat.com>
 
 	PR bootstrap/56258
Index: libjava/classpath/examples/Makefile.in
===================================================================
--- libjava/classpath/examples/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath/examples/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,8 +36,8 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = examples
-DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
-	$(srcdir)/Makefile.java2d.in $(srcdir)/Makefile.jawt.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
+	$(srcdir)/Makefile.jawt.in $(srcdir)/Makefile.java2d.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../../config/depstand.m4 \
 	$(top_srcdir)/../../config/lead-dot.m4 \
@@ -69,7 +69,6 @@
 CONFIG_CLEAN_FILES = Makefile.jawt Makefile.java2d
 CONFIG_CLEAN_VPATH_FILES =
 SOURCES =
-DIST_SOURCES =
 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
 am__vpath_adj = case $$p in \
     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
@@ -93,7 +92,6 @@
   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
 am__installdirs = "$(DESTDIR)$(exampledir)"
 DATA = $(example_DATA)
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@
 ANTLR = @ANTLR@
@@ -419,40 +417,6 @@
 ctags: CTAGS
 CTAGS:
 
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
-	$(MAKE) $(AM_MAKEFLAGS) \
-	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
-	  dist-hook
 check-am: all-am
 check: $(BUILT_SOURCES)
 	$(MAKE) $(AM_MAKEFLAGS) check-am
@@ -557,17 +521,17 @@
 .MAKE: all check install install-am install-strip
 
 .PHONY: all all-am check check-am clean clean-generic clean-libtool \
-	clean-local dist-hook distclean distclean-generic \
-	distclean-libtool distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am \
-	install-data-local install-dvi install-dvi-am \
-	install-exampleDATA install-exec install-exec-am install-html \
-	install-html-am install-info install-info-am install-man \
-	install-pdf install-pdf-am install-ps install-ps-am \
-	install-strip installcheck installcheck-am installdirs \
-	maintainer-clean maintainer-clean-generic mostlyclean \
-	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
-	uninstall uninstall-am uninstall-exampleDATA uninstall-local
+	clean-local distclean distclean-generic distclean-libtool dvi \
+	dvi-am html html-am info info-am install install-am \
+	install-data install-data-am install-data-local install-dvi \
+	install-dvi-am install-exampleDATA install-exec \
+	install-exec-am install-html install-html-am install-info \
+	install-info-am install-man install-pdf install-pdf-am \
+	install-ps install-ps-am install-strip installcheck \
+	installcheck-am installdirs maintainer-clean \
+	maintainer-clean-generic mostlyclean mostlyclean-generic \
+	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
+	uninstall-exampleDATA uninstall-local
 
 
 # Make sure all sources and icons are also installed so users can use them.
Index: libjava/classpath
===================================================================
--- libjava/classpath	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libjava/classpath	(.../branches/gcc-4_8-branch)	(revision 199208)

Property changes on: libjava/classpath
___________________________________________________________________
Modified: svn:mergeinfo
   Merged /trunk/libjava/classpath:r197677
Index: libgcc/ChangeLog
===================================================================
--- libgcc/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libgcc/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,35 @@
+2013-04-11  Julian Brown  <julian@codesourcery.com>
+
+	* config/arm/linux-atomic.c (SUBWORD_SYNC_OP, SUBWORD_VAL_CAS)
+	(SUBWORD_TEST_AND_SET): Use signed char/short types instead of
+	unsigned char/unsigned short.
+	(__sync_val_compare_and_swap_{1,2}): Handle signed argument.
+
+2013-04-06  John David Anglin  <dave.anglin@nrc-cnrc.gc.ca>
+
+	PR other/55274
+	* config/t-slibgcc-hpux (SHLIB_MAPFILES): Define.
+
+2013-03-26  Robert Mason  <rbmj@verizon.net>
+
+	PR target/54805
+
+	Backport from mainline:
+	2013-03-20  Robert Mason  <rbmj@verizon.net>
+
+	* config/vxlib-tls.c (__gthread_get_tsd_data,)
+	(__gthread_set_tsd_data, __gthread_enter_tsd_dtor_context,)
+	(__gthread_leave_tsd_dtor_context): Add prototypes.
+	(tls_delete_hook): Update.
+
+2013-03-26  Walter Lee  <walt@tilera.com>
+
+	Backport from mainline:
+	2013-03-26  Walter Lee  <walt@tilera.com>
+	
+	* config/tilegx/t-crtstuff: Add -fno-asynchronous-unwind-tables
+	-mcmodel=large to CRTSTUFF_T_CFLAGS_S variable.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
Index: libgcc/config/t-slibgcc-hpux
===================================================================
--- libgcc/config/t-slibgcc-hpux	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libgcc/config/t-slibgcc-hpux	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -5,3 +5,4 @@
 INSTALL_SHLIB = $(INSTALL_DATA) -m 555
 
 SHLIB_MKMAP = $(srcdir)/mkmap-flat.awk
+SHLIB_MAPFILES = libgcc-std.ver
Index: libgcc/config/tilegx/t-crtstuff
===================================================================
--- libgcc/config/tilegx/t-crtstuff	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libgcc/config/tilegx/t-crtstuff	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -2,3 +2,7 @@
 # because then __FRAME_END__ might not be the last thing in .eh_frame
 # section.
 CRTSTUFF_T_CFLAGS += -fno-asynchronous-unwind-tables
+CRTSTUFF_T_CFLAGS_S += -fno-asynchronous-unwind-tables
+
+# Compile crtbeginS.o and crtendS.o with -mcmodel=large
+CRTSTUFF_T_CFLAGS_S += -mcmodel=large
Index: libgcc/config/vxlib-tls.c
===================================================================
--- libgcc/config/vxlib-tls.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libgcc/config/vxlib-tls.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -102,7 +102,15 @@
 extern void __gthread_enter_tls_dtor_context (void);
 extern void __gthread_leave_tls_dtor_context (void);
 
+#ifndef __RTP__
 
+extern void *__gthread_get_tsd_data (WIND_TCB *tcb);
+extern void __gthread_set_tsd_data (WIND_TCB *tcb, void *data);
+extern void __gthread_enter_tsd_dtor_context (WIND_TCB *tcb);
+extern void __gthread_leave_tsd_dtor_context (WIND_TCB *tcb);
+
+#endif /* __RTP__ */
+
 /* This is a global structure which records all of the active keys.
 
    A key is potentially valid (i.e. has been handed out by
@@ -185,7 +193,7 @@
 #ifdef __RTP__
       __gthread_leave_tls_dtor_context ();
 #else
-      __gthread_leave_tsd_dtor_context ();
+      __gthread_leave_tsd_dtor_context (tcb);
 #endif
 
 #ifdef __RTP__
Index: libgcc/config/arm/linux-atomic.c
===================================================================
--- libgcc/config/arm/linux-atomic.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libgcc/config/arm/linux-atomic.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -97,19 +97,19 @@
     return (RETURN & mask) >> shift;					\
   }
 
-SUBWORD_SYNC_OP (add,   , +, unsigned short, 2, oldval)
-SUBWORD_SYNC_OP (sub,   , -, unsigned short, 2, oldval)
-SUBWORD_SYNC_OP (or,    , |, unsigned short, 2, oldval)
-SUBWORD_SYNC_OP (and,   , &, unsigned short, 2, oldval)
-SUBWORD_SYNC_OP (xor,   , ^, unsigned short, 2, oldval)
-SUBWORD_SYNC_OP (nand, ~, &, unsigned short, 2, oldval)
+SUBWORD_SYNC_OP (add,   , +, short, 2, oldval)
+SUBWORD_SYNC_OP (sub,   , -, short, 2, oldval)
+SUBWORD_SYNC_OP (or,    , |, short, 2, oldval)
+SUBWORD_SYNC_OP (and,   , &, short, 2, oldval)
+SUBWORD_SYNC_OP (xor,   , ^, short, 2, oldval)
+SUBWORD_SYNC_OP (nand, ~, &, short, 2, oldval)
 
-SUBWORD_SYNC_OP (add,   , +, unsigned char, 1, oldval)
-SUBWORD_SYNC_OP (sub,   , -, unsigned char, 1, oldval)
-SUBWORD_SYNC_OP (or,    , |, unsigned char, 1, oldval)
-SUBWORD_SYNC_OP (and,   , &, unsigned char, 1, oldval)
-SUBWORD_SYNC_OP (xor,   , ^, unsigned char, 1, oldval)
-SUBWORD_SYNC_OP (nand, ~, &, unsigned char, 1, oldval)
+SUBWORD_SYNC_OP (add,   , +, signed char, 1, oldval)
+SUBWORD_SYNC_OP (sub,   , -, signed char, 1, oldval)
+SUBWORD_SYNC_OP (or,    , |, signed char, 1, oldval)
+SUBWORD_SYNC_OP (and,   , &, signed char, 1, oldval)
+SUBWORD_SYNC_OP (xor,   , ^, signed char, 1, oldval)
+SUBWORD_SYNC_OP (nand, ~, &, signed char, 1, oldval)
 
 #define OP_AND_FETCH_WORD(OP, PFX_OP, INF_OP)				\
   int HIDDEN								\
@@ -132,19 +132,19 @@
 OP_AND_FETCH_WORD (xor,   , ^)
 OP_AND_FETCH_WORD (nand, ~, &)
 
-SUBWORD_SYNC_OP (add,   , +, unsigned short, 2, newval)
-SUBWORD_SYNC_OP (sub,   , -, unsigned short, 2, newval)
-SUBWORD_SYNC_OP (or,    , |, unsigned short, 2, newval)
-SUBWORD_SYNC_OP (and,   , &, unsigned short, 2, newval)
-SUBWORD_SYNC_OP (xor,   , ^, unsigned short, 2, newval)
-SUBWORD_SYNC_OP (nand, ~, &, unsigned short, 2, newval)
+SUBWORD_SYNC_OP (add,   , +, short, 2, newval)
+SUBWORD_SYNC_OP (sub,   , -, short, 2, newval)
+SUBWORD_SYNC_OP (or,    , |, short, 2, newval)
+SUBWORD_SYNC_OP (and,   , &, short, 2, newval)
+SUBWORD_SYNC_OP (xor,   , ^, short, 2, newval)
+SUBWORD_SYNC_OP (nand, ~, &, short, 2, newval)
 
-SUBWORD_SYNC_OP (add,   , +, unsigned char, 1, newval)
-SUBWORD_SYNC_OP (sub,   , -, unsigned char, 1, newval)
-SUBWORD_SYNC_OP (or,    , |, unsigned char, 1, newval)
-SUBWORD_SYNC_OP (and,   , &, unsigned char, 1, newval)
-SUBWORD_SYNC_OP (xor,   , ^, unsigned char, 1, newval)
-SUBWORD_SYNC_OP (nand, ~, &, unsigned char, 1, newval)
+SUBWORD_SYNC_OP (add,   , +, signed char, 1, newval)
+SUBWORD_SYNC_OP (sub,   , -, signed char, 1, newval)
+SUBWORD_SYNC_OP (or,    , |, signed char, 1, newval)
+SUBWORD_SYNC_OP (and,   , &, signed char, 1, newval)
+SUBWORD_SYNC_OP (xor,   , ^, signed char, 1, newval)
+SUBWORD_SYNC_OP (nand, ~, &, signed char, 1, newval)
 
 int HIDDEN
 __sync_val_compare_and_swap_4 (int *ptr, int oldval, int newval)
@@ -181,7 +181,7 @@
 	actual_oldval = *wordptr;					\
 									\
 	if (__builtin_expect (((actual_oldval & mask) >> shift) !=      \
-                              (unsigned int) oldval, 0))                \
+                              ((unsigned int) oldval & MASK_##WIDTH), 0)) \
           return (actual_oldval & mask) >> shift;			\
 									\
 	actual_newval = (actual_oldval & ~mask)				\
@@ -195,8 +195,8 @@
       }									\
   }
 
-SUBWORD_VAL_CAS (unsigned short, 2)
-SUBWORD_VAL_CAS (unsigned char,  1)
+SUBWORD_VAL_CAS (short,       2)
+SUBWORD_VAL_CAS (signed char, 1)
 
 typedef unsigned char bool;
 
@@ -217,8 +217,8 @@
     return (oldval == actual_oldval);					\
   }
 
-SUBWORD_BOOL_CAS (unsigned short, 2)
-SUBWORD_BOOL_CAS (unsigned char,  1)
+SUBWORD_BOOL_CAS (short,       2)
+SUBWORD_BOOL_CAS (signed char, 1)
 
 void HIDDEN
 __sync_synchronize (void)
@@ -260,8 +260,8 @@
     return (oldval & mask) >> shift;					\
   }
 
-SUBWORD_TEST_AND_SET (unsigned short, 2)
-SUBWORD_TEST_AND_SET (unsigned char,  1)
+SUBWORD_TEST_AND_SET (short,       2)
+SUBWORD_TEST_AND_SET (signed char, 1)
 
 #define SYNC_LOCK_RELEASE(TYPE, WIDTH)					\
   void HIDDEN								\
Index: gcc/tree-vrp.c
===================================================================
--- gcc/tree-vrp.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/tree-vrp.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -2837,7 +2837,7 @@
 
 	      if (uns)
 		{
-		  low_bound = bound;
+		  low_bound = bound.zext (prec);
 		  high_bound = complement.zext (prec);
 		  if (tree_to_double_int (vr0.max).ult (low_bound))
 		    {
@@ -4895,7 +4895,13 @@
 	      new_comp_code = comp_code == EQ_EXPR ? LE_EXPR : GT_EXPR;
 	    }
 	  else if (comp_code == LT_EXPR || comp_code == GE_EXPR)
-	    new_val = val2;
+	    {
+	      double_int minval
+		= double_int::min_value (prec, TYPE_UNSIGNED (TREE_TYPE (val)));
+	      new_val = val2;
+	      if (minval == tree_to_double_int (new_val))
+		new_val = NULL_TREE;
+	    }
 	  else
 	    {
 	      double_int maxval
Index: gcc/doc/standards.texi
===================================================================
--- gcc/doc/standards.texi	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/doc/standards.texi	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -280,13 +280,8 @@
 
 @section Go language
 
-The Go language continues to evolve as of this writing; see the
-@uref{http://golang.org/@/ref/@/spec, current language
-specifications}.  At present there are no specific versions of Go, and
-there is no way to describe the language supported by GCC in terms of
-a specific version.  In general GCC tracks the evolving specification
-closely, and any given release will support the language as of the
-date that the release was frozen.
+As of the GCC 4.7.1 release, GCC supports the Go 1 language standard,
+described at @uref{http://golang.org/doc/go1.html}.
 
 @section References for other languages
 
Index: gcc/doc/extend.texi
===================================================================
--- gcc/doc/extend.texi	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/doc/extend.texi	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1339,7 +1339,7 @@
 accesses to these data read from generic address space, i.e.@:
 from RAM,
 so that you need special accessors like @code{pgm_read_byte}
-from @w{@uref{http://nongnu.org/avr-libc/user-manual,AVR-LibC}}
+from @w{@uref{http://nongnu.org/avr-libc/user-manual/,AVR-LibC}}
 together with attribute @code{progmem}.
 
 @noindent
@@ -4914,7 +4914,7 @@
 In order to read data located with the @code{progmem} attribute
 (inline) assembler must be used.
 @smallexample
-/* Use custom macros from @w{@uref{http://nongnu.org/avr-libc/user-manual,AVR-LibC}} */
+/* Use custom macros from @w{@uref{http://nongnu.org/avr-libc/user-manual/,AVR-LibC}} */
 #include <avr/pgmspace.h> 
 
 /* Locate var in flash memory */
Index: gcc/doc/invoke.texi
===================================================================
--- gcc/doc/invoke.texi	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/doc/invoke.texi	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -922,7 +922,6 @@
 -mfaster-structs  -mno-faster-structs  -mflat  -mno-flat @gol
 -mfpu  -mno-fpu  -mhard-float  -msoft-float @gol
 -mhard-quad-float  -msoft-quad-float @gol
--mlittle-endian @gol
 -mstack-bias  -mno-stack-bias @gol
 -munaligned-doubles  -mno-unaligned-doubles @gol
 -mv8plus  -mno-v8plus  -mvis  -mno-vis @gol
@@ -8177,7 +8176,7 @@
 and those merged by attribute @code{externally_visible} become static functions
 and in effect are optimized more aggressively by interprocedural optimizers.
 
-In combination with @code{-flto} using this option should not be used.
+This option should not be used in combination with @code{-flto}.
 Instead relying on a linker plugin should provide safer and more precise
 information.
 
@@ -11701,7 +11700,7 @@
 The startup code from libgcc never sets @code{EIND}.
 Notice that startup code is a blend of code from libgcc and AVR-LibC.
 For the impact of AVR-LibC on @code{EIND}, see the
-@w{@uref{http://nongnu.org/avr-libc/user-manual,AVR-LibC user manual}}.
+@w{@uref{http://nongnu.org/avr-libc/user-manual/,AVR-LibC user manual}}.
 
 @item
 It is legitimate for user-specific startup code to set up @code{EIND}
@@ -19291,11 +19290,6 @@
 on SPARC-V9 processors in 64-bit environments:
 
 @table @gcctabopt
-@item -mlittle-endian
-@opindex mlittle-endian
-Generate code for a processor running in little-endian mode.  It is only
-available for a few configurations and most notably not on Solaris and Linux.
-
 @item -m32
 @itemx -m64
 @opindex m32
Index: gcc/tree-ssa-uninit.c
===================================================================
--- gcc/tree-ssa-uninit.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/tree-ssa-uninit.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -101,6 +101,19 @@
               && pointer_set_contains (possibly_undefined_names, t)));
 }
 
+/* Like ssa_undefined_value_p, but don't return true if TREE_NO_WARNING
+   is set on SSA_NAME_VAR.  */
+
+static inline bool
+uninit_undefined_value_p (tree t)
+{
+  if (!ssa_undefined_value_p (t))
+    return false;
+  if (SSA_NAME_VAR (t) && TREE_NO_WARNING (SSA_NAME_VAR (t)))
+    return false;
+  return true;
+}
+
 /* Checks if the operand OPND of PHI is defined by 
    another phi with one operand defined by this PHI, 
    but the rest operands are all defined. If yes, 
@@ -124,7 +137,7 @@
       tree op = gimple_phi_arg_def (op_def, i);
       if (TREE_CODE (op) != SSA_NAME)
         continue;
-      if (op != phi_def && ssa_undefined_value_p (op))
+      if (op != phi_def && uninit_undefined_value_p (op))
         return false;
     }
 
@@ -149,7 +162,7 @@
     {
       tree op = gimple_phi_arg_def (phi, i);
       if (TREE_CODE (op) == SSA_NAME
-          && ssa_undefined_value_p (op)
+          && uninit_undefined_value_p (op)
           && !can_skip_redundant_opnd (op, phi))
         MASK_SET_BIT (uninit_opnds, i);
     }
@@ -504,7 +517,7 @@
                                  gimple_bb (def), cd_root))
             collect_phi_def_edges (def, cd_root, edges,
                                    visited_phis);
-          else if (!ssa_undefined_value_p (opnd))
+          else if (!uninit_undefined_value_p (opnd))
             {
               if (dump_file && (dump_flags & TDF_DETAILS))
                 {
@@ -1988,7 +2001,7 @@
           {
             tree op = gimple_phi_arg_def (phi, i);
             if (TREE_CODE (op) == SSA_NAME
-                && ssa_undefined_value_p (op))
+                && uninit_undefined_value_p (op))
               {
                 worklist.safe_push (phi);
 		pointer_set_insert (added_to_worklist, phi);
Index: gcc/tree-ssa-loop-niter.c
===================================================================
--- gcc/tree-ssa-loop-niter.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/tree-ssa-loop-niter.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -2553,10 +2553,11 @@
     return;
 
   gimple estmt = last_stmt (e->src);
-  warning_at (gimple_location (stmt), OPT_Waggressive_loop_optimizations,
-	      "iteration %E invokes undefined behavior",
-	      double_int_to_tree (TREE_TYPE (loop->nb_iterations), i_bound));
-  inform (gimple_location (estmt), "containing loop");
+  if (warning_at (gimple_location (stmt), OPT_Waggressive_loop_optimizations,
+		  "iteration %E invokes undefined behavior",
+		  double_int_to_tree (TREE_TYPE (loop->nb_iterations),
+				      i_bound)))
+    inform (gimple_location (estmt), "containing loop");
   loop->warned_aggressive_loop_optimizations = true;
 }
 
Index: gcc/c-family/ChangeLog
===================================================================
--- gcc/c-family/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/c-family/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,8 @@
+2013-05-14  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/57274
+	* c-common.c (verify_tree): Don't recurse into SIZEOF_EXPR.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
Index: gcc/c-family/c-common.c
===================================================================
--- gcc/c-family/c-common.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/c-family/c-common.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -3032,6 +3032,7 @@
   switch (code)
     {
     case CONSTRUCTOR:
+    case SIZEOF_EXPR:
       return;
 
     case COMPOUND_EXPR:
Index: gcc/tree-loop-distribution.c
===================================================================
--- gcc/tree-loop-distribution.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/tree-loop-distribution.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -942,13 +942,17 @@
       gimple stmt = DR_STMT (single_store);
       tree rhs = gimple_assign_rhs1 (stmt);
       if (!(integer_zerop (rhs)
-	    || integer_all_onesp (rhs)
 	    || real_zerop (rhs)
 	    || (TREE_CODE (rhs) == CONSTRUCTOR
 		&& !TREE_CLOBBER_P (rhs))
-	    || (INTEGRAL_TYPE_P (TREE_TYPE (rhs))
-		&& (TYPE_MODE (TREE_TYPE (gimple_assign_lhs (stmt)))
-		    == TYPE_MODE (unsigned_char_type_node)))))
+	    || ((integer_all_onesp (rhs)
+		 || (INTEGRAL_TYPE_P (TREE_TYPE (rhs))
+		     && (TYPE_MODE (TREE_TYPE (rhs))
+			 == TYPE_MODE (unsigned_char_type_node))))
+		/* For stores of a non-zero value require that the precision
+		   of the value matches its actual size.  */
+		&& (TYPE_PRECISION (TREE_TYPE (rhs))
+		    == GET_MODE_BITSIZE (TYPE_MODE (TREE_TYPE (rhs)))))))
 	return;
       if (TREE_CODE (rhs) == SSA_NAME
 	  && !SSA_NAME_IS_DEFAULT_DEF (rhs)
Index: gcc/java/class.c
===================================================================
--- gcc/java/class.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/java/class.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -2958,9 +2958,14 @@
                                           null_pointer_node);
   CONSTRUCTOR_APPEND_ELT (v, NULL_TREE, null_symbol);
 
-  table = build_constructor (symbols_array_type, v);
+  tree symbols_arr_type
+    = build_prim_array_type (symbol_type, vec_safe_length (v));
 
+  table = build_constructor (symbols_arr_type, v);
+
   /* Make it the initial value for otable_syms and emit the decl. */
+  TREE_TYPE (the_syms_decl) = symbols_arr_type;
+  relayout_decl (the_syms_decl);
   DECL_INITIAL (the_syms_decl) = table;
   DECL_ARTIFICIAL (the_syms_decl) = 1;
   DECL_IGNORED_P (the_syms_decl) = 1;
@@ -3109,12 +3114,15 @@
                                             null_pointer_node);
   
   CONSTRUCTOR_APPEND_ELT (v, NULL_TREE, null_entry);
+
+  tree type
+    = build_prim_array_type (assertion_entry_type, vec_safe_length (v));
   
-  ctor = build_constructor (assertion_table_type, v);
+  ctor = build_constructor (type, v);
 
   table_decl = build_decl (input_location,
 			   VAR_DECL, mangled_classname ("_type_assert_", klass),
-			   assertion_table_type);
+			   type);
 
   TREE_STATIC (table_decl) = 1;
   TREE_READONLY (table_decl) = 1;
Index: gcc/java/ChangeLog
===================================================================
--- gcc/java/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/java/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,19 @@
+2013-05-06  Jakub Jelinek  <jakub@redhat.com>
+
+	PR libgcj/57074
+	* class.c (emit_symbol_table): Use array type of the
+	right size for the_syms_decl and its DECL_INITIAL, instead
+	of symbols_array_type.  Set TREE_TYPE (the_syms_decl) to it.
+	(emit_assertion_table): Use array type of the right size
+	for table_decl and its DECL_INITIAL.
+
+2013-04-26  Gerald Pfeifer  <gerald@pfeifer.com>
+
+	* gcj.texi (Configure-time Options): Refer to GCC, not gcc.
+	(Resources): Adjust reference to Mauve.
+	Remove link to java.sun.com.
+	Refer to GCC, not gcc.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
Index: gcc/java/gcj.texi
===================================================================
--- gcc/java/gcj.texi	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/java/gcj.texi	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -609,7 +609,7 @@
 processor.
 
 @item -fuse-atomic-builtins
-On some systems, gcc can generate code for built-in atomic operations.
+On some systems, GCC can generate code for built-in atomic operations.
 Use this option to force gcj to use these builtins when compiling Java
 code.  Where this capability is present it should be automatically
 detected, so you won't usually need to use this option.
@@ -2712,18 +2712,17 @@
 heavily on documentation from Sun Microsystems.  In particular we have
 used The Java Language Specification (both first and second editions),
 the Java Class Libraries (volumes one and two), and the Java Virtual
-Machine Specification.  In addition we've used the online documentation
-at @uref{http://java.sun.com/}.
+Machine Specification.  In addition we've used Sun's online documentation.
 
 The current @command{gcj} home page is
 @uref{http://gcc.gnu.org/java/}.
 
-For more information on gcc, see @uref{http://gcc.gnu.org/}.
+For more information on GCC, see @uref{http://gcc.gnu.org/}.
 
 Some @code{libgcj} testing is done using the Mauve test suite.  This is
 a free software Java class library test suite which is being written
 because the JCK is not free.  See
-@uref{http://sources.redhat.com/mauve/} for more information.
+@uref{http://www.sourceware.org/mauve/} for more information.
 
 
 @node Index
Index: gcc/cgraph.c
===================================================================
--- gcc/cgraph.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/cgraph.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1068,6 +1068,7 @@
 	= gimple_call_copy_skip_args (e->call_stmt,
 				      e->callee->clone.combined_args_to_skip);
       gimple_call_set_fndecl (new_stmt, e->callee->symbol.decl);
+      gimple_call_set_fntype (new_stmt, gimple_call_fntype (e->call_stmt));
 
       if (gimple_vdef (new_stmt)
 	  && TREE_CODE (gimple_vdef (new_stmt)) == SSA_NAME)
Index: gcc/DATESTAMP
===================================================================
--- gcc/DATESTAMP	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/DATESTAMP	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1 +1 @@
-20130322
+20130522
Index: gcc/lra.c
===================================================================
--- gcc/lra.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/lra.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -2305,11 +2305,20 @@
 	    lra_assign ();
 	  else
 	    {
-	      /* Do coalescing only for regular algorithms.  */
-	      if (! lra_assign () && lra_coalesce ())
-		live_p = false;
+	      bool spill_p = !lra_assign ();
+
 	      if (lra_undo_inheritance ())
 		live_p = false;
+	      if (spill_p)
+		{
+		  if (! live_p)
+		    {
+		      lra_create_live_ranges (true);
+		      live_p = true;
+		    }
+		  if (lra_coalesce ())
+		    live_p = false;
+		}
 	      if (! live_p)
 		lra_clear_live_ranges ();
 	    }
Index: gcc/tree-ssa-strlen.c
===================================================================
--- gcc/tree-ssa-strlen.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/tree-ssa-strlen.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1688,7 +1688,7 @@
 	       its length may be decreased.  */
 	    adjust_last_stmt (si, stmt, false);
 	}
-      else if (si != NULL)
+      else if (si != NULL && integer_zerop (gimple_assign_rhs1 (stmt)))
 	{
 	  si = unshare_strinfo (si);
 	  si->length = build_int_cst (size_type_node, 0);
Index: gcc/ipa-cp.c
===================================================================
--- gcc/ipa-cp.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/ipa-cp.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -3014,11 +3014,12 @@
       struct cgraph_edge *cs;
       vec<ipa_agg_jf_item_t> inter = vNULL;
       struct ipa_agg_jf_item *item;
+      struct ipcp_param_lattices *plats = ipa_get_parm_lattices (dest_info, i);
       int j;
 
       /* Among other things, the following check should deal with all by_ref
 	 mismatches.  */
-      if (ipa_get_parm_lattices (dest_info, i)->aggs_bottom)
+      if (plats->aggs_bottom)
 	continue;
 
       FOR_EACH_VEC_ELT (callers, j, cs)
@@ -3040,6 +3041,7 @@
 	  v->index = i;
 	  v->offset = item->offset;
 	  v->value = item->value;
+	  v->by_ref = plats->aggs_by_ref;
 	  v->next = res;
 	  res = v;
 	}
@@ -3069,6 +3071,7 @@
 	v->index = i;
 	v->offset = item->offset;
 	v->value = item->value;
+	v->by_ref = aggjf->by_ref;
 	v->next = res;
 	res = v;
       }
Index: gcc/configure
===================================================================
--- gcc/configure	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/configure	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -8290,7 +8290,7 @@
 for ac_header in limits.h stddef.h string.h strings.h stdlib.h time.h iconv.h \
 		 fcntl.h unistd.h sys/file.h sys/time.h sys/mman.h \
 		 sys/resource.h sys/param.h sys/times.h sys/stat.h \
-		 direct.h malloc.h langinfo.h ldfcn.h locale.h wchar.h libintl.h
+		 direct.h malloc.h langinfo.h ldfcn.h locale.h wchar.h
 do :
   as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
 ac_fn_c_check_header_preproc "$LINENO" "$ac_header" "$as_ac_Header"
Index: gcc/lra-eliminations.c
===================================================================
--- gcc/lra-eliminations.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/lra-eliminations.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -716,7 +716,9 @@
 	       ep++)
 	    if (ep->to_rtx == SET_DEST (x)
 		&& SET_DEST (x) != hard_frame_pointer_rtx
-		&& (GET_CODE (SET_SRC (x)) != PLUS
+		&& (! (SUPPORTS_STACK_ALIGNMENT && stack_realign_fp
+		       && REGNO (ep->to_rtx) == STACK_POINTER_REGNUM)
+		    || GET_CODE (SET_SRC (x)) != PLUS
 		    || XEXP (SET_SRC (x), 0) != SET_DEST (x)
 		    || ! CONST_INT_P (XEXP (SET_SRC (x), 1))))
 	      setup_can_eliminate (ep, false);
Index: gcc/builtins.c
===================================================================
--- gcc/builtins.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/builtins.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -9694,7 +9694,16 @@
       case rvc_inf:
 	/* If arg is Inf or NaN and we're logb, return it.  */
 	if (TREE_CODE (rettype) == REAL_TYPE)
-	  return fold_convert_loc (loc, rettype, arg);
+	  {
+	    /* For logb(-Inf) we have to return +Inf.  */
+	    if (real_isinf (value) && real_isneg (value))
+	      {
+		REAL_VALUE_TYPE tem;
+		real_inf (&tem);
+		return build_real (rettype, tem);
+	      }
+	    return fold_convert_loc (loc, rettype, arg);
+	  }
 	/* Fall through... */
       case rvc_zero:
 	/* Zero may set errno and/or raise an exception for logb, also
Index: gcc/gcc.c
===================================================================
--- gcc/gcc.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/gcc.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -716,7 +716,8 @@
 #ifndef SANITIZER_SPEC
 #define SANITIZER_SPEC "\
 %{!nostdlib:%{!nodefaultlibs:%{fsanitize=address:" LIBASAN_SPEC "\
-    %{static:%ecannot specify -static with -fsanitize=address}}\
+    %{static:%ecannot specify -static with -fsanitize=address}\
+    %{fsanitize=thread:%e-fsanitize=address is incompatible with -fsanitize=thread}}\
     %{fsanitize=thread:" LIBTSAN_SPEC "\
     %{!pie:%{!shared:%e-fsanitize=thread linking must be done with -pie or -shared}}}}}"
 #endif
Index: gcc/fold-const.c
===================================================================
--- gcc/fold-const.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/fold-const.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -984,12 +984,17 @@
       break;
 
     case MULT_HIGHPART_EXPR:
-      /* ??? Need quad precision, or an additional shift operand
-	 to the multiply primitive, to handle very large highparts.  */
       if (TYPE_PRECISION (type) > HOST_BITS_PER_WIDE_INT)
 	return NULL_TREE;
-      tmp = op1 - op2;
-      res = tmp.rshift (TYPE_PRECISION (type), TYPE_PRECISION (type), !uns);
+      else
+	{
+	  bool dummy_overflow;
+	  /* MULT_HIGHPART_EXPR can't ever oveflow, as the multiplication
+	     is performed in twice the precision of arguments.  */
+	  tmp = op1.mul_with_sign (op2, false, &dummy_overflow);
+	  res = tmp.rshift (TYPE_PRECISION (type),
+			    2 * TYPE_PRECISION (type), !uns);
+	}
       break;
 
     case TRUNC_DIV_EXPR:
@@ -1361,6 +1366,48 @@
 
       return build_vector (type, elts);
     }
+
+  /* Shifts allow a scalar offset for a vector.  */
+  if (TREE_CODE (arg1) == VECTOR_CST
+      && TREE_CODE (arg2) == INTEGER_CST)
+    {
+      tree type = TREE_TYPE (arg1);
+      int count = TYPE_VECTOR_SUBPARTS (type), i;
+      tree *elts = XALLOCAVEC (tree, count);
+
+      if (code == VEC_LSHIFT_EXPR
+	  || code == VEC_RSHIFT_EXPR)
+	{
+	  if (!host_integerp (arg2, 1))
+	    return NULL_TREE;
+
+	  unsigned HOST_WIDE_INT shiftc = tree_low_cst (arg2, 1);
+	  unsigned HOST_WIDE_INT outerc = tree_low_cst (TYPE_SIZE (type), 1);
+	  unsigned HOST_WIDE_INT innerc
+	    = tree_low_cst (TYPE_SIZE (TREE_TYPE (type)), 1);
+	  if (shiftc >= outerc || (shiftc % innerc) != 0)
+	    return NULL_TREE;
+	  int offset = shiftc / innerc;
+	  /* The direction of VEC_[LR]SHIFT_EXPR is endian dependent.
+	     For reductions, compiler emits VEC_RSHIFT_EXPR always,
+	     for !BYTES_BIG_ENDIAN picks first vector element, but
+	     for BYTES_BIG_ENDIAN last element from the vector.  */
+	  if ((code == VEC_RSHIFT_EXPR) ^ (!BYTES_BIG_ENDIAN))
+	    offset = -offset;
+	  tree zero = build_zero_cst (TREE_TYPE (type));
+	  for (i = 0; i < count; i++)
+	    {
+	      if (i + offset < 0 || i + offset >= count)
+		elts[i] = zero;
+	      else
+		elts[i] = VECTOR_CST_ELT (arg1, i + offset);
+	    }
+	}
+      else
+	return NULL_TREE;
+
+      return build_vector (type, elts);
+    }
   return NULL_TREE;
 }
 
@@ -5848,8 +5895,10 @@
 
       /* The last case is if we are a multiply.  In that case, we can
 	 apply the distributive law to commute the multiply and addition
-	 if the multiplication of the constants doesn't overflow.  */
-      if (code == MULT_EXPR)
+	 if the multiplication of the constants doesn't overflow
+	 and overflow is defined.  With undefined overflow
+	 op0 * c might overflow, while (op0 + orig_op1) * c doesn't.  */
+      if (code == MULT_EXPR && TYPE_OVERFLOW_WRAPS (ctype))
 	return fold_build2 (tcode, ctype,
 			    fold_build2 (code, ctype,
 					 fold_convert (ctype, op0),
@@ -9855,7 +9904,8 @@
       || (TREE_CODE (arg0) == FIXED_CST && TREE_CODE (arg1) == FIXED_CST)
       || (TREE_CODE (arg0) == FIXED_CST && TREE_CODE (arg1) == INTEGER_CST)
       || (TREE_CODE (arg0) == COMPLEX_CST && TREE_CODE (arg1) == COMPLEX_CST)
-      || (TREE_CODE (arg0) == VECTOR_CST && TREE_CODE (arg1) == VECTOR_CST))
+      || (TREE_CODE (arg0) == VECTOR_CST && TREE_CODE (arg1) == VECTOR_CST)
+      || (TREE_CODE (arg0) == VECTOR_CST && TREE_CODE (arg1) == INTEGER_CST))
     {
       if (kind == tcc_binary)
 	{
Index: gcc/omp-low.c
===================================================================
--- gcc/omp-low.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/omp-low.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -398,11 +398,16 @@
 
       if (collapse_count && *collapse_count == NULL)
 	{
-	  if ((i == 0 || count != NULL_TREE)
-	      && TREE_CODE (TREE_TYPE (loop->v)) == INTEGER_TYPE
-	      && TREE_CONSTANT (loop->n1)
-	      && TREE_CONSTANT (loop->n2)
-	      && TREE_CODE (loop->step) == INTEGER_CST)
+	  t = fold_binary (loop->cond_code, boolean_type_node,
+			   fold_convert (TREE_TYPE (loop->v), loop->n1),
+			   fold_convert (TREE_TYPE (loop->v), loop->n2));
+	  if (t && integer_zerop (t))
+	    count = build_zero_cst (long_long_unsigned_type_node);
+	  else if ((i == 0 || count != NULL_TREE)
+		   && TREE_CODE (TREE_TYPE (loop->v)) == INTEGER_TYPE
+		   && TREE_CONSTANT (loop->n1)
+		   && TREE_CONSTANT (loop->n2)
+		   && TREE_CODE (loop->step) == INTEGER_CST)
 	    {
 	      tree itype = TREE_TYPE (loop->v);
 
@@ -435,7 +440,7 @@
 	      if (TREE_CODE (count) != INTEGER_CST)
 		count = NULL_TREE;
 	    }
-	  else
+	  else if (count && !integer_zerop (count))
 	    count = NULL_TREE;
 	}
     }
@@ -3384,6 +3389,25 @@
       }
 }
 
+/* Callback for expand_omp_build_assign.  Return non-NULL if *tp needs to be
+   regimplified.  */
+
+static tree
+expand_omp_regimplify_p (tree *tp, int *walk_subtrees, void *)
+{
+  tree t = *tp;
+
+  /* Any variable with DECL_VALUE_EXPR needs to be regimplified.  */
+  if (TREE_CODE (t) == VAR_DECL && DECL_HAS_VALUE_EXPR_P (t))
+    return t;
+
+  if (TREE_CODE (t) == ADDR_EXPR)
+    recompute_tree_invariant_for_addr_expr (t);
+
+  *walk_subtrees = !TYPE_P (t) && !DECL_P (t);
+  return NULL_TREE;
+}
+
 /* Expand the OpenMP parallel or task directive starting at REGION.  */
 
 static void
@@ -3656,22 +3680,29 @@
 
     we generate pseudocode
 
+	if (__builtin_expect (N32 cond3 N31, 0)) goto Z0;
 	if (cond3 is <)
 	  adj = STEP3 - 1;
 	else
 	  adj = STEP3 + 1;
 	count3 = (adj + N32 - N31) / STEP3;
+	if (__builtin_expect (N22 cond2 N21, 0)) goto Z0;
 	if (cond2 is <)
 	  adj = STEP2 - 1;
 	else
 	  adj = STEP2 + 1;
 	count2 = (adj + N22 - N21) / STEP2;
+	if (__builtin_expect (N12 cond1 N11, 0)) goto Z0;
 	if (cond1 is <)
 	  adj = STEP1 - 1;
 	else
 	  adj = STEP1 + 1;
 	count1 = (adj + N12 - N11) / STEP1;
 	count = count1 * count2 * count3;
+	goto Z1;
+    Z0:
+	count = 0;
+    Z1:
 	more = GOMP_loop_foo_start (0, count, 1, CHUNK, &istart0, &iend0);
 	if (more) goto L0; else goto L3;
     L0:
@@ -3779,6 +3810,9 @@
   gcc_assert (gimple_code (gsi_stmt (gsi)) == GIMPLE_OMP_FOR);
   if (fd->collapse > 1)
     {
+      basic_block zero_iter_bb = NULL;
+      int first_zero_iter = -1;
+
       /* collapsed loops need work for expansion in SSA form.  */
       gcc_assert (!gimple_in_ssa_p (cfun));
       counts = (tree *) alloca (fd->collapse * sizeof (tree));
@@ -3786,6 +3820,51 @@
 	{
 	  tree itype = TREE_TYPE (fd->loops[i].v);
 
+	  if (SSA_VAR_P (fd->loop.n2)
+	      && ((t = fold_binary (fd->loops[i].cond_code, boolean_type_node,
+				    fold_convert (itype, fd->loops[i].n1),
+				    fold_convert (itype, fd->loops[i].n2)))
+		  == NULL_TREE || !integer_onep (t)))
+	    {
+	      tree n1, n2;
+	      n1 = fold_convert (itype, unshare_expr (fd->loops[i].n1));
+	      n1 = force_gimple_operand_gsi (&gsi, n1, true, NULL_TREE,
+					     true, GSI_SAME_STMT);
+	      n2 = fold_convert (itype, unshare_expr (fd->loops[i].n2));
+	      n2 = force_gimple_operand_gsi (&gsi, n2, true, NULL_TREE,
+					     true, GSI_SAME_STMT);
+	      stmt = gimple_build_cond (fd->loops[i].cond_code, n1, n2,
+					NULL_TREE, NULL_TREE);
+	      gsi_insert_before (&gsi, stmt, GSI_SAME_STMT);
+	      if (walk_tree (gimple_cond_lhs_ptr (stmt),
+			     expand_omp_regimplify_p, NULL, NULL)
+		  || walk_tree (gimple_cond_rhs_ptr (stmt),
+				expand_omp_regimplify_p, NULL, NULL))
+		{
+		  gsi = gsi_for_stmt (stmt);
+		  gimple_regimplify_operands (stmt, &gsi);
+		}
+	      e = split_block (entry_bb, stmt);
+	      if (zero_iter_bb == NULL)
+		{
+		  first_zero_iter = i;
+		  zero_iter_bb = create_empty_bb (entry_bb);
+		  if (current_loops)
+		    add_bb_to_loop (zero_iter_bb, entry_bb->loop_father);
+		  gsi = gsi_after_labels (zero_iter_bb);
+		  stmt = gimple_build_assign (fd->loop.n2,
+					      build_zero_cst (type));
+		  gsi_insert_before (&gsi, stmt, GSI_SAME_STMT);
+		  set_immediate_dominator (CDI_DOMINATORS, zero_iter_bb,
+					   entry_bb);
+		}
+	      ne = make_edge (entry_bb, zero_iter_bb, EDGE_FALSE_VALUE);
+	      ne->probability = REG_BR_PROB_BASE / 2000 - 1;
+	      e->flags = EDGE_TRUE_VALUE;
+	      e->probability = REG_BR_PROB_BASE - ne->probability;
+	      entry_bb = e->dest;
+	      gsi = gsi_last_bb (entry_bb);
+	    }
 	  if (POINTER_TYPE_P (itype))
 	    itype = signed_type_for (itype);
 	  t = build_int_cst (itype, (fd->loops[i].cond_code == LT_EXPR
@@ -3830,6 +3909,23 @@
 	      gsi_insert_before (&gsi, stmt, GSI_SAME_STMT);
 	    }
 	}
+      if (zero_iter_bb)
+	{
+	  /* Some counts[i] vars might be uninitialized if
+	     some loop has zero iterations.  But the body shouldn't
+	     be executed in that case, so just avoid uninit warnings.  */
+	  for (i = first_zero_iter; i < fd->collapse; i++)
+	    if (SSA_VAR_P (counts[i]))
+	      TREE_NO_WARNING (counts[i]) = 1;
+	  gsi_prev (&gsi);
+	  e = split_block (entry_bb, gsi_stmt (gsi));
+	  entry_bb = e->dest;
+	  make_edge (zero_iter_bb, entry_bb, EDGE_FALLTHRU);
+	  gsi = gsi_last_bb (entry_bb);
+	  set_immediate_dominator (CDI_DOMINATORS, entry_bb,
+				   get_immediate_dominator (CDI_DOMINATORS,
+							    zero_iter_bb));
+	}
     }
   if (in_combined_parallel)
     {
@@ -3920,8 +4016,10 @@
   if (POINTER_TYPE_P (type))
     t = fold_convert (signed_type_for (type), t);
   t = fold_convert (type, t);
-  t = force_gimple_operand_gsi (&gsi, t, false, NULL_TREE,
-				false, GSI_CONTINUE_LINKING);
+  t = force_gimple_operand_gsi (&gsi, t,
+				DECL_P (fd->loop.v)
+				&& TREE_ADDRESSABLE (fd->loop.v),
+				NULL_TREE, false, GSI_CONTINUE_LINKING);
   stmt = gimple_build_assign (fd->loop.v, t);
   gsi_insert_after (&gsi, stmt, GSI_CONTINUE_LINKING);
 
@@ -3952,8 +4050,11 @@
 	    t = fold_build_pointer_plus (fd->loops[i].n1, t);
 	  else
 	    t = fold_build2 (PLUS_EXPR, itype, fd->loops[i].n1, t);
-	  t = force_gimple_operand_gsi (&gsi, t, false, NULL_TREE,
-					false, GSI_CONTINUE_LINKING);
+	  t = force_gimple_operand_gsi (&gsi, t,
+					DECL_P (fd->loops[i].v)
+					&& TREE_ADDRESSABLE (fd->loops[i].v),
+					NULL_TREE, false,
+					GSI_CONTINUE_LINKING);
 	  stmt = gimple_build_assign (fd->loops[i].v, t);
 	  gsi_insert_after (&gsi, stmt, GSI_CONTINUE_LINKING);
 	  if (i != 0)
@@ -3981,12 +4082,15 @@
 	t = fold_build_pointer_plus (vmain, fd->loop.step);
       else
 	t = fold_build2 (PLUS_EXPR, type, vmain, fd->loop.step);
-      t = force_gimple_operand_gsi (&gsi, t, false, NULL_TREE,
-				    true, GSI_SAME_STMT);
+      t = force_gimple_operand_gsi (&gsi, t,
+				    DECL_P (vback) && TREE_ADDRESSABLE (vback),
+				    NULL_TREE, true, GSI_SAME_STMT);
       stmt = gimple_build_assign (vback, t);
       gsi_insert_before (&gsi, stmt, GSI_SAME_STMT);
 
-      t = build2 (fd->loop.cond_code, boolean_type_node, vback, iend);
+      t = build2 (fd->loop.cond_code, boolean_type_node,
+		  DECL_P (vback) && TREE_ADDRESSABLE (vback) ? t : vback,
+		  iend);
       stmt = gimple_build_cond_empty (t);
       gsi_insert_before (&gsi, stmt, GSI_SAME_STMT);
 
@@ -4011,8 +4115,12 @@
 		  e->probability = REG_BR_PROB_BASE / 8;
 
 		  t = fd->loops[i + 1].n1;
-		  t = force_gimple_operand_gsi (&gsi, t, false, NULL_TREE,
-					        false, GSI_CONTINUE_LINKING);
+		  t = force_gimple_operand_gsi (&gsi, t,
+						DECL_P (fd->loops[i + 1].v)
+						&& TREE_ADDRESSABLE
+							(fd->loops[i + 1].v),
+						NULL_TREE, false,
+						GSI_CONTINUE_LINKING);
 		  stmt = gimple_build_assign (fd->loops[i + 1].v, t);
 		  gsi_insert_after (&gsi, stmt, GSI_CONTINUE_LINKING);
 		}
@@ -4026,8 +4134,11 @@
 	      else
 		t = fold_build2 (PLUS_EXPR, vtype, fd->loops[i].v,
 				 fd->loops[i].step);
-	      t = force_gimple_operand_gsi (&gsi, t, false, NULL_TREE,
-					    false, GSI_CONTINUE_LINKING);
+	      t = force_gimple_operand_gsi (&gsi, t,
+					    DECL_P (fd->loops[i].v)
+					    && TREE_ADDRESSABLE (fd->loops[i].v),
+					    NULL_TREE, false,
+					    GSI_CONTINUE_LINKING);
 	      stmt = gimple_build_assign (fd->loops[i].v, t);
 	      gsi_insert_after (&gsi, stmt, GSI_CONTINUE_LINKING);
 
@@ -4036,8 +4147,12 @@
 		  t = fd->loops[i].n2;
 		  t = force_gimple_operand_gsi (&gsi, t, true, NULL_TREE,
 						false, GSI_CONTINUE_LINKING);
+		  tree v = fd->loops[i].v;
+		  if (DECL_P (v) && TREE_ADDRESSABLE (v))
+		    v = force_gimple_operand_gsi (&gsi, v, true, NULL_TREE,
+						  false, GSI_CONTINUE_LINKING);
 		  t = fold_build2 (fd->loops[i].cond_code, boolean_type_node,
-				   fd->loops[i].v, t);
+				   v, t);
 		  stmt = gimple_build_cond_empty (t);
 		  gsi_insert_after (&gsi, stmt, GSI_CONTINUE_LINKING);
 		  e = make_edge (bb, l1_bb, EDGE_TRUE_VALUE);
@@ -4130,6 +4245,7 @@
 
    where COND is "<" or ">", we generate pseudocode
 
+	if ((__typeof (V)) -1 > 0 && N2 cond N1) goto L2;
 	if (cond is <)
 	  adj = STEP - 1;
 	else
@@ -4190,6 +4306,50 @@
   gsi = gsi_last_bb (entry_bb);
   gcc_assert (gimple_code (gsi_stmt (gsi)) == GIMPLE_OMP_FOR);
 
+  t = fold_binary (fd->loop.cond_code, boolean_type_node,
+		   fold_convert (type, fd->loop.n1),
+		   fold_convert (type, fd->loop.n2));
+  if (TYPE_UNSIGNED (type)
+      && (t == NULL_TREE || !integer_onep (t)))
+    {
+      tree n1, n2;
+      n1 = fold_convert (type, unshare_expr (fd->loop.n1));
+      n1 = force_gimple_operand_gsi (&gsi, n1, true, NULL_TREE,
+				     true, GSI_SAME_STMT);
+      n2 = fold_convert (type, unshare_expr (fd->loop.n2));
+      n2 = force_gimple_operand_gsi (&gsi, n2, true, NULL_TREE,
+				     true, GSI_SAME_STMT);
+      stmt = gimple_build_cond (fd->loop.cond_code, n1, n2,
+				NULL_TREE, NULL_TREE);
+      gsi_insert_before (&gsi, stmt, GSI_SAME_STMT);
+      if (walk_tree (gimple_cond_lhs_ptr (stmt),
+		     expand_omp_regimplify_p, NULL, NULL)
+	  || walk_tree (gimple_cond_rhs_ptr (stmt),
+			expand_omp_regimplify_p, NULL, NULL))
+	{
+	  gsi = gsi_for_stmt (stmt);
+	  gimple_regimplify_operands (stmt, &gsi);
+	}
+      ep = split_block (entry_bb, stmt);
+      ep->flags = EDGE_TRUE_VALUE;
+      entry_bb = ep->dest;
+      ep->probability = REG_BR_PROB_BASE - (REG_BR_PROB_BASE / 2000 - 1);
+      ep = make_edge (ep->src, fin_bb, EDGE_FALSE_VALUE);
+      ep->probability = REG_BR_PROB_BASE / 2000 - 1;
+      if (gimple_in_ssa_p (cfun))
+	{
+	  int dest_idx = find_edge (entry_bb, fin_bb)->dest_idx;
+	  for (gsi = gsi_start_phis (fin_bb);
+	       !gsi_end_p (gsi); gsi_next (&gsi))
+	    {
+	      gimple phi = gsi_stmt (gsi);
+	      add_phi_arg (phi, gimple_phi_arg_def (phi, dest_idx),
+			   ep, UNKNOWN_LOCATION);
+	    }
+	}
+      gsi = gsi_last_bb (entry_bb);
+    }
+
   t = build_call_expr (builtin_decl_explicit (BUILT_IN_OMP_GET_NUM_THREADS), 0);
   t = fold_convert (itype, t);
   nthreads = force_gimple_operand_gsi (&gsi, t, true, NULL_TREE,
@@ -4273,8 +4433,10 @@
     t = fold_build_pointer_plus (fd->loop.n1, t);
   else
     t = fold_build2 (PLUS_EXPR, type, t, fd->loop.n1);
-  t = force_gimple_operand_gsi (&gsi, t, false, NULL_TREE,
-				false, GSI_CONTINUE_LINKING);
+  t = force_gimple_operand_gsi (&gsi, t,
+				DECL_P (fd->loop.v)
+				&& TREE_ADDRESSABLE (fd->loop.v),
+				NULL_TREE, false, GSI_CONTINUE_LINKING);
   stmt = gimple_build_assign (fd->loop.v, t);
   gsi_insert_after (&gsi, stmt, GSI_CONTINUE_LINKING);
 
@@ -4299,12 +4461,14 @@
     t = fold_build_pointer_plus (vmain, fd->loop.step);
   else
     t = fold_build2 (PLUS_EXPR, type, vmain, fd->loop.step);
-  t = force_gimple_operand_gsi (&gsi, t, false, NULL_TREE,
-				true, GSI_SAME_STMT);
+  t = force_gimple_operand_gsi (&gsi, t,
+				DECL_P (vback) && TREE_ADDRESSABLE (vback),
+				NULL_TREE, true, GSI_SAME_STMT);
   stmt = gimple_build_assign (vback, t);
   gsi_insert_before (&gsi, stmt, GSI_SAME_STMT);
 
-  t = build2 (fd->loop.cond_code, boolean_type_node, vback, e);
+  t = build2 (fd->loop.cond_code, boolean_type_node,
+	      DECL_P (vback) && TREE_ADDRESSABLE (vback) ? t : vback, e);
   gsi_insert_before (&gsi, gimple_build_cond_empty (t), GSI_SAME_STMT);
 
   /* Remove the GIMPLE_OMP_CONTINUE statement.  */
@@ -4347,6 +4511,7 @@
 
    where COND is "<" or ">", we generate pseudocode
 
+	if ((__typeof (V)) -1 > 0 && N2 cond N1) goto L2;
 	if (cond is <)
 	  adj = STEP - 1;
 	else
@@ -4412,6 +4577,50 @@
   si = gsi_last_bb (entry_bb);
   gcc_assert (gimple_code (gsi_stmt (si)) == GIMPLE_OMP_FOR);
 
+  t = fold_binary (fd->loop.cond_code, boolean_type_node,
+		   fold_convert (type, fd->loop.n1),
+		   fold_convert (type, fd->loop.n2));
+  if (TYPE_UNSIGNED (type)
+      && (t == NULL_TREE || !integer_onep (t)))
+    {
+      tree n1, n2;
+      n1 = fold_convert (type, unshare_expr (fd->loop.n1));
+      n1 = force_gimple_operand_gsi (&si, n1, true, NULL_TREE,
+				     true, GSI_SAME_STMT);
+      n2 = fold_convert (type, unshare_expr (fd->loop.n2));
+      n2 = force_gimple_operand_gsi (&si, n2, true, NULL_TREE,
+				     true, GSI_SAME_STMT);
+      stmt = gimple_build_cond (fd->loop.cond_code, n1, n2,
+				NULL_TREE, NULL_TREE);
+      gsi_insert_before (&si, stmt, GSI_SAME_STMT);
+      if (walk_tree (gimple_cond_lhs_ptr (stmt),
+		     expand_omp_regimplify_p, NULL, NULL)
+	  || walk_tree (gimple_cond_rhs_ptr (stmt),
+			expand_omp_regimplify_p, NULL, NULL))
+	{
+	  si = gsi_for_stmt (stmt);
+	  gimple_regimplify_operands (stmt, &si);
+	}
+      se = split_block (entry_bb, stmt);
+      se->flags = EDGE_TRUE_VALUE;
+      entry_bb = se->dest;
+      se->probability = REG_BR_PROB_BASE - (REG_BR_PROB_BASE / 2000 - 1);
+      se = make_edge (se->src, fin_bb, EDGE_FALSE_VALUE);
+      se->probability = REG_BR_PROB_BASE / 2000 - 1;
+      if (gimple_in_ssa_p (cfun))
+	{
+	  int dest_idx = find_edge (entry_bb, fin_bb)->dest_idx;
+	  for (si = gsi_start_phis (fin_bb);
+	       !gsi_end_p (si); gsi_next (&si))
+	    {
+	      gimple phi = gsi_stmt (si);
+	      add_phi_arg (phi, gimple_phi_arg_def (phi, dest_idx),
+			   se, UNKNOWN_LOCATION);
+	    }
+	}
+      si = gsi_last_bb (entry_bb);
+    }
+
   t = build_call_expr (builtin_decl_explicit (BUILT_IN_OMP_GET_NUM_THREADS), 0);
   t = fold_convert (itype, t);
   nthreads = force_gimple_operand_gsi (&si, t, true, NULL_TREE,
@@ -4504,8 +4713,10 @@
     t = fold_build_pointer_plus (fd->loop.n1, t);
   else
     t = fold_build2 (PLUS_EXPR, type, t, fd->loop.n1);
-  t = force_gimple_operand_gsi (&si, t, false, NULL_TREE,
-				false, GSI_CONTINUE_LINKING);
+  t = force_gimple_operand_gsi (&si, t,
+				DECL_P (fd->loop.v)
+				&& TREE_ADDRESSABLE (fd->loop.v),
+				NULL_TREE, false, GSI_CONTINUE_LINKING);
   stmt = gimple_build_assign (fd->loop.v, t);
   gsi_insert_after (&si, stmt, GSI_CONTINUE_LINKING);
 
@@ -4530,10 +4741,15 @@
     t = fold_build_pointer_plus (v_main, fd->loop.step);
   else
     t = fold_build2 (PLUS_EXPR, type, v_main, fd->loop.step);
+  if (DECL_P (v_back) && TREE_ADDRESSABLE (v_back))
+    t = force_gimple_operand_gsi (&si, t, true, NULL_TREE,
+				  true, GSI_SAME_STMT);
   stmt = gimple_build_assign (v_back, t);
   gsi_insert_before (&si, stmt, GSI_SAME_STMT);
 
-  t = build2 (fd->loop.cond_code, boolean_type_node, v_back, e);
+  t = build2 (fd->loop.cond_code, boolean_type_node,
+	      DECL_P (v_back) && TREE_ADDRESSABLE (v_back)
+	      ? t : v_back, e);
   gsi_insert_before (&si, gimple_build_cond_empty (t), GSI_SAME_STMT);
 
   /* Remove GIMPLE_OMP_CONTINUE.  */
Index: gcc/toplev.c
===================================================================
--- gcc/toplev.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/toplev.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1527,18 +1527,6 @@
   if (!flag_stack_protect)
     warn_stack_protect = 0;
 
-  /* ??? Unwind info is not correct around the CFG unless either a frame
-     pointer is present or A_O_A is set.  Fixing this requires rewriting
-     unwind info generation to be aware of the CFG and propagating states
-     around edges.  */
-  if (flag_unwind_tables && !ACCUMULATE_OUTGOING_ARGS
-      && flag_omit_frame_pointer)
-    {
-      warning (0, "unwind tables currently require a frame pointer "
-	       "for correctness");
-      flag_omit_frame_pointer = 0;
-    }
-
   /* Address Sanitizer needs porting to each target architecture.  */
   if (flag_asan
       && (targetm.asan_shadow_offset == NULL
Index: gcc/DEV-PHASE
===================================================================
--- gcc/DEV-PHASE	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/DEV-PHASE	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1 @@
+prerelease
Index: gcc/ChangeLog
===================================================================
--- gcc/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,803 @@
+2013-05-22  Uros Bizjak  <ubizjak@gmail.com>
+
+	PR target/57356
+	* config/i386/i386.md (*movti_internal_rex64): Emit movaps/movups
+	for non-sse2 targets.
+	(*movti_internal): Simplify mode attribute calculation.
+
+2013-05-22  Richard Biener  <rguenther@suse.de>
+
+	Backport from mainline
+	2013-05-21  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/57318
+	* tree-ssa-loop-ivcanon.c (tree_estimate_loop_size): Do not
+	estimate stmts with side-effects as likely eliminated.
+
+	2013-05-21  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/57330
+	* cgraph.c (cgraph_redirect_edge_call_stmt_to_callee): Properly
+	preserve the call stmts fntype.
+
+	2013-05-21  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/57303
+	* tree-ssa-sink.c (statement_sink_location): Properly handle
+	self-assignments.
+
+2013-05-21  Magnus Granberg  <baldrick@free.fr>
+
+	PR plugins/56754
+	* Makefile.in (PLUGIN_HEADERS): Add $(TARGET_H).
+
+2013-05-21  Eric Botcazou  <ebotcazou@adacore.com>
+
+	Backport from mainline
+	2013-05-14  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* config/sparc/sp64-elf.h (CPP_SUBTARGET_SPEC): Delete.
+	* config/sparc/openbsd64.h (CPP_SUBTARGET_SPEC): Likewise.
+
+2013-05-17  Jakub Jelinek  <jakub@redhat.com>
+
+	PR rtl-optimization/57281
+	PR rtl-optimization/57300
+	* config/i386/i386.md (extendsidi2_1 dead reg splitter): Remove.
+	(extendsidi2_1 peephole2s): Add instead 2 new peephole2s, that undo
+	what the other splitter did if the registers are dead.
+
+2013-05-17  Uros Bizjak  <ubizjak@gmail.com>
+
+	Backport from mainline
+	2013-05-16  Uros Bizjak  <ubizjak@gmail.com>
+
+	* config/i386/driver-i386.c (host_detect_local_cpu): Determine
+	cache parameters using detect_caches_amd also for CYRIX,
+	NSC and TM2 signatures.
+
+	2013-05-16  Uros Bizjak  <ubizjak@gmail.com>
+		    Dzianis Kahanovich  <mahatma@eu.by>
+
+	PR target/45359
+	PR target/46396
+	* config/i386/driver-i386.c (host_detect_local_cpu): Detect
+	VIA/Centaur processors and determine their cache parameters
+	using detect_caches_amd.
+
+	2013-05-15  Uros Bizjak  <ubizjak@gmail.com>
+
+	* config/i386/i386.c (ix86_option_override_internal): Update
+	processor_alias_table for missing PTA_PRFCHW and PTA_FXSR flags.  Add
+	PTA_POPCNT to corei7 entry. Do not enable SSE prefetch on
+	non-SSE 3dNow! targets.  Enable TARGET_PRFCHW for TARGET_3DNOW targets.
+	* config/i386/i386.md (prefetch): Enable for TARGET_PRFCHW instead
+	of TARGET_3DNOW.
+	(*prefetch_3dnow): Enable for TARGET_PRFCHW only.
+
+2013-05-17  Jakub Jelinek  <jakub@redhat.com>
+
+	* gcc.c (SANITIZER_SPEC): Reject -fsanitize=address -fsanitize=thread
+	linking.
+
+	PR tree-optimization/57051
+	* fold-const.c (const_binop) <case VEC_LSHIFT_EXPR,
+	case VEC_RSHIFT_EXPR>: Fix BYTES_BIG_ENDIAN handling.
+
+2013-05-16  Jakub Jelinek  <jakub@redhat.com>
+
+	* omp-low.c (extract_omp_for_data): For collapsed loops,
+	if at least one of the loops is known at compile time to
+	iterate zero times, set count to 0.
+	(expand_omp_regimplify_p): New function.
+	(expand_omp_for_generic): For collapsed loops, if at least
+	one of the loops isn't known to iterate at least once,
+	add runtime check with setting count to 0.
+	(expand_omp_for_static_nochunk, expand_omp_for_static_chunk):
+	For unsigned types if it isn't known at compile time that
+	the loop will iterate at least once, add runtime check to bypass
+	the whole loop if initial condition isn't true.
+
+2013-05-14  Jakub Jelinek  <jakub@redhat.com>
+
+	PR middle-end/57251
+	* expr.c (expand_expr_real_2) <case WIDEN_MULT_EXPR>: Handle
+	the case when both op0 and op1 have VOIDmode.
+
+2013-05-13  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/57230
+	* tree-ssa-strlen.c (handle_char_store): Add missing integer_zerop
+	check.
+
+2013-05-12  Joern Rennecke  <joern.rennecke@embecosm.com>
+
+	* config/epiphany/epiphany.c (epiphany_init): Check size of
+	NUM_MODES_FOR_MODE_SWITCHING.
+	(epiphany_expand_prologue):
+	Remove CONFIG_REGNUM initial value handling code.
+	(epiphany_optimize_mode_switching): Handle EPIPHANY_MSW_ENTITY_CONFIG.
+	(epiphany_mode_needed, epiphany_mode_entry_exit): Likewise.
+	(emit_set_fp_mode, epiphany_mode_after): Likewise.
+	(epiphany_mode_needed) <Handle EPIPHANY_MSW_ENTITY_AND>:
+	Don't return 1 for FP_MODE_NONE.
+	* config/epiphany/epiphany.h (NUM_MODES_FOR_MODE_SWITCHING):
+	Add value for EPIPHANY_MSW_ENTITY_CONFIG.
+	(EPIPHANY_MSW_ENTITY_CONFIG, EPIPHANY_MSW_ENTITY_NUM): Define.
+	* config/epiphany/epiphany.md (save_config): New pattern.
+
+2013-05-10  Sebastian Huber  <sebastian.huber@embedded-brains.de>
+
+	* config/arm/t-rtems-eabi: Remove mthumb/march=armv7 multilib.
+	Add mthumb/march=armv7-a multilib.
+	Add mthumb/march=armv7-r multilib.
+	Add mthumb/march=armv7-a/mfpu=neon/mfloat-abi=hard multilib.
+
+2013-05-10  Ralf Corsépius  <ralf.corsepius@rtems.org>
+
+	PR target/57237
+	* config/v850/t-rtems: Add more multilibs.
+
+2013-05-10  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/57214
+	* tree-ssa-loop-ivcanon.c (propagate_constants_for_unrolling): Do
+	not propagate from SSA names that occur in abnormal PHI nodes.
+
+2013-05-10  Alan Modra  <amodra@gmail.com>
+
+	PR target/55033
+	* varasm.c (default_elf_select_section): Move !DECL_P check..
+	(get_named_section): ..to here before calling get_section_name.
+	Adjust assertion.
+	(default_section_type_flags): Add DECL_P check.
+	* config/i386/winnt.c (i386_pe_section_type_flags): Likewise.
+	* config/rs6000/rs6000.c (rs6000_xcoff_section_type_flags): Likewise.
+
+2013-05-09  Joern Rennecke  <joern.rennecke@embecosm.com>
+
+	* config/epiphany/epiphany.c (epiphany_expand_prologue):
+	When using gen_stack_adjust_str with a register offset, add a
+	REG_FRAME_RELATED_EXPR note.
+
+2013-05-09  Martin Jambor  <mjambor@suse.cz>
+
+        PR middle-end/56988
+        * ipa-prop.h (ipa_agg_replacement_value): New flag by_ref.
+        * ipa-cp.c (find_aggregate_values_for_callers_subset): Fill in the
+	by_ref flag of ipa_agg_replacement_value structures.
+        (known_aggs_to_agg_replacement_list): Likewise.
+        * ipa-prop.c (write_agg_replacement_chain): Stream by_ref flag.
+        (read_agg_replacement_chain): Likewise.
+        (ipcp_transform_function): Also check that by_ref flags match.
+
+2013-05-08  Diego Novillo  <dnovillo@google.com>
+
+	PR bootstrap/54659
+
+	Revert:
+
+	2012-08-17  Diego Novillo  <dnovillo@google.com>
+
+		PR bootstrap/54281
+		* configure.ac: Add libintl.h to AC_CHECK_HEADERS list.
+		* config.in: Regenerate.
+		* configure: Regenerate.
+		* intl.h: Always include libintl.h if HAVE_LIBINTL_H is
+		set.
+
+2013-05-08  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR tree-optimization/57200
+	* tree-ssa-loop-niter.c (do_warn_aggressive_loop_optimizations):
+	Only call inform if the preceding warning_at returns true.
+
+2013-05-07  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/57149
+	* tree-ssa-uninit.c (uninit_undefined_value_p): New inline.
+	(can_skip_redundant_opnd, compute_uninit_opnds_pos,
+	collect_phi_def_edges, execute_late_warn_uninitialized): Use
+	uninit_undefined_value_p instead of ssa_undefined_value_p.
+
+	PR debug/57184
+	* expr.c (expand_expr_addr_expr_1): Handle COMPOUND_LITERAL_EXPR
+	for modifier == EXPAND_INITIALIZER.
+
+2013-05-07  Richard Biener  <rguenther@suse.de>
+
+	Backport from mainline
+	2013-05-06  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/57185
+	* tree-parloops.c (add_field_for_reduction): Handle anonymous
+	SSA names properly.
+
+	2013-04-19  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/57000
+	* tree-ssa-reassoc.c (pass_reassoc): Add TODO_update_ssa_only_virtuals.
+
+2013-05-06  Michael Meissner  <meissner@linux.vnet.ibm.com>
+
+	Backport from trunk
+	2013-05-03  Michael Meissner  <meissner@linux.vnet.ibm.com>
+
+	PR target/57150
+	* config/rs6000/rs6000.h (HARD_REGNO_CALLER_SAVE_MODE): Use DFmode
+	to save TFmode registers and DImode to save TImode registers for
+	caller save operations.
+	(HARD_REGNO_CALL_PART_CLOBBERED): TFmode and TDmode do not need to
+	mark being partially clobbered since they only use the first
+	double word.
+
+	* config/rs6000/rs6000.c (rs6000_init_hard_regno_mode_ok): TFmode
+	and TDmode only use the upper 64-bits of each VSX register.
+
+2013-05-06  Oleg Endo  <olegendo@gcc.gnu.org>
+
+	PR target/57108
+	* config/sh/sh.md (tstsi_t_zero_extract_eq): Use QIHISIDI mode iterator.
+
+2013-05-06  Uros Bizjak  <ubizjak@gmail.com>
+
+	Backport from mainline
+	2013-05-06  Uros Bizjak  <ubizjak@gmail.com>
+
+	PR target/57106
+	* config/i386/i386.c (add_parameter_dependencies): Add dependence
+	between "first_arg" and "insn", not "last" and "insn".
+
+2013-05-03  Jakub Jelinek  <jakub@redhat.com>
+
+	PR rtl-optimization/57130
+	* combine.c (make_compound_operation) <case SUBREG>: Pass
+	SET instead of COMPARE as in_code to the recursive call
+	if needed.
+
+	Backported from mainline
+	2013-04-26  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/57051
+	* fold-const.c (const_binop): Handle VEC_LSHIFT_EXPR
+	and VEC_RSHIFT_EXPR if shift count is a multiple of element
+	bitsize.
+
+	2013-04-12  Marc Glisse  <marc.glisse@inria.fr>
+
+	* fold-const.c (fold_binary_loc): Call const_binop also for mixed
+	vector-scalar operations.
+
+2013-05-03  Marek Polacek  <polacek@redhat.com>
+
+	Backport from mainline
+	2013-04-25  Marek Polacek  <polacek@redhat.com>
+
+	PR tree-optimization/57066
+        * builtins.c (fold_builtin_logb): Return +Inf for -Inf.
+
+2013-05-02  Vladimir Makarov  <vmakarov@redhat.com>
+
+	Backport from mainline
+	2013-05-02  Vladimir Makarov  <vmakarov@redhat.com>
+
+	* lra-constraints.c (process_alt_operands): Add checking alt
+	number to choose the best alternative.
+
+	2013-05-01  Vladimir Makarov  <vmakarov@redhat.com>
+
+	PR target/57091
+	* lra-constraints.c (best_small_class_operands_num): Remove.
+	(process_alt_operands): Remove small_class_operands_num.  Take
+	small classes operands into losers and only if the operand is not
+	matched.  Modify debugging output.
+	(curr_insn_transform): Remove best_small_class_operands_num.
+	Print insn name.
+
+2013-05-02  Vladimir Makarov  <vmakarov@redhat.com>
+
+	Backport from mainline
+	2013-04-29  Vladimir Makarov  <vmakarov@redhat.com>
+
+	PR target/57097
+	* lra-constraints.c (process_alt_operands): Discourage a bit more
+	using memory for pseudos.  Print cost dump for alternatives.
+	Modify cost values for conflicts with early clobbers.
+	(curr_insn_transform): Spill pseudos reassigned to NO_REGS.
+
+2013-05-02  Vladimir Makarov  <vmakarov@redhat.com>
+
+	Backport from mainline
+	2013-04-24  Vladimir Makarov  <vmakarov@redhat.com>
+
+        PR rtl-optimizations/57046
+        * lra-constraints (split_reg): Set up lra_risky_transformations_p
+        for multi-reg splits.
+
+2013-05-02  Vladimir Makarov  <vmakarov@redhat.com>
+
+	Backport from mainline
+	2013-04-22  Vladimir Makarov  <vmakarov@redhat.com>
+
+        PR target/57018
+        * lra-eliminations.c (mark_not_eliminable): Prevent elimination of
+        a set sp if no stack realignment.
+
+2013-05-02  Vladimir Makarov  <vmakarov@redhat.com>
+
+	Backport from mainline
+	2013-04-18  Vladimir Makarov  <vmakarov@redhat.com>
+
+        PR rtl-optimization/56999
+        * lra-coalesce.c (coalescable_pseudo_p): Remove 2nd parameter and
+        related code.
+        (lra_coalesce): Remove split_origin_bitmap and related code.
+        * lra.c (lra): Coalesce after undoing inheritance. Recreate live
+        ranges if necessary.
+
+2013-05-02  Vladimir Makarov  <vmakarov@redhat.com>
+
+	Backport from mainline
+	2013-04-19  Vladimir Makarov  <vmakarov@redhat.com>
+
+        PR rtl-optimization/56847
+        * lra-constraints.c (process_alt_operands): Discourage alternative
+        with non-matche doffsettable memory constraint fro memory with
+        known offset.
+
+2013-05-02  Ian Bolton  <ian.bolton@arm.com>
+
+	Backport from mainline
+	2013-03-28  Ian Bolton  <ian.bolton@arm.com>
+
+	* config/aarch64/aarch64.md (aarch64_can_eliminate): Keep frame
+	record only when desired or required.
+
+2013-04-30  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/57104
+	* tsan.c (instrument_expr): Don't instrument accesses to
+	DECL_HARD_REGISTER VAR_DECLs.
+
+2013-04-30  Uros Bizjak  <ubizjak@gmail.com>
+
+	Backport from mainline
+	2013-04-29  Uros Bizjak  <ubizjak@gmail.com>
+
+	PR target/44578
+	* config/i386/i386.md (*zero_extendsidi2_rex64): Add "!" to m->?*y
+	alternative.
+	(*zero_extendsidi2): Ditto.
+
+	Backport from mainline
+	2013-04-29  Uros Bizjak  <ubizjak@gmail.com>
+
+	PR target/57098
+	* config/i386/i386.c (ix86_expand_vec_perm): Validize constant memory.
+
+2013-04-29  Richard Biener  <rguenther@suse.de>
+
+	PR middle-end/57103
+	* tree-cfg.c (move_stmt_op): Fix condition under which to update
+	TREE_BLOCK.
+	(move_stmt_r): Remove redundant checking.
+
+2013-04-29  Christian Bruel  <christian.bruel@st.com>
+
+	PR target/57108
+	* sh.md (tstsi_t_zero_extract_eq): Set mode for operand 0.
+
+2013-04-29  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/57083
+	* tree-vrp.c (extract_range_from_binary_expr_1): For LSHIFT_EXPR with
+	non-singleton shift count range, zero extend low_bound for uns case.
+
+2013-04-28  Eric Botcazou  <ebotcazou@gcc.gnu.org>
+
+	* stor-layout.c (finalize_size_functions): Allocate a structure and
+	reset cfun before dumping the functions.
+
+2013-04-27  Jakub Jelinek  <jakub@redhat.com>
+
+	PR target/56866
+	* config/i386/i386.c (ix86_expand_mul_widen_evenodd): Don't
+	use xop_pmacsdqh if uns_p.
+	* config/i386/sse.md (xop_rotr<mode>3): Fix up computation of
+	the immediate rotate count.
+
+2013-04-25  Jakub Jelinek  <jakub@redhat.com>
+
+	PR rtl-optimization/57003
+	* regcprop.c (copyprop_hardreg_forward_1): If ksvd.ignore_set_reg,
+	call note_stores with kill_clobbered_value callback again after
+	killing regs_invalidated_by_call.
+
+2013-04-25  Ian Bolton  <ian.bolton@arm.com>
+
+	Backported from mainline.
+	2013-03-22  Ian Bolton  <ian.bolton@arm.com>
+
+	* config/aarch64/aarch64.c (aarch64_print_operand): New
+	format specifier for printing a constant in hex.
+	* config/aarch64/aarch64.md (insv_imm<mode>): Use the X
+	format specifier for printing second operand.
+
+2013-04-24  James Greenhalgh  <james.greenhalgh@arm.com>
+
+	Backported from mainline.
+	2013-04-24  James Greenhalgh  <james.greenhalgh@arm.com>
+
+	* config/aarch64/arm_neon.h (vld1<q>_lane*): Fix constraints.
+	(vld1<q>_dup_<sufp><8, 16, 32, 64>): Likewise.
+	(vld1<q>_<sufp><8, 16, 32, 64>): Likewise.
+
+2013-04-24  Greta Yorsh  <Greta.Yorsh@arm.com>
+
+	Backported from mainline.
+	PR target/56797
+	* config/arm/arm.c (load_multiple_sequence): Require SP
+	as base register for loads if SP is in the register list.
+
+2013-04-23  Bill Schmidt  <wschmidt@linux.vnet.ibm.com>
+	    Steven Bosscher <steven@gcc.gnu.org>
+
+	Backported from mainline.
+	PR rtl-optimization/56605
+	* loop-iv.c (implies_p): Handle equal RTXs and subregs.
+
+2013-04-22  Marek Polacek  <polacek@redhat.com>
+
+	Backported from mainline.
+	2013-04-22  Marek Polacek  <polacek@redhat.com>
+
+	PR sanitizer/56990
+	* tsan.c (instrument_expr): Don't instrument expression
+	in case its size is zero.
+
+2013-04-22  Yufeng Zhang  <yufeng.zhang@arm.com>
+
+	Backported from mainline.
+	2013-04-10  Yufeng Zhang  <yufeng.zhang@arm.com>
+	* config/aarch64/aarch64.c (aarch64_print_extension): New function.
+	(aarch64_start_file): Use the new function.
+
+2013-04-18  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/56984
+	* tree-vrp.c (register_edge_assert_for_2): For (x >> M) < N
+	and (x >> M) >= N don't register any assertion if N << M is the
+	minimum value.
+
+2013-04-17  David Edelsohn  <dje.gcc@gmail.com>
+
+	PR target/56948
+	* config/rs6000/vsx.md (vsx_mov<mode>): Add j->r alternative.
+
+2013-04-15  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/56962
+	* gimple-ssa-strength-reduction.c (record_increment): Only set
+	initializer if gimple_assign_rhs_code is {,POINTER_}PLUS_EXPR and
+	either rhs1 or rhs2 is equal to c->base_expr.
+
+2013-04-15  Andreas Krebbel  <Andreas.Krebbel@de.ibm.com>
+
+	* emit-rtl.c (reset_all_used_flags): New function.
+	(verify_rtl_sharing): Call reset_all_used_flags before and after
+	performing the checks.
+
+2013-04-15  Eric Botcazou  <ebotcazou@adacore.com>
+
+	PR target/56890
+	* config/sparc/sparc.c (enum sparc_mode_class): Add H_MODE value.
+	(S_MODES): Set H_MODE bit.
+	(SF_MODES): Set only S_MODE and SF_MODE bits.
+	(DF_MODES): Set SF_MODES and only D_MODE and DF_MODE bits.
+	(sparc_init_modes) <MODE_INT>: Set H_MODE bit for sub-word modes.
+	<MODE_VECTOR_INT>: Do not set SF_MODE for sub-word modes.
+	<MODE_FLOAT>: Likewise.
+
+2013-04-12  Vladimir Makarov  <vmakarov@redhat.com>
+
+	PR target/56903
+	* config/i386/i386.c (ix86_hard_regno_mode_ok): Add
+	lra_in_progress for return.
+
+2013-04-12  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/56918
+	PR tree-optimization/56920
+	* fold-const.c (int_const_binop_1): Use op1.mul_with_sign (op2, ...)
+	instead of op1 - op2.  Pass 2 * TYPE_PRECISION (type) as second
+	argument to rshift method.
+
+2013-04-12  Andreas Krebbel  <Andreas.Krebbel@de.ibm.com>
+
+	* ifcvt.c (end_ifcvt_sequence): Mark a and b for unsharing as
+	well.
+
+2013-04-11  Marek Polacek  <polacek@redhat.com>
+
+	PR tree-optimization/48184
+	* params.def (PARAM_ALIGN_THRESHOLD): Increase the minimum
+	value to 1.
+
+2013-04-11  James Greenhalgh  <james.greenhalgh@arm.com>
+
+	Backported from mainline.
+	2013-04-11  James Greenhalgh  <james.greenhalgh@arm.com>
+
+	* config/aarch64/aarch64-simd.md (aarch64_vcond_internal): Fix
+	floating-point vector comparisons against 0.
+
+2013-04-11  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/56899
+	* fold-const.c (extract_muldiv_1): Apply distributive law
+	only if TYPE_OVERFLOW_WRAPS (ctype).
+
+2013-04-10  David S. Miller  <davem@davemloft.net>
+
+	* config/sparc/sparc.h (ASM_CPU_SPEC): Pass -Av8 if -mcpu=supersparc
+	or -mcpu=hypersparc.
+
+2013-04-10  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from mainline
+	2013-04-09  Jakub Jelinek  <jakub@redhat.com>
+
+	PR middle-end/56883
+	* omp-low.c (expand_omp_for_generic, expand_omp_for_static_nochunk,
+	expand_omp_for_static_chunk): Use simple_p = true in
+	force_gimple_operand_gsi calls when assigning to addressable decls.
+
+2013-04-09  Marek Polacek  <polacek@redhat.com>
+
+	PR tree-optimization/48762
+	* params.def (PARAM_MAX_CSE_INSNS): Increase the minimum
+	value to 1.
+
+2013-04-08  Andreas Krebbel  <Andreas.Krebbel@de.ibm.com>
+
+	* config/s390/s390.c (s390_expand_insv): Only accept insertions
+	within mode size.
+
+2013-04-08  Marek Polacek  <polacek@redhat.com>
+
+	PR rtl-optimization/48182
+	* params.def (PARAM_MIN_CROSSJUMP_INSNS): Increase the minimum
+	value to 1.
+
+2013-04-06  John David Anglin  <dave.anglin@nrc-cnrc.gc.ca>
+
+	PR target/55487
+	* config/pa/pa.c (legitimize_pic_address): Before incrementing label
+	nuses, make sure we have a label.
+
+2013-04-04  Ian Lance Taylor  <iant@google.com>
+
+	Backport from mainline:
+	* doc/standards.texi (Standards): The Go frontend supports the Go
+	1 language standard.
+
+2013-04-04  Marek Polacek  <polacek@redhat.com>
+
+	Backport from mainline:
+	2013-04-04  Marek Polacek  <polacek@redhat.com>
+
+	PR tree-optimization/48186
+	* predict.c (maybe_hot_frequency_p): Return false if
+	HOT_BB_FREQUENCY_FRACTION is 0.
+	(cgraph_maybe_hot_edge_p): Likewise.
+
+2013-04-04  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>
+
+	Backport from mainline:
+	2013-03-25  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>
+
+	PR target/56720
+	* config/arm/iterators.md (v_cmp_result): New mode attribute.
+	* config/arm/neon.md (vcond<mode><mode>): Handle unordered cases.
+
+2013-04-04  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/56837
+	* tree-loop-distribution.c (classify_partition): For non-zero
+	values require that the value has the same precision as its
+	mode to be useful as memset value.
+
+2013-04-03  Roland McGrath  <mcgrathr@google.com>
+
+	Backport from mainline:
+	2013-03-26  Roland McGrath  <mcgrathr@google.com>
+
+	* config/arm/arm.c (arm_print_operand: case 'w'): Use fputs rather
+	than fprintf with a non-constant, non-format string.
+
+2013-04-03  Marek Polacek  <polacek@redhat.com>
+
+	Backport from mainline:
+	2013-04-03  Marek Polacek  <polacek@redhat.com>
+
+	PR sanitizer/55702
+	* tsan.c (instrument_func_exit): Allow BUILT_IN_RETURN
+	functions.
+
+2013-04-03  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/56817
+	* tree-ssa-loop-ivcanon.c (tree_unroll_loops_completely):
+	Split out ...
+	(tree_unroll_loops_completely_1): ... new function to manually
+	walk the loop tree, properly defering outer loops of unrolled
+	loops to later iterations.
+
+2013-04-02  Jakub Jelinek  <jakub@redhat.com>
+
+	PR rtl-optimization/56745
+	* ifcvt.c (cond_exec_find_if_block): Don't try to optimize
+	if then_bb has no successors and else_bb is EXIT_BLOCK_PTR.
+
+2013-04-02  Wei Mi  <wmi@google.com>
+
+	* config/i386/i386.c (ix86_rtx_costs): Set proper rtx cost for
+	ashl<mode>3_mask, *<shift_insn><mode>3_mask and
+	*<rotate_insn><mode>3_mask in i386.md.
+
+2013-04-01  Wei Mi  <wmi@google.com>
+
+	* config/i386/i386.md (*ashl<mode>3_mask): Rewrite as define_insn.
+	Truncate operand 2 using %b asm operand modifier.
+	(*<shift_insn><mode>3_mask): Ditto.
+	(*<rotate_insn><mode>3_mask): Ditto.
+
+2013-04-01  Uros Bizjak  <ubizjak@gmail.com>
+
+	* config/i386/i386.md (*movsf_internal): Change type of
+	alternatives 3,4 to imov.
+
+2013-03-29  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR lto/56777
+	* doc/invoke.texi ([-fwhole-program]): Fix typo.
+
+2013-03-29  Kirill Yukhin  <kirill.yukhin@intel.com>
+
+	* config/i386/avx2intrin.h (_mm256_broadcastsi128_si256):
+	Fix declaration name.
+
+2013-03-28  Gerald Pfeifer  <gerald@pfeifer.com>
+
+	* doc/invoke.texi (AVR Options): Tweak link for AVR-LibC user manual.
+	* doc/extend.texi (Named Address Spaces): Ditto.
+	(Variable Attributes): Ditto.
+
+2013-03-28  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* toplev.c (process_options): Do not disable -fomit-frame-pointer on a
+	general basis if unwind info is requested and ACCUMULATE_OUTGOING_ARGS
+	is not enabled.
+
+2013-03-27  Walter Lee  <walt@tilera.com>
+
+	Backport from mainline:
+	2013-03-27  Walter Lee  <walt@tilera.com>
+
+	* config/tilegx/tilegx.c (tilegx_expand_prologue): Avoid
+	double-decrement of next_scratch_regno.
+
+2013-03-27  Walter Lee  <walt@tilera.com>
+
+	Backport from mainline:
+	2013-03-27  Walter Lee  <walt@tilera.com>
+
+	* config/tilegx/tilegx.md (insn_v1mulu): Fix predicates on
+	input operands.
+	(insn_v1mulus): Ditto.
+	(insn_v2muls): Ditto.
+
+2013-03-27  Walter Lee  <walt@tilera.com>
+
+	Backport from mainline:
+	2013-03-27  Walter Lee  <walt@tilera.com>
+
+	* config/tilegx/tilegx.h (ASM_OUTPUT_ADDR_VEC_ELT): Delete
+	extra tab.
+	(ASM_OUTPUT_ADDR_DIFF_ELT): Ditto.
+
+2013-03-27  Walter Lee  <walt@tilera.com>
+
+	Backport from mainline:
+	2013-03-27  Walter Lee  <walt@tilera.com>
+
+	* config/tilegx/tilegx.md (*sibcall_insn): Fix type atribute for jr.
+	(*sibcall_value): Ditto.
+
+2013-03-27  Walter Lee  <walt@tilera.com>
+
+	Backport from mainline:
+	2013-03-27  Walter Lee  <walt@tilera.com>
+
+	* config/tilegx/tilegx.md (insn_mnz_<mode>): Replaced by ...
+	(insn_mnz_v8qi): ... this ...
+	(insn_mnz_v4hi): ... and this.  Replace (const_int 0) with the
+	vector equivalent.
+	(insn_v<n>mnz): Replaced by ...
+	(insn_v1mnz): ... this ...
+	(insn_v2mnz): ... and this.  Replace (const_int 0) with the vector
+	equivalent.
+	(insn_mz_<mode>): Replaced by ...
+	(insn_mz_v8qi): ... this ...
+	(insn_mz_v4hi): ... and this.  Replace (const_int 0) with the
+	vector equivalent.
+	(insn_v<n>mz): Replaced by ...
+	(insn_v1mz): ... this ...
+	(insn_v2mz): ... and this.  Replace (const_int 0) with the vector
+	equivalent.
+
+2013-03-26  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* doc/invoke.texi (SPARC options): Remove -mlittle-endian.
+
+2013-03-26  Sebastian Huber  <sebastian.huber@embedded-brains.de>
+
+	* config/rtems.opt: Add -pthread option.
+
+2013-03-26  Sofiane Naci  <sofiane.naci@arm.com>
+
+	* config/aarch64/aarch64.c (aarch64_classify_address): Support
+	PC-relative load in SI modes and above only.
+
+2013-03-26  Walter Lee  <walt@tilera.com>
+
+	Backport from mainline:
+	2013-03-26  Walter Lee  <walt@tilera.com>
+
+	* config/tilegx/tilegx.h (PROFILE_BEFORE_PROLOGUE): Define.
+	* config/tilegx/tilepro.h (PROFILE_BEFORE_PROLOGUE): Define.
+
+2013-03-26  Walter Lee  <walt@tilera.com>
+
+	Backport from mainline:
+	2013-03-25  Walter Lee  <walt@tilera.com>
+
+	* config/tilegx/tilegx-builtins.h (enum tilegx_builtin): Add
+	TILEGX_INSN_SHUFFLEBYTES1.
+	* config/tilegx/tilegx.c (tilegx_builtin_info): Add entry for
+	shufflebytes1.
+	(tilegx_builtins): Ditto.
+	* config/tilegx/tilegx.md (insn_shufflebytes1): New pattern.
+
+2013-03-26  Walter Lee  <walt@tilera.com>
+
+	Backport from mainline:
+	2013-03-25  Walter Lee  <walt@tilera.com>
+
+	* config/tilegx/tilegx.c (expand_set_cint64_one_inst): Inline
+	tests for constraint J, K, N, P.
+
+2013-03-26  Walter Lee  <walt@tilera.com>
+
+	Backport from mainline:
+	2013-03-25  Walter Lee  <walt@tilera.com>
+
+	* config/tilegx/tilegx.c (tilegx_asm_preferred_eh_data_format):
+	Use indirect/pcrel encoding.
+	* config/tilepro/tilepro.c (tilepro_asm_preferred_eh_data_format):
+	Ditto.
+
+2013-03-25  Richard Biener  <rguenther@suse.de>
+
+	PR middle-end/56694
+	* tree-eh.c (lower_eh_must_not_throw): Strip BLOCKs from the
+	must-not-throw stmt location.
+
+2012-03-22  Jakub Jelinek  <jakub@redhat.com>
+
+	* BASE-VER: Set to 4.8.1.
+	* DEV-PHASE: Set to prerelease.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
@@ -44,30 +844,31 @@
 
 	* configure.ac: Add MicroBlaze TLS support detection.
 	* configure: Regenerate.
-	* config/microblaze/microblaze-protos.h: (microblaze_cannot_force_const_mem,
-	microblaze_tls_referenced_p, symbol_mentioned_p, label_mentioned_p): 
-	Add prototypes.
-	* config/microblaze/microblaze.c (microblaze_address_type): Add ADDRESS_TLS
-	and tls_reloc address types.
+	* config/microblaze/microblaze-protos.h
+	(microblaze_cannot_force_const_mem, microblaze_tls_referenced_p,
+	symbol_mentioned_p, label_mentioned_p): Add prototypes.
+	* config/microblaze/microblaze.c (microblaze_address_type): Add
+	ADDRESS_TLS and tls_reloc address types.
 	(microblaze_address_info): Add tls_reloc.
 	(TARGET_HAVE_TLS): Define.
 	(get_tls_get_addr, microblaze_tls_symbol_p, microblaze_tls_operand_p_1,
-	 microblaze_tls_referenced_p, microblaze_cannot_force_const_mem,
-	 symbol_mentioned_p, label_mentioned_p, tls_mentioned_p, load_tls_operand,
-	 microblaze_call_tls_get_addr, microblaze_legitimize_tls_address): New functions.
+	microblaze_tls_referenced_p, microblaze_cannot_force_const_mem,
+	symbol_mentioned_p, label_mentioned_p, tls_mentioned_p,
+	load_tls_operand, microblaze_call_tls_get_addr,
+	microblaze_legitimize_tls_address): New functions.
 	(microblaze_classify_unspec): Handle UNSPEC_TLS.
 	(get_base_reg): Use microblaze_tls_symbol_p.
 	(microblaze_classify_address): Handle TLS.
-	(microblaze_legitimate_pic_operand): Use symbol_mentioned_p, label_mentioned_p
-	and microblaze_tls_referenced_p.
+	(microblaze_legitimate_pic_operand): Use symbol_mentioned_p,
+	label_mentioned_p and microblaze_tls_referenced_p.
 	(microblaze_legitimize_address): Handle TLS.
 	(microblaze_address_insns): Handle ADDRESS_TLS.
 	(pic_address_needs_scratch): Handle TLS.
 	(print_operand_address): Handle TLS.
 	(microblaze_expand_prologue): Check TLS_NEEDS_GOT.
 	(microblaze_expand_move): Handle TLS.
-	(microblaze_legitimate_constant_p): Check microblaze_cannot_force_const_mem
-	and microblaze_tls_symbol_p.
+	(microblaze_legitimate_constant_p): Check
+	microblaze_cannot_force_const_mem and microblaze_tls_symbol_p.
 	(TARGET_CANNOT_FORCE_CONST_MEM): Define.
 	* config/microblaze/microblaze.h (TLS_NEEDS_GOT): Define
 	(PIC_OFFSET_TABLE_REGNUM): Set.
@@ -75,7 +876,8 @@
 	* config/microblaze/microblaze.md (UNSPEC_TLS): Define.
 	(addsi3, movsi_internal2, movdf_internal): Update constraints
 	* config/microblaze/predicates.md (arith_plus_operand): Define
-	(move_operand): Redefine as move_src_operand, check microblaze_tls_referenced_p.
+	(move_operand): Redefine as move_src_operand, check
+	microblaze_tls_referenced_p.
 
 2013-03-14  Ian Bolton  <ian.bolton@arm.com>
 
@@ -173,7 +975,7 @@
 	PR target/56591
 	* config/avr/avr.c (avr_print_operand): Add space after '%c' in
 	output_operand_lossage message.
-	
+
 2013-03-11  Richard Earnshaw  <rearnsha@arm.com>
 
 	PR target/56470
@@ -518,10 +1320,10 @@
 
 2013-03-04  David Holsgrove  <david.holsgrove@xilinx.com>
 
-	* config/microblaze/microblaze.c (microblaze_valid_pic_const): New 
-	(microblaze_legitimate_pic_operand): Likewise
-	* config/microblaze/microblaze.h (LEGITIMATE_PIC_OPERAND_P): calls 
-	new function microblaze_legitimate_pic_operand
+	* config/microblaze/microblaze.c (microblaze_valid_pic_const): New.
+	(microblaze_legitimate_pic_operand): Likewise.
+	* config/microblaze/microblaze.h (LEGITIMATE_PIC_OPERAND_P): Call
+	new function microblaze_legitimate_pic_operand.
 	* config/microblaze/microblaze-protos.h
 	(microblaze_legitimate_pic_operand): Declare.
 
@@ -572,8 +1374,8 @@
 	DRIVER_SELF_SPECS.
 	* config/microblaze/microblaze.md: New bswapsi2 and bswaphi2.
 	instructions emitted if TARGET_REORDER.
-	* config/microblaze/microblaze.opt: New option -mxl-reorder set to 1 
-	or 0 for -m/-mno case, but initialises as 2 to detect default use case 
+	* config/microblaze/microblaze.opt: New option -mxl-reorder set to 1
+	or 0 for -m/-mno case, but initialises as 2 to detect default use case
 	separately.
 
 2013-03-01  Xinliang David Li  <davidxl@google.com>
@@ -610,12 +1412,10 @@
 	(Other MIPS Built-in Functions): Move last MIPS entry before
 	"picoChip Built-in Functions".
 	(SH Built-in Functions): Move after RX Built-in Functions.
-	* doc/gcc.texi (Introduction): Change order in @menu
-	to match @node.
+	* doc/gcc.texi (Introduction): Change order in @menu to match @node.
 	* doc/md.texi (Constraints): Ditto.
 	* gty.texi (Type Information): Ditto.
-	(User-provided marking routines for template types): Make
-	subsection.
+	(User-provided marking routines for template types): Make subsection.
 	* doc/invoke.texi (AArch64 Options): Move before
 	"Adapteva Epiphany Options".
 
@@ -743,8 +1543,7 @@
 	pointer_set_destroy on not_executed_last_iteration.
 
 	PR middle-end/56461
-	* tree-vect-loop.c (vectorizable_reduction): Release vect_defs
-	vector.
+	* tree-vect-loop.c (vectorizable_reduction): Release vect_defs vector.
 
 	PR middle-end/56461
 	* ipa-pure-const.c (propagate): Use FOR_EACH_FUNCTION instead of
@@ -905,8 +1704,9 @@
 	    Iain Sandoe  <iain@codesourcery.com>
 	    Nathan Froyd  <froydnj@codesourcery.com>
 	    Chao-ying Fu  <fu@mips.com>
-	* doc/extend.texi: (micromips, nomicromips, nocompression):
-	Document new function attributes. 
+
+	* doc/extend.texi (micromips, nomicromips, nocompression):
+	Document new function attributes.
 	* doc/invoke.texi (minterlink-compressed, mmicromips,
 	m14k, m14ke, m14kec): Document new options.
 	(minterlink-mips16): Update documentation.
@@ -1055,8 +1855,8 @@
 	    Nathan Froyd  <froydnj@codesourcery.com>
 	    Chao-ying Fu  <fu@mips.com>
 
-	* doc/extend.texi: (micromips, nomicromips, nocompression):
-	Document new function attributes. 
+	* doc/extend.texi (micromips, nomicromips, nocompression):
+	Document new function attributes.
 	* doc/invoke.texi (minterlink-compressed, mmicromips,
 	m14k, m14ke, m14kec): Document new options.
 	(minterlink-mips16): Update documentation.
@@ -1219,8 +2019,8 @@
 	((dword_type) -1) << (BITS_PER_WORD - 1).  Improve multiplication by
 	((dword_type) 1) << (BITS_PER_WORD - 1).  Avoid undefined behavior
 	in the compiler if coeff is HOST_WIDE_INT_MIN.
-	(expand_divmod): Don't make ext_op1 static, change it's type to
-	uhwi.  Avoid undefined behavior in -INTVAL (op1).
+	(expand_divmod): Don't make ext_op1 static, change it's type to uhwi.
+	Avoid undefined behavior in -INTVAL (op1).
 
 	PR rtl-optimization/50339
 	* lower-subreg.h (struct lower_subreg_choices): Add splitting_ashiftrt
@@ -1291,8 +2091,8 @@
 2013-02-20  Jan Hubicka  <jh@suse.cz>
 
 	PR tree-optimization/56265
-	* ipa-prop.c (ipa_make_edge_direct_to_target): Fixup callgraph when target is
-	referenced for firs ttime.
+	* ipa-prop.c (ipa_make_edge_direct_to_target): Fixup callgraph when
+	target is referenced for first time.
 
 2013-02-20  Richard Biener  <rguenther@suse.de>
 
@@ -1303,8 +2103,7 @@
 	not return anything.
 	(rename_ssa_copies): Do not remove unused locals.
 	* tree-ssa-ccp.c (do_ssa_ccp): Likewise.
-	* tree-ssanames.c (pass_release_ssa_names): Remove unused
-	locals first.
+	* tree-ssanames.c (pass_release_ssa_names): Remove unused locals first.
 	* passes.c (execute_function_todo): Do not schedule unused locals
 	removal if cleanup_tree_cfg did something.
 	* tree-ssa-live.c (remove_unused_locals): Dump statistics
@@ -1360,7 +2159,7 @@
 
 	* config/microblaze/microblaze.c: microblaze_has_clz = 0
 	Add version check for v8.10.a to enable microblaze_has_clz
-	* config/microblaze/microblaze.h: Add TARGET_HAS_CLZ as combined 
+	* config/microblaze/microblaze.h: Add TARGET_HAS_CLZ as combined
 	version and TARGET_PATTERN_COMPARE check
 	* config/microblaze/microblaze.md: New clzsi2 instruction
 
@@ -1378,11 +2177,10 @@
 2012-02-19  Andrey Belevantsev  <abel@ispras.ru>
 
 	PR middle-end/55889
-
 	* sel-sched.c: Include ira.h.
 	(implicit_clobber_conflict_p): New function.
 	(moveup_expr): Use it.
-	* Makefile.in (sel-sched.o): Depend on ira.h. 
+	* Makefile.in (sel-sched.o): Depend on ira.h.
 
 2013-02-19  Richard Biener  <rguenther@suse.de>
 
@@ -1413,8 +2211,7 @@
 	* genopinit.c (raw_optab_handler): Use this_fn_optabs.
 	(swap_optab_enable): Same.
 	(init_all_optabs): Use argument instead of global.
-	* tree.h (struct tree_optimization_option): New field
-	target_optabs.
+	* tree.h (struct tree_optimization_option): New field target_optabs.
 	* expr.h (init_all_optabs): Add argument to prototype.
 	(TREE_OPTIMIZATION_OPTABS): New.
 	(save_optabs_if_changed): Protoize.
@@ -1438,8 +2235,8 @@
 
 	PR target/56214
 	* config/pa/predicates.md (base14_operand): Except for BLKmode, QImode
-	and HImode, require all displacements to be an integer multiple of their
-	mode size.
+	and HImode, require all displacements to be an integer multiple of
+	their mode size.
 	* config/pa/pa.c (pa_legitimate_address_p): For REG+BASE addresses,
 	only allow QImode and HImode when reload is in progress and strict is
 	true.  Likewise for symbolic addresses.  Use base14_operand to check
@@ -1480,10 +2277,10 @@
 
 2013-02-16  Edgar E. Iglesias  <edgar.iglesias@gmail.com>
 
-	* config/microblaze/microblaze.c (microblaze_asm_trampoline_template): 
+	* config/microblaze/microblaze.c (microblaze_asm_trampoline_template):
 	Replace with a microblaze version.
 	(microblaze_trampoline_init): Adapt for microblaze.
-	* gcc/config/microblaze/microblaze.h (TRAMPOLINE_SIZE): Adapt for 
+	* config/microblaze/microblaze.h (TRAMPOLINE_SIZE): Adapt for
 	microblaze.
 
 2013-02-16  Jakub Jelinek  <jakub@redhat.com>
Index: gcc/testsuite/gcc.target/arm/neon-vcond-ltgt.c
===================================================================
--- gcc/testsuite/gcc.target/arm/neon-vcond-ltgt.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/arm/neon-vcond-ltgt.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,18 @@
+/* { dg-do compile } */
+/* { dg-require-effective-target arm_neon_ok } */
+/* { dg-options "-O1 -funsafe-math-optimizations -ftree-vectorize" }  */
+/* { dg-add-options arm_neon } */
+
+#define LTGT(a, b) (__builtin_islessgreater (a, b) ? a : b)
+void foo (int ilast,float* w, float* w2)
+{
+  int i;
+  for (i = 0; i < ilast; ++i)
+  {
+    w[i] = LTGT (0.0f, w2[i]);
+  }
+}
+
+/* { dg-final { scan-assembler-times "vcgt\\.f32\[\\t \]*q\[0-9\]+,\[\\t \]*q\[0-9\]+,\[\\t \]*q\[0-9\]+" 2 } } */
+/* { dg-final { scan-assembler "vorr\[\\t \]*q\[0-9\]+,\[\\t \]*q\[0-9\]+,\[\\t \]*q\[0-9\]+" } } */
+/* { dg-final { scan-assembler "vbsl\[\\t \]*q\[0-9\]+,\[\\t \]*q\[0-9\]+,\[\\t \]*q\[0-9\]+" } } */
Index: gcc/testsuite/gcc.target/arm/neon-vcond-unordered.c
===================================================================
--- gcc/testsuite/gcc.target/arm/neon-vcond-unordered.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/arm/neon-vcond-unordered.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,19 @@
+/* { dg-do compile } */
+/* { dg-require-effective-target arm_neon_ok } */
+/* { dg-options "-O1 -funsafe-math-optimizations -ftree-vectorize" }  */
+/* { dg-add-options arm_neon } */
+
+#define UNORD(a, b) (__builtin_isunordered (a, b) ? a : b)
+void foo (int ilast,float* w, float* w2)
+{
+  int i;
+  for (i = 0; i < ilast; ++i)
+  {
+    w[i] = UNORD (0.0f, w2[i]);
+  }
+}
+
+/* { dg-final { scan-assembler "vcgt\\.f32\[\\t \]*q\[0-9\]+,\[\\t \]*q\[0-9\]+,\[\\t \]*q\[0-9\]+" } } */
+/* { dg-final { scan-assembler "vcge\\.f32\[\\t \]*q\[0-9\]+,\[\\t \]*q\[0-9\]+,\[\\t \]*q\[0-9\]+" } } */
+/* { dg-final { scan-assembler "vorr\[\\t \]*q\[0-9\]+,\[\\t \]*q\[0-9\]+,\[\\t \]*q\[0-9\]+" } } */
+/* { dg-final { scan-assembler "vbsl\[\\t \]*q\[0-9\]+,\[\\t \]*q\[0-9\]+,\[\\t \]*q\[0-9\]+" } } */
Index: gcc/testsuite/gcc.target/arm/neon-vcond-gt.c
===================================================================
--- gcc/testsuite/gcc.target/arm/neon-vcond-gt.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/arm/neon-vcond-gt.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,17 @@
+/* { dg-do compile } */
+/* { dg-require-effective-target arm_neon_ok } */
+/* { dg-options "-O1 -funsafe-math-optimizations -ftree-vectorize" }  */
+/* { dg-add-options arm_neon } */
+
+#define MAX(a, b) (a > b ? a : b)
+void foo (int ilast,float* w, float* w2)
+{
+  int i;
+  for (i = 0; i < ilast; ++i)
+  {
+    w[i] = MAX (0.0f, w2[i]);
+  }
+}
+
+/* { dg-final { scan-assembler "vcgt\\.f32\[\\t \]*q\[0-9\]+,\[\\t \]*q\[0-9\]+,\[\\t \]*q\[0-9\]+" } } */
+/* { dg-final { scan-assembler "vbit\[\\t \]*q\[0-9\]+,\[\\t \]*q\[0-9\]+,\[\\t \]*q\[0-9\]+" } } */
Index: gcc/testsuite/gcc.target/powerpc/pr57150.c
===================================================================
--- gcc/testsuite/gcc.target/powerpc/pr57150.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/powerpc/pr57150.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,23 @@
+/* { dg-do compile { target { powerpc*-*-* } } } */
+/* { dg-skip-if "" { powerpc*-*-darwin* } { "*" } { "" } } */
+/* { dg-require-effective-target powerpc_vsx_ok } */
+/* { dg-options "-O3 -mcpu=power7 -fcaller-saves" } */
+/* { dg-final { scan-assembler-not "lxvd2x" } } */
+/* { dg-final { scan-assembler-not "lxvw4x" } } */
+/* { dg-final { scan-assembler-not "lvx" } } */
+/* { dg-final { scan-assembler-not "stxvd2x" } } */
+/* { dg-final { scan-assembler-not "stxvw4x" } } */
+/* { dg-final { scan-assembler-not "stvx" } } */
+
+/* Insure caller save on long double does not use VSX instructions.  */
+
+extern long double modify (long double);
+
+void
+sum (long double *ptr, long double value, unsigned long n)
+{
+  unsigned long i;
+
+  for (i = 0; i < n; i++)
+    ptr[i] += modify (value);
+}
Index: gcc/testsuite/gcc.target/powerpc/pr56605.c
===================================================================
--- gcc/testsuite/gcc.target/powerpc/pr56605.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/powerpc/pr56605.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,13 @@
+/* PR rtl-optimization/56605 */
+/* { dg-do compile { target { powerpc64-*-* && lp64 } } } */
+/* { dg-options "-O3 -mvsx -mcpu=power7 -fno-unroll-loops -fdump-rtl-loop2_doloop" } */
+
+void foo (short* __restrict sb, int* __restrict ia)
+{
+  int i;
+  for (i = 0; i < 4000; i++)
+    ia[i] = (int) sb[i];
+}
+
+/* { dg-final { scan-rtl-dump-times "\\\(compare:CC \\\(subreg:SI \\\(reg:DI" 1 "loop2_doloop" } } */
+/* { dg-final { cleanup-rtl-dump "loop2_doloop" } } */
Index: gcc/testsuite/gcc.target/aarch64/test-framepointer-2.c
===================================================================
--- gcc/testsuite/gcc.target/aarch64/test-framepointer-2.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/aarch64/test-framepointer-2.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,15 @@
+/* { dg-do run } */
+/* { dg-options "-O2 -fomit-frame-pointer -mno-omit-leaf-frame-pointer -fno-inline --save-temps" } */
+
+#include "asm-adder-no-clobber-lr.c"
+
+/* omit-frame-pointer is TRUE.
+   omit-leaf-frame-pointer is false, but irrelevant due to omit-frame-pointer.
+   LR is not being clobbered in the leaf.
+
+   Since we asked to have no frame pointers anywhere, we expect no frame
+   record in main or the leaf.  */
+
+/* { dg-final { scan-assembler-not "stp\tx29, x30, \\\[sp, -\[0-9\]+\\\]!" } } */
+
+/* { dg-final { cleanup-saved-temps } } */
Index: gcc/testsuite/gcc.target/aarch64/test-framepointer-6.c
===================================================================
--- gcc/testsuite/gcc.target/aarch64/test-framepointer-6.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/aarch64/test-framepointer-6.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,15 @@
+/* { dg-do run } */
+/* { dg-options "-O2 -fomit-frame-pointer -mno-omit-leaf-frame-pointer -fno-inline --save-temps" } */
+
+#include "asm-adder-clobber-lr.c"
+
+/* omit-frame-pointer is TRUE.
+   omit-leaf-frame-pointer is false, but irrelevant due to omit-frame-pointer.
+   LR is being clobbered in the leaf.
+
+   Since we asked to have no frame pointers anywhere, we expect no frame
+   record in main or the leaf.  */
+
+/* { dg-final { scan-assembler-not "stp\tx29, x30, \\\[sp, -\[0-9\]+\\\]!" } } */
+
+/* { dg-final { cleanup-saved-temps } } */
Index: gcc/testsuite/gcc.target/aarch64/vect-fcm-eq-d.c
===================================================================
--- gcc/testsuite/gcc.target/aarch64/vect-fcm-eq-d.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gcc.target/aarch64/vect-fcm-eq-d.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -7,7 +7,7 @@
 
 #include "vect-fcm.x"
 
-/* { dg-final { scan-tree-dump-times "vectorized 1 loops" 3 "vect" } } */
+/* { dg-final { scan-tree-dump-times "vectorized 1 loops" 4 "vect" } } */
 /* { dg-final { scan-assembler "fcmeq\\tv\[0-9\]+\.2d, v\[0-9\]+\.2d, v\[0-9\]+\.2d" } } */
 /* { dg-final { scan-assembler "fcmeq\\tv\[0-9\]+\.2d, v\[0-9\]+\.2d, 0" } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
Index: gcc/testsuite/gcc.target/aarch64/vect-fcm.x
===================================================================
--- gcc/testsuite/gcc.target/aarch64/vect-fcm.x	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gcc.target/aarch64/vect-fcm.x	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -40,6 +40,15 @@
     output[i] = (in1[i] OP 0.0) ? 4.0 : 2.0;
 }
 
+void
+foobarbar (FTYPE *in1, FTYPE *in2, FTYPE *output)
+{
+  int i = 0;
+  /* Vectorizable.  */
+  for (i = 0; i < N; i++)
+    output[i] = (in1[i] INV_OP 0.0) ? 4.0 : 2.0;
+}
+
 int
 main (int argc, char **argv)
 {
@@ -51,6 +60,11 @@
   for (i = 0; i < N; i++)
     if (out1[i] != out2[i])
       abort ();
+  foobar (input1, input2, out1);
+  foobarbar (input1, input2, out2);
+  for (i = 0; i < N; i++)
+    if (out1[i] == out2[i])
+      abort ();
   return 0;
 }
 
Index: gcc/testsuite/gcc.target/aarch64/test-framepointer-3.c
===================================================================
--- gcc/testsuite/gcc.target/aarch64/test-framepointer-3.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/aarch64/test-framepointer-3.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,15 @@
+/* { dg-do run } */
+/* { dg-options "-O2 -fomit-frame-pointer -momit-leaf-frame-pointer -fno-inline --save-temps" } */
+
+#include "asm-adder-no-clobber-lr.c"
+
+/* omit-frame-pointer is TRUE.
+   omit-leaf-frame-pointer is true, but irrelevant due to omit-frame-pointer.
+   LR is not being clobbered in the leaf.
+
+   Since we asked to have no frame pointers anywhere, we expect no frame
+   record in main or the leaf.  */
+
+/* { dg-final { scan-assembler-not "stp\tx29, x30, \\\[sp, -\[0-9\]+\\\]!" } } */
+
+/* { dg-final { cleanup-saved-temps } } */
Index: gcc/testsuite/gcc.target/aarch64/test-framepointer-7.c
===================================================================
--- gcc/testsuite/gcc.target/aarch64/test-framepointer-7.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/aarch64/test-framepointer-7.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,15 @@
+/* { dg-do run } */
+/* { dg-options "-O2 -fomit-frame-pointer -momit-leaf-frame-pointer -fno-inline --save-temps" } */
+
+#include "asm-adder-clobber-lr.c"
+
+/* omit-frame-pointer is TRUE.
+   omit-leaf-frame-pointer is true, but irrelevant due to omit-frame-pointer.
+   LR is being clobbered in the leaf.
+
+   Since we asked to have no frame pointers anywhere, we expect no frame
+   record in main or the leaf.  */
+
+/* { dg-final { scan-assembler-not "stp\tx29, x30, \\\[sp, -\[0-9\]+\\\]!" } } */
+
+/* { dg-final { cleanup-saved-temps } } */
Index: gcc/testsuite/gcc.target/aarch64/vect-fcm-ge-d.c
===================================================================
--- gcc/testsuite/gcc.target/aarch64/vect-fcm-ge-d.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gcc.target/aarch64/vect-fcm-ge-d.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -7,8 +7,9 @@
 
 #include "vect-fcm.x"
 
-/* { dg-final { scan-tree-dump-times "vectorized 1 loops" 3 "vect" } } */
+/* { dg-final { scan-tree-dump-times "vectorized 1 loops" 4 "vect" } } */
 /* { dg-final { scan-assembler "fcmge\\tv\[0-9\]+\.2d, v\[0-9\]+\.2d, v\[0-9\]+\.2d" } } */
 /* { dg-final { scan-assembler "fcmge\\tv\[0-9\]+\.2d, v\[0-9\]+\.2d, 0" } } */
+/* { dg-final { scan-assembler "fcmlt\\tv\[0-9\]+\.2d, v\[0-9\]+\.2d, 0" } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
 /* { dg-final { cleanup-saved-temps } } */
Index: gcc/testsuite/gcc.target/aarch64/asm-adder-clobber-lr.c
===================================================================
--- gcc/testsuite/gcc.target/aarch64/asm-adder-clobber-lr.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/aarch64/asm-adder-clobber-lr.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,23 @@
+extern void abort (void);
+
+int
+adder (int a, int b)
+{
+  int result;
+  __asm__ ("add %w0,%w1,%w2" : "=r"(result) : "r"(a), "r"(b) : "x30");
+  return result;
+}
+
+int
+main (int argc, char** argv)
+{
+  int i;
+  int total = argc;
+  for (i = 0; i < 20; i++)
+    total = adder (total, i);
+
+  if (total != (190 + argc))
+    abort ();
+
+  return 0;
+}
Index: gcc/testsuite/gcc.target/aarch64/vect-fcm-gt-f.c
===================================================================
--- gcc/testsuite/gcc.target/aarch64/vect-fcm-gt-f.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gcc.target/aarch64/vect-fcm-gt-f.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -7,8 +7,9 @@
 
 #include "vect-fcm.x"
 
-/* { dg-final { scan-tree-dump-times "vectorized 1 loops" 3 "vect" } } */
+/* { dg-final { scan-tree-dump-times "vectorized 1 loops" 4 "vect" } } */
 /* { dg-final { scan-assembler "fcmgt\\tv\[0-9\]+\.\[24\]s, v\[0-9\]+\.\[24\]s, v\[0-9\]+\.\[24\]s" } } */
 /* { dg-final { scan-assembler "fcmgt\\tv\[0-9\]+\.\[24\]s, v\[0-9\]+\.\[24\]s, 0" } } */
+/* { dg-final { scan-assembler "fcmle\\tv\[0-9\]+\.\[24\]s, v\[0-9\]+\.\[24\]s, 0" } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
 /* { dg-final { cleanup-saved-temps } } */
Index: gcc/testsuite/gcc.target/aarch64/test-framepointer-4.c
===================================================================
--- gcc/testsuite/gcc.target/aarch64/test-framepointer-4.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/aarch64/test-framepointer-4.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,16 @@
+/* { dg-do run } */
+/* { dg-options "-O2 -fno-omit-frame-pointer -momit-leaf-frame-pointer -fno-inline --save-temps" } */
+
+#include "asm-adder-no-clobber-lr.c"
+
+/* omit-frame-pointer is FALSE.
+   omit-leaf-frame-pointer is TRUE.
+   LR is not being clobbered in the leaf.
+
+   Unless we are removing all frame records, it's OK to remove the frame
+   record for a leaf where LR is not clobbered.  Therefore, we expect a
+   frame record only in main.  */
+
+/* { dg-final { scan-assembler-times "stp\tx29, x30, \\\[sp, -\[0-9\]+\\\]!" 1 } } */
+
+/* { dg-final { cleanup-saved-temps } } */
Index: gcc/testsuite/gcc.target/aarch64/movk.c
===================================================================
--- gcc/testsuite/gcc.target/aarch64/movk.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/aarch64/movk.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,31 @@
+/* { dg-do run } */
+/* { dg-options "-O2 --save-temps -fno-inline" } */
+
+extern void abort (void);
+
+long long int
+dummy_number_generator ()
+{
+  /* { dg-final { scan-assembler "movk\tx\[0-9\]+, 0xefff, lsl 16" } } */
+  /* { dg-final { scan-assembler "movk\tx\[0-9\]+, 0xc4cc, lsl 32" } } */
+  /* { dg-final { scan-assembler "movk\tx\[0-9\]+, 0xfffe, lsl 48" } } */
+  return -346565474575675;
+}
+
+int
+main (void)
+{
+
+  long long int num = dummy_number_generator ();
+  if (num > 0)
+    abort ();
+
+  /* { dg-final { scan-assembler "movk\tx\[0-9\]+, 0x4667, lsl 16" } } */
+  /* { dg-final { scan-assembler "movk\tx\[0-9\]+, 0x7a3d, lsl 32" } } */
+  if (num / 69313094915135 != -5)
+    abort ();
+
+  return 0;
+}
+
+/* { dg-final { cleanup-saved-temps } } */
Index: gcc/testsuite/gcc.target/aarch64/test-framepointer-8.c
===================================================================
--- gcc/testsuite/gcc.target/aarch64/test-framepointer-8.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/aarch64/test-framepointer-8.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,16 @@
+/* { dg-do run } */
+/* { dg-options "-O2 -fno-omit-frame-pointer -momit-leaf-frame-pointer -fno-inline --save-temps" } */
+
+#include "asm-adder-clobber-lr.c"
+
+/* omit-frame-pointer is FALSE.
+   omit-leaf-frame-pointer is TRUE.
+   LR is being clobbered in the leaf.
+
+   Unless we are removing all frame records (which we aren't), it's
+   not OK to remove the frame record for a leaf where LR is clobbered.
+   Therefore, we expect a frame record in main and leaf.  */
+
+/* { dg-final { scan-assembler-times "stp\tx29, x30, \\\[sp, -\[0-9\]+\\\]!" 2 } } */
+
+/* { dg-final { cleanup-saved-temps } } */
Index: gcc/testsuite/gcc.target/aarch64/vect-fcm-eq-f.c
===================================================================
--- gcc/testsuite/gcc.target/aarch64/vect-fcm-eq-f.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gcc.target/aarch64/vect-fcm-eq-f.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -7,7 +7,7 @@
 
 #include "vect-fcm.x"
 
-/* { dg-final { scan-tree-dump-times "vectorized 1 loops" 3 "vect" } } */
+/* { dg-final { scan-tree-dump-times "vectorized 1 loops" 4 "vect" } } */
 /* { dg-final { scan-assembler "fcmeq\\tv\[0-9\]+\.\[24\]s, v\[0-9\]+\.\[24\]s, v\[0-9\]+\.\[24\]s" } } */
 /* { dg-final { scan-assembler "fcmeq\\tv\[0-9\]+\.\[24\]s, v\[0-9\]+\.\[24\]s, 0" } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
Index: gcc/testsuite/gcc.target/aarch64/test-framepointer-1.c
===================================================================
--- gcc/testsuite/gcc.target/aarch64/test-framepointer-1.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/aarch64/test-framepointer-1.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,15 @@
+/* { dg-do run } */
+/* { dg-options "-O2 -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -fno-inline --save-temps" } */
+
+#include "asm-adder-no-clobber-lr.c"
+
+/* omit-frame-pointer is FALSE.
+   omit-leaf-frame-pointer is FALSE.
+   LR is not being clobbered in the leaf.
+
+   With no frame pointer omissions, we expect a frame record
+   for main and the leaf.  */
+
+/* { dg-final { scan-assembler-times "stp\tx29, x30, \\\[sp, -\[0-9\]+\\\]!" 2 } } */
+
+/* { dg-final { cleanup-saved-temps } } */
Index: gcc/testsuite/gcc.target/aarch64/test-framepointer-5.c
===================================================================
--- gcc/testsuite/gcc.target/aarch64/test-framepointer-5.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/aarch64/test-framepointer-5.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,15 @@
+/* { dg-do run } */
+/* { dg-options "-O2 -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -fno-inline --save-temps" } */
+
+#include "asm-adder-clobber-lr.c"
+
+/* omit-frame-pointer is FALSE.
+   omit-leaf-frame-pointer is FALSE.
+   LR is being clobbered in the leaf.
+
+   With no frame pointer omissions, we expect a frame record for main
+   and the leaf.  */
+
+/* { dg-final { scan-assembler-times "stp\tx29, x30, \\\[sp, -\[0-9\]+\\\]!" 2 } } */
+
+/* { dg-final { cleanup-saved-temps } } */
Index: gcc/testsuite/gcc.target/aarch64/vect-fcm-ge-f.c
===================================================================
--- gcc/testsuite/gcc.target/aarch64/vect-fcm-ge-f.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gcc.target/aarch64/vect-fcm-ge-f.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -7,8 +7,9 @@
 
 #include "vect-fcm.x"
 
-/* { dg-final { scan-tree-dump-times "vectorized 1 loops" 3 "vect" } } */
+/* { dg-final { scan-tree-dump-times "vectorized 1 loops" 4 "vect" } } */
 /* { dg-final { scan-assembler "fcmge\\tv\[0-9\]+\.\[24\]s, v\[0-9\]+\.\[24\]s, v\[0-9\]+\.\[24\]s" } } */
 /* { dg-final { scan-assembler "fcmge\\tv\[0-9\]+\.\[24\]s, v\[0-9\]+\.\[24\]s, 0" } } */
+/* { dg-final { scan-assembler "fcmlt\\tv\[0-9\]+\.\[24\]s, v\[0-9\]+\.\[24\]s, 0" } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
 /* { dg-final { cleanup-saved-temps } } */
Index: gcc/testsuite/gcc.target/aarch64/asm-adder-no-clobber-lr.c
===================================================================
--- gcc/testsuite/gcc.target/aarch64/asm-adder-no-clobber-lr.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/aarch64/asm-adder-no-clobber-lr.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,23 @@
+extern void abort (void);
+
+int
+adder (int a, int b)
+{
+  int result;
+  __asm__ ("add %w0,%w1,%w2" : "=r"(result) : "r"(a), "r"(b) : );
+  return result;
+}
+
+int
+main (int argc, char** argv)
+{
+  int i;
+  int total = argc;
+  for (i = 0; i < 20; i++)
+    total = adder (total, i);
+
+  if (total != (190 + argc))
+    abort ();
+
+  return 0;
+}
Index: gcc/testsuite/gcc.target/aarch64/vect-fcm-gt-d.c
===================================================================
--- gcc/testsuite/gcc.target/aarch64/vect-fcm-gt-d.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gcc.target/aarch64/vect-fcm-gt-d.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -7,8 +7,9 @@
 
 #include "vect-fcm.x"
 
-/* { dg-final { scan-tree-dump-times "vectorized 1 loops" 3 "vect" } } */
+/* { dg-final { scan-tree-dump-times "vectorized 1 loops" 4 "vect" } } */
 /* { dg-final { scan-assembler "fcmgt\\tv\[0-9\]+\.2d, v\[0-9\]+\.2d, v\[0-9\]+\.2d" } } */
 /* { dg-final { scan-assembler "fcmgt\\tv\[0-9\]+\.2d, v\[0-9\]+\.2d, 0" } } */
+/* { dg-final { scan-assembler "fcmle\\tv\[0-9\]+\.2d, v\[0-9\]+\.2d, 0" } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
 /* { dg-final { cleanup-saved-temps } } */
Index: gcc/testsuite/gcc.target/i386/pr57046.c
===================================================================
--- gcc/testsuite/gcc.target/i386/pr57046.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/i386/pr57046.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,77 @@
+/* { dg-do run } */
+/* { dg-options "-O2" } */
+
+struct emac {
+        unsigned reg[23];
+};
+
+struct mop {
+        unsigned long long addr;
+        unsigned int size;
+};
+
+unsigned int __attribute__((__noinline__))
+level(const struct emac *obj)
+{
+	return 0;
+}
+
+void __attribute__((__noinline__))
+info(struct emac *dev, unsigned long long addr)
+{
+	asm("" : : : "memory");
+}
+
+unsigned long long __attribute__((__noinline__))
+get_value(const struct mop *mop)
+{
+        return 0x1234567890abcdefull;
+}
+
+int __attribute__((__noinline__))
+emac_operation(struct emac *obj, struct mop *mop)
+{
+        unsigned long long addr = mop->addr;
+        int index = addr >> 2;
+	unsigned int value, old_value;
+
+        if (mop->size != 4)
+                return 0;
+
+        if (index >= 23) {
+                if (level(obj) >= 1)
+                        info(obj, addr);
+                return 0;
+        }
+
+        value = get_value(mop);
+        old_value = obj->reg[index];
+
+        info(obj, 0);
+
+        switch (index) {
+        case 0:
+                obj->reg[0] = old_value;
+                break;
+        case 7:
+        case 8:
+                obj->reg[index] = value;
+                break;
+        }
+
+        return 0;
+}
+
+int main(void)
+{
+	struct emac e = { { 0 } };
+	struct mop mop = { 32, 4 };
+
+	e.reg[8] = 0xdeadbeef;
+	emac_operation(&e, &mop);
+
+	if (e.reg[8] != 0x90abcdef)
+	   __builtin_abort();
+
+	   return 0;
+}
Index: gcc/testsuite/gcc.target/i386/pr56560.c
===================================================================
--- gcc/testsuite/gcc.target/i386/pr56560.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/i386/pr56560.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,19 @@
+/* { dg-do compile } */
+/* { dg-options "-O2 -mavx -mvzeroupper -dp" } */
+
+extern void abort (void);
+
+typedef double vec_t __attribute__((vector_size(32)));
+
+struct S { int i1; int i2; int i3; };
+
+extern int bar (vec_t, int, int, int, int, int, struct S);
+
+void foo (vec_t v, struct S s)
+{
+  int i = bar (v, 1, 2, 3, 4, 5, s);
+  if (i == 0)
+    abort ();
+}
+
+/* { dg-final { scan-assembler-not "avx_vzeroupper" } } */
Index: gcc/testsuite/gcc.target/i386/pr57264.c
===================================================================
--- gcc/testsuite/gcc.target/i386/pr57264.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/i386/pr57264.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,18 @@
+/* { dg-do compile } */
+/* { dg-options "-O1 -mcld" } */
+
+void test (int x, int **pp)
+{
+  while (x)
+    {
+      int *ip = *pp;
+      int *op = *pp;
+      while (*ip)
+	{
+	  int v = *ip++;
+	  *op++ = v + 1;
+	}
+    }
+}
+
+/* { dg-final { scan-assembler-not "stosl" } } */
Index: gcc/testsuite/gcc.target/i386/pr44578.c
===================================================================
--- gcc/testsuite/gcc.target/i386/pr44578.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/i386/pr44578.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,31 @@
+/* { dg-do run } */
+/* { dg-options "-O2 -mtune=athlon64" } */
+
+extern void abort (void);
+
+long double
+__attribute__((noinline, noclone))
+test (float num)
+{
+  unsigned int i;
+
+  if (num < 0.0)
+    num = 0.0;
+
+  __builtin_memcpy (&i, &num, sizeof(unsigned int));
+
+  return (long double)(unsigned long long) i;
+}
+
+int
+main ()
+{
+  long double x;
+
+  x = test (0.0);
+
+  if (x != 0.0)
+    abort ();
+
+  return 0;
+}
Index: gcc/testsuite/gcc.target/i386/pr57003.c
===================================================================
--- gcc/testsuite/gcc.target/i386/pr57003.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/i386/pr57003.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,54 @@
+/* PR rtl-optimization/57003 */
+/* { dg-do run } */
+/* { dg-options "-O2" } */
+
+#define N 2001
+unsigned short *b, *c, *d;
+
+__attribute__ ((noinline, noclone)) unsigned
+bar (void)
+{
+  asm volatile ("" : : : "memory");
+  return N;
+}
+
+__attribute__ ((noinline, noclone)) unsigned short *
+baz (unsigned long x)
+{
+  if (x != N * sizeof (unsigned short) + 20)
+    __builtin_abort ();
+  asm volatile ("" : : : "memory");
+  return d;
+}
+
+__attribute__ ((ms_abi, noinline, noclone))
+foo (void)
+{
+  unsigned d;
+  unsigned short *e;
+  if ((d = bar ()))
+    {
+      e = baz (d * sizeof (unsigned short) + 20);
+      __builtin_memcpy (e, b, d * sizeof (unsigned short));
+      c = e;
+    }
+}
+
+int
+main ()
+{
+  unsigned short a[2 * N];
+  int i;
+  for (i = 0; i < 2 * N; i++)
+    a[i] = i + 1;
+  b = a;
+  d = a + N;
+  asm volatile ("" : : : "memory");
+  foo ();
+  for (i = 0; i < N; i++)
+    if (a[i] != i + 1 || a[i + N] != i + 1)
+      __builtin_abort ();
+  if (c != a + N)
+    __builtin_abort ();
+  return 0;
+}
Index: gcc/testsuite/gcc.target/i386/pr57097.c
===================================================================
--- gcc/testsuite/gcc.target/i386/pr57097.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/i386/pr57097.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,29 @@
+/* { dg-do compile } */
+/* { dg-options "-O2 -fPIC" } */
+extern double ad[], bd[], cd[], dd[];
+extern long long all[], bll[], cll[], dll[];
+
+int
+main (int i, char **a)
+{
+  bd[i] = i + 64;
+  if (i % 3 == 0)
+    {
+      cd[i] = i;
+    }
+  dd[i] = i / 2;
+  ad[i] = i * 2;
+  if (i % 3 == 1)
+    {
+      dll[i] = 127;
+    }
+  dll[i] = i;
+  cll[i] = i * 2;
+  switch (i % 3)
+    {
+    case 0:
+      bll[i] = i + 64;
+    }
+  all[i] = i / 2;
+  return 0;
+}
Index: gcc/testsuite/gcc.target/i386/pr57018.c
===================================================================
--- gcc/testsuite/gcc.target/i386/pr57018.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/i386/pr57018.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,31 @@
+/* { dg-do run } */
+/* { dg-options "-Os -fomit-frame-pointer -fno-asynchronous-unwind-tables" } */
+/* { dg-additional-options "-march=i686" { target ia32 } } */
+
+struct A { char a[16]; } a;
+
+void __attribute__((noinline, noclone))
+foo (struct A b)
+{
+  if (__builtin_memcmp (b.a, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 16))
+    __builtin_abort ();
+  asm volatile ("" : : : "memory");
+}
+
+void __attribute__((noinline, noclone))
+bar (struct A b)
+{
+  foo (a);
+  a = b;
+}
+
+int
+main ()
+{
+  struct A b = { "\0\1\2\3\4\5\6\7\10\11\12\13\14\15\16\17" };
+  bar (b);
+  if (__builtin_memcmp (a.a, b.a, 16))
+    __builtin_abort ();
+  return 0;
+}
+
Index: gcc/testsuite/gcc.target/i386/avx2-vbroadcastsi128-1.c
===================================================================
--- gcc/testsuite/gcc.target/i386/avx2-vbroadcastsi128-1.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gcc.target/i386/avx2-vbroadcastsi128-1.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -10,5 +10,5 @@
 void extern
 avx2_test (void)
 {
-  x = _mm_broadcastsi128_si256 (y);
+  x = _mm256_broadcastsi128_si256 (y);
 }
Index: gcc/testsuite/gcc.target/i386/pr56866.c
===================================================================
--- gcc/testsuite/gcc.target/i386/pr56866.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/i386/pr56866.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,16 @@
+/* PR target/56866 */
+/* { dg-do run } */
+/* { dg-require-effective-target xop } */
+/* { dg-options "-O3 -mxop" } */
+
+#define main xop_test_main
+#include "../../gcc.c-torture/execute/pr56866.c"
+#undef main
+
+#include "xop-check.h"
+
+static void
+xop_test (void)
+{
+  xop_test_main ();
+}
Index: gcc/testsuite/gcc.target/i386/pr56903.c
===================================================================
--- gcc/testsuite/gcc.target/i386/pr56903.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/i386/pr56903.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,18 @@
+/* PR rtl-optimization/56903 */
+/* { dg-do compile } */
+/* { dg-options "-Os" } */
+/* { dg-additional-options "-march=pentium3" { target ia32 } } */
+
+int a, *b, c;
+struct S { int s : 1; } *fn1 (void);
+extern int fn3 (void), fn4 (int *);
+
+void
+fn2 (void)
+{
+  int e = fn3 ();
+  char f = c + fn1 ()->s * 4;
+  if (*b && f == e)
+    a = *b;
+  fn4 (b);
+}
Index: gcc/testsuite/gcc.target/i386/pr57098.c
===================================================================
--- gcc/testsuite/gcc.target/i386/pr57098.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/i386/pr57098.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,10 @@
+/* { dg-do compile } */
+/* { dg-require-effective-target lp64 } */
+/* { dg-options "-msse4 -mcmodel=large" } */
+
+typedef int V __attribute__((vector_size(16)));
+
+void foo (V *p, V *mask)
+{
+  *p = __builtin_shuffle (*p, *mask);
+}
Index: gcc/testsuite/gcc.target/i386/pr57106.c
===================================================================
--- gcc/testsuite/gcc.target/i386/pr57106.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/i386/pr57106.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,15 @@
+/* { dg-do compile } */
+/* { dg-options "-O2 -fschedule-insns -funroll-all-loops -fcompare-debug" } */
+
+typedef void block128_f (int *, int);
+
+void
+foo (int *out, int *iv, block128_f block)
+{
+  while (1)
+    {
+      *out = *out ^ *iv;
+      block (out, *out);
+      iv = out;
+    }
+}
Index: gcc/testsuite/gcc.target/i386/avx2-vbroadcastsi128-2.c
===================================================================
--- gcc/testsuite/gcc.target/i386/avx2-vbroadcastsi128-2.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gcc.target/i386/avx2-vbroadcastsi128-2.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -19,7 +19,7 @@
       for (j = 0; j < 2; j++)
 	s1.a[j] = j * i;
 
-      res.x = _mm_broadcastsi128_si256 (s1.x);
+      res.x = _mm256_broadcastsi128_si256 (s1.x);
 
       memcpy (res_ref, s1.a, 16);
       memcpy (res_ref + 2, s1.a, 16);
Index: gcc/testsuite/gcc.target/i386/mmx-1.c
===================================================================
--- gcc/testsuite/gcc.target/i386/mmx-1.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gcc.target/i386/mmx-1.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,4 +1,5 @@
 /* { dg-do compile } */
+/* { dg-do compile { target { nonpic } } } */
 /* { dg-options "-O2 -Werror-implicit-function-declaration -mmmx" } */
 
 /* Test that the intrinsics compile with optimization.  All of them are
Index: gcc/testsuite/gcc.target/i386/pr57091.c
===================================================================
--- gcc/testsuite/gcc.target/i386/pr57091.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/i386/pr57091.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,8 @@
+/* { dg-do compile } */
+/* { dg-options "-O -mcmodel=large"  { target lp64 } } */
+void (*bar)();
+
+void foo (void)
+{
+  bar ();
+}
Index: gcc/testsuite/gcc.target/sh/pr57108.c
===================================================================
--- gcc/testsuite/gcc.target/sh/pr57108.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.target/sh/pr57108.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,19 @@
+/* { dg-do compile { target "sh*-*-*" } } */
+/* { dg-options "-O1" } */
+
+void __assert_func (void) __attribute__ ((__noreturn__)) ;
+
+void ATATransfer (int num, int buffer)
+{
+ int wordCount;
+
+ while (num > 0)
+  {
+    wordCount = num * 512 / sizeof (int);
+
+    ((0 == (buffer & 63)) ? (void)0 : __assert_func () );
+    ((0 == (wordCount & 31)) ? (void)0 : __assert_func ());
+  }
+
+
+ }
Index: gcc/testsuite/gfortran.dg/eof_5.f90
===================================================================
--- gcc/testsuite/gfortran.dg/eof_5.f90	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gfortran.dg/eof_5.f90	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,21 @@
+! { dg-do run }
+!
+! PR fortran/56696
+!
+! Contributed by Keith Refson
+!
+
+program iotest
+   character(len=258) :: inp = ' 1.0 1.0 1.0'
+   character(len=7) :: inp2 = '1 2 3 4'
+   integer :: ios
+   real :: a1, a2, a3, a4
+
+   read(inp2,*,iostat=ios) a1, a2, a3, a4
+   if (ios /= 0) call abort ()
+
+   read(inp,*,iostat=ios) a1, a2, a3, a4
+   if (ios == 0) call abort ()
+!   write(*,*) 'IOSTAT=',ios
+end program iotest
+
Index: gcc/testsuite/gfortran.dg/size_kind_3.f90
===================================================================
--- gcc/testsuite/gfortran.dg/size_kind_3.f90	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gfortran.dg/size_kind_3.f90	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,11 @@
+! { dg-do compile }
+!
+! PR fortran/57142
+!
+integer :: B(huge(1)+3_8,2_8)
+integer(8) :: var1(2), var2, var3
+
+var1 = shape(B) ! { dg-error "SHAPE overflows its kind" }
+var2 = size(B) ! { dg-error "SIZE overflows its kind" }
+var3 = size(B,dim=1) ! { dg-error "SIZE overflows its kind" }
+end
Index: gcc/testsuite/gfortran.dg/transfer_check_4.f90
===================================================================
--- gcc/testsuite/gfortran.dg/transfer_check_4.f90	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gfortran.dg/transfer_check_4.f90	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,44 @@
+! { dg-do compile }
+! { dg-options "-Wall" }
+
+! PR 57022: [4.7/4.8/4.9 Regression] Inappropriate warning for use of TRANSFER with arrays
+! Contributed by William Clodius <wclodius@los-alamos.net>
+
+subroutine transfers (test)
+
+  use, intrinsic :: iso_fortran_env
+  
+  integer, intent(in) :: test
+
+  integer(int8)  :: test8(8)  = 0
+  integer(int16) :: test16(4) = 0
+  integer(int32) :: test32(2) = 0
+  integer(int64) :: test64    = 0
+
+  select case(test)
+  case(0)
+    test64 = transfer(test8, test64)
+  case(1)
+    test64 = transfer(test16, test64)
+  case(2)
+    test64 = transfer(test32, test64)
+  case(3)
+    test8  = transfer(test64, test8, 8)
+  case(4)
+    test16 = transfer(test64, test16, 4)
+  case(5)
+    test32 = transfer(test64, test32, 2)
+  end select
+
+end subroutine
+
+
+! PR 53685: surprising warns about transfer with explicit character range
+! Contributed by Jos de Kloe <kloedej@knmi.nl>
+
+subroutine mytest(byte_array,val)
+  integer, parameter :: r8_ = Selected_Real_Kind(15,307)  ! = real*8
+  character(len=1), dimension(16), intent(in) :: byte_array
+  real(r8_),intent(out) :: val
+  val = transfer(byte_array(1:8),val)    
+end subroutine
Index: gcc/testsuite/gfortran.dg/namelist_80.f90
===================================================================
--- gcc/testsuite/gfortran.dg/namelist_80.f90	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gfortran.dg/namelist_80.f90	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,27 @@
+! { dg-do run }
+!
+! PR fortran/56735
+!
+! Contributed by Adam Williams
+!
+        PROGRAM TEST
+        INTEGER int1,int2,int3
+        NAMELIST /temp/ int1,int2,int3
+
+        int1 = -1; int2 = -2; int3 = -3
+
+        OPEN (53, STATUS='scratch')
+        WRITE (53, '(a)') ' ?'
+        WRITE (53, '(a)')
+        WRITE (53, '(a)') '$temp'
+        WRITE (53, '(a)') ' int1=1'
+        WRITE (53, '(a)') ' int2=2'
+        WRITE (53, '(a)') ' int3=3'
+        WRITE (53, '(a)') '$END'
+        REWIND(53)
+
+        READ (53, temp)
+        CLOSE (53)
+
+        if (int1 /= 1 .or. int2 /= 2 .or. int3 /= 3) call abort()
+        END PROGRAM
Index: gcc/testsuite/gfortran.dg/proc_ptr_42.f90
===================================================================
--- gcc/testsuite/gfortran.dg/proc_ptr_42.f90	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gfortran.dg/proc_ptr_42.f90	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,36 @@
+! { dg-do compile }
+!
+! PR 56814: [4.8/4.9 Regression] Bogus Interface mismatch in dummy procedure
+!
+! Contributed by Marco Restelli <mrestelli@gmail.com>
+
+module m1
+  abstract interface
+    pure function i_f(x) result(d)
+    real, intent(in) :: x(:,:)
+    real :: d(size(x,1),size(x,2))
+    end function
+  end interface
+
+  procedure(i_f), pointer :: f => null()
+end module
+
+module m2
+contains
+  pure subroutine ns_dirdata(fun)
+    interface
+    pure function fun(x) result(d)
+      real, intent(in) :: x(:,:)
+      real :: d(size(x,1),size(x,2))
+    end function
+    end interface
+  end subroutine
+end module
+
+program p
+ use m1
+ use m2
+  call ns_dirdata(f)
+end
+
+! { dg-final { cleanup-modules "m1 m2" } }
Index: gcc/testsuite/gfortran.dg/select_type_33.f03
===================================================================
--- gcc/testsuite/gfortran.dg/select_type_33.f03	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gfortran.dg/select_type_33.f03	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,43 @@
+! { dg-do compile }
+!
+! PR fortran/56816
+! The unfinished SELECT TYPE statement below was leading to an ICE because
+! at the time the statement was rejected, the compiler tried to free
+! some symbols that had already been freed with the SELECT TYPE
+! namespace.
+!
+! Original testcase from Dominique Pelletier <dominique.pelletier@polymtl.ca>
+!
+module any_list_module
+    implicit none
+
+    private
+    public :: anylist, anyitem
+
+    type anylist
+    end type
+
+    type anyitem
+        class(*), allocatable :: value
+    end type
+end module any_list_module
+
+
+module my_item_list_module
+
+    use any_list_module
+    implicit none
+
+    type, extends (anyitem) :: myitem
+    end type myitem
+
+contains
+
+    subroutine myprint (this)
+        class (myitem) ::   this
+
+        select type ( v => this % value ! { dg-error "parse error in SELECT TYPE" }
+        end select                      ! { dg-error "Expecting END SUBROUTINE" }
+    end subroutine myprint
+
+end module my_item_list_module
Index: gcc/testsuite/gfortran.dg/array_constructor_45.f90
===================================================================
--- gcc/testsuite/gfortran.dg/array_constructor_45.f90	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gfortran.dg/array_constructor_45.f90	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,15 @@
+! { dg-do run }
+! PR PR 56872 - wrong front-end optimization with a
+! single array constructor and another value.
+program main
+  real    :: s
+  integer :: m
+  integer :: k
+  real :: res
+
+  m = 2
+  s = 1000.
+
+  res = SUM([3.0,(s**(REAL(k-1)/REAL(m-1)),k=1,m),17.])
+  if (abs(res - 1021.)>1e-4) call abort
+end
Index: gcc/testsuite/gfortran.dg/namelist_77.f90
===================================================================
--- gcc/testsuite/gfortran.dg/namelist_77.f90	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gfortran.dg/namelist_77.f90	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,49 @@
+! { dg-do run }
+!
+! PR libfortran/51825 - Fortran runtime error: Cannot match namelist object name
+! Test case derived from PR.
+
+module local_mod
+
+    type mytype1
+        integer :: int1
+    end type
+
+    type mytype2
+        integer :: n_x       
+        integer :: n_px        
+    end type
+
+    type beam_init_struct
+        character(16) :: chars(1) = ''                                  
+        type (mytype1) dummy
+        type (mytype2) grid(1)      
+    end type
+
+end module
+
+program error_namelist
+
+    use local_mod
+
+    implicit none
+
+    type (beam_init_struct) beam_init
+
+    namelist / error_params / beam_init
+
+    open (10, status='scratch')
+    write (10, '(a)') "&error_params"
+    write (10, '(a)') "  beam_init%chars(1)='JUNK'"
+    write (10, '(a)') "  beam_init%grid(1)%n_x=3"
+    write (10, '(a)') "  beam_init%grid(1)%n_px=2"
+    write (10, '(a)') "/"
+    rewind(10)
+    read(10, nml=error_params)
+    close (10)
+
+    if (beam_init%chars(1) /= 'JUNK') call abort
+    if (beam_init%grid(1)%n_x /= 3) call abort
+    if (beam_init%grid(1)%n_px /= 2) call abort
+
+end program
Index: gcc/testsuite/gfortran.dg/array_constructor_47.f90
===================================================================
--- gcc/testsuite/gfortran.dg/array_constructor_47.f90	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gfortran.dg/array_constructor_47.f90	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,24 @@
+! { dg-do run }
+! { dg-options "-ffrontend-optimize -fdump-tree-original" }
+! Test that reduction optimization doesn't break with a function expression
+! in an array constructor. 
+program main
+  implicit none
+  integer, parameter :: dp=selected_real_kind(15)
+  real(kind=dp), dimension(2,2) :: a
+  real(kind=dp) thirteen
+
+  data a /2._dp,3._dp,5._dp,7._dp/
+  thirteen = 13._dp
+  if (abs (product([[sum([eleven_ones()]), thirteen], a]) - 30030._dp) > 1e-8) call abort
+ contains
+  function eleven_ones()
+    real(kind=dp) :: eleven_ones(11)
+    integer       :: i
+
+    eleven_ones = [ (1._dp, i=1,11) ]
+  end function eleven_ones
+end program main
+! { dg-final { scan-tree-dump-times "while" 4 "original" } }
+! { dg-final { cleanup-tree-dump "original" } }
+
Index: gcc/testsuite/gfortran.dg/do_1.f90
===================================================================
--- gcc/testsuite/gfortran.dg/do_1.f90	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gfortran.dg/do_1.f90	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,5 +1,4 @@
-! { dg-do run { xfail *-*-* } }
-! XFAIL is tracked in PR 54932
+! { dg-do run }
 ! Program to check corner cases for DO statements.
 program do_1
   implicit none
Index: gcc/testsuite/gfortran.dg/namelist_79.f90
===================================================================
--- gcc/testsuite/gfortran.dg/namelist_79.f90	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gfortran.dg/namelist_79.f90	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,43 @@
+! { dg-do run }
+! PR libfortran/52512 - Cannot match namelist object name
+! Test case derived from PR.
+
+program testje
+
+    implicit none
+
+    integer :: getal, jn
+    type ptracer
+        character(len = 8)  :: sname  !: short name
+        logical             :: lini   !: read in a file or not
+    end type ptracer
+    type(ptracer) , dimension(3) :: tracer
+    namelist/namtoptrc/  getal,tracer
+
+    ! standard values
+    getal = 9999
+    do jn = 1, 3
+        tracer(jn)%sname = 'default_name'
+        tracer(jn)%lini = .false.
+    end do
+
+    open (10, status='scratch')
+    write (10, '(a)') "&namtoptrc"
+    write (10, '(a)') "   getal = 7"
+    write (10, '(a)') "   tracer(1) = 'DIC     ', .true."
+    write (10, '(a)') "   tracer(2) = 'Alkalini', .true."
+    write (10, '(a)') "   tracer(3) = 'O2      ', .true."
+    write (10, '(a)') "/"
+    rewind(10)
+    read(10, nml=namtoptrc)
+    close (10)
+
+    if (getal /= 7) call abort
+    if (tracer(1)%sname /= 'DIC     ') call abort
+    if (tracer(2)%sname /= 'Alkalini') call abort
+    if (tracer(3)%sname /= 'O2      ') call abort
+    if (.not. tracer(1)%lini) call abort
+    if (.not. tracer(2)%lini) call abort
+    if (.not. tracer(3)%lini) call abort
+
+end program testje
Index: gcc/testsuite/gfortran.dg/size_kind_2.f90
===================================================================
--- gcc/testsuite/gfortran.dg/size_kind_2.f90	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gfortran.dg/size_kind_2.f90	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,17 @@
+! { dg-do compile }
+! { dg-options "-fdump-tree-original" }
+!
+! PR fortran/57142
+!
+integer :: B(huge(1)+3_8,2_8)
+integer(8) :: var1(2), var2, var3
+
+var1 = shape(B,kind=8)
+var2 = size(B,kind=8)
+var3 = size(B,dim=1,kind=8)
+end
+
+! { dg-final { scan-tree-dump "static integer.kind=8. A..\\\[2\\\] = \\\{2147483650, 2\\\};" "original" } }
+! { dg-final { scan-tree-dump "var2 = 4294967300;" "original" } }
+! { dg-final { scan-tree-dump "var3 = 2147483650;" "original" } }
+! { dg-final { cleanup-tree-dump "original" } }
Index: gcc/testsuite/gfortran.dg/array_constructor_40.f90
===================================================================
--- gcc/testsuite/gfortran.dg/array_constructor_40.f90	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gfortran.dg/array_constructor_40.f90	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -48,5 +48,5 @@
   call baz(a,b,res);
   if (abs(res - 8.1) > 1e-5) call abort
 end program main
-! { dg-final { scan-tree-dump-times "while" 3 "original" } }
+! { dg-final { scan-tree-dump-times "while" 5 "original" } }
 ! { dg-final { cleanup-tree-dump "original" } }
Index: gcc/testsuite/gfortran.dg/proc_ptr_41.f90
===================================================================
--- gcc/testsuite/gfortran.dg/proc_ptr_41.f90	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gfortran.dg/proc_ptr_41.f90	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,37 @@
+! { dg-do compile }
+!
+! PR 56968: [4.7/4.8/4.9 Regression] [F03] Issue with a procedure defined with a generic name returning procedure pointer
+!
+! Contributed by Samuel Debionne <samuel.debionne@ujf-grenoble.fr>
+
+module test
+
+  interface generic_name_get_proc_ptr
+    module procedure specific_name_get_proc_ptr
+  end interface
+
+  abstract interface
+    double precision function foo(arg1)
+      real, intent(in) :: arg1
+    end function
+  end interface
+
+contains
+
+  function specific_name_get_proc_ptr() result(res)
+    procedure(foo), pointer :: res
+  end function
+
+end module test
+
+program crash_test
+    use :: test
+
+    procedure(foo), pointer :: ptr
+
+    ptr => specific_name_get_proc_ptr()
+    ptr => generic_name_get_proc_ptr()
+
+end program
+
+! { dg-final { cleanup-modules "test" } }
Index: gcc/testsuite/gfortran.dg/namelist_81.f90
===================================================================
--- gcc/testsuite/gfortran.dg/namelist_81.f90	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gfortran.dg/namelist_81.f90	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,43 @@
+! { dg-do run }
+! PR56786 Error on embedded spaces
+integer :: i(3)
+namelist /nml/ i
+
+i = -42
+open(99,status='scratch')
+write(99,'(a)') '&nml i(3 ) = 5 /'
+rewind(99)
+read(99,nml=nml)
+close(99)
+if (i(1)/=-42 .or. i(2)/=-42 .or. i(3)/=5) call abort()
+
+! Shorten the file so the read hits EOF
+
+open(99,status='scratch')
+write(99,'(a)') '&nml i(3 ) = 5 '
+rewind(99)
+read(99,nml=nml, end=30)
+call abort()
+! Shorten some more
+ 30 close(99)
+open(99,status='scratch')
+write(99,'(a)') '&nml i(3 ) ='
+rewind(99)
+read(99,nml=nml, end=40)
+call abort()
+! Shorten some more
+ 40 close(99)
+open(99,status='scratch')
+write(99,'(a)') '&nml i(3 )'
+rewind(99)
+read(99,nml=nml, end=50)
+call abort()
+! Shorten some more
+ 50 close(99)
+open(99,status='scratch')
+write(99,'(a)') '&nml i(3 '
+rewind(99)
+read(99,nml=nml, end=60)
+call abort()
+ 60 close(99)
+end
Index: gcc/testsuite/gfortran.dg/array_constructor_44.f90
===================================================================
--- gcc/testsuite/gfortran.dg/array_constructor_44.f90	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gfortran.dg/array_constructor_44.f90	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,12 @@
+! { dg-do run }
+! { dg-options "-ffrontend-optimize" }
+! PR 56872 - wrong front-end optimization with a single constructor.
+! Original bug report by Rich Townsend.
+  integer :: k
+  real :: s
+  integer :: m
+  s = 2.0
+  m = 4
+  res = SUM([(s**(REAL(k-1)/REAL(m-1)),k=1,m)])
+  if (abs(res - 5.84732246) > 1e-6) call abort
+  end
Index: gcc/testsuite/gfortran.dg/array_constructor_46.f90
===================================================================
--- gcc/testsuite/gfortran.dg/array_constructor_46.f90	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gfortran.dg/array_constructor_46.f90	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,15 @@
+! { dg-do run }
+! { dg-options "-ffrontend-optimize -fdump-tree-original" }
+! Test that nested array constructors are optimized.
+program main
+  implicit none
+  integer, parameter :: dp=selected_real_kind(15)
+  real(kind=dp), dimension(2,2) :: a
+  real(kind=dp) thirteen
+
+  data a /2._dp,3._dp,5._dp,7._dp/
+  thirteen = 13._dp
+  if (abs (product([[11._dp, thirteen], a]) - 30030._dp) > 1e-8) call abort
+end program main
+! { dg-final { scan-tree-dump-times "while" 2 "original" } }
+! { dg-final { cleanup-tree-dump "original" } }
Index: gcc/testsuite/gfortran.dg/namelist_78.f90
===================================================================
--- gcc/testsuite/gfortran.dg/namelist_78.f90	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gfortran.dg/namelist_78.f90	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,34 @@
+! { dg-do run }
+!
+! PR libfortran/51825
+! Test case regarding namelist problems with derived types
+
+program namelist
+
+    type d1
+        integer :: j = 0
+    end type d1
+
+    type d2
+        type(d1) k
+    end type d2
+
+    type d3
+        type(d2) d(2)
+    end type d3
+
+    type(d3) der
+    namelist /nmlst/ der
+
+    open (10, status='scratch')
+    write (10, '(a)') "&NMLST"
+    write (10, '(a)') " DER%D(1)%K%J = 1,"
+    write (10, '(a)') " DER%D(2)%K%J = 2,"
+    write (10, '(a)') "/"
+    rewind(10)
+    read(10, nml=nmlst)
+    close (10)
+
+    if (der%d(1)%k%j /= 1) call abort
+    if (der%d(2)%k%j /= 2) call abort
+end program namelist
Index: gcc/testsuite/gfortran.dg/fmt_cache_3.f90
===================================================================
--- gcc/testsuite/gfortran.dg/fmt_cache_3.f90	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gfortran.dg/fmt_cache_3.f90	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,80 @@
+! { dg-do run }
+!
+! PR fortran/56737
+!
+! Contributed by Jonathan Hogg
+!
+module hsl_mc73_single
+   implicit none
+   integer, parameter, private :: wp = kind(0.0)
+contains
+   subroutine mc73_fiedler(n,lirn,irn,ip,list)
+      integer,  intent (in) :: n
+      integer,  intent (in) :: lirn
+      integer,  intent (in) :: irn(*)
+      integer,  intent (in) :: ip(*)
+      integer, intent (out) :: list(*)
+
+      integer :: icntl(10)
+
+      call fiedler_graph(icntl)
+   end subroutine mc73_fiedler
+
+   subroutine mc73_order
+      integer :: icntl(10)
+
+      call fiedler_graph(icntl)
+   end subroutine mc73_order
+
+   subroutine fiedler_graph(icntl)
+      integer,  intent (in) :: icntl(10)
+
+      real (kind = wp)  :: tol
+      real (kind = wp)  :: tol1
+      real (kind = wp)  :: rtol
+
+      call multilevel_eig(tol,tol1,rtol,icntl)
+   end subroutine fiedler_graph
+
+   subroutine multilevel_eig(tol,tol1,rtol,icntl)
+      real (kind = wp), intent (in) :: tol,tol1,rtol
+      integer,  intent(in) :: icntl(10)
+
+      call level_print(6,'end of level ',1)
+   end subroutine multilevel_eig
+
+   subroutine level_print(mp,title1,level)
+      character (len = *), intent(in) :: title1
+      integer,  intent(in) :: mp,level
+      character(len=80) fmt
+      integer :: char_len1,char_len2
+
+      char_len1=len_trim(title1)
+
+      write (fmt,"('(',i4,'(1H ),6h===== ,a',i4,',i4,6h =====)')") &
+           level*3, char_len1
+!      print *, "fmt = ", fmt
+!      print *, "title1= ", title1
+!      print *, "level = ", level
+      write (66,fmt) title1,level
+   end subroutine level_print
+end module hsl_mc73_single
+
+program test
+   use hsl_mc73_single
+   implicit none
+   character(len=200) :: str(2)
+   integer, parameter :: wp = kind(0.0)
+
+   integer :: n, lirn
+   integer :: irn(1), ip(1), list(1)
+
+   str = ""
+   open (66, status='scratch')
+   call mc73_order
+   call mc73_fiedler(n,lirn,irn,ip,list)
+   rewind (66)
+   read (66, '(a)') str
+   close (66)
+   if (any (str /= "   ===== end of level   1 =====")) call abort()
+end program test
Index: gcc/testsuite/gcc.c-torture/execute/pr57281.c
===================================================================
--- gcc/testsuite/gcc.c-torture/execute/pr57281.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.c-torture/execute/pr57281.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,25 @@
+/* PR rtl-optimization/57281 */
+
+int a = 1, b, d, *e = &d;
+long long c, *g = &c;
+volatile long long f;
+
+int
+foo (int h)
+{
+  int j = *g = b;
+  return h == 0 ? j : 0;
+}
+
+int
+main ()
+{
+  int h = a;
+  for (; b != -20; b--)
+    {
+      (int) f;
+      *e = 0;
+      *e = foo (h);
+    }
+  return 0;
+}
Index: gcc/testsuite/gcc.c-torture/execute/pr33992.c
===================================================================
--- gcc/testsuite/gcc.c-torture/execute/pr33992.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gcc.c-torture/execute/pr33992.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -7,7 +7,7 @@
     abort ();
 }
 
-void __attribute__((always_inline))
+static void __attribute__((always_inline))
 foo (unsigned long long *r)
 {
   int i;
Index: gcc/testsuite/gcc.c-torture/execute/pr56899.c
===================================================================
--- gcc/testsuite/gcc.c-torture/execute/pr56899.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.c-torture/execute/pr56899.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,47 @@
+/* PR tree-optimization/56899 */
+
+#if __SIZEOF_INT__ == 4 && __CHAR_BIT__ == 8
+__attribute__((noinline, noclone)) void
+f1 (int v)
+{
+  int x = -214748365 * (v - 1);
+  if (x != -1932735285)
+    __builtin_abort ();
+}
+
+__attribute__((noinline, noclone)) void
+f2 (int v)
+{
+  int x = 214748365 * (v + 1);
+  if (x != -1932735285)
+    __builtin_abort ();
+}
+
+__attribute__((noinline, noclone)) void
+f3 (unsigned int v)
+{
+  unsigned int x = -214748365U * (v - 1);
+  if (x != -1932735285U)
+    __builtin_abort ();
+}
+
+__attribute__((noinline, noclone)) void
+f4 (unsigned int v)
+{
+  unsigned int x = 214748365U * (v + 1);
+  if (x != -1932735285U)
+    __builtin_abort ();
+}
+#endif
+
+int
+main ()
+{
+#if __SIZEOF_INT__ == 4 && __CHAR_BIT__ == 8
+  f1 (10);
+  f2 (-10);
+  f3 (10);
+  f4 (-10U);
+#endif
+  return 0;
+}
Index: gcc/testsuite/gcc.c-torture/execute/pr57131.c
===================================================================
--- gcc/testsuite/gcc.c-torture/execute/pr57131.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.c-torture/execute/pr57131.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,19 @@
+/* PR rtl-optimization/57131 */
+
+extern void abort (void);
+
+int
+main ()
+{
+  volatile int x1 = 0;
+  volatile long long x2 = 0;
+  volatile int x3 = 0;
+  volatile int x4 = 1;
+  volatile int x5 = 1;
+  volatile long long x6 = 1;
+  long long t = ((x1 * (x2 << x3)) / (x4 * x5)) + x6;
+
+  if (t != 1)
+    abort ();
+  return 0;
+}
Index: gcc/testsuite/gcc.c-torture/execute/builtins/builtins.exp
===================================================================
--- gcc/testsuite/gcc.c-torture/execute/builtins/builtins.exp	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gcc.c-torture/execute/builtins/builtins.exp	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -43,7 +43,8 @@
 }
 if { [istarget *-*-eabi*]
      || [istarget *-*-elf]
-     || [istarget *-*-mingw*] } {
+     || [istarget *-*-mingw*]
+     || [istarget *-*-rtems*] } {
    lappend additional_flags "-Wl,--allow-multiple-definition"
 }
 
Index: gcc/testsuite/gcc.c-torture/execute/pr57130.c
===================================================================
--- gcc/testsuite/gcc.c-torture/execute/pr57130.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.c-torture/execute/pr57130.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,21 @@
+/* PR rtl-optimization/57130 */
+
+struct S { int a, b, c, d; } s[2] = { { 6, 8, -8, -5 }, { 0, 2, -1, 2 } };
+
+__attribute__((noinline, noclone)) void
+foo (struct S r)
+{
+  static int cnt;
+  if (__builtin_memcmp (&r, &s[cnt++], sizeof r) != 0)
+    __builtin_abort ();
+}
+
+int
+main ()
+{
+  struct S r = { 6, 8, -8, -5 };
+  foo (r);
+  r = (struct S) { 0, 2, -1, 2 };
+  foo (r);
+  return 0;
+}
Index: gcc/testsuite/gcc.c-torture/execute/pr56837.c
===================================================================
--- gcc/testsuite/gcc.c-torture/execute/pr56837.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.c-torture/execute/pr56837.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,21 @@
+extern void abort (void);
+_Complex int a[1024];
+
+__attribute__((noinline, noclone)) void
+foo (void)
+{
+  int i;
+  for (i = 0; i < 1024; i++)
+    a[i] = -1;
+}
+
+int
+main ()
+{
+  int i;
+  foo ();
+  for (i = 0; i < 1024; i++)
+    if (a[i] != -1)
+      abort ();
+  return 0;
+}
Index: gcc/testsuite/gcc.c-torture/execute/pr57321.c
===================================================================
--- gcc/testsuite/gcc.c-torture/execute/pr57321.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.c-torture/execute/pr57321.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,24 @@
+/* PR tree-optimization/57321 */
+
+int a = 1, *b, **c;
+
+static int
+foo (int *p)
+{
+  if (*p == a)
+    {
+      int *i[7][5] = { { 0 } };
+      int **j[1][1];
+      j[0][0] = &i[0][0];
+      *b = &p != c;
+    }
+  return 0;
+}
+
+int
+main ()
+{
+  int i = 0;
+  foo (&i);
+  return 0;
+}
Index: gcc/testsuite/gcc.c-torture/execute/pr56962.c
===================================================================
--- gcc/testsuite/gcc.c-torture/execute/pr56962.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.c-torture/execute/pr56962.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,30 @@
+/* PR tree-optimization/56962 */
+
+extern void abort (void);
+long long v[144];
+
+__attribute__((noinline, noclone)) void
+bar (long long *x)
+{
+  if (x != &v[29])
+    abort ();
+}
+
+__attribute__((noinline, noclone)) void
+foo (long long *x, long y, long z)
+{
+  long long a, b, c;
+  a = x[z * 4 + y * 3];
+  b = x[z * 5 + y * 3];
+  c = x[z * 5 + y * 4];
+  x[y * 4] = a;
+  bar (&x[z * 5 + y]);
+  x[z * 5 + y * 5] = b + c;
+}
+
+int
+main ()
+{
+  foo (v, 24, 1);
+  return 0;
+}
Index: gcc/testsuite/gcc.c-torture/execute/pr56866.c
===================================================================
--- gcc/testsuite/gcc.c-torture/execute/pr56866.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.c-torture/execute/pr56866.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,45 @@
+/* PR target/56866 */
+
+int
+main ()
+{
+#if __CHAR_BIT__ == 8 && __SIZEOF_LONG_LONG__ == 8 && __SIZEOF_INT__ == 4 && __SIZEOF_SHORT__ == 2
+  unsigned long long wq[256], rq[256];
+  unsigned int wi[256], ri[256];
+  unsigned short ws[256], rs[256];
+  unsigned char wc[256], rc[256];
+  int t;
+
+  __builtin_memset (wq, 0, sizeof wq);
+  __builtin_memset (wi, 0, sizeof wi);
+  __builtin_memset (ws, 0, sizeof ws);
+  __builtin_memset (wc, 0, sizeof wc);
+  wq[0] = 0x0123456789abcdefULL;
+  wi[0] = 0x01234567;
+  ws[0] = 0x4567;
+  wc[0] = 0x73;
+
+  asm volatile ("" : : "g" (wq), "g" (wi), "g" (ws), "g" (wc) : "memory");
+
+  for (t = 0; t < 256; ++t)
+    rq[t] = (wq[t] >> 8) | (wq[t] << (sizeof (wq[0]) * __CHAR_BIT__ - 8));
+  for (t = 0; t < 256; ++t)
+    ri[t] = (wi[t] >> 8) | (wi[t] << (sizeof (wi[0]) * __CHAR_BIT__ - 8));
+  for (t = 0; t < 256; ++t)
+    rs[t] = (ws[t] >> 9) | (ws[t] << (sizeof (ws[0]) * __CHAR_BIT__ - 9));
+  for (t = 0; t < 256; ++t)
+    rc[t] = (wc[t] >> 5) | (wc[t] << (sizeof (wc[0]) * __CHAR_BIT__ - 5));
+
+  asm volatile ("" : : "g" (rq), "g" (ri), "g" (rs), "g" (rc) : "memory");
+
+  if (rq[0] != 0xef0123456789abcdULL || rq[1])
+    __builtin_abort ();
+  if (ri[0] != 0x67012345 || ri[1])
+    __builtin_abort ();
+  if (rs[0] != 0xb3a2 || rs[1])
+    __builtin_abort ();
+  if (rc[0] != 0x9b || rc[1])
+    __builtin_abort ();
+#endif
+  return 0;
+}
Index: gcc/testsuite/gcc.c-torture/compile/pr56984.c
===================================================================
--- gcc/testsuite/gcc.c-torture/compile/pr56984.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.c-torture/compile/pr56984.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,9 @@
+/* PR tree-optimization/56984 */
+
+int
+foo (int x)
+{
+  if ((x >> 31) < -1)
+    x++;
+  return x;
+}
Index: gcc/testsuite/gcc.c-torture/compile/pr56745.c
===================================================================
--- gcc/testsuite/gcc.c-torture/compile/pr56745.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.c-torture/compile/pr56745.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,15 @@
+/* PR rtl-optimization/56745 */
+
+unsigned char a[6];
+
+void
+foo ()
+{
+  int i;
+  for (i = 5; i >= 0; i++)
+    {
+      if (++a[i] != 0)
+	break;
+      ++a[i];
+    }
+}
Index: gcc/testsuite/gnat.dg/specs/array3.ads
===================================================================
--- gcc/testsuite/gnat.dg/specs/array3.ads	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gnat.dg/specs/array3.ads	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,18 @@
+-- PR middle-end/56474
+-- Reported by Pavel Zhukov <pavel@zhukoff.net>
+
+-- { dg-do compile }
+
+with Ada.Streams;
+
+package Array3 is
+
+   use type Ada.Streams.Stream_Element_Offset;
+
+   type Vector (Size : Ada.Streams.Stream_Element_Offset) is record
+      Value : Ada.Streams.Stream_Element_Array (0 .. Size);
+   end record;
+
+   Empty_Vector : Vector (-1);
+
+end Array3;
Index: gcc/testsuite/gcc.dg/pr56890-2.c
===================================================================
--- gcc/testsuite/gcc.dg/pr56890-2.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/pr56890-2.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,19 @@
+/* PR target/56890 */
+/* Reported by Rainer Jung <rainer.jung@kippdata.de> */
+
+/* { dg-do assemble } */
+/* { dg-options "-O" } */
+
+unsigned int buggy(unsigned int min, unsigned int max)
+{
+    unsigned int number;
+    if (max < 16384) {
+        unsigned short num16;
+        num16 = min + (long) ((double) (max - min + 1.0) * (num16 / (65535 + 1.0)));
+        return num16;
+    }
+    else {
+        (number) = min + (long) ((double) (max - min + 1.0) * (number / (4294967295U + 1.0)));
+    }
+    return number;
+}
Index: gcc/testsuite/gcc.dg/pr57300.c
===================================================================
--- gcc/testsuite/gcc.dg/pr57300.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/pr57300.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,21 @@
+/* PR rtl-optimization/57300 */
+/* { dg-do run } */
+/* { dg-options "-O3" } */
+/* { dg-additional-options "-msse2" { target sse2_runtime } } */
+
+extern void abort (void);
+int a, b, d[10];
+long long c;
+
+int
+main ()
+{
+  int e;
+  for (e = 0; e < 10; e++)
+    d[e] = 1;
+  if (d[0])
+    c = a = (b == 0 || 1 % b);
+  if (a != 1)
+    abort ();
+  return 0;
+}
Index: gcc/testsuite/gcc.dg/pr57104.c
===================================================================
--- gcc/testsuite/gcc.dg/pr57104.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/pr57104.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,12 @@
+/* PR tree-optimization/57104 */
+/* { dg-do compile { target { x86_64-*-linux* && lp64 } } } */
+/* { dg-options "-fsanitize=thread" } */
+
+register int r asm ("r14");
+int v;
+
+int
+foo (void)
+{
+  return r + v;
+}
Index: gcc/testsuite/gcc.dg/strlenopt-23.c
===================================================================
--- gcc/testsuite/gcc.dg/strlenopt-23.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/strlenopt-23.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,15 @@
+/* PR tree-optimization/57230 */
+/* { dg-do run } */
+/* { dg-options "-O2" } */
+
+#include "strlenopt.h"
+
+int
+main ()
+{
+  char p[] = "hello world";
+  p[0] = (char) (strlen (p) - 1);
+  if (strlen (p) != 11)
+    abort ();
+  return 0;
+}
Index: gcc/testsuite/gcc.dg/pr56847.c
===================================================================
--- gcc/testsuite/gcc.dg/pr56847.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/pr56847.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,12 @@
+/* PR rtl-optimization/56847 */
+/* { dg-do compile { target pie } } */
+/* { dg-options "-O2 -fpie" } */
+
+struct S { long int a, b; } e;
+__thread struct S s;
+
+void
+foo (void)
+{
+  s = e;
+}
Index: gcc/testsuite/gcc.dg/pr56992.c
===================================================================
--- gcc/testsuite/gcc.dg/pr56992.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/pr56992.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,18 @@
+/* PR rtl-optimization/56992 */
+/* { dg-do compile } */
+/* { dg-options "-Og -g" } */
+
+inline int
+foo (const char *x)
+{
+  return __builtin_strlen (x);
+}
+
+int
+bar (const char *x, unsigned int *y)
+{
+  unsigned int l = foo (x);
+  if (l > 15)
+    l = 15;
+  *y = l;
+}
Index: gcc/testsuite/gcc.dg/pr57184.c
===================================================================
--- gcc/testsuite/gcc.dg/pr57184.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/pr57184.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,13 @@
+/* PR debug/57184 */
+/* { dg-do compile } */
+/* { dg-options "-O2 -g" } */
+
+struct S {};
+void bar (struct S *const);
+static struct S *const c = &(struct S) {};
+
+void
+foo (void)
+{
+  bar (c);
+}
Index: gcc/testsuite/gcc.dg/uninit-pred-5_a.c
===================================================================
--- gcc/testsuite/gcc.dg/uninit-pred-5_a.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gcc.dg/uninit-pred-5_a.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -6,8 +6,9 @@
 int blah(int);
 void t(int);
 
+static int
 __attribute__((always_inline)) 
-int foo (int n, int* v, int r)
+foo (int n, int* v, int r)
 {
   int flag = 0;
   if (r > n)
Index: gcc/testsuite/gcc.dg/noreturn-8.c
===================================================================
--- gcc/testsuite/gcc.dg/noreturn-8.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gcc.dg/noreturn-8.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,4 +1,4 @@
-/* { dg-do run } */
+/* { dg-do run { target nonpic } } */
 /* { dg-options "-O2" } */
 void exit (int);
 void noreturn_autodetection_failed ();
Index: gcc/testsuite/gcc.dg/pr57149.c
===================================================================
--- gcc/testsuite/gcc.dg/pr57149.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/pr57149.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,50 @@
+/* PR tree-optimization/57149 */
+/* { dg-do compile } */
+/* { dg-options "-Os -Wuninitialized" } */
+
+struct A { struct A *a, *b; };
+struct D { struct A e; };
+struct E { unsigned char f; struct { struct A e; } g; };
+struct F { struct E i[32]; };
+
+extern int fn0 (void);
+extern int fn1 (struct E *, struct D *);
+
+static inline __attribute__ ((always_inline)) int
+fn2 (const struct A *x)
+{
+  return x->a == x;
+}
+
+static int
+fn3 (struct E *x)
+{
+  struct D *l, *m;
+  int retval = retval;
+  if (fn2 (&x->g.e))
+    return 0;
+  for (l = (struct D *) x->g.e.a, m = (struct D *) l->e.a;
+       &l->e != &x->g.e;
+       l = m, m = (struct D *) m->e.a)
+    retval = fn1 (x, l);
+  return retval;
+}
+
+void
+fn4 (struct F *x, unsigned k)
+{
+  unsigned i;
+  for (i = 0; i < k; i++)
+    {
+      struct E *y = &x->i[i];
+      int err = -22;
+      err = fn3 (y);
+      if (y->f == 0)
+	{
+	  if (err > 0)
+	    err = fn0 ();
+	  if (err < 0)	/* { dg-bogus "may be used uninitialized in this function" } */
+	    fn0 ();
+	}
+    }
+}
Index: gcc/testsuite/gcc.dg/autopar/pr57103.c
===================================================================
--- gcc/testsuite/gcc.dg/autopar/pr57103.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/autopar/pr57103.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,19 @@
+/* { dg-do compile } */
+/* { dg-options "-O -ftree-parallelize-loops=4" } */
+
+int d[1024];
+
+static inline int foo (void)
+{
+  int s = 0;
+  int i = 0;
+  for (; i < 1024; i++)
+    s += d[i];
+  return s;
+}
+
+void bar (void)
+{
+  if (foo ())
+    __builtin_abort ();
+}
Index: gcc/testsuite/gcc.dg/autopar/pr57185.c
===================================================================
--- gcc/testsuite/gcc.dg/autopar/pr57185.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/autopar/pr57185.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,29 @@
+/* { dg-do compile } */
+/* { dg-options "-O3 -ftree-parallelize-loops=2 -fipa-pta" } */
+
+int a, b;
+int *d;
+void f(void)
+{
+  int c;
+  b %= 1;
+
+  if(1 - (b < 1))
+    {
+      int *q = 0;
+
+      if(a)
+	{
+	  c = 0;
+lbl:
+	  for(*d; *d; ++*d)
+	    if(c ? : a ? : (c = 1) ? : 0)
+	      *q &= 1;
+	  return;
+	}
+
+      q = (int *)1;
+    }
+  goto lbl;
+}
+
Index: gcc/testsuite/gcc.dg/pr48186.c
===================================================================
--- gcc/testsuite/gcc.dg/pr48186.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/pr48186.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,5 @@
+/* PR tree-optimization/48186 */
+/* { dg-do compile } */
+/* { dg-options "-O --param hot-bb-frequency-fraction=0" } */
+
+void foo (void) { }
Index: gcc/testsuite/gcc.dg/uninit-pred-5_b.c
===================================================================
--- gcc/testsuite/gcc.dg/uninit-pred-5_b.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gcc.dg/uninit-pred-5_b.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -6,8 +6,9 @@
 int blah(int);
 void t(int);
 
+static int
 __attribute__((always_inline)) 
-int foo (int n, int* v, int r)
+foo (int n, int* v, int r)
 {
   int flag = 0;
   if (r > n)
Index: gcc/testsuite/gcc.dg/const-1.c
===================================================================
--- gcc/testsuite/gcc.dg/const-1.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gcc.dg/const-1.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,4 +1,4 @@
-/* { dg-do compile } */
+/* { dg-do compile { target nonpic } } */
 /* { dg-options "-O2 -Wsuggest-attribute=const" } */
 
 extern int extern_const(int a) __attribute__ ((const));
Index: gcc/testsuite/gcc.dg/pr55702.c
===================================================================
--- gcc/testsuite/gcc.dg/pr55702.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/pr55702.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,9 @@
+/* PR sanitizer/55702 */
+/* { dg-do compile { target { x86_64-*-linux* && lp64 } } } */
+/* { dg-options "-fsanitize=thread" } */
+
+void
+foo ()
+{
+  __builtin_return (0);
+}
Index: gcc/testsuite/gcc.dg/pr56990.c
===================================================================
--- gcc/testsuite/gcc.dg/pr56990.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/pr56990.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,10 @@
+/* PR sanitizer/56990 */
+/* { dg-do compile { target { x86_64-*-linux* && lp64 } } } */
+/* { dg-options "-fsanitize=thread" } */
+
+struct S{};
+
+void foo(struct S *p)
+{
+  *p = (struct S){};
+}
Index: gcc/testsuite/gcc.dg/torture/pr55964-2.c
===================================================================
--- gcc/testsuite/gcc.dg/torture/pr55964-2.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/torture/pr55964-2.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,21 @@
+/* { dg-do compile } */
+/* { dg-options "-ftree-loop-distribution -funswitch-loops" } */
+
+struct test_struct {
+    int a, b[10], c[10], d[10];
+};
+
+extern struct test_struct* new_struct;
+
+void testfunc(struct test_struct* old_struct)
+{
+  int i;
+  for (i = 0; i < 10; ++i)
+    {
+      new_struct->b[i] = old_struct ? old_struct->b[i] : -1;
+      new_struct->c[i] = old_struct ? old_struct->c[i] : 0;
+      new_struct->d[i] = old_struct ? old_struct->d[i] : 0;
+    }
+  if (old_struct)
+    old_struct->a++;
+}
Index: gcc/testsuite/gcc.dg/torture/pr56501.c
===================================================================
--- gcc/testsuite/gcc.dg/torture/pr56501.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/torture/pr56501.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,27 @@
+/* { dg-do compile } */
+/* { dg-options "-w" } */
+
+int a;
+void try_help () __attribute__ ((__noreturn__));
+void try_help ()
+{
+}
+
+int main ()
+{
+  switch (a)
+    {
+      case '1':
+      case '2':
+      case '3':
+      case '4':
+      case '5':
+      case '6':
+      case '7':
+      case '8':
+      case '9':
+	  break;
+      default:
+	  try_help ();
+    }
+}
Index: gcc/testsuite/gcc.dg/torture/pr57303.c
===================================================================
--- gcc/testsuite/gcc.dg/torture/pr57303.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/torture/pr57303.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,33 @@
+/* { dg-do run } */
+
+void abort (void);
+
+struct S0
+{
+  int f0;
+};
+struct S1
+{
+  struct S0 f0;
+};
+
+struct S1 x = { {0} };
+struct S1 y = { {1} };
+
+static void
+foo (struct S0 p)
+{
+  struct S0 *l = &y.f0;
+  *l = x.f0;
+  if (p.f0)
+    *l = *l;
+}
+
+int
+main ()
+{
+  foo(y.f0);
+  if (y.f0.f0 != 0)
+    abort ();
+  return 0;
+}
Index: gcc/testsuite/gcc.dg/torture/builtin-logb-1.c
===================================================================
--- gcc/testsuite/gcc.dg/torture/builtin-logb-1.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gcc.dg/torture/builtin-logb-1.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -48,25 +48,25 @@
 /* Test if FUNCRES(FUNC(NEG FUNCARG(ARGARG))) is false.  Check the
    sign as well.  */
 #ifndef __SPU__
-#define TESTIT3(FUNC,NEG,FUNCARG,ARGARG,FUNCRES) do { \
+#define TESTIT3(FUNC,NEG,FUNCARG,ARGARG,FUNCRES,NEG2) do { \
   if (!__builtin_##FUNCRES##f(__builtin_##FUNC(NEG __builtin_##FUNCARG##f(ARGARG))) \
-      || CKSGN_F(__builtin_##FUNC##f(NEG __builtin_##FUNCARG##f(ARGARG)), NEG __builtin_##FUNCARG##f(ARGARG))) \
+      || CKSGN_F(__builtin_##FUNC##f(NEG __builtin_##FUNCARG##f(ARGARG)), NEG2 __builtin_##FUNCARG##f(ARGARG))) \
     link_error(__LINE__); \
   if (!__builtin_##FUNCRES(__builtin_##FUNC(NEG __builtin_##FUNCARG(ARGARG))) \
-      || CKSGN(__builtin_##FUNC(NEG __builtin_##FUNCARG(ARGARG)), NEG __builtin_##FUNCARG(ARGARG))) \
+      || CKSGN(__builtin_##FUNC(NEG __builtin_##FUNCARG(ARGARG)), NEG2 __builtin_##FUNCARG(ARGARG))) \
     link_error(__LINE__); \
   if (!__builtin_##FUNCRES##l(__builtin_##FUNC##l(NEG __builtin_##FUNCARG##l(ARGARG))) \
-      || CKSGN_L(__builtin_##FUNC##l(NEG __builtin_##FUNCARG##l(ARGARG)), NEG __builtin_##FUNCARG##l(ARGARG))) \
+      || CKSGN_L(__builtin_##FUNC##l(NEG __builtin_##FUNCARG##l(ARGARG)), NEG2 __builtin_##FUNCARG##l(ARGARG))) \
     link_error(__LINE__); \
   } while (0)
 #else
-#define TESTIT3(FUNC,NEG,FUNCARG,ARGARG,FUNCRES) do { \
+#define TESTIT3(FUNC,NEG,FUNCARG,ARGARG,FUNCRES,NEG2) do { \
   /* SPU single-precision floating point format does not support Inf or Nan.  */ \
   if (!__builtin_##FUNCRES(__builtin_##FUNC(NEG __builtin_##FUNCARG(ARGARG))) \
-      || CKSGN(__builtin_##FUNC(NEG __builtin_##FUNCARG(ARGARG)), NEG __builtin_##FUNCARG(ARGARG))) \
+      || CKSGN(__builtin_##FUNC(NEG __builtin_##FUNCARG(ARGARG)), NEG2 __builtin_##FUNCARG(ARGARG))) \
     link_error(__LINE__); \
   if (!__builtin_##FUNCRES##l(__builtin_##FUNC##l(NEG __builtin_##FUNCARG##l(ARGARG))) \
-      || CKSGN_L(__builtin_##FUNC##l(NEG __builtin_##FUNCARG##l(ARGARG)), NEG __builtin_##FUNCARG##l(ARGARG))) \
+      || CKSGN_L(__builtin_##FUNC##l(NEG __builtin_##FUNCARG##l(ARGARG)), NEG2 __builtin_##FUNCARG##l(ARGARG))) \
     link_error(__LINE__); \
   } while (0)
 #endif
@@ -173,15 +173,15 @@
 
   /* Test for f(+-Inf) -> +-Inf and f(+-NaN) -> +-NaN, regardless of
      the radix.  */
-  TESTIT3 (logb, ,inf, , isinf);
-  TESTIT3 (logb, - ,inf, , isinf);
-  TESTIT3 (logb,  ,nan, "", isnan);
-  TESTIT3 (logb, - ,nan, "", isnan);
+  TESTIT3 (logb, ,inf, , isinf, );
+  TESTIT3 (logb, - ,inf, , isinf, );
+  TESTIT3 (logb,  ,nan, "", isnan, );
+  TESTIT3 (logb, - ,nan, "", isnan, -);
 
-  TESTIT3 (significand, ,inf, , isinf);
-  TESTIT3 (significand, - ,inf, , isinf);
-  TESTIT3 (significand,  ,nan, "", isnan);
-  TESTIT3 (significand, - ,nan, "", isnan);
+  TESTIT3 (significand, ,inf, , isinf, );
+  TESTIT3 (significand, - ,inf, , isinf, -);
+  TESTIT3 (significand,  ,nan, "", isnan, );
+  TESTIT3 (significand, - ,nan, "", isnan, -);
 }
 
 int main()
Index: gcc/testsuite/gcc.dg/torture/pr57214.c
===================================================================
--- gcc/testsuite/gcc.dg/torture/pr57214.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/torture/pr57214.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,25 @@
+/* { dg-do compile } */
+
+extern int baz (void);
+extern int foo (void) __attribute__ ((returns_twice));
+
+void
+bar (_Bool b)
+{
+  int buf[1];
+  while (1)
+    {
+      _Bool x = 1;
+      if (b)
+	baz ();
+      b = 1;
+      baz ();
+      x = 0;
+      int i;
+      while (buf[i] && i)
+	i++;
+      foo ();
+      if (!x)
+	b = 0;
+    }
+}
Index: gcc/testsuite/gcc.dg/torture/pr57330.c
===================================================================
--- gcc/testsuite/gcc.dg/torture/pr57330.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/torture/pr57330.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,11 @@
+/* { dg-do compile } */
+
+void foo (int a)
+{}
+
+void *a;
+void bar ()
+{
+  void **( *b ) (  ) = (void**(*)()) foo;
+  a = b (0);
+}
Index: gcc/testsuite/gcc.dg/torture/pr57251.c
===================================================================
--- gcc/testsuite/gcc.dg/torture/pr57251.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/torture/pr57251.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,12 @@
+/* PR middle-end/57251 */
+/* { dg-do compile } */
+/* { dg-options "-ftracer" } */
+
+short a, b;
+int
+f (void)
+{
+  long long i = 2;
+  a ? f () ? : 0 : b--;
+  b &= i *= a |= 0;
+}
Index: gcc/testsuite/gcc.dg/torture/pr56407.c
===================================================================
--- gcc/testsuite/gcc.dg/torture/pr56407.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/torture/pr56407.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,48 @@
+/* { dg-do run } */
+
+extern void abort(void);
+extern int rand(void);
+
+static void copy(int *r,int *a,int na)
+{
+  int i;
+  for( i = 0 ; i < na ; i++ )
+    r[i] = a[i];
+}
+
+static void foo(int *a,int na)
+{
+  int i;
+  for( i = 0 ; i < na ; i++ )
+    a[i] = rand();
+}
+
+static int cmp(int *a,int *b,int n)
+{
+  int i;
+  for( i = 0 ; i < n ; i++ )
+    if ( a[i] != b[i] )
+      return -1;
+  return 0;
+}
+
+void __attribute__((noinline,noclone))
+test(int sz,int comm)
+{
+  int j,n;
+  int v[64],w[64];
+  for( j = 1 ; j <= sz ; j++ )
+    {
+      n = (2 * j - 1) * (2 * j - 1);
+      foo(w,n);
+      copy(v,w,n);
+      if ( comm )
+	if ( cmp(v,w,n) ) abort ();
+    }
+}
+
+int main()
+{
+  test(2,1);
+  return 0;
+}
Index: gcc/testsuite/gcc.dg/torture/pr57083.c
===================================================================
--- gcc/testsuite/gcc.dg/torture/pr57083.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/torture/pr57083.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,15 @@
+/* PR tree-optimization/57083 */
+/* { dg-do run { target int32plus } } */
+
+extern void abort (void);
+short x = 1;
+int y = 0;
+
+int
+main ()
+{
+  unsigned t = (0x7fff8001U - x) << (y == 0);
+  if (t != 0xffff0000U)
+    abort ();
+  return 0;
+}
Index: gcc/testsuite/gcc.dg/tree-ssa/loadpre6.c
===================================================================
--- gcc/testsuite/gcc.dg/tree-ssa/loadpre6.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gcc.dg/tree-ssa/loadpre6.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,4 +1,4 @@
-/* { dg-do compile } */ 
+/* { dg-do compile { target nonpic } } */
 /* { dg-options "-O2 -fdump-tree-pre-stats -fdump-tree-fre1" } */
 #include <stddef.h>
 
Index: gcc/testsuite/gcc.dg/tree-ssa/ipa-split-5.c
===================================================================
--- gcc/testsuite/gcc.dg/tree-ssa/ipa-split-5.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gcc.dg/tree-ssa/ipa-split-5.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,4 +1,4 @@
-/* { dg-do compile } */
+/* { dg-do compile { target nonpic } } */
 /* { dg-options "-O3 -fdump-tree-fnsplit -fdump-tree-optimized" } */
 
 struct a {int a,b;};
Index: gcc/testsuite/gcc.dg/tree-ssa/reassoc-27.c
===================================================================
--- gcc/testsuite/gcc.dg/tree-ssa/reassoc-27.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/tree-ssa/reassoc-27.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,11 @@
+/* { dg-do compile } */
+/* { dg-options "-O -ffast-math -frounding-math -fdump-tree-optimized" } */
+
+double baz (double foo, double bar)
+{
+  return foo * foo * foo * foo * bar * bar * bar * bar;
+}
+
+/* We should re-associate this as (foo * bar)**3.  */
+/* { dg-final { scan-tree-dump-times " \\\* " 3 "optimized" } } */
+/* { dg-final { cleanup-tree-dump "optimized" } } */
Index: gcc/testsuite/gcc.dg/tree-ssa/stdarg-6.c
===================================================================
--- gcc/testsuite/gcc.dg/tree-ssa/stdarg-6.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gcc.dg/tree-ssa/stdarg-6.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -33,3 +33,4 @@
 /* { dg-final { scan-tree-dump "bar: va_list escapes 1, needs to save all GPR units" "stdarg" { target { { i?86-*-* x86_64-*-* } && ia32 } } } } */
 /* { dg-final { scan-tree-dump "bar: va_list escapes 1, needs to save all GPR units" "stdarg" { target ia64-*-* } } } */
 /* { dg-final { scan-tree-dump "bar: va_list escapes 1, needs to save all GPR units" "stdarg" { target { powerpc*-*-* && lp64 } } } } */
+/* { dg-final { cleanup-tree-dump "stdarg" } } */
Index: gcc/testsuite/gcc.dg/pr56890-1.c
===================================================================
--- gcc/testsuite/gcc.dg/pr56890-1.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/pr56890-1.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,15 @@
+/* PR target/56890 */
+/* Reported by Rainer Jung <rainer.jung@kippdata.de> */
+
+/* { dg-do assemble } */
+/* { dg-options "-O2" } */
+
+unsigned int buggy(unsigned int min, unsigned int max)
+{
+    if (max < 16384) {
+        unsigned short num16 = 0;
+        num16 = min + (long) ((double) (max - min + 1.0) * (num16 / (65535 + 1.0)));
+        return num16;
+    }
+    return 0;
+}
Index: gcc/testsuite/gcc.dg/ipa/pr56988.c
===================================================================
--- gcc/testsuite/gcc.dg/ipa/pr56988.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/ipa/pr56988.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,38 @@
+/* { dg-do run } */
+/* { dg-options "-O3" } */
+/* { dg-add-options bind_pic_locally } */
+
+struct S
+{
+  int a, b, c;
+};
+
+volatile int g;
+
+static void __attribute__ ((noinline, noclone))
+bar (struct S **p)
+{
+  g = 5;
+};
+
+static void __attribute__ ((noinline))
+foo (struct S *p)
+{
+  int i = p->a;
+  if (i != 1)
+    __builtin_abort ();
+  bar (&p);
+}
+
+int
+main (int argc, char *argv[])
+{
+  struct S s;
+  s.a = 1;
+  s.b = 64;
+  s.c = 32;
+  foo (&s);
+
+  return 0;
+}
+
Index: gcc/testsuite/gcc.dg/ipa/pure-const-1.c
===================================================================
--- gcc/testsuite/gcc.dg/ipa/pure-const-1.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/gcc.dg/ipa/pure-const-1.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,4 +1,4 @@
-/* { dg-do compile } */
+/* { dg-do compile { target nonpic } } */
 /* { dg-options "-O3 -fdump-tree-local-pure-const1 -fdump-ipa-pure-const -fdump-tree-optimized -fno-early-inlining" } */
 void abort (void);
 int error_code;
Index: gcc/testsuite/gcc.dg/vect/pr56920.c
===================================================================
--- gcc/testsuite/gcc.dg/vect/pr56920.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/vect/pr56920.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,21 @@
+/* PR tree-optimization/56920 */
+/* { dg-additional-options "-O3" } */
+
+#include "tree-vect.h"
+
+extern void abort (void);
+
+int
+main ()
+{
+  unsigned int a[15], i;
+  check_vect ();
+  for (i = 0; i < 15; ++i)
+    a[i] = (i * 2) % 15;
+  for (i = 0; i < 15; ++i)
+    if (a[i] != (i * 2) % 15)
+      abort ();
+  return 0;
+}
+
+/* { dg-final { cleanup-tree-dump "vect" } } */
Index: gcc/testsuite/gcc.dg/vect/pr56918.c
===================================================================
--- gcc/testsuite/gcc.dg/vect/pr56918.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/gcc.dg/vect/pr56918.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,31 @@
+/* PR tree-optimization/56918 */
+/* { dg-additional-options "-O3" } */
+
+#include "tree-vect.h"
+
+extern void abort (void);
+double data[8];
+
+__attribute__((noinline, noclone)) void
+foo ()
+{
+  int i;
+  for (i = 0; i < 8; ++i)
+    data[i] = ((i + 2) % 3) + 1;
+}
+
+int
+main ()
+{
+  int i;
+  check_vect ();
+  foo ();
+  if (data[0] != 3 || data[7] != 1)
+    abort ();
+  for (i = 1; i < 4; ++i)
+    if (data[i] != i || data[i + 3] != i)
+      abort ();
+  return 0;
+}
+
+/* { dg-final { cleanup-tree-dump "vect" } } */
Index: gcc/testsuite/ChangeLog
===================================================================
--- gcc/testsuite/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,613 @@
+2013-05-22  Richard Biener  <rguenther@suse.de>
+
+	Backport from mainline
+	2013-05-21  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/57330
+	* gcc.dg/torture/pr57330.c: New testcase.
+
+	2013-05-21  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/57303
+	* gcc.dg/torture/pr57303.c: New testcase.
+
+2013-05-21  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/57321
+	* gcc.c-torture/execute/pr57321.c: New test.
+
+2013-05-17  Jakub Jelinek  <jakub@redhat.com>
+
+	PR rtl-optimization/57281
+	PR rtl-optimization/57300
+	* gcc.dg/pr57300.c: New test.
+	* gcc.c-torture/execute/pr57281.c: New test.
+
+2013-05-16  Dodji Seketeli  <dodji@redhat.com>
+
+	PR c++/56782 - Regression with empty pack expansions
+	* g++.dg/cpp0x/variadic142.C: New test file.
+
+2013-05-14  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/57274
+	* c-c++-common/Wsequence-point-1.c: New test.
+
+	PR middle-end/57251
+	* gcc.dg/torture/pr57251.c: New test.
+
+2013-05-13  Uros Bizjak  <ubizjak@gmail.com>
+
+	PR target/57264
+	* gcc.target/i386/pr57264.c: New test.
+
+2013-05-13  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/57230
+	* gcc.dg/strlenopt-23.c: New test.
+
+2013-05-10  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/57214
+	* gcc.dg/torture/pr57214.c: New testcase.
+
+2013-05-09  Martin Jambor  <mjambor@suse.cz>
+
+        PR middle-end/56988
+        * gcc.dg/ipa/pr56988.c: New test.
+
+2013-05-08  Marc Glisse  <marc.glisse@inria.fr>
+
+	* c-c++-common/vector-scalar-2.c: New testcase.
+
+2013-05-07  Tobias Burnus  <burnus@net-b.de>
+
+	Backport from mainline
+	2013-05-02  Tobias Burnus  <burnus@net-b.de>
+
+	PR fortran/57142
+	* gfortran.dg/size_kind_2.f90: New.
+	* gfortran.dg/size_kind_3.f90: New.
+
+2013-05-07  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/57149
+	* gcc.dg/pr57149.c: New test.
+
+	PR debug/57184
+	* gcc.dg/pr57184.c: New test.
+
+2013-05-07  Richard Biener  <rguenther@suse.de>
+
+	Backport from mainline
+	2013-05-06  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/57185
+	* gcc.dg/autopar/pr57185.c: New testcase.
+
+	2013-04-19  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/57000
+	* gcc.dg/tree-ssa/reassoc-27.c: New testcase.
+
+2013-05-07  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gnat.dg/specs/array3.ads: New test.
+
+2013-05-06  Michael Meissner  <meissner@linux.vnet.ibm.com>
+
+	Backport from trunk
+	2013-05-03  Michael Meissner  <meissner@linux.vnet.ibm.com>
+
+	PR target/57150
+	* gcc.target/powerpc/pr57150.c: New file.
+
+2013-05-06  Uros Bizjak  <ubizjak@gmail.com>
+
+	Backport from mainline
+	2013-05-06  Uros Bizjak  <ubizjak@gmail.com>
+
+	PR target/57106
+	* gcc.target/i386/pr57106.c: New test.
+
+2013-05-06  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR c++/57183
+	* g++.dg/cpp0x/auto38.C: New.
+
+2013-05-04  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/56205
+	* gcc.dg/tree-ssa/stdarg-6.c: Add cleanup-tree-dump "stdarg".
+
+2013-05-03  Jakub Jelinek  <jakub@redhat.com>
+
+	PR rtl-optimization/57130
+	* gcc.c-torture/execute/pr57130.c: New test.
+
+2013-05-03  Marek Polacek  <polacek@redhat.com>
+
+	Backport from mainline
+	2013-04-25  Marek Polacek  <polacek@redhat.com>
+
+	PR tree-optimization/57066
+        * gcc.dg/torture/builtin-logb-1.c: Adjust testcase.
+
+2013-05-02  Jakub Jelinek  <jakub@redhat.com>
+
+	PR rtl-optimization/57131
+	* gcc.c-torture/execute/pr57131.c: New test.
+
+2013-05-02  Vladimir Makarov  <vmakarov@redhat.com>
+
+	Backport from mainline
+	PR target/57091
+	* gcc.target/i386/pr57091.c: New test.
+
+2013-05-02  Vladimir Makarov  <vmakarov@redhat.com>
+
+	Backport from mainline
+	2013-04-29  Vladimir Makarov  <vmakarov@redhat.com>
+
+	PR target/57097
+	* gcc.target/i386/pr57097.c: New test.
+
+2013-05-02  Vladimir Makarov  <vmakarov@redhat.com>
+
+	Backport from mainline
+	2013-04-24  Vladimir Makarov  <vmakarov@redhat.com>
+
+        PR rtl-optimizations/57046
+        * gcc.target/i386/pr57046.c: New test.
+
+2013-05-02  Vladimir Makarov  <vmakarov@redhat.com>
+
+	Backport from mainline
+	2013-04-22  Vladimir Makarov  <vmakarov@redhat.com>
+
+        PR target/57018
+        * gcc.target/i386/pr57018.c: New test.
+
+2013-05-02  Vladimir Makarov  <vmakarov@redhat.com>
+
+	Backport from mainline
+	2013-04-18  Jakub Jelinek  <jakub@redhat.com>
+
+        PR rtl-optimization/56999
+        * g++.dg/opt/pr56999.C: New test.
+
+2013-05-02  Vladimir Makarov  <vmakarov@redhat.com>
+
+	Backport from mainline
+	2013-04-19  Vladimir Makarov  <vmakarov@redhat.com>
+
+        PR rtl-optimization/56847
+        * gcc.dg/pr56847.c: New test.
+
+2013-05-02  Ian Bolton  <ian.bolton@arm.com>
+
+	Backport from mainline (fix to botched commit)
+	2013-04-04  Tejas Belagod  <tejas.belagod@arm.com>
+
+	* gcc.target/aarch64/inc/asm-adder-clobber-lr.c: Remove duplication.
+	* gcc.target/aarch64/inc/asm-adder-no-clobber-lr.c: Likewise.
+	* gcc.target/aarch64/test-framepointer-1.c: Likewise.
+	* gcc.target/aarch64/test-framepointer-2.c: Likewise.
+	* gcc.target/aarch64/test-framepointer-3.c: Likewise.
+	* gcc.target/aarch64/test-framepointer-4.c: Likewise.
+	* gcc.target/aarch64/test-framepointer-5.c: Likewise.
+	* gcc.target/aarch64/test-framepointer-6.c: Likewise.
+	* gcc.target/aarch64/test-framepointer-7.c: Likewise.
+	* gcc.target/aarch64/test-framepointer-8.c: Likewise.
+
+	Backport from mainline
+	2013-03-28  Ian Bolton  <ian.bolton@arm.com>
+
+	* gcc.target/aarch64/inc/asm-adder-clobber-lr.c: New test.
+	* gcc.target/aarch64/inc/asm-adder-no-clobber-lr.c: Likewise.
+	* gcc.target/aarch64/test-framepointer-1.c: Likewise.
+	* gcc.target/aarch64/test-framepointer-2.c: Likewise.
+	* gcc.target/aarch64/test-framepointer-3.c: Likewise.
+	* gcc.target/aarch64/test-framepointer-4.c: Likewise.
+	* gcc.target/aarch64/test-framepointer-5.c: Likewise.
+	* gcc.target/aarch64/test-framepointer-6.c: Likewise.
+	* gcc.target/aarch64/test-framepointer-7.c: Likewise.
+	* gcc.target/aarch64/test-framepointer-8.c: Likewise.
+
+2013-05-01  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR c++/57092
+	* g++.dg/cpp0x/decltype53.C: New.
+
+2013-04-30  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/57104
+	* gcc.dg/pr57104.c: New test.
+
+2013-04-30  Uros Bizjak  <ubizjak@gmail.com>
+
+	Backport from mainline
+	2013-04-29  Uros Bizjak  <ubizjak@gmail.com>
+
+	PR target/44578
+	* gcc.target/i386/pr44578.c: New test.
+
+	Backport from mainline
+	2013-04-29  Uros Bizjak  <ubizjak@gmail.com>
+
+	PR target/57098
+	* gcc.target/i386/pr57098.c: New test.
+
+2013-04-29  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR c++/56450
+	* g++.dg/cpp0x/decltype52.C: New.
+
+2013-04-29  Richard Biener  <rguenther@suse.de>
+
+	PR middle-end/57103
+	* gcc.dg/autopar/pr57103.c: New testcase.
+
+2013-04-29  Christian Bruel  <christian.bruel@st.com>
+
+	PR target/57108
+	* gcc.target/sh/pr57108.c: New test.
+
+2013-04-29  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/57083
+	* gcc.dg/torture/pr57083.c: New test.
+
+2013-04-28  Jerry DeLisle  <jvdelisle@gcc.gnu.org>
+
+	Backport from trunk:
+
+	PR fortran/51825
+	* gfortran.dg/namelist_77.f90: New test.
+	* gfortran.dg/namelist_78.f90: New test.
+
+2013-04-28  Jerry DeLisle  <jvdelisle@gcc.gnu.org>
+
+	PR fortran/56786
+	* gfortran.dg/namelist_81.f90:  New test.
+
+2013-04-27  Jerry DeLisle  <jvdelisle@gcc.gnu.org>
+
+	Backport from trunk:
+
+	PR fortran/52512
+	* gfortran.dg/namelist_79.f90: New test.
+
+2013-04-27  Jakub Jelinek  <jakub@redhat.com>
+
+	PR target/56866
+	* gcc.c-torture/execute/pr56866.c: New test.
+	* gcc.target/i386/pr56866.c: New test.
+
+2013-04-26  Janus Weil  <janus@gcc.gnu.org>
+
+	Backports from trunk:
+
+	PR fortran/56968
+	* gfortran.dg/proc_ptr_41.f90: New.
+
+	PR fortran/56814
+	* gfortran.dg/proc_ptr_42.f90: New.
+
+	PR fortran/53685
+	PR fortran/57022
+	* gfortran.dg/transfer_check_4.f90: New.
+
+2013-04-25  Jakub Jelinek  <jakub@redhat.com>
+
+	PR rtl-optimization/57003
+	* gcc.target/i386/pr57003.c: New test.
+
+2013-04-25  Ian Bolton  <ian.bolton@arm.com>
+
+	Backported from mainline.
+	2013-03-22  Ian Bolton  <ian.bolton@arm.com>
+
+	* gcc.target/aarch64/movk.c: New test.
+
+2013-04-24  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR c++/56970
+	* g++.dg/cpp0x/sfinae45.C: New.
+
+2013-04-23  Bill Schmidt  <wschmidt@linux.vnet.ibm.com>
+
+	Backported from mainline.
+	PR rtl-optimization/56605
+	* gcc.target/powerpc/pr56605.c: New.
+
+2013-04-22  Marek Polacek  <polacek@redhat.com>
+
+	Backport from mainline
+	2013-04-22  Marek Polacek  <polacek@redhat.com>
+
+	PR sanitizer/56990
+	* gcc.dg/pr56990.c: New test.
+
+2013-04-22  Thomas Koenig  <tkoenig@gcc.gnu.org>
+	    Mikael Morin  <mikael@gcc.gnu.org>
+
+	PR fortran/56872
+	* gfortran.dg/array_constructor_45.f90:  New test.
+	* gfortran.dg/array_constructor_46.f90:  New test.
+	* gfortran.dg/array_constructor_47.f90:  New test.
+	* gfortran.dg/array_constructor_40.f90:  Adjust number of
+	while loops.
+
+2013-04-18  Mikael Morin  <mikael@gcc.gnu.org>
+
+	PR fortran/56816
+	* gfortran.dg/select_type_33.f03: New test.
+
+2013-04-18  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/56984
+	* gcc.c-torture/compile/pr56984.c: New test.
+
+	PR rtl-optimization/56992
+	* gcc.dg/pr56992.c: New test.
+
+2013-04-16  Uros Bizjak  <ubizjak@gmail.com>
+
+	Backport from mainline
+	2013-04-16  Uros Bizjak  <ubizjak@gmail.com>
+
+	* g++.dg/ipa/devirt-c-7.C: Require nonpic effective target.
+	* gcc.c-torture/execute/pr33992.x: Remove.
+	* gcc.c-torture/execute/pr33992.c (foo): Declare as static.
+	* gcc.dg/uninit-pred-5_a.c (foo): Ditto.
+	* gcc.dg/uninit-pred-5_b.c (foo): Ditto.
+
+	Backport from mainline
+	2013-03-27  Alexander Ivchenko  <alexander.ivchenko@intel.com>
+
+	* g++.dg/ipa/ivinline-1.C: Add target nonpic.
+	* g++.dg/ipa/ivinline-2.C: Likewise.
+	* g++.dg/ipa/ivinline-3.C: Likewise.
+	* g++.dg/ipa/ivinline-4.C: Likewise.
+	* g++.dg/ipa/ivinline-5.C: Likewise.
+	* g++.dg/ipa/ivinline-7.C: Likewise.
+	* g++.dg/ipa/ivinline-8.C: Likewise.
+	* g++.dg/ipa/ivinline-9.C: Likewise.
+	* g++.dg/cpp0x/noexcept03.C: Likewise.
+	* gcc.dg/const-1.c: Likewise.
+	* gcc.dg/ipa/pure-const-1.c: Likewise.
+	* gcc.dg/noreturn-8.c: Likewise.
+	* gcc.target/i386/mmx-1.c: Likewise.
+	* gcc.dg/tree-ssa/ipa-split-5.c: Likewise.
+	* gcc.dg/tree-ssa/loadpre6.c: Likewise.
+	* gcc.c-torture/execute/pr33992.x: New file.
+
+2013-04-15  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/56962
+	* gcc.c-torture/execute/pr56962.c: New test.
+
+2013-04-15  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gcc.dg/pr56890-1.c: New test.
+	* gcc.dg/pr56890-2.c: Likewise.
+
+2013-04-12  Vladimir Makarov  <vmakarov@redhat.com>
+
+	PR target/56903
+	* gcc.target/i386/pr56903.c: New test.
+
+2013-04-12  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/56918
+	PR tree-optimization/56920
+	* gcc.dg/vect/pr56918.c: New test.
+	* gcc.dg/vect/pr56920.c: New test.
+
+2013-04-11  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/56895
+	* g++.dg/template/arrow4.C: New test.
+
+2013-04-11  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR c++/56913
+	* g++.dg/cpp0x/sfinae44.C: New.
+
+2013-04-11  James Greenhalgh  <james.greenhalgh@arm.com>
+
+	Backported from mainline.
+	2013-04-11  James Greenhalgh  <james.greenhalgh@arm.com>
+
+	* gcc.target/aarch64/vect-fcm.x: Add check for zero forms of
+	inverse operands.
+	* gcc.target/aarch64/vect-fcm-eq-d.c: Check that new zero form
+	loop is vectorized.
+	* gcc.target/aarch64/vect-fcm-eq-f.c: Likewise.
+	* gcc.target/aarch64/vect-fcm-ge-d.c: Check that new zero form
+	loop is vectorized and that the correct instruction is generated.
+	* gcc.target/aarch64/vect-fcm-ge-f.c: Likewise.
+	* gcc.target/aarch64/vect-fcm-gt-d.c: Likewise.
+	* gcc.target/aarch64/vect-fcm-gt-f.c: Likewise.
+
+2013-04-11  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/56899
+	* gcc.c-torture/execute/pr56899.c: New test.
+
+2013-04-10  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/56895
+	* g++.dg/template/arrow3.C: New test.
+
+	Backported from mainline
+	2013-04-09  Jakub Jelinek  <jakub@redhat.com>
+
+	PR middle-end/56883
+	* c-c++-common/gomp/pr56883.c: New test.
+
+2013-04-08  Thomas Koenig  <tkoenig@gcc.gnu.org>
+
+	PR fortran/56782
+	Backport from trunk.
+	* gfortran.dg/array_constructor_44.f90:  New test.
+
+2013-04-08  Jakub Jelinek  <jakub@redhat.com>
+
+	* gcc.c-torture/execute/pr56837.c: New test.
+
+2013-04-04  Marek Polacek  <polacek@redhat.com>
+
+	Backport from mainline:
+	2013-04-04  Marek Polacek  <polacek@redhat.com>
+
+	PR tree-optimization/48186
+	* gcc.dg/pr48186.c: New test.
+
+2013-04-04  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>
+
+	Backport from mainline:
+	2013-03-25  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>
+
+	PR target/56720
+	* gcc.target/arm/neon-vcond-gt.c: New test.
+	* gcc.target/arm/neon-vcond-ltgt.c: Likewise.
+	* gcc.target/arm/neon-vcond-unordered.c: Likewise.
+
+2013-04-04  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/56837
+	* g++.dg/torture/pr56837.C: New testcase.
+
+2013-04-03  Marek Polacek  <polacek@redhat.com>
+
+	Backport from mainline:
+	2013-04-03  Marek Polacek  <polacek@redhat.com>
+
+	PR sanitizer/55702
+	* gcc.dg/pr55702.c: New test.
+
+2013-04-03  Jakub Jelinek  <jakub@redhat.com>
+
+	PR debug/56819
+	* g++.dg/debug/pr56819.C: New test.
+
+2013-04-03  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/56817
+	* g++.dg/torture/pr56817.C: New testcase.
+
+2013-04-03  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/55964
+	* gcc.dg/torture/pr55964-2.c: New testcase.
+
+2013-04-03  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/56501
+	* gcc.dg/torture/pr56501.c: New testcase.
+
+2013-04-03  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/56407
+	* gcc.dg/torture/pr56407.c: New testcase.
+
+2013-04-02  Jakub Jelinek  <jakub@redhat.com>
+
+	PR rtl-optimization/56745
+	* gcc.c-torture/compile/pr56745.c: New test.
+
+2013-04-02  Tobias Burnus  <burnus@net-b.de>
+
+	Backport from mainline:
+	2013-03-28  Tobias Burnus  <burnus@net-b.de>
+
+	PR fortran/56735
+	* gfortran.dg/namelist_80.f90: New.
+
+2013-04-02  Tobias Burnus  <burnus@net-b.de>
+
+	Backport from mainline:
+	2013-03-29  Tobias Burnus  <burnus@net-b.de>
+
+	PR fortran/56737
+	* testsuite/gfortran.dg/fmt_cache_3.f90: New.
+
+2013-04-02  Richard Biener  <rguenther@suse.de>
+
+	PR middle-end/56768
+	* g++.dg/torture/pr56768.C: New testcase.
+
+2013-04-01  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR c++/55951
+	* g++.dg/ext/desig5.C: New.
+
+2013-03-29  Kirill Yukhin  <kirill.yukhin@intel.com>
+
+	* gcc.target/i386/avx2-vbroadcastsi128-1.c: Fix intrinsic name.
+	* gcc.target/i386/avx2-vbroadcastsi128-1.c: Ditto.
+
+2013-03-28  Tejas Belagod  <tejas.belagod@arm.com>
+
+	PR middle-end/56694
+	* g++.dg/torture/pr56694.C: Fix test case to build on bare-metal
+	targets.
+
+2013-03-25  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR c++/56722
+	* g++.dg/cpp0x/range-for23.C: New.
+
+2013-03-25  Richard Biener  <rguenther@suse.de>
+
+	PR middle-end/56694
+	* g++.dg/torture/pr56694.C: New testcase.
+
+2013-03-25  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>
+
+	Backport from mainline:
+	2013-03-20  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>
+
+	PR fortran/54932
+	* gfortran.dg/do_1.f90: Don't xfail.
+
+2013-03-24  Tobias Burnus  <burnus@net-b.de>
+
+	PR fortran/56696
+	* gfortran.dg/eof_5.f90: New.
+
+2013-03-22  Sebastian Huber  <sebastian.huber@embedded-brains.de>
+
+	* gcc.c-torture/execute/builtins/builtins.exp: Sort targets
+	alphabetically.
+
+2013-03-22  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR c++/56582
+	* g++.dg/cpp0x/constexpr-array5.C: New.
+
+2013-03-22  H.J. Lu  <hongjiu.lu@intel.com>
+
+	PR target/56560
+	* gcc.target/i386/pr56560.c: New file.
+
+2013-03-22  Sebastian Huber  <sebastian.huber@embedded-brains.de>
+
+	PR testsuite/55994
+	* gcc.c-torture/execute/builtins/builtins.exp: Add
+	-Wl,--allow-multiple-definition for RTEMS targets.
+
+2013-03-22  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from mainline
+	2013-03-16  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/56607
+	* g++.dg/warn/Wdiv-by-zero-2.C: New test.
+	* c-c++-common/pr56607.c: New test.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
@@ -14,8 +624,8 @@
 
 2013-03-15  Tobias Burnus  <burnus@net-b.de>
 
-	PR fortran/56615                                                                                                                
-	* gfortran.dg/transfer_intrinsic_5.f90: New.                                                                                    
+	PR fortran/56615
+	* gfortran.dg/transfer_intrinsic_5.f90: New.
 
 2013-03-15  Kai Tietz  <ktietz@redhat.com>
 
@@ -181,8 +791,7 @@
 
 2013-03-06  Kai Tietz  <ktietz@redhat.com>
 
-	* gcc.dg/lto/20090914-2_0.c: Skip for mingw and cygwin
-	targets.
+	* gcc.dg/lto/20090914-2_0.c: Skip for mingw and cygwin targets.
 	* gcc.dg/lto/20091013-1_1.c: Set x64-mingw as xfail.
 	* gcc.dg/lto/20091013-1_2.c: Likewise.
 	* gcc.dg/pr31490.c: Adjust for LLP64 targets.
@@ -644,8 +1253,10 @@
 
 	Avoid instrumenting duplicated memory access in the same basic block
 	* c-c++-common/asan/no-redundant-instrumentation-1.c: New test.
-	* testsuite/c-c++-common/asan/no-redundant-instrumentation-2.c: Likewise.
-	* testsuite/c-c++-common/asan/no-redundant-instrumentation-3.c: Likewise.
+	* testsuite/c-c++-common/asan/no-redundant-instrumentation-2.c:
+	Likewise.
+	* testsuite/c-c++-common/asan/no-redundant-instrumentation-3.c:
+	Likewise.
 	* testsuite/c-c++-common/asan/inc.c: Likewise.
 
 2013-02-12  Vladimir Makarov  <vmakarov@redhat.com>
@@ -657,8 +1268,7 @@
 	    Tobias Burnus  <burnus@net-b.de>
 
 	PR testsuite/56082
-	* gfortran.dg/bind_c_bool_1.f90 (sub): Change kind=4
-	to kind=2.
+	* gfortran.dg/bind_c_bool_1.f90 (sub): Change kind=4 to kind=2.
 
 2013-02-12  Richard Biener  <rguenther@suse.de>
 
@@ -865,7 +1475,8 @@
 2013-02-06  Janus Weil  <janus@gcc.gnu.org>
 
 	PR fortran/55978
-	* gfortran.dg/class_optional_2.f90: Uncomment some cases which work now.
+	* gfortran.dg/class_optional_2.f90: Uncomment some cases
+	which work now.
 
 2013-02-06  Jakub Jelinek  <jakub@redhat.com>
 
Index: gcc/testsuite/g++.dg/debug/pr56819.C
===================================================================
--- gcc/testsuite/g++.dg/debug/pr56819.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/debug/pr56819.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,27 @@
+// PR debug/56819
+// { dg-do compile }
+// { dg-options "-fcompare-debug" }
+
+template <typename>
+struct A
+{
+  template <typename>
+  struct B;
+};
+
+template <typename>
+struct C
+{
+  typedef int I;
+};
+
+template <typename T>
+class D
+{
+  typedef A <void> E;
+  typedef typename T::template B <E> F;
+  typedef typename C <F>::I I;
+  A <I> foo () { return A<I> (); }
+};
+
+template class D <A <void> >;
Index: gcc/testsuite/g++.dg/ext/desig6.C
===================================================================
--- gcc/testsuite/g++.dg/ext/desig6.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/ext/desig6.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,17 @@
+// PR c++/57041
+// { dg-options "-std=gnu++11" }
+
+template<typename T>
+union u {
+  T a;
+  char b;
+};
+
+template<typename T>
+u<T> make_u(T t) {
+  return { .a = t };
+}
+
+int main() {
+  return make_u<int>(1).a;
+}
Index: gcc/testsuite/g++.dg/ext/desig5.C
===================================================================
--- gcc/testsuite/g++.dg/ext/desig5.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/ext/desig5.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,7 @@
+// PR c++/55951
+
+enum { A };
+
+static const char *a[] = {
+  [A] = "a"
+};
Index: gcc/testsuite/g++.dg/opt/pr56999.C
===================================================================
--- gcc/testsuite/g++.dg/opt/pr56999.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/opt/pr56999.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,188 @@
+// PR rtl-optimization/56999
+// { dg-do run }
+// { dg-options "-O2" }
+// { dg-additional-options "-fpic" { target fpic } }
+// { dg-additional-options "-march=i686 -mtune=atom" { target ia32 } }
+// { dg-require-visibility "" }
+
+extern "C" void abort (void);
+extern "C" void exit (int);
+volatile bool do_exit = true;
+struct JSScript;
+struct JITScript { int i; };
+#pragma GCC visibility push(hidden)
+typedef struct JSCompartment JSCompartment;
+typedef struct JSContext JSContext;
+namespace js
+{
+  struct ContextFriendFields
+  {
+    JSCompartment *compartment;
+  };
+  struct TempAllocPolicy
+  {
+  };
+  template <class T>
+  struct Vector
+  {
+    T *mBegin;
+    T *begin () { return mBegin; }
+    T & operator[] (unsigned i) { return begin ()[i]; }
+    template <class U>
+    __attribute__((noinline, noclone))
+    bool append (U) { asm volatile ("" : : : "memory"); if (do_exit) abort (); return false; }
+  };
+  namespace types
+  {
+    struct TypeCompartment;
+  }
+  namespace mjit
+  {
+  }
+  namespace ion
+  {
+    struct IonScript;
+  }
+  namespace types
+  {
+    struct CompilerOutput
+    {
+      enum Kind { MethodJIT, ParallelIon };
+      JSScript *script;
+      unsigned kindInt : 2;
+      bool constructing : 1;
+      bool barriers : 1;
+      bool pendingRecompilation : 1;
+      Kind kind () const { return static_cast <Kind> (kindInt); }
+      bool isValid () const;
+    };
+    struct RecompileInfo
+    {
+      unsigned outputIndex;
+      CompilerOutput *compilerOutput (TypeCompartment & types) const;
+      CompilerOutput *compilerOutput (JSContext *cx) const;
+    };
+    struct TypeCompartment
+    {
+      Vector <CompilerOutput> *constrainedOutputs;
+      Vector <RecompileInfo> *pendingRecompiles;
+      void addPendingRecompile (JSContext *cx, const RecompileInfo & info);
+    };
+  }
+}
+struct JSScript
+{
+  struct JITScriptHandle
+  {
+    static volatile JITScript *UNJITTABLE __attribute__((visibility ("default")));
+    JITScript *value;
+    bool isValid () { return value != UNJITTABLE; }
+    JITScript *getValid () { return value; }
+  };
+  struct JITScriptSet
+  {
+    JITScriptHandle jitHandleNormal, jitHandleNormalBarriered;
+    JITScriptHandle jitHandleCtor, jitHandleCtorBarriered;
+    JITScriptHandle jitNull1, jitNull2;
+  };
+  JITScriptSet *mJITInfo;
+  void *ion;
+  JITScriptHandle *jitHandle (bool constructing, bool barriers)
+  {
+    return constructing ? (barriers ? &mJITInfo->jitHandleCtorBarriered
+				    : &mJITInfo->jitHandleCtor)
+			: (barriers ? &mJITInfo->jitHandleNormalBarriered
+				    : &mJITInfo->jitHandleNormal);
+  }
+  JITScript *getJIT (bool constructing, bool barriers)
+  {
+    JITScriptHandle *jith = jitHandle (constructing, barriers);
+    return jith->isValid () ? jith->getValid () : __null;
+  }
+};
+struct JSContext : js::ContextFriendFields
+{
+};
+namespace js
+{
+  __attribute__((noinline, noclone))
+  void CancelOffThreadIonCompile (JSCompartment *, JSScript *)
+  {
+    if (do_exit)
+      exit (0);
+  }
+}
+struct JSCompartment
+{
+  js::types::TypeCompartment types;
+};
+namespace js
+{
+  namespace types
+  {
+    inline bool CompilerOutput::isValid () const
+    {
+      if (!script)
+	return false;
+      switch (kind ())
+	{
+	case MethodJIT:
+	  {
+	    JITScript *jit = script->getJIT (constructing, barriers);
+	    if (!jit)
+	      return false;
+	  }
+	case ParallelIon:
+	  return true;
+	}
+      return false;
+    }
+    inline CompilerOutput *RecompileInfo::compilerOutput (TypeCompartment & types) const
+    {
+      return &(*types.constrainedOutputs)[outputIndex];
+    }
+    inline CompilerOutput *RecompileInfo::compilerOutput (JSContext *cx) const
+    {
+      return compilerOutput (cx->compartment->types);
+    }
+  }
+}
+using namespace js::types;
+__attribute__((noinline, noclone)) void
+TypeCompartment::addPendingRecompile (JSContext *cx, const RecompileInfo & info)
+{
+  CompilerOutput *co = info.compilerOutput (cx);
+  if (co->pendingRecompilation)
+    if (co->isValid ())
+      CancelOffThreadIonCompile (cx->compartment, co->script);
+  if (co->isValid ())
+    pendingRecompiles->append (info);
+}
+volatile JITScript *JSScript::JITScriptHandle::UNJITTABLE;
+int
+main ()
+{
+  JSContext cx;
+  JSCompartment com;
+  RecompileInfo info;
+  cx.compartment = &com;
+  info.outputIndex = 0;
+  js::Vector<CompilerOutput> v;
+  JITScript js;
+  JSScript::JITScriptSet set;
+  __builtin_memset (&set, 0, sizeof set);
+  set.jitHandleCtor.value = &js;
+  JSScript s;
+  s.mJITInfo = &set;
+  CompilerOutput co;
+  co.kindInt = 0;
+  co.constructing = true;
+  co.barriers = false;
+  co.pendingRecompilation = true;
+  co.script = &s;
+  v.mBegin = &co;
+  com.types.constrainedOutputs = &v;
+  com.types.pendingRecompiles = __null;
+  com.types.addPendingRecompile (&cx, info);
+  abort ();
+}
Index: gcc/testsuite/g++.dg/warn/anonymous-namespace-4.C
===================================================================
--- gcc/testsuite/g++.dg/warn/anonymous-namespace-4.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/warn/anonymous-namespace-4.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,12 @@
+// PR c++/57137
+
+#include "anonymous-namespace-4.h"
+
+namespace
+{
+  class NonCloneable;
+  void fn1 ()
+  {
+    is_function_impl < NonCloneable > i;
+  }
+}
Index: gcc/testsuite/g++.dg/warn/anonymous-namespace-4.h
===================================================================
--- gcc/testsuite/g++.dg/warn/anonymous-namespace-4.h	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/warn/anonymous-namespace-4.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,14 @@
+template < typename T > struct integral_c {
+  static const T value = 0;
+};
+struct is_reference:integral_c < bool > { };
+template < class > struct is_function_ptr_helper { };
+template < bool > struct is_function_chooser;
+
+template <> struct is_function_chooser <0 >
+{
+  template < typename T > struct result_:is_function_ptr_helper < T * > { };
+};
+
+template < typename T > struct is_function_impl:is_function_chooser <
+  is_reference::value >::result_ < T > { };
Index: gcc/testsuite/g++.dg/warn/Wdiv-by-zero-2.C
===================================================================
--- gcc/testsuite/g++.dg/warn/Wdiv-by-zero-2.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/warn/Wdiv-by-zero-2.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,34 @@
+// PR c++/56607
+// { dg-do compile { target { { lp64 || ilp32 } || llp64 } } }
+// { dg-options "-O2 -Wdiv-by-zero -std=c++11" }
+
+constexpr int sc () { return sizeof (char); }
+constexpr int si () { return sizeof (int); }
+constexpr int zc () { return sc () - 1; }
+constexpr int zi (int d) { return si () / d - 1; }
+
+int
+f1 (void)
+{
+  return 1 / zc ();			// { dg-warning "division by zero" }
+}
+
+int
+f2 (void)
+{
+  constexpr int x = zc ();
+  return 1 / x;				// { dg-warning "division by zero" }
+}
+
+int
+f3 (void)
+{
+  return 1 / zi (3);			// { dg-warning "division by zero" }
+}
+
+int
+f4 (void)
+{
+  constexpr int x = zi (3);
+  return 1 / x;				// { dg-warning "division by zero" }
+}
Index: gcc/testsuite/g++.dg/parse/ref-qual1.C
===================================================================
--- gcc/testsuite/g++.dg/parse/ref-qual1.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/parse/ref-qual1.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,29 @@
+// PR c++/57068
+
+enum Enums {
+  Enum1 = 0x00000000,
+  Enum2 = 0x00000001
+};
+
+class Flags {
+public:
+  Flags() : i(0) {}
+  Flags(int i): i(i) {}
+  Flags operator&(Enums f) { return Flags(Enums(i & f)); }
+
+  operator bool() { return i; }
+private:
+  int i;
+};
+
+Flags windowState()
+{
+  return Flags();
+}
+
+int main()
+{
+  if (bool(windowState() & Enum1) == true)
+    return 1;
+  return 0;
+}
Index: gcc/testsuite/g++.dg/cpp0x/ref-qual10.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/ref-qual10.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/ref-qual10.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,13 @@
+// PR c++/57252
+// { dg-require-effective-target c++11 }
+
+struct foo {
+  void bar() & {}
+  void bar() && {}
+};
+
+int main()
+{
+  auto p = &foo::bar;		// { dg-error "" }
+  (foo{}.*p)();
+}
Index: gcc/testsuite/g++.dg/cpp0x/ref-qual9.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/ref-qual9.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/ref-qual9.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,14 @@
+// PR c++/57064
+// { dg-require-effective-target c++11 }
+
+template <class T> T&& move(T& t);
+
+struct A {
+  void p() &;
+  int p() &&;
+};
+
+void g(A &&a)
+{
+  int i = move(a).p();
+}
Index: gcc/testsuite/g++.dg/cpp0x/lambda/lambda-this15.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/lambda/lambda-this15.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/lambda/lambda-this15.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,12 @@
+// PR c++/56692
+// { dg-require-effective-target c++11 }
+
+struct Class {
+  void f () { }
+  static void f (int) { }
+};
+
+int main ()
+{
+  []{ Class::f(0); };
+}
Index: gcc/testsuite/g++.dg/cpp0x/lambda/lambda-defarg4.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/lambda/lambda-defarg4.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/lambda/lambda-defarg4.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,8 @@
+// PR c++/54764
+// { dg-require-effective-target c++11 }
+
+template<class T = void>
+struct c
+{
+  int (*f)(int) = [](int i){return i + i;};
+};
Index: gcc/testsuite/g++.dg/cpp0x/lambda/lambda-this16.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/lambda/lambda-this16.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/lambda/lambda-this16.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,28 @@
+// PR c++/56699
+// { dg-require-effective-target c++11 }
+
+struct A
+{
+    int a;
+};
+
+struct T
+{
+    int x;
+
+    T() : x([]{
+        sizeof(::A::a);
+        return 0;
+    }())
+    {}
+};
+
+struct B
+{
+    int a;
+};
+
+void f()
+{
+    []{sizeof(B::a);};
+}
Index: gcc/testsuite/g++.dg/cpp0x/lambda/lambda-sfinae1.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/lambda/lambda-sfinae1.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/lambda/lambda-sfinae1.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,55 @@
+// PR c++/56039
+// { dg-do compile { target c++11 } }
+
+template <bool> struct BoolSink { typedef void type; };
+
+template <typename T, typename U>
+struct AddRvalueReferenceImpl { typedef T type; };
+
+template <typename T>
+struct AddRvalueReferenceImpl<T, typename BoolSink<false &&
+      [] {
+         extern T &&tref;
+      }>::type> {		// { dg-error "lambda" }
+   typedef T &&type;
+};
+
+template <typename T>
+struct AddRvalueReference : AddRvalueReferenceImpl<T, void> { };
+
+namespace ImplHelpers {
+   template <typename T>
+   typename AddRvalueReference<T>::type create(void) { }
+}
+
+template <typename T, typename U, typename ...Args>
+struct IsConstructibleImpl { enum { value = 0 }; };
+
+template <typename T, typename ...Args>
+struct IsConstructibleImpl<T, typename BoolSink<false &&
+      [] {
+         T t( ::ImplHelpers::create<Args>() ...);
+      }>::type, Args ...> {	// { dg-error "lambda" }
+   enum { value = 1 };
+};
+
+template <typename T, typename ...Args>
+struct IsConstructible : IsConstructibleImpl<T, void, Args ...> { };
+
+struct DestroyMe {
+   ~DestroyMe() = delete;
+};
+
+static_assert(+IsConstructible<int>::value, "error");
+static_assert(!IsConstructible<void>::value, "error");
+static_assert(+IsConstructible<int [1]>::value, "error");
+static_assert(!IsConstructible<DestroyMe>::value, "error");
+static_assert(!IsConstructible<int *, char *>::value, "error");
+
+static_assert(+IsConstructible<int &&, int>::value, "error");
+static_assert(!IsConstructible<int &&, int &>::value, "error");
+static_assert(+IsConstructible<int &&, int &&>::value, "error");
+
+// { dg-prune-output "expected" }
+// { dg-prune-output "does not name a class" }
+// { dg-prune-output "static assertion" }
Index: gcc/testsuite/g++.dg/cpp0x/lambda/lambda-this13.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/lambda/lambda-this13.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/lambda/lambda-this13.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,20 @@
+// PR c++/52374
+// { dg-do compile { target c++11 } }
+
+struct B
+{
+  int get() const { return 42; }
+};
+
+template<typename X>
+struct D
+  : public X
+{
+  int get() const { return [this]() -> int { return X::get(); }(); }
+};
+
+int main()
+{
+  D<B> d;
+  d.get();
+}
Index: gcc/testsuite/g++.dg/cpp0x/lambda/lambda-nsdmi3.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/lambda/lambda-nsdmi3.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/lambda/lambda-nsdmi3.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,9 @@
+// PR c++/55972
+// { dg-do compile { target c++11 } }
+
+class C
+{
+  void f();
+  int j = 10;
+  int i = [this]() { return this->j; }();
+};
Index: gcc/testsuite/g++.dg/cpp0x/lambda/lambda-eh3.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/lambda/lambda-eh3.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/lambda/lambda-eh3.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,14 @@
+// PR c++/56388
+// { dg-require-effective-target c++11 }
+
+int main()
+{
+    bool /*const*/ condition = false;
+
+    [&]{
+        try{}
+        catch(...){
+            if(condition){}
+        }
+    }();
+}
Index: gcc/testsuite/g++.dg/cpp0x/lambda/lambda-conv8.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/lambda/lambda-conv8.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/lambda/lambda-conv8.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,15 @@
+// PR c++/56447
+// { dg-do compile { target c++11 } }
+
+template <class T>
+void f()
+{
+  int i;
+  // This lambda should not have a conversion op, since it captures i
+  int (*p)() = [=]{ return i; }; // { dg-error "cannot convert" }
+}
+
+int main()
+{
+  f<int>();
+}
Index: gcc/testsuite/g++.dg/cpp0x/lambda/lambda-this9.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/lambda/lambda-this9.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/lambda/lambda-this9.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,19 @@
+// PR c++/54277
+// { dg-do compile { target c++11 } }
+
+struct Used
+{
+  void foo() { }
+};
+
+template <typename>
+struct S
+{
+  Used x;
+
+  void bar()
+  {
+    auto f = [this] { x.foo(); };
+    f();
+  }
+};
Index: gcc/testsuite/g++.dg/cpp0x/lambda/lambda-mutable2.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/lambda/lambda-mutable2.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/lambda/lambda-mutable2.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,23 @@
+// PR c++/55532
+// { dg-do compile { target c++11 } }
+
+struct Foo {
+    void doit() {
+    }
+};
+
+template<typename T>
+void oops(Foo &foo, const T &) {
+    auto fun = [&] () mutable {
+        foo.doit();
+    };
+    auto fun2 = [=]() {
+        fun();			// { dg-error "" }
+    };
+    fun2();
+}
+
+int main() {
+    Foo foo;
+    oops(foo, 1);
+}
Index: gcc/testsuite/g++.dg/cpp0x/lambda/lambda-this14.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/lambda/lambda-this14.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/lambda/lambda-this14.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,49 @@
+// PR c++/52014
+// { dg-require-effective-target c++11 }
+
+template <class Iterator, class Func>
+void for_each(const Iterator first, const Iterator last, Func func)
+{
+  for (Iterator it = first; it != last; ++it) {
+    func(*it);
+  }
+}
+
+template <class T>
+struct helper
+{
+  typedef typename T::size_type type;
+};
+
+template <class T>
+struct helper<T&>
+{
+  typedef typename T::size_type type;
+};
+
+template <class T>
+struct helper<T*>
+{
+  typedef typename T::size_type type;
+};
+
+struct bar
+{
+  struct foo
+  {
+    typedef int size_type;
+  } foo_;
+
+  void test()
+  {
+    int arr[] = { 1, 2, 3 };
+    for_each(arr, arr + 3, [&](helper<foo>::type i) {
+	for_each(arr, arr + 3, [&](helper<decltype(foo_)>::type j) { });
+      });
+  }
+};
+
+int main()
+{
+  return 0;
+}
Index: gcc/testsuite/g++.dg/cpp0x/ref-qual12.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/ref-qual12.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/ref-qual12.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,22 @@
+// PR c++/57254
+// { dg-require-effective-target c++11 }
+
+struct foo {
+    template<typename T>
+    void bar(T) &;
+
+    template<typename T>
+    void bar(T) &&;
+};
+
+template<typename T>
+void foo::bar(T) & {}
+
+template<typename T>
+void foo::bar(T) && {}
+
+int main()
+{
+  foo f;
+  f.bar(0);
+}
Index: gcc/testsuite/g++.dg/cpp0x/decltype-call1.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/decltype-call1.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/decltype-call1.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,32 @@
+// PR c++/52748
+// N3276
+// { dg-do compile { target c++11 } }
+
+struct A;			// { dg-error "forward declaration" }
+A f();
+
+decltype(f()) g1();		 // OK
+decltype(((f()))) g2b();	 // OK
+decltype(42,f()) g3();		 // OK
+decltype(42,45,f()) g3b();	 // OK
+decltype(42,45,(f())) g3c();	 // OK
+decltype(42,((45,(f())))) g3c(); // OK
+
+decltype(f(),42) g4();		 // { dg-error "" }
+decltype(45,f(),42) g4b();	 // { dg-error "" }
+
+class B
+{
+  ~B();				// { dg-error "private" }
+public:
+  int i;
+  void operator[](int);
+};
+B h();
+
+void i(const B&);
+
+decltype(h()) g5a();		// OK
+decltype(h().i) g5();		// { dg-error "" }
+decltype(h()[0]) g6();		// { dg-error "" }
+decltype(i(h())) g7();		// { dg-error "" }
Index: gcc/testsuite/g++.dg/cpp0x/initlist70.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/initlist70.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/initlist70.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,27 @@
+// PR c++/57196
+// { dg-require-effective-target c++11 }
+
+#include <initializer_list>
+
+template<class T>
+struct set {
+  set() = default;
+  set(std::initializer_list<T>){}
+};
+
+struct string {
+  string(const char*){}
+  ~string(){}
+};
+
+typedef decltype(sizeof(0)) size_t;
+
+template <size_t> struct EqHelper { };
+
+int IsNullLiteralHelper(...);
+
+void Fn() {
+  EqHelper<sizeof IsNullLiteralHelper(set<int>{1})>        eq1;  // ok
+  EqHelper<sizeof IsNullLiteralHelper(set<string>())>      eq2;  // ok
+  EqHelper<sizeof IsNullLiteralHelper(set<string>{"foo"})> eq3;  // error
+}
Index: gcc/testsuite/g++.dg/cpp0x/alias-decl-34.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/alias-decl-34.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/alias-decl-34.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,23 @@
+// PR c++/57222
+// { dg-require-effective-target c++11 }
+
+template <template <typename T> class Templ>
+using Bool = Templ<bool>;
+
+template <typename T>
+class Foo {
+private:
+public:
+    template<template<typename U> class Templ>
+    void method(Bool<Templ> boolTempl);
+};
+
+template <typename T>
+template <template <typename U> class Templ>
+void Foo<T>::method(Bool<Templ> boolTempl) {
+}
+
+int main() {
+    Foo<char> foo;
+    return 0;
+}
Index: gcc/testsuite/g++.dg/cpp0x/decltype-call3.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/decltype-call3.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/decltype-call3.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,132 @@
+// Testcase for N3276 and operator overloading
+// { dg-require-effective-target c++11 }
+
+struct A;
+struct B {
+  A operator()(int);
+  A operator[](int);
+  A operator=(int);
+  A operator+=(int);
+  A operator-=(int);
+  A operator*=(int);
+  A operator/=(int);
+  A operator^=(int);
+  A operator&=(int);
+  A operator|=(int);
+  A operator<<=(int);
+  A operator>>=(int);
+};
+
+A operator-(B);
+A operator+(B);
+A operator*(B);
+A operator&(B);
+A operator!(B);
+A operator~(B);
+A operator++(B);
+A operator--(B);
+
+A operator+(B,B);
+A operator-(B,B);
+A operator*(B,B);
+A operator/(B,B);
+A operator%(B,B);
+A operator^(B,B);
+A operator&(B,B);
+A operator|(B,B);
+A operator<(B,B);
+A operator>(B,B);
+A operator,(B,B);
+A operator<<(B,B);
+A operator>>(B,B);
+A operator==(B,B);
+A operator->*(B,B);
+
+#define TRY(E) static_cast<decltype(E)*>(0)
+
+template <class B>
+void f()
+{
+  B b;
+  TRY(b(0));
+  TRY(b[0]);
+  TRY(b=0);
+  TRY(b+=0);
+  TRY(b-=0);
+  TRY(b*=0);
+  TRY(b/=0);
+  TRY(b^=0);
+  TRY(b&=0);
+  TRY(b|=0);
+  TRY(b<<=0);
+  TRY(b>>=0);
+
+  TRY(-b);
+  TRY(+b);
+  TRY(*b);
+  TRY(&b);
+  TRY(!b);
+  TRY(~b);
+  TRY(++b);
+  TRY(--b);
+
+  TRY(b+b);
+  TRY(b-b);
+  TRY(b*b);
+  TRY(b/b);
+  TRY(b%b);
+  TRY(b^b);
+  TRY(b&b);
+  TRY(b|b);
+  TRY(b>b);
+  TRY(b<b);
+  TRY((b,b));
+  TRY(b<<b);
+  TRY(b>>b);
+  TRY(b==b);
+  TRY(b->*b);
+}
+
+int main()
+{
+  B b;
+  TRY(b(0));
+  TRY(b[0]);
+  TRY(b=0);
+  TRY(b+=0);
+  TRY(b-=0);
+  TRY(b*=0);
+  TRY(b/=0);
+  TRY(b^=0);
+  TRY(b&=0);
+  TRY(b|=0);
+  TRY(b<<=0);
+  TRY(b>>=0);
+
+  TRY(-b);
+  TRY(+b);
+  TRY(*b);
+  TRY(&b);
+  TRY(!b);
+  TRY(~b);
+  TRY(++b);
+  TRY(--b);
+
+  TRY(b+b);
+  TRY(b-b);
+  TRY(b*b);
+  TRY(b/b);
+  TRY(b%b);
+  TRY(b^b);
+  TRY(b&b);
+  TRY(b|b);
+  TRY(b>b);
+  TRY(b<b);
+  TRY((b,b));
+  TRY(b<<b);
+  TRY(b>>b);
+  TRY(b==b);
+  TRY(b->*b);
+
+  f<B>();
+}
Index: gcc/testsuite/g++.dg/cpp0x/auto38.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/auto38.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/auto38.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,8 @@
+// PR c++/57183
+// { dg-do compile { target c++11 } }
+// { dg-options "-Wunused-variable" }
+
+constexpr float PI_0 = 3.1415926F;
+constexpr auto PI_1 = 3.1415926F;
+const float PI_2 = 3.1415926F;
+const auto PI_3 = 3.1415926F;
Index: gcc/testsuite/g++.dg/cpp0x/decltype52.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/decltype52.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/decltype52.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,18 @@
+// PR c++/56450
+// { dg-do compile { target c++11 } }
+
+template<typename T>
+T&& declval();
+
+template<typename, typename>
+struct is_same
+{ static constexpr bool value = false; };
+
+template<typename T>
+struct is_same<T, T>
+{ static constexpr bool value = true; };
+
+struct A { static const int dummy = 0; };
+
+static_assert(is_same<decltype(declval<A>().dummy), const int>::value, "");
+static_assert(!is_same<decltype(declval<A>().dummy), const int&>::value, "");
Index: gcc/testsuite/g++.dg/cpp0x/ref-qual2.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/ref-qual2.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/ref-qual2.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,75 @@
+// In a .* expression whose object expression is an rvalue, the program is
+// ill-formed if the second operand is a pointer to member function with
+// ref-qualifier &. In a .* expression whose object expression is an
+// lvalue, the program is ill-formed if the second operand is a pointer to
+// member function with ref-qualifier &&.
+
+// { dg-require-effective-target c++11 }
+
+struct A {
+  void f() &;
+  void g() &&;
+  void h();
+};
+
+void one()
+{
+  A a;
+
+  void (A::*p)() & = &A::f;
+  (a.*p)();
+  (A().*p)();			// { dg-error "" }
+
+  p = &A::g;			// { dg-error "" }
+  p = &A::h;			// { dg-error "" }
+
+  void (A::*p2)() && = &A::g;
+  (A().*p2)();
+  (a.*p2)();			// { dg-error "" }
+  p2 = &A::f;			// { dg-error "" }
+  p2 = &A::h;			// { dg-error "" }
+
+  void (A::*p3)() = &A::h;
+  (a.*p3)();
+  (A().*p3)();
+  p3 = &A::f;			// { dg-error "" }
+  p3 = &A::g;			// { dg-error "" }
+}
+
+template <class T>
+struct B {
+  void f() &;
+  void g() &&;
+  void h();
+};
+
+template <class T>
+void two()
+{
+  B<T> a;
+
+  void (B<T>::*p)() & = &B<T>::f;
+  (a.*p)();
+  (B<T>().*p)();		// { dg-error "" }
+
+  p = &B<T>::g;			// { dg-error "" }
+  p = &B<T>::h;			// { dg-error "" }
+
+  void (B<T>::*p2)() && = &B<T>::g;
+  (B<T>().*p2)();
+  (a.*p2)();			// { dg-error "" }
+  p2 = &B<T>::f;		// { dg-error "" }
+  p2 = &B<T>::h;		// { dg-error "" }
+
+  void (B<T>::*p3)() = &B<T>::h;
+  (a.*p3)();
+  (B<T>().*p3)();
+  p3 = &B<T>::f;		// { dg-error "" }
+  p3 = &B<T>::g;		// { dg-error "" }
+}
+
+int main()
+{
+  one();
+  two<int>();
+}
Index: gcc/testsuite/g++.dg/cpp0x/trailing9.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/trailing9.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/trailing9.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,12 @@
+// PR c++/56646
+// { dg-require-effective-target c++11 }
+
+struct A {
+  void f();
+};
+
+void A::f() {
+  struct B {
+    auto g() -> void { }
+  };
+}
Index: gcc/testsuite/g++.dg/cpp0x/sfinae44.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/sfinae44.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/sfinae44.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,26 @@
+// PR c++/56913
+// { dg-do compile { target c++11 } }
+
+template<typename T>
+T &&declval();
+
+template<typename T, typename U,
+         typename = decltype((declval<T>().*declval<U>())())>
+constexpr bool test(int)
+{
+  return true;
+}
+
+template<typename T, typename U>
+constexpr bool test(...)
+{
+  return false;
+}
+
+struct S
+{};
+
+static_assert(!test<S, void (S::*)() &>(0), "");
+static_assert(test<S, void (S::*)() &&>(0), "");
+static_assert(test<S &, void (S::*)() &>(0), "");
+static_assert(!test<S &, void (S::*)() &&>(0), "");
Index: gcc/testsuite/g++.dg/cpp0x/range-for23.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/range-for23.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/range-for23.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,8 @@
+// PR c++/56722
+// { dg-do compile { target c++11 } }
+
+int main()
+{
+  for (const auto& i, 21)  // { dg-error "has no initializer|expected" }
+    i;
+}
Index: gcc/testsuite/g++.dg/cpp0x/variadic142.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/variadic142.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/variadic142.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,63 @@
+// PR c++/56782
+// { dg-options -std=c++0x }
+
+template<class T>
+T&& declval();
+
+struct is_convertible_impl {
+  template<class T>
+  static void sink(T);
+
+  template<class T, class U, class = decltype(sink<U>(declval<T>()))>
+  static auto test(int) -> char;
+
+  template<class, class>
+  static auto test(...) -> char(&)[2];
+};
+
+template<class T, class U>
+struct is_convertible : is_convertible_impl
+{
+  static const bool value = sizeof(test<T, U>(0)) == 1;
+};
+
+template<bool, class>
+struct enable_if {};
+
+template<class T>
+struct enable_if<true, T> { typedef T type; };
+
+template<bool, class If, class Else>
+struct conditional { typedef If type; };
+
+template<class If, class Else>
+struct conditional<false, If, Else> { typedef Else type; };
+
+template<class...>
+struct and_;
+
+template<>
+struct and_<>
+{
+  static const bool value = true;
+};
+
+template<class P>
+struct and_<P> : P
+{
+};
+
+template<class P1, class P2>
+struct and_<P1, P2> : conditional<P1::value, P2, P1>::type
+{
+};
+
+template<class... T>
+struct Tuple {
+  template<class... U,
+	   class = typename enable_if<and_<is_convertible<U, T>... >::value, int>::type
+	   >
+  Tuple(U&&...){}
+};
+
+static_assert(is_convertible<Tuple<>, Tuple<>>::value, "Ouch"); //#1
Index: gcc/testsuite/g++.dg/cpp0x/enum25.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/enum25.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/enum25.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,18 @@
+// PR c++/56793
+// { dg-require-effective-target c++11 }
+
+struct A
+{
+  enum struct B {X, Y} b;
+} a;
+
+enum struct D {X,Y};
+struct C { } c;
+
+int main ()
+{
+  if (a.b == a.B::Y)
+    a.b = A::B::X;
+
+  c.D::Y;			// { dg-error "not a member" }
+}
Index: gcc/testsuite/g++.dg/cpp0x/ref-qual4.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/ref-qual4.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/ref-qual4.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,14 @@
+// 12.1: A constructor shall not be declared with a ref-qualifier.
+// 12.4: A destructor shall not be declared with a ref-qualifier.
+
+// { dg-require-effective-target c++11 }
+
+struct A {
+  A() & = default;		// { dg-error "constructor" }
+  ~A() & = default;		// { dg-error "destructor" }
+};
+
+int main()
+{
+  A a;
+}
Index: gcc/testsuite/g++.dg/cpp0x/constexpr-reinterpret1.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/constexpr-reinterpret1.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/constexpr-reinterpret1.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,39 @@
+// PR c++/56728
+// { dg-require-effective-target c++11 }
+
+// { dg-prune-output "error" }
+
+class B {
+public:
+  static B instance;
+  class Inner
+  {
+  public:
+    class Wuzi
+    {
+      unsigned int m;
+    } m_Class[3];
+    unsigned m_Int[4];
+  };
+
+  constexpr static Inner & getInner()
+  {
+    /* I am surprised this is considered a constexpr */
+    return *((Inner *)4);
+  }
+};
+
+B B::instance;
+
+class A
+{
+public:
+  constexpr A(B &bridge, B::Inner &bridge2, unsigned char index)
+    : m_Bridge(bridge), m_Wuz(bridge2.m_Class[index])
+  {}
+
+  B &m_Bridge;
+  B::Inner::Wuzi &m_Wuz;
+};
+A works{B::instance, B::getInner(), 3};
+A crashnkill[1]{{B::instance, B::getInner(), 3}};
Index: gcc/testsuite/g++.dg/cpp0x/range-for25.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/range-for25.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/range-for25.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,30 @@
+// PR c++/57243
+// { dg-require-effective-target c++11 }
+
+struct snarf
+{
+  template <class T>
+  void get() {}
+};
+
+template <class T>
+struct container
+{
+  snarf * begin() { return nullptr; }
+  snarf * end() { return nullptr; }
+};
+
+template <class T>
+void foo()
+{
+  container<int> arr;
+
+  for( auto i : arr )
+    i.get<int>();
+}
+
+int main()
+{
+  return 0;
+}
+
Index: gcc/testsuite/g++.dg/cpp0x/constexpr-array-ptr8.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/constexpr-array-ptr8.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/constexpr-array-ptr8.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,54 @@
+// PR c++/57047
+// { dg-require-effective-target c++11 }
+
+template <typename>
+struct A;
+template <typename T>
+struct A <T &>
+{
+  typedef T type;
+};
+template <typename T>
+constexpr T && foo (typename A <T>::type & __t) noexcept
+{
+  return static_cast <T &&>(__t);
+}
+template <class T1, class T2>
+struct B
+{
+  T1 t1;
+  T2 t2;
+  template <class U>
+  constexpr B (U && __x, const T2 & __y) : t1 (foo <U> (__x)), t2 (__y) {}
+};
+static inline constexpr bool
+fn1 (const char c)
+{
+  return ('0' <= c) && (c <= '9');
+}
+static inline constexpr bool
+fn2 (const char c)
+{
+  return (('A' <= c) && (c <= 'Z')) || (('a' <= c) && (c <= 'z'));
+}
+static constexpr bool
+fn3 (const char *const x)
+{
+  return (x[1] == '\0' && x[0] == ']') ? true : (!fn1 (x[0])) ? false : fn3 (&x[1]);
+}
+static constexpr bool
+fn4 (const char *const x)
+{
+  return (x[0] == '\0') ? fn3 (&x[1]) : fn4 (&x[1]);
+}
+static inline constexpr bool
+fn5 (const char *const x)
+{
+  return fn2 (x[0]) ? fn4 (x) : false;
+}
+struct C final
+{
+  constexpr C (const char *const t1) : c (fn5 (t1) ? 199 : 69) {}
+  unsigned c;
+};
+B <C, C> p ("a", "b");
Index: gcc/testsuite/g++.dg/cpp0x/ref-qual6.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/ref-qual6.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/ref-qual6.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,15 @@
+// Binding an rvalue to && beats binding it to const& (13.3.3.2).
+
+// { dg-require-effective-target c++11 }
+
+struct A
+{
+  int operator+(int) &&;
+};
+
+void operator+ (const A&, int);
+
+int main()
+{
+  return A() + 42;
+}
Index: gcc/testsuite/g++.dg/cpp0x/constexpr-array5.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/constexpr-array5.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/constexpr-array5.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,9 @@
+// PR c++/56582
+// { dg-do compile { target c++11 } }
+
+// Reliable ICE
+constexpr int n[3] = {};
+constexpr int k = n[-1];            // { dg-error "negative" }
+
+// Some random byte
+constexpr char c = "foo"[-1000];    // { dg-error "negative" }
Index: gcc/testsuite/g++.dg/cpp0x/decltype49.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/decltype49.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/decltype49.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,10 @@
+// PR c++/45282
+// { dg-require-effective-target c++11 }
+
+struct A { int i; };
+int A::*ipm = &A::i;
+
+template <class T, class U> class assert_same_type;
+template <class T> class assert_same_type<T,T> { };
+
+assert_same_type<decltype(A().*ipm),int> x2;
Index: gcc/testsuite/g++.dg/cpp0x/initlist69.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/initlist69.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/initlist69.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,29 @@
+// PR c++/50261
+// { dg-require-effective-target c++11 }
+
+template <typename T>
+struct ca {
+  T elem[1];
+
+  ca(const T (&s)[1]): elem{{s}} { }	   // { dg-error "braces" }
+  ca(const T (&s)[1],int): elem({{s}}) { } // { dg-error "paren|invalid" }
+  ca(const T (&s)[1],char): elem(s) { }	   // { dg-error "array" }
+  ca(const T (&s)[1],double): elem{s} { }  // { dg-error "invalid" }
+
+  ca(const T &v): elem{{v}} { }	      // { dg-error "braces" }
+  ca(const T &v,int): elem{{{v}}} { } // { dg-error "braces" }
+  ca(const T &v,char): elem{v} { }    // OK
+  ca(const T &v,double): elem({v}) { } // { dg-error "paren" }
+};
+
+int main() {
+  int a[1] = {0};
+  ca<int> d(a);
+  ca<int> d1(a,1);
+  ca<int> d2(a,'2');
+  ca<int> d3(a,3.0);
+  ca<int> e(a[0]);
+  ca<int> e1(a[0],1);
+  ca<int> e2(a[0],'2');
+  ca<int> e3(a[0],3.0);
+}
Index: gcc/testsuite/g++.dg/cpp0x/ref-qual8.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/ref-qual8.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/ref-qual8.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,13 @@
+// { dg-require-effective-target c++11 }
+
+struct A
+{
+  virtual void f() & = 0;
+};
+
+struct B: A
+{
+  void f();			// doesn't override
+};
+
+B b;				// { dg-error "abstract" }
Index: gcc/testsuite/g++.dg/cpp0x/gen-attrs-54.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/gen-attrs-54.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/gen-attrs-54.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,14 @@
+// PR c++/56859
+// { dg-require-effective-target c++11 }
+
+template<unsigned size, unsigned alignment>
+struct aligned_storage
+{
+  using type = struct { alignas(alignment) unsigned char data[size]; };
+};
+
+#define SA(X) static_assert((X),#X)
+SA(alignof(aligned_storage<8,1>::type) == 1);
+SA(alignof(aligned_storage<8,2>::type) == 2);
+SA(alignof(aligned_storage<8,4>::type) == 4);
+SA(alignof(aligned_storage<8,8>::type) == 8);
Index: gcc/testsuite/g++.dg/cpp0x/ref-qual11.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/ref-qual11.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/ref-qual11.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,10 @@
+// PR c++/57253
+// { dg-require-effective-target c++11 }
+
+template<typename T> struct foo;
+
+template<> struct foo<void()&> {};
+template<> struct foo<void()> {};
+
+int main()
+{}
Index: gcc/testsuite/g++.dg/cpp0x/ref-qual-mangle1.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/ref-qual-mangle1.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/ref-qual-mangle1.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,37 @@
+// PR c++/56821
+// { dg-require-effective-target c++11 }
+
+struct A {
+  // { dg-final { scan-assembler "_ZNR1A1fEv" } }
+  void f() & {}
+  // { dg-final { scan-assembler "_ZNO1A1gEv" } }
+  void g() && {}
+  // { dg-final { scan-assembler "_ZNKR1A1hEv" } }
+  void h() const & {}
+};
+
+// { dg-final { scan-assembler "_Z1jM1AFvvRE" } }
+void j(void (A::*)() &) { }
+// { dg-final { scan-assembler "_Z1kM1AFvvOE" } }
+void k(void (A::*)() &&) { }
+// { dg-final { scan-assembler "_Z1lM1AKFvvRE" } }
+void l(void (A::*)() const &) { }
+
+// { dg-final { scan-assembler "_Z1mIFvvOEEvM1AT_" } }
+// { dg-final { scan-assembler "_Z1mIFvvREEvM1AT_" } }
+// { dg-final { scan-assembler "_Z1mIKFvvREEvM1AT_" } }
+template <typename T>
+void m(T A::*) {}
+
+// { dg-final { scan-assembler "_Z1nIM1AFvvOEEvT_" } }
+// { dg-final { scan-assembler "_Z1nIM1AFvvREEvT_" } }
+// { dg-final { scan-assembler "_Z1nIM1AKFvvREEvT_" } }
+template <typename T>
+void n(T) {}
+
+int main()
+{
+  j(&A::f); k(&A::g); l(&A::h);
+  m(&A::f); m(&A::g); m(&A::h);
+  n(&A::f); n(&A::g); n(&A::h);
+}
Index: gcc/testsuite/g++.dg/cpp0x/alias-decl-35.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/alias-decl-35.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/alias-decl-35.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,9 @@
+// PR c++/57279
+// { dg-require-effective-target c++11 }
+
+typedef void fc1() const; // OK
+typedef void frr1() &&; // OK
+typedef void fcr1() const &;
+using fc2 = void() const; // #4
+using frr2 = void() &&; // OK
+using fcr2 = void() const &; // #6
Index: gcc/testsuite/g++.dg/cpp0x/ref-qual1.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/ref-qual1.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/ref-qual1.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,30 @@
+// { dg-require-effective-target c++11 }
+
+template <class,class> struct ST;
+template <class T> struct ST<T,T> {};
+
+struct A
+{
+  int f() &;
+  char f() &&;
+};
+
+template <class T> struct B
+{
+  int f() &;
+  char f() &&;
+};
+
+int main()
+{
+  A a;
+  a.f();
+  A().f();
+  ST<decltype(a.f()), int>();
+  ST<decltype(A().f()), char>();
+  B<int> b;
+  b.f();
+  B<int>().f();
+  ST<decltype(b.f()), int>();
+  ST<decltype(B<int>().f()), char>();
+}
Index: gcc/testsuite/g++.dg/cpp0x/trailing8.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/trailing8.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/trailing8.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,25 @@
+// PR c++/54359
+// { dg-require-effective-target c++11 }
+
+int& ref(int& x) { return x; }
+const int& ref(const int& x) { return x; }
+
+class A {
+    int x;
+    int f() const;
+    auto test1() const -> decltype(this);
+    auto test2() const -> decltype(ref(x));
+    auto test3() const -> decltype(f());
+};
+
+auto A::test1() const -> decltype(this) {
+    return this;
+}
+
+auto A::test2() const -> decltype(ref(x)) {
+    return ref(x);
+}
+
+auto A::test3() const -> decltype(f()) {
+    return f();
+}
Index: gcc/testsuite/g++.dg/cpp0x/decltype53.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/decltype53.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/decltype53.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,11 @@
+// PR c++/57092
+// { dg-do compile { target c++11 } }
+
+template <void (*F)(int)>
+class B {
+  decltype(F) v;
+};
+
+void foo(int) {}
+
+B<foo> o;
Index: gcc/testsuite/g++.dg/cpp0x/enum24.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/enum24.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/enum24.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,57 @@
+// PR c++/56749
+// { dg-require-effective-target c++11 }
+
+enum normal_enum
+{
+    not_scoped1,
+    not_scoped2
+};
+
+enum class scoped_enum
+{
+    scoped1,
+    scoped2
+};
+
+template <normal_enum N=not_scoped1>
+class A
+{
+public:
+    template <typename T>
+        void fun ()
+        {
+        }
+};
+
+template <scoped_enum N=scoped_enum::scoped1>
+class B
+{
+public:
+    template <typename T>
+        void fun ()
+        {
+        }
+};
+
+
+template <typename T>
+void tfun ()
+{
+    A<> a;
+    a.fun<char>(); //<------------ THIS IS FINE
+
+    B<> b_defaulted;
+    B<scoped_enum::scoped1> b_explicited;
+
+    b_defaulted.fun<char>();          //<------------ UNEXPECTED: THIS FAILS
+    b_defaulted.template fun<char>(); //<------------ THIS IS FINE
+
+    b_explicited.fun<char>();         //<------------ UNEXPECTED: THIS FAILS
+    b_explicited.template fun<char>();//<------------ THIS IS FINE
+}
+
+int main(int argc, char const *argv[])
+{
+    tfun<int>();
+    return 0;
+}
Index: gcc/testsuite/g++.dg/cpp0x/ref-qual3.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/ref-qual3.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/ref-qual3.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,29 @@
+// An explicitly defaulted function can have a ref-qualifier.
+
+// { dg-require-effective-target c++11 }
+
+struct A {
+  A& operator=(const A&) & = default;
+};
+
+template<class T>
+struct B {
+  B& operator=(const B&) & = default;
+};
+
+template<class T>
+void f()
+{
+  B<T> b;
+  b = B<T>();
+  B<T>() = b;			// { dg-error "" }
+}
+
+int main()
+{
+  A a;
+  a = A();
+  A() = a;			// { dg-error "" }
+
+  f<int>();
+}
Index: gcc/testsuite/g++.dg/cpp0x/sfinae45.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/sfinae45.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/sfinae45.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,35 @@
+// PR c++/56970
+// { dg-do compile { target c++11 } }
+
+template <typename T>
+struct has
+{
+  template <typename>
+  constexpr static int test(...) {
+    return 0;
+  }
+  
+  template <typename C>
+  constexpr static int test(decltype(sizeof(C::x))) {  // Doesn't compile.
+    return 1;   // Is a member variable.
+  }
+  
+  template <typename C, int c = sizeof(decltype(((C*)nullptr)->x()))>
+  constexpr static int test(int) {
+    return 2;   // Is a member function.
+  }
+
+  static const int value = test<T>(0);
+};
+
+struct foo {
+  int x;
+};
+
+struct bar {
+  int x();
+};
+
+static_assert(has<int>::value == 0, "");
+static_assert(has<foo>::value == 1, "");
+static_assert(has<bar>::value == 2, "");
Index: gcc/testsuite/g++.dg/cpp0x/variadic-explicit2.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/variadic-explicit2.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/variadic-explicit2.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,14 @@
+// PR c++/56774
+// { dg-require-effective-target c++11 }
+
+template <class ... Args>
+struct mytype {};
+
+template <class T, class ... Args>
+void something( mytype<T, Args...> )
+{ }
+
+int main()
+{
+  something<int, char, bool>( mytype<int, char, bool>() );
+}
Index: gcc/testsuite/g++.dg/cpp0x/noexcept03.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/noexcept03.C	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/g++.dg/cpp0x/noexcept03.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,6 +1,6 @@
 // Runtime test for noexcept-specification.
 // { dg-options "-std=c++0x -Wnoexcept" }
-// { dg-do run }
+// { dg-do run { target nonpic } }
 
 #include <exception>
 #include <cstdlib>
Index: gcc/testsuite/g++.dg/cpp0x/range-for24.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/range-for24.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/range-for24.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,15 @@
+// PR c++/56794
+// { dg-require-effective-target c++11 }
+
+template<int... values>
+static void Colors()
+{
+    static const int colors[] = { values... };
+
+    for(auto c: colors) { }
+}
+
+int main()
+{
+    Colors<0,1,2> ();
+}
Index: gcc/testsuite/g++.dg/cpp0x/ref-qual5.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/ref-qual5.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/ref-qual5.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,13 @@
+// 13.1: ...cannot be overloaded if any of them, but not all, have a
+// ref-qualifier.
+
+// { dg-require-effective-target c++11 }
+
+class Y {
+  void h() &;
+  void h() const &;	       // OK
+  void h() &&;		       // OK, all declarations have a ref-qualifier
+  void i() &;		       // { dg-message "" }
+  void i() const;	       // { dg-error "" } prior declaration of i
+			       // has a ref-qualifier
+};
Index: gcc/testsuite/g++.dg/cpp0x/defaulted42.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/defaulted42.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/defaulted42.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,10 @@
+// DR 941
+// { dg-require-effective-target c++11 }
+
+template <class T> T f(T) = delete;
+template<> int f(int) { return 42; }
+
+int main()
+{
+  f(42);
+}
Index: gcc/testsuite/g++.dg/cpp0x/initlist68.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/initlist68.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/initlist68.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,20 @@
+// PR c++/56772
+// { dg-require-effective-target c++11 }
+
+typedef __SIZE_TYPE__ size_t;
+void* operator new[](size_t, void *p) { return p; }
+template <typename T = size_t>
+void f ()
+{
+  size_t coord [2][2];
+  new (&coord) size_t [2][2]
+   {
+     {0,0},
+     {0,0},
+   };
+}
+
+int main ()
+{
+   f<>();
+}
Index: gcc/testsuite/g++.dg/cpp0x/ref-qual7.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/ref-qual7.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/cpp0x/ref-qual7.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,19 @@
+// typedef test
+// { dg-require-effective-target c++11 }
+
+typedef void F() &;
+
+F f;				// { dg-error "" }
+F* p;				// { dg-error "" }
+extern F& r;			// { dg-error "" }
+
+struct A {
+  F f;
+};
+
+int main()
+{
+  A a;
+  a.f();
+  A().f();			// { dg-error "" }
+}
Index: gcc/testsuite/g++.dg/cpp0x/gen-attrs-4.C
===================================================================
--- gcc/testsuite/g++.dg/cpp0x/gen-attrs-4.C	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/g++.dg/cpp0x/gen-attrs-4.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -3,17 +3,17 @@
 // Test for syntax support of various attribute permutations.
 
 int
-[[gnu::noreturn]] // { dg-warning "ignored" }
+[[noreturn]] // { dg-warning "ignored" }
 one
 [[gnu::unused]]
 (void);
 
-int one_third [[gnu::noreturn]] [[gnu::unused]] (void);
+int one_third [[noreturn]] [[gnu::unused]] (void);
 
 int [[gnu::unused]] one_half(); // { dg-warning "ignored" }
 
 static
-[[gnu::noreturn]] // { dg-warning "ignored" }
+[[noreturn]] // { dg-warning "ignored" }
 void two [[gnu::unused]] (void) {}
 
 
@@ -21,10 +21,10 @@
 [[gnu::unused]]
 int
 five(void)
-[[gnu::noreturn]] // { dg-warning "ignored" }
+[[noreturn]] // { dg-warning "ignored" }
 {}
 
-[[gnu::noreturn]]
+[[noreturn]]
 void
 six (void)
 ;
Index: gcc/testsuite/g++.dg/torture/pr56768.C
===================================================================
--- gcc/testsuite/g++.dg/torture/pr56768.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/torture/pr56768.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,41 @@
+// { dg-do compile }
+// { dg-options "-std=c++0x" }
+
+struct Iter
+{
+  int& operator* ();
+  void operator++ ();
+};
+
+bool operator!= (Iter &, Iter &) { }
+
+struct Container
+{
+  Iter begin () const;
+  Iter end () const;
+};
+
+struct J
+{
+  virtual J *mutable_child ();
+};
+
+struct M
+{
+  M (const Container &);
+  J ns_;
+};
+namespace
+{
+  J MakeNamespace (const Container &src)
+    {
+      J a;
+      J *b = 0;
+      for (const int &c: src)
+	b = b ? b->mutable_child () : &a;
+      return a;
+    }
+}
+M::M (const Container &ns):ns_ (MakeNamespace (ns))
+{
+}
Index: gcc/testsuite/g++.dg/torture/pr56837.C
===================================================================
--- gcc/testsuite/g++.dg/torture/pr56837.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/torture/pr56837.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,20 @@
+// { dg-do run }
+// { dg-options "-ftree-loop-distribute-patterns" }
+
+extern "C" void abort (void);
+extern "C" int memcmp (const void *, const void *, __SIZE_TYPE__);
+
+bool b1[8];
+bool b2[8] = { true, true, true, true, true, true, true, true };
+
+int main()
+{
+  unsigned int i;
+  for(i=0 ; i < 8; i++)
+    b1[i] = true;
+
+  if (memcmp (b1, b2, 8) != 0)
+    abort ();
+
+  return 0;
+}
Index: gcc/testsuite/g++.dg/torture/pr56817.C
===================================================================
--- gcc/testsuite/g++.dg/torture/pr56817.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/torture/pr56817.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,38 @@
+// { dg-do compile }
+// { dg-options "--param max-unroll-times=32" }
+
+struct A {};
+A **q;
+struct B
+{
+  A **j;
+  B () { j = q; }
+  A *& operator[] (unsigned long x) { return j[x]; }
+};
+struct C
+{
+  C (int r) : v (), s (r) {}
+  A *& operator () (int i, int j) { return v[i * s + j]; }
+  B v;
+  int s;
+};
+struct D
+{
+  D ()
+    {
+      unsigned h = 2;
+      for (int i = 0; i < 1; ++i, h *= 2)
+	{
+	  C w (h);
+	  for (unsigned j = 0; j < h; ++j)
+	    for (unsigned k = 0; k < h; ++k)
+	      w (j, k) = new A;
+	}
+    }
+};
+void
+foo ()
+{
+  for (int i = 0; i < 3; i++)
+    A (), A (), D ();
+}
Index: gcc/testsuite/g++.dg/torture/pr56694.C
===================================================================
--- gcc/testsuite/g++.dg/torture/pr56694.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/torture/pr56694.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,31 @@
+// { dg-do compile }
+// { dg-options "-fopenmp" }
+// { dg-require-effective-target fopenmp }
+
+class GException {
+public:
+    class vector_mismatch {
+    public:
+	vector_mismatch(int size1, int size2);
+    };
+};
+class GVector{
+public:
+    GVector& operator+=(const GVector& v);
+    int m_num;
+    double* m_data;
+};
+inline GVector& GVector::operator+= (const GVector& v)
+{
+  if (m_num != v.m_num)
+    throw GException::vector_mismatch(m_num, v.m_num);
+  for (int i = 0; i < m_num; ++i)  m_data[i] += v.m_data[i];
+};
+void eval(GVector* m_gradient, GVector* vect_cpy_grad, int n)
+{
+#pragma omp sections
+    {
+      for (int i = 0; i < n; ++i)
+	*m_gradient += vect_cpy_grad[i];
+    }
+}
Index: gcc/testsuite/g++.dg/ipa/ivinline-1.C
===================================================================
--- gcc/testsuite/g++.dg/ipa/ivinline-1.C	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/g++.dg/ipa/ivinline-1.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,6 +1,6 @@
 /* Verify that simple virtual calls are inlined even without early
    inlining.  */
-/* { dg-do run } */
+/* { dg-do run { target nonpic } } */
 /* { dg-options "-O3 -fdump-ipa-inline -fno-early-inlining -fno-ipa-cp"  } */
 
 extern "C" void abort (void);
Index: gcc/testsuite/g++.dg/ipa/ivinline-2.C
===================================================================
--- gcc/testsuite/g++.dg/ipa/ivinline-2.C	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/g++.dg/ipa/ivinline-2.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,6 +1,6 @@
 /* Verify that simple virtual calls using this pointer are inlined
    even without early inlining..  */
-/* { dg-do run } */
+/* { dg-do run { target nonpic } } */
 /* { dg-options "-O3 -fdump-ipa-inline -fno-early-inlining -fno-ipa-cp"  } */
 
 extern "C" void abort (void);
Index: gcc/testsuite/g++.dg/ipa/ivinline-3.C
===================================================================
--- gcc/testsuite/g++.dg/ipa/ivinline-3.C	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/g++.dg/ipa/ivinline-3.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,6 +1,6 @@
 /* Verify that simple virtual calls on an object refrence are inlined
    even without early inlining.  */
-/* { dg-do run } */
+/* { dg-do run { target nonpic } } */
 /* { dg-options "-O3 -fdump-ipa-inline -fno-early-inlining -fno-ipa-cp"  } */
 
 extern "C" void abort (void);
Index: gcc/testsuite/g++.dg/ipa/ivinline-4.C
===================================================================
--- gcc/testsuite/g++.dg/ipa/ivinline-4.C	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/g++.dg/ipa/ivinline-4.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,7 +1,7 @@
 /* Verify that simple virtual calls are inlined even without early
    inlining, even when a typecast to an ancestor is involved along the
    way.  */
-/* { dg-do run } */
+/* { dg-do run { target nonpic } } */
 /* { dg-options "-O3 -fdump-ipa-inline -fno-early-inlining -fno-ipa-cp"  } */
 
 extern "C" void abort (void);
Index: gcc/testsuite/g++.dg/ipa/ivinline-5.C
===================================================================
--- gcc/testsuite/g++.dg/ipa/ivinline-5.C	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/g++.dg/ipa/ivinline-5.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,6 +1,6 @@
 /* Verify that virtual call inlining does not pick a wrong method when
    there is a user defined ancestor in an object.  */
-/* { dg-do run } */
+/* { dg-do run { target nonpic } } */
 /* { dg-options "-O3 -fdump-ipa-inline -fno-early-inlining -fno-ipa-cp"  } */
 
 extern "C" void abort (void);
Index: gcc/testsuite/g++.dg/ipa/ivinline-7.C
===================================================================
--- gcc/testsuite/g++.dg/ipa/ivinline-7.C	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/g++.dg/ipa/ivinline-7.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,7 +1,7 @@
 /* Verify that simple virtual calls are inlined even without early
    inlining, even when a typecast to an ancestor is involved along the
    way and that ancestor is not the first one with virtual functions.  */
-/* { dg-do run } */
+/* { dg-do run { target nonpic } } */
 /* { dg-options "-O3 -fdump-ipa-inline -fno-early-inlining -fno-ipa-cp"  } */
 
 extern "C" void abort (void);
Index: gcc/testsuite/g++.dg/ipa/ivinline-8.C
===================================================================
--- gcc/testsuite/g++.dg/ipa/ivinline-8.C	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/g++.dg/ipa/ivinline-8.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,6 +1,6 @@
 /* Verify that virtual calls are inlined (ithout early inlining) even
    when their caller is itself indirectly inlined.  */
-/* { dg-do run } */
+/* { dg-do run { target nonpic } } */
 /* { dg-options "-O3 -fdump-ipa-inline -fno-early-inlining -fno-ipa-cp"  } */
 
 extern "C" void abort (void);
Index: gcc/testsuite/g++.dg/ipa/ivinline-9.C
===================================================================
--- gcc/testsuite/g++.dg/ipa/ivinline-9.C	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/g++.dg/ipa/ivinline-9.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -2,7 +2,7 @@
    inlining, even when a typecast to an ancestor is involved along the
    way and that ancestor itself has an ancestor wich is not the
    primary base class.  */
-/* { dg-do run } */
+/* { dg-do run { target nonpic } } */
 /* { dg-options "-O3 -fdump-ipa-inline -fno-early-inlining -fno-ipa-cp"  } */
 
 extern "C" void abort (void);
Index: gcc/testsuite/g++.dg/ipa/devirt-c-7.C
===================================================================
--- gcc/testsuite/g++.dg/ipa/devirt-c-7.C	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/g++.dg/ipa/devirt-c-7.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,6 +1,7 @@
 /* Verify that ipa-cp will not get confused by placement new constructing an
    object within another one when looking for dynamic type change .  */
 /* { dg-do run } */
+/* { dg-require-effective-target nonpic } */
 /* { dg-options "-O3 -Wno-attributes"  } */
 
 extern "C" void abort (void);
Index: gcc/testsuite/g++.dg/template/dependent-args1.C
===================================================================
--- gcc/testsuite/g++.dg/template/dependent-args1.C	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/g++.dg/template/dependent-args1.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -9,3 +9,5 @@
 template<int N, void (A::*)() = &A::foo<N> > struct B {};
 
 B<int> b; // { dg-error "type/value mismatch|expected a constant|invalid type" }
+
+// { dg-prune-output "could not convert" }
Index: gcc/testsuite/g++.dg/template/sfinae-dr657.C
===================================================================
--- gcc/testsuite/g++.dg/template/sfinae-dr657.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/template/sfinae-dr657.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,22 @@
+// DR 657
+// Test that a return or parameter type with abstract class type causes a
+// deduction failure.
+
+struct A
+{
+  A();
+  A(int);
+  virtual void f() = 0;
+};
+
+template<class T> T declval();
+template<class T> int declval(...);
+
+template<class T> void arg(T);
+template<class T> int arg(...);
+
+int main()
+{
+  int i = declval<A>();
+  i = arg<A>(1);
+}
Index: gcc/testsuite/g++.dg/template/overload13.C
===================================================================
--- gcc/testsuite/g++.dg/template/overload13.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/template/overload13.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,16 @@
+// PR c++/56998
+
+class Secret;
+char IsNullLiteralHelper(Secret* p);
+char (&IsNullLiteralHelper(...))[2];
+
+struct C
+{
+  int val() { return 42; }
+};
+
+template <typename T>
+unsigned f()
+{
+  return sizeof(IsNullLiteralHelper(C().val()));
+}
Index: gcc/testsuite/g++.dg/template/crash112.C
===================================================================
--- gcc/testsuite/g++.dg/template/crash112.C	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/g++.dg/template/crash112.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -5,7 +5,7 @@
   template<typename> void foo() {}
 };
 
-template<void (A::*)()> struct B {}; // { dg-error "declaration" }
+template<void (A::*)()> struct B {};
 
 template<int> struct C
 {
@@ -13,3 +13,5 @@
 };
 
 C<0> c;
+
+// { dg-prune-output "could not convert" }
Index: gcc/testsuite/g++.dg/template/crash84.C
===================================================================
--- gcc/testsuite/g++.dg/template/crash84.C	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/g++.dg/template/crash84.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -5,7 +5,7 @@
 template<typename T> struct a
 {
     template <template <typename> class C, typename X, C<X>* =0>
-    struct b // { dg-error "class C' is not a template|is not a valid type" }
+    struct b
     {
     };
 };
@@ -13,7 +13,8 @@
 void
 foo ()
 {
-    a<int> v; // { dg-message "required from here" }
+  a<int> a1; // OK
+  a<int>::b<a,int> b1; // { dg-error "template argument" }
 }
 
-
+// { dg-prune-output "invalid type in declaration" }
Index: gcc/testsuite/g++.dg/template/arrow2.C
===================================================================
--- gcc/testsuite/g++.dg/template/arrow2.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/template/arrow2.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,12 @@
+// PR c++/56639
+
+struct A {
+  int i;
+  static A* f();
+};
+
+struct B {
+  void g() {
+    int (A::f()->i);
+  }
+};
Index: gcc/testsuite/g++.dg/template/arrow4.C
===================================================================
--- gcc/testsuite/g++.dg/template/arrow4.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/template/arrow4.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,19 @@
+// PR c++/56895
+// { dg-do compile }
+
+void fn (int *);
+void fn (int);
+extern struct A { bool foo (); A bar (); } *a;
+
+template <int>
+void
+baz ()
+{
+  fn (a->bar().foo() ? 1 : 0);
+}
+
+void
+test ()
+{
+  baz<0> ();
+}
Index: gcc/testsuite/g++.dg/template/array26.C
===================================================================
--- gcc/testsuite/g++.dg/template/array26.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/template/array26.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,40 @@
+// PR c++/57325
+
+class valarray { int _M_data; };
+template < typename > struct SimpleJet { valarray partials; };
+
+template < class C > struct scoped_ptr_impl
+{
+    scoped_ptr_impl (C *):data_ () { }
+    struct Data
+    {
+        C ptr;
+    };
+    Data data_;
+};
+
+template < class, class = int >struct scoped_ptr;
+template < class C, class D > struct scoped_ptr <C[], D >
+{
+    scoped_ptr ():impl_ (0) { }
+    scoped_ptr_impl < C > impl_;
+};
+
+template < typename JetsT > void
+TestJets (JetsT *)
+{
+    typedef typename JetsT::JetType JetT;
+    scoped_ptr < JetT[] > a;
+}
+
+template < typename T > struct SimpleJets
+{
+    typedef SimpleJet < T > JetType;
+    scoped_ptr < SimpleJet < T >[] > vars_;
+};
+
+void fn ()
+{
+    SimpleJets < double >b;
+    TestJets (&b);
+}
Index: gcc/testsuite/g++.dg/template/crash106.C
===================================================================
--- gcc/testsuite/g++.dg/template/crash106.C	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/g++.dg/template/crash106.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -10,3 +10,5 @@
 template<T N = 0, void (A::*)() = &A::foo<N> > struct B {}; // { dg-error "type|declared" }
 
 B<> b; // { dg-error "type|declaration" }
+
+// { dg-prune-output "could not convert" }
Index: gcc/testsuite/g++.dg/template/arrow3.C
===================================================================
--- gcc/testsuite/g++.dg/template/arrow3.C	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/g++.dg/template/arrow3.C	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,38 @@
+// PR c++/56895
+// { dg-do compile }
+
+extern struct A { bool foo (); A bar (); } *a;
+
+template <int>
+int
+baz1 ()
+{
+  return 2 << (a->bar().foo() ? 1 : 0);
+}
+
+template <int>
+int
+baz2 ()
+{
+  return 2 >> (a->bar().foo() ? 1 : 0);
+}
+
+template <int>
+int
+baz3 ()
+{
+  return 10 / (a->bar().foo() ? 1 : 2);
+}
+
+template <int>
+int
+baz4 ()
+{
+  return 10 % (a->bar().foo() ? 1 : 0);
+}
+
+int
+test ()
+{
+  return baz1<0> () + baz2<0> () + baz3<0> () + baz4<0> ();
+}
Index: gcc/testsuite/ChangeLog-2012
===================================================================
--- gcc/testsuite/ChangeLog-2012	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/testsuite/ChangeLog-2012	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1396,12 +1396,12 @@
 	* gcc.target/powerpc/ppc-pow.c: Allow dot symbols in branch.
 	* gcc.target/powerpc/tfmode_off.c: Skip on AIX.
 
-2012-11-07  Manuel LÁpez-IbÁÁez  <manu@gcc.gnu.org>
+2012-11-07  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR c/53063
 	* gcc.dg/warn-nsstring.c: Use -Wformat explicitly.
 
-2012-11-07  Manuel LÁpez-IbÁÁez  <manu@gcc.gnu.org>
+2012-11-07  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR c/51294
 	* c-c++-common/pr51294.c: New.
@@ -1782,7 +1782,7 @@
 	PR middle-end/55116
 	* gcc.target/i386/pr55116.c: New file.
 
-2012-10-29  Manuel LÁpez-IbÁÁez  <manu@gcc.gnu.org>
+2012-10-29  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR c/53066
 	* gcc.dg/Wshadow-4.c: New.
@@ -2211,7 +2211,7 @@
 
 	* gcc.dg/webizer.c (main): Add missing exit call.
 
-2012-10-21  Thomas KÁnig  <tkoenig@gcc.gnu.org>
+2012-10-21  Thomas König  <tkoenig@gcc.gnu.org>
 
 	PR fortran/54465
 	* gfortran.dg/wextra_1.f:  New test.
@@ -2294,7 +2294,7 @@
 	* gcc.dg/tree-ssa/ldist-17.c: Block cunroll to make testcase still
 	valid.
 
-2012-10-16  Manuel LÁpez-IbÁÁez  <manu@gcc.gnu.org>
+2012-10-16  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR c/53063
 	PR c/40989
@@ -3100,7 +3100,7 @@
 
 	* go.test/go-test.exp: Update for latest version of Go testsuite.
 
-2012-09-29  Thomas KÁnig  <tkoenig@gcc.gnu.org>
+2012-09-29  Thomas König  <tkoenig@gcc.gnu.org>
 
 	PR fortran/52724
 	* gfortran.dg/internal_readwrite_3.f90:  New test.
@@ -3605,7 +3605,7 @@
 	* g++.dg/torture/builtin-location.C: New testcase.
 
 2012-09-13  Paolo Carlini  <paolo.carlini@oracle.com>
-	    Manuel LÁpez-IbÁÁez  <manu@gcc.gnu.org>
+	    Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR c++/53210
 	* g++.dg/warn/Wuninitialized-self.C: New.
@@ -4466,7 +4466,7 @@
 	PR fortran/54301
 	* gfortran.dg/warn_target_lifetime_1.f90: New.
 
-2012-08-19  Thomas KÁnig  <tkoenig@gcc.gnu.org>
+2012-08-19  Thomas König  <tkoenig@gcc.gnu.org>
 
 	PR fortran/54298
 	* gfortran.dg/real_compare_1.f90: New test case.
@@ -4921,7 +4921,7 @@
 	* gcc.dg/tree-ssa/pta-ptrarith-1.c: Likewise.
 	* gcc.dg/tree-ssa/pta-ptrarith-2.c: Likewise.
 
-2012-08-01  Thomas KÁnig  <tkoenig@gcc.gnu.org>
+2012-08-01  Thomas König  <tkoenig@gcc.gnu.org>
 
 	PR fortran/54033
 	* gfortran.dg/include_6.f90:  New test case.
@@ -5394,7 +5394,7 @@
 	* g++.dg/parse/access8.C: Adjust.
 	* g++.dg/template/sfinae6_neg.C: Adjust.
 
-2012-07-16  Thomas KÁnig  <tkoenig@gcc.gnu.org>
+2012-07-16  Thomas König  <tkoenig@gcc.gnu.org>
 
 	PR fortran/53824
 	* gfortran.dg/coarray_allocate_1.f90:  New test.
@@ -6425,12 +6425,12 @@
 	PR middle-end/53535
 	* gcc.dg/pr46647.c: xfail for cris-* and crisv32-*.
 
-2012-06-07  Thomas KÁnig  <tkoenig@gcc.gnu.org>
+2012-06-07  Thomas König  <tkoenig@gcc.gnu.org>
 
 	PR fortran/52861
 	* gfortran.dg/string_assign_2.f90:  New test case.
 
-2012-06-07  Thomas KÁnig  <tkoenig@gcc.gnu.org>
+2012-06-07  Thomas König  <tkoenig@gcc.gnu.org>
 
 	PR fortran/52861
 	* gfortran.dg/string_assign_1.f90:  New test case.
@@ -6446,7 +6446,7 @@
 	* gfortran.dg/gomp/appendix-a/a.35.6.f90: Likewise.
 	* c-c++-common/gomp/pr53580.c: New test.
 
-2012-06-07  Fabien ChÁne  <fabien@gcc.gnu.org>
+2012-06-07  Fabien Chêne  <fabien@gcc.gnu.org>
 
 	PR c++/51214
 	* g++.dg/cpp0x/forw_enum11.C: New.
@@ -6474,7 +6474,7 @@
 	* gfortran.dg/vect/pr32380.f: Adjust number of expected vectorized
 	loops.
 
-2012-06-06  Fabien ChÁne  <fabien@gcc.gnu.org>
+2012-06-06  Fabien Chêne  <fabien@gcc.gnu.org>
 
 	PR c++/52841
 	* g++.dg/cpp0x/pr52841.C: New testcase.
@@ -7262,7 +7262,7 @@
 	* gnat.dg/discr36.ad[sb]: New test.
 	* gnat.dg/discr36_pkg.ad[sb]: New helper.
 
-2012-05-05  Manuel LÁpez-IbÁÁez  <manu@gcc.gnu.org>
+2012-05-05  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR c/43772
 	* c-c++-common/pr43772.c: New.
@@ -7324,7 +7324,7 @@
 	* gcc.target/ia64/pr48496.c: New test.
 	* gcc.target/ia64/pr52657.c: Likewise.
 
-2012-05-04  Manuel LÁpez-IbÁÁez  <manu@gcc.gnu.org>
+2012-05-04  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR c/51712
 	* c-c++-common/pr51712.c: New.
@@ -7567,7 +7567,7 @@
 
 	* gnat.dg/warn6.ad[sb]: New test.
 
-2012-04-29  Manuel LÁpez-IbÁÁez  <manu@gcc.gnu.org>
+2012-04-29  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR 53149
 	* gcc.dg/20011021-1.c: Adjust testcase.
@@ -7675,7 +7675,7 @@
 	PR c/52880
 	* gcc.dg/pr52880.c: New test.
 
-2012-04-25  Manuel LÁpez-IbÁÁez  <manu@gcc.gnu.org>
+2012-04-25  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	* gcc.dg/m-un-2.c: Update.
 	* gcc.dg/20011021-1.c: Update.
@@ -7758,7 +7758,7 @@
 	PR fortran/53051
 	* gfortran.dg/read_float_4.f90: New.
 
-2012-04-21  Manuel LÁpez-IbÁÁez  <manu@gcc.gnu.org>
+2012-04-21  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR 35441
 	* c-c++-common/pr35441.C: New.
@@ -7793,7 +7793,7 @@
 
 	* gcc.dg/pr52283.c: New test.
 
-2012-04-19  Manuel LÁpez-IbÁÁez  <manu@gcc.gnu.org>
+2012-04-19  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	* gcc.dg/pr37985.c: New test.
 
@@ -8041,12 +8041,12 @@
 	* gcc/target/sh/pr50751-6.c: New.
 	* gcc/target/sh/pr50751-7.c: New.
 
-2012-04-11  Fabien ChÁne  <fabien@gcc.gnu.org>
+2012-04-11  Fabien Chêne  <fabien@gcc.gnu.org>
 
 	PR c++/52465
 	* g++.dg/lookup/using52.C: New.
 
-2012-04-11  Manuel LÁpez-IbÁÁez  <manu@gcc.gnu.org>
+2012-04-11  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	* lib/prune.exp (TEST_ALWAYS_FLAGS): If undefined, set to empty.
 
@@ -8142,7 +8142,7 @@
 	* gcc.dg/builtin-bswap-5.c: Likewise.
 	* gcc.target/i386/builtin-bswap-4.c: New test.
 
-2012-04-11  Manuel LÁpez-IbÁÁez  <manu@gcc.gnu.org>
+2012-04-11  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR 24985
 	* lib/prune.exp: Add -fno-diagnostics-show-caret.
@@ -8251,7 +8251,7 @@
 	PR fortran/52751
 	* gfortran.dg/public_private_module_2.f90: New.
 
-2012-04-08  Manuel LÁpez-IbÁÁez  <manu@gcc.gnu.org>
+2012-04-08  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	* g++.dg/warn/Wstrict-aliasing-float-ref-int-obj.C: Add labels to
 	directives.
@@ -9486,7 +9486,7 @@
 	PR c++/52248
 	* g++.dg/ext/timevar1.C: New.
 
-2012-02-16  Fabien ChÁne  <fabien@gcc.gnu.org>
+2012-02-16  Fabien Chêne  <fabien@gcc.gnu.org>
 
 	PR c++/52126
 	* g++.dg/template/using21.C: New.
@@ -9821,7 +9821,7 @@
 	PR fortran/51514
 	* gfortran.dg/class_to_type_2.f90: New.
 
-2012-02-06  Thomas KÁnig  <tkoenig@gcc.gnu.org>
+2012-02-06  Thomas König  <tkoenig@gcc.gnu.org>
 
 	PR fortran/32373
 	* gfortran.dg/vect/vect-8.f90:  Use vect_double effective target.
@@ -9847,12 +9847,12 @@
 	* gcc.dg/pr48374.c: Actually add the test I forgot
 	in the 2012-01-25 commit.
 
-2012-02-05  Thomas KÁnig  <tkoenig@gcc.gnu.org>
+2012-02-05  Thomas König  <tkoenig@gcc.gnu.org>
 
 	PR fortran/32373
 	* gfortran.dg/vect/vect-8.f90:  New test case.
 
-2012-02-05  Thomas KÁnig  <tkoenig@gcc.gnu.org>
+2012-02-05  Thomas König  <tkoenig@gcc.gnu.org>
 
 	PR fortran/48847
 	* gfortran.dg/warn_unused_dummy_argument_3.f90:  New test.
@@ -9944,7 +9944,7 @@
 	PR tree-optimization/52073
 	* gcc.c-torture/compile/pr52073.c: New test.
 
-2012-02-01  Thomas KÁnig  <tkoenig@gcc.gnu.org>
+2012-02-01  Thomas König  <tkoenig@gcc.gnu.org>
 
 	PR fortran/51958
 	* gfortran.dg/function_optimize_10.f90:  New test.
@@ -11127,7 +11127,7 @@
 
 	* g++.dg/cpp0x/constexpr-delegating2.C: Add missing piece.
 
-2012-01-01  Fabien ChÁne  <fabien@gcc.gnu.org>
+2012-01-01  Fabien Chêne  <fabien@gcc.gnu.org>
 
 	* g++.old-deja/g++.brendan/crash25.C: Adjust.
 	* g++.old-deja/g++.brendan/crash56.C: Likewise.
Index: gcc/testsuite/c-c++-common/gomp/pr56883.c
===================================================================
--- gcc/testsuite/c-c++-common/gomp/pr56883.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/c-c++-common/gomp/pr56883.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,57 @@
+/* PR middle-end/56883 */
+/* { dg-do compile }
+/* { dg-options "-O2 -fopenmp" } */
+
+void
+f1 (int ***x)
+{
+  int i, j, k;
+#pragma omp parallel for
+  for (i = 0; i < 10; ++i)
+    {
+    #pragma omp parallel shared(j)
+      #pragma omp for
+	for (j = 0; j < 10; ++j)
+	  {
+	  #pragma omp parallel for
+	      for (k = 0; k < 10; ++k)
+		x[i][j][k] = k;
+	  }
+    }
+}
+
+void
+f2 (int ***x)
+{
+  int i, j, k;
+#pragma omp parallel for schedule(static,1)
+  for (i = 0; i < 10; ++i)
+    {
+    #pragma omp parallel shared(j)
+      #pragma omp for schedule(static,1)
+	for (j = 0; j < 10; ++j)
+	  {
+	  #pragma omp parallel for schedule(static,1)
+	      for (k = 0; k < 10; ++k)
+		x[i][j][k] = k;
+	  }
+    }
+}
+
+void
+f3 (int ***x)
+{
+  int i, j, k;
+#pragma omp parallel for schedule(runtime)
+  for (i = 0; i < 10; ++i)
+    {
+    #pragma omp parallel shared(j)
+      #pragma omp for schedule(runtime)
+	for (j = 0; j < 10; ++j)
+	  {
+	  #pragma omp parallel for schedule(runtime)
+	      for (k = 0; k < 10; ++k)
+		x[i][j][k] = k;
+	  }
+    }
+}
Index: gcc/testsuite/c-c++-common/pr56607.c
===================================================================
--- gcc/testsuite/c-c++-common/pr56607.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/c-c++-common/pr56607.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,29 @@
+/* PR c++/56607 */
+/* { dg-do compile { target { { lp64 || ilp32 } || llp64 } } } */
+/* { dg-options "-O2 -Wdiv-by-zero" } */
+
+int
+f1 (void)
+{
+  return 1 / (sizeof (char) - 1);	/* { dg-warning "division by zero" } */
+}
+
+int
+f2 (void)
+{
+  const int x = sizeof (char) - 1;
+  return 1 / x;				/* { dg-warning "division by zero" "" { target c++ } } */
+}
+
+int
+f3 (void)
+{
+  return 1 / (sizeof (int) / 3 - 1);	/* { dg-warning "division by zero" } */
+}
+
+int
+f4 (void)
+{
+  const int x = sizeof (int) / 3 - 1;
+  return 1 / x;				/* { dg-warning "division by zero" "" { target c++ } } */
+}
Index: gcc/testsuite/c-c++-common/vector-scalar-2.c
===================================================================
--- gcc/testsuite/c-c++-common/vector-scalar-2.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/c-c++-common/vector-scalar-2.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,14 @@
+/* { dg-do compile } */
+/* { dg-options "-fdump-tree-gimple" } */
+
+typedef int veci __attribute__ ((vector_size (4 * sizeof (int))));
+
+int c;
+
+void f (veci *a)
+{
+  *a = *a + ++c;
+}
+
+/* { dg-final { scan-tree-dump-times " \\\+ 1" 1 "gimple" } } */
+/* { dg-final { cleanup-tree-dump "gimple" } } */

Property changes on: gcc/testsuite/c-c++-common/vector-scalar-2.c
___________________________________________________________________
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision URL
\ No newline at end of property
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Index: gcc/testsuite/c-c++-common/Wsequence-point-1.c
===================================================================
--- gcc/testsuite/c-c++-common/Wsequence-point-1.c	(.../tags/gcc_4_8_0_release)	(revision 0)
+++ gcc/testsuite/c-c++-common/Wsequence-point-1.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -0,0 +1,17 @@
+/* PR c++/57274 */
+/* { dg-do compile } */
+/* { dg-options "-Wsequence-point" } */
+
+void foo (int, int);
+
+void
+bar (int *x)
+{
+  foo (*x++, sizeof (*x));	/* { dg-bogus "may be undefined" } */
+}
+
+void
+baz (int *x)
+{
+  foo (*x, sizeof (*x++) + sizeof (*x++));	/* { dg-bogus "may be undefined" } */
+}
Index: gcc/cp/typeck.c
===================================================================
--- gcc/cp/typeck.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/cp/typeck.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -833,7 +833,10 @@
 
 	rval = build_function_type (valtype, parms);
 	gcc_assert (type_memfn_quals (t1) == type_memfn_quals (t2));
-	rval = apply_memfn_quals (rval, type_memfn_quals (t1));
+	gcc_assert (type_memfn_rqual (t1) == type_memfn_rqual (t2));
+	rval = apply_memfn_quals (rval,
+				  type_memfn_quals (t1),
+				  type_memfn_rqual (t1));
 	raises = merge_exception_specifiers (TYPE_RAISES_EXCEPTIONS (t1),
 					     TYPE_RAISES_EXCEPTIONS (t2),
 					     NULL_TREE);
@@ -849,6 +852,7 @@
 	tree raises = merge_exception_specifiers (TYPE_RAISES_EXCEPTIONS (t1),
 						  TYPE_RAISES_EXCEPTIONS (t2),
 						  NULL_TREE);
+	cp_ref_qualifier rqual = type_memfn_rqual (t1);
 	tree t3;
 
 	/* If this was a member function type, get back to the
@@ -862,6 +866,7 @@
 	t3 = build_method_type_directly (basetype, TREE_TYPE (t3),
 					 TYPE_ARG_TYPES (t3));
 	t1 = build_exception_variant (t3, raises);
+	t1 = build_ref_qualified_type (t1, rqual);
 	break;
       }
 
@@ -1186,6 +1191,12 @@
   if (TREE_CODE (t1) == FUNCTION_TYPE
       && type_memfn_quals (t1) != type_memfn_quals (t2))
     return false;
+  /* Need to check this before TYPE_MAIN_VARIANT.
+     FIXME function qualifiers should really change the main variant.  */
+  if ((TREE_CODE (t1) == FUNCTION_TYPE
+       || TREE_CODE (t1) == METHOD_TYPE)
+      && type_memfn_rqual (t1) != type_memfn_rqual (t2))
+    return false;
   if (TYPE_FOR_JAVA (t1) != TYPE_FOR_JAVA (t2))
     return false;
 
@@ -1718,15 +1729,19 @@
        
 	   When the alignment-specifier is of the form
 	   alignas(type-id ), it shall have the same effect as
-	   alignas( alignof(type-id )).  */
+	   alignas(alignof(type-id )).  */
 
     return cxx_sizeof_or_alignof_type (e, ALIGNOF_EXPR, false);
   
-
   /* If we reach this point, it means the alignas expression if of
      the form "alignas(assignment-expression)", so we should follow
      what is stated by [dcl.align]/2.  */
 
+  if (value_dependent_expression_p (e))
+    /* Leave value-dependent expression alone for now. */
+    return e;
+
+  e = fold_non_dependent_expr (e);
   e = mark_rvalue_use (e);
 
   /* [dcl.align]/2 says:
@@ -1734,18 +1749,7 @@
          the assignment-expression shall be an integral constant
 	 expression.  */
   
-  e = fold_non_dependent_expr (e);
-  if (value_dependent_expression_p (e))
-    /* Leave value-dependent expression alone for now. */;
-  else
-    e = cxx_constant_value (e);
-
-  if (e == NULL_TREE
-      || e == error_mark_node
-      || TREE_CODE (e) != INTEGER_CST)
-    return error_mark_node;
-
-  return e;
+  return cxx_constant_value (e);
 }
 
 
@@ -2670,6 +2674,23 @@
 	      return error_mark_node;
 	    }
 
+	  if (TREE_CODE (scope) == ENUMERAL_TYPE)
+	    {
+	      /* Looking up a member enumerator (c++/56793).  */
+	      if (!TYPE_CLASS_SCOPE_P (scope)
+		  || !DERIVED_FROM_P (TYPE_CONTEXT (scope), object_type))
+		{
+		  if (complain & tf_error)
+		    error ("%<%D::%D%> is not a member of %qT",
+			   scope, name, object_type);
+		  return error_mark_node;
+		}
+	      tree val = lookup_enumerator (scope, name);
+	      if (TREE_SIDE_EFFECTS (object))
+		val = build2 (COMPOUND_EXPR, TREE_TYPE (val), object, val);
+	      return val;
+	    }
+
 	  gcc_assert (CLASS_TYPE_P (scope));
 	  gcc_assert (TREE_CODE (name) == IDENTIFIER_NODE
 		      || TREE_CODE (name) == BIT_NOT_EXPR);
@@ -3939,6 +3960,7 @@
             return error_mark_node;
           case stv_firstarg:
             {
+	      op0 = save_expr (op0);
               op0 = convert (TREE_TYPE (type1), op0);
               op0 = build_vector_from_val (type1, op0);
               type0 = TREE_TYPE (op0);
@@ -3948,6 +3970,7 @@
             }
           case stv_secondarg:
             {
+	      op1 = save_expr (op1);
               op1 = convert (TREE_TYPE (type0), op1);
               op1 = build_vector_from_val (type0, op1);
               type1 = TREE_TYPE (op1);
@@ -4014,8 +4037,9 @@
 	      || code1 == COMPLEX_TYPE || code1 == VECTOR_TYPE))
 	{
 	  enum tree_code tcode0 = code0, tcode1 = code1;
+	  tree cop1 = fold_non_dependent_expr_sfinae (op1, tf_none);
 
-	  warn_for_div_by_zero (location, op1);
+	  warn_for_div_by_zero (location, maybe_constant_value (cop1));
 
 	  if (tcode0 == COMPLEX_TYPE || tcode0 == VECTOR_TYPE)
 	    tcode0 = TREE_CODE (TREE_TYPE (TREE_TYPE (op0)));
@@ -4051,8 +4075,12 @@
 
     case TRUNC_MOD_EXPR:
     case FLOOR_MOD_EXPR:
-      warn_for_div_by_zero (location, op1);
+      {
+	tree cop1 = fold_non_dependent_expr_sfinae (op1, tf_none);
 
+	warn_for_div_by_zero (location, maybe_constant_value (cop1));
+      }
+
       if (code0 == VECTOR_TYPE && code1 == VECTOR_TYPE
 	  && TREE_CODE (TREE_TYPE (type0)) == INTEGER_TYPE
 	  && TREE_CODE (TREE_TYPE (type1)) == INTEGER_TYPE)
@@ -4099,7 +4127,8 @@
 	}
       else if (code0 == INTEGER_TYPE && code1 == INTEGER_TYPE)
 	{
-	  tree const_op1 = maybe_constant_value (op1);
+	  tree const_op1 = fold_non_dependent_expr_sfinae (op1, tf_none);
+	  const_op1 = maybe_constant_value (const_op1);
 	  if (TREE_CODE (const_op1) != INTEGER_CST)
 	    const_op1 = op1;
 	  result_type = type0;
@@ -4145,7 +4174,8 @@
 	}
       else if (code0 == INTEGER_TYPE && code1 == INTEGER_TYPE)
 	{
-	  tree const_op1 = maybe_constant_value (op1);
+	  tree const_op1 = fold_non_dependent_expr_sfinae (op1, tf_none);
+	  const_op1 = maybe_constant_value (const_op1);
 	  if (TREE_CODE (const_op1) != INTEGER_CST)
 	    const_op1 = op1;
 	  result_type = type0;
@@ -5109,7 +5139,7 @@
 		       "  Say %<&%T::%D%>",
 		       base, name);
 	}
-      arg = build_offset_ref (base, fn, /*address_p=*/true);
+      arg = build_offset_ref (base, fn, /*address_p=*/true, complain);
     }
 
   /* Uninstantiated types are all functions.  Taking the
@@ -8553,6 +8583,22 @@
   return quals;
 }
 
+/* Returns the function-ref-qualifier for TYPE */
+
+cp_ref_qualifier
+type_memfn_rqual (const_tree type)
+{
+  gcc_assert (TREE_CODE (type) == FUNCTION_TYPE
+              || TREE_CODE (type) == METHOD_TYPE);
+
+  if (!FUNCTION_REF_QUALIFIED (type))
+    return REF_QUAL_NONE;
+  else if (FUNCTION_RVALUE_QUALIFIED (type))
+    return REF_QUAL_RVALUE;
+  else
+    return REF_QUAL_LVALUE;
+}
+
 /* Returns the function-cv-quals for TYPE, which must be a FUNCTION_TYPE or
    METHOD_TYPE.  */
 
@@ -8568,18 +8614,22 @@
 }
 
 /* Returns the FUNCTION_TYPE TYPE with its function-cv-quals changed to
-   MEMFN_QUALS.  */
+   MEMFN_QUALS and its ref-qualifier to RQUAL. */
 
 tree
-apply_memfn_quals (tree type, cp_cv_quals memfn_quals)
+apply_memfn_quals (tree type, cp_cv_quals memfn_quals, cp_ref_qualifier rqual)
 {
   /* Could handle METHOD_TYPE here if necessary.  */
   gcc_assert (TREE_CODE (type) == FUNCTION_TYPE);
-  if (TYPE_QUALS (type) == memfn_quals)
+  if (TYPE_QUALS (type) == memfn_quals
+      && type_memfn_rqual (type) == rqual)
     return type;
+
   /* This should really have a different TYPE_MAIN_VARIANT, but that gets
      complex.  */
-  return build_qualified_type (type, memfn_quals);
+  tree result = build_qualified_type (type, memfn_quals);
+  result = build_exception_variant (result, TYPE_RAISES_EXCEPTIONS (type));
+  return build_ref_qualified_type (result, rqual);
 }
 
 /* Returns nonzero if TYPE is const or volatile.  */
Index: gcc/cp/init.c
===================================================================
--- gcc/cp/init.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/cp/init.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -634,7 +634,12 @@
 	init = build_x_compound_expr_from_list (init, ELK_MEM_INIT,
 						tf_warning_or_error);
       if (TREE_TYPE (init) != type)
-	init = digest_init (type, init, tf_warning_or_error);
+	{
+	  if (BRACE_ENCLOSED_INITIALIZER_P (init)
+	      && CP_AGGREGATE_TYPE_P (type))
+	    init = reshape_init (type, init, tf_warning_or_error);
+	  init = digest_init (type, init, tf_warning_or_error);
+	}
       if (init == error_mark_node)
 	return;
       /* A FIELD_DECL doesn't really have a suitable lifetime, but
@@ -1817,7 +1822,8 @@
    @@ This function should be rewritten and placed in search.c.  */
 
 tree
-build_offset_ref (tree type, tree member, bool address_p)
+build_offset_ref (tree type, tree member, bool address_p,
+		  tsubst_flags_t complain)
 {
   tree decl;
   tree basebinfo = NULL_TREE;
@@ -1841,7 +1847,8 @@
   type = TYPE_MAIN_VARIANT (type);
   if (!COMPLETE_OR_OPEN_TYPE_P (complete_type (type)))
     {
-      error ("incomplete type %qT does not have member %qD", type, member);
+      if (complain & tf_error)
+	error ("incomplete type %qT does not have member %qD", type, member);
       return error_mark_node;
     }
 
@@ -1854,7 +1861,8 @@
 
   if (TREE_CODE (member) == FIELD_DECL && DECL_C_BIT_FIELD (member))
     {
-      error ("invalid pointer to bit-field %qD", member);
+      if (complain & tf_error)
+	error ("invalid pointer to bit-field %qD", member);
       return error_mark_node;
     }
 
@@ -1883,10 +1891,10 @@
 	  if (address_p && DECL_P (t)
 	      && DECL_NONSTATIC_MEMBER_P (t))
 	    perform_or_defer_access_check (TYPE_BINFO (type), t, t,
-					   tf_warning_or_error);
+					   complain);
 	  else
 	    perform_or_defer_access_check (basebinfo, t, t,
-					   tf_warning_or_error);
+					   complain);
 
 	  if (DECL_STATIC_FUNCTION_P (t))
 	    return t;
@@ -1900,7 +1908,7 @@
        check_accessibility_of_qualified_id in case it is
        a pointer to non-static member.  */
     perform_or_defer_access_check (TYPE_BINFO (type), member, member,
-				   tf_warning_or_error);
+				   complain);
 
   if (!address_p)
     {
@@ -1932,15 +1940,17 @@
 	  if (flag_ms_extensions)
 	    {
 	      PTRMEM_OK_P (member) = 1;
-	      return cp_build_addr_expr (member, tf_warning_or_error);
+	      return cp_build_addr_expr (member, complain);
 	    }
-	  error ("invalid use of non-static member function %qD",
-		 TREE_OPERAND (member, 1));
+	  if (complain & tf_error)
+	    error ("invalid use of non-static member function %qD",
+		   TREE_OPERAND (member, 1));
 	  return error_mark_node;
 	}
       else if (TREE_CODE (member) == FIELD_DECL)
 	{
-	  error ("invalid use of non-static data member %qD", member);
+	  if (complain & tf_error)
+	    error ("invalid use of non-static data member %qD", member);
 	  return error_mark_node;
 	}
       return member;
@@ -2920,6 +2930,7 @@
       if (dependent_type_p (type)
 	  || any_type_dependent_arguments_p (*placement)
 	  || (nelts && type_dependent_expression_p (nelts))
+	  || (nelts && *init)
 	  || any_type_dependent_arguments_p (*init))
 	return build_raw_new_expr (*placement, type, nelts, *init,
 				   use_global_new);
Index: gcc/cp/class.c
===================================================================
--- gcc/cp/class.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/cp/class.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1045,6 +1045,12 @@
 	 overloaded if any of them is a static member
 	 function declaration.
 
+	 [over.load] Member function declarations with the same name and
+	 the same parameter-type-list as well as member function template
+	 declarations with the same name, the same parameter-type-list, and
+	 the same template parameter lists cannot be overloaded if any of
+	 them, but not all, have a ref-qualifier.
+
 	 [namespace.udecl] When a using-declaration brings names
 	 from a base class into a derived class scope, member
 	 functions in the derived class override and/or hide member
@@ -1060,11 +1066,13 @@
 	 coming from the using class in overload resolution.  */
       if (! DECL_STATIC_FUNCTION_P (fn)
 	  && ! DECL_STATIC_FUNCTION_P (method)
-	  && TREE_TYPE (TREE_VALUE (parms1)) != error_mark_node
-	  && TREE_TYPE (TREE_VALUE (parms2)) != error_mark_node
-	  && (cp_type_quals (TREE_TYPE (TREE_VALUE (parms1)))
-	      != cp_type_quals (TREE_TYPE (TREE_VALUE (parms2)))))
-	continue;
+	  /* Either both or neither need to be ref-qualified for
+	     differing quals to allow overloading.  */
+	  && (FUNCTION_REF_QUALIFIED (fn_type)
+	      == FUNCTION_REF_QUALIFIED (method_type))
+	  && (type_memfn_quals (fn_type) != type_memfn_quals (method_type)
+	      || type_memfn_rqual (fn_type) != type_memfn_rqual (method_type)))
+	  continue;
 
       /* For templates, the return type and template parameters
 	 must be identical.  */
@@ -2063,6 +2071,8 @@
       base_types = TYPE_ARG_TYPES (TREE_TYPE (base_fndecl));
       if ((cp_type_quals (TREE_TYPE (TREE_VALUE (base_types)))
 	   == cp_type_quals (TREE_TYPE (TREE_VALUE (types))))
+	  && (type_memfn_rqual (TREE_TYPE (fndecl))
+	      == type_memfn_rqual (TREE_TYPE (base_fndecl)))
 	  && compparms (TREE_CHAIN (base_types), TREE_CHAIN (types)))
 	return 1;
     }
Index: gcc/cp/decl.c
===================================================================
--- gcc/cp/decl.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/cp/decl.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1027,6 +1027,7 @@
 	  else
 	    types_match =
 	      compparms (p1, p2)
+	      && type_memfn_rqual (f1) == type_memfn_rqual (f2)
 	      && (TYPE_ATTRIBUTES (TREE_TYPE (newdecl)) == NULL_TREE
 	          || comp_type_attributes (TREE_TYPE (newdecl),
 					   TREE_TYPE (olddecl)) != 0);
@@ -1756,12 +1757,16 @@
 	  warning (OPT_Wredundant_decls, "previous declaration of %q+D", olddecl);
 	}
 
-      if (DECL_DELETED_FN (newdecl))
+      if (!(DECL_TEMPLATE_INSTANTIATION (olddecl)
+	    && DECL_TEMPLATE_SPECIALIZATION (newdecl)))
 	{
-	  error ("deleted definition of %qD", newdecl);
-	  error ("after previous declaration %q+D", olddecl);
+	  if (DECL_DELETED_FN (newdecl))
+	    {
+	      error ("deleted definition of %qD", newdecl);
+	      error ("after previous declaration %q+D", olddecl);
+	    }
+	  DECL_DELETED_FN (newdecl) |= DECL_DELETED_FN (olddecl);
 	}
-      DECL_DELETED_FN (newdecl) |= DECL_DELETED_FN (olddecl);
     }
 
   /* Deal with C++: must preserve virtual function table size.  */
@@ -4760,7 +4765,7 @@
    is valid, i.e., does not have a designated initializer.  */
 
 static bool
-check_array_designated_initializer (const constructor_elt *ce,
+check_array_designated_initializer (constructor_elt *ce,
 				    unsigned HOST_WIDE_INT index)
 {
   /* Designated initializers for array elements are not supported.  */
@@ -4769,10 +4774,22 @@
       /* The parser only allows identifiers as designated
 	 initializers.  */
       if (ce->index == error_mark_node)
-	error ("name used in a GNU-style designated "
-	       "initializer for an array");
-      else if (TREE_CODE (ce->index) == INTEGER_CST)
 	{
+	  error ("name used in a GNU-style designated "
+		 "initializer for an array");
+	  return false;
+	}
+      else if (TREE_CODE (ce->index) == IDENTIFIER_NODE)
+	{
+	  error ("name %qD used in a GNU-style designated "
+		 "initializer for an array", ce->index);
+	  return false;
+	}
+
+      ce->index = cxx_constant_value (ce->index);
+
+      if (TREE_CODE (ce->index) == INTEGER_CST)
+	{
 	  /* A C99 designator is OK if it matches the current index.  */
 	  if (TREE_INT_CST_LOW (ce->index) == index)
 	    return true;
@@ -4780,11 +4797,8 @@
 	    sorry ("non-trivial designated initializers not supported");
 	}
       else
-	{
-	  gcc_assert (TREE_CODE (ce->index) == IDENTIFIER_NODE);
-	  error ("name %qD used in a GNU-style designated "
-		 "initializer for an array", ce->index);
-	}
+	gcc_unreachable ();
+
       return false;
     }
 
@@ -5186,6 +5200,9 @@
       /* Handle designated initializers, as an extension.  */
       if (d->cur->index)
 	{
+	  if (d->cur->index == error_mark_node)
+	    return error_mark_node;
+
 	  if (TREE_CODE (d->cur->index) == INTEGER_CST)
 	    {
 	      if (complain & tf_error)
@@ -6111,7 +6128,8 @@
       tree d_init;
       if (init == NULL_TREE)
 	{
-	  if (DECL_TEMPLATE_INSTANTIATION (decl)
+	  if (DECL_LANG_SPECIFIC (decl)
+	      && DECL_TEMPLATE_INSTANTIATION (decl)
 	      && !DECL_TEMPLATE_INSTANTIATED (decl))
 	    {
 	      /* init is null because we're deferring instantiating the
@@ -6133,6 +6151,7 @@
 						   auto_node);
       if (type == error_mark_node)
 	return;
+      cp_apply_type_quals_to_decl (cp_type_quals (type), decl);
     }
 
   if (!ensure_literal_type_for_constexpr_object (decl))
@@ -7317,6 +7336,7 @@
 	    int virtualp,
 	    enum overload_flags flags,
 	    cp_cv_quals quals,
+	    cp_ref_qualifier rqual,
 	    tree raises,
 	    int check,
 	    int friendp,
@@ -7333,6 +7353,8 @@
   int staticp = ctype && TREE_CODE (type) == FUNCTION_TYPE;
   tree t;
 
+  if (rqual)
+    type = build_ref_qualified_type (type, rqual);
   if (raises)
     type = build_exception_variant (type, raises);
 
@@ -7536,13 +7558,25 @@
     DECL_DECLARED_CONSTEXPR_P (decl) = true;
 
   DECL_EXTERNAL (decl) = 1;
-  if (quals && TREE_CODE (type) == FUNCTION_TYPE)
+  if (TREE_CODE (type) == FUNCTION_TYPE)
     {
-      error (ctype
-             ? G_("static member function %qD cannot have cv-qualifier")
-             : G_("non-member function %qD cannot have cv-qualifier"),
-	     decl);
-      quals = TYPE_UNQUALIFIED;
+      if (quals)
+	{
+	  error (ctype
+		 ? G_("static member function %qD cannot have cv-qualifier")
+		 : G_("non-member function %qD cannot have cv-qualifier"),
+		 decl);
+	  quals = TYPE_UNQUALIFIED;
+	}
+
+      if (rqual)
+	{
+	  error (ctype
+		 ? G_("static member function %qD cannot have ref-qualifier")
+		 : G_("non-member function %qD cannot have ref-qualifier"),
+		 decl);
+	  rqual = REF_QUAL_NONE;
+	}
     }
 
   if (IDENTIFIER_OPNAME_P (DECL_NAME (decl))
@@ -7980,7 +8014,8 @@
   if (TREE_CODE (member_type) == METHOD_TYPE)
     {
       cp_cv_quals quals = type_memfn_quals (member_type);
-      member_type = build_memfn_type (member_type, class_type, quals);
+      cp_ref_qualifier rqual = type_memfn_rqual (member_type);
+      member_type = build_memfn_type (member_type, class_type, quals, rqual);
       return build_ptrmemfunc_type (build_pointer_type (member_type));
     }
   else
@@ -8629,6 +8664,9 @@
   /* virt-specifiers that apply to the declarator, for a declaration of
      a member function.  */
   cp_virt_specifiers virt_specifiers = VIRT_SPEC_UNSPECIFIED;
+  /* ref-qualifier that applies to the declarator, for a declaration of
+     a member function.  */
+  cp_ref_qualifier rqual = REF_QUAL_NONE;
   /* cv-qualifiers that apply to the type specified by the DECLSPECS.  */
   int type_quals;
   tree raises = NULL_TREE;
@@ -9438,6 +9476,8 @@
 	    memfn_quals = declarator->u.function.qualifiers;
 	    /* Pick up virt-specifiers.  */
             virt_specifiers = declarator->u.function.virt_specifiers;
+	    /* And ref-qualifier, too */
+	    rqual = declarator->u.function.ref_qualifier;
 	    /* Pick up the exception specifications.  */
 	    raises = declarator->u.function.exception_specification;
 	    /* If the exception-specification is ill-formed, let's pretend
@@ -9505,12 +9545,13 @@
 		   therefore returns a void type.  */
 
 		/* ISO C++ 12.4/2.  A destructor may not be declared
-		   const or volatile.  A destructor may not be
-		   static.
+		   const or volatile.  A destructor may not be static.
+		   A destructor may not be declared with ref-qualifier.
 
 		   ISO C++ 12.1.  A constructor may not be declared
 		   const or volatile.  A constructor may not be
-		   virtual.  A constructor may not be static.  */
+		   virtual.  A constructor may not be static.
+		   A constructor may not be declared with ref-qualifier. */
 		if (staticp == 2)
 		  error ((flags == DTOR_FLAG)
 			 ? G_("destructor cannot be static member function")
@@ -9523,6 +9564,15 @@
 		    memfn_quals = TYPE_UNQUALIFIED;
 		  }
 
+		if (rqual)
+		  {
+		    maybe_warn_cpp0x (CPP0X_REF_QUALIFIER);
+		    error ((flags == DTOR_FLAG)
+			   ? "destructors may not be ref-qualified"
+			   : "constructors may not be ref-qualified");
+		    rqual = REF_QUAL_NONE;
+		  }
+
 		if (decl_context == FIELD
 		    && !member_function_or_else (ctype,
 						 current_class_type,
@@ -9642,14 +9692,18 @@
 	      memfn_quals |= type_memfn_quals (type);
 	      type = build_memfn_type (type,
 				       declarator->u.pointer.class_type,
-				       memfn_quals);
+				       memfn_quals,
+				       rqual);
 	      if (type == error_mark_node)
 		return error_mark_node;
+
+	      rqual = REF_QUAL_NONE;
 	      memfn_quals = TYPE_UNQUALIFIED;
 	    }
 
 	  if (TREE_CODE (type) == FUNCTION_TYPE
-	      && type_memfn_quals (type) != TYPE_UNQUALIFIED)
+	      && (type_memfn_quals (type) != TYPE_UNQUALIFIED
+		  || type_memfn_rqual (type) != REF_QUAL_NONE))
             error (declarator->kind == cdk_reference
                    ? G_("cannot declare reference to qualified function type %qT")
                    : G_("cannot declare pointer to qualified function type %qT"),
@@ -9996,12 +10050,13 @@
 	 example "f S::*" declares a pointer to a const-qualified
 	 member function of S.  We record the cv-qualification in the
 	 function type.  */
-      if (memfn_quals && TREE_CODE (type) == FUNCTION_TYPE)
+      if ((rqual || memfn_quals) && TREE_CODE (type) == FUNCTION_TYPE)
         {
-          type = apply_memfn_quals (type, memfn_quals);
+          type = apply_memfn_quals (type, memfn_quals, rqual);
           
           /* We have now dealt with these qualifiers.  */
           memfn_quals = TYPE_UNQUALIFIED;
+	  rqual = REF_QUAL_NONE;
         }
 
       if (type_uses_auto (type))
@@ -10131,8 +10186,10 @@
       if (decl_context != TYPENAME)
 	{
 	  /* A cv-qualifier-seq shall only be part of the function type
-	     for a non-static member function. [8.3.5/4 dcl.fct] */
-	  if (type_memfn_quals (type) != TYPE_UNQUALIFIED
+	     for a non-static member function. A ref-qualifier shall only
+	     .... /same as above/ [dcl.fct] */
+	  if ((type_memfn_quals (type) != TYPE_UNQUALIFIED
+	       || type_memfn_rqual (type) != REF_QUAL_NONE)
 	      && (current_class_type == NULL_TREE || staticp) )
 	    {
 	      error (staticp
@@ -10146,6 +10203,7 @@
 	  /* The qualifiers on the function type become the qualifiers on
 	     the non-static member function. */
 	  memfn_quals |= type_memfn_quals (type);
+	  rqual = type_memfn_rqual (type);
 	  type_quals = TYPE_UNQUALIFIED;
 	}
     }
@@ -10203,17 +10261,19 @@
 	      type = void_type_node;
 	    }
 	}
-      else if (memfn_quals)
+      else if (memfn_quals || rqual)
 	{
 	  if (ctype == NULL_TREE
 	      && TREE_CODE (type) == METHOD_TYPE)
 	    ctype = TYPE_METHOD_BASETYPE (type);
 
 	  if (ctype)
-	    type = build_memfn_type (type, ctype, memfn_quals);
-	  /* Core issue #547: need to allow this in template type args.  */
-	  else if (template_type_arg && TREE_CODE (type) == FUNCTION_TYPE)
-	    type = apply_memfn_quals (type, memfn_quals);
+	    type = build_memfn_type (type, ctype, memfn_quals, rqual);
+	  /* Core issue #547: need to allow this in template type args.
+	     Allow it in general in C++11 for alias-declarations.  */
+	  else if ((template_type_arg || cxx_dialect >= cxx11)
+		   && TREE_CODE (type) == FUNCTION_TYPE)
+	    type = apply_memfn_quals (type, memfn_quals, rqual);
 	  else
 	    error ("invalid qualifiers on non-member function type");
 	}
@@ -10282,7 +10342,7 @@
       cp_cv_quals real_quals = memfn_quals;
       if (constexpr_p && sfk != sfk_constructor && sfk != sfk_destructor)
 	real_quals |= TYPE_QUAL_CONST;
-      type = build_memfn_type (type, ctype, real_quals);
+      type = build_memfn_type (type, ctype, real_quals, rqual);
     }
 
   {
@@ -10414,7 +10474,7 @@
 			       ? unqualified_id : dname,
 			       parms,
 			       unqualified_id,
-			       virtualp, flags, memfn_quals, raises,
+			       virtualp, flags, memfn_quals, rqual, raises,
 			       friendp ? -1 : 0, friendp, publicp,
                                inlinep | (2 * constexpr_p),
 			       sfk,
@@ -10635,7 +10695,7 @@
 		   || storage_class != sc_static);
 
 	decl = grokfndecl (ctype, type, original_name, parms, unqualified_id,
-			   virtualp, flags, memfn_quals, raises,
+			   virtualp, flags, memfn_quals, rqual, raises,
 			   1, friendp,
 			   publicp, inlinep | (2 * constexpr_p), sfk,
                            funcdef_flag,
@@ -11892,11 +11952,12 @@
 
 static tree
 xref_tag_1 (enum tag_types tag_code, tree name,
-            tag_scope scope, bool template_header_p)
+            tag_scope orig_scope, bool template_header_p)
 {
   enum tree_code code;
   tree t;
   tree context = NULL_TREE;
+  tag_scope scope;
 
   gcc_assert (TREE_CODE (name) == IDENTIFIER_NODE);
 
@@ -11916,6 +11977,11 @@
       gcc_unreachable ();
     }
 
+  if (orig_scope == ts_lambda)
+    scope = ts_current;
+  else
+    scope = orig_scope;
+
   /* In case of anonymous name, xref_tag is only called to
      make type node and push name.  Name lookup is not required.  */
   if (ANON_AGGRNAME_P (name))
@@ -11989,6 +12055,10 @@
 	{
 	  t = make_class_type (code);
 	  TYPE_CONTEXT (t) = context;
+	  if (orig_scope == ts_lambda)
+	    /* Remember that we're declaring a lambda to avoid bogus errors
+	       in push_template_decl.  */
+	    CLASSTYPE_LAMBDA_EXPR (t) = error_mark_node;
 	  t = pushtag (name, t, scope);
 	}
     }
@@ -14181,8 +14251,9 @@
     return memfntype;
   gcc_assert (TREE_CODE (memfntype) == METHOD_TYPE);
   args = TYPE_ARG_TYPES (memfntype);
+  cp_ref_qualifier rqual = type_memfn_rqual (memfntype);
   fntype = build_function_type (TREE_TYPE (memfntype), TREE_CHAIN (args));
-  fntype = apply_memfn_quals (fntype, type_memfn_quals (memfntype));
+  fntype = apply_memfn_quals (fntype, type_memfn_quals (memfntype), rqual);
   fntype = (cp_build_type_attribute_variant
 	    (fntype, TYPE_ATTRIBUTES (memfntype)));
   fntype = (build_exception_variant
@@ -14198,9 +14269,10 @@
 {
   tree stype = static_fn_type (decl);
   cp_cv_quals quals = type_memfn_quals (stype);
+  cp_ref_qualifier rqual = type_memfn_rqual (stype);
 
-  if (quals != TYPE_UNQUALIFIED)
-    stype = apply_memfn_quals (stype, TYPE_UNQUALIFIED);
+  if (quals != TYPE_UNQUALIFIED || rqual != REF_QUAL_NONE)
+    stype = apply_memfn_quals (stype, TYPE_UNQUALIFIED, REF_QUAL_NONE);
 
   TREE_TYPE (decl) = stype;
 
Index: gcc/cp/error.c
===================================================================
--- gcc/cp/error.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/cp/error.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -78,6 +78,7 @@
 static void dump_expr_list (tree, int);
 static void dump_global_iord (tree);
 static void dump_parameters (tree, int);
+static void dump_ref_qualifier (tree, int);
 static void dump_exception_spec (tree, int);
 static void dump_template_argument (tree, int);
 static void dump_template_argument_list (tree, int);
@@ -832,6 +833,7 @@
 	  pp_cxx_cv_qualifier_seq (cxx_pp, class_of_this_parm (t));
 	else
 	  pp_cxx_cv_qualifier_seq (cxx_pp, t);
+	dump_ref_qualifier (t, flags);
 	dump_exception_spec (TYPE_RAISES_EXCEPTIONS (t), flags);
 	dump_type_suffix (TREE_TYPE (t), flags);
 	break;
@@ -1426,6 +1428,7 @@
 	{
 	  pp_base (cxx_pp)->padding = pp_before;
 	  pp_cxx_cv_qualifier_seq (cxx_pp, class_of_this_parm (fntype));
+	  dump_ref_qualifier (fntype, flags);
 	}
 
       if (flags & TFF_EXCEPTION_SPECIFICATION)
@@ -1507,6 +1510,21 @@
   pp_cxx_right_paren (cxx_pp);
 }
 
+/* Print ref-qualifier of a FUNCTION_TYPE or METHOD_TYPE. FLAGS are ignored. */
+
+static void
+dump_ref_qualifier (tree t, int flags ATTRIBUTE_UNUSED)
+{
+  if (FUNCTION_REF_QUALIFIED (t))
+    {
+      pp_base (cxx_pp)->padding = pp_before;
+      if (FUNCTION_RVALUE_QUALIFIED (t))
+        pp_cxx_ws_string (cxx_pp, "&&");
+      else
+        pp_cxx_ws_string (cxx_pp, "&");
+    }
+}
+
 /* Print an exception specification. T is the exception specification.  */
 
 static void
@@ -3348,7 +3366,7 @@
 	break;
       case CPP0X_AUTO:
 	pedwarn (input_location, 0,
-		 "C++0x auto only available with -std=c++11 or -std=gnu++11");
+		 "C++11 auto only available with -std=c++11 or -std=gnu++11");
 	break;
       case CPP0X_SCOPED_ENUMS:
 	pedwarn (input_location, 0,
@@ -3394,6 +3412,11 @@
 		 "c++11 attributes "
 		 "only available with -std=c++11 or -std=gnu++11");
 	break;
+      case CPP0X_REF_QUALIFIER:
+	pedwarn (input_location, 0,
+		 "ref-qualifiers "
+		 "only available with -std=c++11 or -std=gnu++11");
+	break;
       default:
 	gcc_unreachable ();
       }
Index: gcc/cp/tree.c
===================================================================
--- gcc/cp/tree.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/cp/tree.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -469,6 +469,9 @@
   tree rval = build_aggr_init_expr (type, init);
   tree slot;
 
+  if (!complete_type_or_maybe_complain (type, init, complain))
+    return error_mark_node;
+
   /* Make sure that we're not trying to create an instance of an
      abstract class.  */
   if (abstract_virtuals_error_sfinae (NULL_TREE, type, complain))
@@ -826,10 +829,12 @@
 
       if (TYPE_MAIN_VARIANT (t) != m)
 	{
-	  if (COMPLETE_TYPE_P (t) && !COMPLETE_TYPE_P (m))
+	  if (COMPLETE_TYPE_P (TREE_TYPE (t)) && !COMPLETE_TYPE_P (m))
 	    {
 	      /* m was built before the element type was complete, so we
-		 also need to copy the layout info from t.  */
+		 also need to copy the layout info from t.  We might
+	         end up doing this multiple times if t is an array of
+	         unknown bound.  */
 	      tree size = TYPE_SIZE (t);
 	      tree size_unit = TYPE_SIZE_UNIT (t);
 	      unsigned int align = TYPE_ALIGN (t);
@@ -1078,6 +1083,15 @@
   /* Retrieve (or create) the appropriately qualified variant.  */
   result = build_qualified_type (type, type_quals);
 
+  /* Preserve exception specs and ref-qualifier since build_qualified_type
+     doesn't know about them.  */
+  if (TREE_CODE (result) == FUNCTION_TYPE
+      || TREE_CODE (result) == METHOD_TYPE)
+    {
+      result = build_exception_variant (result, TYPE_RAISES_EXCEPTIONS (type));
+      result = build_ref_qualified_type (result, type_memfn_rqual (type));
+    }
+
   /* If this was a pointer-to-method type, and we just made a copy,
      then we need to unshare the record that holds the cached
      pointer-to-member-function type, because these will be distinct
@@ -1211,7 +1225,9 @@
 	  {
 	    result = build_function_type (type,
 					  arg_types);
-	    result = apply_memfn_quals (result, type_memfn_quals (t));
+	    result = apply_memfn_quals (result,
+					type_memfn_quals (t),
+					type_memfn_rqual (t));
 	  }
 
 	if (TYPE_RAISES_EXCEPTIONS (t))
@@ -1241,8 +1257,13 @@
 		  changed = true;
 	      }
 	    if (changed)
-	      fullname = lookup_template_function (TREE_OPERAND (fullname, 0),
-						   new_args);
+	      {
+		NON_DEFAULT_TEMPLATE_ARGS_COUNT (new_args)
+		  = NON_DEFAULT_TEMPLATE_ARGS_COUNT (args);
+		fullname
+		  = lookup_template_function (TREE_OPERAND (fullname, 0),
+					      new_args);
+	      }
 	    else
 	      ggc_free (new_args);
 	  }
@@ -1375,8 +1396,8 @@
 	    r = copy_node (t);
 	    for (i = 0; i < n; ++i)
 	      TREE_VEC_ELT (r, i) = (*vec)[i];
-	    SET_NON_DEFAULT_TEMPLATE_ARGS_COUNT
-	      (r, GET_NON_DEFAULT_TEMPLATE_ARGS_COUNT (t));
+	    NON_DEFAULT_TEMPLATE_ARGS_COUNT (r)
+	      = NON_DEFAULT_TEMPLATE_ARGS_COUNT (t);
 	  }
 	else
 	  r = t;
@@ -1418,7 +1439,8 @@
       }
 
     case LAMBDA_EXPR:
-      gcc_unreachable ();
+      error ("lambda-expression in a constant expression");
+      return error_mark_node;
 
     default:
       break;
@@ -1698,6 +1720,64 @@
   return t;
 }
 
+/* Like check_qualified_type, but also check ref-qualifier and exception
+   specification.  */
+
+static bool
+cp_check_qualified_type (const_tree cand, const_tree base, int type_quals,
+			 cp_ref_qualifier rqual, tree raises)
+{
+  return (check_qualified_type (cand, base, type_quals)
+	  && comp_except_specs (raises, TYPE_RAISES_EXCEPTIONS (cand),
+				ce_exact)
+	  && type_memfn_rqual (cand) == rqual);
+}
+
+/* Build the FUNCTION_TYPE or METHOD_TYPE with the ref-qualifier RQUAL.  */
+
+tree
+build_ref_qualified_type (tree type, cp_ref_qualifier rqual)
+{
+  tree t;
+
+  if (rqual == type_memfn_rqual (type))
+    return type;
+
+  int type_quals = TYPE_QUALS (type);
+  tree raises = TYPE_RAISES_EXCEPTIONS (type);
+  for (t = TYPE_MAIN_VARIANT (type); t; t = TYPE_NEXT_VARIANT (t))
+    if (cp_check_qualified_type (t, type, type_quals, rqual, raises))
+      return t;
+
+  t = build_variant_type_copy (type);
+  switch (rqual)
+    {
+    case REF_QUAL_RVALUE:
+      FUNCTION_RVALUE_QUALIFIED (t) = 1;
+      /* Intentional fall through */
+    case REF_QUAL_LVALUE:
+      FUNCTION_REF_QUALIFIED (t) = 1;
+      break;
+    default:
+      FUNCTION_REF_QUALIFIED (t) = 0;
+      break;
+    }
+
+  if (TYPE_STRUCTURAL_EQUALITY_P (type))
+    /* Propagate structural equality. */
+    SET_TYPE_STRUCTURAL_EQUALITY (t);
+  else if (TYPE_CANONICAL (type) != type)
+    /* Build the underlying canonical type, since it is different
+       from TYPE. */
+    TYPE_CANONICAL (t) = build_ref_qualified_type (TYPE_CANONICAL (type),
+						   rqual);
+  else
+    /* T is its own canonical type. */
+    TYPE_CANONICAL (t) = t;
+
+  return t;
+}
+
 /* Returns nonzero if X is an expression for a (possibly overloaded)
    function.  If "f" is a function or function template, "f", "c->f",
    "c.f", "C::f", and "f<int>" will all be considered possibly
@@ -1903,9 +1983,9 @@
     return type;
 
   type_quals = TYPE_QUALS (type);
+  cp_ref_qualifier rqual = type_memfn_rqual (type);
   for (v = TYPE_MAIN_VARIANT (type); v; v = TYPE_NEXT_VARIANT (v))
-    if (check_qualified_type (v, type, type_quals)
-	&& comp_except_specs (raises, TYPE_RAISES_EXCEPTIONS (v), ce_exact))
+    if (cp_check_qualified_type (v, type, type_quals, rqual, raises))
       return v;
 
   /* Need to build a new variant.  */
@@ -2024,11 +2104,12 @@
       if (TYPE_PTRMEMFUNC_P (t))
 	goto ptrmem;
       /* Lambda types that don't have mangling scope have no linkage.  We
-	 check CLASSTYPE_LAMBDA_EXPR here rather than LAMBDA_TYPE_P because
+	 check CLASSTYPE_LAMBDA_EXPR for error_mark_node because
 	 when we get here from pushtag none of the lambda information is
 	 set up yet, so we want to assume that the lambda has linkage and
 	 fix it up later if not.  */
       if (CLASSTYPE_LAMBDA_EXPR (t)
+	  && CLASSTYPE_LAMBDA_EXPR (t) != error_mark_node
 	  && LAMBDA_TYPE_EXTRA_SCOPE (t) == NULL_TREE)
 	return t;
       /* Fall through.  */
@@ -2486,7 +2567,7 @@
     t1 = TREE_OPERAND (t1, 0);
   for (code2 = TREE_CODE (t2);
        CONVERT_EXPR_CODE_P (code2)
-	 || code1 == NON_LVALUE_EXPR;
+	 || code2 == NON_LVALUE_EXPR;
        code2 = TREE_CODE (t2))
     t2 = TREE_OPERAND (t2, 0);
 
@@ -3303,8 +3384,12 @@
   new_type = build_type_attribute_variant (type, attributes);
   if (TREE_CODE (new_type) == FUNCTION_TYPE
       || TREE_CODE (new_type) == METHOD_TYPE)
-    new_type = build_exception_variant (new_type,
-					TYPE_RAISES_EXCEPTIONS (type));
+    {
+      new_type = build_exception_variant (new_type,
+					  TYPE_RAISES_EXCEPTIONS (type));
+      new_type = build_ref_qualified_type (new_type,
+					   type_memfn_rqual (type));
+    }
 
   /* Making a new main variant of a class type is broken.  */
   gcc_assert (!CLASS_TYPE_P (type) || new_type == type);
Index: gcc/cp/ChangeLog
===================================================================
--- gcc/cp/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/cp/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,386 @@
+2013-05-20  Jason Merrill  <jason@redhat.com>
+
+	PR c++/57325
+	* tree.c (build_cplus_array_type): Copy layout info if element
+	type is complete.
+
+	PR c++/57317
+	* decl2.c (determine_visibility): Use PRIMARY_TEMPLATE_P to decide
+	whether a template has its own args.
+
+2013-05-16  Jason Merrill  <jason@redhat.com>
+
+	PR c++/57279
+	* decl.c (grokdeclarator): Allow member function qualifiers in
+	TYPENAME context in C++11 mode.
+
+2013-05-16  Dodji Seketeli  <dodji@redhat.com>
+
+	PR c++/56782 - Regression with empty pack expansions
+	* pt.c (use_pack_expansion_extra_args_p): When at least a
+	parameter pack has an empty argument pack, and another parameter
+	pack has no argument pack at all, use the PACK_EXPANSION_EXTRA
+	mechanism.
+
+2013-05-14  Jason Merrill  <jason@redhat.com>
+
+	PR c++/57243
+	* parser.c (cp_parser_range_for): Call complete_type.
+
+	PR c++/57041
+	* pt.c (tsubst_copy_and_build): Don't recur into a designator.
+
+2013-05-13  Jason Merrill  <jason@redhat.com>
+
+	PR c++/56998
+	* semantics.c (potential_constant_expression_1): Make sure the
+	called function is potentially constant.
+
+	PR c++/57041
+	* decl.c (reshape_init_class): Handle error_mark_node.
+
+	PR c++/57254
+	* typeck.c (merge_types): Propagate ref-qualifier
+	in METHOD_TYPE case.
+
+	PR c++/57253
+	* decl.c (grokdeclarator): Apply ref-qualifier
+	in the TYPENAME case.
+
+	PR c++/57252
+	* decl.c (decls_match): Compare ref-qualifiers.
+
+	PR c++/57196
+	* pt.c (convert_template_argument): Use dependent_template_arg_p,
+	not uses_template_parms.
+
+2013-05-10  Jason Merrill  <jason@redhat.com>
+
+	PR c++/57047
+	* semantics.c (cxx_fold_indirect_ref): Fix thinko.
+
+2013-05-09  Jason Merrill  <jason@redhat.com>
+
+	PR c++/57222
+	* pt.c (lookup_template_class_1): Handle getting a template
+	template parameter as D1.
+
+2013-05-08  Jason Merrill  <jason@redhat.com>
+
+	PR c++/57068
+	* decl.c (grokdeclarator): Warn about ref-qualifiers here.
+	* parser.c (cp_parser_ref_qualifier_seq_opt): Not here.
+	* error.c (maybe_warn_cpp0x): s/0x/11/.
+
+2013-05-08  Marc Glisse  <marc.glisse@inria.fr>
+
+	* typeck.c (cp_build_binary_op): Call save_expr before
+	build_vector_from_val.
+
+2013-05-06  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR c++/57183
+	* decl.c (cp_finish_decl): After do_auto_deduction copy the
+	qualifers with cp_apply_type_quals_to_decl.
+
+2013-05-01  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR c++/57092
+	* semantics.c (finish_decltype_type): Handle instantiated template
+	non-type arguments.
+
+2013-04-29  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR c++/56450
+	* semantics.c (finish_decltype_type): Handle COMPOUND_EXPR.
+
+2013-04-25  Jason Merrill  <jason@redhat.com>
+
+	PR c++/57064
+	* call.c (add_function_candidate): Strip ref-to-ptr conversion.
+
+	PR c++/56859
+	* typeck.c (cxx_alignas_expr): Handle value-dependence properly.
+
+	PR c++/50261
+	* init.c (perform_member_init): Call reshape_init.
+
+2013-04-24  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR c++/56970
+	* init.c (build_offset_ref): Add tsubst_flags_t parameter.
+	* semantics.c (finish_qualified_id_expr): Likewise.
+	(finish_id_expression): Update.
+	* typeck.c (cp_build_addr_expr_1): Likewise.
+	* pt.c (tsubst_qualified_id, resolve_nondeduced_context): Likewise.
+	* cp-tree.h: Update declarations.
+
+2013-04-17  Jason Merrill  <jason@redhat.com>
+
+	DR 941
+	* decl.c (duplicate_decls): Don't propagate DECL_DELETED_FN to
+	template specializations.
+
+2013-04-15  Jason Merrill  <jason@redhat.com>
+
+	PR c++/52748
+	* pt.c (tsubst) [DECLTYPE_TYPE]: If ~id is an expression
+	rather than a destructor name, it isn't an unqualified-name.
+	(tsubst_copy_and_build): Pass down decltype_flag to operator
+	handling code, too.
+
+	PR c++/56388
+	* semantics.c (insert_capture_proxy): Just use index 1 in the
+	stmt_list_stack.
+
+2013-04-11  Jason Merrill  <jason@redhat.com>
+
+	PR c++/52748
+	* parser.c (complain_flags): New.
+	(cp_parser_postfix_expression): Use it.
+	(cp_parser_unary_expression): Likewise.
+	(cp_parser_binary_expression): Likewise.
+	(cp_parser_assignment_expression): Likewise.
+	(cp_parser_expression): Likewise.
+	(cp_parser_postfix_open_square_expression): Take decltype_p.
+	(cp_parser_builtin_offsetof): Adjust.
+	(cp_convert_range_for): Pass complain to finish_unary_op_expr.
+	* decl2.c (grok_array_decl): Add decltype_p parm.
+	* cp-tree.h: Adjust prototype.
+	* semantics.c (finish_unary_op_expr): Add complain parm.
+
+2013-04-11  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/56895
+	* call.c (null_ptr_cst_p): Call fold_non_dependent_expr_sfinae before
+	calling maybe_constant_value for C++98.
+
+2013-04-11  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR c++/56913
+	* typeck2.c (build_m_component_ref): Protect error calls with
+	(complain & tf_error).
+
+2013-04-10  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/56895
+	* typeck.c (cp_build_binary_op): Call fold_non_dependent_expr_sfinae
+	first before calling maybe_constant_value for warn_for_div_by_zero
+	or invalid shift count warning purposes.
+
+2013-04-06  Jason Merrill  <jason@redhat.com>
+
+	* parser.c (cp_parser_std_attribute): Treat [[noreturn]] like GNU
+	noreturn attribute.
+
+2013-04-03  Jason Merrill  <jason@redhat.com>
+
+	* cp-tree.h (FUNCTION_OR_METHOD_TYPE_CHECK): Remove.
+	(FUNCTION_REF_QUALIFIED): Use FUNC_OR_METHOD_CHECK instead.
+	(FUNCTION_RVALUE_QUALIFIED): Likewise.
+
+2013-04-03  Jakub Jelinek  <jakub@redhat.com>
+
+	PR debug/56819
+	* tree.c (strip_typedefs): Copy NON_DEFAULT_TEMPLATE_ARGS_COUNT
+	from args to new_args.
+	(strip_typedefs_expr): Copy NON_DEFAULT_TEMPLATE_ARGS_COUNT from t to
+	r instead of doing {S,G}ET_NON_DEFAULT_TEMPLATE_ARGS_COUNT.
+
+2013-04-02  Jason Merrill  <jason@redhat.com>
+
+	PR c++/56821
+	* mangle.c (write_function_type): Mangle ref-qualifier.
+	(write_nested_name): Likewise.
+	(canonicalize_for_substitution): Preserve ref-qualifier.
+	(write_type): Likewise.
+
+2013-04-01  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR c++/55951
+	* decl.c (check_array_designated_initializer): Handle CONST_DECL
+	as ce->index.
+
+2013-04-01  Jason Merrill  <jason@redhat.com>
+
+	PR c++/56772
+	* init.c (build_new): Don't try to process an array initializer
+	at template definition time.
+
+2013-04-01  Jason Merrill  <jason@redhat.com>
+
+	PR c++/56793
+	* typeck.c (finish_class_member_access_expr): Handle enum scope.
+
+2013-04-01  Jason Merrill  <jason@redhat.com>
+
+	PR c++/56794
+	* parser.c (cp_parser_range_for): Don't try to do auto deduction
+	in a template if the type of the range is incomplete.
+
+2013-04-01  Bronek Kozicki <b.kozicki@gmail.com>
+	    Jason Merrill  <jason@redhat.com>
+
+	Implement N2439 (ref-qualifiers for 'this')
+	* cp-tree.h (FUNCTION_REF_QUALIFIED): New.
+	(FUNCTION_RVALUE_QUALIFIED): New.
+	(FUNCTION_OR_METHOD_TYPE_CHECK): New.
+	(cpp0x_warn_str): Add CPP0X_REF_QUALIFIER.
+	(cp_ref_qualifier): New enum.
+	(cp_declarator): Add ref_qualifier.
+	* parser.c (cp_parser_ref_qualifier_seq_opt): New.
+	(cp_parser_direct_declarator): Use it.
+	(make_call_declarator): Adjust.
+	(cp_parser_lambda_declarator_opt): Adjust.
+	* call.c (add_function_candidate): Handle ref-qualifier overload
+	resolution semantics.
+	(standard_conversion): Adjust.
+	* class.c (add_method, same_signature_p): Compare ref-qualifiers.
+	* decl.c (grokdeclarator): Handle ref-qualifiers.
+	(grokfndecl): Check for invalid ref-qualifiers.
+	(static_fn_type, revert_static_member_fn): Adjust.
+	* decl2.c (build_memfn_type): Handle ref-qualifiers.
+	(check_classfn): Check them.
+	(cp_reconstruct_complex_type): Retain them.
+	* error.c (dump_ref_qualifier): New.
+	(dump_type_suffix, dump_function_decl): Use it.
+	(maybe_warn_cpp0x): Handle CPP0X_REF_QUALIFIER.
+	* pt.c (tsubst, tsubst_function_type): Instantiate ref-quals.
+	(unify): Retain them.
+	* tree.c (cp_check_qualified_type): New.
+	(cp_build_qualified_type_real): Keep exception spec and ref-qual.
+	(build_ref_qualified_type): New.
+	(strip_typedefs, build_exception_variant): Keep ref-qualifier.
+	(cp_build_type_attribute_variant): Keep ref-qualifier.
+	* typeck.c (merge_types): Keep ref-qualifier.
+	(structural_comptypes): Compare ref-qualifier.
+	(type_memfn_rqual): New.
+	(apply_memfn_quals): Take ref-qual argument.
+	* typeck2.c (build_m_component_ref): Check ref-qualifier.
+
+2013-03-29  Jason Merrill  <jason@redhat.com>
+
+	PR c++/56774
+	PR c++/35722
+	* pt.c (unify_pack_expansion): Fix indexing.
+
+2013-03-28  Jason Merrill  <jason@redhat.com>
+
+	PR c++/56728
+	* semantics.c (cxx_eval_indirect_ref): Use the folded operand if
+	we still think this might be constant.
+
+2013-03-27  Jason Merrill  <jason@redhat.com>
+
+	PR c++/56749
+	* semantics.c (finish_qualified_id_expr): Return early
+	for enum scope.
+
+2013-03-26  Jason Merrill  <jason@redhat.com>
+
+	PR c++/45282
+	* typeck2.c (build_m_component_ref): Handle prvalue object.
+
+2013-03-25  Jason Merrill  <jason@redhat.com>
+
+	PR c++/56699
+	* semantics.c (maybe_resolve_dummy): Make sure that the enclosing
+	class is derived from the type of the object.
+
+	PR c++/56692
+	* search.c (lookup_base): Handle NULL_TREE.
+
+2013-03-25  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR c++/56722
+	* decl.c (cp_finish_decl): Check DECL_LANG_SPECIFIC before
+	DECL_TEMPLATE_INSTANTIATION.
+
+2013-03-25  Jason Merrill  <jason@redhat.com>
+
+	PR c++/52014
+	* semantics.c (lambda_expr_this_capture): Don't capture 'this' in
+	unevaluated context.
+
+2013-03-23  Jason Merrill  <jason@redhat.com>
+
+	PR c++/54359
+	* parser.c (cp_parser_direct_declarator): Fix late return
+	for out-of-class defn of member function.
+
+2013-03-22  Paolo Carlini  <paolo.carlini@oracle.com>
+
+	PR c++/56582
+	* semantics.c (cxx_eval_array_reference): Check for negative index.
+
+2013-03-22  Jason Merrill  <jason@redhat.com>
+
+	PR c++/56646
+	* parser.c (cp_parser_late_return_type_opt): Save and restore
+	current_class_ptr/ref.
+
+	N3276
+	PR c++/52748
+	* cp-tree.h (tsubst_flags): Add tf_decltype.
+	* call.c (build_cxx_call): Don't build a temporary if it's set.
+	(build_over_call): Make sure it's only passed to build_cxx_call.
+	* parser.c (cp_parser_primary_expression): Add decltype_p parm.
+	(cp_parser_unary_expression): Likewise.
+	(cp_parser_cast_expression): Likewise.
+	(cp_parser_binary_expression): Likewise.
+	(cp_parser_assignment_expression): Likewise.
+	(cp_parser_postfix_expression): Likewise.  Pass tf_decltype.
+	(cp_parser_explicit_instantiation): Add decltype_p.  Force a
+	temporary for a call on the LHS of a comma.
+	(cp_parser_decltype): Pass true to decltype_p parms.
+	* pt.c (tsubst) [DECLTYPE_TYPE]: Pass tf_decltype.
+	(tsubst_copy_and_build): Pass tf_decltype down only for
+	CALL_EXPR and the RHS of COMPOUND_EXPR.
+	* tree.c (build_cplus_new): Call complete_type_or_maybe_complain.
+
+	DR 657
+	* pt.c (tsubst_function_type): Call abstract_virtuals_error_sfinae.
+	(tsubst_arg_types): Likewise.
+
+	PR c++/54277
+	* semantics.c (lambda_capture_field_type): Don't build a
+	magic decltype for pointer types.
+	(lambda_proxy_type): Likewise.
+	(finish_non_static_data_member): Get the quals from
+	the object.
+
+	PR c++/52374
+	* pt.c (tsubst_qualified_id): Use current_nonlambda_class_type.
+
+	PR c++/54764
+	PR c++/55972
+	* name-lookup.h (tag_scope): Add ts_lambda.
+	* semantics.c (begin_lambda_type): Use it.
+	* decl.c (xref_tag_1): Set CLASSTYPE_LAMBDA_EXPR.
+	* pt.c (check_default_tmpl_args): Ignore lambdas.
+	(push_template_decl_real): Handle lambdas.
+	* tree.c (no_linkage_check): Adjust lambda check.
+
+	PR c++/56039
+	* tree.c (strip_typedefs_expr): Complain about lambda, don't abort.
+
+	PR c++/56447
+	PR c++/55532
+	* pt.c (instantiate_class_template_1): Instantiate lambda capture
+	list here.
+	(tsubst_copy_and_build): Not here.
+
+2013-03-22  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from mainline
+	2013-03-16  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/56607
+	* typeck.c (cp_build_binary_op): When calling warn_for_div_by_zero,
+	pass op1 through maybe_constant_value first.
+
+	* tree.c (cp_tree_equal): Fix a pasto.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
Index: gcc/cp/typeck2.c
===================================================================
--- gcc/cp/typeck2.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/cp/typeck2.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1612,7 +1612,7 @@
 
   if (TYPE_PTRDATAMEM_P (ptrmem_type))
     {
-      bool is_lval = real_lvalue_p (datum);
+      cp_lvalue_kind kind = lvalue_kind (datum);
       tree ptype;
 
       /* Compute the type of the field, as described in [expr.ref].
@@ -1642,12 +1642,39 @@
 	return error_mark_node;
 
       /* If the object expression was an rvalue, return an rvalue.  */
-      if (!is_lval)
+      if (kind & clk_class)
+	datum = rvalue (datum);
+      else if (kind & clk_rvalueref)
 	datum = move (datum);
       return datum;
     }
   else
-    return build2 (OFFSET_REF, type, datum, component);
+    {
+      /* 5.5/6: In a .* expression whose object expression is an rvalue, the
+	 program is ill-formed if the second operand is a pointer to member
+	 function with ref-qualifier &. In a .* expression whose object
+	 expression is an lvalue, the program is ill-formed if the second
+	 operand is a pointer to member function with ref-qualifier &&.  */
+      if (FUNCTION_REF_QUALIFIED (type))
+	{
+	  bool lval = real_lvalue_p (datum);
+	  if (lval && FUNCTION_RVALUE_QUALIFIED (type))
+	    {
+	      if (complain & tf_error)
+		error ("pointer-to-member-function type %qT requires an rvalue",
+		       ptrmem_type);
+	      return error_mark_node;
+	    }
+	  else if (!lval && !FUNCTION_RVALUE_QUALIFIED (type))
+	    {
+	      if (complain & tf_error)
+		error ("pointer-to-member-function type %qT requires an lvalue",
+		       ptrmem_type);
+	      return error_mark_node;
+	    }
+	}
+      return build2 (OFFSET_REF, type, datum, component);
+    }
 }
 
 /* Return a tree node for the expression TYPENAME '(' PARMS ')'.  */
Index: gcc/cp/pt.c
===================================================================
--- gcc/cp/pt.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/cp/pt.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -4306,6 +4306,13 @@
        local scope.  */
     return true;
 
+  if (TREE_CODE (decl) == TYPE_DECL
+      && TREE_TYPE (decl)
+      && LAMBDA_TYPE_P (TREE_TYPE (decl)))
+    /* A lambda doesn't have an explicit declaration; don't complain
+       about the parms of the enclosing class.  */
+    return true;
+
   if (current_class_type
       && !TYPE_BEING_DEFINED (current_class_type)
       && DECL_LANG_SPECIFIC (decl)
@@ -4674,6 +4681,8 @@
   if (!ctx
       || TREE_CODE (ctx) == FUNCTION_DECL
       || (CLASS_TYPE_P (ctx) && TYPE_BEING_DEFINED (ctx))
+      || (TREE_CODE (decl) == TYPE_DECL
+	  && LAMBDA_TYPE_P (TREE_TYPE (decl)))
       || (is_friend && !DECL_TEMPLATE_INFO (decl)))
     {
       if (DECL_LANG_SPECIFIC (decl)
@@ -6353,7 +6362,8 @@
 	      val = error_mark_node;
 	    }
 	}
-      else if (!uses_template_parms (orig_arg) && !uses_template_parms (t))
+      else if (!dependent_template_arg_p (orig_arg)
+	       && !uses_template_parms (t))
 	/* We used to call digest_init here.  However, digest_init
 	   will report errors, which we don't want when complain
 	   is zero.  More importantly, digest_init will try too
@@ -7001,7 +7011,7 @@
     ? CLASSTYPE_TI_TEMPLATE (TREE_TYPE (decl)) : decl;
 }
 
-/* Given an IDENTIFIER_NODE (type TEMPLATE_DECL) and a chain of
+/* Given an IDENTIFIER_NODE (or type TEMPLATE_DECL) and a chain of
    parameters, find the desired type.
 
    D1 is the PTYPENAME terminal, and ARGLIST is the list of arguments.
@@ -7082,6 +7092,11 @@
       d1 = DECL_NAME (templ);
       context = DECL_CONTEXT (templ);
     }
+  else if (DECL_TEMPLATE_TEMPLATE_PARM_P (d1))
+    {
+      templ = d1;
+      d1 = DECL_NAME (templ);
+    }
 
   /* Issue an error message if we didn't find a template.  */
   if (! templ)
@@ -8992,12 +9007,26 @@
 	}
     }
 
-  if (CLASSTYPE_LAMBDA_EXPR (type))
+  if (tree expr = CLASSTYPE_LAMBDA_EXPR (type))
     {
       tree decl = lambda_function (type);
       if (decl)
 	{
 	  instantiate_decl (decl, false, false);
+
+	  /* We need to instantiate the capture list from the template
+	     after we've instantiated the closure members, but before we
+	     consider adding the conversion op.  Also keep any captures
+	     that may have been added during instantiation of the op().  */
+	  tree tmpl_expr = CLASSTYPE_LAMBDA_EXPR (pattern);
+	  tree tmpl_cap
+	    = tsubst_copy_and_build (LAMBDA_EXPR_CAPTURE_LIST (tmpl_expr),
+				     args, tf_warning_or_error, NULL_TREE,
+				     false, false);
+
+	  LAMBDA_EXPR_CAPTURE_LIST (expr)
+	    = chainon (tmpl_cap, nreverse (LAMBDA_EXPR_CAPTURE_LIST (expr)));
+
 	  maybe_add_lambda_conv_op (type);
 	}
       else
@@ -9169,8 +9198,15 @@
 				 int arg_pack_len,
 				 bool has_empty_arg)
 {
+  /* If one pack has an expansion and another pack has a normal
+     argument or if one pack has an empty argument and an another
+     one hasn't then tsubst_pack_expansion cannot perform the
+     substitution and need to fall back on the
+     PACK_EXPANSION_EXTRA mechanism.  */
   if (parm_packs == NULL_TREE)
     return false;
+  else if (has_empty_arg)
+    return true;
 
   bool has_expansion_arg = false;
   for (int i = 0 ; i < arg_pack_len; ++i)
@@ -9188,13 +9224,7 @@
 	    has_non_expansion_arg = true;
 	}
 
-      /* If one pack has an expansion and another pack has a normal
-	 argument or if one pack has an empty argument another one
-	 hasn't then tsubst_pack_expansion cannot perform the
-	 substitution and need to fall back on the
-	 PACK_EXPANSION_EXTRA mechanism.  */
-      if ((has_expansion_arg && has_non_expansion_arg)
-	  || (has_empty_arg && (has_expansion_arg || has_non_expansion_arg)))
+      if (has_expansion_arg && has_non_expansion_arg)
 	return true;
     }
   return false;
@@ -10826,6 +10856,9 @@
           }
         return error_mark_node;
     }
+    /* DR 657. */
+    if (abstract_virtuals_error_sfinae (NULL_TREE, type, complain))
+      return error_mark_node;
     
     /* Do array-to-pointer, function-to-pointer conversion, and ignore
        top-level qualifiers as required.  */
@@ -10888,10 +10921,8 @@
   return_type = tsubst (TREE_TYPE (t), args, complain, in_decl);
   if (return_type == error_mark_node)
     return error_mark_node;
-  /* The standard does not presently indicate that creation of a
-     function type with an invalid return type is a deduction failure.
-     However, that is clearly analogous to creating an array of "void"
-     or a reference to a reference.  This is core issue #486.  */
+  /* DR 486 clarifies that creation of a function type with an
+     invalid return type is a deduction failure.  */
   if (TREE_CODE (return_type) == ARRAY_TYPE
       || TREE_CODE (return_type) == FUNCTION_TYPE)
     {
@@ -10904,6 +10935,9 @@
 	}
       return error_mark_node;
     }
+  /* And DR 657. */
+  if (abstract_virtuals_error_sfinae (NULL_TREE, return_type, complain))
+    return error_mark_node;
 
   /* Substitute the argument types.  */
   arg_types = tsubst_arg_types (TYPE_ARG_TYPES (t), args, NULL_TREE,
@@ -10915,7 +10949,9 @@
   if (TREE_CODE (t) == FUNCTION_TYPE)
     {
       fntype = build_function_type (return_type, arg_types);
-      fntype = apply_memfn_quals (fntype, type_memfn_quals (t));
+      fntype = apply_memfn_quals (fntype,
+				  type_memfn_quals (t),
+				  type_memfn_rqual (t));
     }
   else
     {
@@ -10937,6 +10973,7 @@
 
       fntype = build_method_type_directly (r, return_type,
 					   TREE_CHAIN (arg_types));
+      fntype = build_ref_qualified_type (fntype, type_memfn_rqual (t));
     }
   fntype = cp_build_type_attribute_variant (fntype, TYPE_ATTRIBUTES (t));
 
@@ -11569,7 +11606,9 @@
 	    /* The type of the implicit object parameter gets its
 	       cv-qualifiers from the FUNCTION_TYPE. */
 	    tree memptr;
-	    tree method_type = build_memfn_type (type, r, type_memfn_quals (type));
+	    tree method_type
+	      = build_memfn_type (type, r, type_memfn_quals (type),
+				  type_memfn_rqual (type));
 	    memptr = build_ptrmemfunc_type (build_pointer_type (method_type));
 	    return cp_build_qualified_type_real (memptr, cp_type_quals (t),
 						 complain);
@@ -11757,7 +11796,7 @@
 	++c_inhibit_evaluation_warnings;
 
 	type = tsubst_expr (DECLTYPE_TYPE_EXPR (t), args,
-			    complain, in_decl,
+			    complain|tf_decltype, in_decl,
 			    /*integral_constant_expression_p=*/false);
 
 	--cp_unevaluated_operand;
@@ -11768,8 +11807,17 @@
 	else if (DECLTYPE_FOR_LAMBDA_PROXY (t))
 	  type = lambda_proxy_type (type);
 	else
-	  type = finish_decltype_type
-	    (type, DECLTYPE_TYPE_ID_EXPR_OR_MEMBER_ACCESS_P (t), complain);
+	  {
+	    bool id = DECLTYPE_TYPE_ID_EXPR_OR_MEMBER_ACCESS_P (t);
+	    if (id && TREE_CODE (DECLTYPE_TYPE_EXPR (t)) == BIT_NOT_EXPR
+		&& EXPR_P (type))
+	      /* In a template ~id could be either a complement expression
+		 or an unqualified-id naming a destructor; if instantiating
+		 it produces an expression, it's not an id-expression or
+		 member access.  */
+	      id = false;
+	    type = finish_decltype_type (type, id, complain);
+	  }
 	return cp_build_qualified_type_real (type,
 					     cp_type_quals (t)
 					     | cp_type_quals (type),
@@ -12010,11 +12058,11 @@
   else if (TYPE_P (scope))
     {
       expr = (adjust_result_of_qualified_name_lookup
-	      (expr, scope, current_class_type));
+	      (expr, scope, current_nonlambda_class_type ()));
       expr = (finish_qualified_id_expr
 	      (scope, expr, done, address_p && PTRMEM_OK_P (qualified_id),
 	       QUALIFIED_NAME_IS_TEMPLATE (qualified_id),
-	       /*template_arg_p=*/false));
+	       /*template_arg_p=*/false, complain));
     }
 
   /* Expressions do not generally have reference type.  */
@@ -13393,6 +13441,11 @@
   if (EXPR_HAS_LOCATION (t))
     input_location = EXPR_LOCATION (t);
 
+  /* N3276 decltype magic only applies to calls at the top level or on the
+     right side of a comma.  */
+  tsubst_flags_t decltype_flag = (complain & tf_decltype);
+  complain &= ~tf_decltype;
+
   switch (TREE_CODE (t))
     {
     case USING_DECL:
@@ -13479,7 +13532,8 @@
 	      r = convert_from_reference (r);
 	  }
 	else
-	  r = build_x_indirect_ref (input_location, r, RO_UNARY_STAR, complain);
+	  r = build_x_indirect_ref (input_location, r, RO_UNARY_STAR,
+				    complain|decltype_flag);
 	RETURN (r);
       }
 
@@ -13556,7 +13610,8 @@
     case POSTINCREMENT_EXPR:
       op1 = tsubst_non_call_postfix_expression (TREE_OPERAND (t, 0),
 						args, complain, in_decl);
-      RETURN (build_x_unary_op (input_location, TREE_CODE (t), op1, complain));
+      RETURN (build_x_unary_op (input_location, TREE_CODE (t), op1,
+				complain|decltype_flag));
 
     case PREDECREMENT_EXPR:
     case PREINCREMENT_EXPR:
@@ -13568,7 +13623,8 @@
     case REALPART_EXPR:
     case IMAGPART_EXPR:
       RETURN (build_x_unary_op (input_location, TREE_CODE (t),
-			       RECUR (TREE_OPERAND (t, 0)), complain));
+			       RECUR (TREE_OPERAND (t, 0)),
+				complain|decltype_flag));
 
     case FIX_TRUNC_EXPR:
       RETURN (cp_build_unary_op (FIX_TRUNC_EXPR, RECUR (TREE_OPERAND (t, 0)),
@@ -13585,7 +13641,8 @@
       else
 	op1 = tsubst_non_call_postfix_expression (op1, args, complain,
 						  in_decl);
-      RETURN (build_x_unary_op (input_location, ADDR_EXPR, op1, complain));
+      RETURN (build_x_unary_op (input_location, ADDR_EXPR, op1,
+				complain|decltype_flag));
 
     case PLUS_EXPR:
     case MINUS_EXPR:
@@ -13634,7 +13691,7 @@
 	    ? ERROR_MARK
 	    : TREE_CODE (TREE_OPERAND (t, 1))),
 	   /*overload=*/NULL,
-	   complain);
+	   complain|decltype_flag);
 	if (EXPR_P (r) && TREE_NO_WARNING (t))
 	  TREE_NO_WARNING (r) = TREE_NO_WARNING (t);
 
@@ -13650,7 +13707,8 @@
       op1 = tsubst_non_call_postfix_expression (TREE_OPERAND (t, 0),
 						args, complain, in_decl);
       RETURN (build_x_array_ref (EXPR_LOCATION (t), op1,
-				RECUR (TREE_OPERAND (t, 1)), complain));
+				 RECUR (TREE_OPERAND (t, 1)),
+				 complain|decltype_flag));
 
     case SIZEOF_EXPR:
       if (PACK_EXPANSION_P (TREE_OPERAND (t, 0)))
@@ -13743,7 +13801,7 @@
 	   RECUR (TREE_OPERAND (t, 0)),
 	   TREE_CODE (TREE_OPERAND (t, 1)),
 	   RECUR (TREE_OPERAND (t, 2)),
-	   complain);
+	   complain|decltype_flag);
 	/* TREE_NO_WARNING must be set if either the expression was
 	   parenthesized or it uses an operator such as >>= rather
 	   than plain assignment.  In the former case, it was already
@@ -13824,10 +13882,16 @@
 	complain));
 
     case COMPOUND_EXPR:
-      RETURN (build_x_compound_expr (EXPR_LOCATION (t),
-				    RECUR (TREE_OPERAND (t, 0)),
-				    RECUR (TREE_OPERAND (t, 1)),
-                                    complain));
+      {
+	tree op0 = tsubst_copy_and_build (TREE_OPERAND (t, 0), args,
+					  complain & ~tf_decltype, in_decl,
+					  /*function_p=*/false,
+					  integral_constant_expression_p);
+	RETURN (build_x_compound_expr (EXPR_LOCATION (t),
+				       op0,
+				       RECUR (TREE_OPERAND (t, 1)),
+				       complain|decltype_flag));
+      }
 
     case CALL_EXPR:
       {
@@ -14004,6 +14068,9 @@
 	if (DECL_P (function))
 	  mark_used (function);
 
+	/* Put back tf_decltype for the actual call.  */
+	complain |= decltype_flag;
+
 	if (TREE_CODE (function) == OFFSET_REF)
 	  ret = build_offset_ref_call_from_tree (function, &call_args,
 						 complain);
@@ -14293,7 +14360,10 @@
         newlen = vec_safe_length (n);
 	FOR_EACH_VEC_SAFE_ELT (n, idx, ce)
 	  {
-	    if (ce->index && process_index_p)
+	    if (ce->index && process_index_p
+		/* An identifier index is looked up in the type
+		   being initialized, not the current scope.  */
+		&& TREE_CODE (ce->index) != IDENTIFIER_NODE)
 	      ce->index = RECUR (ce->index);
 
             if (PACK_EXPANSION_P (ce->value))
@@ -14471,12 +14541,6 @@
 	   declaration of the op() for later calls to lambda_function.  */
 	complete_type (type);
 
-	/* The capture list refers to closure members, so this needs to
-	   wait until after we finish instantiating the type.  Also keep
-	   any captures that may have been added during instantiation.  */
-	LAMBDA_EXPR_CAPTURE_LIST (r)
-	  = chainon (RECUR (LAMBDA_EXPR_CAPTURE_LIST (t)),
-		     LAMBDA_EXPR_CAPTURE_LIST (r));
 	LAMBDA_EXPR_THIS_CAPTURE (r) = NULL_TREE;
 
 	RETURN (build_lambda_object (r));
@@ -15805,7 +15869,7 @@
 	    {
 	      tree base
 		= TYPE_MAIN_VARIANT (TREE_TYPE (TREE_OPERAND (offset, 0)));
-	      expr = build_offset_ref (base, expr, addr);
+	      expr = build_offset_ref (base, expr, addr, tf_warning_or_error);
 	    }
 	  if (addr)
 	    expr = cp_build_addr_expr (expr, tf_warning_or_error);
@@ -16155,10 +16219,10 @@
           arg = NULL_TREE;
           if (TREE_VALUE (pack)
               && (pargs = ARGUMENT_PACK_EXPLICIT_ARGS (TREE_VALUE (pack)))
-              && (i < TREE_VEC_LENGTH (pargs)))
+              && (i - start < TREE_VEC_LENGTH (pargs)))
             {
               any_explicit = true;
-              arg = TREE_VEC_ELT (pargs, i);
+              arg = TREE_VEC_ELT (pargs, i - start);
             }
           TMPL_ARG (targs, level, idx) = arg;
         }
@@ -17039,10 +17103,12 @@
 	    build_function_type (TREE_TYPE (method_type),
 				 TREE_CHAIN (TYPE_ARG_TYPES (method_type)));
 
-	  /* Extract the cv-qualifiers of the member function from the
-	     implicit object parameter and place them on the function
-	     type to be restored later. */
-	  fntype = apply_memfn_quals (fntype, type_memfn_quals (method_type));
+	  /* Extract the cv-qualifiers and ref-qualifier of the member
+	     function from the implicit object parameter and place them
+	     on the function type to be restored later. */
+	  fntype = apply_memfn_quals (fntype,
+				      type_memfn_quals (method_type),
+				      type_memfn_rqual (method_type));
 	  return unify (tparms, targs, TREE_TYPE (parm), fntype, strict, explain_p);
 	}
 
Index: gcc/cp/semantics.c
===================================================================
--- gcc/cp/semantics.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/cp/semantics.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1574,9 +1574,7 @@
       else
 	{
 	  /* Set the cv qualifiers.  */
-	  int quals = (current_class_ref
-		       ? cp_type_quals (TREE_TYPE (current_class_ref))
-		       : TYPE_UNQUALIFIED);
+	  int quals = cp_type_quals (TREE_TYPE (object));
 
 	  if (DECL_MUTABLE_P (decl))
 	    quals &= ~TYPE_QUAL_CONST;
@@ -1740,7 +1738,8 @@
 			  bool done,
 			  bool address_p,
 			  bool template_p,
-			  bool template_arg_p)
+			  bool template_arg_p,
+			  tsubst_flags_t complain)
 {
   gcc_assert (TYPE_P (qualifying_class));
 
@@ -1760,10 +1759,14 @@
       if (TREE_CODE (expr) == SCOPE_REF)
 	expr = TREE_OPERAND (expr, 1);
       expr = build_offset_ref (qualifying_class, expr,
-			       /*address_p=*/true);
+			       /*address_p=*/true, complain);
       return expr;
     }
 
+  /* No need to check access within an enum.  */
+  if (TREE_CODE (qualifying_class) == ENUMERAL_TYPE)
+    return expr;
+
   /* Within the scope of a class, turn references to non-static
      members into expression of the form "this->...".  */
   if (template_arg_p)
@@ -1790,11 +1793,12 @@
 		 expr,
 		 BASELINK_ACCESS_BINFO (expr),
 		 /*preserve_reference=*/false,
-		 tf_warning_or_error));
+		 complain));
       else if (done)
 	/* The expression is a qualified name whose address is not
 	   being taken.  */
-	expr = build_offset_ref (qualifying_class, expr, /*address_p=*/false);
+	expr = build_offset_ref (qualifying_class, expr, /*address_p=*/false,
+				 complain);
     }
   else if (BASELINK_P (expr))
     ;
@@ -2370,10 +2374,12 @@
 /* Finish an expression of the form CODE EXPR.  */
 
 tree
-finish_unary_op_expr (location_t loc, enum tree_code code, tree expr)
+finish_unary_op_expr (location_t loc, enum tree_code code, tree expr,
+		      tsubst_flags_t complain)
 {
-  tree result = build_x_unary_op (loc, code, expr, tf_warning_or_error);
-  if (TREE_OVERFLOW_P (result) && !TREE_OVERFLOW_P (expr))
+  tree result = build_x_unary_op (loc, code, expr, complain);
+  if ((complain & tf_warning)
+      && TREE_OVERFLOW_P (result) && !TREE_OVERFLOW_P (expr))
     overflow_warning (input_location, result);
 
   return result;
@@ -3229,7 +3235,8 @@
 		    decl = finish_qualified_id_expr (scope, decl,
 						     done, address_p,
 						     template_p,
-						     template_arg_p);
+						     template_arg_p,
+						     tf_warning_or_error);
 		  else
 		    {
 		      tree type = NULL_TREE;
@@ -3345,7 +3352,8 @@
 					     done,
 					     address_p,
 					     template_p,
-					     template_arg_p);
+					     template_arg_p,
+					     tf_warning_or_error);
 	  else
 	    decl = convert_from_reference (decl);
 	}
@@ -5345,6 +5353,7 @@
           break;
 
         case COMPONENT_REF:
+	case COMPOUND_EXPR:
 	  mark_type_use (expr);
           type = is_bitfield_expr_with_lowered_type (expr);
           if (!type)
@@ -5362,8 +5371,9 @@
           break;
 
         default:
-	  gcc_unreachable ();
-          return error_mark_node;
+	  /* Handle instantiated template non-type arguments.  */
+	  type = TREE_TYPE (expr);
+          break;
         }
     }
   else
@@ -7007,6 +7017,13 @@
       *non_constant_p = true;
       return t;
     }
+  else if (tree_int_cst_lt (index, integer_zero_node))
+    {
+      if (!allow_non_constant)
+	error ("negative array subscript");
+      *non_constant_p = true;
+      return t;
+    }
   i = tree_low_cst (index, 0);
   if (TREE_CODE (ary) == CONSTRUCTOR)
     return (*CONSTRUCTOR_ELTS (ary))[i].value;
@@ -7571,15 +7588,17 @@
 	    }
 	}
     }
-  /* *(foo *)fooarrptreturn> (*fooarrptr)[0] */
+  /* *(foo *)fooarrptr => (*fooarrptr)[0] */
   else if (TREE_CODE (TREE_TYPE (subtype)) == ARRAY_TYPE
 	   && (same_type_ignoring_top_level_qualifiers_p
 	       (type, TREE_TYPE (TREE_TYPE (subtype)))))
     {
       tree type_domain;
       tree min_val = size_zero_node;
-      sub = cxx_fold_indirect_ref (loc, TREE_TYPE (subtype), sub, NULL);
-      if (!sub)
+      tree newsub = cxx_fold_indirect_ref (loc, TREE_TYPE (subtype), sub, NULL);
+      if (newsub)
+	sub = newsub;
+      else
 	sub = build1_loc (loc, INDIRECT_REF, TREE_TYPE (subtype), sub);
       type_domain = TYPE_DOMAIN (TREE_TYPE (sub));
       if (type_domain && TYPE_MIN_VALUE (type_domain))
@@ -7649,6 +7668,8 @@
 
   if (r == NULL_TREE)
     {
+      if (addr && op0 != orig_op0)
+	return build1 (INDIRECT_REF, TREE_TYPE (t), op0);
       if (!addr)
 	VERIFY_CONSTANT (t);
       return t;
@@ -8390,7 +8411,11 @@
 		  }
 	      }
 	    else
-	      fun = get_first_fn (fun);
+	      {
+		if (!potential_constant_expression_1 (fun, true, flags))
+		  return false;
+		fun = get_first_fn (fun);
+	      }
 	    /* Skip initial arguments to base constructors.  */
 	    if (DECL_BASE_CONSTRUCTOR_P (fun))
 	      i = num_artificial_parms_for (fun);
@@ -8967,7 +8992,7 @@
     /* Create the new RECORD_TYPE for this lambda.  */
     type = xref_tag (/*tag_code=*/record_type,
                      name,
-                     /*scope=*/ts_within_enclosing_non_class,
+                     /*scope=*/ts_lambda,
                      /*template_header_p=*/false);
   }
 
@@ -9039,7 +9064,8 @@
 lambda_capture_field_type (tree expr)
 {
   tree type;
-  if (type_dependent_expression_p (expr))
+  if (type_dependent_expression_p (expr)
+      && !(TREE_TYPE (expr) && TREE_CODE (TREE_TYPE (expr)) == POINTER_TYPE))
     {
       type = cxx_make_type (DECLTYPE_TYPE);
       DECLTYPE_TYPE_EXPR (type) = expr;
@@ -9189,13 +9215,12 @@
 insert_capture_proxy (tree var)
 {
   cp_binding_level *b;
-  int skip;
   tree stmt_list;
 
   /* Put the capture proxy in the extra body block so that it won't clash
      with a later local variable.  */
   b = current_binding_level;
-  for (skip = 0; ; ++skip)
+  for (;;)
     {
       cp_binding_level *n = b->level_chain;
       if (n->kind == sk_function_parms)
@@ -9206,7 +9231,7 @@
 
   /* And put a DECL_EXPR in the STATEMENT_LIST for the same block.  */
   var = build_stmt (DECL_SOURCE_LOCATION (var), DECL_EXPR, var);
-  stmt_list = (*stmt_list_stack)[stmt_list_stack->length () - 1 - skip];
+  stmt_list = (*stmt_list_stack)[1];
   gcc_assert (stmt_list);
   append_to_statement_list_force (var, &stmt_list);
 }
@@ -9248,7 +9273,8 @@
   if (REFERENCE_REF_P (ref))
     ref = TREE_OPERAND (ref, 0);
   type = TREE_TYPE (ref);
-  if (!dependent_type_p (type))
+  if (!dependent_type_p (type)
+      || (type && TREE_CODE (type) == POINTER_TYPE))
     return type;
   type = cxx_make_type (DECLTYPE_TYPE);
   DECLTYPE_TYPE_EXPR (type) = ref;
@@ -9438,6 +9464,11 @@
 
   tree this_capture = LAMBDA_EXPR_THIS_CAPTURE (lambda);
 
+  /* In unevaluated context this isn't an odr-use, so just return the
+     nearest 'this'.  */
+  if (cp_unevaluated_operand)
+    return lookup_name (this_identifier);
+
   /* Try to default capture 'this' if we can.  */
   if (!this_capture
       && LAMBDA_EXPR_DEFAULT_CAPTURE_MODE (lambda) != CPLD_NONE)
@@ -9507,11 +9538,6 @@
 
   if (!this_capture)
     {
-      /* In unevaluated context this isn't an odr-use, so just return the
-	 nearest 'this'.  */
-      if (cp_unevaluated_operand)
-	return lookup_name (this_identifier);
-
       error ("%<this%> was not captured for this lambda function");
       result = error_mark_node;
     }
@@ -9549,7 +9575,8 @@
 
   if (type != current_class_type
       && current_class_type
-      && LAMBDA_TYPE_P (current_class_type))
+      && LAMBDA_TYPE_P (current_class_type)
+      && DERIVED_FROM_P (type, current_nonlambda_class_type ()))
     {
       /* In a lambda, need to go through 'this' capture.  */
       tree lam = CLASSTYPE_LAMBDA_EXPR (current_class_type);
Index: gcc/cp/decl2.c
===================================================================
--- gcc/cp/decl2.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/cp/decl2.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -109,7 +109,8 @@
    that apply to the function).  */
 
 tree
-build_memfn_type (tree fntype, tree ctype, cp_cv_quals quals)
+build_memfn_type (tree fntype, tree ctype, cp_cv_quals quals,
+		  cp_ref_qualifier rqual)
 {
   tree raises;
   tree attrs;
@@ -129,10 +130,12 @@
 				       (TREE_CODE (fntype) == METHOD_TYPE
 					? TREE_CHAIN (TYPE_ARG_TYPES (fntype))
 					: TYPE_ARG_TYPES (fntype)));
+  if (attrs)
+    fntype = cp_build_type_attribute_variant (fntype, attrs);
+  if (rqual)
+    fntype = build_ref_qualified_type (fntype, rqual);
   if (raises)
     fntype = build_exception_variant (fntype, raises);
-  if (attrs)
-    fntype = cp_build_type_attribute_variant (fntype, attrs);
 
   return fntype;
 }
@@ -157,7 +160,9 @@
   if (TREE_CODE (fntype) == FUNCTION_TYPE)
     {
       newtype = build_function_type (new_ret, args);
-      newtype = apply_memfn_quals (newtype, type_memfn_quals (fntype));
+      newtype = apply_memfn_quals (newtype,
+				   type_memfn_quals (fntype),
+				   type_memfn_rqual (fntype));
     }
   else
     newtype = build_method_type_directly
@@ -330,10 +335,11 @@
 }
 
 /* Create an ARRAY_REF, checking for the user doing things backwards
-   along the way.  */
+   along the way.  DECLTYPE_P is for N3276, as in the parser.  */
 
 tree
-grok_array_decl (location_t loc, tree array_expr, tree index_exp)
+grok_array_decl (location_t loc, tree array_expr, tree index_exp,
+		 bool decltype_p)
 {
   tree type;
   tree expr;
@@ -359,8 +365,13 @@
 
   /* If they have an `operator[]', use that.  */
   if (MAYBE_CLASS_TYPE_P (type) || MAYBE_CLASS_TYPE_P (TREE_TYPE (index_exp)))
-    expr = build_new_op (loc, ARRAY_REF, LOOKUP_NORMAL, array_expr, index_exp,
-			 NULL_TREE, /*overload=*/NULL, tf_warning_or_error);
+    {
+      tsubst_flags_t complain = tf_warning_or_error;
+      if (decltype_p)
+	complain |= tf_decltype;
+      expr = build_new_op (loc, ARRAY_REF, LOOKUP_NORMAL, array_expr,
+			   index_exp, NULL_TREE, /*overload=*/NULL, complain);
+    }
   else
     {
       tree p1, p2, i1, i2;
@@ -672,6 +683,11 @@
 	  if (is_template != (TREE_CODE (fndecl) == TEMPLATE_DECL))
 	    continue;
 
+	  /* ref-qualifier or absence of same must match.  */
+	  if (type_memfn_rqual (TREE_TYPE (function))
+	      != type_memfn_rqual (TREE_TYPE (fndecl)))
+	    continue;
+
 	  /* While finding a match, same types and params are not enough
 	     if the function is versioned.  Also check version ("target")
 	     attributes.  */
@@ -1261,7 +1277,9 @@
     {
       inner = cp_reconstruct_complex_type (TREE_TYPE (type), bottom);
       outer = build_function_type (inner, TYPE_ARG_TYPES (type));
-      outer = apply_memfn_quals (outer, type_memfn_quals (type));
+      outer = apply_memfn_quals (outer,
+				 type_memfn_quals (type),
+				 type_memfn_rqual (type));
     }
   else if (TREE_CODE (type) == METHOD_TYPE)
     {
@@ -2195,9 +2213,6 @@
 	      && !lookup_attribute ("visibility", attribs))
 	    {
 	      int depth = TMPL_ARGS_DEPTH (args);
-	      int class_depth = 0;
-	      if (class_type && CLASSTYPE_TEMPLATE_INFO (class_type))
-		class_depth = TMPL_ARGS_DEPTH (CLASSTYPE_TI_ARGS (class_type));
 	      if (DECL_VISIBILITY_SPECIFIED (decl))
 		{
 		  /* A class template member with explicit visibility
@@ -2210,7 +2225,7 @@
 		      constrain_visibility_for_template (decl, lev);
 		    }
 		}
-	      else if (depth > class_depth)
+	      else if (PRIMARY_TEMPLATE_P (TI_TEMPLATE (tinfo)))
 		/* Limit visibility based on its template arguments.  */
 		constrain_visibility_for_template (decl, args);
 	    }
Index: gcc/cp/parser.c
===================================================================
--- gcc/cp/parser.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/cp/parser.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1188,7 +1188,7 @@
    VAR_DECLs or FUNCTION_DECLs) should do that directly.  */
 
 static cp_declarator *make_call_declarator
-  (cp_declarator *, tree, cp_cv_quals, cp_virt_specifiers, tree, tree);
+  (cp_declarator *, tree, cp_cv_quals, cp_virt_specifiers, cp_ref_qualifier, tree, tree);
 static cp_declarator *make_array_declarator
   (cp_declarator *, tree);
 static cp_declarator *make_pointer_declarator
@@ -1367,6 +1367,7 @@
 		      tree parms,
 		      cp_cv_quals cv_qualifiers,
 		      cp_virt_specifiers virt_specifiers,
+		      cp_ref_qualifier ref_qualifier,
 		      tree exception_specification,
 		      tree late_return_type)
 {
@@ -1377,6 +1378,7 @@
   declarator->u.function.parameters = parms;
   declarator->u.function.qualifiers = cv_qualifiers;
   declarator->u.function.virt_specifiers = virt_specifiers;
+  declarator->u.function.ref_qualifier = ref_qualifier;
   declarator->u.function.exception_specification = exception_specification;
   declarator->u.function.late_return_type = late_return_type;
   if (target)
@@ -1802,9 +1804,9 @@
 static tree cp_parser_qualifying_entity
   (cp_parser *, bool, bool, bool, bool, bool);
 static tree cp_parser_postfix_expression
-  (cp_parser *, bool, bool, bool, cp_id_kind *);
+  (cp_parser *, bool, bool, bool, bool, cp_id_kind *);
 static tree cp_parser_postfix_open_square_expression
-  (cp_parser *, tree, bool);
+  (cp_parser *, tree, bool, bool);
 static tree cp_parser_postfix_dot_deref_expression
   (cp_parser *, enum cpp_ttype, tree, bool, cp_id_kind *, location_t);
 static vec<tree, va_gc> *cp_parser_parenthesized_expression_list
@@ -1832,7 +1834,7 @@
 static tree cp_parser_delete_expression
   (cp_parser *);
 static tree cp_parser_cast_expression
-  (cp_parser *, bool, bool, cp_id_kind *);
+  (cp_parser *, bool, bool, bool, cp_id_kind *);
 static tree cp_parser_binary_expression
   (cp_parser *, bool, bool, enum cp_parser_prec, cp_id_kind *);
 static tree cp_parser_question_colon_clause
@@ -1843,6 +1845,8 @@
   (cp_parser *);
 static tree cp_parser_expression
   (cp_parser *, bool, cp_id_kind *);
+static tree cp_parser_expression
+  (cp_parser *, bool, bool, cp_id_kind *);
 static tree cp_parser_constant_expression
   (cp_parser *, bool, bool *);
 static tree cp_parser_builtin_offsetof
@@ -1970,6 +1974,8 @@
   (cp_parser *);
 static cp_virt_specifiers cp_parser_virt_specifier_seq_opt
   (cp_parser *);
+static cp_ref_qualifier cp_parser_ref_qualifier_seq_opt
+  (cp_parser *);
 static tree cp_parser_late_return_type_opt
   (cp_parser *, cp_cv_quals);
 static tree cp_parser_declarator_id
@@ -3840,6 +3846,18 @@
   return success;
 }
 
+/* Return the appropriate tsubst flags for parsing, possibly in N3276
+   decltype context.  */
+
+static inline tsubst_flags_t
+complain_flags (bool decltype_p)
+{
+  tsubst_flags_t complain = tf_warning_or_error;
+  if (decltype_p)
+    complain |= tf_decltype;
+  return complain;
+}
+
 /* Expressions [gram.expr] */
 
 /* Parse a primary-expression.
@@ -3901,6 +3919,7 @@
 			      bool address_p,
 			      bool cast_p,
 			      bool template_arg_p,
+			      bool decltype_p,
 			      cp_id_kind *idk)
 {
   cp_token *token = NULL;
@@ -4052,7 +4071,7 @@
 	else
 	  {
 	    /* Parse the parenthesized expression.  */
-	    expr = cp_parser_expression (parser, cast_p, idk);
+	    expr = cp_parser_expression (parser, cast_p, decltype_p, idk);
 	    /* Let the front end know that this expression was
 	       enclosed in parentheses. This matters in case, for
 	       example, the expression is of the form `A::B', since
@@ -4404,6 +4423,17 @@
     }
 }
 
+static inline tree
+cp_parser_primary_expression (cp_parser *parser,
+			      bool address_p,
+			      bool cast_p,
+			      bool template_arg_p,
+			      cp_id_kind *idk)
+{
+  return cp_parser_primary_expression (parser, address_p, cast_p, template_arg_p,
+				       /*decltype*/false, idk);
+}
+
 /* Parse an id-expression.
 
    id-expression:
@@ -5365,7 +5395,7 @@
 
 static tree
 cp_parser_postfix_expression (cp_parser *parser, bool address_p, bool cast_p,
-                              bool member_access_only_p,
+                              bool member_access_only_p, bool decltype_p,
 			      cp_id_kind * pidk_return)
 {
   cp_token *token;
@@ -5626,11 +5656,17 @@
 	postfix_expression
 	  = cp_parser_primary_expression (parser, address_p, cast_p,
 					  /*template_arg_p=*/false,
+					  decltype_p,
 					  &idk);
       }
       break;
     }
 
+  /* Note that we don't need to worry about calling build_cplus_new on a
+     class-valued CALL_EXPR in decltype when it isn't the end of the
+     postfix-expression; unary_complex_lvalue will take care of that for
+     all these cases.  */
+
   /* Keep looping until the postfix-expression is complete.  */
   while (true)
     {
@@ -5657,7 +5693,8 @@
 	  postfix_expression
 	    = cp_parser_postfix_open_square_expression (parser,
 							postfix_expression,
-							false);
+							false,
+							decltype_p);
 	  idk = CP_ID_KIND_NONE;
           is_member_access = false;
 	  break;
@@ -5669,6 +5706,7 @@
 	    bool is_builtin_constant_p;
 	    bool saved_integral_constant_expression_p = false;
 	    bool saved_non_integral_constant_expression_p = false;
+	    tsubst_flags_t complain = complain_flags (decltype_p);
 	    vec<tree, va_gc> *args;
 
             is_member_access = false;
@@ -5727,7 +5765,7 @@
 			  postfix_expression
 			    = perform_koenig_lookup (postfix_expression, args,
 						     /*include_std=*/false,
-						     tf_warning_or_error);
+						     complain);
 		      }
 		    else
 		      postfix_expression
@@ -5753,7 +5791,7 @@
 			  postfix_expression
 			    = perform_koenig_lookup (postfix_expression, args,
 						     /*include_std=*/false,
-						     tf_warning_or_error);
+						     complain);
 		      }
 		  }
 	      }
@@ -5785,21 +5823,21 @@
 			 ? LOOKUP_NORMAL|LOOKUP_NONVIRTUAL
 			 : LOOKUP_NORMAL),
 			/*fn_p=*/NULL,
-			tf_warning_or_error));
+			complain));
 		  }
 		else
 		  postfix_expression
 		    = finish_call_expr (postfix_expression, &args,
 					/*disallow_virtual=*/false,
 					/*koenig_p=*/false,
-					tf_warning_or_error);
+					complain);
 	      }
 	    else if (TREE_CODE (postfix_expression) == OFFSET_REF
 		     || TREE_CODE (postfix_expression) == MEMBER_REF
 		     || TREE_CODE (postfix_expression) == DOTSTAR_EXPR)
 	      postfix_expression = (build_offset_ref_call_from_tree
 				    (postfix_expression, &args,
-				     tf_warning_or_error));
+				     complain));
 	    else if (idk == CP_ID_KIND_QUALIFIED)
 	      /* A call to a static class member, or a namespace-scope
 		 function.  */
@@ -5807,14 +5845,14 @@
 		= finish_call_expr (postfix_expression, &args,
 				    /*disallow_virtual=*/true,
 				    koenig_p,
-				    tf_warning_or_error);
+				    complain);
 	    else
 	      /* All other function calls.  */
 	      postfix_expression
 		= finish_call_expr (postfix_expression, &args,
 				    /*disallow_virtual=*/false,
 				    koenig_p,
-				    tf_warning_or_error);
+				    complain);
 
 	    /* The POSTFIX_EXPRESSION is certainly no longer an id.  */
 	    idk = CP_ID_KIND_NONE;
@@ -5899,7 +5937,8 @@
 static tree
 cp_parser_postfix_open_square_expression (cp_parser *parser,
 					  tree postfix_expression,
-					  bool for_offsetof)
+					  bool for_offsetof,
+					  bool decltype_p)
 {
   tree index;
   location_t loc = cp_lexer_peek_token (parser->lexer)->location;
@@ -5933,7 +5972,8 @@
   cp_parser_require (parser, CPP_CLOSE_SQUARE, RT_CLOSE_SQUARE);
 
   /* Build the ARRAY_REF.  */
-  postfix_expression = grok_array_decl (loc, postfix_expression, index);
+  postfix_expression = grok_array_decl (loc, postfix_expression,
+					index, decltype_p);
 
   /* When not doing offsetof, array references are not permitted in
      constant-expressions.  */
@@ -6415,7 +6455,7 @@
 
 static tree
 cp_parser_unary_expression (cp_parser *parser, bool address_p, bool cast_p,
-			    cp_id_kind * pidk)
+			    bool decltype_p, cp_id_kind * pidk)
 {
   cp_token *token;
   enum tree_code unary_operator;
@@ -6629,6 +6669,7 @@
       tree expression = error_mark_node;
       non_integral_constant non_constant_p = NIC_NONE;
       location_t loc = token->location;
+      tsubst_flags_t complain = complain_flags (decltype_p);
 
       /* Consume the operator token.  */
       token = cp_lexer_consume_token (parser->lexer);
@@ -6636,7 +6677,9 @@
       cast_expression
 	= cp_parser_cast_expression (parser,
 				     unary_operator == ADDR_EXPR,
-				     /*cast_p=*/false, pidk);
+				     /*cast_p=*/false,
+				     /*decltype*/false,
+				     pidk);
       /* Now, build an appropriate representation.  */
       switch (unary_operator)
 	{
@@ -6644,7 +6687,7 @@
 	  non_constant_p = NIC_STAR;
 	  expression = build_x_indirect_ref (loc, cast_expression,
 					     RO_UNARY_STAR,
-                                             tf_warning_or_error);
+                                             complain);
 	  break;
 
 	case ADDR_EXPR:
@@ -6653,7 +6696,7 @@
 	case BIT_NOT_EXPR:
 	  expression = build_x_unary_op (loc, unary_operator,
 					 cast_expression,
-                                         tf_warning_or_error);
+                                         complain);
 	  break;
 
 	case PREINCREMENT_EXPR:
@@ -6665,7 +6708,7 @@
 	case NEGATE_EXPR:
 	case TRUTH_NOT_EXPR:
 	  expression = finish_unary_op_expr (loc, unary_operator,
-					     cast_expression);
+					     cast_expression, complain);
 	  break;
 
 	default:
@@ -6682,9 +6725,18 @@
 
   return cp_parser_postfix_expression (parser, address_p, cast_p,
                                        /*member_access_only_p=*/false,
+				       decltype_p,
 				       pidk);
 }
 
+static inline tree
+cp_parser_unary_expression (cp_parser *parser, bool address_p, bool cast_p,
+			    cp_id_kind * pidk)
+{
+  return cp_parser_unary_expression (parser, address_p, cast_p,
+				     /*decltype*/false, pidk);
+}
+
 /* Returns ERROR_MARK if TOKEN is not a unary-operator.  If TOKEN is a
    unary-operator, the corresponding tree code is returned.  */
 
@@ -7163,7 +7215,7 @@
 
 static tree
 cp_parser_cast_expression (cp_parser *parser, bool address_p, bool cast_p,
-			   cp_id_kind * pidk)
+			   bool decltype_p, cp_id_kind * pidk)
 {
   /* If it's a `(', then we might be looking at a cast.  */
   if (cp_lexer_next_token_is (parser->lexer, CPP_OPEN_PAREN))
@@ -7237,7 +7289,9 @@
 	  cp_parser_parse_definitely (parser);
 	  expr = cp_parser_cast_expression (parser,
 					    /*address_p=*/false,
-					    /*cast_p=*/true, pidk);
+					    /*cast_p=*/true,
+					    /*decltype_p=*/false,
+					    pidk);
 
 	  /* Warn about old-style casts, if so requested.  */
 	  if (warn_old_style_cast
@@ -7263,7 +7317,8 @@
 
   /* If we get here, then it's not a cast, so it must be a
      unary-expression.  */
-  return cp_parser_unary_expression (parser, address_p, cast_p, pidk);
+  return cp_parser_unary_expression (parser, address_p, cast_p,
+				     decltype_p, pidk);
 }
 
 /* Parse a binary expression of the general form:
@@ -7348,6 +7403,7 @@
 static tree
 cp_parser_binary_expression (cp_parser* parser, bool cast_p,
 			     bool no_toplevel_fold_p,
+			     bool decltype_p,
 			     enum cp_parser_prec prec,
 			     cp_id_kind * pidk)
 {
@@ -7362,7 +7418,7 @@
 
   /* Parse the first expression.  */
   current.lhs = cp_parser_cast_expression (parser, /*address_p=*/false,
-					   cast_p, pidk);
+					   cast_p, decltype_p, pidk);
   current.lhs_type = ERROR_MARK;
   current.prec = prec;
 
@@ -7479,7 +7535,7 @@
 	current.lhs = build_x_binary_op (current.loc, current.tree_type,
 					 current.lhs, current.lhs_type,
 					 rhs, rhs_type, &overload,
-					 tf_warning_or_error);
+					 complain_flags (decltype_p));
       current.lhs_type = current.tree_type;
       if (EXPR_P (current.lhs))
 	SET_EXPR_LOCATION (current.lhs, current.loc);
@@ -7499,6 +7555,15 @@
   return current.lhs;
 }
 
+static tree
+cp_parser_binary_expression (cp_parser* parser, bool cast_p,
+			     bool no_toplevel_fold_p,
+			     enum cp_parser_prec prec,
+			     cp_id_kind * pidk)
+{
+  return cp_parser_binary_expression (parser, cast_p, no_toplevel_fold_p,
+				      /*decltype*/false, prec, pidk);
+}
 
 /* Parse the `? expression : assignment-expression' part of a
    conditional-expression.  The LOGICAL_OR_EXPR is the
@@ -7568,12 +7633,13 @@
      throw-expression
 
    CAST_P is true if this expression is the target of a cast.
+   DECLTYPE_P is true if this expression is the operand of decltype.
 
    Returns a representation for the expression.  */
 
 static tree
 cp_parser_assignment_expression (cp_parser* parser, bool cast_p,
-				 cp_id_kind * pidk)
+				 bool decltype_p, cp_id_kind * pidk)
 {
   tree expr;
 
@@ -7587,6 +7653,7 @@
     {
       /* Parse the binary expressions (logical-or-expression).  */
       expr = cp_parser_binary_expression (parser, cast_p, false,
+					  decltype_p,
 					  PREC_NOT_OPERATOR, pidk);
       /* If the next token is a `?' then we're actually looking at a
 	 conditional-expression.  */
@@ -7623,7 +7690,7 @@
 	      expr = build_x_modify_expr (loc, expr,
 					  assignment_operator,
 					  rhs,
-					  tf_warning_or_error);
+					  complain_flags (decltype_p));
 	      input_location = saved_input_location;
 	    }
 	}
@@ -7632,6 +7699,14 @@
   return expr;
 }
 
+static tree
+cp_parser_assignment_expression (cp_parser* parser, bool cast_p,
+				 cp_id_kind * pidk)
+{
+  return cp_parser_assignment_expression (parser, cast_p,
+					  /*decltype*/false, pidk);
+}
+
 /* Parse an (optional) assignment-operator.
 
    assignment-operator: one of
@@ -7723,11 +7798,14 @@
      expression , assignment-expression
 
    CAST_P is true if this expression is the target of a cast.
+   DECLTYPE_P is true if this expression is the immediate operand of decltype,
+     except possibly parenthesized or on the RHS of a comma (N3276).
 
    Returns a representation of the expression.  */
 
 static tree
-cp_parser_expression (cp_parser* parser, bool cast_p, cp_id_kind * pidk)
+cp_parser_expression (cp_parser* parser, bool cast_p, bool decltype_p,
+		      cp_id_kind * pidk)
 {
   tree expression = NULL_TREE;
   location_t loc = UNKNOWN_LOCATION;
@@ -7738,7 +7816,19 @@
 
       /* Parse the next assignment-expression.  */
       assignment_expression
-	= cp_parser_assignment_expression (parser, cast_p, pidk);
+	= cp_parser_assignment_expression (parser, cast_p, decltype_p, pidk);
+
+      /* We don't create a temporary for a call that is the immediate operand
+	 of decltype or on the RHS of a comma.  But when we see a comma, we
+	 need to create a temporary for a call on the LHS.  */
+      if (decltype_p && !processing_template_decl
+	  && TREE_CODE (assignment_expression) == CALL_EXPR
+	  && CLASS_TYPE_P (TREE_TYPE (assignment_expression))
+	  && cp_lexer_next_token_is (parser->lexer, CPP_COMMA))
+	assignment_expression
+	  = build_cplus_new (TREE_TYPE (assignment_expression),
+			     assignment_expression, tf_warning_or_error);
+
       /* If this is the first assignment-expression, we can just
 	 save it away.  */
       if (!expression)
@@ -7746,7 +7836,7 @@
       else
 	expression = build_x_compound_expr (loc, expression,
 					    assignment_expression,
-                                            tf_warning_or_error);
+					    complain_flags (decltype_p));
       /* If the next token is not a comma, then we are done with the
 	 expression.  */
       if (cp_lexer_next_token_is_not (parser->lexer, CPP_COMMA))
@@ -7762,6 +7852,12 @@
   return expression;
 }
 
+static inline tree
+cp_parser_expression (cp_parser* parser, bool cast_p, cp_id_kind * pidk)
+{
+  return cp_parser_expression (parser, cast_p, /*decltype*/false, pidk);
+}
+
 /* Parse a constant-expression.
 
    constant-expression:
@@ -7891,12 +7987,14 @@
 	{
 	case CPP_OPEN_SQUARE:
 	  /* offsetof-member-designator "[" expression "]" */
-	  expr = cp_parser_postfix_open_square_expression (parser, expr, true);
+	  expr = cp_parser_postfix_open_square_expression (parser, expr,
+							   true, false);
 	  break;
 
 	case CPP_DEREF:
 	  /* offsetof-member-designator "->" identifier */
-	  expr = grok_array_decl (token->location, expr, integer_zero_node);
+	  expr = grok_array_decl (token->location, expr,
+				  integer_zero_node, false);
 	  /* FALLTHRU */
 
 	case CPP_DOT:
@@ -8526,6 +8624,7 @@
 	     ? TYPE_UNQUALIFIED : TYPE_QUAL_CONST);
     declarator = make_call_declarator (declarator, param_list, quals,
 				       VIRT_SPEC_UNSPECIFIED,
+                                       REF_QUAL_NONE,
 				       exception_spec,
                                        /*late_return_type=*/NULL_TREE);
     declarator->id_loc = LAMBDA_EXPR_LOCATION (lambda_expr);
@@ -9496,7 +9595,10 @@
 	range_expr = error_mark_node;
       stmt = begin_range_for_stmt (scope, init);
       finish_range_for_decl (stmt, range_decl, range_expr);
-      if (!type_dependent_expression_p (range_expr)
+      if (range_expr != error_mark_node
+	  && !type_dependent_expression_p (range_expr)
+	  /* The length of an array might be dependent.  */
+	  && COMPLETE_TYPE_P (complete_type (TREE_TYPE (range_expr)))
 	  /* do_auto_deduction doesn't mess with template init-lists.  */
 	  && !BRACE_ENCLOSED_INITIALIZER_P (range_expr))
 	do_range_for_auto_deduction (range_decl, range_expr);
@@ -9644,7 +9746,8 @@
 
   /* The new increment expression.  */
   expression = finish_unary_op_expr (input_location,
-				     PREINCREMENT_EXPR, begin);
+				     PREINCREMENT_EXPR, begin,
+				     tf_warning_or_error);
   finish_for_expr (expression, statement);
 
   /* The declaration is initialized with *__begin inside the loop body.  */
@@ -11299,7 +11402,7 @@
 
       /* Parse a class member access.  */
       expr = cp_parser_postfix_expression (parser, /*address_p=*/false,
-                                           /*cast_p=*/false,
+                                           /*cast_p=*/false, /*decltype*/true,
                                            /*member_access_only_p=*/true, NULL);
 
       if (expr 
@@ -11327,7 +11430,8 @@
       parser->greater_than_is_operator_p = true;
 
       /* Parse a full expression.  */
-      expr = cp_parser_expression (parser, /*cast_p=*/false, NULL);
+      expr = cp_parser_expression (parser, /*cast_p=*/false,
+				   /*decltype*/true, NULL);
 
       /* The `>' token might be the end of a template-id or
 	 template-parameter-list now.  */
@@ -16168,6 +16272,7 @@
      declarator-id
      direct-declarator ( parameter-declaration-clause )
        cv-qualifier-seq [opt]
+       ref-qualifier [opt]
        exception-specification [opt]
      direct-declarator [ constant-expression [opt] ]
      ( declarator )
@@ -16176,6 +16281,7 @@
      direct-abstract-declarator [opt]
        ( parameter-declaration-clause )
        cv-qualifier-seq [opt]
+       ref-qualifier [opt]
        exception-specification [opt]
      direct-abstract-declarator [opt] [ constant-expression [opt] ]
      ( abstract-declarator )
@@ -16290,15 +16396,18 @@
 	      /* Consume the `)'.  */
 	      cp_parser_require (parser, CPP_CLOSE_PAREN, RT_CLOSE_PAREN);
 
-	      /* If all went well, parse the cv-qualifier-seq and the
-		 exception-specification.  */
+	      /* If all went well, parse the cv-qualifier-seq,
+		 ref-qualifier and the exception-specification.  */
 	      if (member_p || cp_parser_parse_definitely (parser))
 		{
 		  cp_cv_quals cv_quals;
 		  cp_virt_specifiers virt_specifiers;
+		  cp_ref_qualifier ref_qual;
 		  tree exception_specification;
 		  tree late_return;
 		  tree attrs;
+		  bool memfn = (member_p || (pushed_scope
+					     && CLASS_TYPE_P (pushed_scope)));
 
 		  is_declarator = true;
 
@@ -16308,6 +16417,8 @@
 
 		  /* Parse the cv-qualifier-seq.  */
 		  cv_quals = cp_parser_cv_qualifier_seq_opt (parser);
+		  /* Parse the ref-qualifier. */
+		  ref_qual = cp_parser_ref_qualifier_seq_opt (parser);
 		  /* And the exception-specification.  */
 		  exception_specification
 		    = cp_parser_exception_specification_opt (parser);
@@ -16315,7 +16426,7 @@
 		  attrs = cp_parser_std_attribute_spec_seq (parser);
 
 		  late_return = (cp_parser_late_return_type_opt
-				 (parser, member_p ? cv_quals : -1));
+				 (parser, memfn ? cv_quals : -1));
 
 		  /* Parse the virt-specifier-seq.  */
 		  virt_specifiers = cp_parser_virt_specifier_seq_opt (parser);
@@ -16325,6 +16436,7 @@
 						     params,
 						     cv_quals,
 						     virt_specifiers,
+						     ref_qual,
 						     exception_specification,
 						     late_return);
 		  declarator->std_attributes = attrs;
@@ -16857,6 +16969,37 @@
   return cv_quals;
 }
 
+/* Parse an (optional) ref-qualifier
+
+   ref-qualifier:
+     &
+     &&
+
+   Returns cp_ref_qualifier representing ref-qualifier. */
+
+static cp_ref_qualifier
+cp_parser_ref_qualifier_seq_opt (cp_parser* parser)
+{
+  cp_ref_qualifier ref_qual = REF_QUAL_NONE;
+  cp_token *token = cp_lexer_peek_token (parser->lexer);
+  switch (token->type)
+    {
+    case CPP_AND:
+      ref_qual = REF_QUAL_LVALUE;
+      break;
+    case CPP_AND_AND:
+      ref_qual = REF_QUAL_RVALUE;
+      break;
+    }
+
+  if (ref_qual)
+    {
+      cp_lexer_consume_token (parser->lexer);
+    }
+
+  return ref_qual;
+}
+
 /* Parse an (optional) virt-specifier-seq.
 
    virt-specifier-seq:
@@ -16964,17 +17107,21 @@
   /* Consume the ->.  */
   cp_lexer_consume_token (parser->lexer);
 
+  tree save_ccp = current_class_ptr;
+  tree save_ccr = current_class_ref;
   if (quals >= 0)
     {
       /* DR 1207: 'this' is in scope in the trailing return type.  */
-      gcc_assert (current_class_ptr == NULL_TREE);
       inject_this_parameter (current_class_type, quals);
     }
 
   type = cp_parser_trailing_type_id (parser);
 
   if (quals >= 0)
-    current_class_ptr = current_class_ref = NULL_TREE;
+    {
+      current_class_ptr = save_ccp;
+      current_class_ref = save_ccr;
+    }
 
   return type;
 }
@@ -20674,8 +20821,13 @@
       token = cp_lexer_peek_token (parser->lexer);
     }
   else
-    attribute = build_tree_list (build_tree_list (NULL_TREE, attr_id),
-				 NULL_TREE);
+    {
+      attribute = build_tree_list (build_tree_list (NULL_TREE, attr_id),
+				   NULL_TREE);
+      /* C++11 noreturn attribute is equivalent to GNU's.  */
+      if (is_attribute_p ("noreturn", attr_id))
+	TREE_PURPOSE (TREE_PURPOSE (attribute)) = get_identifier ("gnu");
+    }
 
   /* Now parse the optional argument clause of the attribute.  */
 
@@ -22033,7 +22185,7 @@
 cp_parser_simple_cast_expression (cp_parser *parser)
 {
   return cp_parser_cast_expression (parser, /*address_p=*/false,
-				    /*cast_p=*/false, NULL);
+				    /*cast_p=*/false, /*decltype*/false, NULL);
 }
 
 /* Parse a functional cast to TYPE.  Returns an expression
@@ -26830,7 +26982,7 @@
       op = (token->type == CPP_PLUS_PLUS
 	    ? PREINCREMENT_EXPR : PREDECREMENT_EXPR);
       cp_lexer_consume_token (parser->lexer);
-      lhs = cp_parser_cast_expression (parser, false, false, NULL);
+      lhs = cp_parser_simple_cast_expression (parser);
       if (lhs != decl)
 	return error_mark_node;
       return build2 (op, TREE_TYPE (decl), decl, NULL_TREE);
Index: gcc/cp/call.c
===================================================================
--- gcc/cp/call.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/cp/call.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -555,7 +555,7 @@
     {
       /* Core issue 903 says only literal 0 is a null pointer constant.  */
       if (cxx_dialect < cxx0x)
-	t = maybe_constant_value (t);
+	t = maybe_constant_value (fold_non_dependent_expr_sfinae (t, tf_none));
       STRIP_NOPS (t);
       if (integer_zerop (t) && !TREE_OVERFLOW (t))
 	return true;
@@ -1276,7 +1276,10 @@
 			   static_fn_type (tofn)))
 	return NULL;
 
-      from = build_memfn_type (fromfn, tbase, cp_type_quals (tbase));
+      from = build_memfn_type (fromfn,
+                               tbase,
+                               cp_type_quals (tbase),
+                               type_memfn_rqual (tofn));
       from = build_ptrmemfunc_type (build_pointer_type (from));
       conv = build_conv (ck_pmem, from, conv);
       conv->base_p = true;
@@ -1950,7 +1953,21 @@
 	    {
 	      parmtype = cp_build_qualified_type
 		(ctype, cp_type_quals (TREE_TYPE (parmtype)));
-	      parmtype = build_pointer_type (parmtype);
+	      if (FUNCTION_REF_QUALIFIED (TREE_TYPE (fn)))
+		{
+		  /* If the function has a ref-qualifier, the implicit
+		     object parameter has reference type.  */
+		  bool rv = FUNCTION_RVALUE_QUALIFIED (TREE_TYPE (fn));
+		  parmtype = cp_build_reference_type (parmtype, rv);
+		  if (TREE_CODE (arg) == CONVERT_EXPR
+		      && TYPE_PTR_P (TREE_TYPE (arg)))
+		    /* Strip conversion from reference to pointer.  */
+		    arg = TREE_OPERAND (arg, 0);
+		  arg = build_fold_indirect_ref (arg);
+		  argtype = lvalue_type (arg);
+		}
+	      else
+		parmtype = build_pointer_type (parmtype);
 	    }
 
 	  /* Core issue 899: When [copy-]initializing a temporary to be bound
@@ -6696,6 +6713,10 @@
       /* else continue to get conversion error.  */
     }
 
+  /* N3276 magic doesn't apply to nested calls.  */
+  int decltype_flag = (complain & tf_decltype);
+  complain &= ~tf_decltype;
+
   /* Find maximum size of vector to hold converted arguments.  */
   parmlen = list_length (parm);
   nargs = vec_safe_length (args) + (first_arg != NULL_TREE ? 1 : 0);
@@ -7067,7 +7088,7 @@
 	return error_mark_node;
     }
 
-  return build_cxx_call (fn, nargs, argarray, complain);
+  return build_cxx_call (fn, nargs, argarray, complain|decltype_flag);
 }
 
 /* Build and return a call to FN, using NARGS arguments in ARGARRAY.
@@ -7109,12 +7130,20 @@
   if (VOID_TYPE_P (TREE_TYPE (fn)))
     return fn;
 
-  fn = require_complete_type_sfinae (fn, complain);
-  if (fn == error_mark_node)
-    return error_mark_node;
+  /* 5.2.2/11: If a function call is a prvalue of object type: if the
+     function call is either the operand of a decltype-specifier or the
+     right operand of a comma operator that is the operand of a
+     decltype-specifier, a temporary object is not introduced for the
+     prvalue. The type of the prvalue may be incomplete.  */
+  if (!(complain & tf_decltype))
+    {
+      fn = require_complete_type_sfinae (fn, complain);
+      if (fn == error_mark_node)
+	return error_mark_node;
 
-  if (MAYBE_CLASS_TYPE_P (TREE_TYPE (fn)))
-    fn = build_cplus_new (TREE_TYPE (fn), fn, complain);
+      if (MAYBE_CLASS_TYPE_P (TREE_TYPE (fn)))
+	fn = build_cplus_new (TREE_TYPE (fn), fn, complain);
+    }
   return convert_from_reference (fn);
 }
 
Index: gcc/cp/mangle.c
===================================================================
--- gcc/cp/mangle.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/cp/mangle.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -350,6 +350,7 @@
       && TYPE_CANONICAL (node) != node
       && TYPE_MAIN_VARIANT (node) != node)
     {
+      tree orig = node;
       /* Here we want to strip the topmost typedef only.
          We need to do that so is_std_substitution can do proper
          name matching.  */
@@ -361,6 +362,9 @@
       else
 	node = cp_build_qualified_type (TYPE_MAIN_VARIANT (node),
 					cp_type_quals (node));
+      if (TREE_CODE (node) == FUNCTION_TYPE
+	  || TREE_CODE (node) == METHOD_TYPE)
+	node = build_ref_qualified_type (node, type_memfn_rqual (orig));
     }
   return node;
 }
@@ -904,9 +908,11 @@
 
 /* Write the nested name, including CV-qualifiers, of DECL.
 
-   <nested-name> ::= N [<CV-qualifiers>] <prefix> <unqualified-name> E
-		 ::= N [<CV-qualifiers>] <template-prefix> <template-args> E
+   <nested-name> ::= N [<CV-qualifiers>] [<ref-qualifier>] <prefix> <unqualified-name> E
+		 ::= N [<CV-qualifiers>] [<ref-qualifier>] <template-prefix> <template-args> E
 
+   <ref-qualifier> ::= R # & ref-qualifier
+                   ::= O # && ref-qualifier
    <CV-qualifiers> ::= [r] [V] [K]  */
 
 static void
@@ -926,6 +932,13 @@
 	write_char ('V');
       if (DECL_CONST_MEMFUNC_P (decl))
 	write_char ('K');
+      if (FUNCTION_REF_QUALIFIED (TREE_TYPE (decl)))
+	{
+	  if (FUNCTION_RVALUE_QUALIFIED (TREE_TYPE (decl)))
+	    write_char ('O');
+	  else
+	    write_char ('R');
+	}
     }
 
   /* Is this a template instance?  */
@@ -1880,7 +1893,13 @@
        mangle the unqualified type.  The recursive call is needed here
        since both the qualified and unqualified types are substitution
        candidates.  */
-    write_type (TYPE_MAIN_VARIANT (type));
+    {
+      tree t = TYPE_MAIN_VARIANT (type);
+      if (TREE_CODE (t) == FUNCTION_TYPE
+	  || TREE_CODE (t) == METHOD_TYPE)
+	t = build_ref_qualified_type (t, type_memfn_rqual (type));
+      write_type (t);
+    }
   else if (TREE_CODE (type) == ARRAY_TYPE)
     /* It is important not to use the TYPE_MAIN_VARIANT of TYPE here
        so that the cv-qualification of the element type is available
@@ -1892,6 +1911,9 @@
 
       /* See through any typedefs.  */
       type = TYPE_MAIN_VARIANT (type);
+      if (TREE_CODE (type) == FUNCTION_TYPE
+	  || TREE_CODE (type) == METHOD_TYPE)
+	type = build_ref_qualified_type (type, type_memfn_rqual (type_orig));
 
       /* According to the C++ ABI, some library classes are passed the
 	 same as the scalar type of their single member and use the same
@@ -2327,7 +2349,7 @@
    METHOD_TYPE.  The return type is mangled before the parameter
    types.
 
-     <function-type> ::= F [Y] <bare-function-type> E   */
+     <function-type> ::= F [Y] <bare-function-type> [<ref-qualifier>] E   */
 
 static void
 write_function_type (const tree type)
@@ -2360,6 +2382,13 @@
      See [dcl.link].  */
   write_bare_function_type (type, /*include_return_type_p=*/1,
 			    /*decl=*/NULL);
+  if (FUNCTION_REF_QUALIFIED (type))
+    {
+      if (FUNCTION_RVALUE_QUALIFIED (type))
+	write_char ('O');
+      else
+	write_char ('R');
+    }
   write_char ('E');
 }
 
Index: gcc/cp/cp-tree.h
===================================================================
--- gcc/cp/cp-tree.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/cp/cp-tree.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -107,8 +107,10 @@
 	  or FIELD_DECL).
       IDENTIFIER_TYPENAME_P (in IDENTIFIER_NODE)
       DECL_TINFO_P (in VAR_DECL)
+      FUNCTION_REF_QUALIFIED (in FUNCTION_TYPE, METHOD_TYPE)
    5: C_IS_RESERVED_WORD (in IDENTIFIER_NODE)
       DECL_VTABLE_OR_VTT_P (in VAR_DECL)
+      FUNCTION_RVALUE_QUALIFIED (in FUNCTION_TYPE, METHOD_TYPE)
    6: IDENTIFIER_REPO_CHOSEN (in IDENTIFIER_NODE)
       DECL_CONSTRUCTION_VTABLE_P (in VAR_DECL)
       TYPE_MARKED_P (in _TYPE)
@@ -420,9 +422,11 @@
   /* inheriting constructors */
   CPP0X_INHERITING_CTORS,
   /* C++11 attributes */
-  CPP0X_ATTRIBUTES
+  CPP0X_ATTRIBUTES,
+  /* ref-qualified member functions */
+  CPP0X_REF_QUALIFIER
 } cpp0x_warn_str;
-  
+
 /* The various kinds of operation used by composite_pointer_type. */
 
 typedef enum composite_pointer_operation
@@ -2502,6 +2506,14 @@
 /* 1 iff VAR_DECL node NODE is virtual table or VTT.  */
 #define DECL_VTABLE_OR_VTT_P(NODE) TREE_LANG_FLAG_5 (VAR_DECL_CHECK (NODE))
 
+/* 1 iff FUNCTION_TYPE or METHOD_TYPE has a ref-qualifier (either & or &&). */
+#define FUNCTION_REF_QUALIFIED(NODE) \
+  TREE_LANG_FLAG_4 (FUNC_OR_METHOD_CHECK (NODE))
+
+/* 1 iff FUNCTION_TYPE or METHOD_TYPE has &&-ref-qualifier.  */
+#define FUNCTION_RVALUE_QUALIFIED(NODE) \
+  TREE_LANG_FLAG_5 (FUNC_OR_METHOD_CHECK (NODE))
+
 /* Returns 1 iff VAR_DECL is a construction virtual table.
    DECL_VTABLE_OR_VTT_P will be true in this case and must be checked
    before using this macro.  */
@@ -4190,6 +4202,9 @@
 				    conversion might be permissible,
 				    not actually performing the
 				    conversion.  */
+  tf_decltype = 1 << 7,          /* We are the operand of decltype.
+				    Used to implement the special rules
+				    for calls in decltype (5.2.2/11).  */
   tf_partial = 1 << 8,		 /* Doing initial explicit argument
 				    substitution in fn_type_unification.  */
   /* Convenient substitution flags combinations.  */
@@ -4662,6 +4677,23 @@
 
 typedef int cp_virt_specifiers;
 
+/* Wherever there is a function-cv-qual, there could also be a ref-qualifier:
+
+   [dcl.fct]
+   The return type, the parameter-type-list, the ref-qualifier, and
+   the cv-qualifier-seq, but not the default arguments or the exception
+   specification, are part of the function type.
+
+   REF_QUAL_NONE    Ordinary member function with no ref-qualifier
+   REF_QUAL_LVALUE  Member function with the &-ref-qualifier
+   REF_QUAL_RVALUE  Member function with the &&-ref-qualifier */
+
+enum cp_ref_qualifier {
+  REF_QUAL_NONE = 0,
+  REF_QUAL_LVALUE = 1,
+  REF_QUAL_RVALUE = 2
+};
+
 /* A storage class.  */
 
 typedef enum cp_storage_class {
@@ -4823,6 +4855,8 @@
       cp_cv_quals qualifiers;
       /* The virt-specifiers for the function.  */
       cp_virt_specifiers virt_specifiers;
+      /* The ref-qualifier for the function.  */
+      cp_ref_qualifier ref_qualifier;
       /* The exception-specification for the function.  */
       tree exception_specification;
       /* The late-specified return type, if any.  */
@@ -5171,14 +5205,15 @@
 
 /* in decl2.c */
 extern bool check_java_method			(tree);
-extern tree build_memfn_type			(tree, tree, cp_cv_quals);
+extern tree build_memfn_type			(tree, tree, cp_cv_quals, cp_ref_qualifier);
+extern tree build_pointer_ptrmemfn_type	(tree);
 extern tree change_return_type			(tree, tree);
 extern void maybe_retrofit_in_chrg		(tree);
 extern void maybe_make_one_only			(tree);
 extern bool vague_linkage_p			(tree);
 extern void grokclassfn				(tree, tree,
 						 enum overload_flags);
-extern tree grok_array_decl			(location_t, tree, tree);
+extern tree grok_array_decl			(location_t, tree, tree, bool);
 extern tree delete_sanity			(tree, tree, bool, int, tsubst_flags_t);
 extern tree check_classfn			(tree, tree, tree);
 extern void check_member_template		(tree);
@@ -5282,7 +5317,8 @@
 extern tree build_zero_init			(tree, tree, bool);
 extern tree build_value_init			(tree, tsubst_flags_t);
 extern tree build_value_init_noctor		(tree, tsubst_flags_t);
-extern tree build_offset_ref			(tree, tree, bool);
+extern tree build_offset_ref			(tree, tree, bool,
+						 tsubst_flags_t);
 extern tree build_new				(vec<tree, va_gc> **, tree, tree,
 						 vec<tree, va_gc> **, int,
                                                  tsubst_flags_t);
@@ -5642,7 +5678,8 @@
 extern tree finish_increment_expr		(tree, enum tree_code);
 extern tree finish_this_expr			(void);
 extern tree finish_pseudo_destructor_expr       (tree, tree, tree);
-extern tree finish_unary_op_expr		(location_t, enum tree_code, tree);
+extern tree finish_unary_op_expr		(location_t, enum tree_code, tree,
+						 tsubst_flags_t);
 extern tree finish_compound_literal		(tree, tree, tsubst_flags_t);
 extern tree finish_fname			(tree);
 extern void finish_translation_unit		(void);
@@ -5676,7 +5713,7 @@
 							      location_t);
 extern void check_accessibility_of_qualified_id (tree, tree, tree);
 extern tree finish_qualified_id_expr		(tree, tree, bool, bool,
-						 bool, bool);
+						 bool, bool, tsubst_flags_t);
 extern void simplify_aggr_init_expr		(tree *);
 extern void finalize_nrv			(tree *, tree, tree);
 extern void note_decl_for_pch			(tree);
@@ -5777,6 +5814,7 @@
 extern tree hash_tree_cons			(tree, tree, tree);
 extern tree hash_tree_chain			(tree, tree);
 extern tree build_qualified_name		(tree, tree, tree, bool);
+extern tree build_ref_qualified_type		(tree, cp_ref_qualifier);
 extern int is_overloaded_fn			(tree);
 extern tree dependent_name			(tree);
 extern tree get_fns				(tree);
@@ -5934,7 +5972,8 @@
 						 tsubst_flags_t);
 extern int cp_type_quals			(const_tree);
 extern int type_memfn_quals			(const_tree);
-extern tree apply_memfn_quals			(tree, cp_cv_quals);
+extern cp_ref_qualifier type_memfn_rqual	(const_tree);
+extern tree apply_memfn_quals			(tree, cp_cv_quals, cp_ref_qualifier);
 extern bool cp_has_mutable_p			(const_tree);
 extern bool at_least_as_qualified_p		(const_tree, const_tree);
 extern void cp_apply_type_quals_to_decl		(int, tree);
Index: gcc/cp/search.c
===================================================================
--- gcc/cp/search.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/cp/search.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -188,6 +188,14 @@
   tree t_binfo;
   base_kind bk;
 
+  /* "Nothing" is definitely not derived from Base.  */
+  if (t == NULL_TREE)
+    {
+      if (kind_ptr)
+	*kind_ptr = bk_not_base;
+      return NULL_TREE;
+    }
+
   if (t == error_mark_node || base == error_mark_node)
     {
       if (kind_ptr)
Index: gcc/cp/name-lookup.h
===================================================================
--- gcc/cp/name-lookup.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/cp/name-lookup.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -132,10 +132,11 @@
   ts_global = 1,	/* All scopes.  This is the 3.4.1
 			   [basic.lookup.unqual] lookup mentioned
 			   in [basic.lookup.elab]/2.  */
-  ts_within_enclosing_non_class = 2	/* Search within enclosing non-class
+  ts_within_enclosing_non_class = 2,	/* Search within enclosing non-class
 					   only, for friend class lookup
 					   according to [namespace.memdef]/3
 					   and [class.friend]/9.  */
+  ts_lambda = 3			/* Declaring a lambda closure.  */
 } tag_scope;
 
 typedef struct GTY(()) cp_class_binding {
Index: gcc/tree-ssa-sink.c
===================================================================
--- gcc/tree-ssa-sink.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/tree-ssa-sink.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -335,7 +335,15 @@
 	      && gimple_vdef (use_stmt)
 	      && operand_equal_p (gimple_assign_lhs (stmt),
 				  gimple_assign_lhs (use_stmt), 0))
-	    continue;
+	    {
+	      /* If use_stmt is or might be a nop assignment then USE_STMT
+		 acts as a use as well as definition.  */
+	      if (stmt != use_stmt
+		  && ref_maybe_used_by_stmt_p (use_stmt,
+					       gimple_assign_lhs (stmt)))
+		return false;
+	      continue;
+	    }
 
 	  if (gimple_code (use_stmt) != GIMPLE_PHI)
 	    return false;
Index: gcc/config.in
===================================================================
--- gcc/config.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1278,12 +1278,6 @@
 #endif
 
 
-/* Define to 1 if you have the <libintl.h> header file. */
-#ifndef USED_FOR_TARGET
-#undef HAVE_LIBINTL_H
-#endif
-
-
 /* Define to 1 if you have the <limits.h> header file. */
 #ifndef USED_FOR_TARGET
 #undef HAVE_LIMITS_H
Index: gcc/ifcvt.c
===================================================================
--- gcc/ifcvt.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/ifcvt.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -964,6 +964,8 @@
 
   set_used_flags (if_info->x);
   set_used_flags (if_info->cond);
+  set_used_flags (if_info->a);
+  set_used_flags (if_info->b);
   unshare_all_rtl_in_chain (seq);
   end_sequence ();
 
@@ -3473,7 +3475,7 @@
      code processing.  ??? we should fix this in the future.  */
   if (EDGE_COUNT (then_bb->succs) == 0)
     {
-      if (single_pred_p (else_bb))
+      if (single_pred_p (else_bb) && else_bb != EXIT_BLOCK_PTR)
 	{
 	  rtx last_insn = BB_END (then_bb);
 
Index: gcc/expr.c
===================================================================
--- gcc/expr.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/expr.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -7563,6 +7563,15 @@
       inner = TREE_OPERAND (exp, 0);
       break;
 
+    case COMPOUND_LITERAL_EXPR:
+      /* Allow COMPOUND_LITERAL_EXPR in initializers, if e.g.
+	 rtl_for_decl_init is called on DECL_INITIAL with
+	 COMPOUNT_LITERAL_EXPRs in it, they aren't gimplified.  */
+      if (modifier == EXPAND_INITIALIZER
+	  && COMPOUND_LITERAL_EXPR_DECL (exp))
+	return expand_expr_addr_expr_1 (COMPOUND_LITERAL_EXPR_DECL (exp),
+					target, tmode, modifier, as);
+      /* FALLTHRU */
     default:
       /* If the object is a DECL, then expand it for its rtl.  Don't bypass
 	 expand_expr, as that can have various side effects; LABEL_DECLs for
@@ -8383,6 +8392,15 @@
 	      else
 		expand_operands (treeop0, treeop1, NULL_RTX, &op1, &op0,
 				 EXPAND_NORMAL);
+	      /* op0 and op1 might still be constant, despite the above
+		 != INTEGER_CST check.  Handle it.  */
+	      if (GET_MODE (op0) == VOIDmode && GET_MODE (op1) == VOIDmode)
+		{
+		  op0 = convert_modes (innermode, mode, op0, true);
+		  op1 = convert_modes (innermode, mode, op1, false);
+		  return REDUCE_BIT_FIELD (expand_mult (mode, op0, op1,
+							target, unsignedp));
+		}
 	      goto binop3;
 	    }
 	}
@@ -8405,6 +8423,19 @@
 		{
 		  expand_operands (treeop0, treeop1, NULL_RTX, &op0, &op1,
 				   EXPAND_NORMAL);
+		  /* op0 and op1 might still be constant, despite the above
+		     != INTEGER_CST check.  Handle it.  */
+		  if (GET_MODE (op0) == VOIDmode && GET_MODE (op1) == VOIDmode)
+		    {
+		     widen_mult_const:
+		      op0 = convert_modes (innermode, mode, op0, zextend_p);
+		      op1
+			= convert_modes (innermode, mode, op1,
+					 TYPE_UNSIGNED (TREE_TYPE (treeop1)));
+		      return REDUCE_BIT_FIELD (expand_mult (mode, op0, op1,
+							    target,
+							    unsignedp));
+		    }
 		  temp = expand_widening_mult (mode, op0, op1, target,
 					       unsignedp, this_optab);
 		  return REDUCE_BIT_FIELD (temp);
@@ -8417,9 +8448,14 @@
 		  op0 = expand_normal (treeop0);
 		  if (TREE_CODE (treeop1) == INTEGER_CST)
 		    op1 = convert_modes (innermode, mode,
-					 expand_normal (treeop1), unsignedp);
+					 expand_normal (treeop1),
+					 TYPE_UNSIGNED (TREE_TYPE (treeop1)));
 		  else
 		    op1 = expand_normal (treeop1);
+		  /* op0 and op1 might still be constant, despite the above
+		     != INTEGER_CST check.  Handle it.  */
+		  if (GET_MODE (op0) == VOIDmode && GET_MODE (op1) == VOIDmode)
+		    goto widen_mult_const;
 		  temp = expand_binop (mode, other_optab, op0, op1, target,
 				       unsignedp, OPTAB_LIB_WIDEN);
 		  hipart = gen_highpart (innermode, temp);
Index: gcc/tree-ssa-loop-ivcanon.c
===================================================================
--- gcc/tree-ssa-loop-ivcanon.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/tree-ssa-loop-ivcanon.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -257,8 +257,10 @@
 
 	  /* Look for reasons why we might optimize this stmt away. */
 
+	  if (gimple_has_side_effects (stmt))
+	    ;
 	  /* Exit conditional.  */
-	  if (exit && body[i] == exit->src
+	  else if (exit && body[i] == exit->src
 		   && stmt == last_stmt (exit->src))
 	    {
 	      if (dump_file && (dump_flags & TDF_DETAILS))
@@ -1085,8 +1087,9 @@
       tree lhs;
 
       if (is_gimple_assign (stmt)
+	  && gimple_assign_rhs_code (stmt) == INTEGER_CST
 	  && (lhs = gimple_assign_lhs (stmt), TREE_CODE (lhs) == SSA_NAME)
-	  && gimple_assign_rhs_code (stmt) == INTEGER_CST)
+	  && !SSA_NAME_OCCURS_IN_ABNORMAL_PHI (lhs))
 	{
 	  propagate_into_all_uses (lhs, gimple_assign_rhs1 (stmt));
 	  gsi_remove (&gsi, true);
@@ -1097,6 +1100,63 @@
     }
 }
 
+/* Process loops from innermost to outer, stopping at the innermost
+   loop we unrolled.  */
+
+static bool
+tree_unroll_loops_completely_1 (bool may_increase_size, bool unroll_outer,
+				vec<loop_p, va_stack>& father_stack,
+				struct loop *loop)
+{
+  struct loop *loop_father;
+  bool changed = false;
+  struct loop *inner;
+  enum unroll_level ul;
+
+  /* Process inner loops first.  */
+  for (inner = loop->inner; inner != NULL; inner = inner->next)
+    changed |= tree_unroll_loops_completely_1 (may_increase_size,
+					       unroll_outer, father_stack,
+					       inner);
+ 
+  /* If we changed an inner loop we cannot process outer loops in this
+     iteration because SSA form is not up-to-date.  Continue with
+     siblings of outer loops instead.  */
+  if (changed)
+    return true;
+
+  /* Try to unroll this loop.  */
+  loop_father = loop_outer (loop);
+  if (!loop_father)
+    return false;
+
+  if (may_increase_size && optimize_loop_nest_for_speed_p (loop)
+      /* Unroll outermost loops only if asked to do so or they do
+	 not cause code growth.  */
+      && (unroll_outer || loop_outer (loop_father)))
+    ul = UL_ALL;
+  else
+    ul = UL_NO_GROWTH;
+
+  if (canonicalize_loop_induction_variables
+        (loop, false, ul, !flag_tree_loop_ivcanon))
+    {
+      /* If we'll continue unrolling, we need to propagate constants
+	 within the new basic blocks to fold away induction variable
+	 computations; otherwise, the size might blow up before the
+	 iteration is complete and the IR eventually cleaned up.  */
+      if (loop_outer (loop_father) && !loop_father->aux)
+	{
+	  father_stack.safe_push (loop_father);
+	  loop_father->aux = loop_father;
+	}
+
+      return true;
+    }
+
+  return false;
+}
+
 /* Unroll LOOPS completely if they iterate just few times.  Unless
    MAY_INCREASE_SIZE is true, perform the unrolling only if the
    size of the code does not increase.  */
@@ -1105,10 +1165,7 @@
 tree_unroll_loops_completely (bool may_increase_size, bool unroll_outer)
 {
   vec<loop_p, va_stack> father_stack;
-  loop_iterator li;
-  struct loop *loop;
   bool changed;
-  enum unroll_level ul;
   int iteration = 0;
   bool irred_invalidated = false;
 
@@ -1124,34 +1181,9 @@
       free_numbers_of_iterations_estimates ();
       estimate_numbers_of_iterations ();
 
-      FOR_EACH_LOOP (li, loop, LI_FROM_INNERMOST)
-	{
-	  struct loop *loop_father = loop_outer (loop);
-
-	  if (may_increase_size && optimize_loop_nest_for_speed_p (loop)
-	      /* Unroll outermost loops only if asked to do so or they do
-		 not cause code growth.  */
-	      && (unroll_outer || loop_outer (loop_father)))
-	    ul = UL_ALL;
-	  else
-	    ul = UL_NO_GROWTH;
-
-	  if (canonicalize_loop_induction_variables
-		 (loop, false, ul, !flag_tree_loop_ivcanon))
-	    {
-	      changed = true;
-	      /* If we'll continue unrolling, we need to propagate constants
-		 within the new basic blocks to fold away induction variable
-		 computations; otherwise, the size might blow up before the
-		 iteration is complete and the IR eventually cleaned up.  */
-	      if (loop_outer (loop_father) && !loop_father->aux)
-	        {
-		  father_stack.safe_push (loop_father);
-		  loop_father->aux = loop_father;
-		}
-	    }
-	}
-
+      changed = tree_unroll_loops_completely_1 (may_increase_size,
+						unroll_outer, father_stack,
+						current_loops->tree_root);
       if (changed)
 	{
 	  struct loop **iter;
Index: gcc/predict.c
===================================================================
--- gcc/predict.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/predict.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -122,6 +122,8 @@
   if (node->frequency == NODE_FREQUENCY_EXECUTED_ONCE
       && freq < (ENTRY_BLOCK_PTR_FOR_FUNCTION (fun)->frequency * 2 / 3))
     return false;
+  if (PARAM_VALUE (HOT_BB_FREQUENCY_FRACTION) == 0)
+    return false;
   if (freq < (ENTRY_BLOCK_PTR_FOR_FUNCTION (fun)->frequency
 	      / PARAM_VALUE (HOT_BB_FREQUENCY_FRACTION)))
     return false;
@@ -185,10 +187,13 @@
   if (edge->caller->frequency == NODE_FREQUENCY_EXECUTED_ONCE
       && edge->frequency < CGRAPH_FREQ_BASE * 3 / 2)
     return false;
-  if (flag_guess_branch_prob
-      && edge->frequency <= (CGRAPH_FREQ_BASE
-      			     / PARAM_VALUE (HOT_BB_FREQUENCY_FRACTION)))
-    return false;
+  if (flag_guess_branch_prob)
+    {
+      if (PARAM_VALUE (HOT_BB_FREQUENCY_FRACTION) == 0
+	  || edge->frequency <= (CGRAPH_FREQ_BASE
+				 / PARAM_VALUE (HOT_BB_FREQUENCY_FRACTION)))
+        return false;
+    }
   return true;
 }
 
Index: gcc/tree-parloops.c
===================================================================
--- gcc/tree-parloops.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/tree-parloops.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -947,9 +947,9 @@
 
   struct reduction_info *const red = (struct reduction_info *) *slot;
   tree const type = (tree) data;
-  tree var = SSA_NAME_VAR (gimple_assign_lhs (red->reduc_stmt));
-  tree field = build_decl (gimple_location (red->reduc_stmt),
-			   FIELD_DECL, DECL_NAME (var), TREE_TYPE (var));
+  tree var = gimple_assign_lhs (red->reduc_stmt);
+  tree field = build_decl (gimple_location (red->reduc_stmt), FIELD_DECL,
+			   SSA_NAME_IDENTIFIER (var), TREE_TYPE (var));
 
   insert_field_into_struct (type, field);
 
Index: gcc/ada/ChangeLog
===================================================================
--- gcc/ada/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/ada/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,14 @@
+2013-05-07  Eric Botcazou  <ebotcazou@adacore.com>
+
+	PR ada/56474
+	* gcc-interface/decl.c (gnat_to_gnu_entity) <E_Array_Subtype>: Use
+	int_const_binop to shift bounds by 1 when they are integer constants.
+
+2013-04-23  Kai Tietz  <ktietz@redhat.com>
+
+	PR target/55445
+	* raise-gcc.c (__SEH__): Additional check that SjLj isn't active.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
Index: gcc/ada/raise-gcc.c
===================================================================
--- gcc/ada/raise-gcc.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/ada/raise-gcc.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1019,7 +1019,7 @@
 
 #ifdef __USING_SJLJ_EXCEPTIONS__
 #define PERSONALITY_FUNCTION    __gnat_personality_sj0
-#elif defined(__SEH__)
+#elif defined (__SEH__)
 #define PERSONALITY_FUNCTION    __gnat_personality_imp
 #else
 #define PERSONALITY_FUNCTION    __gnat_personality_v0
@@ -1056,7 +1056,7 @@
 typedef _Unwind_Action phases_arg_t;
 #endif
 
-#ifdef __SEH__
+#if defined (__SEH__) && !defined (__USING_SJLJ_EXCEPTIONS__)
 static
 #endif
 _Unwind_Reason_Code
@@ -1222,7 +1222,7 @@
 #endif
 }
 
-#ifdef __SEH__
+#if defined (__SEH__) && !defined (__USING_SJLJ_EXCEPTIONS__)
 
 #define STATUS_USER_DEFINED		(1U << 29)
 
Index: gcc/ada/gcc-interface/decl.c
===================================================================
--- gcc/ada/gcc-interface/decl.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/ada/gcc-interface/decl.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -2447,15 +2447,17 @@
 							gnu_orig_max,
 							gnu_orig_min),
 				       gnu_min,
-				       size_binop (PLUS_EXPR, gnu_max,
-						   size_one_node));
+				       int_const_binop (PLUS_EXPR, gnu_max,
+							size_one_node));
 		}
 
 	      /* Finally we use (hb >= lb) ? hb : lb - 1 for the upper bound
 		 in all the other cases.  Note that, here as well as above,
 		 the condition used in the comparison must be equivalent to
 		 the condition (length != 0).  This is relied upon in order
-		 to optimize array comparisons in compare_arrays.  */
+		 to optimize array comparisons in compare_arrays.  Moreover
+		 we use int_const_binop for the shift by 1 if the bound is
+		 constant to avoid any unwanted overflow.  */
 	      else
 		gnu_high
 		  = build_cond_expr (sizetype,
@@ -2464,8 +2466,11 @@
 						      gnu_orig_max,
 						      gnu_orig_min),
 				     gnu_max,
-				     size_binop (MINUS_EXPR, gnu_min,
-						 size_one_node));
+				     TREE_CODE (gnu_min) == INTEGER_CST
+				     ? int_const_binop (MINUS_EXPR, gnu_min,
+							size_one_node)
+				     : size_binop (MINUS_EXPR, gnu_min,
+						   size_one_node));
 
 	      /* Reuse the index type for the range type.  Then make an index
 		 type with the size range in sizetype.  */
Index: gcc/tsan.c
===================================================================
--- gcc/tsan.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/tsan.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -128,10 +128,13 @@
 	return false;
     }
 
-  if (TREE_READONLY (base))
+  if (TREE_READONLY (base)
+      || (TREE_CODE (base) == VAR_DECL
+	  && DECL_HARD_REGISTER (base)))
     return false;
 
-  if (bitpos % (size * BITS_PER_UNIT)
+  if (size == 0
+      || bitpos % (size * BITS_PER_UNIT)
       || bitsize != size * BITS_PER_UNIT)
     return false;
 
@@ -681,7 +684,8 @@
     {
       gsi = gsi_last_bb (e->src);
       stmt = gsi_stmt (gsi);
-      gcc_assert (gimple_code (stmt) == GIMPLE_RETURN);
+      gcc_assert (gimple_code (stmt) == GIMPLE_RETURN
+		  || gimple_call_builtin_p (stmt, BUILT_IN_RETURN));
       loc = gimple_location (stmt);
       builtin_decl = builtin_decl_implicit (BUILT_IN_TSAN_FUNC_EXIT);
       g = gimple_build_call (builtin_decl, 0);
Index: gcc/gimple-ssa-strength-reduction.c
===================================================================
--- gcc/gimple-ssa-strength-reduction.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/gimple-ssa-strength-reduction.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1829,16 +1829,20 @@
       if (c->kind == CAND_ADD
 	  && c->index == increment
 	  && (increment.sgt (double_int_one)
-	      || increment.slt (double_int_minus_one)))
+	      || increment.slt (double_int_minus_one))
+	  && (gimple_assign_rhs_code (c->cand_stmt) == PLUS_EXPR
+	      || gimple_assign_rhs_code (c->cand_stmt) == POINTER_PLUS_EXPR))
 	{
-	  tree t0;
+	  tree t0 = NULL_TREE;
 	  tree rhs1 = gimple_assign_rhs1 (c->cand_stmt);
 	  tree rhs2 = gimple_assign_rhs2 (c->cand_stmt);
 	  if (operand_equal_p (rhs1, c->base_expr, 0))
 	    t0 = rhs2;
-	  else
+	  else if (operand_equal_p (rhs2, c->base_expr, 0))
 	    t0 = rhs1;
-	  if (SSA_NAME_DEF_STMT (t0) && gimple_bb (SSA_NAME_DEF_STMT (t0)))
+	  if (t0
+	      && SSA_NAME_DEF_STMT (t0)
+	      && gimple_bb (SSA_NAME_DEF_STMT (t0)))
 	    {
 	      incr_vec[incr_vec_len].initializer = t0;
 	      incr_vec[incr_vec_len++].init_bb
Index: gcc/tree-eh.c
===================================================================
--- gcc/tree-eh.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/tree-eh.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1855,7 +1855,8 @@
       this_region = gen_eh_region_must_not_throw (state->cur_region);
       this_region->u.must_not_throw.failure_decl
 	= gimple_eh_must_not_throw_fndecl (inner);
-      this_region->u.must_not_throw.failure_loc = gimple_location (tp);
+      this_region->u.must_not_throw.failure_loc
+	= LOCATION_LOCUS (gimple_location (tp));
 
       /* In order to get mangling applied to this decl, we must mark it
 	 used now.  Otherwise, pass_ipa_free_lang_data won't think it
Index: gcc/fortran/interface.c
===================================================================
--- gcc/fortran/interface.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/fortran/interface.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1182,9 +1182,16 @@
 {
   gfc_symbol *r1, *r2;
 
-  r1 = s1->result ? s1->result : s1;
-  r2 = s2->result ? s2->result : s2;
+  if (s1->ts.interface && s1->ts.interface->result)
+    r1 = s1->ts.interface->result;
+  else
+    r1 = s1->result ? s1->result : s1;
 
+  if (s2->ts.interface && s2->ts.interface->result)
+    r2 = s2->ts.interface->result;
+  else
+    r2 = s2->result ? s2->result : s2;
+
   if (r1->ts.type == BT_UNKNOWN)
     return SUCCESS;
 
Index: gcc/fortran/ChangeLog
===================================================================
--- gcc/fortran/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/fortran/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,73 @@
+2013-05-22  Janne Blomqvist  <jb@gcc.gnu.org>
+
+	* intrinsic.texi (RANDOM_SEED): Improve example.
+
+2013-05-07  Tobias Burnus  <burnus@net-b.de>
+
+	Backport from mainline
+	2013-05-02  Tobias Burnus  <burnus@net-b.de>
+
+	PR fortran/57142
+	* simplify.c (gfc_simplify_size): Renamed from
+	simplify_size; fix kind=8 handling.
+	(gfc_simplify_size): New function.
+	(gfc_simplify_shape): Add range check.
+	* resolve.c (resolve_function): Fix handling
+	for ISYM_SIZE.
+
+2013-04-26  Janus Weil  <janus@gcc.gnu.org>
+
+	Backports from trunk:
+
+	PR fortran/56814
+	* interface.c (check_result_characteristics): Get result from interface
+	if present.
+
+	PR fortran/56968
+	* expr.c (gfc_check_pointer_assign): Handle generic functions returning
+	procedure pointers.
+
+	PR fortran/53685
+	PR fortran/57022
+	* check.c (gfc_calculate_transfer_sizes): Fix for array-valued SOURCE
+	expressions.
+	* target-memory.h (gfc_element_size): New prototype.
+	* target-memory.c (size_array): Remove.
+	(gfc_element_size): New function.
+	(gfc_target_expr_size): Modified to always return the full size of the
+	expression.
+
+2013-04-22  Thomas Koenig  <tkoenig@gcc.gnu.org>
+	    Mikael Morin  <mikael@gcc.gnu.org>
+
+	PR fortran/56872
+	* frontend-passes.c (copy_walk_reduction_arg): Change argument type
+	to gfc_constructor.  If it has an iterator, wrap the copy of its
+	expression in an array constructor with that iterator.  Don't special
+	case function expressions.
+	(callback_reduction): Update caller.  Don't return early if there is
+	an iterator.
+
+2013-04-18  Mikael Morin  <mikael@gcc.gnu.org>
+
+	PR fortran/56816
+	* match.c (gfc_match_select_type): Add syntax error. Move namespace
+	allocation and cleanup...
+	* parse.c (decode_statement): ... here.
+
+2013-04-18  Tobias Burnus  <burnus@net-b.de>
+
+	PR fortran/56994
+	* invoke.texi (NEAREST): S argument is not optional.
+
+2013-04-08  Thomas Koenig  <tkoenig@gcc.gnu.org>
+
+	PR fortran/56782
+	Backport fron trunk.
+	* frontend-passes.c (callback_reduction):  Dont't do
+	any simplification if there is only a single element
+	which has an iterator.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
Index: gcc/fortran/expr.c
===================================================================
--- gcc/fortran/expr.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/fortran/expr.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -3528,7 +3528,11 @@
 	}
       else if (rvalue->expr_type == EXPR_FUNCTION)
 	{
-	  s2 = rvalue->symtree->n.sym->result;
+	  if (rvalue->value.function.esym)
+	    s2 = rvalue->value.function.esym->result;
+	  else
+	    s2 = rvalue->symtree->n.sym->result;
+
 	  name = s2->name;
 	}
       else
Index: gcc/fortran/frontend-passes.c
===================================================================
--- gcc/fortran/frontend-passes.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/fortran/frontend-passes.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -188,37 +188,49 @@
    old one can be freed.  */
 
 static gfc_expr *
-copy_walk_reduction_arg (gfc_expr *e, gfc_expr *fn)
+copy_walk_reduction_arg (gfc_constructor *c, gfc_expr *fn)
 {
-  gfc_expr *fcn;
-  gfc_isym_id id;
+  gfc_expr *fcn, *e = c->expr;
 
-  if (e->rank == 0 || e->expr_type == EXPR_FUNCTION)
-    fcn = gfc_copy_expr (e);
-  else
+  fcn = gfc_copy_expr (e);
+  if (c->iterator)
     {
-      id = fn->value.function.isym->id;
+      gfc_constructor_base newbase;
+      gfc_expr *new_expr;
+      gfc_constructor *new_c;
 
+      newbase = NULL;
+      new_expr = gfc_get_expr ();
+      new_expr->expr_type = EXPR_ARRAY;
+      new_expr->ts = e->ts;
+      new_expr->where = e->where;
+      new_expr->rank = 1;
+      new_c = gfc_constructor_append_expr (&newbase, fcn, &(e->where));
+      new_c->iterator = c->iterator;
+      new_expr->value.constructor = newbase;
+      c->iterator = NULL;
+
+      fcn = new_expr;
+    }
+
+  if (fcn->rank != 0)
+    {
+      gfc_isym_id id = fn->value.function.isym->id;
+
       if (id == GFC_ISYM_SUM || id == GFC_ISYM_PRODUCT)
-	fcn = gfc_build_intrinsic_call (current_ns,
-					fn->value.function.isym->id,
+	fcn = gfc_build_intrinsic_call (current_ns, id,
 					fn->value.function.isym->name,
-					fn->where, 3, gfc_copy_expr (e),
-					NULL, NULL);
+					fn->where, 3, fcn, NULL, NULL);
       else if (id == GFC_ISYM_ANY || id == GFC_ISYM_ALL)
-	fcn = gfc_build_intrinsic_call (current_ns,
-					fn->value.function.isym->id,
+	fcn = gfc_build_intrinsic_call (current_ns, id,
 					fn->value.function.isym->name,
-					fn->where, 2, gfc_copy_expr (e),
-					NULL);
+					fn->where, 2, fcn, NULL);
       else
 	gfc_internal_error ("Illegal id in copy_walk_reduction_arg");
 
       fcn->symtree->n.sym->attr.access = ACCESS_PRIVATE;
     }
 
-  (void) gfc_expr_walker (&fcn, callback_reduction, NULL);
-
   return fcn;
 }
 
@@ -296,10 +308,15 @@
 
   c = gfc_constructor_first (arg->value.constructor);
 
+  /* Don't do any simplififcation if we have
+     - no element in the constructor or
+     - only have a single element in the array which contains an
+     iterator.  */
+
   if (c == NULL)
     return 0;
 
-  res = copy_walk_reduction_arg (c->expr, fn);
+  res = copy_walk_reduction_arg (c, fn);
 
   c = gfc_constructor_next (c);
   while (c)
@@ -311,7 +328,7 @@
       new_expr->where = fn->where;
       new_expr->value.op.op = op;
       new_expr->value.op.op1 = res;
-      new_expr->value.op.op2 = copy_walk_reduction_arg (c->expr, fn);
+      new_expr->value.op.op2 = copy_walk_reduction_arg (c, fn);
       res = new_expr;
       c = gfc_constructor_next (c);
     }
Index: gcc/fortran/resolve.c
===================================================================
--- gcc/fortran/resolve.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/fortran/resolve.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -3247,6 +3247,7 @@
       for (arg = expr->value.function.actual; arg; arg = arg->next)
 	{
 	  if ((GENERIC_ID == GFC_ISYM_UBOUND || GENERIC_ID == GFC_ISYM_SIZE)
+	      && arg == expr->value.function.actual
 	      && arg->next != NULL && arg->next->expr)
 	    {
 	      if (arg->next->expr->expr_type != EXPR_CONSTANT)
Index: gcc/fortran/target-memory.c
===================================================================
--- gcc/fortran/target-memory.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/fortran/target-memory.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -35,17 +35,7 @@
 /* --------------------------------------------------------------- */ 
 /* Calculate the size of an expression.  */
 
-static size_t
-size_array (gfc_expr *e)
-{
-  mpz_t array_size;
-  gfc_constructor *c = gfc_constructor_first (e->value.constructor);
-  size_t elt_size = gfc_target_expr_size (c->expr);
 
-  gfc_array_size (e, &array_size);
-  return (size_t)mpz_get_ui (array_size) * elt_size;
-}
-
 static size_t
 size_integer (int kind)
 {
@@ -82,16 +72,14 @@
 }
 
 
+/* Return the size of a single element of the given expression.
+   Identical to gfc_target_expr_size for scalars.  */
+
 size_t
-gfc_target_expr_size (gfc_expr *e)
+gfc_element_size (gfc_expr *e)
 {
   tree type;
 
-  gcc_assert (e != NULL);
-
-  if (e->expr_type == EXPR_ARRAY)
-    return size_array (e);
-
   switch (e->ts.type)
     {
     case BT_INTEGER:
@@ -133,12 +121,36 @@
 	return size;
       }
     default:
-      gfc_internal_error ("Invalid expression in gfc_target_expr_size.");
+      gfc_internal_error ("Invalid expression in gfc_element_size.");
       return 0;
     }
 }
 
 
+/* Return the size of an expression in its target representation.  */
+
+size_t
+gfc_target_expr_size (gfc_expr *e)
+{
+  mpz_t tmp;
+  size_t asz;
+
+  gcc_assert (e != NULL);
+
+  if (e->rank)
+    {
+      if (gfc_array_size (e, &tmp))
+	asz = mpz_get_ui (tmp);
+      else
+	asz = 0;
+    }
+  else
+    asz = 1;
+
+  return asz * gfc_element_size (e);
+}
+
+
 /* The encode_* functions export a value into a buffer, and 
    return the number of bytes of the buffer that have been
    used.  */
Index: gcc/fortran/match.c
===================================================================
--- gcc/fortran/match.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/fortran/match.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -5364,7 +5364,6 @@
   char name[GFC_MAX_SYMBOL_LEN];
   bool class_array;
   gfc_symbol *sym;
-  gfc_namespace *parent_ns;
 
   m = gfc_match_label ();
   if (m == MATCH_ERROR)
@@ -5374,8 +5373,6 @@
   if (m != MATCH_YES)
     return m;
 
-  gfc_current_ns = gfc_build_block_ns (gfc_current_ns);
-
   m = gfc_match (" %n => %e", name, &expr2);
   if (m == MATCH_YES)
     {
@@ -5406,7 +5403,10 @@
 
   m = gfc_match (" )%t");
   if (m != MATCH_YES)
-    goto cleanup;
+    {
+      gfc_error ("parse error in SELECT TYPE statement at %C");
+      goto cleanup;
+    }
 
   /* This ghastly expression seems to be needed to distinguish a CLASS
      array, which can have a reference, from other expressions that
@@ -5444,9 +5444,6 @@
   return MATCH_YES;
 
 cleanup:
-  parent_ns = gfc_current_ns->parent;
-  gfc_free_namespace (gfc_current_ns);
-  gfc_current_ns = parent_ns;
   return m;
 }
 
Index: gcc/fortran/target-memory.h
===================================================================
--- gcc/fortran/target-memory.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/fortran/target-memory.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -24,7 +24,7 @@
 /* Convert a BOZ to REAL or COMPLEX.  */
 bool gfc_convert_boz (gfc_expr *, gfc_typespec *);
 
-/* Return the size of an expression in its target representation.  */
+size_t gfc_element_size (gfc_expr *);
 size_t gfc_target_expr_size (gfc_expr *);
 
 /* Write a constant expression in binary form to a target buffer.  */
Index: gcc/fortran/parse.c
===================================================================
--- gcc/fortran/parse.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/fortran/parse.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -262,6 +262,7 @@
 static gfc_statement
 decode_statement (void)
 {
+  gfc_namespace *ns;
   gfc_statement st;
   locus old_locus;
   match m;
@@ -363,7 +364,12 @@
   match (NULL, gfc_match_associate, ST_ASSOCIATE);
   match (NULL, gfc_match_critical, ST_CRITICAL);
   match (NULL, gfc_match_select, ST_SELECT_CASE);
+
+  gfc_current_ns = gfc_build_block_ns (gfc_current_ns);
   match (NULL, gfc_match_select_type, ST_SELECT_TYPE);
+  ns = gfc_current_ns;
+  gfc_current_ns = gfc_current_ns->parent;
+  gfc_free_namespace (ns);
 
   /* General statement matching: Instead of testing every possible
      statement, we eliminate most possibilities by peeking at the
Index: gcc/fortran/check.c
===================================================================
--- gcc/fortran/check.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/fortran/check.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -4017,8 +4017,6 @@
 			      size_t *result_length_p)
 {
   size_t result_elt_size;
-  mpz_t tmp;
-  gfc_expr *mold_element;
 
   if (source->expr_type == EXPR_FUNCTION)
     return FAILURE;
@@ -4027,20 +4025,12 @@
     return FAILURE;
 
   /* Calculate the size of the source.  */
-  if (source->expr_type == EXPR_ARRAY
-      && gfc_array_size (source, &tmp) == FAILURE)
-    return FAILURE;
-
   *source_size = gfc_target_expr_size (source);
   if (*source_size == 0)
     return FAILURE;
 
-  mold_element = mold->expr_type == EXPR_ARRAY
-		 ? gfc_constructor_first (mold->value.constructor)->expr
-		 : mold;
-
   /* Determine the size of the element.  */
-  result_elt_size = gfc_target_expr_size (mold_element);
+  result_elt_size = gfc_element_size (mold);
   if (result_elt_size == 0)
     return FAILURE;
 
Index: gcc/fortran/intrinsic.texi
===================================================================
--- gcc/fortran/intrinsic.texi	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/fortran/intrinsic.texi	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -9248,7 +9248,7 @@
 @item @emph{Arguments}:
 @multitable @columnfractions .15 .70
 @item @var{X} @tab Shall be of type @code{REAL}.
-@item @var{S} @tab (Optional) shall be of type @code{REAL} and
+@item @var{S} @tab Shall be of type @code{REAL} and
 not equal to zero.
 @end multitable
 
@@ -10173,9 +10173,12 @@
 Restarts or queries the state of the pseudorandom number generator used by 
 @code{RANDOM_NUMBER}.
 
-If @code{RANDOM_SEED} is called without arguments, it is initialized to
-a default state. The example below shows how to initialize the random 
-seed based on the system's time.
+If @code{RANDOM_SEED} is called without arguments, it is initialized
+to a default state. The example below shows how to initialize the
+random seed with a varying seed in order to ensure a different random
+number sequence for each invocation of the program. Note that setting
+any of the seed values to zero should be avoided as it can result in
+poor quality random numbers being generated.
 
 @item @emph{Standard}:
 Fortran 95 and later
@@ -10203,20 +10206,53 @@
 
 @item @emph{Example}:
 @smallexample
-SUBROUTINE init_random_seed()
-  INTEGER :: i, n, clock
-  INTEGER, DIMENSION(:), ALLOCATABLE :: seed
-
-  CALL RANDOM_SEED(size = n)
-  ALLOCATE(seed(n))
-
-  CALL SYSTEM_CLOCK(COUNT=clock)
-
-  seed = clock + 37 * (/ (i - 1, i = 1, n) /)
-  CALL RANDOM_SEED(PUT = seed)
-
-  DEALLOCATE(seed)
-END SUBROUTINE
+subroutine init_random_seed()
+  implicit none
+  integer, allocatable :: seed(:)
+  integer :: i, n, un, istat, dt(8), pid, t(2), s
+  integer(8) :: count, tms
+  
+  call random_seed(size = n)
+  allocate(seed(n))
+  ! First try if the OS provides a random number generator
+  open(newunit=un, file="/dev/urandom", access="stream", &
+       form="unformatted", action="read", status="old", iostat=istat)
+  if (istat == 0) then
+     read(un) seed
+     close(un)
+  else
+     ! Fallback to XOR:ing the current time and pid. The PID is
+     ! useful in case one launches multiple instances of the same
+     ! program in parallel.
+     call system_clock(count)
+     if (count /= 0) then
+        t = transfer(count, t)
+     else
+        call date_and_time(values=dt)
+        tms = (dt(1) - 1970) * 365_8 * 24 * 60 * 60 * 1000 &
+             + dt(2) * 31_8 * 24 * 60 * 60 * 1000 &
+             + dt(3) * 24 * 60 * 60 * 60 * 1000 &
+             + dt(5) * 60 * 60 * 1000 &
+             + dt(6) * 60 * 1000 + dt(7) * 1000 &
+             + dt(8)
+        t = transfer(tms, t)
+     end if
+     s = ieor(t(1), t(2))
+     pid = getpid() + 1099279 ! Add a prime
+     s = ieor(s, pid)
+     if (n >= 3) then
+        seed(1) = t(1) + 36269
+        seed(2) = t(2) + 72551
+        seed(3) = pid
+        if (n > 3) then
+           seed(4:) = s + 37 * (/ (i, i = 0, n - 4) /)
+        end if
+     else 
+        seed = s + 37 * (/ (i, i = 0, n - 1 ) /)
+     end if
+  end if
+  call random_seed(put=seed)
+end subroutine init_random_seed
 @end smallexample
 
 @item @emph{See also}:
Index: gcc/fortran/simplify.c
===================================================================
--- gcc/fortran/simplify.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/fortran/simplify.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -32,7 +32,9 @@
 
 gfc_expr gfc_bad_expr;
 
+static gfc_expr *simplify_size (gfc_expr *, gfc_expr *, int);
 
+
 /* Note that 'simplification' is not just transforming expressions.
    For functions that are not simplified at compile time, range
    checking is done if possible.
@@ -3247,7 +3249,7 @@
 	  gfc_expr* dim = result;
 	  mpz_set_si (dim->value.integer, d);
 
-	  result = gfc_simplify_size (array, dim, kind);
+	  result = simplify_size (array, dim, k);
 	  gfc_free_expr (dim);
 	  if (!result)
 	    goto returnNull;
@@ -5503,15 +5505,12 @@
       e = gfc_get_constant_expr (BT_INTEGER, k, &source->where);
 
       if (t == SUCCESS)
-	{
-	  mpz_set (e->value.integer, shape[n]);
-	  mpz_clear (shape[n]);
-	}
+	mpz_set (e->value.integer, shape[n]);
       else
 	{
 	  mpz_set_ui (e->value.integer, n + 1);
 
-	  f = gfc_simplify_size (source, e, NULL);
+	  f = simplify_size (source, e, k);
 	  gfc_free_expr (e);
 	  if (f == NULL)
 	    {
@@ -5522,24 +5521,31 @@
 	    e = f;
 	}
 
+      if (e == &gfc_bad_expr || range_check (e, "SHAPE") == &gfc_bad_expr)
+	{
+	  gfc_free_expr (result);
+	  if (t)
+	    gfc_clear_shape (shape, source->rank);
+	  return &gfc_bad_expr;
+	}
+
       gfc_constructor_append_expr (&result->value.constructor, e, NULL);
     }
 
+  if (t)
+    gfc_clear_shape (shape, source->rank);
+
   return result;
 }
 
 
-gfc_expr *
-gfc_simplify_size (gfc_expr *array, gfc_expr *dim, gfc_expr *kind)
+static gfc_expr *
+simplify_size (gfc_expr *array, gfc_expr *dim, int k)
 {
   mpz_t size;
   gfc_expr *return_value;
   int d;
-  int k = get_kind (BT_INTEGER, kind, "SIZE", gfc_default_integer_kind);
 
-  if (k == -1)
-    return &gfc_bad_expr;
-
   /* For unary operations, the size of the result is given by the size
      of the operand.  For binary ones, it's the size of the first operand
      unless it is scalar, then it is the size of the second.  */
@@ -5568,7 +5574,7 @@
 	      replacement = array->value.op.op1;
 	    else
 	      {
-		simplified = gfc_simplify_size (array->value.op.op1, dim, kind);
+		simplified = simplify_size (array->value.op.op1, dim, k);
 		if (simplified)
 		  return simplified;
 
@@ -5578,18 +5584,20 @@
 	}
 
       /* Try to reduce it directly if possible.  */
-      simplified = gfc_simplify_size (replacement, dim, kind);
+      simplified = simplify_size (replacement, dim, k);
 
       /* Otherwise, we build a new SIZE call.  This is hopefully at least
 	 simpler than the original one.  */
       if (!simplified)
-	simplified = gfc_build_intrinsic_call (gfc_current_ns,
-					       GFC_ISYM_SIZE, "size",
-					       array->where, 3,
-					       gfc_copy_expr (replacement),
-					       gfc_copy_expr (dim),
-					       gfc_copy_expr (kind));
-
+	{
+	  gfc_expr *kind = gfc_get_int_expr (gfc_default_integer_kind, NULL, k);
+	  simplified = gfc_build_intrinsic_call (gfc_current_ns,
+						 GFC_ISYM_SIZE, "size",
+						 array->where, 3,
+						 gfc_copy_expr (replacement),
+						 gfc_copy_expr (dim),
+						 kind);
+	}
       return simplified;
     }
 
@@ -5608,13 +5616,32 @@
 	return NULL;
     }
 
-  return_value = gfc_get_int_expr (k, &array->where, mpz_get_si (size));
+  return_value = gfc_get_constant_expr (BT_INTEGER, k, &array->where);
+  mpz_set (return_value->value.integer, size);
   mpz_clear (size);
+
   return return_value;
 }
 
 
 gfc_expr *
+gfc_simplify_size (gfc_expr *array, gfc_expr *dim, gfc_expr *kind)
+{
+  gfc_expr *result;
+  int k = get_kind (BT_INTEGER, kind, "SIZE", gfc_default_integer_kind);
+
+  if (k == -1)
+    return &gfc_bad_expr;
+
+  result = simplify_size (array, dim, k);
+  if (result == NULL || result == &gfc_bad_expr)
+    return result;
+
+  return range_check (result, "SIZE");
+}
+
+
+gfc_expr *
 gfc_simplify_sign (gfc_expr *x, gfc_expr *y)
 {
   gfc_expr *result;
Index: gcc/configure.ac
===================================================================
--- gcc/configure.ac	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/configure.ac	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -942,7 +942,7 @@
 AC_CHECK_HEADERS(limits.h stddef.h string.h strings.h stdlib.h time.h iconv.h \
 		 fcntl.h unistd.h sys/file.h sys/time.h sys/mman.h \
 		 sys/resource.h sys/param.h sys/times.h sys/stat.h \
-		 direct.h malloc.h langinfo.h ldfcn.h locale.h wchar.h libintl.h)
+		 direct.h malloc.h langinfo.h ldfcn.h locale.h wchar.h)
 
 # Check for thread headers.
 AC_CHECK_HEADER(thread.h, [have_thread_h=yes], [have_thread_h=])
Index: gcc/BASE-VER
===================================================================
--- gcc/BASE-VER	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/BASE-VER	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1 +1 @@
-4.8.0
+4.8.1
Index: gcc/stor-layout.c
===================================================================
--- gcc/stor-layout.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/stor-layout.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -316,6 +316,8 @@
 
   for (i = 0; size_functions && size_functions->iterate (i, &fndecl); i++)
     {
+      allocate_struct_function (fndecl, false);
+      set_cfun (NULL);
       dump_function (TDI_original, fndecl);
       gimplify_function_tree (fndecl);
       dump_function (TDI_generic, fndecl);
Index: gcc/lra-coalesce.c
===================================================================
--- gcc/lra-coalesce.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/lra-coalesce.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -201,24 +201,14 @@
     }
 }
 
-/* Return true if pseudo REGNO can be potentially coalesced.  Use
-   SPLIT_PSEUDO_BITMAP to find pseudos whose live ranges were
-   split.  */
+/* Return true if pseudo REGNO can be potentially coalesced.  */
 static bool
-coalescable_pseudo_p (int regno, bitmap split_origin_bitmap)
+coalescable_pseudo_p (int regno)
 {
   lra_assert (regno >= FIRST_PSEUDO_REGISTER);
-  /* Don't coalesce inheritance pseudos because spilled inheritance
-     pseudos will be removed in subsequent 'undo inheritance'
-     pass.  */
-  return (lra_reg_info[regno].restore_regno < 0
-	  /* We undo splits for spilled pseudos whose live ranges were
-	     split.  So don't coalesce them, it is not necessary and
-	     the undo transformations would be wrong.  */
-	  && ! bitmap_bit_p (split_origin_bitmap, regno)
-	  /* We don't want to coalesce regnos with equivalences, at
+  return (/* We don't want to coalesce regnos with equivalences, at
 	     least without updating this info.  */
-	  && ira_reg_equiv[regno].constant == NULL_RTX
+	  ira_reg_equiv[regno].constant == NULL_RTX
 	  && ira_reg_equiv[regno].memory == NULL_RTX
 	  && ira_reg_equiv[regno].invariant == NULL_RTX);
 }
@@ -230,12 +220,10 @@
 {
   basic_block bb;
   rtx mv, set, insn, next, *sorted_moves;
-  int i, mv_num, sregno, dregno, restore_regno;
-  unsigned int regno;
+  int i, mv_num, sregno, dregno;
   int coalesced_moves;
   int max_regno = max_reg_num ();
-  bitmap_head involved_insns_bitmap, split_origin_bitmap;
-  bitmap_iterator bi;
+  bitmap_head involved_insns_bitmap;
 
   timevar_push (TV_LRA_COALESCE);
 
@@ -249,11 +237,6 @@
     first_coalesced_pseudo[i] = next_coalesced_pseudo[i] = i;
   sorted_moves = XNEWVEC (rtx, get_max_uid ());
   mv_num = 0;
-  /* Collect pseudos whose live ranges were split.  */
-  bitmap_initialize (&split_origin_bitmap, &reg_obstack);
-  EXECUTE_IF_SET_IN_BITMAP (&lra_split_regs, 0, regno, bi)
-    if ((restore_regno = lra_reg_info[regno].restore_regno) >= 0)
-      bitmap_set_bit (&split_origin_bitmap, restore_regno);
   /* Collect moves.  */
   coalesced_moves = 0;
   FOR_EACH_BB (bb)
@@ -265,15 +248,13 @@
 	    && (sregno = REGNO (SET_SRC (set))) >= FIRST_PSEUDO_REGISTER
 	    && (dregno = REGNO (SET_DEST (set))) >= FIRST_PSEUDO_REGISTER
 	    && mem_move_p (sregno, dregno)
-	    && coalescable_pseudo_p (sregno, &split_origin_bitmap)
-	    && coalescable_pseudo_p (dregno, &split_origin_bitmap)
+	    && coalescable_pseudo_p (sregno) && coalescable_pseudo_p (dregno)
 	    && ! side_effects_p (set)
 	    && !(lra_intersected_live_ranges_p
 		 (lra_reg_info[sregno].live_ranges,
 		  lra_reg_info[dregno].live_ranges)))
 	  sorted_moves[mv_num++] = insn;
     }
-  bitmap_clear (&split_origin_bitmap);
   qsort (sorted_moves, mv_num, sizeof (rtx), move_freq_compare_func);
   /* Coalesced copies, most frequently executed first.	*/
   bitmap_initialize (&coalesced_pseudos_bitmap, &reg_obstack);
Index: gcc/lra-constraints.c
===================================================================
--- gcc/lra-constraints.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/lra-constraints.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1054,9 +1054,6 @@
 /* Number of necessary reloads and overall cost reflecting the
    previous value and other unpleasantness of the best alternative.  */
 static int best_losers, best_overall;
-/* Number of small register classes used for operands of the best
-   alternative.	 */
-static int best_small_class_operands_num;
 /* Overall number hard registers used for reloads.  For example, on
    some targets we need 2 general registers to reload DFmode and only
    one floating point register.	 */
@@ -1321,7 +1318,7 @@
 process_alt_operands (int only_alternative)
 {
   bool ok_p = false;
-  int nop, small_class_operands_num, overall, nalt;
+  int nop, overall, nalt;
   int n_alternatives = curr_static_id->n_alternatives;
   int n_operands = curr_static_id->n_operands;
   /* LOSERS counts the operands that don't fit this alternative and
@@ -1400,6 +1397,7 @@
       if (only_alternative >= 0 && nalt != only_alternative)
 	continue;
 
+            
       overall = losers = reject = reload_nregs = reload_sum = 0;
       for (nop = 0; nop < n_operands; nop++)
 	reject += (curr_static_id
@@ -1978,9 +1976,16 @@
 			      (op, this_alternative) == NO_REGS))))
 		reject += LRA_MAX_REJECT;
 
-	      if (! ((const_to_mem && constmemok)
-		     || (MEM_P (op) && offmemok)))
+	      if (MEM_P (op) && offmemok)
 		{
+		  /* If we know offset and this non-offsetable memory,
+		     something wrong with this memory and it is better
+		     to try other memory possibilities.  */
+		  if (MEM_OFFSET_KNOWN_P (op))
+		    reject += LRA_MAX_REJECT;
+		}
+	      else if (! (const_to_mem && constmemok))
+		{
 		  /* We prefer to reload pseudos over reloading other
 		     things, since such reloads may be able to be
 		     eliminated later.  So bump REJECT in other cases.
@@ -1994,6 +1999,9 @@
 		  if (! no_regs_p)
 		    reload_nregs
 		      += ira_reg_class_max_nregs[this_alternative][mode];
+
+		  if (SMALL_REGISTER_CLASS_P (this_alternative))
+		    reject += LRA_LOSER_COST_FACTOR / 2;
 		}
 
 	      /* We are trying to spill pseudo into memory.  It is
@@ -2001,7 +2009,7 @@
 		 although it might takes the same number of
 		 reloads.  */
 	      if (no_regs_p && REG_P (op))
-		reject++;
+		reject += 2;
 
 #ifdef SECONDARY_MEMORY_NEEDED
 	      /* If reload requires moving value through secondary
@@ -2021,6 +2029,7 @@
 		 reloads.  */
 	      if (!REG_P (op) || curr_static_id->operand[nop].type != OP_IN)
 		reject++;
+
 	    }
 
 	  if (early_clobber_p)
@@ -2032,7 +2041,13 @@
 	     or non-important thing to be worth to do it.  */
 	  overall = losers * LRA_LOSER_COST_FACTOR + reject;
 	  if ((best_losers == 0 || losers != 0) && best_overall < overall)
-	    goto fail;
+            {
+              if (lra_dump_file != NULL)
+		fprintf (lra_dump_file,
+			 "          alt=%d,overall=%d,losers=%d -- reject\n",
+			 nalt, overall, losers);
+              goto fail;
+            }
 
 	  curr_alt[nop] = this_alternative;
 	  COPY_HARD_REG_SET (curr_alt_set[nop], this_alternative_set);
@@ -2099,7 +2114,10 @@
 	      curr_alt_dont_inherit_ops[curr_alt_dont_inherit_ops_num++]
 		= last_conflict_j;
 	      losers++;
-	      overall += LRA_LOSER_COST_FACTOR;
+	      /* Early clobber was already reflected in REJECT. */
+	      lra_assert (reject > 0);
+	      reject--;
+	      overall += LRA_LOSER_COST_FACTOR - 1;
 	    }
 	  else
 	    {
@@ -2123,13 +2141,15 @@
 		}
 	      curr_alt_win[i] = curr_alt_match_win[i] = false;
 	      losers++;
-	      overall += LRA_LOSER_COST_FACTOR;
+	      /* Early clobber was already reflected in REJECT. */
+	      lra_assert (reject > 0);
+	      reject--;
+	      overall += LRA_LOSER_COST_FACTOR - 1;
 	    }
 	}
-      small_class_operands_num = 0;
-      for (nop = 0; nop < n_operands; nop++)
-	small_class_operands_num
-	  += SMALL_REGISTER_CLASS_P (curr_alt[nop]) ? 1 : 0;
+      if (lra_dump_file != NULL)
+	fprintf (lra_dump_file, "          alt=%d,overall=%d,losers=%d,rld_nregs=%d\n",
+		 nalt, overall, losers, reload_nregs);
 
       /* If this alternative can be made to work by reloading, and it
 	 needs less reloading than the others checked so far, record
@@ -2141,17 +2161,12 @@
 		  || (best_overall == overall
 		      /* If the cost of the reloads is the same,
 			 prefer alternative which requires minimal
-			 number of small register classes for the
-			 operands.  This improves chances of reloads
-			 for insn requiring small register
-			 classes.  */
-		      && (small_class_operands_num
-			  < best_small_class_operands_num
-			  || (small_class_operands_num
-			      == best_small_class_operands_num
-			      && (reload_nregs < best_reload_nregs
-				  || (reload_nregs == best_reload_nregs
-				      && best_reload_sum < reload_sum))))))))
+			 number of reload regs.  */
+		      && (reload_nregs < best_reload_nregs
+			  || (reload_nregs == best_reload_nregs
+			      && (best_reload_sum < reload_sum
+				  || (best_reload_sum == reload_sum
+				      && nalt < goal_alt_number))))))))
 	{
 	  for (nop = 0; nop < n_operands; nop++)
 	    {
@@ -2167,7 +2182,6 @@
 	  goal_alt_swapped = curr_swapped;
 	  best_overall = overall;
 	  best_losers = losers;
-	  best_small_class_operands_num = small_class_operands_num;
 	  best_reload_nregs = reload_nregs;
 	  best_reload_sum = reload_sum;
 	  goal_alt_number = nalt;
@@ -2729,7 +2743,7 @@
      operands together against the register constraints.  */
 
   best_losers = best_overall = INT_MAX;
-  best_small_class_operands_num = best_reload_sum = 0;
+  best_reload_sum = 0;
 
   curr_swapped = false;
   goal_alt_swapped = false;
@@ -2932,7 +2946,10 @@
 	  for (; *p != '\0' && *p != ',' && *p != '#'; p++)
 	    fputc (*p, lra_dump_file);
 	}
-      fprintf (lra_dump_file, "\n");
+      if (INSN_CODE (curr_insn) >= 0
+          && (p = get_insn_name (INSN_CODE (curr_insn))) != NULL)
+        fprintf (lra_dump_file, " {%s}", p);
+       fprintf (lra_dump_file, "\n");
     }
 
   /* Right now, for any pair of operands I and J that are required to
@@ -3052,7 +3069,15 @@
 		 spilled.  Spilled scratch pseudos are transformed
 		 back to scratches at the LRA end.  */
 	      && lra_former_scratch_operand_p (curr_insn, i))
-	    change_class (REGNO (op), NO_REGS, "      Change", true);
+	    {
+	      int regno = REGNO (op);
+	      change_class (regno, NO_REGS, "      Change", true);
+	      if (lra_get_regno_hard_regno (regno) >= 0)
+		/* We don't have to mark all insn affected by the
+		   spilled pseudo as there is only one such insn, the
+		   current one.  */
+		reg_renumber[regno] = -1;
+	    }
 	  continue;
 	}
 
@@ -4117,7 +4142,7 @@
 {
   enum reg_class rclass;
   rtx original_reg;
-  int hard_regno;
+  int hard_regno, nregs;
   rtx new_reg, save, restore, usage_insn;
   bool after_p;
   bool call_save_p;
@@ -4127,10 +4152,12 @@
       rclass = ira_allocno_class_translate[REGNO_REG_CLASS (original_regno)];
       hard_regno = original_regno;
       call_save_p = false;
+      nregs = 1;
     }
   else
     {
       hard_regno = reg_renumber[original_regno];
+      nregs = hard_regno_nregs[hard_regno][PSEUDO_REGNO_MODE (original_regno)];
       rclass = lra_get_allocno_class (original_regno);
       original_reg = regno_reg_rtx[original_regno];
       call_save_p = need_for_call_save_p (original_regno);
@@ -4243,6 +4270,13 @@
 			 before_p ? NULL_RTX : save,
 			 call_save_p
 			 ?  "Add save<-reg" : "Add split<-reg");
+  if (nregs > 1)
+    /* If we are trying to split multi-register.  We should check
+       conflicts on the next assignment sub-pass.  IRA can allocate on
+       sub-register levels, LRA do this on pseudos level right now and
+       this discrepancy may create allocation conflicts after
+       splitting.  */
+    lra_risky_transformations_p = true;
   if (lra_dump_file != NULL)
     fprintf (lra_dump_file,
 	     "	  ))))))))))))))))))))))))))))))))))))))))))))))))\n");
Index: gcc/ChangeLog-2012
===================================================================
--- gcc/ChangeLog-2012	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/ChangeLog-2012	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -4535,17 +4535,17 @@
 	* config/i386/i386.c (ix86_function_ok_for_sibcall): Put back exception
 	to make a sibcall if one of the functions has void return type.
 
-2012-11-07  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-11-07  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR c/53063
 	* doc/invoke.texi (Wformat): Update.
 
-2012-11-07  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-11-07  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	* optc-gen.awk: Factor code out to...
 	* opt-functions.awk (lang_enabled_by): ... this new function.
 
-2012-11-07  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-11-07  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR c/53063
 	* common.opt (Wswitch,Wswitch-default,Wswitch-enum): Move to c.opt.
@@ -5673,7 +5673,7 @@
 
 	* expmed.c (store_bit_field_1): Remove test for BLKmode values.
 
-2012-10-31  Ralf CorsÃ©pius  <ralf.corsepius@rtems.org>,
+2012-10-31  Ralf Corsépius  <ralf.corsepius@rtems.org>,
 	    Joel Sherrill  <joel.sherrill@oarcorp.com>
 
 	* config/sparc/t-rtems: New (Custom multilibs).
@@ -5886,7 +5886,7 @@
 	* lra-spills.c: Likewise.
 	* lra.c: Likewise.
 
-2012-10-29  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-10-29  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR c/53066
 	* tree.h (FUNCTION_POINTER_TYPE_P): New.
@@ -6197,7 +6197,7 @@
 	* config/i386/x86intrin.h: Include
 	xsaveintrin.h, fxsrintrin.h, xsaveoptintrin.h.
 
-2012-10-26  Ralf CorsÃ©pius  <ralf.corsepius@rtems.org>
+2012-10-26  Ralf Corsépius  <ralf.corsepius@rtems.org>
 
 	* config/avr/t-rtems: Revert previous commit.
 
@@ -6253,7 +6253,7 @@
 	* lra-constraints.c (check_and_process_move): Remove #if
 	ENABLE_ASSERT_CHECKING.
 
-2012-10-26  Ralf CorsÃ©pius  <ralf.corsepius@rtems.org>
+2012-10-26  Ralf Corsépius  <ralf.corsepius@rtems.org>
 
 	* config/avr/rtems.h (TARGET_OS_CPP_BUILTINS): Remove
 	__USE_INIT_FINI__.
@@ -6308,7 +6308,7 @@
 	* lra-assigns.c (assign_by_spills): Add non-reload pseudos
 	assigned to hard register to changed_pseudo_bitmap.
 
-2012-10-25  Ralf CorsÃ©pius  <ralf.corsepius@rtems.org>
+2012-10-25  Ralf Corsépius  <ralf.corsepius@rtems.org>
 
 	* config.gcc (microblaze*-*-rtems*): New target.
 	* config/microblaze/rtems.h: New.
@@ -6362,7 +6362,7 @@
 	* config/rs6000/rs6000.c (rs6000_density_test): Use dump_enabled_p
 	instead of dump_kind_p.
 
-2012-10-24  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-10-24  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR c++/54928
 	* tree-diagnostic.c (maybe_unwind_expanded_macro_loc):
@@ -7023,7 +7023,7 @@
 	* loop-iv.c (iv_number_of_iterations): Record the upper bound
 	only if there are no further conditions on it.
 
-2012-10-20  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-10-20  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR c/53063
 	PR c/40989
@@ -7660,7 +7660,7 @@
 	out of ...
 	(forwarder_block_p): ... here.
 
-2012-10-16  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-10-16  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR c/53063
 	PR c/40989
@@ -7671,7 +7671,7 @@
 	* opts.c (finish_options): Do not handle them explicitly.
 	* opt-functions.awk (search_var_name): New.
 
-2012-10-16  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-10-16  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR c/53063
 	PR c/40989
@@ -11075,7 +11075,7 @@
 	and -meb.
 
 2012-09-13  Paolo Carlini  <paolo.carlini@oracle.com>
-	    Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+	    Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR c++/53210
 	* doc/invoke.texi ([Winit-self]): Document as enabled by -Wall in C++.
@@ -18313,7 +18313,7 @@
 	(ASM_SPEC): Pass mcu options to the assembler.
 	* doc/invoke.texi (MIPS Options): Document -mmcu and -mno-mcu.
 
-2012-07-18  Ralf CorsÃ©pius  <ralf.corsepius@rtems.org>
+2012-07-18  Ralf Corsépius  <ralf.corsepius@rtems.org>
 
 	* config.gcc (v850-*-rtems*): New target.
 	* config/v850/rtems.h: New.
@@ -22797,7 +22797,7 @@
 	(generate_code_for_partition): Generate code according
 	to partition classification.
 
-2012-06-01  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-06-01  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 	    Jonathan Wakely  <jwakely.gcc@gmail.com>
 
 	PR c++/50134
@@ -24303,7 +24303,7 @@
 	(decide_is_variable_needed): Handle externals.
 	(varpool_remove_unreferenced_decls): Likewise.
 
-2012-05-17  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-05-17  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	* opts.c (common_handle_option): -pedantic-errors enables -Wpedantic.
 	(enable_warning_as_error): Do not special case Wuninitialized.
@@ -24631,7 +24631,7 @@
 	strided loads.
 	* tree-vect-stmts.c (vect_model_load_cost): Handle strided loads.
 
-2012-05-14  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-05-14  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR 53063
 	* doc/options.texi: (LangEnabledBy): Document it.
@@ -24705,7 +24705,7 @@
 
 	* config/pa/pa.md: Use define_c_enum for "unspec" and "unspecv".
 
-2012-05-13  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-05-13  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	* common.opt (Wtype-limits): Use EnabledBy.
 
@@ -24739,7 +24739,7 @@
 	(*<code><mode>3): Ditto.
 	(<code>tf3): Ditto.
 
-2012-05-13  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-05-13  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	* optc-gen.awk: Error instead of warning for conflicting help.
 
@@ -24786,7 +24786,7 @@
 	(delete_tree_ssa): Do not call fini_phinodes.
 	* tree-flow.h (init_phinodes, fini_phinodes): Remove.
 
-2012-05-11  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-05-11  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR 53063
 	* doc/options.texi (EnabledBy): Document
@@ -24986,14 +24986,14 @@
 	(xop_mulv2div2di3_low): Remove insn_and_split pattern.
 	(xop_mulv2div2di3_high): Ditto.
 
-2012-05-09  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-05-09  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR c++/53289
 	* diagnostic.h (diagnostic_context): Add last_location.
 	* diagnostic.c (diagnostic_initialize): Initialize it.
 	(diagnostic_show_locus): Use it.
 
-2012-05-09  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-05-09  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	* doc/extend.texi (Function Attributes): Point xref to section
 	about Pragmas.
@@ -25807,13 +25807,13 @@
 	Same stands for reloads with type RELOAD_FOR_OUTPUT_ADDRESS and
 	RELOAD_FOR_OUTADDR_ADDRESS.
 
-2012-05-04  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-05-04  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR c++/24985
 	* tree-diagnostic.c (maybe_unwind_expanded_macro_loc): Show caret
 	for macro expansion.
 
-2012-05-03  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-05-03  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	* flags.h (flag_permissive): Do not declare.
 	* diagnostic.c (diagnostic_report_diagnostic): Handle fpermissive
@@ -26743,7 +26743,7 @@
 	* config/i386/i386.c (ix86_handle_struct_attribute): Use the proper
 	predicate to discriminate types.
 
-2012-04-30  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-04-30  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	* doc/invoke.texi (Wmissing-format-attribute): Document as an
 	alias of Wsuggest-attribute=format.
@@ -26751,7 +26751,7 @@
 	Wmissing-format-attribute with Wsuggest-attribute=format.
 	(digest_init): Likewise.
 
-2012-04-29  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-04-29  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	* opts.c (finish_options): Do not handle -Wmissing-noreturn here.
 	* common.opt (Wmissing-noreturn): Alias of
@@ -26839,7 +26839,7 @@
 	PR middle-end/27139
 	* tree-ssa-forwprop.c (combine_conversions): Handle INT->FP->INT.
 
-2012-04-25  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-04-25  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR c/53130
 	* c-typeck.c (pop_init_level): Use %qD instead of %qT.
@@ -27001,7 +27001,7 @@
 	* reload.c (find_reloads): Change the loop nesting when trying an
 	alternative with swapped operands.
 
-2012-04-26  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-04-26  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	* tree-diagnostic.c (maybe_unwind_expanded_macro_loc): Fix
 	comment. Delete unused parameter first_exp_point_map.
@@ -27135,7 +27135,7 @@
 	set_nonincremental_init_from_string): Pass true instead of false
 	as IMPLICIT to add_pending_init.
 
-2012-04-25  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-04-25  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	* c-typeck.c (pop_init_level): Improve diagnostics.
 
@@ -27252,7 +27252,7 @@
 	* config/vxworks.c (vxworks_override_options): Default to strict-dwarf
 	and dwarf_version 2.
 
-2012-04-24  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-04-24  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	* tree-pretty-print.h (default_tree_printer): Do not declare.
 	* tree-diagnostic.c: Include tree-pretty-print.h, tree-pass.h and
@@ -27536,7 +27536,7 @@
 	Likewise.
 	* tree-switch-conversion.c (build_one_array): Likewise.
 
-2012-04-22  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-04-22  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR c/44774
 	* doc/invoke.texi (pedantic): Rename to Wpedantic.
@@ -27624,7 +27624,7 @@
 
 	* fold-const.c (fold_checksum_tree): Fix VECTOR_CST case.
 
-2012-04-21  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-04-21  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR 35441
 	* c-typeck.c (inform_declaration): New.
@@ -27811,7 +27811,7 @@
 
 	* config/arm/sync.md (sync_optab): Change ior attribute to "or".
 
-2012-04-19  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-04-19  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR c/52283/37985
 	* stmt.c (warn_if_unused_value): Skip NOP_EXPR.
@@ -28041,7 +28041,7 @@
 	* varpoo.c (varpool_node_name): Remove.
 	(dump_varpool_node): Use dump_symtab_base; reformat.
 
-2012-04-18  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-04-18  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	* doc/invoke.texi (Language Independent Options): @item should be
 	before @opindex.
@@ -28908,7 +28908,7 @@
 
 	* doc/extend.texi (Type Attributes): Move paragraph.
 
-2012-04-11  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-04-11  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR 24985
 	* diagnostic.h (show_caret): Declare.
@@ -28943,7 +28943,7 @@
 	manipulation code we are threading through a loop header
 	to an exit destination.
 
-2012-04-10  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-04-10  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	* tree.h (warn_if_unused_value): Move declaration from here.
 	* stmt.c (warn_if_unused_value): Move definition from here.
@@ -29083,7 +29083,7 @@
 	comment block.
 	(Sr0): Remove unused memory constraint.
 
-2012-04-08  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-04-08  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	* tree-pretty-print.h: Update comment.
 
@@ -30605,7 +30605,7 @@
 	* tree-data-ref.c (subscript_dependence_tester_1): Check
 	all dimensions for non-conflicting access functions.
 
-2012-03-15  Manuel LÃ³pez-IbÃ¡Ã±ez  <manu@gcc.gnu.org>
+2012-03-15  Manuel López-Ibáñez  <manu@gcc.gnu.org>
 
 	PR c++/44783
 	* doc/invoke.texi [C++ Language Options]: Document
@@ -31556,7 +31556,7 @@
 	in new variable 'empty'.  Increase issue_rate only for
 	non-empty insns.
 
-2012-03-07  Ralf CorsÃ©pius  <ralf.corsepius@rtems.org>
+2012-03-07  Ralf Corsépius  <ralf.corsepius@rtems.org>
 
 	PR target/51417
 	* Makefile.in: Let install-gcc-ar depend on installdirs,
Index: gcc/emit-rtl.c
===================================================================
--- gcc/emit-rtl.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/emit-rtl.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -2660,16 +2660,13 @@
   return;
 }
 
-/* Go through all the RTL insn bodies and check that there is no unexpected
-   sharing in between the subexpressions.  */
+/* Go through all the RTL insn bodies and clear all the USED bits.  */
 
-DEBUG_FUNCTION void
-verify_rtl_sharing (void)
+static void
+reset_all_used_flags (void)
 {
   rtx p;
 
-  timevar_push (TV_VERIFY_RTL_SHARING);
-
   for (p = get_insns (); p; p = NEXT_INSN (p))
     if (INSN_P (p))
       {
@@ -2693,7 +2690,20 @@
 	      }
 	  }
       }
+}
 
+/* Go through all the RTL insn bodies and check that there is no unexpected
+   sharing in between the subexpressions.  */
+
+DEBUG_FUNCTION void
+verify_rtl_sharing (void)
+{
+  rtx p;
+
+  timevar_push (TV_VERIFY_RTL_SHARING);
+
+  reset_all_used_flags ();
+
   for (p = get_insns (); p; p = NEXT_INSN (p))
     if (INSN_P (p))
       {
@@ -2703,6 +2713,8 @@
 	  verify_rtx_sharing (CALL_INSN_FUNCTION_USAGE (p), p);
       }
 
+  reset_all_used_flags ();
+
   timevar_pop (TV_VERIFY_RTL_SHARING);
 }
 
Index: gcc/loop-iv.c
===================================================================
--- gcc/loop-iv.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/loop-iv.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1496,19 +1496,26 @@
   rtx op0, op1, opb0, opb1, r;
   enum machine_mode mode;
 
+  if (rtx_equal_p (a, b))
+    return true;
+
   if (GET_CODE (a) == EQ)
     {
       op0 = XEXP (a, 0);
       op1 = XEXP (a, 1);
 
-      if (REG_P (op0))
+      if (REG_P (op0)
+          || (GET_CODE (op0) == SUBREG
+              && REG_P (SUBREG_REG (op0))))
 	{
 	  r = simplify_replace_rtx (b, op0, op1);
 	  if (r == const_true_rtx)
 	    return true;
 	}
 
-      if (REG_P (op1))
+      if (REG_P (op1)
+          || (GET_CODE (op1) == SUBREG
+              && REG_P (SUBREG_REG (op1))))
 	{
 	  r = simplify_replace_rtx (b, op1, op0);
 	  if (r == const_true_rtx)
Index: gcc/ipa-prop.c
===================================================================
--- gcc/ipa-prop.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/ipa-prop.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -3674,9 +3674,15 @@
 
   for (av = aggvals; av; av = av->next)
     {
+      struct bitpack_d bp;
+
       streamer_write_uhwi (ob, av->offset);
       streamer_write_uhwi (ob, av->index);
       stream_write_tree (ob, av->value, true);
+
+      bp = bitpack_create (ob->main_stream);
+      bp_pack_value (&bp, av->by_ref, 1);
+      streamer_write_bitpack (&bp);
     }
 }
 
@@ -3694,11 +3700,14 @@
   for (i = 0; i <count; i++)
     {
       struct ipa_agg_replacement_value *av;
+      struct bitpack_d bp;
 
       av = ggc_alloc_ipa_agg_replacement_value ();
       av->offset = streamer_read_uhwi (ib);
       av->index = streamer_read_uhwi (ib);
       av->value = stream_read_tree (ib, data_in);
+      bp = streamer_read_bitpack (ib);
+      av->by_ref = bp_unpack_value (&bp, 1);
       av->next = aggvals;
       aggvals = av;
     }
@@ -3917,7 +3926,7 @@
 	  if (v->index == index
 	      && v->offset == offset)
 	    break;
-	if (!v)
+	if (!v || v->by_ref != by_ref)
 	  continue;
 
 	gcc_checking_assert (is_gimple_ip_invariant (v->value));
Index: gcc/ipa-prop.h
===================================================================
--- gcc/ipa-prop.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/ipa-prop.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -386,6 +386,8 @@
   tree value;
   /* The paramter index.  */
   int index;
+  /* Whether the value was passed by reference.  */
+  bool by_ref;
 };
 
 typedef struct ipa_agg_replacement_value *ipa_agg_replacement_value_p;
Index: gcc/po/ChangeLog
===================================================================
--- gcc/po/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/po/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,23 @@
+2013-04-28  Joseph Myers  <joseph@codesourcery.com>
+
+	* sv.po: Update.
+
+2013-04-25  Joseph Myers  <joseph@codesourcery.com>
+
+	* de.po, sv.po, vi.po: Update.
+
+2013-04-02  Joseph Myers  <joseph@codesourcery.com>
+
+	* de.po: Update.
+
+2013-03-31  Joseph Myers  <joseph@codesourcery.com>
+
+	* de.po: Update.
+
+2013-03-26  Joseph Myers  <joseph@codesourcery.com>
+
+	* de.po, sv.po: Update.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
Index: gcc/po/vi.po
===================================================================
--- gcc/po/vi.po	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/po/vi.po	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,15 +1,15 @@
 # Vietnamese translation for GCC.
-# Copyright © 2012 Free Software Foundation, Inc.
+# Copyright © 2013 Free Software Foundation, Inc.
 # This file is distributed under the same license as the gcc package.
 # Clytie Siddall <clytie@riverland.net.au>, 2010.
-# Trần Ngọc Quân <vnwildman@gmail.com>,2012.
+# Trần Ngọc Quân <vnwildman@gmail.com>, 2012-2013.
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: gcc 4.7.1\n"
+"Project-Id-Version: gcc 4.8.0\n"
 "Report-Msgid-Bugs-To: http://gcc.gnu.org/bugs.html\n"
-"POT-Creation-Date: 2013-02-24 01:09+0000\n"
-"PO-Revision-Date: 2012-09-15 08:58+0700\n"
+"POT-Creation-Date: 2013-03-15 17:42+0000\n"
+"PO-Revision-Date: 2013-04-12 14:51+0700\n"
 "Last-Translator: Trần Ngọc Quân <vnwildman@gmail.com>\n"
 "Language-Team: Vietnamese <translation-team-vi@lists.sourceforge.net>\n"
 "Language: vi\n"
@@ -17,23 +17,24 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
-"X-Generator: LocFactoryEditor 1.8\n"
+"X-Generator: Poedit 1.5.5\n"
+"X-Poedit-SourceCharset: UTF-8\n"
 
-#: cfgrtl.c:2320
+#: cfgrtl.c:2318
 msgid "flow control insn inside a basic block"
 msgstr "gặp lệnh điều khiển luồng bên trong một khối cơ bản"
 
-#: cfgrtl.c:2448
+#: cfgrtl.c:2446
 msgid "wrong insn in the fallthru edge"
 msgstr "gặp lệnh không đúng trong cạnh failthru"
 
-#: cfgrtl.c:2502
+#: cfgrtl.c:2500
 msgid "insn outside basic block"
 msgstr "gặp lệnh bên ngoài khối cơ bản"
 
-#: cfgrtl.c:2509
+#: cfgrtl.c:2507
 msgid "return not followed by barrier"
-msgstr "trả lại không có hàng rào theo sau"
+msgstr "trả về không được phép bởi rào chắn"
 
 #: collect2.c:1531
 #, c-format
@@ -112,10 +113,6 @@
 
 #: diagnostic.c:442
 #, fuzzy, c-format
-#| msgid ""
-#| "Please submit a full bug report,\n"
-#| "with preprocessed source if appropriate.\n"
-#| "See %s for instructions.\n"
 msgid ""
 "Please submit a full bug report,\n"
 "with preprocessed source if appropriate.\n"
@@ -125,10 +122,9 @@
 "Xem %s để tìm hướng dẫn.\n"
 
 #: diagnostic.c:448
-#, fuzzy, c-format
-#| msgid "Use fp double instructions"
+#, c-format
 msgid "See %s for instructions.\n"
-msgstr "Sử dụng câu lệnh đôi loại điểm phù động"
+msgstr "Xem %s để có chỉ dẫn.\n"
 
 #: diagnostic.c:457
 #, c-format
@@ -140,7 +136,7 @@
 msgid "%s:%d: confused by earlier errors, bailing out\n"
 msgstr "%s:%d: lộn xộn do lỗi trước nên hủy bỏ\n"
 
-#: diagnostic.c:1126
+#: diagnostic.c:1129
 #, c-format
 msgid "Internal compiler error: Error reporting routines re-entered.\n"
 msgstr "Lỗi biên dịch nội bộ: đã nhập lại hàm thông báo lỗi.\n"
@@ -203,12 +199,12 @@
 msgid "invalid expression as operand"
 msgstr "sai lập biểu tượng dưới dạng toán hạng"
 
-#: gcc.c:1402
+#: gcc.c:1403
 #, c-format
 msgid "Using built-in specs.\n"
 msgstr "Đang sử dụng các đặc tả dựng sẵn.\n"
 
-#: gcc.c:1599
+#: gcc.c:1600
 #, c-format
 msgid ""
 "Setting spec %s to '%s'\n"
@@ -217,22 +213,22 @@
 "Đang lập đặc tả %s thành '%s'\n"
 "\n"
 
-#: gcc.c:1708
+#: gcc.c:1709
 #, c-format
 msgid "Reading specs from %s\n"
 msgstr "Đang đọc các đặc tả từ %s\n"
 
-#: gcc.c:1833
+#: gcc.c:1834
 #, c-format
 msgid "could not find specs file %s\n"
 msgstr "không tìm thấy tập tin đặc tả %s\n"
 
-#: gcc.c:1902
+#: gcc.c:1903
 #, c-format
 msgid "rename spec %s to %s\n"
 msgstr "thay đổi tên của đặc tả %s thành %s\n"
 
-#: gcc.c:1904
+#: gcc.c:1905
 #, c-format
 msgid ""
 "spec is '%s'\n"
@@ -241,12 +237,12 @@
 "đặc tả là '%s'\n"
 "\n"
 
-#: gcc.c:2337
+#: gcc.c:2338
 #, c-format
 msgid "%s\n"
 msgstr "%s\n"
 
-#: gcc.c:2704
+#: gcc.c:2705
 #, c-format
 msgid ""
 "\n"
@@ -256,33 +252,33 @@
 "Tiếp tục ? (c/k)"
 
 # Variable: don't translate; Biến: đừng dịch
-#: gcc.c:2844
+#: gcc.c:2845
 #, c-format
 msgid "# %s %.2f %.2f\n"
 msgstr "# %s %.2f %.2f\n"
 
-#: gcc.c:3047
+#: gcc.c:3048
 #, c-format
 msgid "Usage: %s [options] file...\n"
 msgstr "Sử dụng: %s [tuỳ_chọn] tệp...\n"
 
-#: gcc.c:3048
+#: gcc.c:3049
 msgid "Options:\n"
 msgstr "Tùy chọn:\n"
 
-#: gcc.c:3050
+#: gcc.c:3051
 msgid "  -pass-exit-codes         Exit with highest error code from a phase\n"
 msgstr "  -pass-exit-codes         Thoát với mã lỗi cao nhất từ một giai đoạn nào đó\n"
 
-#: gcc.c:3051
+#: gcc.c:3052
 msgid "  --help                   Display this information\n"
 msgstr "  --help                   Hiển thị trợ giúp này\n"
 
-#: gcc.c:3052
+#: gcc.c:3053
 msgid "  --target-help            Display target specific command line options\n"
 msgstr "  --target-help            Hiển thị những tuỳ chọn dòng lệnh đặc trưng cho đích\n"
 
-#: gcc.c:3053
+#: gcc.c:3054
 msgid "  --help={common|optimizers|params|target|warnings|[^]{joined|separate|undocumented}}[,...]\n"
 msgstr ""
 "  --help={common|optimizers|params|target|warnings|[^]{joined|separate|undocumented}}[,...]\n"
@@ -297,55 +293,52 @@
 "separate\t\t\tkhông nối lại\n"
 "undocumented\t\tkhông có tài liệu diễn tả\n"
 
-#: gcc.c:3054
+#: gcc.c:3055
 msgid "                           Display specific types of command line options\n"
 msgstr "                           Hiển thị một số loại tuỳ chọn dòng lệnh nào đó\n"
 
-#: gcc.c:3056
+#: gcc.c:3057
 msgid "  (Use '-v --help' to display command line options of sub-processes)\n"
 msgstr "  (Hãy sử dụng '-v --help' để hiển thị các tuỳ chọn dòng lệnh của tiến trình con)\n"
 
-#: gcc.c:3057
+#: gcc.c:3058
 msgid "  --version                Display compiler version information\n"
 msgstr "  --version                Hiển thị thông tin về phiên bản của bộ biên dịch\n"
 
-#: gcc.c:3058
+#: gcc.c:3059
 msgid "  -dumpspecs               Display all of the built in spec strings\n"
 msgstr "  -dumpspecs               Hiển thị tất cả các chuỗi đặc tả dựng sẵn\n"
 
-#: gcc.c:3059
+#: gcc.c:3060
 msgid "  -dumpversion             Display the version of the compiler\n"
 msgstr "  -dumpversion             Hiển thị phiên bản của bộ biên dịch\n"
 
-#: gcc.c:3060
+#: gcc.c:3061
 msgid "  -dumpmachine             Display the compiler's target processor\n"
 msgstr "  -dumpmachine             Hiển thị bộ xử lý đích của bộ biên dịch\n"
 
-#: gcc.c:3061
+#: gcc.c:3062
 msgid "  -print-search-dirs       Display the directories in the compiler's search path\n"
 msgstr ""
 "  -print-search-dirs\n"
 "        Hiển thị những thư mục nằm trên đường dẫn tìm kiếm của bộ biên dịch\n"
 
-#: gcc.c:3062
+#: gcc.c:3063
 msgid "  -print-libgcc-file-name  Display the name of the compiler's companion library\n"
 msgstr "  -print-libgcc-file-name    Hiển thị tên của thư viện bổ trợ của bộ biên dịch\n"
 
-#: gcc.c:3063
+#: gcc.c:3064
 msgid "  -print-file-name=<lib>   Display the full path to library <lib>\n"
 msgstr "  -print-file-name=<thư_viện>    Hiển thị đường dẫn đầy đủ đến thư viện này\n"
 
-#: gcc.c:3064
+#: gcc.c:3065
 msgid "  -print-prog-name=<prog>  Display the full path to compiler component <prog>\n"
 msgstr ""
 "  -print-prog-name=<trình>\n"
 "        Hiển thị đường dẫn đầy đủ đến thành phần bộ biên dịch này\n"
 
-#: gcc.c:3065
+#: gcc.c:3066
 #, fuzzy
-#| msgid ""
-#| "  -print-multi-lib         Display the mapping between command line options and\n"
-#| "                           multiple library search directories\n"
 msgid ""
 "  -print-multiarch         Display the target's normalized GNU triplet, used as\n"
 "                           a component in the library path\n"
@@ -353,11 +346,11 @@
 "  -print-multi-lib\n"
 "    Hiển thị sự ánh xạ giữa các tuỳ chọn dòng lệnh và nhiều thư mục tìm kiếm thư viện\n"
 
-#: gcc.c:3068
+#: gcc.c:3069
 msgid "  -print-multi-directory   Display the root directory for versions of libgcc\n"
 msgstr "  -print-multi-directory    Hiển thị thư mục gốc cho các phiên bản thư viện libgcc\n"
 
-#: gcc.c:3069
+#: gcc.c:3070
 msgid ""
 "  -print-multi-lib         Display the mapping between command line options and\n"
 "                           multiple library search directories\n"
@@ -365,57 +358,57 @@
 "  -print-multi-lib\n"
 "    Hiển thị sự ánh xạ giữa các tuỳ chọn dòng lệnh và nhiều thư mục tìm kiếm thư viện\n"
 
-#: gcc.c:3072
+#: gcc.c:3073
 msgid "  -print-multi-os-directory Display the relative path to OS libraries\n"
 msgstr "  -print-multi-os-directory    Hiển thị đường dẫn tương đối đến các thư mục HĐH\n"
 
-#: gcc.c:3073
+#: gcc.c:3074
 msgid "  -print-sysroot           Display the target libraries directory\n"
 msgstr "  -print-sysroot           Hiển thị thư mục chứa các thư viện đích\n"
 
-#: gcc.c:3074
+#: gcc.c:3075
 msgid "  -print-sysroot-headers-suffix Display the sysroot suffix used to find headers\n"
 msgstr "  -print-sysroot-headers-suffix    Hiển thị hậu tố sysroot dùng để tìm phần đầu\n"
 
-#: gcc.c:3075
+#: gcc.c:3076
 msgid "  -Wa,<options>            Pass comma-separated <options> on to the assembler\n"
 msgstr ""
 "  -Wa,<tuỳ_chọn>\n"
 "    Chuyển cho chương trình dịch mã số các tuỳ chọn này định giới bằng dấu phẩy\n"
 
-#: gcc.c:3076
+#: gcc.c:3077
 msgid "  -Wp,<options>            Pass comma-separated <options> on to the preprocessor\n"
 msgstr ""
 "  -Wp,<tuỳ_chọn>\n"
 "    Chuyển cho bộ tiền xử lý các tuỳ chọn này định giới bằng dấu phẩy\n"
 
-#: gcc.c:3077
+#: gcc.c:3078
 msgid "  -Wl,<options>            Pass comma-separated <options> on to the linker\n"
 msgstr ""
 "  -Wl,<tuỳ_chọn>\n"
 "    Chuyển cho bộ liên kết các tuỳ chọn này định giới bằng dấu phẩy\n"
 
-#: gcc.c:3078
+#: gcc.c:3079
 msgid "  -Xassembler <arg>        Pass <arg> on to the assembler\n"
 msgstr "  -Xassembler <đối_số>        Chuyển đối số này cho chương trình dịch mã số\n"
 
-#: gcc.c:3079
+#: gcc.c:3080
 msgid "  -Xpreprocessor <arg>     Pass <arg> on to the preprocessor\n"
 msgstr "  -Xpreprocessor <đối_số>     Chuyển đối số này cho bộ tiền xử lý\n"
 
-#: gcc.c:3080
+#: gcc.c:3081
 msgid "  -Xlinker <arg>           Pass <arg> on to the linker\n"
 msgstr "  -Xlinker <đối_số>           Chuyển đối số này cho bộ liên kết\n"
 
-#: gcc.c:3081
+#: gcc.c:3082
 msgid "  -save-temps              Do not delete intermediate files\n"
 msgstr "  -save-temps              Đừng xoá bỏ tập tin trung gian\n"
 
-#: gcc.c:3082
+#: gcc.c:3083
 msgid "  -save-temps=<arg>        Do not delete intermediate files\n"
-msgstr "  -save-temps=<đối_số>        Đừng xoá bỏ tập tin trung gian\n"
+msgstr "  -save-temps=<đối_số>     Đừng xoá bỏ tập tin trung gian\n"
 
-#: gcc.c:3083
+#: gcc.c:3084
 msgid ""
 "  -no-canonical-prefixes   Do not canonicalize paths when building relative\n"
 "                           prefixes to other gcc components\n"
@@ -423,23 +416,23 @@
 "  -no-canonical-prefixes    Đừng làm cho đường dẫn theo đúng quy tắc\n"
 "        khi xây dựng tiền tố tương ứng với thành phần gcc khác\n"
 
-#: gcc.c:3086
+#: gcc.c:3087
 msgid "  -pipe                    Use pipes rather than intermediate files\n"
 msgstr "  -pipe                    Dùng ống dẫn thay cho tập tin trung gian\n"
 
-#: gcc.c:3087
+#: gcc.c:3088
 msgid "  -time                    Time the execution of each subprocess\n"
 msgstr "  -time                    Đếm thời gian chạy mỗi tiến trình con\n"
 
-#: gcc.c:3088
+#: gcc.c:3089
 msgid "  -specs=<file>            Override built-in specs with the contents of <file>\n"
-msgstr "  -specs=<tệp>    Ghi đè lên đặc tả dựng sẵn bằng nội dung của tập tin này\n"
+msgstr "  -specs=<tệp>             Ghi đè lên đặc tả dựng sẵn bằng nội dung của tập tin này\n"
 
-#: gcc.c:3089
+#: gcc.c:3090
 msgid "  -std=<standard>          Assume that the input sources are for <standard>\n"
 msgstr "  -std=<tiêu_chuẩn>          Giả sử là các nguồn đầu vào là theo tiêu chuẩn này\n"
 
-#: gcc.c:3090
+#: gcc.c:3091
 msgid ""
 "  --sysroot=<directory>    Use <directory> as the root directory for headers\n"
 "                           and libraries\n"
@@ -447,45 +440,45 @@
 "  --sysroot=<thư_mục>\n"
 "        Dùng thư mục này làm thư mục gốc cho các phần đầu và thư viện\n"
 
-#: gcc.c:3093
+#: gcc.c:3094
 msgid "  -B <directory>           Add <directory> to the compiler's search paths\n"
 msgstr "  -B <thư_mục>    Thêm thư mục này vào các đường dẫn tìm kiếm của bộ biên dịch\n"
 
-#: gcc.c:3094
+#: gcc.c:3095
 msgid "  -v                       Display the programs invoked by the compiler\n"
 msgstr "  -v                       Hiển thị những chương trình được gọi bởi bộ biên dịch\n"
 
-#: gcc.c:3095
+#: gcc.c:3096
 msgid "  -###                     Like -v but options quoted and commands not executed\n"
 msgstr ""
 "  -###                     Giống như -v nhưng mà tuỳ chọn nằm trong dấu nháy\n"
 "        và lệnh không được thực hiện\n"
 
-#: gcc.c:3096
+#: gcc.c:3097
 msgid "  -E                       Preprocess only; do not compile, assemble or link\n"
 msgstr "  -E                  Chỉ tiền xử lý, đừng biên dịch, dịch mã số hoặc liên kết\n"
 
-#: gcc.c:3097
+#: gcc.c:3098
 msgid "  -S                       Compile only; do not assemble or link\n"
 msgstr "  -S                       Chỉ biên dịch, đừng dịch mã số hoặc liên kết\n"
 
-#: gcc.c:3098
+#: gcc.c:3099
 msgid "  -c                       Compile and assemble, but do not link\n"
 msgstr "  -c                       Biên dịch và dịch mã số mà đừng liên kết\n"
 
-#: gcc.c:3099
+#: gcc.c:3100
 msgid "  -o <file>                Place the output into <file>\n"
 msgstr "  -o <tệp>                Để kết xuất vào tập tin này\n"
 
-#: gcc.c:3100
+#: gcc.c:3101
 msgid "  -pie                     Create a position independent executable\n"
 msgstr "  -pie                    Tạo vị trí độc lập thi hành\n"
 
-#: gcc.c:3101
+#: gcc.c:3102
 msgid "  -shared                  Create a shared library\n"
 msgstr "  -shared                  Tạo thư viện chia sẻ (liên kết động)\n"
 
-#: gcc.c:3102
+#: gcc.c:3103
 msgid ""
 "  -x <language>            Specify the language of the following input files\n"
 "                           Permissible languages include: c c++ assembler none\n"
@@ -497,7 +490,7 @@
 "                                  'none' (không có) = hoàn nguyên về ứng dụng mặc định\n"
 "                                  là đoán ngôn ngữ dựa vào phần mở rộng của tập tin\n"
 
-#: gcc.c:3109
+#: gcc.c:3110
 #, c-format
 msgid ""
 "\n"
@@ -510,27 +503,27 @@
 "thì được tự động gửi cho những tiến trình con khác nhau được %s gọi.\n"
 "Phải sử dụng tuỳ chọn -W<chữ> để gửi thêm tuỳ chọn cho những tiến trình này.\n"
 
-#: gcc.c:5364
+#: gcc.c:5365
 #, c-format
 msgid "Processing spec (%s), which is '%s'\n"
 msgstr "Đang xử lý đặc tả (%s), cái mà '%s'\n"
 
-#: gcc.c:6649
+#: gcc.c:6651
 #, c-format
 msgid "install: %s%s\n"
 msgstr "cài đặt: %s%s\n"
 
-#: gcc.c:6652
+#: gcc.c:6654
 #, c-format
 msgid "programs: %s\n"
 msgstr "chương trình: %s\n"
 
-#: gcc.c:6654
+#: gcc.c:6656
 #, c-format
 msgid "libraries: %s\n"
 msgstr "thư viện: %s\n"
 
-#: gcc.c:6738
+#: gcc.c:6740
 #, c-format
 msgid ""
 "\n"
@@ -540,16 +533,16 @@
 "Để tìm hướng dẫn về thông báo lỗi, thăm địa chỉ:\n"
 
 # Variable: don't translate / Biến: đừng dịch
-#: gcc.c:6754
+#: gcc.c:6756
 #, c-format
 msgid "%s %s%s\n"
 msgstr "%s %s%s\n"
 
-#: gcc.c:6757 gcov.c:491 fortran/gfortranspec.c:303 java/jcf-dump.c:1230
+#: gcc.c:6759 gcov.c:491 fortran/gfortranspec.c:303 java/jcf-dump.c:1230
 msgid "(C)"
 msgstr "©"
 
-#: gcc.c:6758 java/jcf-dump.c:1231
+#: gcc.c:6760 java/jcf-dump.c:1231
 #, c-format
 msgid ""
 "This is free software; see the source for copying conditions.  There is NO\n"
@@ -561,32 +554,32 @@
 "KHẢ NĂNG BÁN HAY KHẢ NĂNG LÀM ĐƯỢC VIỆC DỨT KHOÁT.\n"
 "\n"
 
-#: gcc.c:6775
+#: gcc.c:6777
 #, c-format
 msgid "Target: %s\n"
 msgstr "Đích: %s\n"
 
-#: gcc.c:6776
+#: gcc.c:6778
 #, c-format
 msgid "Configured with: %s\n"
 msgstr "Cấu hình bằng %s\n"
 
-#: gcc.c:6790
+#: gcc.c:6792
 #, c-format
 msgid "Thread model: %s\n"
 msgstr "Mô hình tuyến trình: %s\n"
 
-#: gcc.c:6801
+#: gcc.c:6803
 #, c-format
 msgid "gcc version %s %s\n"
 msgstr "gcc phiên bản %s %s\n"
 
-#: gcc.c:6804
+#: gcc.c:6806
 #, c-format
 msgid "gcc driver version %s %sexecuting gcc version %s\n"
 msgstr "Trình điều khiển gcc phiên bản %s %sexecuting gcc phiên bản %s\n"
 
-#: gcc.c:7058
+#: gcc.c:7061
 #, c-format
 msgid ""
 "\n"
@@ -599,7 +592,7 @@
 "==============\n"
 "\n"
 
-#: gcc.c:7059
+#: gcc.c:7062
 #, c-format
 msgid ""
 "Use \"-Wl,OPTION\" to pass \"OPTION\" to the linker.\n"
@@ -608,7 +601,7 @@
 "Hãy sử dụng \"-Wl,TÙY_CHỌN\" để gửi tuỳ chọn đó cho bộ liên kết.\n"
 "\n"
 
-#: gcc.c:8276
+#: gcc.c:8279
 #, c-format
 msgid ""
 "Assembler options\n"
@@ -619,7 +612,7 @@
 "=================\n"
 "\n"
 
-#: gcc.c:8277
+#: gcc.c:8280
 #, c-format
 msgid ""
 "Use \"-Wa,OPTION\" to pass \"OPTION\" to the assembler.\n"
@@ -649,12 +642,12 @@
 #: gcov.c:463
 #, c-format
 msgid "  -h, --help                      Print this help, then exit\n"
-msgstr "  -h, --help                  Hiển thị trợ giúp này, sau đó thoát.\n"
+msgstr "  -h, --help                      Hiển thị trợ giúp này, sau đó thoát.\n"
 
 #: gcov.c:464
 #, c-format
 msgid "  -v, --version                   Print version number, then exit\n"
-msgstr "  -v, --version               Hiển thị số thứ tự phiên bản, sau đó thoát.\n"
+msgstr "  -v, --version                   Hiển thị số thứ tự phiên bản, sau đó thoát.\n"
 
 #: gcov.c:465
 #, c-format
@@ -671,7 +664,9 @@
 msgid ""
 "  -c, --branch-counts             Given counts of branches taken\n"
 "                                    rather than percentages\n"
-msgstr "  -c, --branch-counts    Đưa ra số đếm các nhánh được theo, thay cho phần trăm\n"
+msgstr ""
+"  -c, --branch-counts            Đưa ra số đếm các nhánh được theo,\n"
+"                                     thay cho phần trăm\n"
 
 #: gcov.c:469
 #, c-format
@@ -778,10 +773,9 @@
 msgstr "Gỡ bỏ '%s'\n"
 
 #: gcov.c:979
-#, fuzzy, c-format
-#| msgid "%s:source file is newer than graph file '%s'\n"
+#, c-format
 msgid "%s:source file is newer than notes file '%s'\n"
-msgstr "%s: tập tin nguồn vẫn mới hơn tập tin đồ thị '%s'\n"
+msgstr "%s: tập tin nguồn mới hơn tập tin ghi chú '%s'\n"
 
 #: gcov.c:984
 #, c-format
@@ -789,16 +783,14 @@
 msgstr "(thông điệp này được hiển thị chỉ một lần cho mỗi tập tin nguồn)\n"
 
 #: gcov.c:1009
-#, fuzzy, c-format
-#| msgid "%s:cannot open graph file\n"
+#, c-format
 msgid "%s:cannot open notes file\n"
-msgstr "%s: không thể mở tập tin đồ thị\n"
+msgstr "%s: không thể mở tập tin ghi chú\n"
 
 #: gcov.c:1015
-#, fuzzy, c-format
-#| msgid "%s:not a gcov data file\n"
+#, c-format
 msgid "%s:not a gcov notes file\n"
-msgstr "%s: không phải là một tập tin dữ liệu gcov\n"
+msgstr "%s: không phải là tập tin ghi chú gcov\n"
 
 #: gcov.c:1028
 #, c-format
@@ -836,10 +828,9 @@
 msgstr "%s: phiên bản '%.4s' mà thích phiên bản '%.4s' hơn\n"
 
 #: gcov.c:1251
-#, fuzzy, c-format
-#| msgid "%s:stamp mismatch with graph file\n"
+#, c-format
 msgid "%s:stamp mismatch with notes file\n"
-msgstr "%s: dấu hiệu không tương ứng với tập tin đồ thị\n"
+msgstr "%s: dấu vết thời gian không khớp với tập tin ghi chú\n"
 
 #: gcov.c:1286
 #, c-format
@@ -965,14 +956,14 @@
 msgstr "GCSE bị tắt"
 
 #: gengtype-state.c:156
-#, fuzzy, c-format
+#, c-format
 msgid "%s:%d:%d: Invalid state file; %s"
-msgstr "%s:%d:%d:   lần tạo từ %qs\n"
+msgstr "%s:%d:%d: Không phải tập tin trạng thái hợp lệ; %s"
 
 #: gengtype-state.c:160
-#, fuzzy, c-format
+#, c-format
 msgid "%s:%d: Invalid state file; %s"
-msgstr "%s:%d:   lần tạo từ %qs\n"
+msgstr "%s:%d: Tập tin trạng thái không hợp lệ; %s "
 
 #. Fatal printf-like message while reading state.  This can't be a
 #. function, because there is no way to pass a va_arg to a variant of
@@ -990,7 +981,7 @@
 #: gengtype-state.c:701
 #, c-format
 msgid "Option tag unknown"
-msgstr ""
+msgstr "Không hiểu thẻ tùy chọn"
 
 #: gengtype-state.c:756
 #, fuzzy, c-format
@@ -1005,7 +996,7 @@
 #: gengtype-state.c:1193
 #, fuzzy, c-format
 msgid "failed to write state trailer [%s]"
-msgstr "không thể ghi vào tập tin tạm thời %s"
+msgstr "gặp lỗi khi đổi tên %s thành tập tin trạng thái %s [%s]"
 
 #: gengtype-state.c:1219
 #, c-format
@@ -1020,7 +1011,7 @@
 #: gengtype-state.c:1252
 #, fuzzy, c-format
 msgid "failed to close state file %s [%s]"
-msgstr "%s: Không đóng được tập tin kết xuất %s\n"
+msgstr "gặp lỗi khi đổi tên %s thành tập tin trạng thái %s [%s]"
 
 #: gengtype-state.c:1255
 #, c-format
@@ -1035,7 +1026,7 @@
 #: gengtype-state.c:2565
 #, fuzzy, c-format
 msgid "failed to close read state file %s [%s]"
-msgstr "%s: Không đóng được tập tin kết xuất %s\n"
+msgstr "Lỗi đọc từ tập tin \"%s\" gặp lỗi."
 
 #: incpath.c:74
 #, c-format
@@ -1052,17 +1043,17 @@
 msgid "ignoring nonexistent directory \"%s\"\n"
 msgstr "đang bỏ qua thư mục không tồn tại \"%s\"\n"
 
-#: incpath.c:363
+#: incpath.c:374
 #, c-format
 msgid "#include \"...\" search starts here:\n"
 msgstr "#include \"...\" việc tìm kiếm bắt đầu ở đây:\n"
 
-#: incpath.c:367
+#: incpath.c:378
 #, c-format
 msgid "#include <...> search starts here:\n"
 msgstr "#include <...> việc tìm kiếm bắt đầu ở đây:\n"
 
-#: incpath.c:372
+#: incpath.c:383
 #, c-format
 msgid "End of search list.\n"
 msgstr "Kết thúc danh sách tìm kiếm.\n"
@@ -1094,44 +1085,44 @@
 msgid "At top level:"
 msgstr "Ở cấp đầu:"
 
-#: langhooks.c:400 cp/error.c:3038
+#: langhooks.c:400 cp/error.c:3042
 #, c-format
 msgid "In member function %qs"
 msgstr "Trong hàm bộ phận %qs"
 
-#: langhooks.c:404 cp/error.c:3041
+#: langhooks.c:404 cp/error.c:3045
 #, c-format
 msgid "In function %qs"
 msgstr "Trong hàm %qs"
 
-#: langhooks.c:455 cp/error.c:2991
+#: langhooks.c:455 cp/error.c:2995
 #, c-format
 msgid "    inlined from %qs at %s:%d:%d"
 msgstr "    trực tiếp từ %qs tại %s:%d:%d"
 
-#: langhooks.c:460 cp/error.c:2996
+#: langhooks.c:460 cp/error.c:3000
 #, c-format
 msgid "    inlined from %qs at %s:%d"
 msgstr "    trực tiếp từ %qs tại %s:%d"
 
-#: langhooks.c:466 cp/error.c:3002
+#: langhooks.c:466 cp/error.c:3006
 #, c-format
 msgid "    inlined from %qs"
 msgstr "    trực tiếp từ %qs"
 
-#: loop-iv.c:3029 tree-ssa-loop-niter.c:1924
+#: loop-iv.c:3029 tree-ssa-loop-niter.c:1925
 msgid "assuming that the loop is not infinite"
 msgstr "giả sử rằng vòng lặp có giới hạn"
 
-#: loop-iv.c:3030 tree-ssa-loop-niter.c:1925
+#: loop-iv.c:3030 tree-ssa-loop-niter.c:1926
 msgid "cannot optimize possibly infinite loops"
 msgstr "không thể tối ưu hoá vòng lặp có thể là vô hạn"
 
-#: loop-iv.c:3038 tree-ssa-loop-niter.c:1929
+#: loop-iv.c:3038 tree-ssa-loop-niter.c:1930
 msgid "assuming that the loop counter does not overflow"
 msgstr "giả sử rằng bộ đếm vòng lặp không bị tràn"
 
-#: loop-iv.c:3039 tree-ssa-loop-niter.c:1930
+#: loop-iv.c:3039 tree-ssa-loop-niter.c:1931
 msgid "cannot optimize loop, the loop counter may overflow"
 msgstr "không thể tối ưu hoá vòng lặp vì bộ đếm vòng lặp có thể bị tràn"
 
@@ -1210,78 +1201,78 @@
 msgid "This switch lacks documentation"
 msgstr "Cái chuyển này còn thiếu tài liệu hướng dẫn"
 
-#: opts.c:1015
+#: opts.c:1018
 msgid "[default]"
 msgstr "[mặc định]"
 
-#: opts.c:1026
+#: opts.c:1029
 msgid "[enabled]"
 msgstr "[đã bật]"
 
-#: opts.c:1026
+#: opts.c:1029
 msgid "[disabled]"
 msgstr "[bị tắt]"
 
-#: opts.c:1045
+#: opts.c:1048
 #, c-format
 msgid " No options with the desired characteristics were found\n"
 msgstr " Không tìm thấy tuỳ chọn có những đặc điểm đã muốn\n"
 
-#: opts.c:1054
+#: opts.c:1057
 #, c-format
 msgid " None found.  Use --help=%s to show *all* the options supported by the %s front-end\n"
 msgstr " Không tìm thấy. Hãy sử dụng --help=%s để hiển thị * tất cả * các tuỳ chọn được giao diện %s hỗ trợ\n"
 
-#: opts.c:1060
+#: opts.c:1063
 #, c-format
 msgid " All options with the desired characteristics have already been displayed\n"
 msgstr " Đã hiển thị tất cả các tuỳ chọn có những đặc điểm đã muốn\n"
 
-#: opts.c:1155
+#: opts.c:1158
 msgid "The following options are target specific"
 msgstr "Theo đây có những tuỳ chọn đặc trưng cho đích"
 
-#: opts.c:1158
+#: opts.c:1161
 msgid "The following options control compiler warning messages"
 msgstr "Theo đây có những tuỳ chọn điều khiển các thông điệp cảnh báo của bộ biên dịch"
 
-#: opts.c:1161
+#: opts.c:1164
 msgid "The following options control optimizations"
 msgstr "Theo đây có những tuỳ chọn điều khiển việc tối ưu hoá"
 
-#: opts.c:1164 opts.c:1203
+#: opts.c:1167 opts.c:1206
 msgid "The following options are language-independent"
 msgstr "Theo đây có những tuỳ chọn không phụ thuộc vào ngôn ngữ"
 
-#: opts.c:1167
+#: opts.c:1170
 msgid "The --param option recognizes the following as parameters"
 msgstr "Tuỳ chọn --param nhận ra những điều theo đây như là tham số"
 
-#: opts.c:1173
+#: opts.c:1176
 msgid "The following options are specific to just the language "
 msgstr "Theo đây có những tuỳ chọn đặc trưng cho chỉ ngôn ngữ "
 
-#: opts.c:1175
+#: opts.c:1178
 msgid "The following options are supported by the language "
 msgstr "Theo đây có những tuỳ chọn được hỗ trợ bởi ngôn ngữ "
 
-#: opts.c:1186
+#: opts.c:1189
 msgid "The following options are not documented"
 msgstr "Theo đây có những tuỳ chọn không có tài liệu diễn tả"
 
-#: opts.c:1188
+#: opts.c:1191
 msgid "The following options take separate arguments"
 msgstr "Theo đây có những tuỳ chọn chấp nhận các đối số riêng"
 
-#: opts.c:1190
+#: opts.c:1193
 msgid "The following options take joined arguments"
 msgstr "Theo đây có những tuỳ chọn chấp nhận các đối số nối lại"
 
-#: opts.c:1201
+#: opts.c:1204
 msgid "The following options are language-related"
 msgstr "Theo đây có những tuỳ chọn liên quan đến ngôn ngữ"
 
-#: opts.c:2078
+#: opts.c:2081
 msgid "enabled by default"
 msgstr "mặc định được bật"
 
@@ -1313,9 +1304,8 @@
 msgstr "Chế độ VOIDmode trên một đầu ra"
 
 #: reload1.c:8703
-#, fuzzy
 msgid "failure trying to reload:"
-msgstr "Không thành công khi thử nạp lại:"
+msgstr "gặp lỗi nghiêm trọng khi cố tải:"
 
 #: rtl-error.c:117
 msgid "unrecognizable insn:"
@@ -1508,8 +1498,9 @@
 
 #. We can't inline because of mismatched optimization levels.
 #: cif-code.def:105
+#, fuzzy
 msgid "optimization level attribute mismatch"
-msgstr ""
+msgstr "đặt cấp tối ưu hoá mã"
 
 #. The remainder are real diagnostic types.
 #: diagnostic.def:33
@@ -1712,7 +1703,6 @@
 
 #: params.def:300
 #, fuzzy
-#| msgid "The maximum number of iterations through CFG to extend regions"
 msgid "The maximum number of branches on the path through the peeled sequence"
 msgstr "Số tối đa các lần lặp lại qua CFG để kéo dài vùng"
 
@@ -2179,14 +2169,12 @@
 msgstr "định dạng"
 
 #: c-family/c-format.c:346
-#, fuzzy
 msgid "field width specifier"
-msgstr "bề rộng trường"
+msgstr "chỉ định độ rộng trường"
 
 #: c-family/c-format.c:347
-#, fuzzy
 msgid "field precision specifier"
-msgstr "ồ chính xác trường"
+msgstr "chỉ định độ chính xác trường"
 
 #: c-family/c-format.c:461 c-family/c-format.c:485 config/i386/msformat-c.c:47
 msgid "' ' flag"
@@ -2485,7 +2473,7 @@
 msgid "<return-value>"
 msgstr "<giá trị trả lại>"
 
-#: c-family/c-pretty-print.c:2147 cp/error.c:1818 cp/error.c:2764
+#: c-family/c-pretty-print.c:2147 cp/error.c:1818 cp/error.c:2768
 msgid "<unknown>"
 msgstr "<không rõ>"
 
@@ -2494,38 +2482,34 @@
 #: config/aarch64/aarch64.c:3277 config/aarch64/aarch64.c:3288
 #: config/aarch64/aarch64.c:3298 config/aarch64/aarch64.c:3313
 #: config/aarch64/aarch64.c:3332
-#, fuzzy, c-format
-#| msgid "invalid operand for code '%c'"
+#, c-format
 msgid "invalid operand for '%%%c'"
-msgstr "sai lập toán hạng cho mã '%c'"
+msgstr "toán hạng không hợp lệ đối với '%%%c'"
 
 #: config/aarch64/aarch64.c:3348 config/aarch64/aarch64.c:3361
 #, c-format
 msgid "incompatible floating point / vector register operand for '%%%c'"
 msgstr ""
 
-#: config/aarch64/aarch64.c:3399 config/arm/arm.c:18223
+#: config/aarch64/aarch64.c:3399 config/arm/arm.c:18233
 #, c-format
 msgid "missing operand"
 msgstr "toán hạng còn thiếu"
 
 #: config/aarch64/aarch64.c:3462
-#, fuzzy, c-format
-#| msgid "invalid insn:"
+#, c-format
 msgid "invalid constant"
-msgstr "lệnh sai:"
+msgstr "hằng không hợp lệ"
 
 #: config/aarch64/aarch64.c:3465
-#, fuzzy, c-format
-#| msgid "invalid %%d operand"
+#, c-format
 msgid "invalid operand"
-msgstr "toán hạng %%d sai"
+msgstr "toán hạng không hợp lệ"
 
 #: config/aarch64/aarch64.c:3545
-#, fuzzy, c-format
-#| msgid "invalid operand code '%c'"
+#, c-format
 msgid "invalid operand prefix '%%%c'"
-msgstr "mã toán hạng sai '%c'"
+msgstr "tiền tố toán hạng không hợp lệ '%%%c'"
 
 #: config/alpha/alpha.c:5065
 #, c-format
@@ -2611,33 +2595,34 @@
 msgid "invalid %%xn code"
 msgstr "mã %%xn sai"
 
-#: config/arm/arm.c:17560 config/arm/arm.c:17578
+#: config/arm/arm.c:15438 config/arm/arm.c:15463 config/arm/arm.c:15473
+#: config/arm/arm.c:15482 config/arm/arm.c:15490
 #, c-format
+msgid "invalid shift operand"
+msgstr "sai lập toán hạng dời"
+
+#: config/arm/arm.c:17576 config/arm/arm.c:17594
+#, c-format
 msgid "predicated Thumb instruction"
 msgstr "lệnh Thumb căn cứ vào"
 
-#: config/arm/arm.c:17566
+#: config/arm/arm.c:17582
 #, c-format
 msgid "predicated instruction in conditional sequence"
 msgstr "gặp lệnh căn cứ vào trong dãy có điều kiện"
 
-#: config/arm/arm.c:17697 config/arm/arm.c:17710
-#, fuzzy, c-format
+#: config/arm/arm.c:17713 config/arm/arm.c:17726
+#, c-format
 msgid "Unsupported operand for code '%c'"
-msgstr "sai lập toán hạng cho mã '%c'"
+msgstr "Không hỗ trợ toán hạng cho mã '%c'"
 
-#: config/arm/arm.c:17748
-#, c-format
-msgid "invalid shift operand"
-msgstr "sai lập toán hạng dời"
-
-#: config/arm/arm.c:17805 config/arm/arm.c:17827 config/arm/arm.c:17837
-#: config/arm/arm.c:17847 config/arm/arm.c:17857 config/arm/arm.c:17896
-#: config/arm/arm.c:17914 config/arm/arm.c:17939 config/arm/arm.c:17954
-#: config/arm/arm.c:17981 config/arm/arm.c:17988 config/arm/arm.c:18006
-#: config/arm/arm.c:18013 config/arm/arm.c:18021 config/arm/arm.c:18042
-#: config/arm/arm.c:18049 config/arm/arm.c:18174 config/arm/arm.c:18181
-#: config/arm/arm.c:18204 config/arm/arm.c:18211 config/bfin/bfin.c:1439
+#: config/arm/arm.c:17815 config/arm/arm.c:17837 config/arm/arm.c:17847
+#: config/arm/arm.c:17857 config/arm/arm.c:17867 config/arm/arm.c:17906
+#: config/arm/arm.c:17924 config/arm/arm.c:17949 config/arm/arm.c:17964
+#: config/arm/arm.c:17991 config/arm/arm.c:17998 config/arm/arm.c:18016
+#: config/arm/arm.c:18023 config/arm/arm.c:18031 config/arm/arm.c:18052
+#: config/arm/arm.c:18059 config/arm/arm.c:18184 config/arm/arm.c:18191
+#: config/arm/arm.c:18214 config/arm/arm.c:18221 config/bfin/bfin.c:1439
 #: config/bfin/bfin.c:1446 config/bfin/bfin.c:1453 config/bfin/bfin.c:1460
 #: config/bfin/bfin.c:1469 config/bfin/bfin.c:1476 config/bfin/bfin.c:1483
 #: config/bfin/bfin.c:1490
@@ -2645,22 +2630,22 @@
 msgid "invalid operand for code '%c'"
 msgstr "sai lập toán hạng cho mã '%c'"
 
-#: config/arm/arm.c:17909
+#: config/arm/arm.c:17919
 #, c-format
 msgid "instruction never executed"
 msgstr "lệnh chưa bao giờ thực hiện"
 
 #. Former Maverick support, removed after GCC-4.7.
-#: config/arm/arm.c:17930
+#: config/arm/arm.c:17940
 #, fuzzy, c-format
 msgid "obsolete Maverick format code '%c'"
-msgstr "sai lập toán hạng cho mã '%c'"
+msgstr "PTP: định dạng mã không hợp lệ"
 
-#: config/arm/arm.c:20988
+#: config/arm/arm.c:20998
 msgid "function parameters cannot have __fp16 type"
 msgstr "tham số hàm không thể có loại __fp16"
 
-#: config/arm/arm.c:20998
+#: config/arm/arm.c:21008
 msgid "functions cannot return __fp16 type"
 msgstr "hàm không thể trả lại loại __fp16"
 
@@ -2676,12 +2661,11 @@
 #: config/avr/avr.c:2160 config/avr/avr.c:2215
 #, fuzzy
 msgid "bad address, not an I/O address:"
-msgstr "địa chỉ sai, không phải (reg+disp):"
+msgstr "Địa chỉ sai, không phải thanh ghi:"
 
 #: config/avr/avr.c:2169
-#, fuzzy
 msgid "bad address, not a constant:"
-msgstr "địa chỉ sai, không phải là một hằng số):"
+msgstr "địa chỉ sai, không phải là một hằng số:"
 
 #: config/avr/avr.c:2187
 msgid "bad address, not (reg+disp):"
@@ -2697,8 +2681,8 @@
 
 #: config/avr/avr.c:2234
 #, fuzzy, c-format
-msgid "Unsupported code '%c'for fixed-point:"
-msgstr "sai lập toán hạng cho mã '%c'"
+msgid "Unsupported code '%c' for fixed-point:"
+msgstr "Điểm mã Unicode U+%04X không được hỗ trợ."
 
 #: config/avr/avr.c:2243
 msgid "internal compiler error.  Unknown mode:"
@@ -2730,8 +2714,9 @@
 msgstr "lỗi biên dịch nội bộ. Dịch không đúng:"
 
 #: config/avr/avr.c:7071
+#, fuzzy
 msgid "unsupported fixed-point conversion"
-msgstr ""
+msgstr "không hỗ trợ khả năng chuyển đổi từ %s sang %s"
 
 #: config/bfin/bfin.c:1388
 #, c-format
@@ -2744,8 +2729,8 @@
 msgstr "toán hạng const_double sai"
 
 #: config/cris/cris.c:580 config/moxie/moxie.c:111 final.c:3311 final.c:3313
-#: fold-const.c:270 gcc.c:4712 gcc.c:4726 loop-iv.c:3031 loop-iv.c:3040
-#: rtl-error.c:102 toplev.c:332 tree-ssa-loop-niter.c:1933 tree-vrp.c:6783
+#: fold-const.c:270 gcc.c:4713 gcc.c:4727 loop-iv.c:3031 loop-iv.c:3040
+#: rtl-error.c:102 toplev.c:332 tree-ssa-loop-niter.c:1934 tree-vrp.c:6783
 #: cp/typeck.c:5618 java/expr.c:389 lto/lto-object.c:189 lto/lto-object.c:287
 #: lto/lto-object.c:344 lto/lto-object.c:368
 #, gcc-internal-format, gfc-internal-format
@@ -2837,7 +2822,7 @@
 #: config/cris/cris.c:3818
 #, fuzzy
 msgid "unidentifiable call op"
-msgstr "Không thể nhận diện toán tử gọi"
+msgstr "Chế độ thao tác CPU:"
 
 #: config/cris/cris.c:3870
 #, c-format
@@ -2982,28 +2967,24 @@
 msgstr "lập sai UNSPEC như là toán hạng"
 
 #: config/i386/i386.c:14164
-#, fuzzy, c-format
-#| msgid "invalid operand size for operand code '%c'"
+#, c-format
 msgid "invalid operand size for operand code 'O'"
-msgstr "sai lập kích cỡ toán hạng cho mã toán hạng '%c'"
+msgstr "sai kích cỡ toán hạng cho mã toán hạng 'O'"
 
 #: config/i386/i386.c:14199
-#, fuzzy, c-format
-#| msgid "invalid operand size for operand code '%c'"
+#, c-format
 msgid "invalid operand size for operand code 'z'"
-msgstr "sai lập kích cỡ toán hạng cho mã toán hạng '%c'"
+msgstr "sai kích cỡ toán hạng cho mã toán hạng 'z'"
 
 #: config/i386/i386.c:14269
-#, fuzzy, c-format
-#| msgid "invalid operand type used with operand code '%c'"
+#, c-format
 msgid "invalid operand type used with operand code 'Z'"
-msgstr "sử dụng loại toán hạng không hợp lệ với mã toán hạng '%c'"
+msgstr "sử dụng loại toán hạng không hợp lệ với mã toán hạng 'Z'"
 
 #: config/i386/i386.c:14274
-#, fuzzy, c-format
-#| msgid "invalid operand size for operand code '%c'"
+#, c-format
 msgid "invalid operand size for operand code 'Z'"
-msgstr "sai lập kích cỡ toán hạng cho mã toán hạng '%c'"
+msgstr "sai kích cỡ toán hạng cho mã toán hạng 'Z'"
 
 #: config/i386/i386.c:14349
 #, c-format
@@ -3016,10 +2997,9 @@
 msgstr "toán hạng không phải là một mã điều kiện, mã toán hạng sai 'D'"
 
 #: config/i386/i386.c:14439
-#, fuzzy, c-format
-#| msgid "operand is not a condition code, invalid operand code 'D'"
+#, c-format
 msgid "operand is not a condition code, invalid operand code '%c'"
-msgstr "toán hạng không phải là một mã điều kiện, mã toán hạng sai 'D'"
+msgstr "toán hạng không phải là một mã điều kiện, mã toán hạng không hợp lệ '%c'"
 
 #: config/i386/i386.c:14452
 #, fuzzy, c-format
@@ -3093,8 +3073,8 @@
 msgid "invalid operation on %<__fpreg%>"
 msgstr "thao tác sai %<__fpreg%>"
 
-#: config/iq2000/iq2000.c:3132 config/tilegx/tilegx.c:5205
-#: config/tilepro/tilepro.c:4695
+#: config/iq2000/iq2000.c:3132 config/tilegx/tilegx.c:5203
+#: config/tilepro/tilepro.c:4693
 #, c-format
 msgid "invalid %%P operand"
 msgstr "gặp toán hạng %%P sai"
@@ -3107,22 +3087,22 @@
 #: config/iq2000/iq2000.c:3197
 #, c-format
 msgid "invalid use of %%d, %%x, or %%X"
-msgstr "sai sử dụng %%d, %%x hoặc %%X"
+msgstr "dùng không đúng %%d, %%x hoặc %%X"
 
-#: config/lm32/lm32.c:521
+#: config/lm32/lm32.c:518
 #, fuzzy, c-format
 msgid "only 0.0 can be loaded as an immediate"
-msgstr "Chỉ 0.0 nạp được như là một điều ngay lập tức"
+msgstr "chỉ có thể nạp ET_DYN và ET_EXEC"
 
-#: config/lm32/lm32.c:591
+#: config/lm32/lm32.c:588
 msgid "bad operand"
 msgstr "toán hạng sai"
 
-#: config/lm32/lm32.c:603
+#: config/lm32/lm32.c:600
 msgid "can't use non gp relative absolute address"
 msgstr "không cho phép sử dụng địa chỉ tuyệt đối tương đối không phải gp"
 
-#: config/lm32/lm32.c:607
+#: config/lm32/lm32.c:604
 msgid "invalid addressing mode"
 msgstr "sai lập chế độ đặt địa chỉ"
 
@@ -3191,36 +3171,36 @@
 msgid "invalid %%L code"
 msgstr "mã %%L sai"
 
-#: config/microblaze/microblaze.c:1760
+#: config/microblaze/microblaze.c:2156
 #, c-format
 msgid "unknown punctuation '%c'"
 msgstr "không hiểu dấu chấm câu '%c'"
 
-#: config/microblaze/microblaze.c:1769
+#: config/microblaze/microblaze.c:2165
 #, c-format
 msgid "null pointer"
 msgstr "con trỏ rỗng"
 
-#: config/microblaze/microblaze.c:1804
+#: config/microblaze/microblaze.c:2200
 #, c-format
 msgid "PRINT_OPERAND, invalid insn for %%C"
 msgstr "PRINT_OPERAND, sai insn cho %%C"
 
-#: config/microblaze/microblaze.c:1833
+#: config/microblaze/microblaze.c:2229
 #, c-format
 msgid "PRINT_OPERAND, invalid insn for %%N"
 msgstr "PRINT_OPERAND, sai insn cho %%N"
 
-#: config/microblaze/microblaze.c:1853 config/microblaze/microblaze.c:2014
+#: config/microblaze/microblaze.c:2249 config/microblaze/microblaze.c:2420
 msgid "insn contains an invalid address !"
 msgstr "insn chứa một địa chỉ sai !"
 
-#: config/microblaze/microblaze.c:1867 config/microblaze/microblaze.c:2054
+#: config/microblaze/microblaze.c:2264 config/microblaze/microblaze.c:2479
 #: config/xtensa/xtensa.c:2443
 msgid "invalid address"
 msgstr "địa chỉ sai"
 
-#: config/microblaze/microblaze.c:1966
+#: config/microblaze/microblaze.c:2363
 #, c-format
 msgid "letter %c was found & insn was not CONST_INT"
 msgstr ""
@@ -3295,9 +3275,9 @@
 msgstr "Địa chỉ sai, không phải thanh ghi:"
 
 #: config/rl78/rl78.c:1219 config/rl78/rl78.c:1258
-#, c-format
+#, fuzzy, c-format
 msgid "q/Q modifiers invalid for symbol references"
-msgstr ""
+msgstr "sai sử dụng « PROVIDE » (cung cấp) cho ký hiệu chấm"
 
 #: config/rs6000/host-darwin.c:94
 #, c-format
@@ -3434,7 +3414,7 @@
 #: config/s390/s390.c:5452
 #, fuzzy, c-format
 msgid "invalid reference for 'J' output modifier"
-msgstr "sai lập toán hạng cho sự sửa đổi 'b'"
+msgstr "biểu thức không hợp lệ - hãy thử dùng bổ nghĩa kết xuất"
 
 #: config/s390/s390.c:5466
 #, c-format
@@ -3444,7 +3424,7 @@
 #: config/s390/s390.c:5477
 #, fuzzy, c-format
 msgid "invalid address for 'O' output modifier"
-msgstr "sai lập toán hạng cho sự sửa đổi 'O'"
+msgstr "biểu thức không hợp lệ - hãy thử dùng bổ nghĩa kết xuất"
 
 #: config/s390/s390.c:5495
 #, c-format
@@ -3454,7 +3434,7 @@
 #: config/s390/s390.c:5506
 #, fuzzy, c-format
 msgid "invalid address for 'R' output modifier"
-msgstr "sai lập toán hạng cho sự sửa đổi 'b'"
+msgstr "biểu thức không hợp lệ - hãy thử dùng bổ nghĩa kết xuất"
 
 #: config/s390/s390.c:5524
 #, c-format
@@ -3464,7 +3444,7 @@
 #: config/s390/s390.c:5534
 #, fuzzy, c-format
 msgid "invalid address for 'S' output modifier"
-msgstr "sai lập toán hạng cho sự sửa đổi 'b'"
+msgstr "biểu thức không hợp lệ - hãy thử dùng bổ nghĩa kết xuất"
 
 #: config/s390/s390.c:5555
 #, c-format
@@ -3479,47 +3459,47 @@
 #: config/s390/s390.c:5641 config/s390/s390.c:5661
 #, fuzzy, c-format
 msgid "invalid constant for output modifier '%c'"
-msgstr "sai lập toán hạng cho sự sửa đổi 'o'"
+msgstr "hàm không hợp lệ - hãy thử dùng bổ nghĩa kết xuất"
 
 #: config/s390/s390.c:5658
-#, fuzzy, c-format
+#, c-format
 msgid "invalid constant - try using an output modifier"
-msgstr "sai lập mã kết xuất toán hạng"
+msgstr "hàm không hợp lệ - hãy thử dùng bổ nghĩa kết xuất"
 
 #: config/s390/s390.c:5668
-#, fuzzy, c-format
+#, c-format
 msgid "invalid expression - try using an output modifier"
-msgstr "sai lập biểu tượng dưới dạng toán hạng"
+msgstr "biểu thức không hợp lệ - hãy thử dùng bổ nghĩa kết xuất"
 
 #: config/s390/s390.c:5671
 #, fuzzy, c-format
 msgid "invalid expression for output modifier '%c'"
-msgstr "sai lập toán hạng cho sự sửa đổi 'o'"
+msgstr "biểu thức không hợp lệ - hãy thử dùng bổ nghĩa kết xuất"
 
 #: config/score/score.c:1314
 #, c-format
 msgid "invalid operand for code: '%c'"
 msgstr "sai lập toán hạng cho mã: '%c'"
 
-#: config/sh/sh.c:1204
+#: config/sh/sh.c:1201
 #, c-format
 msgid "invalid operand to %%R"
 msgstr "sai lập toán hạng tới %%R"
 
-#: config/sh/sh.c:1231
+#: config/sh/sh.c:1228
 #, c-format
 msgid "invalid operand to %%S"
 msgstr "sai lập toán hạng tới %%S"
 
-#: config/sh/sh.c:9775
+#: config/sh/sh.c:9772
 msgid "created and used with different architectures / ABIs"
 msgstr "tạo và sử dụng với các kiến trúc hoặc ABI khác nhau"
 
-#: config/sh/sh.c:9777
+#: config/sh/sh.c:9774
 msgid "created and used with different ABIs"
 msgstr "tạo và sử dụng với các ABI khác nhau"
 
-#: config/sh/sh.c:9779
+#: config/sh/sh.c:9776
 msgid "created and used with different endianness"
 msgstr "tạo và sử dụng với các trình trạng cuối khác nhau"
 
@@ -3538,13 +3518,13 @@
 msgid "invalid %%B operand"
 msgstr "toán hạng %%B sai"
 
-#: config/sparc/sparc.c:8508 config/tilegx/tilegx.c:4988
-#: config/tilepro/tilepro.c:4498
+#: config/sparc/sparc.c:8508 config/tilegx/tilegx.c:4986
+#: config/tilepro/tilepro.c:4496
 #, c-format
 msgid "invalid %%C operand"
 msgstr "sai toán hạng %%C"
 
-#: config/sparc/sparc.c:8525 config/tilegx/tilegx.c:5021
+#: config/sparc/sparc.c:8525 config/tilegx/tilegx.c:5019
 #, c-format
 msgid "invalid %%D operand"
 msgstr "sai toán hạng %%D"
@@ -3589,87 +3569,87 @@
 msgid "xstormy16_print_operand: unknown code"
 msgstr "xstormy16_print_operand: gặp mã không rõ"
 
-#: config/tilegx/tilegx.c:4973 config/tilepro/tilepro.c:4483
+#: config/tilegx/tilegx.c:4971 config/tilepro/tilepro.c:4481
 #, c-format
 msgid "invalid %%c operand"
 msgstr "toán hạng %%c sai"
 
-#: config/tilegx/tilegx.c:5004
+#: config/tilegx/tilegx.c:5002
 #, c-format
 msgid "invalid %%d operand"
 msgstr "toán hạng %%d sai"
 
-#: config/tilegx/tilegx.c:5101
-#, fuzzy, c-format
+#: config/tilegx/tilegx.c:5099
+#, c-format
 msgid "invalid %%H specifier"
-msgstr "mã %%L sai"
+msgstr "định danh %%H không hợp lệ"
 
-#: config/tilegx/tilegx.c:5143 config/tilepro/tilepro.c:4512
+#: config/tilegx/tilegx.c:5141 config/tilepro/tilepro.c:4510
 #, c-format
 msgid "invalid %%h operand"
 msgstr "sai toán hạng %%h"
 
-#: config/tilegx/tilegx.c:5155 config/tilepro/tilepro.c:4576
+#: config/tilegx/tilegx.c:5153 config/tilepro/tilepro.c:4574
 #, c-format
 msgid "invalid %%I operand"
 msgstr "sai toán hạng %%I"
 
-#: config/tilegx/tilegx.c:5169 config/tilepro/tilepro.c:4590
+#: config/tilegx/tilegx.c:5167 config/tilepro/tilepro.c:4588
 #, c-format
 msgid "invalid %%i operand"
 msgstr "sai toán hạng %%i"
 
-#: config/tilegx/tilegx.c:5192 config/tilepro/tilepro.c:4613
+#: config/tilegx/tilegx.c:5190 config/tilepro/tilepro.c:4611
 #, c-format
 msgid "invalid %%j operand"
 msgstr "sai toán hạng %%j"
 
-#: config/tilegx/tilegx.c:5223
+#: config/tilegx/tilegx.c:5221
 #, c-format
 msgid "invalid %%%c operand"
 msgstr "sai toán hạng %%%c"
 
-#: config/tilegx/tilegx.c:5238 config/tilepro/tilepro.c:4727
+#: config/tilegx/tilegx.c:5236 config/tilepro/tilepro.c:4725
 #, c-format
 msgid "invalid %%N operand"
 msgstr "sai toán hạng %%N"
 
-#: config/tilegx/tilegx.c:5282
-#, fuzzy, c-format
+#: config/tilegx/tilegx.c:5280
+#, c-format
 msgid "invalid operand for 'r' specifier"
-msgstr "sai lập toán hạng cho sự sửa đổi 'b'"
+msgstr "toán hạng không hợp lệ cho chỉ định 'r'"
 
-#: config/tilegx/tilegx.c:5307 config/tilepro/tilepro.c:4809
+#: config/tilegx/tilegx.c:5305 config/tilepro/tilepro.c:4807
 #, c-format
 msgid "unable to print out operand yet; code == %d (%c)"
 msgstr "thậm chí không thể in ra toán hạng; mã == %d (%c)"
 
-#: config/tilepro/tilepro.c:4548
+#: config/tilepro/tilepro.c:4546
 #, c-format
 msgid "invalid %%H operand"
 msgstr "sai toán hạng %%H"
 
-#: config/tilepro/tilepro.c:4652
+#: config/tilepro/tilepro.c:4650
 #, c-format
 msgid "invalid %%L operand"
 msgstr "sai toán hạng %%L"
 
-#: config/tilepro/tilepro.c:4712
+#: config/tilepro/tilepro.c:4710
 #, c-format
 msgid "invalid %%M operand"
 msgstr "sai toán hạng %%M"
 
-#: config/tilepro/tilepro.c:4755
+#: config/tilepro/tilepro.c:4753
 #, c-format
 msgid "invalid %%t operand"
 msgstr "sai toán hạng %%t"
 
-#: config/tilepro/tilepro.c:4762
+#: config/tilepro/tilepro.c:4760
 #, c-format
 msgid "invalid %%t operand '"
 msgstr "sai toán hạng %%t '"
 
-#: config/tilepro/tilepro.c:4783
+#: config/tilepro/tilepro.c:4781
 #, c-format
 msgid "invalid %%r operand"
 msgstr "sai toán hạng %%r"
@@ -3737,7 +3717,7 @@
 msgid "({anonymous})"
 msgstr "({nặc danh})"
 
-#: c/c-parser.c:943 cp/parser.c:23010
+#: c/c-parser.c:943 cp/parser.c:23014
 #, gcc-internal-format
 msgid "expected end of line"
 msgstr "cần kết thúc dòng"
@@ -3747,8 +3727,8 @@
 #: c/c-parser.c:7357 c/c-parser.c:7392 c/c-parser.c:7423 c/c-parser.c:7470
 #: c/c-parser.c:7651 c/c-parser.c:8419 c/c-parser.c:8489 c/c-parser.c:8532
 #: c/c-parser.c:9810 c/c-parser.c:9825 c/c-parser.c:9834 c/c-parser.c:9979
-#: c/c-parser.c:10018 c/c-parser.c:2500 c/c-parser.c:7644 cp/parser.c:22423
-#: cp/parser.c:22956
+#: c/c-parser.c:10018 c/c-parser.c:2500 c/c-parser.c:7644 cp/parser.c:22427
+#: cp/parser.c:22960
 #, gcc-internal-format
 msgid "expected %<;%>"
 msgstr "cần %<;%>"
@@ -3760,13 +3740,13 @@
 #: c/c-parser.c:6703 c/c-parser.c:6727 c/c-parser.c:7942 c/c-parser.c:8014
 #: c/c-parser.c:8841 c/c-parser.c:8862 c/c-parser.c:8912 c/c-parser.c:9065
 #: c/c-parser.c:9144 c/c-parser.c:9228 c/c-parser.c:9942 c/c-parser.c:10766
-#: c/c-parser.c:8985 c/c-parser.c:9010 cp/parser.c:20794 cp/parser.c:22959
+#: c/c-parser.c:8985 c/c-parser.c:9010 cp/parser.c:20798 cp/parser.c:22963
 #, gcc-internal-format
 msgid "expected %<(%>"
 msgstr "cần %<(%>"
 
 #: c/c-parser.c:1843 c/c-parser.c:6389 c/c-parser.c:6427 c/c-parser.c:6555
-#: cp/parser.c:22421 cp/parser.c:22974
+#: cp/parser.c:22425 cp/parser.c:22978
 #, gcc-internal-format
 msgid "expected %<,%>"
 msgstr "cần %<,%>"
@@ -3782,15 +3762,15 @@
 #: c/c-parser.c:7736 c/c-parser.c:7757 c/c-parser.c:7965 c/c-parser.c:8018
 #: c/c-parser.c:8391 c/c-parser.c:8844 c/c-parser.c:8865 c/c-parser.c:8943
 #: c/c-parser.c:9072 c/c-parser.c:9209 c/c-parser.c:9292 c/c-parser.c:9870
-#: c/c-parser.c:9987 c/c-parser.c:10029 c/c-parser.c:10775 cp/parser.c:20816
-#: cp/parser.c:23004
+#: c/c-parser.c:9987 c/c-parser.c:10029 c/c-parser.c:10775 cp/parser.c:20820
+#: cp/parser.c:23008
 #, gcc-internal-format
 msgid "expected %<)%>"
 msgstr "cần %<)%>"
 
 #: c/c-parser.c:3095 c/c-parser.c:3911 c/c-parser.c:3945 c/c-parser.c:5228
 #: c/c-parser.c:6491 c/c-parser.c:6760 c/c-parser.c:6878 c/c-parser.c:10678
-#: c/c-parser.c:10680 cp/parser.c:22968
+#: c/c-parser.c:10680 cp/parser.c:22972
 #, gcc-internal-format
 msgid "expected %<]%>"
 msgstr "cần %<]%>"
@@ -3799,25 +3779,25 @@
 msgid "expected %<;%>, %<,%> or %<)%>"
 msgstr "cần %<;%>, %<,%> hoặc %<)%>"
 
-#: c/c-parser.c:3774 c/c-parser.c:9826 cp/parser.c:22962 cp/parser.c:24780
+#: c/c-parser.c:3774 c/c-parser.c:9826 cp/parser.c:22966 cp/parser.c:24784
 #, gcc-internal-format
 msgid "expected %<}%>"
 msgstr "cần %<}%>"
 
 #: c/c-parser.c:4064 c/c-parser.c:7985 c/c-parser.c:10272 c/c-parser.c:2318
-#: c/c-parser.c:2521 c/c-parser.c:7539 cp/parser.c:14644 cp/parser.c:22965
+#: c/c-parser.c:2521 c/c-parser.c:7539 cp/parser.c:14646 cp/parser.c:22969
 #, gcc-internal-format
 msgid "expected %<{%>"
 msgstr "cần %<{%>"
 
 #: c/c-parser.c:4283 c/c-parser.c:4292 c/c-parser.c:5135 c/c-parser.c:5469
 #: c/c-parser.c:7750 c/c-parser.c:8125 c/c-parser.c:8182 c/c-parser.c:9198
-#: cp/parser.c:22998 cp/parser.c:24001
+#: cp/parser.c:23002 cp/parser.c:24005
 #, gcc-internal-format
 msgid "expected %<:%>"
 msgstr "cần %<:%>"
 
-#: c/c-parser.c:4831 cp/parser.c:22892
+#: c/c-parser.c:4831 cp/parser.c:22896
 #, gcc-internal-format
 msgid "expected %<while%>"
 msgstr "cần %<while%>"
@@ -3826,34 +3806,34 @@
 msgid "expected %<.%>"
 msgstr "cần %<.%>"
 
-#: c/c-parser.c:7210 c/c-parser.c:7242 c/c-parser.c:7482 cp/parser.c:24564
-#: cp/parser.c:24638
+#: c/c-parser.c:7210 c/c-parser.c:7242 c/c-parser.c:7482 cp/parser.c:24568
+#: cp/parser.c:24642
 #, gcc-internal-format
 msgid "expected %<@end%>"
 msgstr "cần %<@end%>"
 
-#: c/c-parser.c:7899 cp/parser.c:22983
+#: c/c-parser.c:7899 cp/parser.c:22987
 #, gcc-internal-format
 msgid "expected %<>%>"
 msgstr "cần %<>%>"
 
-#: c/c-parser.c:9296 cp/parser.c:23007
+#: c/c-parser.c:9296 cp/parser.c:23011
 #, gcc-internal-format
 msgid "expected %<,%> or %<)%>"
 msgstr "cần %<,%> hoặc %<)%>"
 
 #: c/c-parser.c:9549 c/c-parser.c:9580 c/c-parser.c:9816 c/c-parser.c:9968
-#: c/c-parser.c:3968 cp/parser.c:22986
+#: c/c-parser.c:3968 cp/parser.c:22990
 #, gcc-internal-format
 msgid "expected %<=%>"
 msgstr "cần %<=%>"
 
-#: c/c-parser.c:10329 c/c-parser.c:10319 cp/parser.c:27421
+#: c/c-parser.c:10329 c/c-parser.c:10319 cp/parser.c:27425
 #, gcc-internal-format
 msgid "expected %<#pragma omp section%> or %<}%>"
 msgstr "cần %<#pragma omp section%> hoặc %<}%>"
 
-#: c/c-parser.c:10666 cp/parser.c:22971
+#: c/c-parser.c:10666 cp/parser.c:22975
 #, gcc-internal-format
 msgid "expected %<[%>"
 msgstr "cần %<[%>"
@@ -3862,11 +3842,11 @@
 msgid "(anonymous)"
 msgstr "(nặc danh)"
 
-#: cp/call.c:8680
+#: cp/call.c:8698
 msgid "candidate 1:"
 msgstr "ứng cử 1:"
 
-#: cp/call.c:8681
+#: cp/call.c:8699
 msgid "candidate 2:"
 msgstr "ứng cử 2:"
 
@@ -3874,7 +3854,7 @@
 msgid "<unnamed>"
 msgstr "<không tên>"
 
-#: cp/cxx-pretty-print.c:2149
+#: cp/cxx-pretty-print.c:2153
 msgid "template-parameter-"
 msgstr "template-parameter-"
 
@@ -3940,15 +3920,12 @@
 msgstr "{nặc danh}"
 
 #: cp/error.c:1035
-#, fuzzy
-#| msgid "(anonymous)"
 msgid "(anonymous namespace)"
-msgstr "(nặc danh)"
+msgstr "(namespace vô danh)"
 
 #: cp/error.c:1133
-#, fuzzy
 msgid "<template arguments error>"
-msgstr "<lỗi tham số mẫu>"
+msgstr "<lỗi đối số mẫu>"
 
 #: cp/error.c:1154
 msgid "<enumerator>"
@@ -3958,7 +3935,7 @@
 msgid "<declaration error>"
 msgstr "<lỗi tuyên bố>"
 
-#: cp/error.c:1445 cp/error.c:2855
+#: cp/error.c:1445 cp/error.c:2859
 msgid "with"
 msgstr "với"
 
@@ -3980,119 +3957,122 @@
 msgid "<unparsed>"
 msgstr "<chưa phân tích cú pháp>"
 
-#: cp/error.c:2504
+# Literal: don't translate; Nghĩa chữ: dừng dịch
+#: cp/error.c:2498
+msgid "<lambda>"
+msgstr "<lambda>"
+
+#: cp/error.c:2508
 msgid "<expression error>"
 msgstr "<lỗi biểu thức>"
 
-#: cp/error.c:2518
+#: cp/error.c:2522
 msgid "<unknown operator>"
 msgstr "<không rõ toán hạng>"
 
-#: cp/error.c:2807
+#: cp/error.c:2811
 msgid "{unknown}"
 msgstr "{không rõ}"
 
-#: cp/error.c:2922
+#: cp/error.c:2926
 msgid "At global scope:"
 msgstr "Theo phạm vi toàn cục:"
 
-#: cp/error.c:3028
+#: cp/error.c:3032
 #, c-format
 msgid "In static member function %qs"
 msgstr "Trong hàm bộ phận tĩnh %qs"
 
-#: cp/error.c:3030
+#: cp/error.c:3034
 #, c-format
 msgid "In copy constructor %qs"
 msgstr "Trong bộ dựng bản sao %qs"
 
-#: cp/error.c:3032
+#: cp/error.c:3036
 #, c-format
 msgid "In constructor %qs"
 msgstr "Trong bộ dựng %qs"
 
-#: cp/error.c:3034
+#: cp/error.c:3038
 #, c-format
 msgid "In destructor %qs"
 msgstr "Trong bộ hủy %qs"
 
-#: cp/error.c:3036
+#: cp/error.c:3040
 msgid "In lambda function"
 msgstr "Trong hàm λ"
 
-#: cp/error.c:3056
+#: cp/error.c:3060
 #, fuzzy, c-format
 msgid "%s: In substitution of %qS:\n"
-msgstr "%s: Trong bộ tạo lần %qs:\n"
+msgstr "Trong hàm %qs"
 
-#: cp/error.c:3057
-#, fuzzy
+#: cp/error.c:3061
 msgid "%s: In instantiation of %q#D:\n"
-msgstr "%s: Trong bộ tạo lần %qs:\n"
+msgstr "%s: Trong minh dụ của %q#D:\n"
 
-#: cp/error.c:3080
+#: cp/error.c:3084
 #, c-format
 msgid "%s:%d:%d:   "
 msgstr "%s:%d:%d:   "
 
-#: cp/error.c:3083
+#: cp/error.c:3087
 #, c-format
 msgid "%s:%d:   "
 msgstr "%s:%d:   "
 
-#: cp/error.c:3091
+#: cp/error.c:3095
 #, c-format
 msgid "recursively required by substitution of %qS\n"
 msgstr ""
 
-#: cp/error.c:3092
+#: cp/error.c:3096
 #, c-format
 msgid "required by substitution of %qS\n"
 msgstr ""
 
-#: cp/error.c:3097
+#: cp/error.c:3101
+#, fuzzy
 msgid "recursively required from %q#D\n"
-msgstr ""
+msgstr "yêu cầu đệ quy từ đây"
 
-#: cp/error.c:3098
+#: cp/error.c:3102
 msgid "required from %q#D\n"
 msgstr "được yêu cầu từ %q#D\n"
 
-#: cp/error.c:3105
+#: cp/error.c:3109
 msgid "recursively required from here"
 msgstr "yêu cầu đệ quy từ đây"
 
-#: cp/error.c:3106
+#: cp/error.c:3110
 msgid "required from here"
 msgstr "được yêu cầu từ đây"
 
-#: cp/error.c:3158
+#: cp/error.c:3162
 #, fuzzy, c-format
-#| msgid "%s:%d:%d:   [ skipping %d instantiation contexts ]\n"
 msgid "%s:%d:%d:   [ skipping %d instantiation contexts, use -ftemplate-backtrace-limit=0 to disable ]\n"
 msgstr "%s:%d:%d:   [ đang bỏ qua %d ngữ cảnh tạo lần ]\n"
 
-#: cp/error.c:3163
+#: cp/error.c:3167
 #, fuzzy, c-format
-#| msgid "%s:%d:   [ skipping %d instantiation contexts ]\n"
 msgid "%s:%d:   [ skipping %d instantiation contexts, use -ftemplate-backtrace-limit=0 to disable ]\n"
 msgstr "%s:%d:   [ đang bỏ qua %d ngữ cảnh tạo lần ]\n"
 
-#: cp/error.c:3227
+#: cp/error.c:3231
 #, fuzzy, c-format
 msgid "%s:%d:%d:   in constexpr expansion of %qs"
-msgstr "%s:%d:%d:   lần tạo từ %qs\n"
+msgstr "Trong hàm bộ phận %qs"
 
-#: cp/error.c:3231
+#: cp/error.c:3235
 #, fuzzy, c-format
 msgid "%s:%d:   in constexpr expansion of %qs"
-msgstr "%s:%d:   lần tạo từ %qs\n"
+msgstr "Trong hàm bộ phận %qs"
 
 #: cp/pt.c:1751
 msgid "candidates are:"
 msgstr "ứng cử là:"
 
-#: cp/pt.c:17926 cp/call.c:3290
+#: cp/pt.c:17922 cp/call.c:3290
 #, gcc-internal-format
 msgid "candidate is:"
 msgid_plural "candidates are:"
@@ -4241,24 +4221,23 @@
 
 #: fortran/error.c:842
 msgid "Fortran 2008 obsolescent feature:"
-msgstr ""
+msgstr "Các đặc tính đã cũ của Fortran 2008:"
 
 #: fortran/error.c:851
 msgid "GNU Extension:"
-msgstr ""
+msgstr "Phần mở rộng GNU:"
 
 #: fortran/error.c:854
 msgid "Legacy Extension:"
-msgstr ""
+msgstr "Phần mở rộng cũ:"
 
 #: fortran/error.c:857
 msgid "Obsolescent feature:"
-msgstr ""
+msgstr "Đặc tính cũ:"
 
 #: fortran/error.c:860
-#, fuzzy
 msgid "Deleted feature:"
-msgstr "gặp toán hạng bất thường"
+msgstr "Đặc tính đã bị xóa bỏ:"
 
 #: fortran/error.c:1035
 msgid "Fatal Error:"
@@ -4373,14 +4352,14 @@
 #: fortran/io.c:2870
 #, fuzzy
 msgid "internal unit in WRITE"
-msgstr "hàm nội bộ"
+msgstr "%s: ghi không thành công trong write_block (ghi khối)"
 
 #. For INQUIRE, all tags except FILE, ID and UNIT are variable definition
 #. contexts.  Thus, use an extended RESOLVE_TAG macro for that.
 #: fortran/io.c:4065
 #, c-format
 msgid "%s tag with INQUIRE"
-msgstr ""
+msgstr "thẻ %s với INQUIRE"
 
 #: fortran/matchexp.c:28
 #, c-format
@@ -4576,9 +4555,8 @@
 msgstr "Biến vòng lặp"
 
 #: fortran/resolve.c:6682
-#, fuzzy
 msgid "iterator variable"
-msgstr "Biến vòng lặp"
+msgstr "biến iterator"
 
 #: fortran/resolve.c:6687
 msgid "Start expression in DO loop"
@@ -4610,7 +4588,7 @@
 
 #: fortran/resolve.c:8722
 msgid "item in READ"
-msgstr ""
+msgstr "mục tin trong READ"
 
 #: fortran/resolve.c:8868
 msgid "ACQUIRED_LOCK variable"
@@ -4625,12 +4603,12 @@
 msgid "Integer overflow when calculating the amount of memory to allocate"
 msgstr ""
 
-#: fortran/trans-decl.c:4842
+#: fortran/trans-decl.c:4844
 #, c-format
 msgid "Actual string length does not match the declared one for dummy argument '%s' (%ld/%ld)"
 msgstr "Chiều dài chuỗi thật không tương ứng với điều tuyên bố cho đối số giả '%s' (%ld/%ld)"
 
-#: fortran/trans-decl.c:4850
+#: fortran/trans-decl.c:4852
 #, c-format
 msgid "Actual string length is shorter than the declared one for dummy argument '%s' (%ld/%ld)"
 msgstr "Chiều dài chuỗi thật vẫn nhỏ hơn điều tuyên bố cho đối số giả '%s' (%ld/%ld)"
@@ -4645,12 +4623,12 @@
 msgid "Unequal character lengths (%ld/%ld) in %s"
 msgstr "%3$s chứa các chiều dài ký tự khác nhau (%1$ld/%2$ld)"
 
-#: fortran/trans-intrinsic.c:6157
+#: fortran/trans-intrinsic.c:6156
 #, fuzzy, c-format
 msgid "Argument NCOPIES of REPEAT intrinsic is negative (its value is %ld)"
 msgstr "Điều thực chất REPEAT (lặp lại) có đối số NCOPIES (số các bản sao) với giá trị âm (%lld)"
 
-#: fortran/trans-intrinsic.c:6189
+#: fortran/trans-intrinsic.c:6188
 msgid "Argument NCOPIES of REPEAT intrinsic is too large"
 msgstr "Điều thực chất REPEAT (lặp lại) có đối số NCOPIES (số các bản sao) quá lớn"
 
@@ -4696,14 +4674,13 @@
 msgstr ""
 
 #: fortran/trans.c:793
-#, fuzzy, c-format
+#, c-format
 msgid "Attempting to allocate already allocated variable '%s'"
-msgstr "Đang thử cấp phát một mảng đã cấp phát '%s'"
+msgstr "Đang cố cấp phát một biến đã được cấp phát rồi '%s'"
 
 #: fortran/trans.c:799
-#, fuzzy
 msgid "Attempting to allocate already allocated variable"
-msgstr "Đang thử cấp phát một mảng đã cấp phát"
+msgstr "Đang cố cấp phát một biến đã được cấp phát rồi"
 
 #: fortran/trans.c:908 fortran/trans.c:1162
 #, c-format
@@ -4711,8 +4688,9 @@
 msgstr "Đang thử BỎ cấp phát một mảng đã bỏ cấp phát '%s'"
 
 #: go/go-backend.c:170
+#, fuzzy
 msgid "lseek failed while reading export data"
-msgstr ""
+msgstr "đọc gặp lỗi khi đọc dữ liệu xuất"
 
 #: go/go-backend.c:177
 #, fuzzy
@@ -4724,8 +4702,9 @@
 msgstr "đọc gặp lỗi khi đọc dữ liệu xuất"
 
 #: go/go-backend.c:191
+#, fuzzy
 msgid "short read while reading export data"
-msgstr ""
+msgstr "đọc gặp lỗi khi đọc dữ liệu xuất"
 
 #: java/jcf-dump.c:1128
 #, c-format
@@ -4882,14 +4861,13 @@
 msgid "objc-cpp-output is deprecated; please use objective-c-cpp-output instead"
 msgstr ""
 
-#: java/jvspec.c:79 ada/gcc-interface/lang-specs.h:33 gcc.c:844
+#: java/jvspec.c:79 ada/gcc-interface/lang-specs.h:33 gcc.c:845
 msgid "-pg and -fomit-frame-pointer are incompatible"
 msgstr "hai tùy chọn --pg và --fomit-frame-pointer không tương thích với nhau"
 
 #: config/cris/cris.h:192
-#, fuzzy
 msgid "do not specify both -march=... and -mcpu=..."
-msgstr "Đừng ghi rõ đồng thời hai tuỳ chọn -march=... và -mcpu=..."
+msgstr "không dùng đồng thời hai tuỳ chọn -march=... và -mcpu=..."
 
 #: fortran/lang-specs.h:54 fortran/lang-specs.h:68
 msgid "gfortran does not support -E without -cpp"
@@ -4923,14 +4901,12 @@
 msgstr "sử dụng Ada thì cũng yêu cầu -c hoặc -S"
 
 #: ada/gcc-interface/lang-specs.h:52
-#, fuzzy
 msgid "-c required for gnat2why"
-msgstr "sử dụng Ada thì cũng yêu cầu -c hoặc -S"
+msgstr "-c cần cho gnat2why"
 
 #: ada/gcc-interface/lang-specs.h:65
-#, fuzzy
 msgid "-c required for gnat2scil"
-msgstr "sử dụng Ada thì cũng yêu cầu -c hoặc -S"
+msgstr "-c là cần cho gnat2scil"
 
 #: config/mcore/mcore.h:53
 msgid "the m210 does not have little endian support"
@@ -4943,11 +4919,10 @@
 #: config/rs6000/sysv4.h:756 config/alpha/freebsd.h:33
 #: config/i386/freebsd.h:95 config/i386/freebsd64.h:35
 #: config/sparc/freebsd.h:45 config/ia64/freebsd.h:26
-#, fuzzy
 msgid "consider using '-pg' instead of '-p' with gprof(1)"
-msgstr "sử dụng gprof(1) thì đề nghị bạn lập '-pg' thay cho '-p'"
+msgstr "cân nhắc dùng '-pg' thay cho '-p' với gprof(1)"
 
-#: config/sh/sh.h:360 config/sh/sh.h:363
+#: config/sh/sh.h:363 config/sh/sh.h:366
 msgid "SH2a does not support little-endian"
 msgstr "SH2a không hỗ trợ tình trạng về cuối nhỏ"
 
@@ -5012,7 +4987,7 @@
 msgstr "tuỳ chọn -shared (chia sẻ) hiện thời không được hỗ trợ cho VAX ELF"
 
 #: config/i386/mingw-w64.h:82 config/i386/mingw32.h:115
-#: config/i386/cygwin.h:113
+#: config/i386/cygwin.h:109
 msgid "shared and mdll are not compatible"
 msgstr "shared và mdll không tương thích với nhau"
 
@@ -5037,9 +5012,8 @@
 msgstr "CPU rx200 không có phần cứng đơn vị điểm phù động (FPU)"
 
 #: config/arm/arm.h:206
-#, fuzzy
 msgid "-mfloat-abi=soft and -mfloat-abi=hard may not be used together"
-msgstr "không cho phép sử dụng đồng thời hai tuỳ chọn -msoft-float (loại mềm) và -mhard_float (loại cứng)"
+msgstr "-mfloat-abi=soft và -mfloat-abi=hard không được dùng cùng nhau"
 
 #: config/arm/arm.h:208
 msgid "-mbig-endian and -mlittle-endian may not be used together"
@@ -5053,23 +5027,23 @@
 msgid "profiling not supported with -mg"
 msgstr "không hỗ trợ sử dụng chức năng đo hiệu năng sử dụng với -mg"
 
-#: gcc.c:704
+#: gcc.c:705
 msgid "-fuse-linker-plugin is not supported in this configuration"
 msgstr "-fuse-linker-plugin không được hỗ trợ trong cấu hình này"
 
-#: gcc.c:718
+#: gcc.c:719
 msgid "cannot specify -static with -fsanitize=address"
 msgstr ""
 
-#: gcc.c:720
+#: gcc.c:721
 msgid "-fsanitize=thread linking must be done with -pie or -shared"
 msgstr ""
 
-#: gcc.c:1012
+#: gcc.c:1013
 msgid "GNU C no longer supports -traditional without -E"
 msgstr "C của GNU không còn hỗ trợ -traditional mà không có -E"
 
-#: gcc.c:1021
+#: gcc.c:1022
 msgid "-E or -x required when input is from standard input"
 msgstr "Nhập từ đầu vào tiêu chuẩn thì cũng yêu cầu tuỳ chọn -E hoặc -x"
 
@@ -5120,11 +5094,10 @@
 msgstr ""
 
 #: fortran/lang.opt:230
-#, fuzzy
 msgid "Warn about most implicit conversions"
-msgstr "Cảnh báo về lời tuyên bố hàm ngầm"
+msgstr "Cảnh báo chuyển đổi ngầm"
 
-#: fortran/lang.opt:234 common.opt:542
+#: fortran/lang.opt:234 common.opt:546
 msgid "Print extra (possibly unwanted) warnings"
 msgstr ""
 
@@ -5155,13 +5128,11 @@
 
 #: fortran/lang.opt:262
 #, fuzzy
-#| msgid "Warn when a variable is unused"
 msgid "Warn when a left-hand-side array variable is reallocated"
 msgstr "Cảnh báo khi biến không được dùng"
 
 #: fortran/lang.opt:266
 #, fuzzy
-#| msgid "Warn when a variable is unused"
 msgid "Warn when a left-hand-side variable is reallocated"
 msgstr "Cảnh báo khi biến không được dùng"
 
@@ -5274,9 +5245,9 @@
 msgid "Allow dollar signs in entity names"
 msgstr "Cho phép tên thực thể chứa dấu đồng đô la \"$\""
 
-#: fortran/lang.opt:394 config/alpha/alpha.opt:31 common.opt:656
-#: common.opt:830 common.opt:834 common.opt:838 common.opt:842 common.opt:1227
-#: common.opt:1360 common.opt:1364
+#: fortran/lang.opt:394 config/alpha/alpha.opt:31 common.opt:660
+#: common.opt:834 common.opt:838 common.opt:842 common.opt:846 common.opt:1231
+#: common.opt:1364 common.opt:1368
 msgid "Does nothing. Preserved for backward compatibility."
 msgstr ""
 
@@ -5432,8 +5403,9 @@
 msgstr "Biên dịch bất kỳ REAL(8) như là REAL(16)"
 
 #: fortran/lang.opt:554
+#, fuzzy
 msgid "Reallocate the LHS in assignments"
-msgstr ""
+msgstr "thuộc tính %s không được phép ở bên trái"
 
 #: fortran/lang.opt:558
 msgid "Use a 4-byte record marker for unformatted files"
@@ -5488,9 +5460,8 @@
 msgstr "Làm cho hợp với tiêu chuẩn ISO Fortran 2008"
 
 #: fortran/lang.opt:650
-#, fuzzy
 msgid "Conform to the ISO Fortran 2008 standard including TS 29113"
-msgstr "Làm cho hợp với tiêu chuẩn ISO Fortran 2008"
+msgstr "Làm cho hợp với tiêu chuẩn ISO Fortran 2008 bao gồm TS 29113"
 
 #: fortran/lang.opt:654
 msgid "Conform to the ISO Fortran 95 standard"
@@ -5505,23 +5476,23 @@
 msgstr "Chấp nhận phần mở rộng để hỗ trợ mã nguồn thừa tự"
 
 #: c-family/c.opt:43 c-family/c.opt:46 c-family/c.opt:181
-#, c-format
+#, fuzzy, c-format
 msgid "assertion missing after %qs"
-msgstr ""
+msgstr "thiếu dấu chấm phẩy « ; » đằng sau lời tuyên bố cấu trúc"
 
 #: c-family/c.opt:55 c-family/c.opt:58 c-family/c.opt:163 c-family/c.opt:166
 #: c-family/c.opt:193 c-family/c.opt:252
 #, c-format
 msgid "macro name missing after %qs"
-msgstr ""
+msgstr "thiếu tên macro sau %qs"
 
 #: c-family/c.opt:70 c-family/c.opt:73 c-family/c.opt:76 c-family/c.opt:79
 #: c-family/c.opt:175 c-family/c.opt:178 c-family/c.opt:216 c-family/c.opt:220
 #: c-family/c.opt:232 c-family/c.opt:1253 c-family/c.opt:1261
-#: config/darwin.opt:53 common.opt:300 common.opt:303 common.opt:2399
+#: config/darwin.opt:53 common.opt:300 common.opt:303 common.opt:2403
 #, c-format
 msgid "missing filename after %qs"
-msgstr ""
+msgstr "thiếu tên tập tin sau %qs"
 
 #: c-family/c.opt:85 c-family/c.opt:88 c-family/c.opt:91 c-family/c.opt:94
 #: c-family/c.opt:200 c-family/c.opt:208 c-family/c.opt:1249
@@ -5759,14 +5730,12 @@
 msgstr "Cảnh báo về biến bị tự sơ khởi"
 
 #: c-family/c.opt:428
-#, fuzzy
 msgid "Warn about implicit declarations"
-msgstr "Cảnh báo về lời tuyên bố hàm ngầm"
+msgstr "Cảnh báo khai báo ngầm"
 
 #: c-family/c.opt:432
-#, fuzzy
 msgid "Warn about implicit conversions from \"float\" to \"double\""
-msgstr "Cảnh báo về sự chuyển đổi loại ngầm có thể thay đổi một giá trị"
+msgstr "Cảnh báo về sự chuyển đổi ngầm \"float\" thành \"double\""
 
 #: c-family/c.opt:436
 msgid "Warn about implicit function declarations"
@@ -5933,12 +5902,13 @@
 msgstr ""
 
 #: c-family/c.opt:630
+#, fuzzy
 msgid "Warn when a pointer is cast to an integer of a different size"
-msgstr ""
+msgstr "Cảnh báo khi có một sự gán cho một hàm trỏ từ một số nguyên có kích cỡ khác"
 
 #: c-family/c.opt:634
 msgid "Warn about misuses of pragmas"
-msgstr ""
+msgstr "Cảnh báo lạm dụng pragmas"
 
 #: c-family/c.opt:638
 msgid "Warn if a property for an Objective-C object has no assign semantics specified"
@@ -5990,7 +5960,7 @@
 
 #: c-family/c.opt:690
 msgid "Warn about unprototyped function declarations"
-msgstr ""
+msgstr "Cảnh báo về khai báo hàm không được khai báo mẫu trước"
 
 #: c-family/c.opt:702
 msgid "Warn if type signatures of candidate methods do not match exactly"
@@ -6026,11 +5996,12 @@
 
 #: c-family/c.opt:746
 msgid "Warn about unrecognized pragmas"
-msgstr ""
+msgstr "Cảnh báo về pragmas không thừa nhận"
 
 #: c-family/c.opt:750
+#, fuzzy
 msgid "Warn about unsuffixed float constants"
-msgstr ""
+msgstr "Cảnh báo về sử dụng hằng số ký tự đa ký tự"
 
 #: c-family/c.opt:758
 msgid "Warn when typedefs locally defined in a function are not used"
@@ -6074,10 +6045,8 @@
 msgstr ""
 
 #: c-family/c.opt:798
-#, fuzzy
-#| msgid "Warn about zero-length formats"
 msgid "Warn about useless casts"
-msgstr "Cảnh báo về định dạng có chiều dài số không"
+msgstr "Cảnh báo về áp kiểu vô ích"
 
 #: c-family/c.opt:802
 msgid "A synonym for -std=c89 (for C) or -std=c++98 (for C++)"
@@ -6099,7 +6068,7 @@
 #: c-family/c-opts.c:468
 #, gcc-internal-format
 msgid "switch %qs is no longer supported"
-msgstr ""
+msgstr "switch %qs không còn tiếp tục được hỗ trợ nữa"
 
 #: c-family/c.opt:821
 msgid "Allow variadic functions without named parameter"
@@ -6112,7 +6081,7 @@
 
 #: c-family/c.opt:829
 msgid "Recognize the \"asm\" keyword"
-msgstr ""
+msgstr "Không chấp nhận từ khóa \"asm\""
 
 #: c-family/c.opt:837
 msgid "Recognize built-in functions"
@@ -6124,16 +6093,16 @@
 
 #: c-family/c.opt:848
 msgid "Check the return value of new"
-msgstr ""
+msgstr "Kiểm tra giá trị trả về của new"
 
 #: c-family/c.opt:852
 msgid "Allow the arguments of the '?' operator to have different types"
 msgstr ""
 
 #: c-family/c.opt:856 c-family/c.opt:876 c-family/c.opt:1074
-#: config/sh/sh.opt:209 common.opt:949 common.opt:1135 common.opt:1439
-#: common.opt:1713 common.opt:1749 common.opt:1834 common.opt:1838
-#: common.opt:1914 common.opt:1996 common.opt:2020 common.opt:2108
+#: config/sh/sh.opt:213 common.opt:953 common.opt:1139 common.opt:1443
+#: common.opt:1717 common.opt:1753 common.opt:1838 common.opt:1842
+#: common.opt:1918 common.opt:2000 common.opt:2024 common.opt:2112
 msgid "Does nothing.  Preserved for backward compatibility."
 msgstr ""
 
@@ -6144,7 +6113,7 @@
 
 #: c-family/c.opt:860
 msgid "-fconst-string-class=<name>\tUse class <name> for constant strings"
-msgstr ""
+msgstr "-fconst-string-class=<tên>\tDùng <tên> lớp cho chuỗi hằng"
 
 #: c-family/c.opt:864
 msgid "-fconstexpr-depth=<number>\tSpecify maximum constexpr recursion depth"
@@ -6159,12 +6128,14 @@
 msgstr ""
 
 #: c-family/c.opt:880
+#, fuzzy
 msgid "Preprocess directives only."
-msgstr ""
+msgstr "Toàn bộ các từ"
 
 #: c-family/c.opt:884
+#, fuzzy
 msgid "Permit '$' as an identifier character"
-msgstr ""
+msgstr "Cho phép sử dụng ký tự tab một cách không phù hợp"
 
 #: c-family/c.opt:888
 msgid "Write all declarations as Ada code transitively"
@@ -6183,8 +6154,9 @@
 msgstr ""
 
 #: c-family/c.opt:910
+#, fuzzy
 msgid "Permit universal character names (\\u and \\U) in identifiers"
-msgstr ""
+msgstr "tên ký tự chung là hợp lệ chỉ trong ngôn ngữ C++ và C99"
 
 #: c-family/c.opt:914
 msgid "-finput-charset=<cset>\tSpecify the default character set for source files"
@@ -6208,7 +6180,7 @@
 
 #: c-family/c.opt:937
 msgid "Generate code for GNU runtime environment"
-msgstr ""
+msgstr "Tạo ra mã môi trường thực thi GNU"
 
 #: c-family/c.opt:941
 msgid "Use traditional GNU semantics for inline functions"
@@ -6219,8 +6191,9 @@
 msgstr ""
 
 #: c-family/c.opt:954
+#, fuzzy
 msgid "Assume normal C execution environment"
-msgstr ""
+msgstr "Giả sử có môi trường RTP VxWorks"
 
 #: c-family/c.opt:962
 msgid "Export functions even if they can be inlined"
@@ -6325,11 +6298,12 @@
 #: c-family/c.opt:1089
 #, fuzzy
 msgid "Enable Plan 9 language extensions"
-msgstr "Hiệu lực hàm yếu về bộ liên kết"
+msgstr "UUID của phần mở rộng cần bật"
 
 #: c-family/c.opt:1093
+#, fuzzy
 msgid "Treat the input file as already preprocessed"
-msgstr ""
+msgstr "  -F,  --force-html          coi tập tin dữ liệu vào là HTML.\n"
 
 #: c-family/c.opt:1101
 msgid "-ftrack-macro-expansion=<0|1|2>  Track locations of tokens coming from macro expansion and display them in error messages"
@@ -6344,8 +6318,9 @@
 msgstr ""
 
 #: c-family/c.opt:1113
+#, fuzzy
 msgid "Enable automatic template instantiation"
-msgstr ""
+msgstr "&Bật tự động kiểm tra phiên bản mới"
 
 #: c-family/c.opt:1117
 msgid "Generate run time type descriptor information"
@@ -6385,7 +6360,6 @@
 
 #: c-family/c.opt:1159
 #, fuzzy
-#| msgid "The maximum number of peelings of a single loop"
 msgid "Set the maximum number of template instantiation notes for a single warning or error"
 msgstr "Số tối đa các lần lột một vòng lặp riêng lẻ"
 
@@ -6438,8 +6412,11 @@
 msgstr ""
 
 #: c-family/c.opt:1229
+#, fuzzy
 msgid "Dump declarations to a .decl file"
 msgstr ""
+"đổ trường phần đầu TRƯỜNG\n"
+"vào tập tin tên BASENAME.FIELD"
 
 #: c-family/c.opt:1233
 msgid "-femit-struct-debug-baseonly\tAggressive reduced debug info for structs"
@@ -6458,8 +6435,9 @@
 msgstr ""
 
 #: c-family/c.opt:1250
+#, fuzzy
 msgid "-idirafter <dir>\tAdd <dir> to the end of the system include path"
-msgstr ""
+msgstr "-iframework <thư_mục>\tPhụ thêm thư mục này vào đường dẫn bao gồm khuôn khổ hệ thống"
 
 #: c-family/c.opt:1254
 msgid "-imacros <file>\tAccept definition of macros in <file>"
@@ -6482,20 +6460,24 @@
 msgstr ""
 
 #: c-family/c.opt:1274
+#, fuzzy
 msgid "-isystem <dir>\tAdd <dir> to the start of the system include path"
-msgstr ""
+msgstr "-iframework <thư_mục>\tPhụ thêm thư mục này vào đường dẫn bao gồm khuôn khổ hệ thống"
 
 #: c-family/c.opt:1278
+#, fuzzy
 msgid "-iquote <dir>\tAdd <dir> to the end of the quote include path"
-msgstr ""
+msgstr "-F <thư_mục>\tPhụ thêm thư mục này vào đường dẫn bao gồm khuôn khổ chính"
 
 #: c-family/c.opt:1282
+#, fuzzy
 msgid "-iwithprefix <dir>\tAdd <dir> to the end of the system include path"
-msgstr ""
+msgstr "-iframework <thư_mục>\tPhụ thêm thư mục này vào đường dẫn bao gồm khuôn khổ hệ thống"
 
 #: c-family/c.opt:1286
+#, fuzzy
 msgid "-iwithprefixbefore <dir>\tAdd <dir> to the end of the main include path"
-msgstr ""
+msgstr "-F <thư_mục>\tPhụ thêm thư mục này vào đường dẫn bao gồm khuôn khổ chính"
 
 #: c-family/c.opt:1296
 msgid "Do not search standard system include directories (those specified with -isystem will still be used)"
@@ -6522,8 +6504,9 @@
 msgstr ""
 
 #: c-family/c.opt:1332
+#, fuzzy
 msgid "Deprecated in favor of -std=c++11"
-msgstr ""
+msgstr "US Std Fanfold, 14 7/8 x 11 in"
 
 #: c-family/c.opt:1336
 msgid "Conform to the ISO 201y(7?) C++ draft standard (experimental and incomplete support)"
@@ -6539,11 +6522,11 @@
 
 #: c-family/c.opt:1348 c-family/c.opt:1352 c-family/c.opt:1410
 msgid "Conform to the ISO 1990 C standard"
-msgstr ""
+msgstr "Làm cho hợp với chuẩn ISO 1990 C"
 
 #: c-family/c.opt:1356 c-family/c.opt:1418
 msgid "Conform to the ISO 1999 C standard"
-msgstr ""
+msgstr "Làm cho hợp với chuẩn ISO 1999 C"
 
 #: c-family/c.opt:1360
 msgid "Deprecated in favor of -std=c99"
@@ -6595,11 +6578,11 @@
 
 #: c-family/c.opt:1433
 msgid "Enable traditional preprocessing"
-msgstr ""
+msgstr "Bật tiền xử lý theo kiểu cổ điển"
 
 #: c-family/c.opt:1437
 msgid "-trigraphs\tSupport ISO C trigraphs"
-msgstr ""
+msgstr "-trigraphs\tHỗ trợ bộ ba ISO C"
 
 #: c-family/c.opt:1441
 msgid "Do not predefine system-specific and GCC-specific macros"
@@ -6615,7 +6598,7 @@
 
 #: ada/gcc-interface/lang.opt:75
 msgid "Select the runtime"
-msgstr ""
+msgstr "Chọn lúc chạy"
 
 #: ada/gcc-interface/lang.opt:79
 msgid "Catch typos"
@@ -6631,11 +6614,11 @@
 
 #: go/lang.opt:42
 msgid "Add explicit checks for division by zero"
-msgstr ""
+msgstr "Thêm kiểm tra cho phép chia không"
 
 #: go/lang.opt:46
 msgid "Add explicit checks for division overflow in INT_MIN / -1"
-msgstr ""
+msgstr "Thêm kiểm tra cho tràn phép chia trong INT_MIN / -1"
 
 #: go/lang.opt:50
 msgid "-fgo-dump-<type>\tDump Go frontend internal information"
@@ -6678,9 +6661,9 @@
 msgstr ""
 
 #: config/vms/vms.opt:42
-#, fuzzy, c-format
+#, c-format
 msgid "unknown pointer size model %qs"
-msgstr "không rõ chế độ lệnh"
+msgstr "không hiểu mô hình kích thước con trỏ %qs"
 
 #: config/mcore/mcore.opt:23
 msgid "Generate code for the M*Core M210"
@@ -6737,9 +6720,8 @@
 msgstr "Lúc nào cũng thấy trường bit có kích cỡ số nguyên"
 
 #: config/linux-android.opt:23
-#, fuzzy
 msgid "Generate code for the Android platform."
-msgstr "Tạo ra mã cho hệ điều hành Android."
+msgstr "Tạo ra mã cho Nền tảng Android."
 
 #: config/mmix/mmix.opt:24
 msgid "For intrinsics library: pass all parameters in registers"
@@ -7147,8 +7129,9 @@
 msgstr "Tạo ra cảnh báo khi thấy là mã thiếu khả năng bị tạo ra."
 
 #: config/aarch64/aarch64.opt:28
+#, fuzzy
 msgid "The possible TLS dialects:"
-msgstr ""
+msgstr "Gặp lỗi TLS khi đọc « %s »: %s"
 
 #: config/aarch64/aarch64.opt:40
 msgid "The code model option names for -mcmodel:"
@@ -7161,7 +7144,6 @@
 
 #: config/aarch64/aarch64.opt:68
 #, fuzzy
-#| msgid "Generate code which uses hardware floating point instructions"
 msgid "Generate code which uses only the general registers"
 msgstr "Tạo ra mã mả sử dụng câu lệnh loại điểm phù động phần cứng"
 
@@ -7171,10 +7153,8 @@
 msgstr "Giả sử là CPU đích được cấu hình về cuối nhỏ"
 
 #: config/aarch64/aarch64.opt:76
-#, fuzzy
-#| msgid "Select code model"
 msgid "Specify the code model"
-msgstr "Chọn mô hình mã"
+msgstr "Chỉ định mô hình mã"
 
 #: config/aarch64/aarch64.opt:80
 msgid "Don't assume that unaligned accesses are handled by the system"
@@ -7185,13 +7165,13 @@
 msgstr "Bỏ sót hàm trỏ khung trong hàm lá"
 
 #: config/aarch64/aarch64.opt:88
+#, fuzzy
 msgid "Specify TLS dialect"
-msgstr ""
+msgstr "Gặp lỗi TLS khi đọc « %s »: %s"
 
 #: config/aarch64/aarch64.opt:92
-#, fuzzy
 msgid "-march=ARCH\tUse features of architecture ARCH"
-msgstr "-mcpu=\tSử dụng các tính năng của CPU đưa ra, và định thời mã cho CPU đó"
+msgstr "-mcpu=KTrúc\tSử dụng các tính năng của Ktrúc đã cho"
 
 #: config/aarch64/aarch64.opt:96
 #, fuzzy
@@ -7200,7 +7180,7 @@
 
 #: config/aarch64/aarch64.opt:100
 msgid "-mtune=CPU\tOptimize for CPU"
-msgstr ""
+msgstr "-mtune=BXL\tTối ưu hoá kết xuất cho bộ xử lý này"
 
 #: config/linux.opt:24
 msgid "Use Bionic C library"
@@ -7303,7 +7283,7 @@
 msgstr "Hiệu lực sự để sớm hơn các bit dừng lại, để định thời một cách thành công hơn"
 
 #: config/ia64/ia64.opt:114 config/spu/spu.opt:72 config/pa/pa.opt:58
-#: config/sh/sh.opt:261
+#: config/sh/sh.opt:265
 msgid "Specify range of registers to make fixed"
 msgstr "Ghi rõ phạm vi các thanh ghi cần làm cho cố định"
 
@@ -7473,7 +7453,7 @@
 #: config/epiphany/epiphany.opt:32
 #, fuzzy
 msgid "Set branch cost"
-msgstr "Làm yếu các nhánh"
+msgstr "Lập giá của nhánh"
 
 #: config/epiphany/epiphany.opt:36
 #, fuzzy
@@ -7488,7 +7468,7 @@
 #: config/epiphany/epiphany.opt:52
 #, fuzzy
 msgid "Use software floating point comparisons"
-msgstr "Sử dụng điểm phù động loại phần mềm"
+msgstr "Sử dụng câu lệnh loại điểm phù động thập phân"
 
 #: config/epiphany/epiphany.opt:56
 msgid "Enable split of 32 bit immediate loads into low / high part"
@@ -7773,7 +7753,6 @@
 
 #: config/i386/i386.opt:90
 #, fuzzy
-#| msgid "Use 128-bit long double"
 msgid "Use 80-bit long double"
 msgstr "Sử dụng đôi dài 128-bit"
 
@@ -7782,7 +7761,7 @@
 msgid "Use 64-bit long double"
 msgstr "Sử dụng đôi dài 64-bit"
 
-#: config/i386/i386.opt:98 config/sh/sh.opt:205
+#: config/i386/i386.opt:98 config/sh/sh.opt:209
 msgid "Reserve space for outgoing arguments in the function prologue"
 msgstr "Trong đoạn mở đầu hàm thì dành riêng sức chứa cho đối số gửi ra"
 
@@ -7832,14 +7811,11 @@
 msgstr ""
 
 #: config/i386/i386.opt:171
-#, fuzzy
-#| msgid "Use given x86-64 code model"
 msgid "Use given address mode"
-msgstr "Sử dụng mẫu mã x86-64 đưa ra"
+msgstr "Dùng chế độ địa chỉ đã cho"
 
 #: config/i386/i386.opt:175
 #, fuzzy
-#| msgid "Known ABIs (for use with the -mabi= option):"
 msgid "Known address mode (for use with the -maddress-mode= option):"
 msgstr "Không hiểu ABIs (để dùng với tùy chọn -mabi=):"
 
@@ -7969,8 +7945,9 @@
 msgstr ""
 
 #: config/i386/i386.opt:400
+#, fuzzy
 msgid "Return 8-byte vectors in memory"
-msgstr ""
+msgstr "Trả lại tất cả các cấu trúc trong vùng nhớ (AIX mặc định)"
 
 #: config/i386/i386.opt:404
 msgid "Generate reciprocals instead of divss and sqrtss."
@@ -8101,25 +8078,22 @@
 #: config/i386/i386.opt:536
 #, fuzzy
 msgid "Support LZCNT built-in function and code generation"
-msgstr "Hỗ trợ các hàm dựng sẵn và chức năng tạo ra mã loại LWP"
+msgstr "Hỗ trợ các hàm dựng sẵn và chức năng tạo ra mã loại FMA4"
 
 #: config/i386/i386.opt:540
 msgid "Support Hardware Lock Elision prefixes"
 msgstr ""
 
 #: config/i386/i386.opt:544
-#, fuzzy
-#| msgid "Use SmartMIPS instructions"
 msgid "Support RDSEED instruction"
-msgstr "Sử dụng câu lệnh SmartMIPS"
+msgstr "Hỗ trợ chỉ lệnh RDSEED"
 
 #: config/i386/i386.opt:548
 msgid "Support PREFETCHW instruction"
-msgstr ""
+msgstr "Hỗ trợ chỉ lệnh PREFETCHW"
 
 #: config/i386/i386.opt:552
 #, fuzzy
-#| msgid "Support code generation of crc32 instruction."
 msgid "Support flag-preserving add-carry instructions"
 msgstr "Hỗ trợ chức năng tạo ra mã là câu lệnh crc32."
 
@@ -8128,16 +8102,12 @@
 msgstr ""
 
 #: config/i386/i386.opt:560
-#, fuzzy
-#| msgid "Support calls between Thumb and ARM instruction sets"
 msgid "Support XSAVE and XRSTOR instructions"
-msgstr "Hỗ trợ cuộc gọi giữa các tập hợp câu lệnh loại Thumb và ARM"
+msgstr "Hỗ trợ chỉ lệnh XSAVE và XRSTOR"
 
 #: config/i386/i386.opt:564
-#, fuzzy
-#| msgid "Support MMX built-in functions"
 msgid "Support XSAVEOPT instruction"
-msgstr "Hỗ trợ các hàm dựng sẵn MMX"
+msgstr "Hỗ trợ chỉ lệnh XSAVEOPT"
 
 #: config/i386/i386.opt:568
 #, fuzzy
@@ -8175,12 +8145,12 @@
 #: config/i386/i386.opt:600
 #, fuzzy
 msgid "Support FSGSBASE built-in functions and code generation"
-msgstr "Hỗ trợ các hàm dựng sẵn và chức năng tạo ra mã loại AES"
+msgstr "Hỗ trợ các hàm dựng sẵn và chức năng tạo ra mã loại FMA4"
 
 #: config/i386/i386.opt:604
 #, fuzzy
 msgid "Support RDRND built-in functions and code generation"
-msgstr "Hỗ trợ các hàm dựng sẵn và chức năng tạo ra mã loại AES"
+msgstr "Hỗ trợ các hàm dựng sẵn và chức năng tạo ra mã loại FMA4"
 
 #: config/i386/i386.opt:608
 #, fuzzy
@@ -8312,9 +8282,8 @@
 
 #: config/v850/v850.opt:41
 #, fuzzy
-#| msgid "Do not use the callt instruction"
 msgid "Do not use the callt instruction (default)"
-msgstr "Đừng sử dụng câu lệnh callt"
+msgstr "Đừng sử dụng tập hợp câu lệnh POWER"
 
 #: config/v850/v850.opt:45
 msgid "Reuse r30 on a per function basis"
@@ -8347,7 +8316,7 @@
 #: config/v850/v850.opt:82
 #, fuzzy
 msgid "Do not enforce strict alignment"
-msgstr "Ép buộc sự xếp hàng ngặt"
+msgstr "Đừng điều chỉnh sự xếp hàng đống"
 
 #: config/v850/v850.opt:86
 msgid "Put jump tables for switch statements into the .data section rather than the .code section"
@@ -8379,47 +8348,40 @@
 
 #: config/v850/v850.opt:117
 #, fuzzy
-#| msgid "Compile for the v850e processor"
 msgid "Compile for the v850e3v5 processor"
-msgstr "Biên dịch cho bộ xử lý v850e"
+msgstr "Biên dịch cho bộ xử lý v850"
 
 #: config/v850/v850.opt:124
-#, fuzzy
-#| msgid "Enable clip instructions"
 msgid "Enable v850e3v5 loop instructions"
-msgstr "Hiệu lực các câu lệnh trích đoạn"
+msgstr "Cho phép các chỉ lệnh lặp v850e3v5"
 
 #: config/v850/v850.opt:128
 msgid "Set the max size of data eligible for the ZDA area"
 msgstr "Lập kích cỡ tối đa của dữ liệu thích hợp với vùng ZDA"
 
 #: config/v850/v850.opt:135
+#, fuzzy
 msgid "Enable relaxing in the assembler"
-msgstr ""
+msgstr "Hiệu lực sự tối ưu hoá &&/|| trong quá trình thực hiện có điều kiện"
 
 #: config/v850/v850.opt:139
 #, fuzzy
-#| msgid "Prohibit PC relative function calls"
 msgid "Prohibit PC relative jumps"
 msgstr "Cấm cuộc gọi hàm tương đối với PC"
 
 #: config/v850/v850.opt:143
 #, fuzzy
-#| msgid "Prevent the use of all hardware floating-point instructions"
 msgid "Inhibit the use of hardware floating point instructions"
-msgstr "Ngăn cản sử dụng câu lệnh nào có loại dấu chấm động phần cứng"
+msgstr "Ngăn cản sử dụng câu lệnh nào có loại điểm phù động phần cứng"
 
 #: config/v850/v850.opt:147
 #, fuzzy
-#| msgid "Allow the use of hardware floating-point ABI and instructions"
 msgid "Allow the use of hardware floating point instructions for V850E2V3 and up"
 msgstr "Cho phép sử dụng ABI và các câu lệnh kiểu dấu chấm động phần cứng"
 
 #: config/v850/v850.opt:151
-#, fuzzy
-#| msgid "Enable the use of RX FPU instructions.  This is the default."
 msgid "Enable support for the RH850 ABI.  This is the default"
-msgstr "Bật khả năng sử dụng câu lệnh điểm phù động RX. Đây là thiết lập mặc định."
+msgstr "Bật hỗ trợ cho RH850 ABI.  Đây là mặc định"
 
 #: config/v850/v850.opt:155
 msgid "Enable support for the old GCC ABI"
@@ -8454,14 +8416,12 @@
 msgstr "Giả sử có môi trường vThreads VxWorks"
 
 #: config/cr16/cr16.opt:23
-#, fuzzy
 msgid "-msim   Use simulator runtime"
-msgstr "-msim\tSử dụng khoảng thời gian chạy của bộ mô phỏng"
+msgstr "-msim   Dùng chạy mô phỏng"
 
 #: config/cr16/cr16.opt:27
-#, fuzzy
 msgid "Generate SBIT, CBIT instructions"
-msgstr "Tạo ra câu lệnh bit"
+msgstr "Tạo chỉ lệnh SBIT, CBIT"
 
 #: config/cr16/cr16.opt:31
 msgid "Support multiply accumulate instructions"
@@ -8472,19 +8432,16 @@
 msgstr ""
 
 #: config/cr16/cr16.opt:42
-#, fuzzy
 msgid "Generate code for CR16C architecture"
-msgstr "Tạo ra mã cho một cpu32"
+msgstr "Tạo mã cho kiến trúc CR16C"
 
 #: config/cr16/cr16.opt:46
-#, fuzzy
 msgid "Generate code for CR16C+ architecture (Default)"
-msgstr "Tạo ra mã cho bộ dịch mã số GNU (gas)"
+msgstr "Tạo mã cho kiến trúc CR16C+ (mặc định)"
 
 #: config/cr16/cr16.opt:50
-#, fuzzy
 msgid "Treat integers as 32-bit."
-msgstr "Hàm trỏ là 32-bit"
+msgstr "Coi số nguyên là 32-bit."
 
 #: config/avr/avr-tables.opt:24
 msgid "Known MCU names:"
@@ -8535,6 +8492,10 @@
 msgid "The device has no SPH special function register. This option will be overridden by the compiler driver with the correct setting if presence/absence of SPH can be deduced from -mmcu=MCU."
 msgstr ""
 
+#: config/avr/avr.opt:80
+msgid "Warn if the address space of an address is change."
+msgstr ""
+
 #: config/m32r/m32r.opt:34
 msgid "Compile for the m32rx"
 msgstr "Biên dịch cho m32x"
@@ -8737,9 +8698,8 @@
 msgstr "Tạo ra mã PIC loại vào lại"
 
 #: config/arm/arm.opt:90
-#, fuzzy
 msgid "Generate code in 32 bit ARM state."
-msgstr "Tạo ra mã để đặt địa chỉ 32 bit"
+msgstr "Tạo ra mã cho ARM 32 bit."
 
 #: config/arm/arm.opt:98
 msgid "Thumb: Assume non-static functions may be called from ARM code"
@@ -8794,9 +8754,8 @@
 msgstr "Ghi rõ sự xếp hàng bit tối thiểu của cấu trúc"
 
 #: config/arm/arm.opt:182
-#, fuzzy
 msgid "Generate code for Thumb state"
-msgstr "Tạo ra mã cho as của GNU"
+msgstr "Tạo ra mã cho trạng thái Thumb"
 
 #: config/arm/arm.opt:186
 msgid "Support calls between Thumb and ARM instruction sets"
@@ -8837,7 +8796,6 @@
 msgstr "Sử dụng thanh ghi từ bốn (thay cho từ đôi) Neon để véc-tơ hoá"
 
 #: config/arm/arm.opt:236
-#, fuzzy
 msgid "Use Neon double-word (rather than quad-word) registers for vectorization"
 msgstr "Sử dụng thanh ghi từ bốn (thay cho từ đôi) Neon để véc-tơ hoá"
 
@@ -9188,7 +9146,7 @@
 #: config/rs6000/rs6000.opt:352
 #, fuzzy
 msgid "Use the AltiVec ABI extensions"
-msgstr "Sử dụng phần mở rộng hàm trỏ Cray Pointer"
+msgstr "Sử dụng thanh ghi dành riêng cho ABI"
 
 #: config/rs6000/rs6000.opt:356
 #, fuzzy
@@ -9198,7 +9156,7 @@
 #: config/rs6000/rs6000.opt:360
 #, fuzzy
 msgid "Use the SPE ABI extensions"
-msgstr "Sử dụng phần mở rộng hàm trỏ Cray Pointer"
+msgstr "Sử dụng thanh ghi dành riêng cho ABI"
 
 #: config/rs6000/rs6000.opt:364
 msgid "Do not use the SPE ABI extensions"
@@ -9479,9 +9437,8 @@
 msgstr ""
 
 #: config/tilepro/tilepro.opt:28 config/tilegx/tilegx.opt:26
-#, fuzzy
 msgid "-mcpu=CPU\tUse features of and schedule code for given CPU"
-msgstr "-mcpu=\tSử dụng các tính năng của CPU đưa ra, và định thời mã cho CPU đó"
+msgstr "-mcpu=CPU\tSử dụng các tính năng và lịch biểu của CPU đưa ra"
 
 #: config/tilepro/tilepro.opt:32
 msgid "Known TILEPro CPUs (for use with the -mcpu= option):"
@@ -9541,7 +9498,6 @@
 
 #: config/rx/rx.opt:90
 #, fuzzy
-#| msgid "Generate assembler output that is compatible with the Renesas AS100 assembler.  This may restrict some of the compiler's capabilities.  The default is to generate GAS compatable syntax."
 msgid "Generate assembler output that is compatible with the Renesas AS100 assembler.  This may restrict some of the compiler's capabilities.  The default is to generate GAS compatible syntax."
 msgstr "Tạo ra kết xuất chương trình dịch mã số vẫn thích hợp với chương trình dịch mã số AS100 Renesas. Trường hợp này có thể hạn chế khả năng của bộ biên dịch. Thiết lập mặc định là tạo ra cú pháp tương thích với GAS."
 
@@ -9579,7 +9535,7 @@
 
 #: config/fused-madd.opt:22
 msgid "%<-mfused-madd%> is deprecated; use %<-ffp-contract=%> instead"
-msgstr ""
+msgstr "%<-mfused-madd%> bị phản đối; dùng %<-ffp-contract=%> để thay thế"
 
 #: config/sol2.opt:32
 msgid "Pass -z text to linker"
@@ -9593,7 +9549,7 @@
 #: config/microblaze/microblaze.opt:44
 #, fuzzy
 msgid "Use hardware floating point instructions"
-msgstr "Sử dụng câu lệnh loại điểm phù động thập phân"
+msgstr "Ngăn cản sử dụng câu lệnh nào có loại điểm phù động phần cứng"
 
 #: config/microblaze/microblaze.opt:48
 msgid "Use table lookup optimization for small signed integer divisions"
@@ -9613,68 +9569,71 @@
 msgstr ""
 
 #: config/microblaze/microblaze.opt:72
+msgid "Use reorder instructions (swap and byte reversed load/store) (default)"
+msgstr ""
+
+#: config/microblaze/microblaze.opt:76
 msgid "Use the software emulation for divides (default)"
 msgstr ""
 
-#: config/microblaze/microblaze.opt:76
+#: config/microblaze/microblaze.opt:80
 msgid "Use the hardware barrel shifter instead of emulation"
 msgstr ""
 
-#: config/microblaze/microblaze.opt:80
+#: config/microblaze/microblaze.opt:84
 #, fuzzy
 msgid "Use pattern compare instructions"
 msgstr "Sử dụng câu lệnh đôi loại điểm phù động"
 
-#: config/microblaze/microblaze.opt:83
+#: config/microblaze/microblaze.opt:87
 #, c-format
 msgid "%qs is deprecated; use -fstack-check"
 msgstr ""
 
-#: config/microblaze/microblaze.opt:84
-#, fuzzy
+#: config/microblaze/microblaze.opt:88
 msgid "Check for stack overflow at runtime"
-msgstr "Lúc chạy thì tạo ra các thể hiện Hạng"
+msgstr "Kiểm tra tràn stack lúc chạy"
 
-#: config/microblaze/microblaze.opt:88 config/iq2000/iq2000.opt:65
+#: config/microblaze/microblaze.opt:92 config/iq2000/iq2000.opt:65
 msgid "Use GP relative sdata/sbss sections"
 msgstr "Sử dụng phần sdata/sbss tương đối với GP"
 
-#: config/microblaze/microblaze.opt:91
+#: config/microblaze/microblaze.opt:95
 #, c-format
 msgid "%qs is deprecated; use -fno-zero-initialized-in-bss"
 msgstr ""
 
-#: config/microblaze/microblaze.opt:92
+#: config/microblaze/microblaze.opt:96
 msgid "Clear the BSS to zero and place zero initialized in BSS"
 msgstr ""
 
-#: config/microblaze/microblaze.opt:96
+#: config/microblaze/microblaze.opt:100
 msgid "Use multiply high instructions for high part of 32x32 multiply"
 msgstr ""
 
-#: config/microblaze/microblaze.opt:100
+#: config/microblaze/microblaze.opt:104
 #, fuzzy
 msgid "Use hardware floating point conversion instructions"
-msgstr "Sử dụng câu lệnh loại điểm phù động thập phân"
+msgstr "Ngăn cản sử dụng câu lệnh nào có loại điểm phù động phần cứng"
 
-#: config/microblaze/microblaze.opt:104
+#: config/microblaze/microblaze.opt:108
 #, fuzzy
 msgid "Use hardware floating point square root instruction"
 msgstr "Sử dụng câu lệnh loại điểm phù động thập phân"
 
-#: config/microblaze/microblaze.opt:108
+#: config/microblaze/microblaze.opt:112
 msgid "Description for mxl-mode-executable"
 msgstr "Mô tả cho mxl-mode-executable"
 
-#: config/microblaze/microblaze.opt:112
+#: config/microblaze/microblaze.opt:116
 msgid "Description for mxl-mode-xmdstub"
 msgstr "Mô tả cho mxl-mode-xmdstub"
 
-#: config/microblaze/microblaze.opt:116
+#: config/microblaze/microblaze.opt:120
 msgid "Description for mxl-mode-bootstrap"
 msgstr "Mô tả cho mxl-mode-bootstrap"
 
-#: config/microblaze/microblaze.opt:120
+#: config/microblaze/microblaze.opt:124
 msgid "Description for mxl-mode-novectors"
 msgstr "Mô tả cho mxl-mode-novectors"
 
@@ -9872,14 +9831,12 @@
 msgstr "Trả lại hàm trỏ trong cả hai a0 và d0"
 
 #: config/mn10300/mn10300.opt:63
-#, fuzzy
 msgid "Allow gcc to generate LIW instructions"
-msgstr "Cho phép gcc sử dụng câu lệnh repeat/erepeat"
+msgstr "Cho phép gcc tạo chỉ lệnh LIW"
 
 #: config/mn10300/mn10300.opt:67
-#, fuzzy
 msgid "Allow gcc to generate the SETLB and Lcc instructions"
-msgstr "Cho phép gcc sử dụng câu lệnh repeat/erepeat"
+msgstr "Cho phép gcc tạo chỉ lệnh SETLB và Lcc"
 
 #: config/iq2000/iq2000.opt:31
 msgid "Specify CPU for code generation purposes"
@@ -10018,305 +9975,301 @@
 msgid "Runtime name."
 msgstr "Tên lúc chạy."
 
-#: config/sh/sh.opt:44
+#: config/sh/sh.opt:48
 msgid "Generate SH1 code"
 msgstr "Tạo ra mã SH1"
 
-#: config/sh/sh.opt:48
+#: config/sh/sh.opt:52
 msgid "Generate SH2 code"
 msgstr "Tạo ra mã SH2"
 
-#: config/sh/sh.opt:52
+#: config/sh/sh.opt:56
 msgid "Generate default double-precision SH2a-FPU code"
 msgstr "Tạo ra mã SH2a-FPU chính xác đôi mặc định"
 
-#: config/sh/sh.opt:56
+#: config/sh/sh.opt:60
 msgid "Generate SH2a FPU-less code"
 msgstr "Tạo ra mã SH2a không có FPU"
 
-#: config/sh/sh.opt:60
+#: config/sh/sh.opt:64
 msgid "Generate default single-precision SH2a-FPU code"
 msgstr "Tạo ra mã SH2a-FPU chính xác đơn mặc định"
 
-#: config/sh/sh.opt:64
+#: config/sh/sh.opt:68
 msgid "Generate only single-precision SH2a-FPU code"
 msgstr "Tạo ra chỉ mã SH2a-FPU chính xác đơn"
 
-#: config/sh/sh.opt:68
+#: config/sh/sh.opt:72
 msgid "Generate SH2e code"
 msgstr "Tạo ra mã SH2e"
 
-#: config/sh/sh.opt:72
+#: config/sh/sh.opt:76
 msgid "Generate SH3 code"
 msgstr "Tạo ra mã SH3"
 
-#: config/sh/sh.opt:76
+#: config/sh/sh.opt:80
 msgid "Generate SH3e code"
 msgstr "Tạo ra mã SH3e"
 
-#: config/sh/sh.opt:80
+#: config/sh/sh.opt:84
 msgid "Generate SH4 code"
 msgstr "Tạo ra mã SH4"
 
-#: config/sh/sh.opt:84
+#: config/sh/sh.opt:88
 msgid "Generate SH4-100 code"
 msgstr "Tạo ra mã SH4-100"
 
-#: config/sh/sh.opt:88
+#: config/sh/sh.opt:92
 msgid "Generate SH4-200 code"
 msgstr "Tạo ra mã SH4-200"
 
-#: config/sh/sh.opt:94
+#: config/sh/sh.opt:98
 msgid "Generate SH4-300 code"
 msgstr "Tạo ra mã SH4-300"
 
-#: config/sh/sh.opt:98
+#: config/sh/sh.opt:102
 msgid "Generate SH4 FPU-less code"
 msgstr "Tạo ra mã SH4 không có FPU"
 
-#: config/sh/sh.opt:102
+#: config/sh/sh.opt:106
 msgid "Generate SH4-100 FPU-less code"
 msgstr "Tạo ra mã SH4-100 không có FPU"
 
-#: config/sh/sh.opt:106
+#: config/sh/sh.opt:110
 msgid "Generate SH4-200 FPU-less code"
 msgstr "Tạo ra mã SH4-200 không có FPU"
 
-#: config/sh/sh.opt:110
+#: config/sh/sh.opt:114
 msgid "Generate SH4-300 FPU-less code"
 msgstr "Tạo ra mã SH4-300 không có FPU"
 
-#: config/sh/sh.opt:114
+#: config/sh/sh.opt:118
 msgid "Generate code for SH4 340 series (MMU/FPU-less)"
 msgstr "Tạo ra mã cho loạt SH4 340 (không có MMU/FPU)"
 
-#: config/sh/sh.opt:119
+#: config/sh/sh.opt:123
 msgid "Generate code for SH4 400 series (MMU/FPU-less)"
 msgstr "Tạo ra mã cho loạt SH4 400 (không có MMU/FPU)"
 
-#: config/sh/sh.opt:124
+#: config/sh/sh.opt:128
 msgid "Generate code for SH4 500 series (FPU-less)."
 msgstr "Tạo ra mã cho loạt SH4 500 (không có MMU/FPU)"
 
-#: config/sh/sh.opt:129
+#: config/sh/sh.opt:133
 msgid "Generate default single-precision SH4 code"
 msgstr "Tạo ra mã SH4 chính xác đơn mặc định"
 
-#: config/sh/sh.opt:133
+#: config/sh/sh.opt:137
 msgid "Generate default single-precision SH4-100 code"
 msgstr "Tạo ra mã SH4-100 chính xác đơn mặc định"
 
-#: config/sh/sh.opt:137
+#: config/sh/sh.opt:141
 msgid "Generate default single-precision SH4-200 code"
 msgstr "Tạo ra mã SH4-200 chính xác đơn mặc định"
 
-#: config/sh/sh.opt:141
+#: config/sh/sh.opt:145
 msgid "Generate default single-precision SH4-300 code"
 msgstr "Tạo ra mã SH4-300 chính xác đơn mặc định"
 
-#: config/sh/sh.opt:145
+#: config/sh/sh.opt:149
 msgid "Generate only single-precision SH4 code"
 msgstr "Tạo ra chỉ mã SH4 chính xác đơn"
 
-#: config/sh/sh.opt:149
+#: config/sh/sh.opt:153
 msgid "Generate only single-precision SH4-100 code"
 msgstr "Tạo ra chỉ mã SH4-100 chính xác đơn"
 
-#: config/sh/sh.opt:153
+#: config/sh/sh.opt:157
 msgid "Generate only single-precision SH4-200 code"
 msgstr "Tạo ra chỉ mã SH4-200 chính xác đơn"
 
-#: config/sh/sh.opt:157
+#: config/sh/sh.opt:161
 msgid "Generate only single-precision SH4-300 code"
 msgstr "Tạo ra chỉ mã SH4-300 chính xác đơn"
 
-#: config/sh/sh.opt:161
+#: config/sh/sh.opt:165
 msgid "Generate SH4a code"
 msgstr "Tạo ra mã SH4a"
 
-#: config/sh/sh.opt:165
+#: config/sh/sh.opt:169
 msgid "Generate SH4a FPU-less code"
 msgstr "Tạo ra mã SH4a không có FPU"
 
-#: config/sh/sh.opt:169
+#: config/sh/sh.opt:173
 msgid "Generate default single-precision SH4a code"
 msgstr "Tạo ra mã SH4a chính xác đơn mặc định"
 
-#: config/sh/sh.opt:173
+#: config/sh/sh.opt:177
 msgid "Generate only single-precision SH4a code"
 msgstr "Tạo ra chỉ mã SH4a chính xác đơn"
 
-#: config/sh/sh.opt:177
+#: config/sh/sh.opt:181
 msgid "Generate SH4al-dsp code"
 msgstr "Tạo ra mã SH4al-dsp"
 
-#: config/sh/sh.opt:181
+#: config/sh/sh.opt:185
 msgid "Generate 32-bit SHmedia code"
 msgstr "Tạo ra mã SHmedia 32-bit"
 
-#: config/sh/sh.opt:185
+#: config/sh/sh.opt:189
 msgid "Generate 32-bit FPU-less SHmedia code"
 msgstr "Tạo ra mã SHmedia 32-bit không có FPU"
 
-#: config/sh/sh.opt:189
+#: config/sh/sh.opt:193
 msgid "Generate 64-bit SHmedia code"
 msgstr "Tạo ra mã SHmedia 64-bit"
 
-#: config/sh/sh.opt:193
+#: config/sh/sh.opt:197
 msgid "Generate 64-bit FPU-less SHmedia code"
 msgstr "Tạo ra mã SHmedia 64-bit không có FPU"
 
-#: config/sh/sh.opt:197
+#: config/sh/sh.opt:201
 msgid "Generate SHcompact code"
 msgstr "Tạo ra mã SHcompact"
 
-#: config/sh/sh.opt:201
+#: config/sh/sh.opt:205
 msgid "Generate FPU-less SHcompact code"
 msgstr "Tạo ra mã SHcompact không có FPU"
 
-#: config/sh/sh.opt:213
+#: config/sh/sh.opt:217
 msgid "Generate code in big endian mode"
 msgstr "Tạo mã trong chế độ về cuối lớn"
 
-#: config/sh/sh.opt:217
+#: config/sh/sh.opt:221
 msgid "Generate 32-bit offsets in switch tables"
 msgstr "Tạo ra hiệu số 32-bit trong bảng cái chuyển"
 
-#: config/sh/sh.opt:221
+#: config/sh/sh.opt:225
 msgid "Generate bit instructions"
 msgstr "Tạo ra câu lệnh bit"
 
-#: config/sh/sh.opt:225
+#: config/sh/sh.opt:229
 msgid "Cost to assume for a branch insn"
 msgstr "Giá cần giả sử đối với một câu lệnh nhánh"
 
-#: config/sh/sh.opt:229
+#: config/sh/sh.opt:233
 msgid "Assume that zero displacement conditional branches are fast"
 msgstr ""
 
-#: config/sh/sh.opt:233
+#: config/sh/sh.opt:237
 msgid "Enable cbranchdi4 pattern"
 msgstr "Hiệu lực mẫu cbranchdi4"
 
-#: config/sh/sh.opt:237
+#: config/sh/sh.opt:241
 msgid "Emit cmpeqdi_t pattern even when -mcbranchdi is in effect."
 msgstr "Xuất mẫu cmpeqdi_t pattern ngay cả khi tuỳ chọn -mcbranchdi vẫn hoạt động."
 
-#: config/sh/sh.opt:241
+#: config/sh/sh.opt:245
 msgid "Enable SH5 cut2 workaround"
 msgstr "Hiệu lực khắc phục cut2 SH5"
 
-#: config/sh/sh.opt:245
+#: config/sh/sh.opt:249
 msgid "Align doubles at 64-bit boundaries"
 msgstr "Xếp hàng các đôi theo biên giới 64-bit"
 
-#: config/sh/sh.opt:249
+#: config/sh/sh.opt:253
 msgid "Division strategy, one of: call, call2, fp, inv, inv:minlat, inv20u, inv20l, inv:call, inv:call2, inv:fp, call-div1, call-fp, call-table"
 msgstr "Chiến lược chia là một của: call, call2, fp, inv, inv:minlat, inv20u, inv20l, inv:call, inv:call2, inv:fp, call-div1, call-fp, call-table"
 
-#: config/sh/sh.opt:253
+#: config/sh/sh.opt:257
 msgid "Specify name for 32 bit signed division function"
 msgstr "Ghi rõ tên cho hàm chia đã ký 32-bit"
 
-#: config/sh/sh.opt:257
+#: config/sh/sh.opt:261
 msgid "Enable the use of 64-bit floating point registers in fmov instructions.  See -mdalign if 64-bit alignment is required."
 msgstr "Hiệu lực sử dụng thay ghi điểm phù động 64-bit trong câu lệnh fmov. Xem -mdalign nếu cũng yêu cầu xếp hàng theo 64-bit."
 
-#: config/sh/sh.opt:265
+#: config/sh/sh.opt:269
 msgid "Cost to assume for gettr insn"
 msgstr "Giá cần giả sử đối với câu lệnh gettr"
 
-#: config/sh/sh.opt:269 config/sh/sh.opt:319
+#: config/sh/sh.opt:273 config/sh/sh.opt:323
 msgid "Follow Renesas (formerly Hitachi) / SuperH calling conventions"
 msgstr "Theo quy ước gọi SuperH / Renesas (còn gọi là Hitachi)"
 
-#: config/sh/sh.opt:273
+#: config/sh/sh.opt:277
 #, fuzzy
-#| msgid "Increase the IEEE compliance for floating-point code"
 msgid "Increase the IEEE compliance for floating-point comparisons"
-msgstr "Đối với mã dấu chấm động động thì làm hợp hơn với IEEE"
+msgstr "Đối với mã điểm phù động thì làm hợp hơn với IEEE"
 
-#: config/sh/sh.opt:277
+#: config/sh/sh.opt:281
 msgid "Enable the use of the indexed addressing mode for SHmedia32/SHcompact"
 msgstr "Hiệu lực sử dụng chế độ đặt địa chỉ loại phụ lục cho SHmedia32/SHcompact"
 
-#: config/sh/sh.opt:281
+#: config/sh/sh.opt:285
 msgid "inline code to invalidate instruction cache entries after setting up nested function trampolines"
 msgstr "chèn mã vào trực tiếp để làm mất hiệu lực các mục nhập vùng nhớ tạm câu lệnh sau khi thiết lập các trampoline hàm lồng nhau"
 
-#: config/sh/sh.opt:285
+#: config/sh/sh.opt:289
 msgid "Assume symbols might be invalid"
 msgstr "Giả sử là ký hiệu có thể không hợp lệ"
 
-#: config/sh/sh.opt:289
+#: config/sh/sh.opt:293
 msgid "Annotate assembler instructions with estimated addresses"
 msgstr "Phụ chú câu lệnh dịch mã số bằng địa chỉ ước lượng"
 
-#: config/sh/sh.opt:293
+#: config/sh/sh.opt:297
 msgid "Generate code in little endian mode"
 msgstr "Tạo ra mã trong chế độ về cuối nhỏ"
 
-#: config/sh/sh.opt:297
+#: config/sh/sh.opt:301
 msgid "Mark MAC register as call-clobbered"
 msgstr "Đánh dấu thanh ghi MAC như là bị cuộc gọi ghi đè"
 
-#: config/sh/sh.opt:303
+#: config/sh/sh.opt:307
 msgid "Make structs a multiple of 4 bytes (warning: ABI altered)"
 msgstr "Làm cho cấu trúc là một bội số cho 4 byte (cảnh báo: ABI bị sửa đổi)"
 
-#: config/sh/sh.opt:307
+#: config/sh/sh.opt:311
 msgid "Emit function-calls using global offset table when generating PIC"
 msgstr "Xuất cuộc gọi hàm dùng bảng hiệu số toàn cục khi tạo ra PIC"
 
-#: config/sh/sh.opt:311
+#: config/sh/sh.opt:315
 msgid "Assume pt* instructions won't trap"
 msgstr "Giả sử là câu oệnh pt* sẽ không bẫy"
 
-#: config/sh/sh.opt:315
+#: config/sh/sh.opt:319
 msgid "Shorten address references during linking"
 msgstr "Cắt ngắn tham chiếu địa chỉ trong khi liên kết"
 
-#: config/sh/sh.opt:323
+#: config/sh/sh.opt:327
 msgid "Deprecated.  Use -matomic= instead to select the atomic model"
 msgstr ""
 
-#: config/sh/sh.opt:327
+#: config/sh/sh.opt:331
 #, fuzzy
-#| msgid "Generate code for built-in atomic operations"
 msgid "Specify the model for atomic operations"
 msgstr "Tạo ra mã cho các thao tác atomic dựng sẵn"
 
-#: config/sh/sh.opt:331
+#: config/sh/sh.opt:335
 msgid "Use tas.b instruction for __atomic_test_and_set"
 msgstr ""
 
-#: config/sh/sh.opt:335
+#: config/sh/sh.opt:339
 msgid "Deprecated.  Use -Os instead"
 msgstr "Bị phân đối nên hãy sử dụng đối số -Os để thay thế"
 
-#: config/sh/sh.opt:339
+#: config/sh/sh.opt:343
 msgid "Cost to assume for a multiply insn"
 msgstr "Giá cần giả sử cho một câu lệnh nhân lên"
 
-#: config/sh/sh.opt:343
+#: config/sh/sh.opt:347
 msgid "Don't generate privileged-mode only code; implies -mno-inline-ic_invalidate if the inline code would not work in user mode."
 msgstr "Đừng tạo ra mã chỉ có chế độ quyền đặc biệt; cũng ngụ ý -mno-inline-ic_invalidate nếu mã trực tiếp không có tác động trong chế độ người dùng"
 
-#: config/sh/sh.opt:349
+#: config/sh/sh.opt:353
 msgid "Pretend a branch-around-a-move is a conditional move."
 msgstr "Làm ra vẻ rằng branch-around-a-move là một sự di chuyển có điều kiện."
 
-#: config/sh/sh.opt:353
+#: config/sh/sh.opt:357
 #, fuzzy
-#| msgid "Enable the use of the short load instructions"
 msgid "Enable the use of the fsca instruction"
-msgstr "Hiệu lực sử dụng câu lệnh nạp ngắn"
+msgstr "Sử dụng tập hợp câu lệnh POWER"
 
-#: config/sh/sh.opt:357
+#: config/sh/sh.opt:361
 #, fuzzy
-#| msgid "Enable the use of the short load instructions"
 msgid "Enable the use of the fsrra instruction"
-msgstr "Hiệu lực sử dụng câu lệnh nạp ngắn"
+msgstr "Sử dụng tập hợp câu lệnh POWER"
 
 #: config/fr30/fr30.opt:23
 msgid "Assume small address space"
@@ -10641,9 +10594,8 @@
 
 #: config/mips/mips.opt:274
 #, fuzzy
-#| msgid "Use MIPS-3D instructions"
 msgid "Use MCU instructions"
-msgstr "Sử dụng câu lệnh MIPS-3D"
+msgstr "Sử dụng câu lệnh môi giới"
 
 #: config/mips/mips.opt:278
 msgid "Do not use a cache-flushing function before calling stack trampolines"
@@ -10741,9 +10693,8 @@
 
 #: config/tilegx/tilegx.opt:45
 #, fuzzy
-#| msgid "Use given x86-64 code model"
 msgid "Use given TILE-Gx code model"
-msgstr "Sử dụng mẫu mã x86-64 đưa ra"
+msgstr "Sử dụng mẫu mã SPARC-V9 đưa ra"
 
 #: java/lang.opt:122
 msgid "Warn if deprecated empty statements are found"
@@ -10871,7 +10822,7 @@
 
 #: common.opt:266
 msgid "Display this information"
-msgstr ""
+msgstr "Hiển thị thông tin này"
 
 #: common.opt:270
 msgid "--help=<class>\tDisplay descriptions of a specific class of options.  <class> is one or more of optimizers, target, warnings, undocumented, params"
@@ -10879,7 +10830,7 @@
 
 #: common.opt:388
 msgid "Alias for --help=target"
-msgstr ""
+msgstr "Bí danh cho --help=đích"
 
 #: common.opt:413
 msgid "--param <param>=<value>\tSet parameter <param> to value.  See below for a complete list of parameters"
@@ -10887,11 +10838,11 @@
 
 #: common.opt:441
 msgid "-O<number>\tSet optimization level to <number>"
-msgstr ""
+msgstr "-O<số>\tĐặt mức tối ưu hóa thành <số>"
 
 #: common.opt:445
 msgid "Optimize for space rather than speed"
-msgstr ""
+msgstr "Tối ưu hóa về kích thước thay vì tốc độ"
 
 #: common.opt:449
 msgid "Optimize for speed disregarding exact standards compliance"
@@ -10910,1565 +10861,1589 @@
 msgstr ""
 
 #: common.opt:510
+msgid "Warn if a loop with constant number of iterations triggers undefined behavior"
+msgstr ""
+
+#: common.opt:514
 msgid "Warn if an array is accessed out of bounds"
 msgstr ""
 
-#: common.opt:514
+#: common.opt:518
 msgid "Warn about inappropriate attribute usage"
 msgstr ""
 
-#: common.opt:518
+#: common.opt:522
 msgid "Warn about pointer casts which increase alignment"
 msgstr ""
 
-#: common.opt:522
+#: common.opt:526
 #, fuzzy
 msgid "Warn when a #warning directive is encountered"
 msgstr "Xuất một vết ngược khi gặp lỗi lúc chạy"
 
-#: common.opt:526
+#: common.opt:530
 msgid "Warn about uses of __attribute__((deprecated)) declarations"
 msgstr ""
 
-#: common.opt:530
+#: common.opt:534
 msgid "Warn when an optimization pass is disabled"
-msgstr ""
+msgstr "Cảnh báo khi tối ưu hóa bị tắt đi"
 
-#: common.opt:534
+#: common.opt:538
 msgid "Treat all warnings as errors"
-msgstr ""
+msgstr "Coi các cảnh báo như là các lỗi"
 
-#: common.opt:538
+#: common.opt:542
 msgid "Treat specified warning as error"
-msgstr ""
+msgstr "Coi các cảnh báo đã chỉ ra như là một lỗi"
 
-#: common.opt:546
+#: common.opt:550
 msgid "Exit on the first error occurred"
 msgstr ""
 
-#: common.opt:550
+#: common.opt:554
 msgid "-Wframe-larger-than=<number>\tWarn if a function's stack frame requires more than <number> bytes"
 msgstr ""
 
-#: common.opt:554
+#: common.opt:558
 msgid "Warn when attempting to free a non-heap object"
 msgstr ""
 
-#: common.opt:558
+#: common.opt:562
 msgid "Warn when an inlined function cannot be inlined"
-msgstr ""
+msgstr "Cảnh báo khi không không thể dùng hàm chung dòng"
 
-#: common.opt:562
+#: common.opt:566
 msgid "Warn when an atomic memory model parameter is known to be outside the valid range."
 msgstr ""
 
-#: common.opt:569
+#: common.opt:573
 msgid "-Wlarger-than=<number>\tWarn if an object is larger than <number> bytes"
-msgstr ""
+msgstr "-Wlarger-than=<số>\tCảnh báo nếu một đối tượng lớn hơnn <số> byte"
 
-#: common.opt:573
+#: common.opt:577
 msgid "Warn if the loop cannot be optimized due to nontrivial assumptions."
 msgstr ""
 
-#: common.opt:580
+#: common.opt:584
 msgid "Warn about overflow in arithmetic expressions"
 msgstr ""
 
-#: common.opt:584
+#: common.opt:588
 msgid "Warn when the packed attribute has no effect on struct layout"
 msgstr ""
 
-#: common.opt:588
+#: common.opt:592
 msgid "Warn when padding is required to align structure members"
 msgstr ""
 
-#: common.opt:592
+#: common.opt:596
 msgid "Issue warnings needed for strict compliance to the standard"
 msgstr ""
 
-#: common.opt:596
+#: common.opt:600
 msgid "Warn when one local variable shadows another"
 msgstr ""
 
-#: common.opt:600
+#: common.opt:604
 msgid "Warn when not issuing stack smashing protection for some reason"
 msgstr ""
 
-#: common.opt:604
+#: common.opt:608
 msgid "Warn if stack usage might be larger than specified amount"
 msgstr ""
 
-#: common.opt:608 common.opt:612
+#: common.opt:612 common.opt:616
 msgid "Warn about code which might break strict aliasing rules"
 msgstr ""
 
-#: common.opt:616 common.opt:620
+#: common.opt:620 common.opt:624
 msgid "Warn about optimizations that assume that signed overflow is undefined"
 msgstr ""
 
-#: common.opt:624
+#: common.opt:628
 #, fuzzy
 msgid "Warn about functions which might be candidates for __attribute__((const))"
 msgstr "Cảnh báo về hàm có thể yêu cầu thuộc tính định dạng"
 
-#: common.opt:628
+#: common.opt:632
 #, fuzzy
 msgid "Warn about functions which might be candidates for __attribute__((pure))"
 msgstr "Cảnh báo về hàm có thể yêu cầu thuộc tính định dạng"
 
-#: common.opt:632
+#: common.opt:636
+#, fuzzy
 msgid "Warn about functions which might be candidates for __attribute__((noreturn))"
-msgstr ""
+msgstr "Cảnh báo về hàm có thể yêu cầu thuộc tính định dạng"
 
-#: common.opt:636
+#: common.opt:640
 msgid "Do not suppress warnings from system headers"
 msgstr ""
 
-#: common.opt:640
+#: common.opt:644
 #, fuzzy
 msgid "Warn whenever a trampoline is generated"
 msgstr "Cảnh báo khi nào đoạn điều kiện loại bị bỏ qua."
 
-#: common.opt:644
+#: common.opt:648
 msgid "Warn if a comparison is always true or always false due to the limited range of the data type"
 msgstr ""
 
-#: common.opt:648
+#: common.opt:652
 msgid "Warn about uninitialized automatic variables"
 msgstr ""
 
-#: common.opt:652
-#, fuzzy
+#: common.opt:656
 msgid "Warn about maybe uninitialized automatic variables"
-msgstr "Cảnh báo về biến bị tự sơ khởi"
+msgstr "Cảnh báo về các biến tự động tự động không được khởi tạo"
 
-#: common.opt:660
+#: common.opt:664
 msgid "Enable all -Wunused- warnings"
 msgstr "Bật tấ cả -Wunused- warnings"
 
-#: common.opt:664
+#: common.opt:668
 msgid "Warn when a function parameter is only set, otherwise unused"
 msgstr "Cảnh báo khi tham số của hàm chỉ được đặt, nếu không thì không sử dụng"
 
-#: common.opt:668
+#: common.opt:672
 msgid "Warn when a variable is only set, otherwise unused"
 msgstr "Cảnh báo khi biến chỉ được đặt, nếu không thì không sử dụng"
 
-#: common.opt:672
+#: common.opt:676
 msgid "Warn when a function is unused"
 msgstr "Cảnh báo khi hàm không được dùng"
 
-#: common.opt:676
+#: common.opt:680
 msgid "Warn when a label is unused"
 msgstr "Cảnh báo khi nhãn không được dùng"
 
-#: common.opt:680
+#: common.opt:684
 msgid "Warn when a function parameter is unused"
 msgstr "Cảnh báo khi tham số của hàm không được dùng"
 
-#: common.opt:684
+#: common.opt:688
 msgid "Warn when an expression value is unused"
 msgstr "Cảnh báo khi giá trị của biểu thức không được dùng"
 
-#: common.opt:688
+#: common.opt:692
 msgid "Warn when a variable is unused"
 msgstr "Cảnh báo khi biến không được dùng"
 
-#: common.opt:692
+#: common.opt:696
 msgid "Warn in case profiles in -fprofile-use do not match"
 msgstr ""
 
-#: common.opt:696
+#: common.opt:700
 msgid "Warn when a vector operation is compiled outside the SIMD"
 msgstr ""
 
-#: common.opt:712
+#: common.opt:716
 msgid "-aux-info <file>\tEmit declaration information into <file>"
 msgstr ""
 
-#: common.opt:731
+#: common.opt:735
 msgid "-d<letters>\tEnable dumps from specific passes of the compiler"
 msgstr ""
 
-#: common.opt:735
+#: common.opt:739
 msgid "-dumpbase <file>\tSet the file basename to be used for dumps"
 msgstr ""
 
-#: common.opt:739
+#: common.opt:743
 msgid "-dumpdir <dir>\tSet the directory name to be used for dumps"
 msgstr ""
 
-#: common.opt:798
+#: common.opt:802
 msgid "Aggressively optimize loops using language constraints"
 msgstr ""
 
-#: common.opt:802
+#: common.opt:806
 msgid "Align the start of functions"
-msgstr ""
+msgstr "Chỉnh đầu của hàm"
 
-#: common.opt:809
+#: common.opt:813
 msgid "Align labels which are only reached by jumping"
 msgstr ""
 
-#: common.opt:816
+#: common.opt:820
 msgid "Align all labels"
 msgstr "Cân chỉnh tất cả các nhãn"
 
-#: common.opt:823
+#: common.opt:827
 msgid "Align the start of loops"
-msgstr ""
+msgstr "Chỉnh đầu của vòng lặp"
 
-#: common.opt:846
+#: common.opt:850
 msgid "Enable AddressSanitizer, a memory error detector"
 msgstr ""
 
-#: common.opt:850
+#: common.opt:854
 msgid "Enable ThreadSanitizer, a data race detector"
 msgstr ""
 
-#: common.opt:854
+#: common.opt:858
 msgid "Generate unwind tables that are exact at each instruction boundary"
 msgstr ""
 
-#: common.opt:858
+#: common.opt:862
 msgid "Generate auto-inc/dec instructions"
 msgstr ""
 
-#: common.opt:866
+#: common.opt:870
 msgid "Generate code to check bounds before indexing arrays"
 msgstr ""
 
-#: common.opt:870
+#: common.opt:874
 msgid "Replace add, compare, branch with branch on count register"
 msgstr ""
 
-#: common.opt:874
+#: common.opt:878
 msgid "Use profiling information for branch probabilities"
 msgstr ""
 
-#: common.opt:878
+#: common.opt:882
 msgid "Perform branch target load optimization before prologue / epilogue threading"
 msgstr ""
 
-#: common.opt:882
+#: common.opt:886
 msgid "Perform branch target load optimization after prologue / epilogue threading"
 msgstr ""
 
-#: common.opt:886
+#: common.opt:890
 msgid "Restrict target load migration not to re-use registers in any basic block"
 msgstr ""
 
-#: common.opt:890
+#: common.opt:894
 msgid "-fcall-saved-<register>\tMark <register> as being preserved across functions"
 msgstr ""
 
-#: common.opt:894
+#: common.opt:898
 msgid "-fcall-used-<register>\tMark <register> as being corrupted by function calls"
 msgstr ""
 
-#: common.opt:901
+#: common.opt:905
 msgid "Save registers around function calls"
 msgstr ""
 
-#: common.opt:905
+#: common.opt:909
 msgid "Compare the results of several data dependence analyzers."
 msgstr ""
 
-#: common.opt:909
+#: common.opt:913
 msgid "Looks for opportunities to reduce stack adjustments and stack references."
 msgstr ""
 
-#: common.opt:913
+#: common.opt:917
 msgid "Do not put uninitialized globals in the common section"
 msgstr ""
 
-#: common.opt:921
+#: common.opt:925
 msgid "-fcompare-debug[=<opts>]\tCompile with and without e.g. -gtoggle, and compare the final-insns dump"
 msgstr ""
 
-#: common.opt:925
+#: common.opt:929
 msgid "Run only the second compilation of -fcompare-debug"
 msgstr ""
 
-#: common.opt:929
+#: common.opt:933
 msgid "Perform comparison elimination after register allocation has finished"
 msgstr ""
 
-#: common.opt:933
+#: common.opt:937
 msgid "Do not perform optimizations increasing noticeably stack usage"
 msgstr ""
 
-#: common.opt:937
+#: common.opt:941
 msgid "Perform a register copy-propagation optimization pass"
 msgstr ""
 
-#: common.opt:941
+#: common.opt:945
 msgid "Perform cross-jumping optimization"
 msgstr ""
 
-#: common.opt:945
+#: common.opt:949
 msgid "When running CSE, follow jumps to their targets"
 msgstr ""
 
-#: common.opt:953
+#: common.opt:957
 msgid "Omit range reduction step when performing complex division"
 msgstr ""
 
-#: common.opt:957
+#: common.opt:961
 msgid "Complex multiplication and division follow Fortran rules"
 msgstr ""
 
-#: common.opt:961
+#: common.opt:965
 msgid "Place data items into their own section"
 msgstr ""
 
-#: common.opt:965
+#: common.opt:969
 msgid "List all available debugging counters with their limits and counts."
 msgstr ""
 
-#: common.opt:969
+#: common.opt:973
 msgid "-fdbg-cnt=<counter>:<limit>[,<counter>:<limit>,...]\tSet the debug counter limit.   "
 msgstr ""
 
-#: common.opt:973
+#: common.opt:977
 msgid "Map one directory name to another in debug information"
 msgstr ""
 
-#: common.opt:977
+#: common.opt:981
 msgid "Output .debug_types section when using DWARF v4 debuginfo."
 msgstr ""
 
-#: common.opt:983
+#: common.opt:987
 msgid "Defer popping functions args from stack until later"
 msgstr ""
 
-#: common.opt:987
+#: common.opt:991
 msgid "Attempt to fill delay slots of branch instructions"
 msgstr ""
 
-#: common.opt:991
+#: common.opt:995
 msgid "Delete dead instructions that may throw exceptions"
 msgstr ""
 
-#: common.opt:995
+#: common.opt:999
 msgid "Delete useless null pointer checks"
 msgstr ""
 
-#: common.opt:999
+#: common.opt:1003
 #, fuzzy
 msgid "Try to convert virtual calls to direct ones."
 msgstr "Thử cho phép bộ liên kết chuyển đổi cuộc gọi PIC sang cuộc gọi trực tiếp"
 
-#: common.opt:1003
+#: common.opt:1007
 msgid "-fdiagnostics-show-location=[once|every-line]\tHow often to emit source location at the beginning of line-wrapped diagnostics"
 msgstr ""
 
-#: common.opt:1020
+#: common.opt:1024
 msgid "Show the source line with a caret indicating the column"
 msgstr ""
 
-#: common.opt:1024
+#: common.opt:1028
 msgid "Amend appropriate diagnostic messages with the command line option that controls them"
 msgstr ""
 
-#: common.opt:1028
+#: common.opt:1032
 msgid "-fdisable-[tree|rtl|ipa]-<pass>=range1+range2 disables an optimization pass"
 msgstr ""
 
-#: common.opt:1032
+#: common.opt:1036
 msgid "-fenable-[tree|rtl|ipa]-<pass>=range1+range2 enables an optimization pass"
 msgstr ""
 
-#: common.opt:1036
+#: common.opt:1040
 msgid "-fdump-<type>\tDump various compiler internals to a file"
 msgstr ""
 
-#: common.opt:1043
+#: common.opt:1047
 msgid "-fdump-final-insns=filename\tDump to filename the insns at the end of translation"
 msgstr ""
 
-#: common.opt:1047
+#: common.opt:1051
 msgid "-fdump-go-spec=filename\tWrite all declarations to file as Go code"
 msgstr ""
 
-#: common.opt:1051
+#: common.opt:1055
 msgid "Suppress output of addresses in debugging dumps"
 msgstr ""
 
-#: common.opt:1055
+#: common.opt:1059
 #, fuzzy
 msgid "Dump optimization passes"
-msgstr "tuỳ chọn được gửi: "
+msgstr "%s: sai số lần thực hiện"
 
-#: common.opt:1059
+#: common.opt:1063
 msgid "Suppress output of instruction numbers, line number notes and addresses in debugging dumps"
 msgstr ""
 
-#: common.opt:1063
+#: common.opt:1067
 msgid "Suppress output of previous and next insn numbers in debugging dumps"
 msgstr ""
 
-#: common.opt:1067
+#: common.opt:1071
 msgid "Enable CFI tables via GAS assembler directives."
 msgstr ""
 
-#: common.opt:1071
+#: common.opt:1075
+#, fuzzy
 msgid "Perform early inlining"
-msgstr ""
+msgstr "Hành động thực thi:"
 
-#: common.opt:1075
+#: common.opt:1079
 msgid "Perform DWARF2 duplicate elimination"
 msgstr ""
 
-#: common.opt:1079
+#: common.opt:1083
 msgid "Perform interprocedural reduction of aggregates"
 msgstr ""
 
-#: common.opt:1083 common.opt:1087
+#: common.opt:1087 common.opt:1091
 msgid "Perform unused type elimination in debug info"
 msgstr ""
 
-#: common.opt:1091
+#: common.opt:1095
 msgid "Do not suppress C++ class debug information."
 msgstr ""
 
-#: common.opt:1095
+#: common.opt:1099
 msgid "Enable exception handling"
-msgstr ""
+msgstr "Bật tiếp nhận ngoại lệ"
 
-#: common.opt:1099
+#: common.opt:1103
 msgid "Perform a number of minor, expensive optimizations"
 msgstr ""
 
-#: common.opt:1103
+#: common.opt:1107
 msgid "-fexcess-precision=[fast|standard]\tSpecify handling of excess floating-point precision"
 msgstr ""
 
-#: common.opt:1106
+#: common.opt:1110
 #, fuzzy, c-format
 msgid "unknown excess precision style %qs"
 msgstr "không rõ hàm đặc tả %qs"
 
-#: common.opt:1119
+#: common.opt:1123
 msgid "Output lto objects containing both the intermediate language and binary output."
 msgstr ""
 
-#: common.opt:1123
+#: common.opt:1127
 msgid "Assume no NaNs or infinities are generated"
 msgstr ""
 
-#: common.opt:1127
+#: common.opt:1131
 msgid "-ffixed-<register>\tMark <register> as being unavailable to the compiler"
 msgstr ""
 
-#: common.opt:1131
+#: common.opt:1135
 msgid "Don't allocate floats and doubles in extended-precision registers"
 msgstr ""
 
-#: common.opt:1139
+#: common.opt:1143
 msgid "Perform a forward propagation pass on RTL"
 msgstr ""
 
-#: common.opt:1143
+#: common.opt:1147
 msgid "-ffp-contract=[off|on|fast] Perform floating-point expression contraction."
 msgstr ""
 
-#: common.opt:1146
+#: common.opt:1150
 #, fuzzy, c-format
 msgid "unknown floating point contraction style %qs"
 msgstr "Để vào TOC hằng số loại điểm phù động"
 
-#: common.opt:1163
+#: common.opt:1167
 msgid "Allow function addresses to be held in registers"
 msgstr ""
 
-#: common.opt:1167
+#: common.opt:1171
 msgid "Place each function into its own section"
 msgstr ""
 
-#: common.opt:1171
+#: common.opt:1175
 msgid "Perform global common subexpression elimination"
 msgstr ""
 
-#: common.opt:1175
+#: common.opt:1179
 msgid "Perform enhanced load motion during global common subexpression elimination"
 msgstr ""
 
-#: common.opt:1179
+#: common.opt:1183
 msgid "Perform store motion after global common subexpression elimination"
 msgstr ""
 
-#: common.opt:1183
+#: common.opt:1187
 msgid "Perform redundant load after store elimination in global common subexpression"
 msgstr ""
 
-#: common.opt:1188
+#: common.opt:1192
 msgid "Perform global common subexpression elimination after register allocation"
 msgstr ""
 
-#: common.opt:1194
+#: common.opt:1198
 msgid "Enable in and out of Graphite representation"
 msgstr ""
 
-#: common.opt:1198
+#: common.opt:1202
 msgid "Enable Graphite Identity transformation"
 msgstr ""
 
-#: common.opt:1202
+#: common.opt:1206
 msgid "Enable hoisting adjacent loads to encourage generating conditional move"
 msgstr ""
 
-#: common.opt:1207
+#: common.opt:1211
 msgid "Mark all loops as parallel"
 msgstr "Đánh dấu tất cả các vòng lặp là xử lý song song"
 
-#: common.opt:1211
+#: common.opt:1215
 msgid "Enable Loop Strip Mining transformation"
 msgstr ""
 
-#: common.opt:1215
+#: common.opt:1219
 msgid "Enable Loop Interchange transformation"
 msgstr ""
 
-#: common.opt:1219
+#: common.opt:1223
+#, fuzzy
 msgid "Enable Loop Blocking transformation"
-msgstr ""
+msgstr "kích cỡ tile (đơn vị dữ liệu) để chặn vòng lặp"
 
-#: common.opt:1223
+#: common.opt:1227
 msgid "Enable support for GNU transactional memory"
 msgstr ""
 
-#: common.opt:1231
+#: common.opt:1235
 msgid "Enable the ISL based loop nest optimizer"
 msgstr ""
 
-#: common.opt:1235
+#: common.opt:1239
 msgid "Force bitfield accesses to match their type width"
 msgstr ""
 
-#: common.opt:1239
+#: common.opt:1243
+#, fuzzy
 msgid "Enable guessing of branch probabilities"
-msgstr ""
+msgstr "  -b, --branch-probabilities      Bao gồm trong kết xuất các xác xuất nhánh\n"
 
-#: common.opt:1247
+#: common.opt:1251
+#, fuzzy
 msgid "Process #ident directives"
-msgstr ""
+msgstr "IDENT: socket() không thành công"
 
-#: common.opt:1251
+#: common.opt:1255
 msgid "Perform conversion of conditional jumps to branchless equivalents"
 msgstr ""
 
-#: common.opt:1255
+#: common.opt:1259
 msgid "Perform conversion of conditional jumps to conditional execution"
 msgstr ""
 
-#: common.opt:1259
+#: common.opt:1263
 msgid "-fstack-reuse=[all|named_vars|none] Set stack reuse level for local variables."
 msgstr ""
 
-#: common.opt:1262
+#: common.opt:1266
 #, fuzzy, c-format
 msgid "unknown Stack Reuse Level %qs"
 msgstr "không rõ chế độ lệnh"
 
-#: common.opt:1275
+#: common.opt:1279
 msgid "Convert conditional jumps in innermost loops to branchless equivalents"
 msgstr ""
 
-#: common.opt:1279
+#: common.opt:1283
 msgid "Also if-convert conditional jumps containing memory writes"
 msgstr ""
 
-#: common.opt:1287
+#: common.opt:1291
 msgid "Do not generate .size directives"
-msgstr ""
+msgstr "Đừng tạo ra chỉ thị .size"
 
-#: common.opt:1291
+#: common.opt:1295
+#, fuzzy
 msgid "Perform indirect inlining"
-msgstr ""
+msgstr "khối gián tiếp đôi"
 
-#: common.opt:1297
+#: common.opt:1301
 msgid "Enable inlining of function declared \"inline\", disabling disables all inlining"
 msgstr ""
 
-#: common.opt:1301
+#: common.opt:1305
 msgid "Integrate functions into their callers when code size is known not to grow"
 msgstr ""
 
-#: common.opt:1305
+#: common.opt:1309
 #, fuzzy
 msgid "Integrate functions not declared \"inline\" into their callers when profitable"
 msgstr "hàm không phải được tuyên bố trực tiếp, và kích cỡ mã sẽ tăng lại"
 
-#: common.opt:1309
+#: common.opt:1313
 msgid "Integrate functions only required by their single caller"
 msgstr ""
 
-#: common.opt:1316
+#: common.opt:1320
 msgid "-finline-limit=<number>\tLimit the size of inlined functions to <number>"
 msgstr ""
 
-#: common.opt:1320
+#: common.opt:1324
 msgid "Inline __atomic operations when a lock free instruction sequence is available."
 msgstr ""
 
-#: common.opt:1324
+#: common.opt:1328
 msgid "Instrument function entry and exit with profiling calls"
 msgstr ""
 
-#: common.opt:1328
+#: common.opt:1332
 msgid "-finstrument-functions-exclude-function-list=name,...  Do not instrument listed functions"
 msgstr ""
 
-#: common.opt:1332
+#: common.opt:1336
 msgid "-finstrument-functions-exclude-file-list=filename,...  Do not instrument functions listed in files"
 msgstr ""
 
-#: common.opt:1336
+#: common.opt:1340
 msgid "Perform Interprocedural constant propagation"
 msgstr ""
 
-#: common.opt:1340
+#: common.opt:1344
 msgid "Perform cloning to make Interprocedural constant propagation stronger"
 msgstr ""
 
-#: common.opt:1344
+#: common.opt:1348
 msgid "Perform interprocedural profile propagation"
 msgstr ""
 
-#: common.opt:1348
+#: common.opt:1352
 msgid "Perform interprocedural points-to analysis"
 msgstr ""
 
-#: common.opt:1352
+#: common.opt:1356
 msgid "Discover pure and const functions"
 msgstr ""
 
-#: common.opt:1356
+#: common.opt:1360
 msgid "Discover readonly and non addressable static variables"
 msgstr ""
 
-#: common.opt:1368
+#: common.opt:1372
 msgid "-fira-algorithm=[CB|priority] Set the used IRA algorithm"
 msgstr ""
 
-#: common.opt:1371
+#: common.opt:1375
 #, c-format
 msgid "unknown IRA algorithm %qs"
 msgstr "không hiểu thuật toán IRA %qs"
 
-#: common.opt:1381
+#: common.opt:1385
 msgid "-fira-region=[one|all|mixed] Set regions for IRA"
 msgstr ""
 
-#: common.opt:1384
-#, fuzzy, c-format
+#: common.opt:1388
+#, c-format
 msgid "unknown IRA region %qs"
-msgstr "không rõ bỏ ghi rõ bố trí lại"
+msgstr "không hiểu vùng IRA %qs"
 
-#: common.opt:1397 common.opt:1402
+#: common.opt:1401 common.opt:1406
 msgid "Use IRA based register pressure calculation"
 msgstr ""
 
-#: common.opt:1407
+#: common.opt:1411
 msgid "Share slots for saving different hard registers."
 msgstr ""
 
-#: common.opt:1411
+#: common.opt:1415
 msgid "Share stack slots for spilled pseudo-registers."
 msgstr ""
 
-#: common.opt:1415
+#: common.opt:1419
 msgid "-fira-verbose=<number>\tControl IRA's level of diagnostic messages."
 msgstr ""
 
-#: common.opt:1419
+#: common.opt:1423
 msgid "Optimize induction variables on trees"
 msgstr ""
 
-#: common.opt:1423
+#: common.opt:1427
 msgid "Use jump tables for sufficiently large switch statements"
 msgstr ""
 
-#: common.opt:1427
+#: common.opt:1431
 msgid "Generate code for functions even if they are fully inlined"
 msgstr ""
 
-#: common.opt:1431
+#: common.opt:1435
 msgid "Emit static const variables even if they are not used"
 msgstr ""
 
-#: common.opt:1435
+#: common.opt:1439
 msgid "Give external symbols a leading underscore"
 msgstr ""
 
-#: common.opt:1443
+#: common.opt:1447
+#, fuzzy
 msgid "Enable link-time optimization."
-msgstr ""
+msgstr "Cho phép tối ưu hoá từ chương trình gọi"
 
-#: common.opt:1447
+#: common.opt:1451
 msgid "Link-time optimization with number of parallel jobs or jobserver."
 msgstr ""
 
-#: common.opt:1451
+#: common.opt:1455
 msgid "Partition symbols and vars at linktime based on object files they originate from"
 msgstr ""
 
-#: common.opt:1455
+#: common.opt:1459
 msgid "Partition functions and vars at linktime into approximately same sized buckets"
 msgstr ""
 
-#: common.opt:1459
+#: common.opt:1463
 msgid "Put every symbol into separate partition"
 msgstr ""
 
-#: common.opt:1463
+#: common.opt:1467
 #, fuzzy
 msgid "Disable partioning and streaming"
-msgstr "Tắt chức năng đặt địa chỉ loại phụ lục"
+msgstr "Tắt sử dụng « DT_RUNPATH » và « DT_FLAGS »"
 
-#: common.opt:1468
+#: common.opt:1472
 msgid "-flto-compression-level=<number>\tUse zlib compression level <number> for IL"
 msgstr ""
 
-#: common.opt:1472
+#: common.opt:1476
 msgid "Report various link-time optimization statistics"
 msgstr ""
 
-#: common.opt:1476
+#: common.opt:1480
 msgid "Set errno after built-in math functions"
 msgstr ""
 
-#: common.opt:1480
+#: common.opt:1484
 #, fuzzy
 msgid "-fmax-errors=<number>\tMaximum number of errors to report"
 msgstr "-fmax-errors=<số>\tSố tối đa các lỗi cần thông báo"
 
-#: common.opt:1484
+#: common.opt:1488
 msgid "Report on permanent memory allocation"
 msgstr ""
 
-#: common.opt:1488
+#: common.opt:1492
 msgid "Report on permanent memory allocation in WPA only"
 msgstr ""
 
-#: common.opt:1495
+#: common.opt:1499
 msgid "Attempt to merge identical constants and constant variables"
 msgstr ""
 
-#: common.opt:1499
+#: common.opt:1503
 msgid "Attempt to merge identical constants across compilation units"
 msgstr ""
 
-#: common.opt:1503
+#: common.opt:1507
 msgid "Attempt to merge identical debug strings across compilation units"
 msgstr ""
 
-#: common.opt:1507
+#: common.opt:1511
 msgid "-fmessage-length=<number>\tLimit diagnostics to <number> characters per line.  0 suppresses line-wrapping"
 msgstr ""
 
-#: common.opt:1511
+#: common.opt:1515
 msgid "Perform SMS based modulo scheduling before the first scheduling pass"
 msgstr ""
 
-#: common.opt:1515
+#: common.opt:1519
 msgid "Perform SMS based modulo scheduling with register moves allowed"
 msgstr ""
 
-#: common.opt:1519
+#: common.opt:1523
 msgid "Move loop invariant computations out of loops"
 msgstr ""
 
-#: common.opt:1523
+#: common.opt:1527
 msgid "Use the RTL dead code elimination pass"
 msgstr ""
 
-#: common.opt:1527
+#: common.opt:1531
 msgid "Use the RTL dead store elimination pass"
 msgstr ""
 
-#: common.opt:1531
+#: common.opt:1535
 msgid "Enable/Disable the traditional scheduling in loops that already passed modulo scheduling"
 msgstr ""
 
-#: common.opt:1535
+#: common.opt:1539
 msgid "Support synchronous non-call exceptions"
 msgstr ""
 
-#: common.opt:1539
+#: common.opt:1543
 msgid "When possible do not generate stack frames"
 msgstr ""
 
-#: common.opt:1543
+#: common.opt:1547
 #, fuzzy
 msgid "Enable all optimization info dumps on stderr"
 msgstr "Hiệu lực số tối ưu hoá bộ liên kết"
 
-#: common.opt:1547
+#: common.opt:1551
 msgid "-fopt-info[-<type>=filename]\tDump compiler optimization details"
 msgstr ""
 
-#: common.opt:1551
+#: common.opt:1555
 msgid "Do the full register move optimization pass"
 msgstr ""
 
-#: common.opt:1555
+#: common.opt:1559
 msgid "Optimize sibling and tail recursive calls"
 msgstr ""
 
-#: common.opt:1559
+#: common.opt:1563
+#, fuzzy
 msgid "Perform partial inlining"
-msgstr ""
+msgstr "không cho phép bạn chạy tiến trình xây dựng bộ phận ở tình trạng « $state »"
 
-#: common.opt:1563 common.opt:1567
+#: common.opt:1567 common.opt:1571
 msgid "Report on memory allocation before interprocedural optimization"
 msgstr ""
 
-#: common.opt:1571
+#: common.opt:1575
 msgid "Pack structure members together without holes"
 msgstr ""
 
-#: common.opt:1575
+#: common.opt:1579
 msgid "-fpack-struct=<number>\tSet initial maximum structure member alignment"
 msgstr ""
 
-#: common.opt:1579
+#: common.opt:1583
 msgid "Return small aggregates in memory, not registers"
 msgstr ""
 
-#: common.opt:1583
+#: common.opt:1587
+#, fuzzy
 msgid "Perform loop peeling"
-msgstr ""
+msgstr "mount: stolen loop=%s (vòng lặp bị ăn cắp)"
 
-#: common.opt:1587
+#: common.opt:1591
 msgid "Enable machine specific peephole optimizations"
 msgstr ""
 
-#: common.opt:1591
+#: common.opt:1595
 msgid "Enable an RTL peephole pass before sched2"
 msgstr ""
 
-#: common.opt:1595
+#: common.opt:1599
 msgid "Generate position-independent code if possible (large mode)"
 msgstr ""
 
-#: common.opt:1599
+#: common.opt:1603
 msgid "Generate position-independent code for executables if possible (large mode)"
 msgstr ""
 
-#: common.opt:1603
+#: common.opt:1607
 msgid "Generate position-independent code if possible (small mode)"
 msgstr ""
 
-#: common.opt:1607
+#: common.opt:1611
 msgid "Generate position-independent code for executables if possible (small mode)"
 msgstr ""
 
-#: common.opt:1611
+#: common.opt:1615
 msgid "Specify a plugin to load"
-msgstr ""
+msgstr "Chỉ định phần bổ sung cần nạp"
 
-#: common.opt:1615
+#: common.opt:1619
 msgid "-fplugin-arg-<name>-<key>[=<value>]\tSpecify argument <key>=<value> for plugin <name>"
-msgstr ""
+msgstr "-fplugin-arg-<tên>-<khóa>[=<giá trị>]\tChỉ định đối số <khóa>=<giá trị> cho plugin <tên>"
 
-#: common.opt:1619
+#: common.opt:1623
 msgid "Run predictive commoning optimization."
 msgstr ""
 
-#: common.opt:1623
+#: common.opt:1627
 msgid "Generate prefetch instructions, if available, for arrays in loops"
 msgstr ""
 
-#: common.opt:1627
+#: common.opt:1631
 msgid "Enable basic program profiling code"
 msgstr ""
 
-#: common.opt:1631
+#: common.opt:1635
 msgid "Insert arc-based program profiling code"
 msgstr ""
 
-#: common.opt:1635
+#: common.opt:1639
 msgid "Set the top-level directory for storing the profile data."
 msgstr ""
 
-#: common.opt:1640
+#: common.opt:1644
 msgid "Enable correction of flow inconsistent profile data input"
 msgstr ""
 
-#: common.opt:1644
+#: common.opt:1648
 msgid "Enable common options for generating profile info for profile feedback directed optimizations"
 msgstr ""
 
-#: common.opt:1648
+#: common.opt:1652
 msgid "Enable common options for generating profile info for profile feedback directed optimizations, and set -fprofile-dir="
 msgstr ""
 
-#: common.opt:1652
+#: common.opt:1656
 msgid "Enable common options for performing profile feedback directed optimizations"
 msgstr ""
 
-#: common.opt:1656
+#: common.opt:1660
 msgid "Enable common options for performing profile feedback directed optimizations, and set -fprofile-dir="
 msgstr ""
 
-#: common.opt:1660
+#: common.opt:1664
 msgid "Insert code to profile values of expressions"
 msgstr ""
 
-#: common.opt:1664
+#: common.opt:1668
+#, fuzzy
 msgid "Report on consistency of profile"
-msgstr ""
+msgstr "liệt kê các tập tin được lưu trữ vào stderr (đầu ra lỗi chuẩn)"
 
-#: common.opt:1671
+#: common.opt:1675
 msgid "-frandom-seed=<string>\tMake compile reproducible using <string>"
 msgstr ""
 
-#: common.opt:1681
+#: common.opt:1685
 msgid "Record gcc command line switches in the object file."
 msgstr ""
 
-#: common.opt:1685
+#: common.opt:1689
+#, fuzzy
 msgid "Return small aggregates in registers"
-msgstr ""
+msgstr "Trả lại các cấu trúc nhỏ trong thanh ghi (SVR4 mặc định)"
 
-#: common.opt:1689
+#: common.opt:1693
+#, fuzzy
 msgid "Enables a register move optimization"
-msgstr ""
+msgstr "nguồn thanh ghi trong di chuyển trực tiếp"
 
-#: common.opt:1693
+#: common.opt:1697
 msgid "Perform a register renaming optimization pass"
 msgstr ""
 
-#: common.opt:1697
+#: common.opt:1701
 msgid "Reorder basic blocks to improve code placement"
 msgstr ""
 
-#: common.opt:1701
+#: common.opt:1705
 msgid "Reorder basic blocks and partition into hot and cold sections"
 msgstr ""
 
-#: common.opt:1705
+#: common.opt:1709
 msgid "Reorder functions to improve code placement"
 msgstr ""
 
-#: common.opt:1709
+#: common.opt:1713
 msgid "Add a common subexpression elimination pass after loop optimizations"
 msgstr ""
 
-#: common.opt:1717
+#: common.opt:1721
 msgid "Disable optimizations that assume default FP rounding behavior"
 msgstr ""
 
-#: common.opt:1721
+#: common.opt:1725
 msgid "Enable scheduling across basic blocks"
 msgstr ""
 
-#: common.opt:1725
+#: common.opt:1729
 msgid "Enable register pressure sensitive insn scheduling"
 msgstr ""
 
-#: common.opt:1729
+#: common.opt:1733
 msgid "Allow speculative motion of non-loads"
 msgstr ""
 
-#: common.opt:1733
+#: common.opt:1737
 msgid "Allow speculative motion of some loads"
 msgstr ""
 
-#: common.opt:1737
+#: common.opt:1741
 msgid "Allow speculative motion of more loads"
 msgstr ""
 
-#: common.opt:1741
+#: common.opt:1745
 msgid "-fsched-verbose=<number>\tSet the verbosity level of the scheduler"
 msgstr ""
 
-#: common.opt:1745
+#: common.opt:1749
 msgid "If scheduling post reload, do superblock scheduling"
 msgstr ""
 
-#: common.opt:1753
+#: common.opt:1757
 msgid "Reschedule instructions before register allocation"
 msgstr ""
 
-#: common.opt:1757
+#: common.opt:1761
 msgid "Reschedule instructions after register allocation"
 msgstr ""
 
-#: common.opt:1764
+#: common.opt:1768
 msgid "Schedule instructions using selective scheduling algorithm"
 msgstr ""
 
-#: common.opt:1768
+#: common.opt:1772
 msgid "Run selective scheduling after reload"
 msgstr ""
 
-#: common.opt:1772
+#: common.opt:1776
 msgid "Perform software pipelining of inner loops during selective scheduling"
 msgstr ""
 
-#: common.opt:1776
+#: common.opt:1780
 msgid "Perform software pipelining of outer loops during selective scheduling"
 msgstr ""
 
-#: common.opt:1780
+#: common.opt:1784
 msgid "Reschedule pipelined regions without pipelining"
 msgstr ""
 
-#: common.opt:1786
+#: common.opt:1790
 msgid "Allow premature scheduling of queued insns"
 msgstr ""
 
-#: common.opt:1790
+#: common.opt:1794
 msgid "-fsched-stalled-insns=<number>\tSet number of queued insns that can be prematurely scheduled"
 msgstr ""
 
-#: common.opt:1798
+#: common.opt:1802
 msgid "Set dependence distance checking in premature scheduling of queued insns"
 msgstr ""
 
-#: common.opt:1802
+#: common.opt:1806
 msgid "-fsched-stalled-insns-dep=<number>\tSet dependence distance checking in premature scheduling of queued insns"
 msgstr ""
 
-#: common.opt:1806
+#: common.opt:1810
 msgid "Enable the group heuristic in the scheduler"
 msgstr ""
 
-#: common.opt:1810
+#: common.opt:1814
 msgid "Enable the critical path heuristic in the scheduler"
 msgstr ""
 
-#: common.opt:1814
+#: common.opt:1818
 msgid "Enable the speculative instruction heuristic in the scheduler"
 msgstr ""
 
-#: common.opt:1818
+#: common.opt:1822
 msgid "Enable the rank heuristic in the scheduler"
 msgstr ""
 
-#: common.opt:1822
+#: common.opt:1826
 msgid "Enable the last instruction heuristic in the scheduler"
 msgstr ""
 
-#: common.opt:1826
+#: common.opt:1830
 msgid "Enable the dependent count heuristic in the scheduler"
 msgstr ""
 
-#: common.opt:1830
+#: common.opt:1834
 msgid "Access data in the same section from shared anchor points"
 msgstr ""
 
-#: common.opt:1842
+#: common.opt:1846
 msgid "Turn on Redundant Extensions Elimination pass."
 msgstr ""
 
-#: common.opt:1846
+#: common.opt:1850
 msgid "Show column numbers in diagnostics, when available.  Default on"
 msgstr ""
 
-#: common.opt:1850
+#: common.opt:1854
 msgid "Emit function prologues only before parts of the function that need it,"
 msgstr ""
 
-#: common.opt:1855
+#: common.opt:1859
 msgid "Disable optimizations observable by IEEE signaling NaNs"
 msgstr ""
 
-#: common.opt:1859
+#: common.opt:1863
 msgid "Disable floating point optimizations that ignore the IEEE signedness of zero"
 msgstr ""
 
-#: common.opt:1863
+#: common.opt:1867
 msgid "Convert floating point constants to single precision constants"
 msgstr ""
 
-#: common.opt:1867
+#: common.opt:1871
 msgid "Split lifetimes of induction variables when loops are unrolled"
 msgstr ""
 
-#: common.opt:1871
+#: common.opt:1875
 #, fuzzy
 msgid "Generate discontiguous stack frames"
 msgstr "Tạo ra các khung đống làm hợp với APCS"
 
-#: common.opt:1875
+#: common.opt:1879
 msgid "Split wide types into independent registers"
 msgstr ""
 
-#: common.opt:1879
+#: common.opt:1883
 msgid "Apply variable expansion when loops are unrolled"
 msgstr ""
 
-#: common.opt:1883
+#: common.opt:1887
 msgid "-fstack-check=[no|generic|specific]\tInsert stack checking code into the program"
 msgstr ""
 
-#: common.opt:1887
+#: common.opt:1891
 msgid "Insert stack checking code into the program.  Same as -fstack-check=specific"
 msgstr ""
 
-#: common.opt:1894
+#: common.opt:1898
 msgid "-fstack-limit-register=<register>\tTrap if the stack goes past <register>"
 msgstr ""
 
-#: common.opt:1898
+#: common.opt:1902
 msgid "-fstack-limit-symbol=<name>\tTrap if the stack goes past symbol <name>"
 msgstr ""
 
-#: common.opt:1902
+#: common.opt:1906
 msgid "Use propolice as a stack protection method"
 msgstr ""
 
-#: common.opt:1906
+#: common.opt:1910
 msgid "Use a stack protection method for every function"
 msgstr ""
 
-#: common.opt:1910
+#: common.opt:1914
 #, fuzzy
 msgid "Output stack usage information on a per-function basis"
 msgstr "Sử dụng lại r30 một cách từng hàm"
 
-#: common.opt:1922
+#: common.opt:1926
 msgid "Assume strict aliasing rules apply"
 msgstr ""
 
-#: common.opt:1926
+#: common.opt:1930
 msgid "Treat signed overflow as undefined"
 msgstr ""
 
-#: common.opt:1930
+#: common.opt:1934
 msgid "Implement __atomic operations via libcalls to legacy __sync functions"
 msgstr ""
 
-#: common.opt:1934
+#: common.opt:1938
 msgid "Check for syntax errors, then stop"
-msgstr ""
+msgstr "Kiểm tra lỗi cú pháp, sau đó dừng lại"
 
-#: common.opt:1938
+#: common.opt:1942
 msgid "Create data files needed by \"gcov\""
 msgstr ""
 
-#: common.opt:1942
+#: common.opt:1946
+#, fuzzy
 msgid "Perform jump threading optimizations"
-msgstr ""
+msgstr "Tối ưu hoá sự xếp hàng một cách đặc trưng cho VR4130"
 
-#: common.opt:1946
+#: common.opt:1950
 msgid "Report the time taken by each compiler pass"
 msgstr ""
 
-#: common.opt:1950
+#: common.opt:1954
 msgid "-ftls-model=[global-dynamic|local-dynamic|initial-exec|local-exec]\tSet the default thread-local storage code generation model"
 msgstr ""
 
-#: common.opt:1953
-#, fuzzy, c-format
+#: common.opt:1957
+#, c-format
 msgid "unknown TLS model %qs"
-msgstr "không rõ chế độ lệnh"
+msgstr "không hiểu mô hình TLS %qs"
 
-#: common.opt:1969
+#: common.opt:1973
 msgid "Reorder top level functions, variables, and asms"
 msgstr ""
 
-#: common.opt:1973
+#: common.opt:1977
 msgid "Perform superblock formation via tail duplication"
 msgstr ""
 
-#: common.opt:1980
+#: common.opt:1984
 msgid "Assume floating-point operations can trap"
 msgstr ""
 
-#: common.opt:1984
+#: common.opt:1988
 msgid "Trap for signed overflow in addition, subtraction and multiplication"
 msgstr ""
 
-#: common.opt:1988
+#: common.opt:1992
 msgid "Enable SSA-CCP optimization on trees"
 msgstr ""
 
-#: common.opt:1992
+#: common.opt:1996
 #, fuzzy
 msgid "Enable SSA-BIT-CCP optimization on trees"
 msgstr "Hiệu lực số tối ưu hoá bộ liên kết"
 
-#: common.opt:2000
+#: common.opt:2004
 msgid "Enable loop header copying on trees"
 msgstr ""
 
-#: common.opt:2004
+#: common.opt:2008
 msgid "Enable coalescing of copy-related user variables that are inlined"
 msgstr ""
 
-#: common.opt:2008
+#: common.opt:2012
 msgid "Enable coalescing of all copy-related user variables"
 msgstr ""
 
-#: common.opt:2012
+#: common.opt:2016
 msgid "Replace SSA temporaries with better names in copies"
 msgstr ""
 
-#: common.opt:2016
+#: common.opt:2020
 msgid "Enable copy propagation on trees"
 msgstr ""
 
-#: common.opt:2024
+#: common.opt:2028
 msgid "Transform condition stores into unconditional ones"
 msgstr ""
 
-#: common.opt:2028
+#: common.opt:2032
 msgid "Perform conversions of switch initializations."
 msgstr ""
 
-#: common.opt:2032
+#: common.opt:2036
 msgid "Enable SSA dead code elimination optimization on trees"
 msgstr ""
 
-#: common.opt:2036
+#: common.opt:2040
+#, fuzzy
 msgid "Enable dominator optimizations"
-msgstr ""
+msgstr "Hiệu lực số tối ưu hoá bộ liên kết"
 
-#: common.opt:2040
+#: common.opt:2044
 #, fuzzy
 msgid "Enable tail merging on trees"
 msgstr "Hiệu lực phần lớn các thông điệp cảnh báo"
 
-#: common.opt:2044
+#: common.opt:2048
+#, fuzzy
 msgid "Enable dead store elimination"
-msgstr ""
+msgstr "Hiệu lực câu lệnh nạp/lưu chưa xếp hàng"
 
-#: common.opt:2048
+#: common.opt:2052
 msgid "Enable forward propagation on trees"
 msgstr ""
 
-#: common.opt:2052
+#: common.opt:2056
 msgid "Enable Full Redundancy Elimination (FRE) on trees"
 msgstr ""
 
-#: common.opt:2056
+#: common.opt:2060
 #, fuzzy
 msgid "Enable string length optimizations on trees"
 msgstr "Hiệu lực số tối ưu hoá bộ liên kết"
 
-#: common.opt:2060
+#: common.opt:2064
 msgid "Enable loop distribution on trees"
 msgstr ""
 
-#: common.opt:2064
+#: common.opt:2068
 msgid "Enable loop distribution for patterns transformed into a library call"
 msgstr ""
 
-#: common.opt:2068
+#: common.opt:2072
 msgid "Enable loop invariant motion on trees"
 msgstr ""
 
-#: common.opt:2072
+#: common.opt:2076
 msgid "Enable loop interchange transforms.  Same as -floop-interchange"
 msgstr ""
 
-#: common.opt:2076
+#: common.opt:2080
 msgid "Create canonical induction variables in loops"
 msgstr ""
 
-#: common.opt:2080
+#: common.opt:2084
 msgid "Enable loop optimizations on tree level"
 msgstr ""
 
-#: common.opt:2084
+#: common.opt:2088
+#, fuzzy
 msgid "Enable automatic parallelization of loops"
-msgstr ""
+msgstr "&Bật tự động kiểm tra phiên bản mới"
 
-#: common.opt:2088
+#: common.opt:2092
 msgid "Enable hoisting loads from conditional pointers."
 msgstr ""
 
-#: common.opt:2092
+#: common.opt:2096
 msgid "Enable SSA-PRE optimization on trees"
 msgstr ""
 
-#: common.opt:2096
+#: common.opt:2100
 msgid "In SSA-PRE optimization on trees, enable partial-partial redundancy elimination"
 msgstr ""
 
-#: common.opt:2100
+#: common.opt:2104
 msgid "Perform function-local points-to analysis on trees."
 msgstr ""
 
-#: common.opt:2104
+#: common.opt:2108
 msgid "Enable reassociation on tree level"
 msgstr ""
 
-#: common.opt:2112
+#: common.opt:2116
 msgid "Enable SSA code sinking on trees"
 msgstr ""
 
-#: common.opt:2116
+#: common.opt:2120
 msgid "Perform straight-line strength reduction"
 msgstr ""
 
-#: common.opt:2120
+#: common.opt:2124
 msgid "Perform scalar replacement of aggregates"
 msgstr ""
 
-#: common.opt:2124
+#: common.opt:2128
 msgid "Replace temporary expressions in the SSA->normal pass"
 msgstr ""
 
-#: common.opt:2128
+#: common.opt:2132
 msgid "Perform live range splitting during the SSA->normal pass"
 msgstr ""
 
-#: common.opt:2132
+#: common.opt:2136
 msgid "Perform Value Range Propagation on trees"
 msgstr ""
 
-#: common.opt:2136
+#: common.opt:2140
 msgid "Compile whole compilation unit at a time"
 msgstr ""
 
-#: common.opt:2140
+#: common.opt:2144
 msgid "Perform loop unrolling when iteration count is known"
 msgstr ""
 
-#: common.opt:2144
+#: common.opt:2148
 msgid "Perform loop unrolling for all loops"
 msgstr ""
 
-#: common.opt:2151
+#: common.opt:2155
 msgid "Allow loop optimizations to assume that the loops behave in normal way"
 msgstr ""
 
-#: common.opt:2155
+#: common.opt:2159
 msgid "Allow optimization for floating-point arithmetic which may change the"
 msgstr ""
 
-#: common.opt:2160
+#: common.opt:2164
 msgid "Same as -fassociative-math for expressions which include division."
 msgstr ""
 
-#: common.opt:2168
+#: common.opt:2172
 msgid "Allow math optimizations that may violate IEEE or ISO standards"
 msgstr ""
 
-#: common.opt:2172
+#: common.opt:2176
+#, fuzzy
 msgid "Perform loop unswitching"
-msgstr ""
+msgstr "mount: stolen loop=%s (vòng lặp bị ăn cắp)"
 
-#: common.opt:2176
+#: common.opt:2180
 msgid "Just generate unwind tables for exception handling"
 msgstr ""
 
-#: common.opt:2180
+#: common.opt:2184
+#, fuzzy
 msgid "Use the bfd linker instead of the default linker"
-msgstr ""
+msgstr "dùng chương trình đã ghi rõ thay cho trình mặc định"
 
-#: common.opt:2184
+#: common.opt:2188
+#, fuzzy
 msgid "Use the gold linker instead of the default linker"
-msgstr ""
+msgstr "dùng chương trình đã ghi rõ thay cho trình mặc định"
 
-#: common.opt:2196
+#: common.opt:2200
+#, fuzzy
 msgid "Perform variable tracking"
-msgstr ""
+msgstr "AF theo-dấu-chủ-đề"
 
-#: common.opt:2204
+#: common.opt:2208
 msgid "Perform variable tracking by annotating assignments"
 msgstr ""
 
-#: common.opt:2210
+#: common.opt:2214
 msgid "Toggle -fvar-tracking-assignments"
 msgstr ""
 
-#: common.opt:2218
+#: common.opt:2222
 msgid "Perform variable tracking and also tag variables that are uninitialized"
 msgstr ""
 
-#: common.opt:2222
+#: common.opt:2226
 msgid "Enable loop vectorization on trees"
 msgstr ""
 
-#: common.opt:2226
+#: common.opt:2230
 msgid "-ftree-vectorizer-verbose=<number>\tThis switch is deprecated. Use -fopt-info instead."
 msgstr ""
 
-#: common.opt:2230
+#: common.opt:2234
 msgid "Enable basic block vectorization (SLP) on trees"
 msgstr ""
 
-#: common.opt:2234
+#: common.opt:2238
 msgid "Enable use of cost model in vectorization"
 msgstr ""
 
-#: common.opt:2238
+#: common.opt:2242
 msgid "Enable loop versioning when doing loop vectorization on trees"
 msgstr ""
 
-#: common.opt:2242
+#: common.opt:2246
 msgid "Enable copy propagation of scalar-evolution information."
 msgstr ""
 
-#: common.opt:2252
+#: common.opt:2256
 msgid "Add extra commentary to assembler output"
 msgstr ""
 
-#: common.opt:2256
+#: common.opt:2260
 msgid "-fvisibility=[default|internal|hidden|protected]\tSet the default symbol visibility"
 msgstr ""
 
-#: common.opt:2259
+#: common.opt:2263
 #, fuzzy, c-format
 msgid "unrecognized visibility value %qs"
-msgstr "không nhận ra địa chỉ"
+msgstr "Không chấp nhận giá trị lô-gíc cho đối số %s"
 
-#: common.opt:2275
+#: common.opt:2279
 msgid "Use expression value profiles in optimizations"
 msgstr ""
 
-#: common.opt:2279
+#: common.opt:2283
 msgid "Construct webs and split unrelated uses of single variable"
 msgstr ""
 
-#: common.opt:2283
+#: common.opt:2287
 msgid "Enable conditional dead code elimination for builtin calls"
 msgstr ""
 
-#: common.opt:2287
+#: common.opt:2291
+#, fuzzy
 msgid "Perform whole program optimizations"
-msgstr ""
+msgstr "Tối ưu hoá sự xếp hàng một cách đặc trưng cho VR4130"
 
-#: common.opt:2291
+#: common.opt:2295
 msgid "Assume signed arithmetic overflow wraps around"
 msgstr ""
 
-#: common.opt:2295
+#: common.opt:2299
 msgid "Put zero initialized data in the bss section"
 msgstr ""
 
-#: common.opt:2299
+#: common.opt:2303
 msgid "Generate debug information in default format"
 msgstr ""
 
-#: common.opt:2303
+#: common.opt:2307
 msgid "Generate debug information in COFF format"
 msgstr ""
 
-#: common.opt:2307
+#: common.opt:2311
 msgid "Generate debug information in DWARF v2 (or later) format"
 msgstr ""
 
-#: common.opt:2311
+#: common.opt:2315
 msgid "Generate debug information in default extended format"
 msgstr ""
 
-#: common.opt:2315
+#: common.opt:2319
 msgid "Don't generate DWARF pubnames and pubtypes sections."
 msgstr ""
 
-#: common.opt:2319
+#: common.opt:2323
 msgid "Generate DWARF pubnames and pubtypes sections."
 msgstr ""
 
-#: common.opt:2323
+#: common.opt:2327
 msgid "Don't record gcc command line switches in DWARF DW_AT_producer."
 msgstr ""
 
-#: common.opt:2327
+#: common.opt:2331
 msgid "Record gcc command line switches in DWARF DW_AT_producer."
 msgstr ""
 
-#: common.opt:2331
+#: common.opt:2335
 #, fuzzy
-#| msgid "Emit verbose debug information in assembly code"
 msgid "Don't generate debug information in separate .dwo files"
 msgstr "Xuất nhiều thông tin gỡ rối trong mã dịch mã số"
 
-#: common.opt:2335
+#: common.opt:2339
 #, fuzzy
-#| msgid "Emit verbose debug information in assembly code"
 msgid "Generate debug information in separate .dwo files"
 msgstr "Xuất nhiều thông tin gỡ rối trong mã dịch mã số"
 
-#: common.opt:2339
+#: common.opt:2343
 msgid "Generate debug information in STABS format"
 msgstr ""
 
-#: common.opt:2343
+#: common.opt:2347
 msgid "Generate debug information in extended STABS format"
 msgstr ""
 
-#: common.opt:2347
+#: common.opt:2351
 msgid "Emit DWARF additions beyond selected version"
 msgstr ""
 
-#: common.opt:2351
+#: common.opt:2355
 msgid "Don't emit DWARF additions beyond selected version"
 msgstr ""
 
-#: common.opt:2355
+#: common.opt:2359
+#, fuzzy
 msgid "Toggle debug information generation"
-msgstr ""
+msgstr "Việc tạo ra bản báo cáo lỗi gặp lỗi."
 
-#: common.opt:2359
+#: common.opt:2363
 msgid "Generate debug information in VMS format"
 msgstr ""
 
-#: common.opt:2363
+#: common.opt:2367
 msgid "Generate debug information in XCOFF format"
 msgstr ""
 
-#: common.opt:2367
+#: common.opt:2371
 msgid "Generate debug information in extended XCOFF format"
 msgstr ""
 
-#: common.opt:2374
+#: common.opt:2378
 msgid "-iplugindir=<dir>\tSet <dir> to be the default plugin directory"
 msgstr ""
 
-#: common.opt:2378
+#: common.opt:2382
 msgid "-imultiarch <dir>\tSet <dir> to be the multiarch include subdirectory"
 msgstr ""
 
-#: common.opt:2400
+#: common.opt:2404
 msgid "-o <file>\tPlace output into <file>"
 msgstr "-o <tập tin>\tĐặt kết xuất vào <tập tin>"
 
-#: common.opt:2404
+#: common.opt:2408
+#, fuzzy
 msgid "Enable function profiling"
-msgstr ""
+msgstr "Hiệu lực chế độ PIC Mô tả Hàm"
 
-#: common.opt:2414
+#: common.opt:2418
 msgid "Like -pedantic but issue them as errors"
 msgstr ""
 
-#: common.opt:2454
+#: common.opt:2458
 msgid "Do not display functions compiled or elapsed time"
 msgstr ""
 
-#: common.opt:2486
+#: common.opt:2490
 msgid "Enable verbose output"
-msgstr ""
+msgstr "Bật kết xuất chi tiết"
 
-#: common.opt:2490
+#: common.opt:2494
 msgid "Display the compiler's version"
-msgstr ""
+msgstr "Hiển thị thông tin về phiên bản của bộ biên dịch"
 
-#: common.opt:2494
+#: common.opt:2498
 msgid "Suppress warnings"
-msgstr ""
+msgstr "Thu hồi cảnh báo"
 
-#: common.opt:2504
+#: common.opt:2508
 msgid "Create a shared library"
-msgstr ""
+msgstr "Tạo thư viện dùng chung"
 
-#: common.opt:2543
+#: common.opt:2547
 msgid "Create a position independent executable"
-msgstr ""
+msgstr "Tạo một bản thực hiện không phụ thuộc vào vị trí"
 
-#: go/gofrontend/expressions.cc:102 c-family/c-common.c:1777 cp/cvt.c:1149
+#: go/gofrontend/expressions.cc:102 c-family/c-common.c:1782 cp/cvt.c:1149
 #: cp/cvt.c:1395
 #, gcc-internal-format
 msgid "value computed is not used"
-msgstr ""
+msgstr "giá trị được tính không được sử dụng"
 
 #: go/gofrontend/expressions.cc:857
 msgid "invalid use of type"
@@ -12477,7 +12452,7 @@
 #: go/gofrontend/expressions.cc:2535 go/gofrontend/expressions.cc:2601
 #: go/gofrontend/expressions.cc:2617
 msgid "constant refers to itself"
-msgstr ""
+msgstr "hằng tham chiếu đến chính nó"
 
 #: go/gofrontend/expressions.cc:3909
 msgid "expected numeric type"
@@ -12494,7 +12469,7 @@
 #: go/gofrontend/expressions.cc:3927
 #, fuzzy
 msgid "invalid operand for unary %<&%>"
-msgstr "sai lập toán hạng tới %%R"
+msgstr "sai lập toán hạng cho mã « %c »"
 
 #: go/gofrontend/expressions.cc:3936
 msgid "expected pointer"
@@ -12503,7 +12478,7 @@
 #: go/gofrontend/expressions.cc:5610
 #, fuzzy
 msgid "invalid comparison of nil with nil"
-msgstr "Cảnh báo về sự so sánh các loại đếm (enum) khác nhau"
+msgstr "&Thay thế ký tự không hợp lệ bằng:"
 
 #: go/gofrontend/expressions.cc:5616 go/gofrontend/expressions.cc:5634
 #, fuzzy
@@ -12511,25 +12486,26 @@
 msgstr "Gặp loại saio trong biểu thức bất biến"
 
 #: go/gofrontend/expressions.cc:5648
+#, fuzzy
 msgid "shift of non-integer operand"
-msgstr ""
+msgstr "substr: (chuỗi phụ) sẽ cắt xén độ dài không phải số nguyên « %g »"
 
 #: go/gofrontend/expressions.cc:5653 go/gofrontend/expressions.cc:5661
 msgid "shift count not unsigned integer"
 msgstr ""
 
 #: go/gofrontend/expressions.cc:5666
-#, fuzzy
 msgid "negative shift count"
-msgstr "chiều dài lệnh âm"
+msgstr "số lượng dịch âm"
 
 #: go/gofrontend/expressions.cc:6470
 msgid "object is not a method"
 msgstr "đối tượng không phải là phương thức"
 
 #: go/gofrontend/expressions.cc:6479
+#, fuzzy
 msgid "method type does not match object type"
-msgstr ""
+msgstr "%s: kích cỡ đối tượng không tương ứng với kích cỡ của đích %s"
 
 #: go/gofrontend/expressions.cc:6721
 msgid "invalid use of %<...%> with builtin function"
@@ -12553,12 +12529,12 @@
 
 #: go/gofrontend/expressions.cc:6802
 msgid "argument 1 must be a map"
-msgstr ""
+msgstr "đối số 1 phải là ánh xạ"
 
 #: go/gofrontend/expressions.cc:6869
 #, fuzzy
 msgid "invalid type for make function"
-msgstr "hàm nội bộ"
+msgstr "kiểu sai cho hàm phương pháp C++"
 
 #: go/gofrontend/expressions.cc:6883
 msgid "length required when allocating a slice"
@@ -12566,7 +12542,7 @@
 
 #: go/gofrontend/expressions.cc:6920
 msgid "len larger than cap"
-msgstr ""
+msgstr "len lớn hơn cap"
 
 #: go/gofrontend/expressions.cc:6932
 msgid "too many arguments to make"
@@ -12587,40 +12563,40 @@
 
 #: go/gofrontend/expressions.cc:7718
 msgid "argument must be channel"
-msgstr ""
+msgstr "đối số phải là kênh"
 
 #: go/gofrontend/expressions.cc:7720
 msgid "cannot close receive-only channel"
 msgstr ""
 
 #: go/gofrontend/expressions.cc:7740
-#, fuzzy
 msgid "argument must be a field reference"
-msgstr "đích không phải là một hàm trỏ hoặc một tham chiếu"
+msgstr "đối số pahỉ là một tham chiếu trường"
 
 #: go/gofrontend/expressions.cc:7767
+#, fuzzy
 msgid "left argument must be a slice"
-msgstr ""
+msgstr "Đối số N-up (lên) phải là lũy thừa 2: %d"
 
 #: go/gofrontend/expressions.cc:7775
 msgid "element types must be the same"
-msgstr ""
+msgstr "các kiểu phần tử phải đồng nhất"
 
 #: go/gofrontend/expressions.cc:7780
 msgid "first argument must be []byte"
-msgstr ""
+msgstr "đối số đầu tiên phải là []byte"
 
 #: go/gofrontend/expressions.cc:7783
 msgid "second argument must be slice or string"
-msgstr ""
+msgstr "đối số thứ hai phải là kiểu slice hay chuỗi"
 
 #: go/gofrontend/expressions.cc:7824
 msgid "argument 2 has invalid type"
-msgstr ""
+msgstr "đối số 2 có kiểu không hợp lệ"
 
 #: go/gofrontend/expressions.cc:7840
 msgid "argument must have complex type"
-msgstr ""
+msgstr "đối số phải có kiểu phức"
 
 #: go/gofrontend/expressions.cc:7858
 msgid "complex arguments must have identical types"
@@ -12637,13 +12613,12 @@
 msgstr "cần hàm"
 
 #: go/gofrontend/expressions.cc:8735
-#, fuzzy
 msgid "invalid use of %<...%> with non-slice"
-msgstr "sai sử dụng '%%%c'"
+msgstr "dùng %<...%> mà không có non-slice là không hợp lệ"
 
 #: go/gofrontend/expressions.cc:9008
 msgid "incompatible type for receiver"
-msgstr ""
+msgstr "không tương thích kiểu đối với bộ nhận"
 
 #: go/gofrontend/expressions.cc:9026
 msgid "invalid use of %<...%> calling non-variadic function"
@@ -12651,40 +12626,42 @@
 
 #: go/gofrontend/expressions.cc:9460 go/gofrontend/expressions.cc:9474
 msgid "number of results does not match number of values"
-msgstr ""
+msgstr "số của kết quả không khớp với số của giá trị"
 
 #: go/gofrontend/expressions.cc:9778 go/gofrontend/expressions.cc:10207
 msgid "index must be integer"
 msgstr "chỉ số phải là số nguyên"
 
 #: go/gofrontend/expressions.cc:9784 go/gofrontend/expressions.cc:10211
+#, fuzzy
 msgid "slice end must be integer"
-msgstr ""
+msgstr "giá trị cho %s phải là số nguyên"
 
 #: go/gofrontend/expressions.cc:9832 go/gofrontend/expressions.cc:10242
+#, fuzzy
 msgid "inverted slice range"
-msgstr ""
+msgstr "Chọn vùng cần hiện."
 
 #: go/gofrontend/expressions.cc:9846
+#, fuzzy
 msgid "slice of unaddressable value"
-msgstr ""
+msgstr "Không thể đọc giá trị của '%s'"
 
 #: go/gofrontend/expressions.cc:10448
-#, fuzzy
 msgid "incompatible type for map index"
-msgstr "Hiệu lực chế độ thông thường"
+msgstr "kiểu không tương thích cho chỉ mục ánh xạ"
 
 #: go/gofrontend/expressions.cc:10893
 msgid "expected interface or pointer to interface"
-msgstr ""
+msgstr "cần giao diện hay con trỏ đến giao diện"
 
 #: go/gofrontend/expressions.cc:11461
 msgid "too many expressions for struct"
-msgstr ""
+msgstr "quá nhiều biểu thức cho cấu trúc"
 
 #: go/gofrontend/expressions.cc:11474
 msgid "too few expressions for struct"
-msgstr ""
+msgstr "quá ít biểu thức cho cấu trúc"
 
 #: go/gofrontend/expressions.cc:13135 go/gofrontend/statements.cc:1537
 msgid "type assertion only valid for interface types"
@@ -12709,7 +12686,7 @@
 #: go/gofrontend/statements.cc:588
 #, fuzzy
 msgid "invalid left hand side of assignment"
-msgstr "sai lập chế độ đặt địa chỉ"
+msgstr "bên trái cấm của hàm gán, nó phải là một biến có thể gán được"
 
 #: go/gofrontend/statements.cc:1103
 msgid "expected map index on right hand side"
@@ -12721,14 +12698,13 @@
 msgstr "cần kết thúc dòng"
 
 #: go/gofrontend/statements.cc:2636 go/gofrontend/statements.cc:2665
-#, fuzzy
 msgid "not enough arguments to return"
-msgstr "trong đối số tới bộ nguyên phân !"
+msgstr "không có đủ đối số để trả về"
 
 #: go/gofrontend/statements.cc:2644
 #, fuzzy
 msgid "return with value in function with no return type"
-msgstr "Trả lại giá trị của hàm trong thanh ghi FPU (đơn vị điểm phù động)"
+msgstr "« return » (trả lại) không có giá trị, trong hàm trả lại non-void (không rỗng)"
 
 #: go/gofrontend/statements.cc:2671
 msgid "too many values in return statement"
@@ -12744,7 +12720,7 @@
 
 #: go/gofrontend/statements.cc:4325
 msgid "incompatible types in send"
-msgstr ""
+msgstr "không tương thích kiểu trong bộ gửi"
 
 #: go/gofrontend/statements.cc:4330
 msgid "invalid send on receive-only channel"
@@ -12776,9 +12752,9 @@
 msgstr ""
 
 #: go/gofrontend/types.cc:541
-#, fuzzy, c-format
+#, c-format
 msgid "invalid operation (%s)"
-msgstr "sai lập toán hạng tới %%R"
+msgstr "toán hạng không hợp lệ (%s)"
 
 #: go/gofrontend/types.cc:564
 #, fuzzy
@@ -12800,39 +12776,40 @@
 
 #: go/gofrontend/types.cc:714
 msgid "need explicit conversion"
-msgstr ""
+msgstr "cần chuyển đổi rõ ràng"
 
 #: go/gofrontend/types.cc:721
 #, c-format
 msgid "cannot use type %s as type %s"
-msgstr ""
+msgstr "không thể dùng kiểu %s như là %s"
 
 #: go/gofrontend/types.cc:3273
 msgid "different receiver types"
-msgstr ""
+msgstr "khác kiểu nhận được"
 
 #: go/gofrontend/types.cc:3293 go/gofrontend/types.cc:3306
 #: go/gofrontend/types.cc:3321
-#, fuzzy
 msgid "different number of parameters"
-msgstr "số tối đa các tham số trong một SCoP"
+msgstr "khác số lượng đối số"
 
 #: go/gofrontend/types.cc:3314
+#, fuzzy
 msgid "different parameter types"
-msgstr ""
+msgstr "Chấp nhận mọi kiểu"
 
 #: go/gofrontend/types.cc:3329
 msgid "different varargs"
-msgstr ""
+msgstr "varargs khác biệt"
 
 #: go/gofrontend/types.cc:3338 go/gofrontend/types.cc:3351
 #: go/gofrontend/types.cc:3366
+#, fuzzy
 msgid "different number of results"
-msgstr ""
+msgstr "Tải về kết quả tìm kiếm"
 
 #: go/gofrontend/types.cc:3359
 msgid "different result types"
-msgstr ""
+msgstr "kiểu kết quả khác biệt"
 
 #: go/gofrontend/types.cc:4320
 #, c-format
@@ -12847,12 +12824,12 @@
 #: go/gofrontend/types.cc:6803 go/gofrontend/types.cc:6945
 #, c-format
 msgid "incompatible type for method %s%s%s"
-msgstr ""
+msgstr "kiểu không tương thích cho phương thức %s%s%s"
 
 #: go/gofrontend/types.cc:6807 go/gofrontend/types.cc:6949
 #, c-format
 msgid "incompatible type for method %s%s%s (%s)"
-msgstr ""
+msgstr "kiểu không tương thích cho phương thức %s%s%s (%s)"
 
 #: go/gofrontend/types.cc:6886 go/gofrontend/types.cc:6899
 msgid "pointer to interface type has no methods"
@@ -12873,28 +12850,26 @@
 msgstr "thiếu phương thức%s%s%s"
 
 #: go/gofrontend/types.cc:6966
-#, fuzzy, c-format
-#| msgid "method %s%s%s requires a pointer"
+#, c-format
 msgid "method %s%s%s requires a pointer receiver"
-msgstr "phương thức %s%s%s yêu cầu một con trỏ"
+msgstr "phương thức %s%s%s yêu cầu bộ nhận con trỏ"
 
 #: go/gofrontend/types.cc:6984
 #, fuzzy, c-format
-#| msgid "method %s%s%s requires a pointer"
 msgid "method %s%s%s is marked go:nointerface"
 msgstr "phương thức %s%s%s yêu cầu một con trỏ"
 
 #. Warn about and ignore all others for now, but store them.
-#: attribs.c:426 c-family/c-common.c:8019 objc/objc-act.c:4952
+#: attribs.c:426 c-family/c-common.c:8041 objc/objc-act.c:4952
 #: objc/objc-act.c:6922 objc/objc-act.c:8109 objc/objc-act.c:8160
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "%qE attribute directive ignored"
-msgstr ""
+msgstr "không rõ chỉ thị « %s »: dòng bị bỏ qua"
 
 #: attribs.c:430
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "%<%E::%E%> scoped attribute directive ignored"
-msgstr ""
+msgstr "không rõ chỉ thị « %s »: dòng bị bỏ qua"
 
 #: attribs.c:439
 #, gcc-internal-format
@@ -12905,9 +12880,9 @@
 #. type-specifier, outside of the definition of, a class
 #. type.  Ignore it.
 #: attribs.c:452
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "attribute ignored"
-msgstr "lời tuyên bố thuộc tính"
+msgstr "thuộc tính bị bỏ qua"
 
 #: attribs.c:454
 #, gcc-internal-format
@@ -13039,7 +13014,7 @@
 #: builtins.c:5324
 #, gcc-internal-format
 msgid "invalid memory model for %<__atomic_exchange%>"
-msgstr ""
+msgstr "mô hình bộ nhớ không hợp lệ cho %<__atomic_exchange%>"
 
 #: builtins.c:5361
 #, gcc-internal-format
@@ -13054,12 +13029,12 @@
 #: builtins.c:5415
 #, gcc-internal-format
 msgid "invalid memory model for %<__atomic_load%>"
-msgstr ""
+msgstr "mô hình bộ nhớ không hợp lệ cho %<__atomic_load%>"
 
 #: builtins.c:5445 builtins.c:5552
 #, gcc-internal-format
 msgid "invalid memory model for %<__atomic_store%>"
-msgstr ""
+msgstr "mô hình bộ nhớ không hợp lệ cho %<__atomic_store%>"
 
 #: builtins.c:5661
 #, gcc-internal-format
@@ -13072,20 +13047,18 @@
 msgstr ""
 
 #: builtins.c:5764
-#, fuzzy, gcc-internal-format
-#| msgid "%<__int128%> is not supported for this target"
+#, gcc-internal-format
 msgid "__builtin_thread_pointer is not supported on this target"
-msgstr "%<__int128%> không được hỗ trợ cho đích này"
+msgstr "__builtin_thread_pointer không được hỗ trợ trên đích này"
 
 #: builtins.c:5784
-#, fuzzy, gcc-internal-format
-#| msgid "%<__int128%> is not supported for this target"
+#, gcc-internal-format
 msgid "__builtin_set_thread_pointer is not supported on this target"
-msgstr "%<__int128%> không được hỗ trợ cho đích này"
+msgstr "__builtin_set_thread_pointer không được hỗ trợ trên đích này"
 
 #. All valid uses of __builtin_va_arg_pack () are removed during
 #. inlining.
-#: builtins.c:6025 expr.c:10184
+#: builtins.c:6025 expr.c:10185
 #, gcc-internal-format
 msgid "%Kinvalid use of %<__builtin_va_arg_pack ()%>"
 msgstr ""
@@ -13100,12 +13073,12 @@
 #: builtins.c:6270
 #, gcc-internal-format
 msgid "%<__builtin_longjmp%> second argument must be 1"
-msgstr ""
+msgstr "%<__builtin_longjmp%> đối số thứ hai phải là 1"
 
 #: builtins.c:7122
 #, gcc-internal-format
 msgid "target format does not support infinity"
-msgstr ""
+msgstr "định dạng đích không hỗ trợ vô cực"
 
 #: builtins.c:12111
 #, gcc-internal-format
@@ -13115,17 +13088,17 @@
 #: builtins.c:12119
 #, gcc-internal-format
 msgid "wrong number of arguments to function %<va_start%>"
-msgstr ""
+msgstr "sai số lượng đối số cho hàm %<va_start%>"
 
 #: builtins.c:12134
 #, gcc-internal-format
 msgid "%<__builtin_next_arg%> called without an argument"
-msgstr ""
+msgstr "%<__builtin_next_arg%> được gọi mà không có đối số"
 
 #: builtins.c:12139
 #, gcc-internal-format
 msgid "wrong number of arguments to function %<__builtin_next_arg%>"
-msgstr ""
+msgstr "sai số lượng đối số cho hàm %<__builtin_next_arg%>"
 
 #: builtins.c:12171
 #, gcc-internal-format
@@ -13168,21 +13141,21 @@
 msgstr ""
 
 #: calls.c:2335
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "function call has aggregate value"
-msgstr ""
+msgstr "cuộc gọi nội tới hàm PostMessage gặp lỗi."
 
-#: cfgexpand.c:1238 function.c:971 varasm.c:1966
-#, gcc-internal-format
+#: cfgexpand.c:1238 function.c:971 varasm.c:1964
+#, fuzzy, gcc-internal-format
 msgid "size of variable %q+D is too large"
-msgstr ""
+msgstr "Kích thước dữ liệu bắt tay quá lớn."
 
-#: cfgexpand.c:4487
+#: cfgexpand.c:4542
 #, gcc-internal-format
 msgid "stack protector not protecting local variables: variable length buffer"
 msgstr ""
 
-#: cfgexpand.c:4491
+#: cfgexpand.c:4546
 #, gcc-internal-format, gfc-internal-format
 msgid "stack protector not protecting function: all local arrays are less than %d bytes long"
 msgstr ""
@@ -13190,47 +13163,47 @@
 #: cfghooks.c:110
 #, gcc-internal-format, gfc-internal-format
 msgid "bb %d on wrong place"
-msgstr ""
+msgstr "bb %d trên chỗ sai"
 
 #: cfghooks.c:116
 #, gcc-internal-format, gfc-internal-format
 msgid "prev_bb of %d should be %d, not %d"
-msgstr ""
+msgstr "prev_bb của %d phải là %d, chứ không phải %d"
 
 #: cfghooks.c:133
 #, gcc-internal-format, gfc-internal-format
 msgid "verify_flow_info: Block %i has loop_father, but there are no loops"
-msgstr ""
+msgstr "verify_flow_info: Khối %i có loop_father, nhưng chẳng có vòng lặp nào cả"
 
 #: cfghooks.c:139
 #, gcc-internal-format, gfc-internal-format
 msgid "verify_flow_info: Block %i lacks loop_father"
-msgstr ""
+msgstr "verify_flow_info: Khối %i thiếu loop_father"
 
 #: cfghooks.c:145
 #, gcc-internal-format, gfc-internal-format
 msgid "verify_flow_info: Wrong count of block %i %i"
-msgstr ""
+msgstr "verify_flow_info: Sai số lượng khối %i %i"
 
 #: cfghooks.c:151
 #, gcc-internal-format, gfc-internal-format
 msgid "verify_flow_info: Wrong frequency of block %i %i"
-msgstr ""
+msgstr "verify_flow_info: Sai sự nối tiếp của khối %i %i"
 
 #: cfghooks.c:159
 #, gcc-internal-format, gfc-internal-format
 msgid "verify_flow_info: Duplicate edge %i->%i"
-msgstr ""
+msgstr "verify_flow_info: Trùng cạnh (edge) %i->%i"
 
 #: cfghooks.c:165
 #, gcc-internal-format, gfc-internal-format
 msgid "verify_flow_info: Wrong probability of edge %i->%i %i"
-msgstr ""
+msgstr "verify_flow_info: Sai xác suất của cạnh %i->%i %i"
 
 #: cfghooks.c:171
 #, gcc-internal-format, gfc-internal-format
 msgid "verify_flow_info: Wrong count of edge %i->%i %i"
-msgstr ""
+msgstr "verify_flow_info: sai số lượng cạnh %i->%i %i"
 
 #: cfghooks.c:183
 #, gcc-internal-format, gfc-internal-format
@@ -13263,10 +13236,9 @@
 msgstr "verify_flow_info gặp lỗi"
 
 #: cfghooks.c:293
-#, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "%s does not support duplicate_block"
+#, gcc-internal-format, gfc-internal-format
 msgid "%s does not support dump_bb_for_graph"
-msgstr "%s không hỗ trợ duplicate_block"
+msgstr "%s không hỗ trợ dump_bb_for_graph"
 
 #: cfghooks.c:330
 #, gcc-internal-format, gfc-internal-format
@@ -13334,9 +13306,9 @@
 msgstr "%s không hỗ trợ make_forwarder_block"
 
 #: cfghooks.c:958
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "%s does not support force_nonfallthru"
-msgstr "không hỗ trợ chức năng đa thư viện"
+msgstr "%s không hỗ trợ force_nonfallthru"
 
 #: cfghooks.c:986
 #, gcc-internal-format, gfc-internal-format
@@ -13376,23 +13348,22 @@
 #: cfgloop.c:1380
 #, gcc-internal-format, gfc-internal-format
 msgid "bb %d does not belong to loop %d"
-msgstr ""
+msgstr "bb %d không thuộc về vòng lặp %d"
 
 #: cfgloop.c:1392
 #, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "size of loop %d should be %d, not %d"
 msgid "bb %d has father loop %d, should be loop %d"
 msgstr "kích thước của vòng lặp %d nên là %d, không phải %d"
 
 #: cfgloop.c:1409
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "loop %d%'s header is not a loop header"
-msgstr ""
+msgstr "giả sử rằng vòng lặp có giới hạn"
 
 #: cfgloop.c:1415
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "loop %d%'s header does not have exactly 2 entries"
-msgstr ""
+msgstr "%s: trường « %s » không chứa chính xác mười mục nhập"
 
 #: cfgloop.c:1422
 #, gcc-internal-format
@@ -13467,7 +13438,7 @@
 #: cfgloop.c:1579
 #, gcc-internal-format, gfc-internal-format
 msgid "exit %d->%d not recorded"
-msgstr ""
+msgstr "thoát khỏi %d->%d không được ghi lại"
 
 #: cfgloop.c:1602
 #, gcc-internal-format, gfc-internal-format
@@ -13484,163 +13455,162 @@
 msgid "%d exits recorded for loop %d (having %d exits)"
 msgstr ""
 
-#: cfgrtl.c:2092
+#: cfgrtl.c:2090
 #, gcc-internal-format, gfc-internal-format
 msgid "BB_RTL flag not set for block %d"
 msgstr ""
 
-#: cfgrtl.c:2099
+#: cfgrtl.c:2097
 #, gcc-internal-format, gfc-internal-format
 msgid "insn %d basic block pointer is %d, should be %d"
 msgstr ""
 
-#: cfgrtl.c:2110
+#: cfgrtl.c:2108
 #, gcc-internal-format, gfc-internal-format
 msgid "insn %d in header of bb %d has non-NULL basic block"
 msgstr ""
 
-#: cfgrtl.c:2118
+#: cfgrtl.c:2116
 #, gcc-internal-format, gfc-internal-format
 msgid "insn %d in footer of bb %d has non-NULL basic block"
 msgstr ""
 
-#: cfgrtl.c:2141
+#: cfgrtl.c:2139
 #, gcc-internal-format
 msgid "verify_flow_info: REG_BR_PROB does not match cfg %wi %i"
-msgstr ""
+msgstr "verify_flow_info: REG_BR_PROB không khớp cfg %wi %i"
 
-#: cfgrtl.c:2160
+#: cfgrtl.c:2158
 #, gcc-internal-format
 msgid "EDGE_CROSSING incorrectly set across same section"
 msgstr ""
 
-#: cfgrtl.c:2165
+#: cfgrtl.c:2163
 #, gcc-internal-format, gfc-internal-format
 msgid "fallthru edge crosses section boundary in bb %i"
 msgstr ""
 
-#: cfgrtl.c:2171
+#: cfgrtl.c:2169
 #, gcc-internal-format, gfc-internal-format
 msgid "EH edge crosses section boundary in bb %i"
 msgstr ""
 
-#: cfgrtl.c:2178
+#: cfgrtl.c:2176
 #, gcc-internal-format
 msgid "EDGE_CROSSING missing across section boundary"
 msgstr ""
 
-#: cfgrtl.c:2205
+#: cfgrtl.c:2203
 #, gcc-internal-format, gfc-internal-format
 msgid "missing REG_EH_REGION note at the end of bb %i"
 msgstr ""
 
-#: cfgrtl.c:2210
+#: cfgrtl.c:2208
 #, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "too many eh edges %i"
 msgid "too many exception handling edges in bb %i"
 msgstr "quá nhiều eh edges %i"
 
-#: cfgrtl.c:2218
+#: cfgrtl.c:2216
 #, gcc-internal-format, gfc-internal-format
 msgid "too many outgoing branch edges from bb %i"
 msgstr ""
 
-#: cfgrtl.c:2223
+#: cfgrtl.c:2221
 #, gcc-internal-format, gfc-internal-format
 msgid "fallthru edge after unconditional jump in bb %i"
 msgstr ""
 
-#: cfgrtl.c:2228
+#: cfgrtl.c:2226
 #, gcc-internal-format, gfc-internal-format
 msgid "wrong number of branch edges after unconditional jump in bb %i"
 msgstr ""
 
-#: cfgrtl.c:2235
+#: cfgrtl.c:2233
 #, gcc-internal-format, gfc-internal-format
 msgid "wrong amount of branch edges after conditional jump in bb %i"
 msgstr ""
 
-#: cfgrtl.c:2241
+#: cfgrtl.c:2239
 #, gcc-internal-format, gfc-internal-format
 msgid "abnormal call edges for non-call insn in bb %i"
 msgstr ""
 
-#: cfgrtl.c:2246
+#: cfgrtl.c:2244
 #, gcc-internal-format, gfc-internal-format
 msgid "sibcall edges for non-call insn in bb %i"
 msgstr ""
 
-#: cfgrtl.c:2256
+#: cfgrtl.c:2254
 #, gcc-internal-format, gfc-internal-format
 msgid "abnormal edges for no purpose in bb %i"
 msgstr ""
 
-#: cfgrtl.c:2268
+#: cfgrtl.c:2266
 #, gcc-internal-format, gfc-internal-format
 msgid "insn %d inside basic block %d but block_for_insn is NULL"
 msgstr ""
 
-#: cfgrtl.c:2272
+#: cfgrtl.c:2270
 #, gcc-internal-format, gfc-internal-format
 msgid "insn %d inside basic block %d but block_for_insn is %i"
 msgstr ""
 
-#: cfgrtl.c:2286 cfgrtl.c:2296
+#: cfgrtl.c:2284 cfgrtl.c:2294
 #, gcc-internal-format, gfc-internal-format
 msgid "NOTE_INSN_BASIC_BLOCK is missing for block %d"
 msgstr "NOTE_INSN_BASIC_BLOCK bị thiếu cho khối %d"
 
-#: cfgrtl.c:2309
+#: cfgrtl.c:2307
 #, gcc-internal-format, gfc-internal-format
 msgid "NOTE_INSN_BASIC_BLOCK %d in middle of basic block %d"
 msgstr "NOTE_INSN_BASIC_BLOCK %d tại giữa của khối cơ bản %d"
 
-#: cfgrtl.c:2319
+#: cfgrtl.c:2317
 #, gcc-internal-format, gfc-internal-format
 msgid "in basic block %d:"
 msgstr "trong khối cơ bản %d:"
 
-#: cfgrtl.c:2371 cfgrtl.c:2461
+#: cfgrtl.c:2369 cfgrtl.c:2459
 #, gcc-internal-format, gfc-internal-format
 msgid "insn %d outside of basic blocks has non-NULL bb field"
 msgstr ""
 
-#: cfgrtl.c:2379
+#: cfgrtl.c:2377
 #, gcc-internal-format, gfc-internal-format
 msgid "end insn %d for block %d not found in the insn stream"
 msgstr ""
 
-#: cfgrtl.c:2392
+#: cfgrtl.c:2390
 #, gcc-internal-format, gfc-internal-format
 msgid "insn %d is in multiple basic blocks (%d and %d)"
 msgstr ""
 
-#: cfgrtl.c:2404
+#: cfgrtl.c:2402
 #, gcc-internal-format, gfc-internal-format
 msgid "head insn %d for block %d not found in the insn stream"
 msgstr ""
 
-#: cfgrtl.c:2421
+#: cfgrtl.c:2419
 #, gcc-internal-format, gfc-internal-format
 msgid "missing barrier after block %i"
-msgstr ""
+msgstr "thiếu chắn sau khối %i"
 
-#: cfgrtl.c:2437
+#: cfgrtl.c:2435
 #, gcc-internal-format, gfc-internal-format
 msgid "verify_flow_info: Incorrect blocks for fallthru %i->%i"
-msgstr ""
+msgstr "verify_flow_info: Các khối sai cho fallthru %i->%i"
 
-#: cfgrtl.c:2446
+#: cfgrtl.c:2444
 #, gcc-internal-format, gfc-internal-format
 msgid "verify_flow_info: Incorrect fallthru %i->%i"
-msgstr ""
+msgstr "verify_flow_info: fallthru sai %i->%i"
 
-#: cfgrtl.c:2479
+#: cfgrtl.c:2477
 #, gcc-internal-format
 msgid "basic blocks not laid down consecutively"
 msgstr ""
 
-#: cfgrtl.c:2516
+#: cfgrtl.c:2514
 #, gcc-internal-format, gfc-internal-format
 msgid "number of bb notes in insn chain (%d) != n_basic_blocks (%d)"
 msgstr ""
@@ -13666,14 +13636,14 @@
 msgstr ""
 
 #: cgraph.c:2316
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "aux field set for edge %s->%s"
-msgstr ""
+msgstr "  -w warn         Đặt trường cảnh báo cho « tài khoản »\n"
 
 #: cgraph.c:2323
 #, gcc-internal-format
 msgid "execution count is negative"
-msgstr ""
+msgstr "số lượng thừa hành là âm"
 
 #: cgraph.c:2328
 #, gcc-internal-format
@@ -13681,9 +13651,9 @@
 msgstr ""
 
 #: cgraph.c:2333
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "externally visible inline clone"
-msgstr ""
+msgstr "Có tên hiển thị bên ngoài thì phụ thêm dấu gạch dưới"
 
 #: cgraph.c:2338
 #, gcc-internal-format
@@ -13708,12 +13678,12 @@
 #: cgraph.c:2374
 #, gcc-internal-format
 msgid "inlined_to pointer is wrong"
-msgstr ""
+msgstr "inlined_to con trỏ là sai"
 
 #: cgraph.c:2379
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "multiple inline callers"
-msgstr ""
+msgstr "Xắp xếp thư mục trực tiếp"
 
 #: cgraph.c:2386
 #, gcc-internal-format
@@ -13728,17 +13698,17 @@
 #: cgraph.c:2400
 #, gcc-internal-format
 msgid "inlined_to pointer refers to itself"
-msgstr ""
+msgstr "con trỏ inlined_to chỉ đến chính nó"
 
 #: cgraph.c:2412
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "node has wrong clone_of"
-msgstr ""
+msgstr "cách ở số nhiều có số mũ không đúng"
 
 #: cgraph.c:2424
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "node has wrong clone list"
-msgstr ""
+msgstr "%s:%d: mục danh sách %d có kiểu dữ liệu không đúng"
 
 #: cgraph.c:2430
 #, gcc-internal-format
@@ -13758,12 +13728,12 @@
 #: cgraph.c:2452
 #, gcc-internal-format
 msgid "Alias has call edges"
-msgstr ""
+msgstr "Bí danh có cạnh gọi"
 
 #: cgraph.c:2459
 #, gcc-internal-format
 msgid "Alias has non-alias reference"
-msgstr ""
+msgstr "Bí danh có tham chiếu non-alias"
 
 #: cgraph.c:2464
 #, gcc-internal-format
@@ -13793,7 +13763,7 @@
 #: cgraph.c:2516
 #, gcc-internal-format
 msgid "shared call_stmt:"
-msgstr ""
+msgstr "call_stmt được chia sẻ:"
 
 #: cgraph.c:2524
 #, gcc-internal-format
@@ -13826,9 +13796,9 @@
 msgstr "verify_cgraph_node gặp lỗi"
 
 #: cgraphunit.c:607
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "function %q+D part of alias cycle"
-msgstr ""
+msgstr "Lỗi: cycle (vòng tròn) trong %s_Alias `%s'"
 
 #: cgraphunit.c:716
 #, gcc-internal-format
@@ -13856,9 +13826,9 @@
 msgstr ""
 
 #: cgraphunit.c:1081 c-family/c-pragma.c:335
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "%q+D aliased to undefined symbol %qE"
-msgstr ""
+msgstr "Tạo tham chiếu chưa xác định đến ký hiệu này"
 
 #: cgraphunit.c:1104
 #, gcc-internal-format
@@ -13872,14 +13842,13 @@
 
 #: cgraphunit.c:1127
 #, fuzzy, gcc-internal-format
-#| msgid "data declaration"
 msgid "%q+D aliased declaration"
-msgstr "lời tuyên bố dữ liệu"
+msgstr "khai báo trước"
 
 #: cgraphunit.c:1199
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "failed to reclaim unneeded function"
-msgstr ""
+msgstr "lỗi tổ hợp chuỗi « %s » với hàm %s\n"
 
 #: cgraphunit.c:1229
 #, gcc-internal-format
@@ -13887,9 +13856,9 @@
 msgstr ""
 
 #: cgraphunit.c:1666
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "size of return value of %q+D is %u bytes"
-msgstr ""
+msgstr "@a trong @i %i có một kích cỡ giá trị (%N) @n\n"
 
 #: cgraphunit.c:1669
 #, gcc-internal-format
@@ -13911,7 +13880,7 @@
 msgid "no arguments"
 msgstr "không có đối số nào"
 
-#: collect2.c:1284 opts.c:794
+#: collect2.c:1284 opts.c:797
 #, gcc-internal-format
 msgid "LTO support has not been enabled in this configuration"
 msgstr ""
@@ -13924,7 +13893,7 @@
 #: collect2.c:1424
 #, gcc-internal-format, gfc-internal-format
 msgid "unknown demangling style '%s'"
-msgstr ""
+msgstr "không rõ kiểu khắt khe \"%s\""
 
 # Literal: don't translate; Nghĩa chữ: dừng dịch
 #: collect2.c:1520 collect2.c:1703 collect2.c:1738
@@ -13946,7 +13915,7 @@
 #: collect2.c:1813
 #, gcc-internal-format, gfc-internal-format
 msgid "%s terminated with signal %d [%s]%s"
-msgstr ""
+msgstr "%s đã kết thúc với tín hiệu %d [%s]%s"
 
 #: collect2.c:1874
 #, gcc-internal-format, gfc-internal-format
@@ -13968,12 +13937,12 @@
 msgid "cannot find '%s'"
 msgstr "không tìm thấy '%s'"
 
-#: collect2.c:1921 collect2.c:2448 collect2.c:2644 gcc.c:2749
+#: collect2.c:1921 collect2.c:2448 collect2.c:2644 gcc.c:2750
 #, gcc-internal-format
 msgid "pex_init failed: %m"
 msgstr "pex_init bị lỗi: %m"
 
-#: collect2.c:1930 collect2.c:2457 collect2.c:2652 gcc.c:7188
+#: collect2.c:1930 collect2.c:2457 collect2.c:2652 gcc.c:7191
 #, gcc-internal-format
 msgid "%s: %m"
 msgstr "%s: %m"
@@ -14049,9 +14018,9 @@
 msgstr ""
 
 #: convert.c:365
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "conversion to incomplete type"
-msgstr ""
+msgstr "nguồn là một hàm trỏ tới loại không hoàn toàn"
 
 #: convert.c:823 convert.c:899
 #, gcc-internal-format
@@ -14076,7 +14045,7 @@
 #: convert.c:905
 #, gcc-internal-format
 msgid "can%'t convert value to a vector"
-msgstr ""
+msgstr "không thể chuyển đổi giá trị thành kiểu vector"
 
 #: convert.c:944
 #, gcc-internal-format
@@ -14091,22 +14060,22 @@
 #: coverage.c:203
 #, gcc-internal-format
 msgid "%qs is version %q.*s, expected version %q.*s"
-msgstr ""
+msgstr "%qs là phiên bản %q.*s, cần phiên bản %q.*s"
 
 #: coverage.c:285 coverage.c:294
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Profile data for function %u is corrupted"
-msgstr ""
+msgstr "« %s » không phải là tập tin dữ liệu do hiệu năng sử dụng đúng đối với « %s »"
 
 #: coverage.c:286
 #, gcc-internal-format
 msgid "checksum is (%x,%x) instead of (%x,%x)"
-msgstr ""
+msgstr "tổng kiểm là (%x,%x) thay vì (%x,%x)"
 
 #: coverage.c:295
 #, gcc-internal-format, gfc-internal-format
 msgid "number of counters is %d instead of %d"
-msgstr ""
+msgstr "số đếm phải là %d thay vì %d"
 
 #: coverage.c:301
 #, gcc-internal-format, gfc-internal-format
@@ -14129,14 +14098,14 @@
 msgstr ""
 
 #: coverage.c:380
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "coverage mismatch ignored"
-msgstr ""
+msgstr "'%s' có thêm '..', bỏ qua."
 
 #: coverage.c:382
 #, gcc-internal-format
 msgid "execution counts estimated"
-msgstr ""
+msgstr "số lượng thừa hành được ước lượng"
 
 #: coverage.c:383
 #, gcc-internal-format
@@ -14169,9 +14138,9 @@
 msgstr ""
 
 #: cprop.c:1747 gcse.c:4075
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "%s: %d basic blocks and %d registers"
-msgstr ""
+msgstr "Sử dụng những thanh ghi r2 và r5"
 
 #: data-streamer-in.c:52
 #, gcc-internal-format
@@ -14213,35 +14182,35 @@
 msgid "global constructors not supported on this target"
 msgstr ""
 
-#: diagnostic.c:1145
+#: diagnostic.c:1148
 #, gcc-internal-format, gfc-internal-format
 msgid "in %s, at %s:%d"
 msgstr "trong %s, tại %s:%d"
 
 #: dominance.c:1029
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "dominator of %d status unknown"
-msgstr ""
+msgstr "nhận được trạng thái không rõ từ câu lệnh (0x%X)"
 
 #: dominance.c:1036
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "dominator of %d should be %d, not %d"
-msgstr ""
+msgstr "« tùy chọn->đối số » không thể vô giá trị"
 
 #: dumpfile.c:248 dumpfile.c:411 dumpfile.c:494
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "could not open dump file %qs: %m"
-msgstr "không thể mở tập tin đáp ứng %s"
+msgstr "không thể mở tập tin dump %qs: %m"
 
 #: dumpfile.c:724
 #, gcc-internal-format
 msgid "ignoring unknown option %q.*s in %<-fdump-%s%>"
-msgstr ""
+msgstr "bỏ qua tùy chọn không hiểu %q.*s trong %<-fdump-%s%>"
 
 #: dumpfile.c:831
 #, gcc-internal-format
 msgid "unknown option %q.*s in %<-fopt-info-%s%>"
-msgstr ""
+msgstr "không hiểu tùy chọn %q.*s trong %<-fopt-info-%s%>"
 
 #: dumpfile.c:862
 #, gcc-internal-format
@@ -14258,22 +14227,22 @@
 msgid "non-delegitimized UNSPEC %s (%d) found in variable location"
 msgstr ""
 
-#: emit-rtl.c:2612
+#: emit-rtl.c:2616
 #, gcc-internal-format
 msgid "invalid rtl sharing found in the insn"
 msgstr ""
 
-#: emit-rtl.c:2614
+#: emit-rtl.c:2618
 #, gcc-internal-format
 msgid "shared rtx"
-msgstr ""
+msgstr "rtx dùng chung"
 
-#: emit-rtl.c:2616
+#: emit-rtl.c:2620
 #, gcc-internal-format
 msgid "internal consistency failure"
-msgstr ""
+msgstr "tính nhất quán nội tại gặp lỗi nghiêm trọng"
 
-#: emit-rtl.c:3741
+#: emit-rtl.c:3749
 #, gcc-internal-format
 msgid "ICE: emit_insn used where emit_jump_insn needed:\n"
 msgstr ""
@@ -14281,59 +14250,59 @@
 #: errors.c:132
 #, gcc-internal-format, gfc-internal-format
 msgid "abort in %s, at %s:%d"
-msgstr ""
+msgstr "bỏ dở lúc %s, tại %s:%d"
 
-#: except.c:2026
+#: except.c:2075
 #, gcc-internal-format
 msgid "argument of %<__builtin_eh_return_regno%> must be constant"
 msgstr ""
 
-#: except.c:2163
+#: except.c:2212
 #, gcc-internal-format
 msgid "__builtin_eh_return not supported on this target"
 msgstr ""
 
-#: except.c:3222 except.c:3247
+#: except.c:3271 except.c:3296
 #, gcc-internal-format, gfc-internal-format
 msgid "region_array is corrupted for region %i"
 msgstr ""
 
-#: except.c:3235 except.c:3266
+#: except.c:3284 except.c:3315
 #, gcc-internal-format, gfc-internal-format
 msgid "lp_array is corrupted for lp %i"
 msgstr ""
 
-#: except.c:3252
+#: except.c:3301
 #, gcc-internal-format, gfc-internal-format
 msgid "outer block of region %i is wrong"
 msgstr ""
 
-#: except.c:3257
+#: except.c:3306
 #, gcc-internal-format, gfc-internal-format
 msgid "negative nesting depth of region %i"
 msgstr ""
 
-#: except.c:3271
+#: except.c:3320
 #, gcc-internal-format, gfc-internal-format
 msgid "region of lp %i is wrong"
-msgstr ""
+msgstr "vùng của lp %i là sai"
 
-#: except.c:3298
+#: except.c:3347
 #, gcc-internal-format, gfc-internal-format
 msgid "tree list ends on depth %i"
 msgstr ""
 
-#: except.c:3303
+#: except.c:3352
 #, gcc-internal-format
 msgid "region_array does not match region_tree"
 msgstr ""
 
-#: except.c:3308
+#: except.c:3357
 #, gcc-internal-format
 msgid "lp_array does not match region_tree"
 msgstr ""
 
-#: except.c:3315
+#: except.c:3364
 #, gcc-internal-format
 msgid "verify_eh_tree failed"
 msgstr "verify_eh_tree gặp lỗi"
@@ -14373,12 +14342,12 @@
 msgid "local frame unavailable (naked function?)"
 msgstr ""
 
-#: expr.c:10191
+#: expr.c:10192
 #, gcc-internal-format
 msgid "%Kcall to %qs declared with attribute error: %s"
 msgstr ""
 
-#: expr.c:10198
+#: expr.c:10199
 #, gcc-internal-format
 msgid "%Kcall to %qs declared with attribute warning: %s"
 msgstr ""
@@ -14413,47 +14382,47 @@
 msgid "assuming signed overflow does not occur when negating a division"
 msgstr ""
 
-#: fold-const.c:3437 fold-const.c:3449
+#: fold-const.c:3450 fold-const.c:3462
 #, gcc-internal-format, gfc-internal-format
 msgid "comparison is always %d due to width of bit-field"
 msgstr ""
 
-#: fold-const.c:4849 tree-ssa-reassoc.c:1943
+#: fold-const.c:4862 tree-ssa-reassoc.c:1944
 #, gcc-internal-format
 msgid "assuming signed overflow does not occur when simplifying range test"
 msgstr ""
 
-#: fold-const.c:5285 fold-const.c:5299
+#: fold-const.c:5298 fold-const.c:5312
 #, gcc-internal-format, gfc-internal-format
 msgid "comparison is always %d"
-msgstr ""
+msgstr "so sánh luôn là %d"
 
-#: fold-const.c:5432
+#: fold-const.c:5445
 #, gcc-internal-format
 msgid "%<or%> of unmatched not-equal tests is always 1"
 msgstr ""
 
-#: fold-const.c:5437
+#: fold-const.c:5450
 #, gcc-internal-format
 msgid "%<and%> of mutually exclusive equal-tests is always 0"
 msgstr ""
 
-#: fold-const.c:8729
+#: fold-const.c:8742
 #, gcc-internal-format
 msgid "assuming signed overflow does not occur when reducing constant in comparison"
 msgstr ""
 
-#: fold-const.c:8887
+#: fold-const.c:8900
 #, fuzzy, gcc-internal-format
 msgid "assuming signed overflow does not occur when changing X +- C1 cmp C2 to X cmp C1 +- C2"
 msgstr "giả sử rằng sự tràn đã ký không xảy ra khi giản dị hoá && hoặc || tới & hoặc |"
 
-#: fold-const.c:9150
+#: fold-const.c:9163
 #, gcc-internal-format
 msgid "assuming signed overflow does not occur when combining constants around a comparison"
 msgstr ""
 
-#: fold-const.c:14564
+#: fold-const.c:14577
 #, gcc-internal-format
 msgid "fold check: original tree changed by fold"
 msgstr ""
@@ -14464,9 +14433,9 @@
 msgstr ""
 
 #: function.c:1738 gimplify.c:5409
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "impossible constraint in %<asm%>"
-msgstr ""
+msgstr "do_constant chứa một lỗi không thể phục hồi"
 
 #: function.c:3992
 #, gcc-internal-format
@@ -14478,142 +14447,142 @@
 msgid "argument %q+D might be clobbered by %<longjmp%> or %<vfork%>"
 msgstr ""
 
-#: function.c:4631
+#: function.c:4620
 #, gcc-internal-format
 msgid "function returns an aggregate"
 msgstr "hàm trả về một tập hợp"
 
-#: function.c:4993
+#: function.c:4982
 #, gcc-internal-format
 msgid "unused parameter %q+D"
 msgstr "tham số chưa dùng %q+D"
 
-#: gcc.c:1804 gcc.c:1824
+#: gcc.c:1805 gcc.c:1825
 #, gcc-internal-format, gfc-internal-format
 msgid "specs %%include syntax malformed after %ld characters"
 msgstr "đặc tả chứa cú pháp %%include dạng sai sau %ld ký tự"
 
-#: gcc.c:1850 gcc.c:1859 gcc.c:1869 gcc.c:1879
+#: gcc.c:1851 gcc.c:1860 gcc.c:1870 gcc.c:1880
 #, gcc-internal-format, gfc-internal-format
 msgid "specs %%rename syntax malformed after %ld characters"
 msgstr "đặc tả chứa cú pháp %%rename dạng sai sau %ld ký tự"
 
-#: gcc.c:1889
+#: gcc.c:1890
 #, gcc-internal-format, gfc-internal-format
 msgid "specs %s spec was not found to be renamed"
 msgstr "đặc tả chứa đặc tả %s không có tên mới"
 
-#: gcc.c:1896
+#: gcc.c:1897
 #, fuzzy, gcc-internal-format
 msgid "%s: attempt to rename spec %qs to already defined spec %qs"
 msgstr "%s: đã thử thay đổi tên của đặc tả '%s' thành đặc tả đã xác định '%s'"
 
-#: gcc.c:1917
+#: gcc.c:1918
 #, gcc-internal-format, gfc-internal-format
 msgid "specs unknown %% command after %ld characters"
 msgstr "đặc tả chứa một lệnh %% không rõ sai sau %ld ký tự"
 
-#: gcc.c:1928 gcc.c:1941
+#: gcc.c:1929 gcc.c:1942
 #, gcc-internal-format, gfc-internal-format
 msgid "specs file malformed after %ld characters"
 msgstr "tập tin đặc tả dạng sai sau %ld ký tự"
 
-#: gcc.c:1993
+#: gcc.c:1994
 #, gcc-internal-format
 msgid "spec file has no spec for linking"
 msgstr "tập tin đặc tả không có đặc tả để liên kết"
 
-#: gcc.c:2538
-#, fuzzy, gcc-internal-format
+#: gcc.c:2539
+#, gcc-internal-format
 msgid "system path %qs is not absolute"
-msgstr "đường dẫn '%s' không phải tuyệt đối"
+msgstr "đường dẫn hệ thống %qs không phải dạng tuyệt đối"
 
-#: gcc.c:2626
+#: gcc.c:2627
 #, gcc-internal-format
 msgid "-pipe not supported"
 msgstr "không hỗ trợ -pipe"
 
-#: gcc.c:2788
+#: gcc.c:2789
 #, gcc-internal-format
 msgid "failed to get exit status: %m"
 msgstr "không lấy được trạng thái thoát: %m"
 
-#: gcc.c:2794
+#: gcc.c:2795
 #, gcc-internal-format
 msgid "failed to get process times: %m"
 msgstr "không lấy được thời gian tiến trình: %m"
 
-#: gcc.c:2820
+#: gcc.c:2821
 #, gcc-internal-format, gfc-internal-format
 msgid "%s (program %s)"
 msgstr "%s (chương trình %s)"
 
-#: gcc.c:3251 opts-common.c:986 opts-common.c:1058
-#, fuzzy, gcc-internal-format
+#: gcc.c:3252 opts-common.c:1019 opts-common.c:1091
+#, gcc-internal-format
 msgid "unrecognized command line option %qs"
-msgstr "không nhận ra địa chỉ"
+msgstr "không thừa nhận tùy chọn dòng lệnh %qs"
 
-#: gcc.c:3506
-#, fuzzy, gcc-internal-format
+#: gcc.c:3507
+#, gcc-internal-format
 msgid "%qs is an unknown -save-temps option"
-msgstr "'%s' là một tuỳ chọn -save-temps không rõ"
+msgstr "%qs là tùy chọn không hiểu -save-temps"
 
-#: gcc.c:3967
+#: gcc.c:3968
 #, gcc-internal-format
 msgid "-pipe ignored because -save-temps specified"
-msgstr ""
+msgstr "-pipe bị bỏ qua bởi vì -save-temps được chỉ ra"
 
-#: gcc.c:4055
+#: gcc.c:4056
 #, gcc-internal-format
 msgid "%<-x %s%> after last input file has no effect"
-msgstr ""
+msgstr "%<-x %s%> sau tập tin đầu vào cuối không chịu tác động"
 
-#: gcc.c:4217
+#: gcc.c:4218
 #, fuzzy, gcc-internal-format
 msgid "unable to locate default linker script %qs in the library search paths"
 msgstr "không tìm thấy văn lệnh liên kết mặc định '%s' trong các đường dẫn tìm kiếm thư viện"
 
-#: gcc.c:4421
-#, fuzzy, gcc-internal-format
+#: gcc.c:4422
+#, gcc-internal-format
 msgid "switch %qs does not start with %<-%>"
-msgstr "cái chuyển '%s' không bắt đầu bằng '-'"
+msgstr "switch %qs không bắt đầu với %<-%>"
 
-#: gcc.c:4424
+#: gcc.c:4425
 #, gcc-internal-format
 msgid "spec-generated switch is just %<-%>"
 msgstr ""
 
-#: gcc.c:4515
+#: gcc.c:4516
 #, gcc-internal-format, gfc-internal-format
 msgid "could not open temporary response file %s"
 msgstr "không thể mở tập tin đáp ứng tạm thời %s"
 
-#: gcc.c:4521
+#: gcc.c:4522
 #, gcc-internal-format, gfc-internal-format
 msgid "could not write to temporary response file %s"
 msgstr "không thể ghi vào tập tin đáp ứng tạm thời %s"
 
-#: gcc.c:4527
+#: gcc.c:4528
 #, gcc-internal-format, gfc-internal-format
 msgid "could not close temporary response file %s"
 msgstr "không thể đóng tập tin đáp ứng tạm thời %s"
 
-#: gcc.c:4650
+#: gcc.c:4651
 #, gcc-internal-format
 msgid "spec %qs invalid"
 msgstr "đặc tả %qs không hợp lệ"
 
-#: gcc.c:4799
+#: gcc.c:4800
 #, gcc-internal-format
 msgid "spec %qs has invalid %<%%0%c%>"
 msgstr "đặc tả %qs có %<%%0%c%> không hợp lệ"
 
-#: gcc.c:5118
+#: gcc.c:5119
 #, gcc-internal-format
 msgid "spec %qs has invalid %<%%W%c%>"
 msgstr "đặc tả %qs có %<%%W%c%> không hợp lệ"
 
-#: gcc.c:5140
+#: gcc.c:5141
 #, gcc-internal-format
 msgid "spec %qs has invalid %<%%x%c%>"
 msgstr "đặc tả %qs có %<%%x%c%> không hợp lệ"
@@ -14621,225 +14590,223 @@
 #. Catch the case where a spec string contains something like
 #. '%{foo:%*}'.  i.e. there is no * in the pattern on the left
 #. hand side of the :.
-#: gcc.c:5341
+#: gcc.c:5342
 #, gcc-internal-format
 msgid "spec failure: %<%%*%> has not been initialized by pattern match"
 msgstr ""
 
-#: gcc.c:5384
+#: gcc.c:5385
 #, gcc-internal-format
 msgid "spec failure: unrecognized spec option %qc"
 msgstr ""
 
-#: gcc.c:5446
+#: gcc.c:5447
 #, gcc-internal-format
 msgid "unknown spec function %qs"
 msgstr "không hiểu hàm đặc tả %qs"
 
-#: gcc.c:5476
+#: gcc.c:5477
 #, gcc-internal-format
 msgid "error in args to spec function %qs"
 msgstr "gặp lỗi trong các đối số tới hàm đặc tả %qs"
 
-#: gcc.c:5527
+#: gcc.c:5528
 #, gcc-internal-format
 msgid "malformed spec function name"
 msgstr "tên hàm đặc tả dạng sai"
 
 #. )
-#: gcc.c:5530
+#: gcc.c:5531
 #, gcc-internal-format
 msgid "no arguments for spec function"
 msgstr "không có đối số tới hàm đặc tả"
 
-#: gcc.c:5549
+#: gcc.c:5550
 #, gcc-internal-format
 msgid "malformed spec function arguments"
 msgstr "đối số hàm đặc tả dạng sai"
 
-#: gcc.c:5810
+#: gcc.c:5811
 #, gcc-internal-format
 msgid "braced spec %qs is invalid at %qc"
 msgstr "đặc tả giữa ngoặc móc %qs không hợp lệ tại %qc"
 
-#: gcc.c:5898
+#: gcc.c:5899
 #, gcc-internal-format
 msgid "braced spec body %qs is invalid"
 msgstr "thân của đặc tả giữa ngoặc móc %qs không hợp lệ"
 
-#: gcc.c:6151
+#: gcc.c:6152
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: could not determine length of compare-debug file %s"
 msgstr ""
 
-#: gcc.c:6162
+#: gcc.c:6163
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: -fcompare-debug failure (length)"
 msgstr "%s: -fcompare-debug thất bại (độ dài)"
 
-#: gcc.c:6172 gcc.c:6213
+#: gcc.c:6173 gcc.c:6214
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: could not open compare-debug file %s"
-msgstr ""
+msgstr "%s: không thể mở tập tin compare-debug %s"
 
-#: gcc.c:6192 gcc.c:6229
+#: gcc.c:6193 gcc.c:6230
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: -fcompare-debug failure"
 msgstr "%s: -fcompare-debug thất bại"
 
-#: gcc.c:6304
+#: gcc.c:6305
 #, gcc-internal-format
 msgid "atexit failed"
 msgstr "atexit gặp lỗi"
 
-#: gcc.c:6453
+#: gcc.c:6454
 #, gcc-internal-format
 msgid "spec failure: more than one arg to SYSROOT_SUFFIX_SPEC"
 msgstr "spec thất bại: có nhiều hơn một đối số chuyển cho SYSROOT_SUFFIX_SPEC"
 
-#: gcc.c:6477
+#: gcc.c:6478
 #, gcc-internal-format
 msgid "spec failure: more than one arg to SYSROOT_HEADERS_SUFFIX_SPEC"
 msgstr "spec thất bại: có nhiều hơn một đối số chuyển cho SYSROOT_HEADERS_SUFFIX_SPEC"
 
-#: gcc.c:6643
-#, fuzzy, gcc-internal-format
+#: gcc.c:6645
+#, gcc-internal-format
 msgid "unrecognized command line option %<-%s%>"
-msgstr "không nhận ra địa chỉ"
+msgstr "không thừa nhận tùy chọn dòng lệnh %<-%s%>"
 
 #. The error status indicates that only one set of fixed
 #. headers should be built.
-#: gcc.c:6729
+#: gcc.c:6731
 #, gcc-internal-format
 msgid "not configured with sysroot headers suffix"
 msgstr "không được cấu hình với hậu số phần đầu sysroot"
 
-#: gcc.c:6812
+#: gcc.c:6814
 #, gcc-internal-format
 msgid "no input files"
 msgstr "không có tập tin nhập vào"
 
-#: gcc.c:6861
+#: gcc.c:6863
 #, gcc-internal-format
 msgid "cannot specify -o with -c, -S or -E with multiple files"
 msgstr "không thể ghi rõ nhiều tập tin với tuỳ chọn -S hoặc -E, và hai tuỳ chọn -o và c loại từ lẫn nhau"
 
-#: gcc.c:6891
+#: gcc.c:6893
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: %s compiler not installed on this system"
 msgstr "%s: trình biên dịch %s chưa được cài đặt trên hệ thống này"
 
-#: gcc.c:6913
+#: gcc.c:6915
 #, gcc-internal-format
 msgid "recompiling with -fcompare-debug"
 msgstr "hãy dịch lại với tùy chọn -fcompare-debug"
 
-#: gcc.c:6929
+#: gcc.c:6931
 #, gcc-internal-format
 msgid "during -fcompare-debug recompilation"
 msgstr ""
 
-#: gcc.c:6938
+#: gcc.c:6940
 #, gcc-internal-format
 msgid "comparing final insns dumps"
 msgstr ""
 
-#: gcc.c:7044
+#: gcc.c:7046
 #, gcc-internal-format, gfc-internal-format
 msgid "-fuse-linker-plugin, but %s not found"
 msgstr "-fuse-linker-plugin, mà không tìm thấy %s"
 
-#: gcc.c:7076
+#: gcc.c:7079
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: linker input file unused because linking not done"
 msgstr ""
 
-#: gcc.c:7117
+#: gcc.c:7120
 #, gcc-internal-format, gfc-internal-format
 msgid "language %s not recognized"
 msgstr "không chấp nhận ngôn ngữ %s"
 
-#: gcc.c:7344
+#: gcc.c:7347
 #, gcc-internal-format
 msgid "multilib spec %qs is invalid"
 msgstr "đặc tả đa thư viện %qs không hợp lệ"
 
-#: gcc.c:7538
+#: gcc.c:7541
 #, gcc-internal-format
 msgid "multilib exclusions %qs is invalid"
 msgstr "sự loại từ đa thư viện %qs không hợp lệ"
 
-#: gcc.c:7602
+#: gcc.c:7605
 #, fuzzy, gcc-internal-format
-#| msgid "multilib select %qs is invalid"
 msgid "multilib select %qs %qs is invalid"
 msgstr "sự lựa chọn đa thư viện %qs không hợp lệ"
 
-#: gcc.c:7758
+#: gcc.c:7761
 #, gcc-internal-format
 msgid "multilib select %qs is invalid"
 msgstr "sự lựa chọn đa thư viện %qs không hợp lệ"
 
-#: gcc.c:7797
+#: gcc.c:7800
 #, gcc-internal-format
 msgid "multilib exclusion %qs is invalid"
 msgstr "sự loại từ đa thư viện %qs không hợp lệ"
 
-#: gcc.c:8003
+#: gcc.c:8006
 #, gcc-internal-format
 msgid "environment variable %qs not defined"
 msgstr "chưa định nghĩa biến môi trường%qs"
 
-#: gcc.c:8115 gcc.c:8120
+#: gcc.c:8118 gcc.c:8123
 #, gcc-internal-format
 msgid "invalid version number %qs"
 msgstr "số thứ tự phiên bản không hợp lệ %qs"
 
-#: gcc.c:8163
+#: gcc.c:8166
 #, gcc-internal-format, gfc-internal-format
 msgid "too few arguments to %%:version-compare"
 msgstr "quá ít đối số tới %%:version-compare"
 
-#: gcc.c:8169
+#: gcc.c:8172
 #, gcc-internal-format, gfc-internal-format
 msgid "too many arguments to %%:version-compare"
 msgstr "quá nhiều đối số tới %%:version-compare"
 
-#: gcc.c:8210
+#: gcc.c:8213
 #, gcc-internal-format
 msgid "unknown operator %qs in %%:version-compare"
 msgstr "không hiểu toán tử %qs trong %%:version-compare"
 
-#: gcc.c:8333
+#: gcc.c:8336
 #, gcc-internal-format, gfc-internal-format
 msgid "too many arguments to %%:compare-debug-dump-opt"
 msgstr "quá nhiều đối số tới %%:compare-debug-dump-opt"
 
-#: gcc.c:8405
+#: gcc.c:8408
 #, gcc-internal-format, gfc-internal-format
 msgid "too many arguments to %%:compare-debug-self-opt"
 msgstr "quá nhiều đối số tới %%:compare-debug-self-opt"
 
-#: gcc.c:8440
+#: gcc.c:8443
 #, gcc-internal-format, gfc-internal-format
 msgid "too few arguments to %%:compare-debug-auxbase-opt"
 msgstr "quá ít đối số tới %%:compare-debug-auxbase-opt"
 
-#: gcc.c:8443
+#: gcc.c:8446
 #, gcc-internal-format, gfc-internal-format
 msgid "too many arguments to %%:compare-debug-auxbase-opt"
 msgstr "quá nhiều đối số tới %%:compare-debug-auxbase-opt"
 
-#: gcc.c:8450
+#: gcc.c:8453
 #, gcc-internal-format, gfc-internal-format
 msgid "argument to %%:compare-debug-auxbase-opt does not end in .gk"
 msgstr "đối số tới %%:compare-debug-auxbase-opt không kết thúc bằng .gk"
 
-#: gcc.c:8524
-#, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "too few arguments to %%:version-compare"
+#: gcc.c:8527
+#, gcc-internal-format, gfc-internal-format
 msgid "too few arguments to %%:replace-extension"
-msgstr "quá ít đối số tới %%:version-compare"
+msgstr "quá ít đối số cho %%:replace-extension"
 
 #: ggc-common.c:456 ggc-common.c:464 ggc-common.c:538 ggc-common.c:557
 #: ggc-page.c:2311 ggc-page.c:2342 ggc-page.c:2349
@@ -14857,16 +14824,16 @@
 msgid "can%'t write padding to PCH file: %m"
 msgstr "can%'t ghi phần đệm vào PCH: %m"
 
-#: ggc-common.c:615 ggc-common.c:623 ggc-common.c:630 ggc-common.c:633
-#: ggc-common.c:643 ggc-common.c:646 ggc-page.c:2439
+#: ggc-common.c:681 ggc-common.c:689 ggc-common.c:696 ggc-common.c:699
+#: ggc-common.c:709 ggc-common.c:712 ggc-page.c:2439
 #, gcc-internal-format
 msgid "can%'t read PCH file: %m"
 msgstr "can%'t đọc tập tin PCH: %m"
 
-#: ggc-common.c:638
+#: ggc-common.c:704
 #, gcc-internal-format
 msgid "had to relocate PCH"
-msgstr ""
+msgstr "phải xây dựng lại PCH"
 
 #: ggc-page.c:1653
 #, gcc-internal-format
@@ -14914,9 +14881,9 @@
 msgstr ""
 
 #: gimplify.c:2681
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "using result of function returning %<void%>"
-msgstr ""
+msgstr "« return » (trả lại) có giá trị, trong hàm trả lại void (rỗng)"
 
 #: gimplify.c:5294
 #, gcc-internal-format, gfc-internal-format
@@ -14941,7 +14908,7 @@
 #: gimplify.c:5928 gimplify.c:5990
 #, gcc-internal-format
 msgid "enclosing task"
-msgstr ""
+msgstr "tác vụ bao quanh"
 
 #: gimplify.c:5987
 #, gcc-internal-format
@@ -14981,7 +14948,7 @@
 #: godump.c:1236
 #, fuzzy, gcc-internal-format
 msgid "could not close Go dump file: %m"
-msgstr "không thể đóng đáp ứng tập tin %s"
+msgstr "không thể đóng tập tin đáp ứng tạm thời %s"
 
 #: godump.c:1248
 #, fuzzy, gcc-internal-format
@@ -15015,7 +14982,7 @@
 #. Fatal error here.  We do not want to support compiling ltrans units with
 #. different version of compiler or different flags than the WPA unit, so
 #. this should never happen.
-#: ipa-reference.c:1148
+#: ipa-reference.c:1146
 #, gcc-internal-format
 msgid "ipa reference summary is missing in ltrans unit"
 msgstr ""
@@ -15023,7 +14990,7 @@
 #: ira.c:1908 ira.c:1921 ira.c:1935
 #, gcc-internal-format, gfc-internal-format
 msgid "%s cannot be used in asm here"
-msgstr ""
+msgstr "%s không thể được dùng trong asm ở đây"
 
 #: lra-assigns.c:1248 reload1.c:1250
 #, gcc-internal-format
@@ -15071,14 +15038,14 @@
 msgstr ""
 
 #: lto-cgraph.c:1406
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Profile information in %s corrupted"
-msgstr ""
+msgstr "Phần .lib trong a.out bị hỏng"
 
 #: lto-cgraph.c:1440
 #, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "cannot find LTO cgraph in %s"
-msgstr "[không tìm thấy %s]"
+msgstr "không tìm thấy %s trong đối tượng dùng chung %s: %s"
 
 #: lto-cgraph.c:1450
 #, fuzzy, gcc-internal-format, gfc-internal-format
@@ -15099,12 +15066,12 @@
 #: lto-section-in.c:432
 #, gcc-internal-format, gfc-internal-format
 msgid "%s out of range: Range is %i to %i, value is %i"
-msgstr ""
+msgstr "%s ở ngoài phạm vi: Vùng là từ %i đến %i, giá trị là %i"
 
 #: lto-streamer-in.c:74
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "bytecode stream: unexpected tag %s"
-msgstr ""
+msgstr "gặp kết thúc bất ngờ của tập tin hay dòng dữ liệu"
 
 #: lto-streamer-out.c:307
 #, fuzzy, gcc-internal-format
@@ -15134,7 +15101,7 @@
 #: lto-symtab.c:302
 #, gcc-internal-format
 msgid "previously defined here"
-msgstr ""
+msgstr "đã định nghĩa trước ở đây"
 
 #: lto-symtab.c:382
 #, gcc-internal-format
@@ -15149,7 +15116,7 @@
 #: lto-symtab.c:396 lto-symtab.c:489
 #, gcc-internal-format
 msgid "previously declared here"
-msgstr ""
+msgstr "đã khai báo trước ở đây"
 
 #: lto-symtab.c:470
 #, gcc-internal-format
@@ -15207,27 +15174,27 @@
 msgid "invalid branch to/from an OpenMP structured block"
 msgstr ""
 
-#: opts-common.c:997
+#: opts-common.c:1030
 #, gcc-internal-format
 msgid "command line option %qs is not supported by this configuration"
 msgstr ""
 
-#: opts-common.c:1007
-#, fuzzy, gcc-internal-format
+#: opts-common.c:1040
+#, gcc-internal-format
 msgid "missing argument to %qs"
-msgstr "trong đối số tới bộ nguyên phân !"
+msgstr "thiếu đối số đối cho %qs"
 
-#: opts-common.c:1013
+#: opts-common.c:1046
 #, gcc-internal-format
 msgid "argument to %qs should be a non-negative integer"
 msgstr ""
 
-#: opts-common.c:1028
+#: opts-common.c:1061
 #, gcc-internal-format
 msgid "unrecognized argument in option %qs"
 msgstr "không nhận ra đối số tới tuỳ chọn %qs"
 
-#: opts-common.c:1044
+#: opts-common.c:1077
 #, gcc-internal-format
 msgid "valid arguments to %qs are: %s"
 msgstr "đối số hợp lệ cho cho %qs là: %s"
@@ -15246,12 +15213,12 @@
 #: opts-global.c:136
 #, gcc-internal-format, gfc-internal-format
 msgid "unrecognized command line option \"%s\""
-msgstr ""
+msgstr "không thừa nhận tùy chọn dòng lệnh \"%s\""
 
 #: opts-global.c:389
 #, gcc-internal-format
 msgid "unrecognized command line option %<-fdump-%s%>"
-msgstr ""
+msgstr "không thừa nhận tùy chọn dòng lệnh %<-fdump-%s%>"
 
 #: opts-global.c:394
 #, fuzzy, gcc-internal-format
@@ -15283,150 +15250,150 @@
 msgid "%<-femit-struct-debug-detailed=dir:...%> must allow at least as much as %<-femit-struct-debug-detailed=ind:...%>"
 msgstr ""
 
-#: opts.c:542
+#: opts.c:544
 #, gcc-internal-format
 msgid "argument to %<-O%> should be a non-negative integer, %<g%>, %<s%> or %<fast%>"
 msgstr ""
 
-#: opts.c:669
+#: opts.c:672
 #, gcc-internal-format
 msgid "section anchors must be disabled when unit-at-a-time is disabled"
 msgstr ""
 
-#: opts.c:673
+#: opts.c:676
 #, gcc-internal-format
 msgid "toplevel reorder must be disabled when unit-at-a-time is disabled"
 msgstr ""
 
-#: opts.c:679
+#: opts.c:682
 #, gcc-internal-format
 msgid "transactional memory is not supported with non-call exceptions"
 msgstr ""
 
-#: opts.c:694
+#: opts.c:697
 #, gcc-internal-format
 msgid "section anchors must be disabled when toplevel reorder is disabled"
 msgstr ""
 
-#: opts.c:729 config/darwin.c:3061 config/sh/sh.c:936
+#: opts.c:732 config/darwin.c:3061 config/sh/sh.c:933
 #, gcc-internal-format
 msgid "-freorder-blocks-and-partition does not work with exceptions on this architecture"
 msgstr ""
 
-#: opts.c:744 config/sh/sh.c:944
+#: opts.c:747 config/sh/sh.c:941
 #, gcc-internal-format
 msgid "-freorder-blocks-and-partition does not support unwind info on this architecture"
 msgstr ""
 
-#: opts.c:761 config/pa/pa.c:526
+#: opts.c:764 config/pa/pa.c:526
 #, gcc-internal-format
 msgid "-freorder-blocks-and-partition does not work on this architecture"
 msgstr ""
 
-#: opts.c:797
+#: opts.c:800
 #, gcc-internal-format
 msgid "-fno-fat-lto-objects are supported only with linker plugin."
 msgstr ""
 
-#: opts.c:805
+#: opts.c:808
 #, gcc-internal-format
 msgid "only one -flto-partition value can be specified"
 msgstr ""
 
-#: opts.c:816
+#: opts.c:819
 #, gcc-internal-format
 msgid "%<-fsplit-stack%> is not supported by this compiler configuration"
 msgstr ""
 
-#: opts.c:1193
+#: opts.c:1196
 #, gcc-internal-format
 msgid "unrecognized include_flags 0x%x passed to print_specific_help"
 msgstr ""
 
-#: opts.c:1373
+#: opts.c:1376
 #, gcc-internal-format
 msgid "--help argument %q.*s is ambiguous, please be more specific"
 msgstr "đối số --help %q.*s chưa rõ ràng, hãy chính xác hơn"
 
-#: opts.c:1382
+#: opts.c:1385
 #, gcc-internal-format
 msgid "unrecognized argument to --help= option: %q.*s"
 msgstr "không nhận ra đối số cho tuỳ chọn --help=: %q.*s"
 
-#: opts.c:1547
+#: opts.c:1550
 #, gcc-internal-format, gfc-internal-format
 msgid "structure alignment must be a small power of two, not %d"
 msgstr ""
 
-#: opts.c:1664
-#, gcc-internal-format, gfc-internal-format
+#: opts.c:1667
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "unknown stack check parameter \"%s\""
-msgstr ""
+msgstr "check_ts(): NAS không rõ"
 
-#: opts.c:1701
+#: opts.c:1704
 #, gcc-internal-format, gfc-internal-format
 msgid "dwarf version %d is not supported"
-msgstr ""
+msgstr "dwarf phiên bản %d không được hỗ trợ"
 
-#: opts.c:1791
+#: opts.c:1794
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: --param arguments should be of the form NAME=VALUE"
 msgstr ""
 
-#: opts.c:1797
+#: opts.c:1800
 #, gcc-internal-format
 msgid "invalid --param value %qs"
 msgstr "sai giá trị cho tùy chọn --param %qs"
 
-#: opts.c:1915
+#: opts.c:1918
 #, gcc-internal-format
 msgid "target system does not support debug output"
 msgstr ""
 
-#: opts.c:1924
+#: opts.c:1927
 #, gcc-internal-format, gfc-internal-format
 msgid "debug format \"%s\" conflicts with prior selection"
 msgstr ""
 
-#: opts.c:1940
-#, gcc-internal-format, gfc-internal-format
+#: opts.c:1943
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "unrecognised debug output level \"%s\""
-msgstr ""
+msgstr "Đặt cấp chi tiết gỡ lỗi."
 
-#: opts.c:1942
+#: opts.c:1945
 #, gcc-internal-format, gfc-internal-format
 msgid "debug output level %s is too high"
 msgstr ""
 
-#: opts.c:1962
+#: opts.c:1965
 #, gcc-internal-format
 msgid "getting core file size maximum limit: %m"
 msgstr ""
 
-#: opts.c:1965
+#: opts.c:1968
 #, gcc-internal-format
 msgid "setting core file size limit to maximum: %m"
 msgstr ""
 
-#: opts.c:2010
-#, gcc-internal-format, gfc-internal-format
+#: opts.c:2013
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "unrecognized gcc debugging option: %c"
-msgstr ""
+msgstr "không nhận ra tùy chọn cơ sở dữ liệu « %s » nên bỏ qua.\n"
 
-#: opts.c:2036
+#: opts.c:2039
 #, gcc-internal-format, gfc-internal-format
 msgid "-Werror=%s: no option -%s"
 msgstr "-Werror=%s: không có tùy chọn -%s"
 
 #: params.c:120
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "minimum value of parameter %qs is %u"
-msgstr ""
+msgstr "tùy chọn %c tham số « %s » không phải giá trị số nguyên dương"
 
 #: params.c:125
 #, gcc-internal-format
 msgid "maximum value of parameter %qs is %u"
-msgstr ""
+msgstr "giá trị lớn nhất của đối số %qs là %u"
 
 #. If we didn't find this parameter, issue an error message.
 #: params.c:135
@@ -15465,24 +15432,24 @@
 msgstr ""
 
 #: passes.c:880 passes.c:908
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Invalid range %s in option %s"
-msgstr "Chèn vào trực tiếp tất cả các thao tác chuỗi được biết"
+msgstr "Vùng %s không hợp lệ trong tùy chọn %s"
 
 #: passes.c:926
 #, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "enable pass %s for function %s"
-msgstr "Hiệu lực các câu lệnh trích đoạn"
+msgstr "gặp lỗi khi nhập lời xác định hàm cho `%s'"
 
 #: passes.c:937
 #, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "disable pass %s for function %s"
-msgstr "Sử dụng mẩu cho đoạn mở đầu hàm"
+msgstr "gặp lỗi khi nhập lời xác định hàm cho `%s'"
 
 #: passes.c:1150
 #, fuzzy, gcc-internal-format
 msgid "invalid pass positioning operation"
-msgstr "sai lập biểu tượng dưới dạng toán hạng"
+msgstr "thao tác sai %<__fpreg%>"
 
 #: passes.c:1192
 #, gcc-internal-format
@@ -15559,11 +15526,13 @@
 msgstr ""
 
 #: plugin.c:584
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid ""
 "cannot find %s in plugin %s\n"
 "%s"
-msgstr "không tìm thấy tập tin đặc tả %s\n"
+msgstr ""
+"không tìm thấy %s trong phần bổ xung %s\n"
+"%s"
 
 #: plugin.c:592
 #, gcc-internal-format, gfc-internal-format
@@ -15596,9 +15565,9 @@
 msgstr ""
 
 #: profile.c:795
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "correcting inconsistent profile data"
-msgstr ""
+msgstr "Dữ liệu hồ sơ của bạn sẽ được cất giữ trong:"
 
 #: profile.c:805
 #, gcc-internal-format
@@ -15676,11 +15645,11 @@
 msgstr ""
 
 #: reginfo.c:750 config/ia64/ia64.c:5897 config/ia64/ia64.c:5904
-#: config/pa/pa.c:428 config/pa/pa.c:435 config/sh/sh.c:9362
-#: config/sh/sh.c:9369 config/spu/spu.c:4908 config/spu/spu.c:4915
+#: config/pa/pa.c:428 config/pa/pa.c:435 config/sh/sh.c:9359
+#: config/sh/sh.c:9366 config/spu/spu.c:4908 config/spu/spu.c:4915
 #, gcc-internal-format, gfc-internal-format
 msgid "unknown register name: %s"
-msgstr ""
+msgstr "không hiểu tên thanh ghi: %s"
 
 #: reginfo.c:763
 #, gcc-internal-format
@@ -15757,50 +15726,50 @@
 msgid "output operand is constant in %<asm%>"
 msgstr ""
 
-#: rtl.c:738
+#: rtl.c:742
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL check: access of elt %d of '%s' with last elt %d in %s, at %s:%d"
 msgstr ""
 
-#: rtl.c:748
+#: rtl.c:752
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL check: expected elt %d type '%c', have '%c' (rtx %s) in %s, at %s:%d"
 msgstr "kiểm tra RTL: cần elt %d kiểu '%c', nhận '%c' (rtx %s) trong %s, tại %s:%d"
 
-#: rtl.c:758
+#: rtl.c:762
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL check: expected elt %d type '%c' or '%c', have '%c' (rtx %s) in %s, at %s:%d"
 msgstr "kiểm tra RTL: cần elt %d kiểu '%c' hoặc '%c', nhận '%c' (rtx %s) trong %s, tại %s:%d"
 
-#: rtl.c:767
+#: rtl.c:771
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL check: expected code '%s', have '%s' in %s, at %s:%d"
 msgstr "kiểm tra RTL: cần  mã '%s', nhận '%s' trong %s, tại %s:%d"
 
-#: rtl.c:777
+#: rtl.c:781
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL check: expected code '%s' or '%s', have '%s' in %s, at %s:%d"
 msgstr "kiểm tra RTL: cần  mã '%s' hoặc '%s', nhận '%s' trong %s, tại %s:%d"
 
-#: rtl.c:804
+#: rtl.c:808
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL check: attempt to treat non-block symbol as a block symbol in %s, at %s:%d"
 msgstr ""
 
-#: rtl.c:814
+#: rtl.c:818
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL check: access of elt %d of vector with last elt %d in %s, at %s:%d"
 msgstr ""
 
-#: rtl.c:825
+#: rtl.c:829
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL flag check: %s used with unexpected rtx code '%s' in %s, at %s:%d"
 msgstr ""
 
 #: stmt.c:301
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "output operand constraint lacks %<=%>"
-msgstr ""
+msgstr "sai lập mã kết xuất toán hạng"
 
 #: stmt.c:316
 #, gcc-internal-format
@@ -15815,7 +15784,7 @@
 #: stmt.c:346 stmt.c:445
 #, gcc-internal-format
 msgid "%<%%%> constraint used with last operand"
-msgstr ""
+msgstr "%<%%%> hằng được dùng với toán hạng cuối"
 
 #: stmt.c:365
 #, gcc-internal-format
@@ -15860,7 +15829,7 @@
 #: stmt.c:748
 #, gcc-internal-format
 msgid "more than %d operands in %<asm%>"
-msgstr ""
+msgstr "nhiều hơn %d toán hạng trong %<asm%>"
 
 #: stmt.c:815
 #, gcc-internal-format, gfc-internal-format
@@ -15883,9 +15852,9 @@
 msgstr ""
 
 #: stmt.c:1183
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "too many alternatives in %<asm%>"
-msgstr ""
+msgstr "quá nhiều ký tự trong tập hợp"
 
 #: stmt.c:1195
 #, gcc-internal-format
@@ -15923,9 +15892,9 @@
 msgstr ""
 
 #: stor-layout.c:1156
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "packed attribute is unnecessary for %q+D"
-msgstr ""
+msgstr "giá trị %s chưa được tuyên bố cho thuộc tính %s"
 
 #: stor-layout.c:1173
 #, gcc-internal-format
@@ -15958,9 +15927,9 @@
 msgstr ""
 
 #: stor-layout.c:1581
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "packed attribute is unnecessary"
-msgstr ""
+msgstr "Không cần sự nhược hoá thứ hai"
 
 #: stor-layout.c:2293
 #, gcc-internal-format
@@ -15973,20 +15942,19 @@
 msgstr ""
 
 #: symtab.c:586
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "function symbol is not function"
-msgstr "không có đối số tới hàm đặc tả"
+msgstr "ký hiệu hàm không phải là một hàm"
 
 #: symtab.c:594
-#, fuzzy, gcc-internal-format
-#| msgid "%qD is not a variable"
+#, gcc-internal-format
 msgid "variable symbol is not variable"
-msgstr "%qD không phải là một biến"
+msgstr "ký hiệu biến đổi không là một biến"
 
 #: symtab.c:600
 #, gcc-internal-format
 msgid "node has unknown type"
-msgstr ""
+msgstr "nút có kiểu không hiểu"
 
 #: symtab.c:607
 #, gcc-internal-format
@@ -16029,10 +15997,9 @@
 msgstr ""
 
 #: symtab.c:686
-#, fuzzy, gcc-internal-format
-#| msgid "verify_cgraph_node failed"
+#, gcc-internal-format
 msgid "verify_symtab_node failed"
-msgstr "verify_cgraph_node gặp lỗi"
+msgstr "verify_symtab_node gặp lỗi"
 
 #: targhooks.c:165
 #, gcc-internal-format
@@ -16082,7 +16049,7 @@
 #: tlink.c:856
 #, gcc-internal-format, gfc-internal-format
 msgid "ld returned %d exit status"
-msgstr ""
+msgstr "ld trả về trạng thái thoát %d"
 
 #: toplev.c:471 c/c-decl.c:9982
 #, gcc-internal-format
@@ -16090,14 +16057,14 @@
 msgstr "%q+F được dùng mà chưa từng được định nghĩa"
 
 #: toplev.c:473
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "%q+F declared %<static%> but never defined"
-msgstr ""
+msgstr "hàm « %s » được gọi nhưng mà chưa xác định"
 
 #: toplev.c:500
 #, gcc-internal-format
 msgid "%q+D defined but not used"
-msgstr ""
+msgstr "%q+D được định nghĩa nhưng không dùng"
 
 #: toplev.c:938
 #, gcc-internal-format
@@ -16127,7 +16094,7 @@
 #: toplev.c:1228
 #, gcc-internal-format
 msgid "this target does not support %qs"
-msgstr ""
+msgstr "đích này không hỗ trợ %qs"
 
 #: toplev.c:1255
 #, gcc-internal-format
@@ -16150,9 +16117,9 @@
 msgstr ""
 
 #: toplev.c:1303
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "this target machine does not have delayed branches"
-msgstr ""
+msgstr "đích này không hỗ trợ %lu mã máy xen kẽ"
 
 #: toplev.c:1317
 #, gcc-internal-format, gfc-internal-format
@@ -16197,7 +16164,7 @@
 #: toplev.c:1482
 #, gcc-internal-format
 msgid "-fprefetch-loop-arrays not supported for this target"
-msgstr ""
+msgstr "-fprefetch-loop-arrays không được hỗ trợ bởi đích này"
 
 #: toplev.c:1488
 #, gcc-internal-format
@@ -16207,7 +16174,7 @@
 #: toplev.c:1497
 #, gcc-internal-format
 msgid "-fprefetch-loop-arrays is not supported with -Os"
-msgstr ""
+msgstr "-fprefetch-loop-arrays không được hỗ trợ bởi -Os"
 
 #: toplev.c:1508
 #, gcc-internal-format
@@ -16217,7 +16184,7 @@
 #: toplev.c:1524
 #, gcc-internal-format
 msgid "-fstack-protector not supported for this target"
-msgstr ""
+msgstr "-fstack-protector không hỗ trợ đích này"
 
 #: toplev.c:1537
 #, gcc-internal-format
@@ -16225,10 +16192,9 @@
 msgstr ""
 
 #: toplev.c:1547
-#, fuzzy, gcc-internal-format
-#| msgid "%<__int128%> is not supported for this target"
+#, gcc-internal-format
 msgid "-fsanitize=address not supported for this target"
-msgstr "%<__int128%> không được hỗ trợ cho đích này"
+msgstr "-fsanitize=address không được hỗ trợ cho đích này"
 
 #: toplev.c:1808
 #, gcc-internal-format
@@ -16238,7 +16204,7 @@
 #: toplev.c:1810 java/jcf-parse.c:1769
 #, gcc-internal-format
 msgid "error closing %s: %m"
-msgstr ""
+msgstr "lỗi đóng %s: %m"
 
 #: trans-mem.c:582
 #, fuzzy, gcc-internal-format
@@ -16250,7 +16216,7 @@
 msgid "%<transaction_may_cancel_outer%> function call not within outer transaction or %<transaction_may_cancel_outer%>"
 msgstr ""
 
-#: trans-mem.c:676 trans-mem.c:4569
+#: trans-mem.c:676 trans-mem.c:4570
 #, gcc-internal-format
 msgid "unsafe function call %qD within atomic transaction"
 msgstr ""
@@ -16265,7 +16231,7 @@
 msgid "unsafe indirect function call within atomic transaction"
 msgstr "cuộc gọi hàm gián tiếp lần đầu tiên không phải được tính để chèn vào trực tiếp"
 
-#: trans-mem.c:694 trans-mem.c:4502
+#: trans-mem.c:694 trans-mem.c:4503
 #, gcc-internal-format
 msgid "unsafe function call %qD within %<transaction_safe%> function"
 msgstr ""
@@ -16280,7 +16246,7 @@
 msgid "unsafe indirect function call within %<transaction_safe%> function"
 msgstr ""
 
-#: trans-mem.c:719 trans-mem.c:4541
+#: trans-mem.c:719 trans-mem.c:4542
 #, gcc-internal-format
 msgid "asm not allowed in atomic transaction"
 msgstr ""
@@ -16303,7 +16269,7 @@
 #: trans-mem.c:743
 #, fuzzy, gcc-internal-format
 msgid "outer transaction in transaction"
-msgstr "Hiệu lực câu lệnh lập trạng thái bão hoà"
+msgstr "#10 Envelope, 4 1/8 x 9 1/2 in"
 
 #: trans-mem.c:746
 #, gcc-internal-format
@@ -16315,7 +16281,7 @@
 msgid "outer transaction in %<transaction_safe%> function"
 msgstr ""
 
-#: trans-mem.c:4169
+#: trans-mem.c:4170
 #, gcc-internal-format
 msgid "%Kasm not allowed in %<transaction_safe%> function"
 msgstr ""
@@ -16365,7 +16331,7 @@
 msgid "MODIFY_EXPR not expected while having tuples"
 msgstr ""
 
-#: tree-cfg.c:2613 tree-ssa.c:879
+#: tree-cfg.c:2613 tree-ssa.c:876
 #, gcc-internal-format
 msgid "address taken, but ADDRESSABLE bit not set"
 msgstr ""
@@ -16378,7 +16344,7 @@
 #: tree-cfg.c:2629
 #, gcc-internal-format
 msgid "invalid conditional operand"
-msgstr ""
+msgstr "toán hạng điều kiện không hợp lệ"
 
 #: tree-cfg.c:2676
 #, gcc-internal-format
@@ -16398,7 +16364,7 @@
 #: tree-cfg.c:2704
 #, gcc-internal-format
 msgid "invalid reference prefix"
-msgstr ""
+msgstr "tiền tố tham chiếu không hợp lệ"
 
 #: tree-cfg.c:2715
 #, gcc-internal-format
@@ -16426,19 +16392,19 @@
 msgstr ""
 
 #: tree-cfg.c:2822
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "invalid operand in indirect reference"
-msgstr ""
+msgstr "Tử khoá W không hợp lệ trong khe tác tử FR."
 
 #: tree-cfg.c:2851
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "invalid operands to array reference"
-msgstr ""
+msgstr "Tham chiếu đến khóa mã hóa không hợp lệ."
 
 #: tree-cfg.c:2862
 #, gcc-internal-format
 msgid "type mismatch in array reference"
-msgstr ""
+msgstr "kiểu không khớp trong tham chiếu mảng"
 
 #: tree-cfg.c:2871
 #, gcc-internal-format
@@ -16453,7 +16419,7 @@
 #: tree-cfg.c:2892
 #, gcc-internal-format
 msgid "type mismatch in component reference"
-msgstr ""
+msgstr "kiểu không khớp trong tham chiếu thành phần"
 
 #: tree-cfg.c:2909
 #, gcc-internal-format
@@ -16498,7 +16464,7 @@
 #: tree-cfg.c:3025
 #, gcc-internal-format
 msgid "invalid function in gimple call"
-msgstr ""
+msgstr "hàm không hợp lệ trong cú gọi gimple"
 
 #: tree-cfg.c:3035
 #, gcc-internal-format
@@ -16511,19 +16477,19 @@
 msgstr ""
 
 #: tree-cfg.c:3054
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "invalid LHS in gimple call"
-msgstr ""
+msgstr "Vé được chuyển qua cuộc gọi không hợp lệ"
 
 #: tree-cfg.c:3060
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "LHS in noreturn call"
-msgstr ""
+msgstr "lỗi (bug) trong lời gọi xstrndup"
 
 #: tree-cfg.c:3077
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "invalid conversion in gimple call"
-msgstr ""
+msgstr "Vé được chuyển qua cuộc gọi không hợp lệ"
 
 #: tree-cfg.c:3086
 #, gcc-internal-format
@@ -16543,7 +16509,7 @@
 #: tree-cfg.c:3122
 #, gcc-internal-format
 msgid "invalid argument to gimple call"
-msgstr ""
+msgstr "đối số không hợp lệ cho cú gọi hàm gimple"
 
 #: tree-cfg.c:3142
 #, gcc-internal-format
@@ -16551,9 +16517,9 @@
 msgstr ""
 
 #: tree-cfg.c:3158
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "mismatching comparison operand types"
-msgstr ""
+msgstr "Cảnh báo về sự so sánh các loại đếm (enum) khác nhau"
 
 #: tree-cfg.c:3172
 #, gcc-internal-format
@@ -16573,7 +16539,7 @@
 #: tree-cfg.c:3203
 #, fuzzy, gcc-internal-format
 msgid "bogus comparison result type"
-msgstr "Cảnh báo về sự so sánh các loại đếm (enum) khác nhau"
+msgstr "kiểu kết quả xung đột ở hàm gộp lại « %s »: <%s> != <%s>"
 
 #: tree-cfg.c:3225
 #, gcc-internal-format
@@ -16583,12 +16549,12 @@
 #: tree-cfg.c:3231
 #, gcc-internal-format
 msgid "invalid operand in unary operation"
-msgstr ""
+msgstr "toán hạng không hợp lệ trong phép toán một ngôi"
 
 #: tree-cfg.c:3263
 #, gcc-internal-format
 msgid "invalid types in nop conversion"
-msgstr ""
+msgstr "các kiểu không hợp lệ trong chuyển đổi nop"
 
 #: tree-cfg.c:3278
 #, gcc-internal-format
@@ -16623,17 +16589,17 @@
 #: tree-cfg.c:3388
 #, gcc-internal-format
 msgid "invalid operands in binary operation"
-msgstr ""
+msgstr "toán hạng không hợp lệ trong phép toán nhị phân"
 
 #: tree-cfg.c:3403
 #, gcc-internal-format
 msgid "type mismatch in complex expression"
-msgstr ""
+msgstr "kiểu không khớp trong biểu thức phức"
 
 #: tree-cfg.c:3432
 #, gcc-internal-format
 msgid "type mismatch in shift expression"
-msgstr ""
+msgstr "kiểu không khớp trong biểu thức dịch"
 
 #: tree-cfg.c:3455
 #, gcc-internal-format
@@ -16668,7 +16634,7 @@
 #: tree-cfg.c:3640
 #, gcc-internal-format
 msgid "type mismatch in binary expression"
-msgstr ""
+msgstr "kiểu không khớp trong biểu thức nhị phân"
 
 #: tree-cfg.c:3668
 #, gcc-internal-format
@@ -16676,9 +16642,9 @@
 msgstr ""
 
 #: tree-cfg.c:3677
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "invalid operands in ternary operation"
-msgstr "lệnh chứa một toán hạng sai"
+msgstr "toán hạng không hợp lệ trong phép toán tam nguyên"
 
 #: tree-cfg.c:3693
 #, gcc-internal-format
@@ -16693,12 +16659,12 @@
 #: tree-cfg.c:3721 c/c-typeck.c:4292
 #, gcc-internal-format
 msgid "type mismatch in conditional expression"
-msgstr ""
+msgstr "kiểu không khớp trong biểu thức điều kiện"
 
 #: tree-cfg.c:3733
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "type mismatch in vector permute expression"
-msgstr "Gặp loại saio trong biểu thức bất biến"
+msgstr "kiểu không khớp trong biểu thức hoán đổi véc-tơ"
 
 #: tree-cfg.c:3745
 #, gcc-internal-format
@@ -16726,14 +16692,14 @@
 msgstr ""
 
 #: tree-cfg.c:3833
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "invalid operand in unary expression"
-msgstr ""
+msgstr "Chỉ thị chiều dài không hợp lệ trong biểu thức S"
 
 #: tree-cfg.c:3847
 #, gcc-internal-format
 msgid "type mismatch in address expression"
-msgstr ""
+msgstr "không khớp kiểu trong biểu thức địa chỉ"
 
 #: tree-cfg.c:3873 tree-cfg.c:3899
 #, gcc-internal-format
@@ -16756,14 +16722,14 @@
 msgstr ""
 
 #: tree-cfg.c:4035
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "invalid operand in return statement"
-msgstr ""
+msgstr "kiểu dữ liệu không hợp lệ trong câu lệnh thoát"
 
 #: tree-cfg.c:4050
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "invalid conversion in return statement"
-msgstr ""
+msgstr "hậu tố chứa sự xác định chuyển đổi sai: %c"
 
 #: tree-cfg.c:4074
 #, gcc-internal-format
@@ -16771,39 +16737,34 @@
 msgstr ""
 
 #: tree-cfg.c:4093
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "invalid operand to switch statement"
-msgstr ""
+msgstr "fr30_print_operand: không nhận ra mã %%A"
 
 #: tree-cfg.c:4101
 #, fuzzy, gcc-internal-format
-#| msgid "Generate code for huge switch statements"
 msgid "non-integral type switch statement"
 msgstr "Tạo ra mã cho câu lệnh chuyển rất lớn"
 
 #: tree-cfg.c:4109
 #, fuzzy, gcc-internal-format
-#| msgid "Generate code for huge switch statements"
 msgid "invalid default case label in switch statement"
 msgstr "Tạo ra mã cho câu lệnh chuyển rất lớn"
 
 #: tree-cfg.c:4121
-#, fuzzy, gcc-internal-format
-#| msgid "Generate code for huge switch statements"
+#, gcc-internal-format
 msgid "invalid case label in switch statement"
-msgstr "Tạo ra mã cho câu lệnh chuyển rất lớn"
+msgstr "nhãn case không hợp lệ trong câu lệnh switch"
 
 #: tree-cfg.c:4128
 #, fuzzy, gcc-internal-format
-#| msgid "Generate code for huge switch statements"
 msgid "invalid case range in switch statement"
 msgstr "Tạo ra mã cho câu lệnh chuyển rất lớn"
 
 #: tree-cfg.c:4138
-#, fuzzy, gcc-internal-format
-#| msgid "Generate code for huge switch statements"
+#, gcc-internal-format
 msgid "type mismatch for case label in switch statement"
-msgstr "Tạo ra mã cho câu lệnh chuyển rất lớn"
+msgstr "kiểu không khớp cho nhãn case trong câu lệnh switch"
 
 #: tree-cfg.c:4148
 #, gcc-internal-format
@@ -16811,10 +16772,9 @@
 msgstr ""
 
 #: tree-cfg.c:4157
-#, fuzzy, gcc-internal-format
-#| msgid "Generate code for huge switch statements"
+#, gcc-internal-format
 msgid "case labels not sorted in switch statement"
-msgstr "Tạo ra mã cho câu lệnh chuyển rất lớn"
+msgstr "các nhãn case không được sắp xếp trong câu lệnh switch"
 
 #: tree-cfg.c:4202
 #, gcc-internal-format
@@ -16852,11 +16812,11 @@
 msgstr "sai tham số PHI"
 
 #: tree-cfg.c:4349
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "incompatible types in PHI argument %u"
-msgstr ""
+msgstr "không có kiểu đối số trong chuỗi đã rối\n"
 
-#: tree-cfg.c:4433 tree-cfg.c:4727
+#: tree-cfg.c:4433 tree-cfg.c:4738
 #, gcc-internal-format
 msgid "verify_gimple failed"
 msgstr "verify_gimple gặp lỗi"
@@ -16871,142 +16831,142 @@
 msgid "location references block not in block tree"
 msgstr ""
 
-#: tree-cfg.c:4594
+#: tree-cfg.c:4605
 #, gcc-internal-format
 msgid "gimple_bb (phi) is set to a wrong basic block"
 msgstr ""
 
-#: tree-cfg.c:4603
+#: tree-cfg.c:4614
 #, gcc-internal-format
 msgid "PHI node with location"
 msgstr ""
 
-#: tree-cfg.c:4614 tree-cfg.c:4663
+#: tree-cfg.c:4625 tree-cfg.c:4674
 #, gcc-internal-format
 msgid "incorrect sharing of tree nodes"
 msgstr ""
 
-#: tree-cfg.c:4622
+#: tree-cfg.c:4633
 #, gcc-internal-format
 msgid "virtual PHI with argument locations"
 msgstr ""
 
-#: tree-cfg.c:4651
+#: tree-cfg.c:4662
 #, gcc-internal-format
 msgid "gimple_bb (stmt) is set to a wrong basic block"
 msgstr ""
 
-#: tree-cfg.c:4687
+#: tree-cfg.c:4698
 #, gcc-internal-format
 msgid "in statement"
 msgstr "tại câu lệnh"
 
-#: tree-cfg.c:4702
+#: tree-cfg.c:4713
 #, gcc-internal-format
 msgid "statement marked for throw, but doesn%'t"
 msgstr ""
 
-#: tree-cfg.c:4709
+#: tree-cfg.c:4720
 #, gcc-internal-format
 msgid "statement marked for throw in middle of block"
 msgstr ""
 
-#: tree-cfg.c:4751
+#: tree-cfg.c:4762
 #, gcc-internal-format
 msgid "ENTRY_BLOCK has IL associated with it"
 msgstr ""
 
-#: tree-cfg.c:4757
+#: tree-cfg.c:4768
 #, gcc-internal-format
 msgid "EXIT_BLOCK has IL associated with it"
 msgstr ""
 
-#: tree-cfg.c:4764
+#: tree-cfg.c:4775
 #, gcc-internal-format, gfc-internal-format
 msgid "fallthru to exit from bb %d"
 msgstr ""
 
-#: tree-cfg.c:4788
+#: tree-cfg.c:4799
 #, gcc-internal-format
 msgid "nonlocal label "
-msgstr ""
+msgstr "nhãn không-cục-bộ"
 
-#: tree-cfg.c:4797
+#: tree-cfg.c:4808
 #, gcc-internal-format
 msgid "EH landing pad label "
 msgstr ""
 
-#: tree-cfg.c:4806 tree-cfg.c:4815 tree-cfg.c:4840
+#: tree-cfg.c:4817 tree-cfg.c:4826 tree-cfg.c:4851
 #, gcc-internal-format
 msgid "label "
 msgstr "nhãn"
 
-#: tree-cfg.c:4830
-#, gcc-internal-format, gfc-internal-format
+#: tree-cfg.c:4841
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "control flow in the middle of basic block %d"
-msgstr ""
+msgstr "gặp lệnh điều khiển luồng bên trong một khối cơ bản"
 
-#: tree-cfg.c:4863
+#: tree-cfg.c:4874
 #, gcc-internal-format, gfc-internal-format
 msgid "fallthru edge after a control statement in bb %d"
 msgstr ""
 
-#: tree-cfg.c:4876
+#: tree-cfg.c:4887
 #, gcc-internal-format, gfc-internal-format
 msgid "true/false edge after a non-GIMPLE_COND in bb %d"
 msgstr ""
 
-#: tree-cfg.c:4899 tree-cfg.c:4921 tree-cfg.c:4938 tree-cfg.c:5007
+#: tree-cfg.c:4910 tree-cfg.c:4932 tree-cfg.c:4949 tree-cfg.c:5018
 #, gcc-internal-format, gfc-internal-format
 msgid "wrong outgoing edge flags at end of bb %d"
 msgstr ""
 
-#: tree-cfg.c:4909
+#: tree-cfg.c:4920
 #, gcc-internal-format, gfc-internal-format
 msgid "explicit goto at end of bb %d"
 msgstr ""
 
-#: tree-cfg.c:4943
+#: tree-cfg.c:4954
 #, gcc-internal-format, gfc-internal-format
 msgid "return edge does not point to exit in bb %d"
 msgstr ""
 
-#: tree-cfg.c:4973
+#: tree-cfg.c:4984
 #, gcc-internal-format
 msgid "found default case not at the start of case vector"
 msgstr ""
 
-#: tree-cfg.c:4981
+#: tree-cfg.c:4992
 #, gcc-internal-format
 msgid "case labels not sorted: "
-msgstr ""
+msgstr "nhãn cho case chưa được sắp xếp: "
 
-#: tree-cfg.c:4998
-#, gcc-internal-format, gfc-internal-format
+#: tree-cfg.c:5009
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "extra outgoing edge %d->%d"
-msgstr ""
+msgstr "'%s' có thêm '..', bỏ qua."
 
-#: tree-cfg.c:5021
+#: tree-cfg.c:5032
 #, gcc-internal-format, gfc-internal-format
 msgid "missing edge %i->%i"
 msgstr "thiếu edge %i->%i"
 
-#: tree-cfg.c:7803
+#: tree-cfg.c:7814
 #, gcc-internal-format
 msgid "%<noreturn%> function does return"
-msgstr ""
+msgstr "%<noreturn%> hàm trả về"
 
-#: tree-cfg.c:7823
+#: tree-cfg.c:7834
 #, gcc-internal-format
 msgid "control reaches end of non-void function"
 msgstr ""
 
-#: tree-cfg.c:7963
+#: tree-cfg.c:7974
 #, gcc-internal-format
 msgid "ignoring return value of %qD, declared with attribute warn_unused_result"
 msgstr ""
 
-#: tree-cfg.c:7968
+#: tree-cfg.c:7979
 #, gcc-internal-format
 msgid "ignoring return value of function declared with attribute warn_unused_result"
 msgstr ""
@@ -17014,129 +16974,129 @@
 #: tree-diagnostic.c:202
 #, gcc-internal-format
 msgid "in definition of macro %qs"
-msgstr ""
+msgstr "trong phần định nghĩa macro %qs"
 
 #: tree-diagnostic.c:219
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "in expansion of macro %qs"
-msgstr "%s:%d:   lần tạo từ %qs\n"
+msgstr "trong phần mở rộng macro %qs"
 
-#: tree-eh.c:4368
+#: tree-eh.c:4396
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i has multiple EH edges"
 msgstr ""
 
-#: tree-eh.c:4380
+#: tree-eh.c:4408
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i can not throw but has an EH edge"
 msgstr ""
 
-#: tree-eh.c:4388
+#: tree-eh.c:4416
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i last statement has incorrectly set lp"
 msgstr ""
 
-#: tree-eh.c:4394
+#: tree-eh.c:4422
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i is missing an EH edge"
 msgstr ""
 
-#: tree-eh.c:4400
-#, gcc-internal-format, gfc-internal-format
+#: tree-eh.c:4428
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Incorrect EH edge %i->%i"
-msgstr ""
+msgstr "** khung_eh_hdr"
 
-#: tree-eh.c:4434 tree-eh.c:4453
+#: tree-eh.c:4462 tree-eh.c:4481
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i is missing an edge"
-msgstr ""
+msgstr "BB %i thiếu cạnh"
 
-#: tree-eh.c:4470
+#: tree-eh.c:4498
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i too many fallthru edges"
 msgstr ""
 
-#: tree-eh.c:4479
+#: tree-eh.c:4507
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i has incorrect edge"
-msgstr ""
+msgstr "BB %i có cạnh sai"
 
-#: tree-eh.c:4485
+#: tree-eh.c:4513
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i has incorrect fallthru edge"
 msgstr ""
 
-#: tree-inline.c:3012
+#: tree-inline.c:3022
 #, gcc-internal-format
 msgid "function %q+F can never be copied because it receives a non-local goto"
 msgstr ""
 
-#: tree-inline.c:3026
+#: tree-inline.c:3036
 #, gcc-internal-format
 msgid "function %q+F can never be copied because it saves address of local label in a static variable"
 msgstr ""
 
-#: tree-inline.c:3066
+#: tree-inline.c:3076
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it uses alloca (override using the always_inline attribute)"
 msgstr ""
 
-#: tree-inline.c:3080
+#: tree-inline.c:3090
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it uses setjmp"
 msgstr ""
 
-#: tree-inline.c:3094
+#: tree-inline.c:3104
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it uses variable argument lists"
 msgstr ""
 
-#: tree-inline.c:3106
+#: tree-inline.c:3116
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it uses setjmp-longjmp exception handling"
 msgstr ""
 
-#: tree-inline.c:3114
+#: tree-inline.c:3124
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it uses non-local goto"
 msgstr ""
 
-#: tree-inline.c:3126
+#: tree-inline.c:3136
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it uses __builtin_return or __builtin_apply_args"
 msgstr ""
 
-#: tree-inline.c:3146
+#: tree-inline.c:3156
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it contains a computed goto"
 msgstr ""
 
-#: tree-inline.c:3249
+#: tree-inline.c:3259
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it is suppressed using -fno-inline"
 msgstr ""
 
-#: tree-inline.c:3257
+#: tree-inline.c:3267
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it uses attributes conflicting with inlining"
 msgstr ""
 
-#: tree-inline.c:3842
+#: tree-inline.c:3852
 #, gcc-internal-format
 msgid "inlining failed in call to always_inline %q+F: %s"
 msgstr ""
 
-#: tree-inline.c:3844 tree-inline.c:3859
+#: tree-inline.c:3854 tree-inline.c:3869
 #, gcc-internal-format
 msgid "called from here"
 msgstr "được gọi từ đây"
 
-#: tree-inline.c:3857
-#, gcc-internal-format
+#: tree-inline.c:3867
+#, fuzzy, gcc-internal-format
 msgid "inlining failed in call to %q+F: %s"
-msgstr ""
+msgstr "Cuộc gọi « %s » cho tập tin « %s » bị lỗi: %s\n"
 
-#: tree-into-ssa.c:3209 tree-outof-ssa.c:774 tree-outof-ssa.c:831
+#: tree-into-ssa.c:3226 tree-outof-ssa.c:774 tree-outof-ssa.c:831
 #: tree-ssa-coalesce.c:934 tree-ssa-live.c:1282
 #, gcc-internal-format
 msgid "SSA corruption"
@@ -17158,15 +17118,25 @@
 msgstr ""
 
 #: tree-nomudflap.c:45
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "mudflap: this language is not supported"
-msgstr ""
+msgstr "Thao tác « %s » không được hỗ trợ bởi thiết bị này"
 
 #: tree-profile.c:407
+#, fuzzy, gcc-internal-format
+msgid "unimplemented functionality"
+msgstr "tiếc là chưa thực hiện: "
+
+#: tree-ssa-loop-niter.c:2557
 #, gcc-internal-format
-msgid "unimplemented functionality"
+msgid "iteration %E invokes undefined behavior"
 msgstr ""
 
+#: tree-ssa-loop-niter.c:2559
+#, gcc-internal-format
+msgid "containing loop"
+msgstr "chứa vòng lặp"
+
 #: tree-ssa-operands.c:975
 #, gcc-internal-format
 msgid "virtual definition of statement not up-to-date"
@@ -17195,149 +17165,149 @@
 #: tree-ssa-operands.c:1023
 #, fuzzy, gcc-internal-format
 msgid "use operand missing for stmt"
-msgstr "số thứ tự toán hạng còn thiếu đằng sau %%-letter"
+msgstr "thiếu thiết bị khối (gõ « -h » để thấy trợ giúp)\n"
 
 #: tree-ssa-operands.c:1030
 #, gcc-internal-format
 msgid "stmt volatile flag not up-to-date"
 msgstr ""
 
-#: tree-ssa-uninit.c:1943 tree-ssa.c:1668
+#: tree-ssa-uninit.c:1946 tree-ssa.c:1665
 #, gcc-internal-format
 msgid "%qD may be used uninitialized in this function"
 msgstr ""
 
-#: tree-ssa.c:625
+#: tree-ssa.c:622
 #, gcc-internal-format
 msgid "expected an SSA_NAME object"
-msgstr ""
+msgstr "cần một đối tượng SSA_NAME"
 
-#: tree-ssa.c:631
+#: tree-ssa.c:628
 #, gcc-internal-format
 msgid "found an SSA_NAME that had been released into the free pool"
 msgstr ""
 
-#: tree-ssa.c:638
+#: tree-ssa.c:635
 #, gcc-internal-format
 msgid "type mismatch between an SSA_NAME and its symbol"
 msgstr ""
 
-#: tree-ssa.c:644
+#: tree-ssa.c:641
 #, gcc-internal-format
 msgid "found a virtual definition for a GIMPLE register"
 msgstr ""
 
-#: tree-ssa.c:650
+#: tree-ssa.c:647
 #, gcc-internal-format
 msgid "virtual SSA name for non-VOP decl"
 msgstr ""
 
-#: tree-ssa.c:656
+#: tree-ssa.c:653
 #, gcc-internal-format
 msgid "found a real definition for a non-register"
 msgstr ""
 
-#: tree-ssa.c:663
+#: tree-ssa.c:660
 #, gcc-internal-format
 msgid "found a default name with a non-empty defining statement"
 msgstr ""
 
-#: tree-ssa.c:693
+#: tree-ssa.c:690
 #, gcc-internal-format
 msgid "RESULT_DECL should be read only when DECL_BY_REFERENCE is set"
 msgstr ""
 
-#: tree-ssa.c:699
+#: tree-ssa.c:696
 #, gcc-internal-format, gfc-internal-format
 msgid "SSA_NAME created in two different blocks %i and %i"
 msgstr ""
 
-#: tree-ssa.c:708 tree-ssa.c:1020
+#: tree-ssa.c:705 tree-ssa.c:1017
 #, gcc-internal-format
 msgid "SSA_NAME_DEF_STMT is wrong"
 msgstr ""
 
-#: tree-ssa.c:760
+#: tree-ssa.c:757
 #, gcc-internal-format
 msgid "missing definition"
-msgstr ""
+msgstr "thiếu định nghĩa"
 
-#: tree-ssa.c:766
+#: tree-ssa.c:763
 #, gcc-internal-format, gfc-internal-format
 msgid "definition in block %i does not dominate use in block %i"
 msgstr ""
 
-#: tree-ssa.c:774
-#, gcc-internal-format, gfc-internal-format
+#: tree-ssa.c:771
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "definition in block %i follows the use"
-msgstr ""
+msgstr "Sử dụng phép đầu cơ loại điều khiển theo khối"
 
-#: tree-ssa.c:781
+#: tree-ssa.c:778
 #, gcc-internal-format
 msgid "SSA_NAME_OCCURS_IN_ABNORMAL_PHI should be set"
 msgstr "SSA_NAME_OCCURS_IN_ABNORMAL_PHI cần được đặt"
 
-#: tree-ssa.c:789
-#, gcc-internal-format
+#: tree-ssa.c:786
+#, fuzzy, gcc-internal-format
 msgid "no immediate_use list"
-msgstr ""
+msgstr "Dùng danh sách động kiểu/thông tin C++"
 
-#: tree-ssa.c:801
-#, gcc-internal-format
+#: tree-ssa.c:798
+#, fuzzy, gcc-internal-format
 msgid "wrong immediate use list"
-msgstr ""
+msgstr "Dùng danh sách động kiểu/thông tin C++"
 
-#: tree-ssa.c:835
+#: tree-ssa.c:832
 #, gcc-internal-format
 msgid "incoming edge count does not match number of PHI arguments"
 msgstr ""
 
-#: tree-ssa.c:849
-#, gcc-internal-format, gfc-internal-format
+#: tree-ssa.c:846
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "PHI argument is missing for edge %d->%d"
-msgstr ""
+msgstr "đối số cần thiết cho thẻ %s còn thiếu"
 
-#: tree-ssa.c:858
+#: tree-ssa.c:855
 #, gcc-internal-format
 msgid "PHI argument is not SSA_NAME, or invariant"
 msgstr ""
 
-#: tree-ssa.c:886
-#, gcc-internal-format, gfc-internal-format
+#: tree-ssa.c:883
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "wrong edge %d->%d for PHI argument"
-msgstr ""
+msgstr "sai kiểu cho đối số ~a. Mong đợi ~a, còn tìm ~s"
 
-#: tree-ssa.c:967
+#: tree-ssa.c:964
 #, gcc-internal-format, gfc-internal-format
 msgid "AUX pointer initialized for edge %d->%d"
 msgstr ""
 
-#: tree-ssa.c:992
+#: tree-ssa.c:989
 #, gcc-internal-format
 msgid "stmt (%p) marked modified after optimization pass: "
 msgstr ""
 
-#: tree-ssa.c:1049
+#: tree-ssa.c:1046
 #, gcc-internal-format
 msgid "verify_ssa failed"
 msgstr "verify_ssa gặp lỗi"
 
-#: tree-ssa.c:1631 varasm.c:322
+#: tree-ssa.c:1628 varasm.c:321
 #, gcc-internal-format
 msgid "%qD was declared here"
 msgstr "%qD đã được khai báo ở đây"
 
-#: tree-ssa.c:1663
+#: tree-ssa.c:1660
 #, gcc-internal-format
 msgid "%qD is used uninitialized in this function"
 msgstr "%qD được dùng để bỏ khởi tạo trong hàm này"
 
-#: tree-ssa.c:1700
+#: tree-ssa.c:1697
 #, gcc-internal-format
 msgid "%qE is used uninitialized in this function"
 msgstr ""
 
-#: tree-ssa.c:1705
+#: tree-ssa.c:1702
 #, gcc-internal-format
 msgid "%qE may be used uninitialized in this function"
 msgstr ""
@@ -17348,9 +17318,9 @@
 msgstr ""
 
 #: tree-streamer-in.c:321 tree-streamer-in.c:1083
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "target specific builtin not available"
-msgstr ""
+msgstr "đích đã chỉ định đổ đống '%s' không được hỗ trợ"
 
 #: tree-streamer-in.c:397
 #, gcc-internal-format
@@ -17395,17 +17365,17 @@
 #: tree-vrp.c:6015
 #, gcc-internal-format
 msgid "array subscript is outside array bounds"
-msgstr ""
+msgstr "chỉ số mảng nằm ngoài phạm vi của mảng"
 
 #: tree-vrp.c:6033 tree-vrp.c:6134
 #, gcc-internal-format
 msgid "array subscript is above array bounds"
-msgstr ""
+msgstr "chỉ số mảng lớn hơn cận trên"
 
 #: tree-vrp.c:6046 tree-vrp.c:6120
 #, gcc-internal-format
 msgid "array subscript is below array bounds"
-msgstr ""
+msgstr "chỉ số mảng nhỏ hơn cận dưới"
 
 #: tree-vrp.c:6765
 #, gcc-internal-format
@@ -17457,29 +17427,29 @@
 msgid "%q+D redeclared without dllimport attribute: previous dllimport ignored"
 msgstr ""
 
-#: tree.c:5610 tree.c:5622 tree.c:5632 c-family/c-common.c:6380
-#: c-family/c-common.c:6399 c-family/c-common.c:6417 c-family/c-common.c:6445
-#: c-family/c-common.c:6473 c-family/c-common.c:6501 c-family/c-common.c:6517
-#: c-family/c-common.c:6536 c-family/c-common.c:6553 c-family/c-common.c:6577
-#: c-family/c-common.c:6600 c-family/c-common.c:6617 c-family/c-common.c:6645
-#: c-family/c-common.c:6666 c-family/c-common.c:6687 c-family/c-common.c:6714
-#: c-family/c-common.c:6745 c-family/c-common.c:6782 c-family/c-common.c:6809
-#: c-family/c-common.c:6869 c-family/c-common.c:6954 c-family/c-common.c:6984
-#: c-family/c-common.c:7038 c-family/c-common.c:7496 c-family/c-common.c:7514
-#: c-family/c-common.c:7576 c-family/c-common.c:7619 c-family/c-common.c:7690
-#: c-family/c-common.c:7818 c-family/c-common.c:7886 c-family/c-common.c:7944
-#: c-family/c-common.c:7992 c-family/c-common.c:8155 c-family/c-common.c:8176
-#: c-family/c-common.c:8288 c-family/c-common.c:8312 c-family/c-common.c:8619
-#: c-family/c-common.c:8642 c-family/c-common.c:8681 c-family/c-common.c:8759
-#: c-family/c-common.c:8906 config/darwin.c:1997 config/arm/arm.c:5119
-#: config/arm/arm.c:5147 config/arm/arm.c:5164 config/avr/avr.c:7789
-#: config/h8300/h8300.c:5463 config/h8300/h8300.c:5487 config/i386/i386.c:4965
-#: config/i386/i386.c:34737 config/ia64/ia64.c:737
+#: tree.c:5610 tree.c:5622 tree.c:5632 c-family/c-common.c:6385
+#: c-family/c-common.c:6404 c-family/c-common.c:6422 c-family/c-common.c:6450
+#: c-family/c-common.c:6478 c-family/c-common.c:6506 c-family/c-common.c:6522
+#: c-family/c-common.c:6537 c-family/c-common.c:6558 c-family/c-common.c:6575
+#: c-family/c-common.c:6599 c-family/c-common.c:6622 c-family/c-common.c:6639
+#: c-family/c-common.c:6667 c-family/c-common.c:6688 c-family/c-common.c:6709
+#: c-family/c-common.c:6736 c-family/c-common.c:6767 c-family/c-common.c:6804
+#: c-family/c-common.c:6831 c-family/c-common.c:6891 c-family/c-common.c:6976
+#: c-family/c-common.c:7006 c-family/c-common.c:7060 c-family/c-common.c:7518
+#: c-family/c-common.c:7536 c-family/c-common.c:7598 c-family/c-common.c:7641
+#: c-family/c-common.c:7712 c-family/c-common.c:7840 c-family/c-common.c:7908
+#: c-family/c-common.c:7966 c-family/c-common.c:8014 c-family/c-common.c:8177
+#: c-family/c-common.c:8198 c-family/c-common.c:8310 c-family/c-common.c:8334
+#: c-family/c-common.c:8641 c-family/c-common.c:8664 c-family/c-common.c:8703
+#: c-family/c-common.c:8781 c-family/c-common.c:8928 config/darwin.c:1997
+#: config/arm/arm.c:5119 config/arm/arm.c:5147 config/arm/arm.c:5164
+#: config/avr/avr.c:7789 config/h8300/h8300.c:5463 config/h8300/h8300.c:5487
+#: config/i386/i386.c:4965 config/i386/i386.c:34737 config/ia64/ia64.c:737
 #: config/rs6000/rs6000.c:24907 config/spu/spu.c:3743
 #: ada/gcc-interface/utils.c:6189 lto/lto-lang.c:222
 #, gcc-internal-format
 msgid "%qE attribute ignored"
-msgstr ""
+msgstr "thuộc tính %qE bị lờ đi"
 
 #: tree.c:5650
 #, gcc-internal-format
@@ -17514,22 +17484,22 @@
 #: tree.c:7649
 #, gcc-internal-format
 msgid "function return type cannot be function"
-msgstr ""
+msgstr "kiểu trả về hàm không thể là hàm"
 
 #: tree.c:8944 tree.c:9029 tree.c:9090
 #, gcc-internal-format, gfc-internal-format
 msgid "tree check: %s, have %s in %s, at %s:%d"
-msgstr ""
+msgstr "kiểm tra cây: %s, có %s trong %s, tại %s:%d"
 
 #: tree.c:8981
 #, gcc-internal-format, gfc-internal-format
 msgid "tree check: expected none of %s, have %s in %s, at %s:%d"
-msgstr ""
+msgstr "tree check: cần không gì của %s, có %s trong %s, tại %s:%d"
 
 #: tree.c:8994
 #, gcc-internal-format
 msgid "tree check: expected class %qs, have %qs (%s) in %s, at %s:%d"
-msgstr ""
+msgstr "tree check: cần lớp %qs, có %qs (%s) trong %s, tại %s:%d"
 
 #: tree.c:9043
 #, gcc-internal-format
@@ -17539,7 +17509,7 @@
 #: tree.c:9056
 #, gcc-internal-format, gfc-internal-format
 msgid "tree check: expected omp_clause %s, have %s in %s, at %s:%d"
-msgstr ""
+msgstr "tree check: cần omp_clause %s, có %s trong %s, tại %s:%d"
 
 #: tree.c:9116
 #, gcc-internal-format
@@ -17564,12 +17534,12 @@
 #: tree.c:11557
 #, gcc-internal-format
 msgid "%qD is deprecated (declared at %s:%d): %s"
-msgstr ""
+msgstr "%qD bị phản đối (được khai báo tại %s:%d): %s"
 
 #: tree.c:11561
 #, gcc-internal-format
 msgid "%qD is deprecated (declared at %s:%d)"
-msgstr ""
+msgstr "%qD bị phản đối (được khai báo tại %s:%d)"
 
 #: tree.c:11586
 #, gcc-internal-format
@@ -17579,42 +17549,42 @@
 #: tree.c:11590
 #, gcc-internal-format
 msgid "%qE is deprecated (declared at %s:%d)"
-msgstr ""
+msgstr "%qE bị phản đối (được khai báo tại %s:%d)"
 
 #: tree.c:11597
 #, gcc-internal-format, gfc-internal-format
 msgid "type is deprecated (declared at %s:%d): %s"
-msgstr ""
+msgstr "kiểu bị phản đối (được khai báo tại %s:%d): %s"
 
 #: tree.c:11601
 #, gcc-internal-format, gfc-internal-format
 msgid "type is deprecated (declared at %s:%d)"
-msgstr ""
+msgstr "kiểu bị phản đối (được khai báo tại %s:%d)"
 
 #: tree.c:11610
 #, gcc-internal-format
 msgid "%qE is deprecated: %s"
-msgstr ""
+msgstr "%qE bị phản đối: %s"
 
 #: tree.c:11613
 #, gcc-internal-format
 msgid "%qE is deprecated"
-msgstr ""
+msgstr "%qE bị phản đối"
 
 #: tree.c:11618
 #, gcc-internal-format, gfc-internal-format
 msgid "type is deprecated: %s"
-msgstr ""
+msgstr "kiểu bị phản đối: %s"
 
 #: tree.c:11621
 #, gcc-internal-format
 msgid "type is deprecated"
-msgstr ""
+msgstr "kiểu bị phản đối"
 
 #: value-prof.c:408
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "dead histogram"
-msgstr ""
+msgstr "biểu đồ tần xuất mật độ\n"
 
 #: value-prof.c:439
 #, gcc-internal-format
@@ -17624,7 +17594,7 @@
 #: value-prof.c:452
 #, gcc-internal-format
 msgid "verify_histograms failed"
-msgstr ""
+msgstr "verify_histograms gặp lỗi"
 
 #: value-prof.c:499
 #, gcc-internal-format, gfc-internal-format
@@ -17656,151 +17626,151 @@
 msgid "variable tracking size limit exceeded"
 msgstr ""
 
-#: varasm.c:315
+#: varasm.c:314
 #, gcc-internal-format
 msgid "%+D causes a section type conflict"
-msgstr ""
+msgstr "%+D là nguyên nhân gây xung đột kiểu phần"
 
-#: varasm.c:318
+#: varasm.c:317
 #, gcc-internal-format
 msgid "%+D causes a section type conflict with %D"
 msgstr ""
 
-#: varasm.c:960
+#: varasm.c:959
 #, gcc-internal-format
 msgid "alignment of %q+D is greater than maximum object file alignment.  Using %d"
 msgstr ""
 
-#: varasm.c:1200 varasm.c:1209
-#, gcc-internal-format
+#: varasm.c:1198 varasm.c:1207
+#, fuzzy, gcc-internal-format
 msgid "register name not specified for %q+D"
-msgstr ""
+msgstr "Chưa ghi rõ tên tập tin để ghi vào."
 
-#: varasm.c:1211
+#: varasm.c:1209
 #, gcc-internal-format
 msgid "invalid register name for %q+D"
-msgstr ""
+msgstr "tên thanh ghi cho %q+D không hợp lệ"
 
-#: varasm.c:1213
+#: varasm.c:1211
 #, gcc-internal-format
 msgid "data type of %q+D isn%'t suitable for a register"
 msgstr ""
 
-#: varasm.c:1216
+#: varasm.c:1214
 #, gcc-internal-format
 msgid "the register specified for %q+D cannot be accessed by the current target"
 msgstr ""
 
-#: varasm.c:1219
+#: varasm.c:1217
 #, gcc-internal-format
 msgid "the register specified for %q+D is not general enough to be used as a register variable"
 msgstr ""
 
-#: varasm.c:1222
+#: varasm.c:1220
 #, gcc-internal-format
 msgid "register specified for %q+D isn%'t suitable for data type"
 msgstr ""
 
-#: varasm.c:1232
+#: varasm.c:1230
 #, gcc-internal-format
 msgid "global register variable has initial value"
-msgstr ""
+msgstr "biến thanh ghi toàn cục có giá trị khởi tạo"
 
-#: varasm.c:1236
+#: varasm.c:1234
 #, gcc-internal-format
 msgid "optimization may eliminate reads and/or writes to register variables"
 msgstr ""
 
-#: varasm.c:1274
+#: varasm.c:1272
 #, gcc-internal-format
 msgid "register name given for non-register variable %q+D"
 msgstr ""
 
-#: varasm.c:1820
+#: varasm.c:1818
 #, gcc-internal-format
 msgid "thread-local COMMON data not implemented"
 msgstr ""
 
-#: varasm.c:1852
+#: varasm.c:1850
 #, gcc-internal-format
 msgid "requested alignment for %q+D is greater than implemented alignment of %wu"
 msgstr ""
 
-#: varasm.c:1940 c/c-decl.c:4353
+#: varasm.c:1938 c/c-decl.c:4353
 #, gcc-internal-format
 msgid "storage size of %q+D isn%'t known"
 msgstr ""
 
-#: varasm.c:4605
+#: varasm.c:4590
 #, gcc-internal-format
 msgid "initializer for integer/fixed-point value is too complicated"
 msgstr ""
 
-#: varasm.c:4610
+#: varasm.c:4595
 #, gcc-internal-format
 msgid "initializer for floating value is not a floating constant"
 msgstr ""
 
-#: varasm.c:4918
+#: varasm.c:4903
 #, gcc-internal-format
 msgid "invalid initial value for member %qE"
 msgstr ""
 
-#: varasm.c:5270
+#: varasm.c:5255
 #, gcc-internal-format
 msgid "weak declaration of %q+D must be public"
 msgstr ""
 
-#: varasm.c:5272
-#, gcc-internal-format
+#: varasm.c:5257
+#, fuzzy, gcc-internal-format
 msgid "weak declaration of %q+D not supported"
-msgstr ""
+msgstr "Kiểu địa chỉ không được hỗ trợ"
 
-#: varasm.c:5301 varasm.c:5598
+#: varasm.c:5286 varasm.c:5583
 #, gcc-internal-format
 msgid "only weak aliases are supported in this configuration"
 msgstr ""
 
-#: varasm.c:5490
+#: varasm.c:5475
 #, gcc-internal-format
 msgid "weakref is not supported in this configuration"
-msgstr ""
+msgstr "weakref không được hỗ trợ trong cấu hình này"
 
-#: varasm.c:5513 varasm.c:5595
-#, gcc-internal-format
+#: varasm.c:5498 varasm.c:5580
+#, fuzzy, gcc-internal-format
 msgid "ifunc is not supported in this configuration"
-msgstr ""
+msgstr "-fuse-linker-plugin không được hỗ trợ trong cấu hình này"
 
-#: varasm.c:5572
+#: varasm.c:5557
 #, gcc-internal-format
 msgid "weakref %q+D ultimately targets itself"
 msgstr ""
 
-#: varasm.c:5581
+#: varasm.c:5566
 #, gcc-internal-format
 msgid "weakref %q+D must have static linkage"
 msgstr ""
 
-#: varasm.c:5588
-#, gcc-internal-format
+#: varasm.c:5573
+#, fuzzy, gcc-internal-format
 msgid "alias definitions not supported in this configuration"
-msgstr ""
+msgstr "-fuse-linker-plugin không được hỗ trợ trong cấu hình này"
 
-#: varasm.c:5807 config/sol2.c:155 config/i386/winnt.c:254
+#: varasm.c:5792 config/sol2.c:155 config/i386/winnt.c:254
 #, gcc-internal-format
 msgid "visibility attribute not supported in this configuration; ignored"
 msgstr ""
 
 #: varpool.c:240
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "variable %q+D part of alias cycle"
-msgstr ""
+msgstr "Lỗi: cycle (vòng tròn) trong %s_Alias `%s'"
 
 #. Print an error message for unrecognized stab codes.
 #: xcoffout.c:195
 #, gcc-internal-format
 msgid "no sclass for %s stab (0x%x)"
-msgstr ""
+msgstr "không sclass cho %s stab (0x%x)"
 
 #: lto-streamer.h:933
 #, gcc-internal-format, gfc-internal-format
@@ -17812,1313 +17782,1313 @@
 msgid "bytecode stream: tag %s is not in the expected range [%s, %s]"
 msgstr ""
 
-#: c-family/c-common.c:911
+#: c-family/c-common.c:916
 #, gcc-internal-format
 msgid "%qD is not defined outside of function scope"
 msgstr ""
 
-#: c-family/c-common.c:961
+#: c-family/c-common.c:966
 #, gcc-internal-format
 msgid "string length %qd is greater than the length %qd ISO C%d compilers are required to support"
 msgstr ""
 
-#: c-family/c-common.c:1280 c/c-typeck.c:9864 cp/typeck.c:4158
+#: c-family/c-common.c:1285 c/c-typeck.c:9864 cp/typeck.c:4158
 #, gcc-internal-format
 msgid "left shift count is negative"
 msgstr "số lượng dịch trái là số âm"
 
-#: c-family/c-common.c:1281 c/c-typeck.c:9812 cp/typeck.c:4112
+#: c-family/c-common.c:1286 c/c-typeck.c:9812 cp/typeck.c:4112
 #, gcc-internal-format
 msgid "right shift count is negative"
 msgstr "số lượng dịch trái là số âm"
 
-#: c-family/c-common.c:1286 c/c-typeck.c:9871 cp/typeck.c:4165
+#: c-family/c-common.c:1291 c/c-typeck.c:9871 cp/typeck.c:4165
 #, gcc-internal-format
 msgid "left shift count >= width of type"
 msgstr "số lượng dịch trái  >= độ rộng của kiểu"
 
-#: c-family/c-common.c:1287 c/c-typeck.c:9823 cp/typeck.c:4119
+#: c-family/c-common.c:1292 c/c-typeck.c:9823 cp/typeck.c:4119
 #, gcc-internal-format
 msgid "right shift count >= width of type"
 msgstr "số lượng dịch phải  >= độ rộng của kiểu"
 
-#: c-family/c-common.c:1508 c-family/c-common.c:1520 cp/semantics.c:6865
+#: c-family/c-common.c:1513 c-family/c-common.c:1525 cp/semantics.c:6867
 #, gcc-internal-format
 msgid "overflow in constant expression"
-msgstr ""
+msgstr "tràn trong biểu thức hằng"
 
-#: c-family/c-common.c:1543
+#: c-family/c-common.c:1548
 #, gcc-internal-format
 msgid "integer overflow in expression"
-msgstr ""
+msgstr "tràn số nguyên trong biểu thức"
 
-#: c-family/c-common.c:1548
+#: c-family/c-common.c:1553
 #, gcc-internal-format
 msgid "floating point overflow in expression"
-msgstr ""
+msgstr "tràn số dấu chấm động trong biểu thức"
 
-#: c-family/c-common.c:1552
+#: c-family/c-common.c:1557
 #, gcc-internal-format
 msgid "fixed-point overflow in expression"
-msgstr ""
+msgstr "tràn số dấu chấm tĩnh trong biểu thức"
 
-#: c-family/c-common.c:1556
+#: c-family/c-common.c:1561
 #, gcc-internal-format
 msgid "vector overflow in expression"
-msgstr ""
+msgstr "tràn véc-tơ trong biểu thức"
 
-#: c-family/c-common.c:1562
-#, gcc-internal-format
+#: c-family/c-common.c:1567
+#, fuzzy, gcc-internal-format
 msgid "complex integer overflow in expression"
-msgstr ""
+msgstr "tràn số nguyên trong biểu thức tiền xử lý"
 
-#: c-family/c-common.c:1565
+#: c-family/c-common.c:1570
 #, gcc-internal-format
 msgid "complex floating point overflow in expression"
 msgstr ""
 
-#: c-family/c-common.c:1608
+#: c-family/c-common.c:1613
 #, gcc-internal-format
 msgid "logical %<or%> applied to non-boolean constant"
 msgstr ""
 
-#: c-family/c-common.c:1611
+#: c-family/c-common.c:1616
 #, gcc-internal-format
 msgid "logical %<and%> applied to non-boolean constant"
 msgstr ""
 
-#: c-family/c-common.c:1675
+#: c-family/c-common.c:1680
 #, gcc-internal-format
 msgid "logical %<or%> of collectively exhaustive tests is always true"
 msgstr ""
 
-#: c-family/c-common.c:1679
+#: c-family/c-common.c:1684
 #, gcc-internal-format
 msgid "logical %<and%> of mutually exclusive tests is always false"
 msgstr ""
 
-#: c-family/c-common.c:1811
+#: c-family/c-common.c:1816
 #, gcc-internal-format
 msgid "type-punning to incomplete type might break strict-aliasing rules"
 msgstr ""
 
-#: c-family/c-common.c:1826
+#: c-family/c-common.c:1831
 #, gcc-internal-format
 msgid "dereferencing type-punned pointer will break strict-aliasing rules"
 msgstr ""
 
-#: c-family/c-common.c:1833 c-family/c-common.c:1851
+#: c-family/c-common.c:1838 c-family/c-common.c:1856
 #, gcc-internal-format
 msgid "dereferencing type-punned pointer might break strict-aliasing rules"
 msgstr ""
 
-#: c-family/c-common.c:1985
+#: c-family/c-common.c:1990
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the destination; did you mean to remove the addressof?"
 msgstr ""
 
-#: c-family/c-common.c:1992
+#: c-family/c-common.c:1997
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the destination; did you mean to provide an explicit length?"
 msgstr ""
 
-#: c-family/c-common.c:1997
+#: c-family/c-common.c:2002
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the destination; did you mean to dereference it?"
 msgstr ""
 
-#: c-family/c-common.c:2009
+#: c-family/c-common.c:2014
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same pointer type %qT as the destination; expected %qT or an explicit length"
 msgstr ""
 
-#: c-family/c-common.c:2025
+#: c-family/c-common.c:2030
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the source; did you mean to remove the addressof?"
 msgstr ""
 
-#: c-family/c-common.c:2032
+#: c-family/c-common.c:2037
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the source; did you mean to provide an explicit length?"
 msgstr ""
 
-#: c-family/c-common.c:2037
+#: c-family/c-common.c:2042
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the source; did you mean to dereference it?"
 msgstr ""
 
-#: c-family/c-common.c:2049
+#: c-family/c-common.c:2054
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same pointer type %qT as the source; expected %qT or an explicit length"
 msgstr ""
 
-#: c-family/c-common.c:2065
+#: c-family/c-common.c:2070
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the first source; did you mean to remove the addressof?"
 msgstr ""
 
-#: c-family/c-common.c:2072
+#: c-family/c-common.c:2077
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the first source; did you mean to provide an explicit length?"
 msgstr ""
 
-#: c-family/c-common.c:2077
+#: c-family/c-common.c:2082
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the first source; did you mean to dereference it?"
 msgstr ""
 
-#: c-family/c-common.c:2089
+#: c-family/c-common.c:2094
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same pointer type %qT as the first source; expected %qT or an explicit length"
 msgstr ""
 
-#: c-family/c-common.c:2105
+#: c-family/c-common.c:2110
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the second source; did you mean to remove the addressof?"
 msgstr ""
 
-#: c-family/c-common.c:2112
+#: c-family/c-common.c:2117
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the second source; did you mean to provide an explicit length?"
 msgstr ""
 
-#: c-family/c-common.c:2117
+#: c-family/c-common.c:2122
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the second source; did you mean to dereference it?"
 msgstr ""
 
-#: c-family/c-common.c:2129
+#: c-family/c-common.c:2134
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same pointer type %qT as the second source; expected %qT or an explicit length"
 msgstr ""
 
-#: c-family/c-common.c:2161
+#: c-family/c-common.c:2166
 #, gcc-internal-format
 msgid "first argument of %q+D should be %<int%>"
-msgstr ""
+msgstr "đối số đầu tiên của %q+D phải là %<int%>"
 
-#: c-family/c-common.c:2170
-#, gcc-internal-format
+#: c-family/c-common.c:2175
+#, fuzzy, gcc-internal-format
 msgid "second argument of %q+D should be %<char **%>"
-msgstr ""
+msgstr "Đối số cho tùy chọn «  --user » không thể là trống"
 
-#: c-family/c-common.c:2179
+#: c-family/c-common.c:2184
 #, gcc-internal-format
 msgid "third argument of %q+D should probably be %<char **%>"
 msgstr ""
 
-#: c-family/c-common.c:2190
+#: c-family/c-common.c:2195
 #, gcc-internal-format
 msgid "%q+D takes only zero or two arguments"
-msgstr ""
+msgstr "%q+D chỉ nhận không hoặc hai đối số"
 
-#: c-family/c-common.c:2239
+#: c-family/c-common.c:2244
 #, gcc-internal-format
 msgid "use -flax-vector-conversions to permit conversions between vectors with differing element types or numbers of subparts"
 msgstr ""
 
-#: c-family/c-common.c:2278
+#: c-family/c-common.c:2283
 #, gcc-internal-format
 msgid "__builtin_shuffle last argument must be an integer vector"
 msgstr ""
 
-#: c-family/c-common.c:2286
+#: c-family/c-common.c:2291
 #, gcc-internal-format
 msgid "__builtin_shuffle arguments must be vectors"
 msgstr ""
 
-#: c-family/c-common.c:2292
+#: c-family/c-common.c:2297
 #, gcc-internal-format
 msgid "__builtin_shuffle argument vectors must be of the same type"
 msgstr ""
 
-#: c-family/c-common.c:2302
+#: c-family/c-common.c:2307
 #, gcc-internal-format
 msgid "__builtin_shuffle number of elements of the argument vector(s) and the mask vector should be the same"
 msgstr ""
 
-#: c-family/c-common.c:2311
+#: c-family/c-common.c:2316
 #, gcc-internal-format
 msgid "__builtin_shuffle argument vector(s) inner type must have the same size as inner type of the mask"
 msgstr ""
 
-#: c-family/c-common.c:2505
+#: c-family/c-common.c:2510
 #, gcc-internal-format
 msgid "negative integer implicitly converted to unsigned type"
 msgstr ""
 
-#: c-family/c-common.c:2511
+#: c-family/c-common.c:2516
 #, gcc-internal-format
 msgid "conversion of unsigned constant value to negative integer"
 msgstr ""
 
-#: c-family/c-common.c:2605
+#: c-family/c-common.c:2610
 #, gcc-internal-format
 msgid "conversion to %qT from %qT may change the sign of the result"
 msgstr ""
 
-#: c-family/c-common.c:2674
+#: c-family/c-common.c:2679
 #, gcc-internal-format
 msgid "conversion to %qT from boolean expression"
 msgstr ""
 
-#: c-family/c-common.c:2681
+#: c-family/c-common.c:2686
 #, gcc-internal-format
 msgid "conversion to %qT alters %qT constant value"
 msgstr ""
 
-#: c-family/c-common.c:2700
+#: c-family/c-common.c:2705
 #, gcc-internal-format
 msgid "conversion to %qT from %qT may alter its value"
 msgstr ""
 
-#: c-family/c-common.c:2730
+#: c-family/c-common.c:2735
 #, gcc-internal-format
 msgid "large integer implicitly truncated to unsigned type"
 msgstr ""
 
-#: c-family/c-common.c:2736 c-family/c-common.c:2743 c-family/c-common.c:2751
+#: c-family/c-common.c:2741 c-family/c-common.c:2748 c-family/c-common.c:2756
 #, gcc-internal-format
 msgid "overflow in implicit constant conversion"
 msgstr ""
 
-#: c-family/c-common.c:2923
+#: c-family/c-common.c:2928
 #, gcc-internal-format
 msgid "operation on %qE may be undefined"
 msgstr ""
 
-#: c-family/c-common.c:3234
+#: c-family/c-common.c:3239
 #, gcc-internal-format
 msgid "case label does not reduce to an integer constant"
 msgstr ""
 
-#: c-family/c-common.c:3274
+#: c-family/c-common.c:3279
 #, gcc-internal-format
 msgid "case label value is less than minimum value for type"
 msgstr ""
 
-#: c-family/c-common.c:3282
+#: c-family/c-common.c:3287
 #, gcc-internal-format
 msgid "case label value exceeds maximum value for type"
 msgstr ""
 
-#: c-family/c-common.c:3290
+#: c-family/c-common.c:3295
 #, gcc-internal-format
 msgid "lower value in case label range less than minimum value for type"
 msgstr ""
 
-#: c-family/c-common.c:3299
+#: c-family/c-common.c:3304
 #, gcc-internal-format
 msgid "upper value in case label range exceeds maximum value for type"
 msgstr ""
 
-#: c-family/c-common.c:3378
+#: c-family/c-common.c:3383
 #, gcc-internal-format
 msgid "GCC cannot support operators with integer types and fixed-point types that have too many integral and fractional bits together"
 msgstr ""
 
-#: c-family/c-common.c:3881
+#: c-family/c-common.c:3886
 #, gcc-internal-format
 msgid "invalid operands to binary %s (have %qT and %qT)"
 msgstr ""
 
-#: c-family/c-common.c:4142
+#: c-family/c-common.c:4147
 #, gcc-internal-format
 msgid "comparison is always false due to limited range of data type"
 msgstr ""
 
-#: c-family/c-common.c:4145
+#: c-family/c-common.c:4150
 #, gcc-internal-format
 msgid "comparison is always true due to limited range of data type"
 msgstr ""
 
-#: c-family/c-common.c:4230
+#: c-family/c-common.c:4235
 #, gcc-internal-format
 msgid "comparison of unsigned expression >= 0 is always true"
 msgstr ""
 
-#: c-family/c-common.c:4237
+#: c-family/c-common.c:4242
 #, gcc-internal-format
 msgid "comparison of unsigned expression < 0 is always false"
 msgstr ""
 
-#: c-family/c-common.c:4279
+#: c-family/c-common.c:4284
 #, gcc-internal-format
 msgid "pointer of type %<void *%> used in arithmetic"
 msgstr ""
 
-#: c-family/c-common.c:4285
+#: c-family/c-common.c:4290
 #, gcc-internal-format
 msgid "pointer to a function used in arithmetic"
-msgstr ""
+msgstr "con trỏ đến hàm được dùng trong số học"
 
-#: c-family/c-common.c:4291
+#: c-family/c-common.c:4296
 #, gcc-internal-format
 msgid "pointer to member function used in arithmetic"
 msgstr ""
 
-#: c-family/c-common.c:4503
+#: c-family/c-common.c:4508
 #, gcc-internal-format
 msgid "the address of %qD will always evaluate as %<true%>"
 msgstr ""
 
-#: c-family/c-common.c:4598 cp/semantics.c:592 cp/typeck.c:7906
+#: c-family/c-common.c:4603 cp/semantics.c:592 cp/typeck.c:7906
 #, gcc-internal-format
 msgid "suggest parentheses around assignment used as truth value"
-msgstr ""
+msgstr "gợi ý là dùng dấu ngoặc đơn bao quanh phép gán được dùng như là giá trị chân lý"
 
-#: c-family/c-common.c:4677 c/c-decl.c:3686 c/c-typeck.c:10883
+#: c-family/c-common.c:4682 c/c-decl.c:3686 c/c-typeck.c:10883
 #, gcc-internal-format
 msgid "invalid use of %<restrict%>"
-msgstr ""
+msgstr "dùng %<restrict%> không hợp lệ"
 
-#: c-family/c-common.c:4870
+#: c-family/c-common.c:4875
 #, gcc-internal-format
 msgid "invalid application of %<sizeof%> to a function type"
 msgstr ""
 
-#: c-family/c-common.c:4880
+#: c-family/c-common.c:4885
 #, gcc-internal-format
 msgid "ISO C++ does not permit %<alignof%> applied to a function type"
-msgstr ""
+msgstr "ISO C++ không cho phép %<alignof%> áp dụng cho kiểu hàm"
 
-#: c-family/c-common.c:4883
+#: c-family/c-common.c:4888
 #, gcc-internal-format
 msgid "ISO C does not permit %<_Alignof%> applied to a function type"
 msgstr ""
 
-#: c-family/c-common.c:4894
+#: c-family/c-common.c:4899
 #, gcc-internal-format
 msgid "invalid application of %qs to a void type"
 msgstr ""
 
-#: c-family/c-common.c:4903
+#: c-family/c-common.c:4908
 #, gcc-internal-format
 msgid "invalid application of %qs to incomplete type %qT"
 msgstr ""
 
-#: c-family/c-common.c:4911
+#: c-family/c-common.c:4916
 #, gcc-internal-format
 msgid "invalid application of %qs to array type %qT of incomplete element type"
 msgstr ""
 
-#: c-family/c-common.c:4951
+#: c-family/c-common.c:4956
 #, gcc-internal-format
 msgid "%<__alignof%> applied to a bit-field"
-msgstr ""
+msgstr "%<__alignof%> được áp dụng cho trường bít"
 
-#: c-family/c-common.c:5664
+#: c-family/c-common.c:5669
 #, gcc-internal-format
 msgid "cannot disable built-in function %qs"
-msgstr ""
+msgstr "không thể tắt hàm dựng sẵn %qs"
 
-#: c-family/c-common.c:5855
+#: c-family/c-common.c:5860
 #, gcc-internal-format
 msgid "pointers are not permitted as case values"
 msgstr ""
 
-#: c-family/c-common.c:5862
+#: c-family/c-common.c:5867
 #, gcc-internal-format
 msgid "range expressions in switch statements are non-standard"
 msgstr ""
 
-#: c-family/c-common.c:5888
+#: c-family/c-common.c:5893
 #, gcc-internal-format
 msgid "empty range specified"
-msgstr ""
+msgstr "vùng trống rỗng được chỉ ra"
 
-#: c-family/c-common.c:5948
+#: c-family/c-common.c:5953
 #, gcc-internal-format
 msgid "duplicate (or overlapping) case value"
 msgstr ""
 
-#: c-family/c-common.c:5950
+#: c-family/c-common.c:5955
 #, gcc-internal-format
 msgid "this is the first entry overlapping that value"
 msgstr ""
 
-#: c-family/c-common.c:5954
+#: c-family/c-common.c:5959
 #, gcc-internal-format
 msgid "duplicate case value"
 msgstr "trùng giá trị cho case"
 
-#: c-family/c-common.c:5955
+#: c-family/c-common.c:5960
 #, gcc-internal-format
 msgid "previously used here"
 msgstr "cái trước được dùng là ở đây"
 
-#: c-family/c-common.c:5959
+#: c-family/c-common.c:5964
 #, gcc-internal-format
 msgid "multiple default labels in one switch"
 msgstr ""
 
-#: c-family/c-common.c:5961
+#: c-family/c-common.c:5966
 #, gcc-internal-format
 msgid "this is the first default label"
-msgstr ""
+msgstr "đây là nhãn mặc định đầu tiên"
 
-#: c-family/c-common.c:6013
+#: c-family/c-common.c:6018
 #, gcc-internal-format
 msgid "case value %qs not in enumerated type"
 msgstr ""
 
-#: c-family/c-common.c:6018
+#: c-family/c-common.c:6023
 #, gcc-internal-format
 msgid "case value %qs not in enumerated type %qT"
 msgstr ""
 
-#: c-family/c-common.c:6077
+#: c-family/c-common.c:6082
 #, gcc-internal-format
 msgid "switch missing default case"
-msgstr ""
+msgstr "switch thiếu case mặc định"
 
-#: c-family/c-common.c:6149
+#: c-family/c-common.c:6154
 #, gcc-internal-format
 msgid "enumeration value %qE not handled in switch"
 msgstr ""
 
-#: c-family/c-common.c:6175
+#: c-family/c-common.c:6180
 #, gcc-internal-format
 msgid "taking the address of a label is non-standard"
 msgstr ""
 
-#: c-family/c-common.c:6369
+#: c-family/c-common.c:6374
 #, gcc-internal-format
 msgid "%qE attribute ignored for field of type %qT"
 msgstr ""
 
-#: c-family/c-common.c:6464 c-family/c-common.c:6492
-#, gcc-internal-format
+#: c-family/c-common.c:6469 c-family/c-common.c:6497
+#, fuzzy, gcc-internal-format
 msgid "%qE attribute conflicts with attribute %s"
-msgstr ""
+msgstr "Nhãn xung đột với « Rx »"
 
-#: c-family/c-common.c:6622 lto/lto-lang.c:227
+#: c-family/c-common.c:6644 lto/lto-lang.c:227
 #, fuzzy, gcc-internal-format
 msgid "%qE attribute has no effect on unit local functions"
 msgstr "Xuất nhánh gián tiếp tới hàm cục bộ"
 
-#: c-family/c-common.c:6776
+#: c-family/c-common.c:6798
 #, gcc-internal-format
 msgid "%qE attribute have effect only on public objects"
 msgstr ""
 
-#: c-family/c-common.c:6890
+#: c-family/c-common.c:6912
 #, gcc-internal-format
 msgid "destructor priorities are not supported"
-msgstr ""
+msgstr "các quyền ưu tiên hủy tử là không được hỗ trợ"
 
-#: c-family/c-common.c:6892
+#: c-family/c-common.c:6914
 #, gcc-internal-format
 msgid "constructor priorities are not supported"
-msgstr ""
+msgstr "các quyền ưu tiên cấu tử là không được hỗ trợ"
 
-#: c-family/c-common.c:6910
+#: c-family/c-common.c:6932
 #, gcc-internal-format, gfc-internal-format
 msgid "destructor priorities from 0 to %d are reserved for the implementation"
 msgstr ""
 
-#: c-family/c-common.c:6915
+#: c-family/c-common.c:6937
 #, gcc-internal-format, gfc-internal-format
 msgid "constructor priorities from 0 to %d are reserved for the implementation"
 msgstr ""
 
-#: c-family/c-common.c:6923
+#: c-family/c-common.c:6945
 #, gcc-internal-format, gfc-internal-format
 msgid "destructor priorities must be integers from 0 to %d inclusive"
 msgstr ""
 
-#: c-family/c-common.c:6926
+#: c-family/c-common.c:6948
 #, gcc-internal-format, gfc-internal-format
 msgid "constructor priorities must be integers from 0 to %d inclusive"
 msgstr ""
 
-#: c-family/c-common.c:7082
+#: c-family/c-common.c:7104
 #, gcc-internal-format
 msgid "unknown machine mode %qE"
-msgstr ""
+msgstr "không hiểu chế độ máy %qE"
 
-#: c-family/c-common.c:7111
+#: c-family/c-common.c:7133
 #, gcc-internal-format
 msgid "specifying vector types with __attribute__ ((mode)) is deprecated"
 msgstr ""
 
-#: c-family/c-common.c:7114
+#: c-family/c-common.c:7136
 #, gcc-internal-format
 msgid "use __attribute__ ((vector_size)) instead"
 msgstr "sử dụng  __attribute__ ((vector_size)) để thay thế"
 
-#: c-family/c-common.c:7123
+#: c-family/c-common.c:7145
 #, gcc-internal-format
 msgid "unable to emulate %qs"
 msgstr "không thể mô phỏng %qs"
 
-#: c-family/c-common.c:7134
+#: c-family/c-common.c:7156
 #, gcc-internal-format
 msgid "invalid pointer mode %qs"
-msgstr ""
+msgstr "chế độ con trỏ %qs không hợp lệ"
 
-#: c-family/c-common.c:7151
+#: c-family/c-common.c:7173
 #, gcc-internal-format
 msgid "signedness of type and machine mode %qs don%'t match"
 msgstr ""
 
-#: c-family/c-common.c:7162
+#: c-family/c-common.c:7184
 #, gcc-internal-format
 msgid "no data type for mode %qs"
 msgstr ""
 
-#: c-family/c-common.c:7172
+#: c-family/c-common.c:7194
 #, gcc-internal-format
 msgid "cannot use mode %qs for enumeral types"
 msgstr ""
 
-#: c-family/c-common.c:7199
+#: c-family/c-common.c:7221
 #, gcc-internal-format
 msgid "mode %qs applied to inappropriate type"
 msgstr ""
 
-#: c-family/c-common.c:7231
+#: c-family/c-common.c:7253
 #, gcc-internal-format
 msgid "section attribute cannot be specified for local variables"
 msgstr ""
 
-#: c-family/c-common.c:7242 config/bfin/bfin.c:4737 config/bfin/bfin.c:4788
+#: c-family/c-common.c:7264 config/bfin/bfin.c:4737 config/bfin/bfin.c:4788
 #: config/bfin/bfin.c:4815 config/bfin/bfin.c:4828
 #, gcc-internal-format
 msgid "section of %q+D conflicts with previous declaration"
 msgstr ""
 
-#: c-family/c-common.c:7250
+#: c-family/c-common.c:7272
 #, gcc-internal-format
 msgid "section of %q+D cannot be overridden"
-msgstr ""
+msgstr "phần của %q+D không thể bị ghi đè"
 
-#: c-family/c-common.c:7258
-#, gcc-internal-format
+#: c-family/c-common.c:7280
+#, fuzzy, gcc-internal-format
 msgid "section attribute not allowed for %q+D"
-msgstr ""
+msgstr "'%.50s' là không được phép cho %s"
 
-#: c-family/c-common.c:7265
+#: c-family/c-common.c:7287
 #, gcc-internal-format
 msgid "section attributes are not supported for this target"
 msgstr ""
 
-#: c-family/c-common.c:7284
+#: c-family/c-common.c:7306
 #, fuzzy, gcc-internal-format
 msgid "requested alignment is not an integer constant"
 msgstr "bộ sơ khởi chứa một chỉ mục mảng không phải là một biểu tượng hằng số nguyên"
 
-#: c-family/c-common.c:7291
-#, gcc-internal-format
+#: c-family/c-common.c:7313
+#, fuzzy, gcc-internal-format
 msgid "requested alignment is not a power of 2"
-msgstr ""
+msgstr "sự chỉnh canh phần %s không phải là tuyệt đối"
 
-#: c-family/c-common.c:7296
-#, gcc-internal-format
+#: c-family/c-common.c:7318
+#, fuzzy, gcc-internal-format
 msgid "requested alignment is too large"
-msgstr ""
+msgstr "tham số %lu quá lớn"
 
-#: c-family/c-common.c:7379
+#: c-family/c-common.c:7401
 #, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "requested alignment %d is larger than %d"
-msgstr "bộ sơ khởi chứa một chỉ mục mảng không phải là một biểu tượng hằng số nguyên"
+msgstr "%s: kích cỡ công việc %0.0f lớn hơn %d K"
 
-#: c-family/c-common.c:7436
+#: c-family/c-common.c:7458
 #, gcc-internal-format
 msgid "alignment may not be specified for %q+D"
 msgstr ""
 
-#: c-family/c-common.c:7454
+#: c-family/c-common.c:7476
 #, gcc-internal-format
 msgid "alignment for %q+D was previously specified as %d and may not be decreased"
 msgstr ""
 
-#: c-family/c-common.c:7458
+#: c-family/c-common.c:7480
 #, gcc-internal-format
 msgid "alignment for %q+D must be at least %d"
-msgstr ""
+msgstr "sắp hàng cho %q+D phải ít nhất %d"
 
-#: c-family/c-common.c:7483
+#: c-family/c-common.c:7505
 #, gcc-internal-format
 msgid "inline function %q+D declared weak"
-msgstr ""
+msgstr "hàm chung dòng %q+D được khai báo yếu"
 
-#: c-family/c-common.c:7488
+#: c-family/c-common.c:7510
 #, gcc-internal-format
 msgid "indirect function %q+D cannot be declared weak"
 msgstr ""
 
-#: c-family/c-common.c:7525
+#: c-family/c-common.c:7547
 #, gcc-internal-format
 msgid "%q+D defined both normally and as %qE attribute"
 msgstr ""
 
-#: c-family/c-common.c:7533
-#, gcc-internal-format
+#: c-family/c-common.c:7555
+#, fuzzy, gcc-internal-format
 msgid "weak %q+D cannot be defined %qE"
-msgstr ""
+msgstr "không thể xác định điều kiện tiên quyết trong công thức"
 
-#: c-family/c-common.c:7550
-#, gcc-internal-format
+#: c-family/c-common.c:7572
+#, fuzzy, gcc-internal-format
 msgid "attribute %qE argument not a string"
-msgstr ""
+msgstr "đối số tới « program » (chương trình) không phải là một chuỗi"
 
-#: c-family/c-common.c:7626
+#: c-family/c-common.c:7648
 #, gcc-internal-format
 msgid "indirect function %q+D cannot be declared weakref"
 msgstr ""
 
-#: c-family/c-common.c:7648
+#: c-family/c-common.c:7670
 #, gcc-internal-format
 msgid "weakref attribute must appear before alias attribute"
 msgstr ""
 
-#: c-family/c-common.c:7677
+#: c-family/c-common.c:7699
 #, gcc-internal-format
 msgid "%qE attribute ignored on non-class types"
 msgstr ""
 
-#: c-family/c-common.c:7683
+#: c-family/c-common.c:7705
 #, gcc-internal-format
 msgid "%qE attribute ignored because %qT is already defined"
 msgstr ""
 
-#: c-family/c-common.c:7696
-#, gcc-internal-format
+#: c-family/c-common.c:7718
+#, fuzzy, gcc-internal-format
 msgid "visibility argument not a string"
-msgstr ""
+msgstr "đối số tới « program » (chương trình) không phải là một chuỗi"
 
-#: c-family/c-common.c:7708
+#: c-family/c-common.c:7730
 #, gcc-internal-format
 msgid "%qE attribute ignored on types"
-msgstr ""
+msgstr "Thuộc tính %qE bị lờ đi với các kiểu"
 
-#: c-family/c-common.c:7724
+#: c-family/c-common.c:7746
 #, gcc-internal-format
 msgid "visibility argument must be one of \"default\", \"hidden\", \"protected\" or \"internal\""
 msgstr ""
 
-#: c-family/c-common.c:7735
+#: c-family/c-common.c:7757
 #, gcc-internal-format
 msgid "%qD redeclared with different visibility"
 msgstr ""
 
-#: c-family/c-common.c:7738 c-family/c-common.c:7742
+#: c-family/c-common.c:7760 c-family/c-common.c:7764
 #, gcc-internal-format
 msgid "%qD was declared %qs which implies default visibility"
 msgstr ""
 
-#: c-family/c-common.c:7826
-#, gcc-internal-format
+#: c-family/c-common.c:7848
+#, fuzzy, gcc-internal-format
 msgid "tls_model argument not a string"
-msgstr ""
+msgstr "đối số tới « program » (chương trình) không phải là một chuỗi"
 
-#: c-family/c-common.c:7839
+#: c-family/c-common.c:7861
 #, gcc-internal-format
 msgid "tls_model argument must be one of \"local-exec\", \"initial-exec\", \"local-dynamic\" or \"global-dynamic\""
 msgstr ""
 
-#: c-family/c-common.c:7859 c-family/c-common.c:7965 c-family/c-common.c:8950
+#: c-family/c-common.c:7881 c-family/c-common.c:7987 c-family/c-common.c:8970
 #: config/m32c/m32c.c:2926
 #, gcc-internal-format
 msgid "%qE attribute applies only to functions"
 msgstr ""
 
-#: c-family/c-common.c:7865 c-family/c-common.c:7971 c-family/c-common.c:8956
+#: c-family/c-common.c:7887 c-family/c-common.c:7993 c-family/c-common.c:8976
 #, gcc-internal-format
 msgid "can%'t set %qE attribute after definition"
 msgstr ""
 
-#: c-family/c-common.c:7911
+#: c-family/c-common.c:7933
 #, gcc-internal-format
 msgid "alloc_size parameter outside range"
 msgstr ""
 
-#: c-family/c-common.c:8029
-#, fuzzy, gcc-internal-format
+#: c-family/c-common.c:8051
+#, gcc-internal-format
 msgid "%qE attribute duplicated"
-msgstr "lời tuyên bố thuộc tính"
+msgstr "thuộc tính %qE bị trùng"
 
-#: c-family/c-common.c:8031
+#: c-family/c-common.c:8053
 #, gcc-internal-format
 msgid "%qE attribute follows %qE"
-msgstr ""
+msgstr "thuộc tính %qE theo %qE"
 
-#: c-family/c-common.c:8130
+#: c-family/c-common.c:8152
 #, gcc-internal-format
 msgid "type was previously declared %qE"
 msgstr ""
 
-#: c-family/c-common.c:8183
+#: c-family/c-common.c:8205
 #, gcc-internal-format
 msgid "%qE argument not an identifier"
-msgstr ""
+msgstr "%qE đối số không phải là một định danh"
 
-#: c-family/c-common.c:8194
+#: c-family/c-common.c:8216
 #, gcc-internal-format
 msgid "%qD is not compatible with %qD"
-msgstr ""
+msgstr "%qD không tương thích với %qD"
 
-#: c-family/c-common.c:8197
+#: c-family/c-common.c:8219
 #, fuzzy, gcc-internal-format
 msgid "transaction_wrap argument is not a function"
 msgstr "không có đối số tới hàm đặc tả"
 
-#: c-family/c-common.c:8245
-#, gcc-internal-format
+#: c-family/c-common.c:8267
+#, fuzzy, gcc-internal-format
 msgid "deprecated message is not a string"
-msgstr ""
+msgstr "Chuỗi « %s » không phải là một chuỗi số hợp lệ.\n"
 
-#: c-family/c-common.c:8286
+#: c-family/c-common.c:8308
 #, gcc-internal-format
 msgid "%qE attribute ignored for %qE"
-msgstr ""
+msgstr "thuộc tính %qE bị lờ đi cho %qE"
 
-#: c-family/c-common.c:8346
+#: c-family/c-common.c:8368
 #, gcc-internal-format
 msgid "invalid vector type for attribute %qE"
 msgstr ""
 
-#: c-family/c-common.c:8352 ada/gcc-interface/utils.c:6307
+#: c-family/c-common.c:8374 ada/gcc-interface/utils.c:6307
 #: ada/gcc-interface/utils.c:6401
 #, gcc-internal-format
 msgid "vector size not an integral multiple of component size"
 msgstr ""
 
-#: c-family/c-common.c:8358 ada/gcc-interface/utils.c:6313
+#: c-family/c-common.c:8380 ada/gcc-interface/utils.c:6313
 #: ada/gcc-interface/utils.c:6407
 #, gcc-internal-format
 msgid "zero vector size"
-msgstr ""
+msgstr "kích thước véc-tơ không"
 
-#: c-family/c-common.c:8366 ada/gcc-interface/utils.c:6321
+#: c-family/c-common.c:8388 ada/gcc-interface/utils.c:6321
 #: ada/gcc-interface/utils.c:6414
 #, gcc-internal-format
 msgid "number of components of the vector not a power of two"
 msgstr ""
 
-#: c-family/c-common.c:8394 ada/gcc-interface/utils.c:6048
+#: c-family/c-common.c:8416 ada/gcc-interface/utils.c:6048
 #, gcc-internal-format
 msgid "nonnull attribute without arguments on a non-prototype"
 msgstr ""
 
-#: c-family/c-common.c:8408 ada/gcc-interface/utils.c:6062
+#: c-family/c-common.c:8430 ada/gcc-interface/utils.c:6062
 #, gcc-internal-format, gfc-internal-format
 msgid "nonnull argument has invalid operand number (argument %lu)"
 msgstr ""
 
-#: c-family/c-common.c:8430 ada/gcc-interface/utils.c:6084
+#: c-family/c-common.c:8452 ada/gcc-interface/utils.c:6084
 #, gcc-internal-format, gfc-internal-format
 msgid "nonnull argument with out-of-range operand number (argument %lu, operand %lu)"
 msgstr ""
 
-#: c-family/c-common.c:8438 ada/gcc-interface/utils.c:6093
+#: c-family/c-common.c:8460 ada/gcc-interface/utils.c:6093
 #, gcc-internal-format, gfc-internal-format
 msgid "nonnull argument references non-pointer operand (argument %lu, operand %lu)"
 msgstr ""
 
-#: c-family/c-common.c:8533
+#: c-family/c-common.c:8555
 #, gcc-internal-format
 msgid "not enough variable arguments to fit a sentinel"
 msgstr ""
 
-#: c-family/c-common.c:8547
-#, gcc-internal-format
+#: c-family/c-common.c:8569
+#, fuzzy, gcc-internal-format
 msgid "missing sentinel in function call"
-msgstr ""
+msgstr "cuộc gọi chưa được chấm dứt cho hàm « %s »: thiếu « %c »"
 
-#: c-family/c-common.c:8588
+#: c-family/c-common.c:8610
 #, gcc-internal-format, gfc-internal-format
 msgid "null argument where non-null required (argument %lu)"
 msgstr ""
 
-#: c-family/c-common.c:8653
+#: c-family/c-common.c:8675
 #, gcc-internal-format
 msgid "cleanup argument not an identifier"
-msgstr ""
+msgstr "dọn các đối số không phải định danh"
 
-#: c-family/c-common.c:8660
+#: c-family/c-common.c:8682
 #, gcc-internal-format
 msgid "cleanup argument not a function"
-msgstr ""
+msgstr "dọn các đối số không phải hàm"
 
-#: c-family/c-common.c:8697
+#: c-family/c-common.c:8719
 #, gcc-internal-format
 msgid "%qE attribute requires prototypes with named arguments"
 msgstr ""
 
-#: c-family/c-common.c:8705
+#: c-family/c-common.c:8727
 #, gcc-internal-format
 msgid "%qE attribute only applies to variadic functions"
 msgstr ""
 
-#: c-family/c-common.c:8717 ada/gcc-interface/utils.c:6135
+#: c-family/c-common.c:8739 ada/gcc-interface/utils.c:6135
 #, gcc-internal-format
 msgid "requested position is not an integer constant"
 msgstr ""
 
-#: c-family/c-common.c:8725 ada/gcc-interface/utils.c:6142
+#: c-family/c-common.c:8747 ada/gcc-interface/utils.c:6142
 #, gcc-internal-format
 msgid "requested position is less than zero"
 msgstr ""
 
-#: c-family/c-common.c:8843
+#: c-family/c-common.c:8865
 #, gcc-internal-format, gfc-internal-format
 msgid "bad option %s to optimize attribute"
 msgstr ""
 
-#: c-family/c-common.c:8846
+#: c-family/c-common.c:8868
 #, gcc-internal-format, gfc-internal-format
 msgid "bad option %s to pragma attribute"
 msgstr ""
 
-#: c-family/c-common.c:9075
+#: c-family/c-common.c:9095
 #, gcc-internal-format
 msgid "not enough arguments to function %qE"
-msgstr ""
+msgstr "không đủ đối số cho hàm %qE"
 
-#: c-family/c-common.c:9081 c-family/c-common.c:10007 c/c-typeck.c:2954
+#: c-family/c-common.c:9101 c-family/c-common.c:10027 c/c-typeck.c:2954
 #, gcc-internal-format
 msgid "too many arguments to function %qE"
-msgstr ""
+msgstr "quá nhiều đối số cho hàm %qE"
 
-#: c-family/c-common.c:9111 c-family/c-common.c:9157
+#: c-family/c-common.c:9131 c-family/c-common.c:9177
 #, gcc-internal-format
 msgid "non-floating-point argument in call to function %qE"
 msgstr ""
 
-#: c-family/c-common.c:9134
+#: c-family/c-common.c:9154
 #, gcc-internal-format
 msgid "non-floating-point arguments in call to function %qE"
 msgstr ""
 
-#: c-family/c-common.c:9150
+#: c-family/c-common.c:9170
 #, gcc-internal-format
 msgid "non-const integer argument %u in call to function %qE"
 msgstr ""
 
-#: c-family/c-common.c:9170
+#: c-family/c-common.c:9190
 #, fuzzy, gcc-internal-format
 msgid "non-integer argument 3 in call to function %qE"
 msgstr "không có đối số tới hàm đặc tả"
 
-#: c-family/c-common.c:9496
+#: c-family/c-common.c:9516
 #, gcc-internal-format
 msgid "cannot apply %<offsetof%> to static data member %qD"
 msgstr ""
 
-#: c-family/c-common.c:9501
+#: c-family/c-common.c:9521
 #, gcc-internal-format
 msgid "cannot apply %<offsetof%> when %<operator[]%> is overloaded"
 msgstr ""
 
-#: c-family/c-common.c:9508
+#: c-family/c-common.c:9528
 #, gcc-internal-format
 msgid "cannot apply %<offsetof%> to a non constant address"
 msgstr ""
 
-#: c-family/c-common.c:9521 cp/typeck.c:5289
+#: c-family/c-common.c:9541 cp/typeck.c:5289
 #, gcc-internal-format
 msgid "attempt to take address of bit-field structure member %qD"
 msgstr ""
 
-#: c-family/c-common.c:9573
+#: c-family/c-common.c:9593
 #, gcc-internal-format
 msgid "index %E denotes an offset greater than size of %qT"
 msgstr ""
 
-#: c-family/c-common.c:9613
+#: c-family/c-common.c:9633
 #, gcc-internal-format
 msgid "the omitted middle operand in ?: will always be %<true%>, suggest explicit middle operand"
 msgstr ""
 
-#: c-family/c-common.c:9634
+#: c-family/c-common.c:9654
 #, gcc-internal-format
 msgid "assignment of member %qD in read-only object"
 msgstr ""
 
-#: c-family/c-common.c:9636
+#: c-family/c-common.c:9656
 #, gcc-internal-format
 msgid "increment of member %qD in read-only object"
 msgstr ""
 
-#: c-family/c-common.c:9638
+#: c-family/c-common.c:9658
 #, gcc-internal-format
 msgid "decrement of member %qD in read-only object"
 msgstr ""
 
-#: c-family/c-common.c:9640
+#: c-family/c-common.c:9660
 #, gcc-internal-format
 msgid "member %qD in read-only object used as %<asm%> output"
 msgstr ""
 
-#: c-family/c-common.c:9644
+#: c-family/c-common.c:9664
 #, gcc-internal-format
 msgid "assignment of read-only member %qD"
 msgstr ""
 
-#: c-family/c-common.c:9645
+#: c-family/c-common.c:9665
 #, gcc-internal-format
 msgid "increment of read-only member %qD"
 msgstr ""
 
-#: c-family/c-common.c:9646
+#: c-family/c-common.c:9666
 #, gcc-internal-format
 msgid "decrement of read-only member %qD"
 msgstr ""
 
-#: c-family/c-common.c:9647
+#: c-family/c-common.c:9667
 #, gcc-internal-format
 msgid "read-only member %qD used as %<asm%> output"
 msgstr ""
 
-#: c-family/c-common.c:9651
+#: c-family/c-common.c:9671
 #, gcc-internal-format
 msgid "assignment of read-only variable %qD"
-msgstr ""
+msgstr "gán cho biến chỉ đọc %qD"
 
-#: c-family/c-common.c:9652
-#, gcc-internal-format
+#: c-family/c-common.c:9672
+#, fuzzy, gcc-internal-format
 msgid "increment of read-only variable %qD"
-msgstr ""
+msgstr "Không thể lập biến chỉ đọc %s"
 
-#: c-family/c-common.c:9653
-#, gcc-internal-format
+#: c-family/c-common.c:9673
+#, fuzzy, gcc-internal-format
 msgid "decrement of read-only variable %qD"
-msgstr ""
+msgstr "Không thể lập biến chỉ đọc %s"
 
-#: c-family/c-common.c:9654
+#: c-family/c-common.c:9674
 #, gcc-internal-format
 msgid "read-only variable %qD used as %<asm%> output"
 msgstr ""
 
-#: c-family/c-common.c:9657
+#: c-family/c-common.c:9677
 #, gcc-internal-format
 msgid "assignment of read-only parameter %qD"
 msgstr ""
 
-#: c-family/c-common.c:9658
+#: c-family/c-common.c:9678
 #, gcc-internal-format
 msgid "increment of read-only parameter %qD"
 msgstr ""
 
-#: c-family/c-common.c:9659
+#: c-family/c-common.c:9679
 #, gcc-internal-format
 msgid "decrement of read-only parameter %qD"
 msgstr ""
 
-#: c-family/c-common.c:9660
+#: c-family/c-common.c:9680
 #, gcc-internal-format
 msgid "read-only parameter %qD use as %<asm%> output"
 msgstr ""
 
-#: c-family/c-common.c:9665
+#: c-family/c-common.c:9685
 #, gcc-internal-format
 msgid "assignment of read-only named return value %qD"
 msgstr ""
 
-#: c-family/c-common.c:9667
+#: c-family/c-common.c:9687
 #, gcc-internal-format
 msgid "increment of read-only named return value %qD"
 msgstr ""
 
-#: c-family/c-common.c:9669
+#: c-family/c-common.c:9689
 #, gcc-internal-format
 msgid "decrement of read-only named return value %qD"
 msgstr ""
 
-#: c-family/c-common.c:9671
+#: c-family/c-common.c:9691
 #, gcc-internal-format
 msgid "read-only named return value %qD used as %<asm%>output"
 msgstr ""
 
-#: c-family/c-common.c:9676
+#: c-family/c-common.c:9696
 #, gcc-internal-format
 msgid "assignment of function %qD"
-msgstr ""
+msgstr "phân bổ của hàm %qD"
 
-#: c-family/c-common.c:9677
+#: c-family/c-common.c:9697
 #, gcc-internal-format
 msgid "increment of function %qD"
-msgstr ""
+msgstr "số gia của hàm %qD"
 
-#: c-family/c-common.c:9678
+#: c-family/c-common.c:9698
 #, gcc-internal-format
 msgid "decrement of function %qD"
-msgstr ""
+msgstr "số giảm của hàm %qD"
 
-#: c-family/c-common.c:9679
+#: c-family/c-common.c:9699
 #, gcc-internal-format
 msgid "function %qD used as %<asm%> output"
 msgstr ""
 
-#: c-family/c-common.c:9682 c/c-typeck.c:3902
+#: c-family/c-common.c:9702 c/c-typeck.c:3902
 #, gcc-internal-format
 msgid "assignment of read-only location %qE"
 msgstr ""
 
-#: c-family/c-common.c:9683 c/c-typeck.c:3905
+#: c-family/c-common.c:9703 c/c-typeck.c:3905
 #, gcc-internal-format
 msgid "increment of read-only location %qE"
 msgstr ""
 
-#: c-family/c-common.c:9684 c/c-typeck.c:3908
+#: c-family/c-common.c:9704 c/c-typeck.c:3908
 #, gcc-internal-format
 msgid "decrement of read-only location %qE"
 msgstr ""
 
-#: c-family/c-common.c:9685
+#: c-family/c-common.c:9705
 #, gcc-internal-format
 msgid "read-only location %qE used as %<asm%> output"
 msgstr ""
 
-#: c-family/c-common.c:9699
+#: c-family/c-common.c:9719
 #, gcc-internal-format
 msgid "lvalue required as left operand of assignment"
 msgstr ""
 
-#: c-family/c-common.c:9702
+#: c-family/c-common.c:9722
 #, gcc-internal-format
 msgid "lvalue required as increment operand"
-msgstr ""
+msgstr "lvalue được yêu cầu như là toán hạng gia"
 
-#: c-family/c-common.c:9705
+#: c-family/c-common.c:9725
 #, gcc-internal-format
 msgid "lvalue required as decrement operand"
-msgstr ""
+msgstr "lvalue được yêu cầu như là toán hạng giảm"
 
-#: c-family/c-common.c:9708
+#: c-family/c-common.c:9728
 #, gcc-internal-format
 msgid "lvalue required as unary %<&%> operand"
 msgstr ""
 
-#: c-family/c-common.c:9711
+#: c-family/c-common.c:9731
 #, gcc-internal-format
 msgid "lvalue required in asm statement"
 msgstr ""
 
-#: c-family/c-common.c:9728
+#: c-family/c-common.c:9748
 #, gcc-internal-format
 msgid "invalid type argument (have %qT)"
-msgstr ""
+msgstr "kiểu tham số không hợp lệ (có %qT)"
 
-#: c-family/c-common.c:9732
+#: c-family/c-common.c:9752
 #, gcc-internal-format
 msgid "invalid type argument of array indexing (have %qT)"
 msgstr ""
 
-#: c-family/c-common.c:9737
-#, gcc-internal-format
+#: c-family/c-common.c:9757
+#, fuzzy, gcc-internal-format
 msgid "invalid type argument of unary %<*%> (have %qT)"
-msgstr ""
+msgstr "đối số có loại sai đối với dấu trừ nguyên phân"
 
-#: c-family/c-common.c:9742
+#: c-family/c-common.c:9762
 #, gcc-internal-format
 msgid "invalid type argument of %<->%> (have %qT)"
-msgstr ""
+msgstr "kiểu tham số không hợp lệ của %<->%> (có %qT)"
 
-#: c-family/c-common.c:9747
+#: c-family/c-common.c:9767
 #, gcc-internal-format
 msgid "invalid type argument of implicit conversion (have %qT)"
 msgstr ""
 
-#: c-family/c-common.c:9877 cp/init.c:2373
+#: c-family/c-common.c:9897 cp/init.c:2373
 #, gcc-internal-format
 msgid "size of array is too large"
-msgstr ""
+msgstr "kích cỡ mảng là quá lớn"
 
-#: c-family/c-common.c:9925 c-family/c-common.c:9981 c/c-typeck.c:3185
+#: c-family/c-common.c:9945 c-family/c-common.c:10001 c/c-typeck.c:3185
 #, gcc-internal-format
 msgid "too few arguments to function %qE"
-msgstr ""
+msgstr "quá ít đối số cho hàm %qE"
 
-#: c-family/c-common.c:9942 config/mep/mep.c:6175 c/c-typeck.c:5687
+#: c-family/c-common.c:9962 config/mep/mep.c:6175 c/c-typeck.c:5687
 #, gcc-internal-format
 msgid "incompatible type for argument %d of %qE"
-msgstr ""
+msgstr "kiểu không tương thích cho đối số %d của %qE"
 
-#: c-family/c-common.c:10074
+#: c-family/c-common.c:10094
 #, fuzzy, gcc-internal-format
 msgid "incorrect number of arguments to function %qE"
 msgstr "không có đối số tới hàm đặc tả"
 
-#: c-family/c-common.c:10082
+#: c-family/c-common.c:10102
 #, gcc-internal-format
 msgid "argument 1 of %qE must be a non-void pointer type"
 msgstr ""
 
-#: c-family/c-common.c:10091
+#: c-family/c-common.c:10111
 #, gcc-internal-format
 msgid "argument 1 of %qE must be a pointer to a constant size type"
 msgstr ""
 
-#: c-family/c-common.c:10102
+#: c-family/c-common.c:10122
 #, gcc-internal-format
 msgid "argument 1 of %qE must be a pointer to a nonzero size object"
 msgstr ""
 
-#: c-family/c-common.c:10117
+#: c-family/c-common.c:10137
 #, gcc-internal-format
 msgid "argument %d of %qE must be a pointer type"
 msgstr ""
 
-#: c-family/c-common.c:10124
+#: c-family/c-common.c:10144
 #, fuzzy, gcc-internal-format
 msgid "size mismatch in argument %d of %qE"
-msgstr "các đối số không tương ứng với nhau"
+msgstr "%B: sai khớp kích cỡ định vị lại trong %B phần %A"
 
-#: c-family/c-common.c:10140
+#: c-family/c-common.c:10160
 #, gcc-internal-format
 msgid "invalid memory model argument %d of %qE"
 msgstr ""
 
-#: c-family/c-common.c:10147
+#: c-family/c-common.c:10167
 #, gcc-internal-format
 msgid "non-integer memory model argument %d of %qE"
 msgstr ""
 
-#: c-family/c-common.c:10674
+#: c-family/c-common.c:10694
 #, gcc-internal-format
 msgid "array subscript has type %<char%>"
 msgstr ""
 
-#: c-family/c-common.c:10709 c-family/c-common.c:10712
+#: c-family/c-common.c:10729 c-family/c-common.c:10732
 #, gcc-internal-format
 msgid "suggest parentheses around %<+%> inside %<<<%>"
-msgstr ""
+msgstr "đề nghị bao %<+%> bằng dấu ngoặc đơn phía trong %<<<%>"
 
-#: c-family/c-common.c:10715 c-family/c-common.c:10718
+#: c-family/c-common.c:10735 c-family/c-common.c:10738
 #, gcc-internal-format
 msgid "suggest parentheses around %<-%> inside %<<<%>"
-msgstr ""
+msgstr "đề nghị bao %<-%> bằng dấu ngoặc đơn phía trong %<<<%>"
 
-#: c-family/c-common.c:10724 c-family/c-common.c:10727
+#: c-family/c-common.c:10744 c-family/c-common.c:10747
 #, gcc-internal-format
 msgid "suggest parentheses around %<+%> inside %<>>%>"
-msgstr ""
+msgstr "đề nghị bao %<+%> bằng dấu ngoặc đơn phía trong %<>>%>"
 
-#: c-family/c-common.c:10730 c-family/c-common.c:10733
+#: c-family/c-common.c:10750 c-family/c-common.c:10753
 #, gcc-internal-format
 msgid "suggest parentheses around %<-%> inside %<>>%>"
-msgstr ""
+msgstr "đề nghị bao %<-%> bằng dấu ngoặc đơn phía trong %<>>%>"
 
-#: c-family/c-common.c:10739 c-family/c-common.c:10742
+#: c-family/c-common.c:10759 c-family/c-common.c:10762
 #, gcc-internal-format
 msgid "suggest parentheses around %<&&%> within %<||%>"
-msgstr ""
+msgstr "gợi ý bao quanh %<&&%> bằng dấu ngoặc đơn phía trong %<||%>"
 
-#: c-family/c-common.c:10749 c-family/c-common.c:10753
+#: c-family/c-common.c:10769 c-family/c-common.c:10773
 #, gcc-internal-format
 msgid "suggest parentheses around arithmetic in operand of %<|%>"
-msgstr ""
+msgstr "gợi ý là dùng dấu ngoặc đơn bao quanh biểu thức toán học trong toán hạng của %<|%>"
 
-#: c-family/c-common.c:10757 c-family/c-common.c:10760
+#: c-family/c-common.c:10777 c-family/c-common.c:10780
 #, gcc-internal-format
 msgid "suggest parentheses around comparison in operand of %<|%>"
-msgstr ""
+msgstr "gợi ý là dùng dấu ngoặc đơn bao quanh biểu thức so sánh trong toán hạng của %<|%>"
 
-#: c-family/c-common.c:10765
+#: c-family/c-common.c:10785
 #, gcc-internal-format
 msgid "suggest parentheses around operand of %<!%> or change %<|%> to %<||%> or %<!%> to %<~%>"
-msgstr ""
+msgstr "gợi ý là dùng dấu ngoặc đơn bao quanh biểu thức so sánh trong toán hạng của %<!%> hay thay đổi %<|%> thành %<||%> hay %<!%> thành %<~%>"
 
-#: c-family/c-common.c:10773 c-family/c-common.c:10777
+#: c-family/c-common.c:10793 c-family/c-common.c:10797
 #, gcc-internal-format
 msgid "suggest parentheses around arithmetic in operand of %<^%>"
-msgstr ""
+msgstr "gợi ý là dùng dấu ngoặc đơn bao quanh biểu thức toán học trong toán hạng của %<^%>"
 
-#: c-family/c-common.c:10781 c-family/c-common.c:10784
+#: c-family/c-common.c:10801 c-family/c-common.c:10804
 #, gcc-internal-format
 msgid "suggest parentheses around comparison in operand of %<^%>"
-msgstr ""
+msgstr "gợi ý là dùng dấu ngoặc đơn bao quanh biểu thức so sánh trong toán hạng của %<^%>"
 
-#: c-family/c-common.c:10790 c-family/c-common.c:10793
+#: c-family/c-common.c:10810 c-family/c-common.c:10813
 #, gcc-internal-format
 msgid "suggest parentheses around %<+%> in operand of %<&%>"
-msgstr ""
+msgstr "đề nghị bao %<+%> bằng dấu ngoặc đơn toán hạng của %<&%>"
 
-#: c-family/c-common.c:10796 c-family/c-common.c:10799
+#: c-family/c-common.c:10816 c-family/c-common.c:10819
 #, gcc-internal-format
 msgid "suggest parentheses around %<-%> in operand of %<&%>"
-msgstr ""
+msgstr "đề nghị bao %<-%> bằng dấu ngoặc đơn toán hạng của %<&%>"
 
-#: c-family/c-common.c:10803 c-family/c-common.c:10806
+#: c-family/c-common.c:10823 c-family/c-common.c:10826
 #, gcc-internal-format
 msgid "suggest parentheses around comparison in operand of %<&%>"
-msgstr ""
+msgstr "gợi ý là dùng dấu ngoặc đơn bao quanh biểu thức so sánh trong toán hạng của %<&%>"
 
-#: c-family/c-common.c:10811
+#: c-family/c-common.c:10831
 #, gcc-internal-format
 msgid "suggest parentheses around operand of %<!%> or change %<&%> to %<&&%> or %<!%> to %<~%>"
-msgstr ""
+msgstr "gợi ý là dùng dấu ngoặc đơn bao quanh biểu thức so sánh trong toán hạng của %<!%> hoặc thay đổi %<&%> thành %<&&%> hay %<!%> thành %<~%>"
 
-#: c-family/c-common.c:10818 c-family/c-common.c:10821
+#: c-family/c-common.c:10838 c-family/c-common.c:10841
 #, gcc-internal-format
 msgid "suggest parentheses around comparison in operand of %<==%>"
-msgstr ""
+msgstr "gợi ý là dùng dấu ngoặc đơn bao quanh biểu thức so sánh trong toán hạng của %<==%>"
 
-#: c-family/c-common.c:10826 c-family/c-common.c:10829
+#: c-family/c-common.c:10846 c-family/c-common.c:10849
 #, gcc-internal-format
 msgid "suggest parentheses around comparison in operand of %<!=%>"
-msgstr ""
+msgstr "gợi ý là dùng dấu ngoặc đơn bao quanh biểu thức so sánh trong toán hạng của %<!=%>"
 
-#: c-family/c-common.c:10839 c-family/c-common.c:10845
+#: c-family/c-common.c:10859 c-family/c-common.c:10865
 #, gcc-internal-format
 msgid "comparisons like %<X<=Y<=Z%> do not have their mathematical meaning"
 msgstr ""
 
-#: c-family/c-common.c:10861
+#: c-family/c-common.c:10881
 #, gcc-internal-format
 msgid "label %q+D defined but not used"
-msgstr ""
+msgstr "nhãn %q+D được định nghĩa nhưng chưa được dùng"
 
-#: c-family/c-common.c:10863
+#: c-family/c-common.c:10883
 #, gcc-internal-format
 msgid "label %q+D declared but not defined"
-msgstr ""
+msgstr "nhãn %q+D được khai báo nhưng chưa được định nghĩa"
 
-#: c-family/c-common.c:10879
+#: c-family/c-common.c:10899
 #, gcc-internal-format
 msgid "division by zero"
 msgstr "chía cho 0"
 
-#: c-family/c-common.c:10911
+#: c-family/c-common.c:10931
 #, gcc-internal-format
 msgid "comparison between types %qT and %qT"
 msgstr ""
 
-#: c-family/c-common.c:10962
+#: c-family/c-common.c:10982
 #, gcc-internal-format
 msgid "comparison between signed and unsigned integer expressions"
 msgstr ""
 
-#: c-family/c-common.c:11013
+#: c-family/c-common.c:11033
 #, gcc-internal-format
 msgid "promoted ~unsigned is always non-zero"
 msgstr ""
 
-#: c-family/c-common.c:11016
+#: c-family/c-common.c:11036
 #, gcc-internal-format
 msgid "comparison of promoted ~unsigned with constant"
 msgstr ""
 
-#: c-family/c-common.c:11026
+#: c-family/c-common.c:11046
 #, gcc-internal-format
 msgid "comparison of promoted ~unsigned with unsigned"
 msgstr ""
 
-#: c-family/c-common.c:11204
+#: c-family/c-common.c:11224
 #, gcc-internal-format
 msgid "typedef %qD locally defined but not used"
 msgstr ""
 
-#: c-family/c-common.c:11443
+#: c-family/c-common.c:11463
 #, gcc-internal-format
 msgid "index value is out of bound"
-msgstr ""
+msgstr "giá trị chỉ mục nằm ngoài phạm vi cho phép"
 
-#: c-family/c-common.c:11481 c-family/c-common.c:11531
-#: c-family/c-common.c:11546
+#: c-family/c-common.c:11501 c-family/c-common.c:11551
+#: c-family/c-common.c:11566
 #, gcc-internal-format
 msgid "conversion of scalar %qT to vector %qT involves truncation"
 msgstr ""
@@ -19131,12 +19101,12 @@
 #: c-family/c-format.c:119
 #, gcc-internal-format
 msgid "function does not return string type"
-msgstr ""
+msgstr "hàm không trả về kiểu chuỗi"
 
 #: c-family/c-format.c:153
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "format string argument is not a string type"
-msgstr ""
+msgstr "đối số tới « program » (chương trình) không phải là một chuỗi"
 
 #: c-family/c-format.c:179
 #, gcc-internal-format
@@ -19154,14 +19124,14 @@
 msgstr ""
 
 #: c-family/c-format.c:214
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "format argument should be a %<%s%> reference"
-msgstr ""
+msgstr "Đối số cho tùy chọn «  --user » không thể là trống"
 
 #: c-family/c-format.c:258
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "unrecognized format specifier"
-msgstr ""
+msgstr "không nhận ra định dạng kết xuất %s"
 
 #: c-family/c-format.c:273
 #, gcc-internal-format
@@ -19176,7 +19146,7 @@
 #: c-family/c-format.c:296
 #, gcc-internal-format
 msgid "%<...%> has invalid operand number"
-msgstr ""
+msgstr "%<...%> có số toán hạng không hợp lệ"
 
 #: c-family/c-format.c:303
 #, gcc-internal-format
@@ -19189,9 +19159,9 @@
 msgstr ""
 
 #: c-family/c-format.c:1133 c-family/c-format.c:1154 c-family/c-format.c:2199
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "missing $ operand number in format"
-msgstr ""
+msgstr "thiếu số thập lục trong dãy thoát"
 
 #: c-family/c-format.c:1163
 #, gcc-internal-format, gfc-internal-format
@@ -19219,9 +19189,9 @@
 msgstr ""
 
 #: c-family/c-format.c:1351
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "format not a string literal, format string not checked"
-msgstr ""
+msgstr "« %s » không phải là một chuỗi định dạng %s đúng, khác với « %s ». Lý do : %s"
 
 #: c-family/c-format.c:1366 c-family/c-format.c:1369
 #, gcc-internal-format
@@ -19236,7 +19206,7 @@
 #: c-family/c-format.c:1385
 #, gcc-internal-format
 msgid "too many arguments for format"
-msgstr ""
+msgstr "quá nhiều đối số cho định dạng"
 
 #: c-family/c-format.c:1388
 #, gcc-internal-format
@@ -19244,29 +19214,29 @@
 msgstr ""
 
 #: c-family/c-format.c:1391
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "zero-length %s format string"
-msgstr ""
+msgstr "substr: (chuỗi con) chuỗi nguồn có độ dài số không"
 
 #: c-family/c-format.c:1395
 #, gcc-internal-format
 msgid "format is a wide character string"
-msgstr ""
+msgstr "định dạng là một chuỗi ký tự rộng lớn"
 
 #: c-family/c-format.c:1398
 #, gcc-internal-format
 msgid "unterminated format string"
-msgstr ""
+msgstr "gặp chuỗi định dạng chưa được chấm dứt"
 
 #: c-family/c-format.c:1642
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "spurious trailing %<%%%> in format"
-msgstr ""
+msgstr "lỗi định dạng dữ liệu"
 
 #: c-family/c-format.c:1686 c-family/c-format.c:1966
 #, gcc-internal-format, gfc-internal-format
 msgid "repeated %s in format"
-msgstr ""
+msgstr "lặp %s trong định dạng"
 
 #: c-family/c-format.c:1699
 #, gcc-internal-format
@@ -19276,17 +19246,17 @@
 #: c-family/c-format.c:1787
 #, gcc-internal-format, gfc-internal-format
 msgid "zero width in %s format"
-msgstr ""
+msgstr "độ rộng bằng không trong định dạng %s"
 
 #: c-family/c-format.c:1805
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "empty left precision in %s format"
-msgstr ""
+msgstr "đồ chính xác bên trái theo định dạng strfmon"
 
 #: c-family/c-format.c:1881
 #, gcc-internal-format, gfc-internal-format
 msgid "empty precision in %s format"
-msgstr ""
+msgstr "độ chính xác bị trống rỗng trong định dạng %s"
 
 #: c-family/c-format.c:1950
 #, gcc-internal-format
@@ -19311,58 +19281,58 @@
 #: c-family/c-format.c:2004
 #, gcc-internal-format
 msgid "%s does not support the %<%%%c%> %s format"
-msgstr ""
+msgstr "%s không hỗ trợ %<%%%c%> định dạng %s"
 
 #: c-family/c-format.c:2020
 #, gcc-internal-format
 msgid "%s used with %<%%%c%> %s format"
-msgstr ""
+msgstr "%s được dùng với định dạng %<%%%c%> %s"
 
 #: c-family/c-format.c:2029
 #, gcc-internal-format, gfc-internal-format
 msgid "%s does not support %s"
-msgstr ""
+msgstr "%s không hỗ trợ %s"
 
 #: c-family/c-format.c:2039
 #, gcc-internal-format
 msgid "%s does not support %s with the %<%%%c%> %s format"
-msgstr ""
+msgstr "%s không hỗ trợ %s với %<%%%c%> định dạng %s"
 
 #: c-family/c-format.c:2075
 #, gcc-internal-format
 msgid "%s ignored with %s and %<%%%c%> %s format"
-msgstr ""
+msgstr "%s bị bỏ qua với %s và %<%%%c%> %s định dạng"
 
 #: c-family/c-format.c:2079
 #, gcc-internal-format, gfc-internal-format
 msgid "%s ignored with %s in %s format"
-msgstr ""
+msgstr "%s bị bỏ qua với %s trong %s định dạng"
 
 #: c-family/c-format.c:2086
 #, gcc-internal-format
 msgid "use of %s and %s together with %<%%%c%> %s format"
-msgstr ""
+msgstr "dùng của %s và %s cùng với %<%%%c%> định dạng %s"
 
 #: c-family/c-format.c:2090
 #, gcc-internal-format, gfc-internal-format
 msgid "use of %s and %s together in %s format"
-msgstr ""
+msgstr "dùng của %s và %s cùng với định dạng %s"
 
 #: c-family/c-format.c:2109
 #, gcc-internal-format
 msgid "%<%%%c%> yields only last 2 digits of year in some locales"
-msgstr ""
+msgstr "%<%%%c%> chỉ sinh ra 2 số cuối của năm trong một số địa phương"
 
 #: c-family/c-format.c:2112
 #, gcc-internal-format
 msgid "%<%%%c%> yields only last 2 digits of year"
-msgstr ""
+msgstr "%<%%%c%> chỉ sinh ra 2 số cuối của năm"
 
 #. The end of the format string was reached.
 #: c-family/c-format.c:2129
 #, gcc-internal-format
 msgid "no closing %<]%> for %<%%[%> format"
-msgstr ""
+msgstr "chưa đóng %<]%> cho định dạng %<%%[%>"
 
 #: c-family/c-format.c:2143
 #, gcc-internal-format
@@ -19372,7 +19342,7 @@
 #: c-family/c-format.c:2161
 #, gcc-internal-format
 msgid "%s does not support the %<%%%s%c%> %s format"
-msgstr ""
+msgstr "%s không hỗ trợ %<%%%s%c%> định dạng %s"
 
 #: c-family/c-format.c:2178
 #, gcc-internal-format
@@ -19387,7 +19357,7 @@
 #: c-family/c-format.c:2266
 #, gcc-internal-format
 msgid "embedded %<\\0%> in format"
-msgstr ""
+msgstr "%<\\0%> được nhúng trong định dạng"
 
 #: c-family/c-format.c:2335
 #, gcc-internal-format, gfc-internal-format
@@ -19417,7 +19387,7 @@
 #: c-family/c-format.c:2497
 #, gcc-internal-format
 msgid "%s %<%s%.*s%> expects a matching %<%s%s%> argument"
-msgstr ""
+msgstr "%s %<%s%.*s%> cần khớp một đối số %<%s%s%>"
 
 #: c-family/c-format.c:2505
 #, gcc-internal-format
@@ -19427,42 +19397,42 @@
 #: c-family/c-format.c:2512
 #, gcc-internal-format
 msgid "%s %<%s%.*s%> expects a matching %<%T%s%> argument"
-msgstr ""
+msgstr "%s %<%s%.*s%> cần khớp một đối số %<%T%s%> argument"
 
 #: c-family/c-format.c:2572 c-family/c-format.c:2578 c-family/c-format.c:2729
 #, gcc-internal-format
 msgid "%<__gcc_host_wide_int__%> is not defined as a type"
-msgstr ""
+msgstr "%<__gcc_host_wide_int__%> không được định nghĩa là một kiểu"
 
 #: c-family/c-format.c:2585 c-family/c-format.c:2739
 #, gcc-internal-format
 msgid "%<__gcc_host_wide_int__%> is not defined as %<long%> or %<long long%>"
-msgstr ""
+msgstr "%<__gcc_host_wide_int__%> không được định nghĩa như là kiểu %<long%> hay %<long long%>"
 
 #: c-family/c-format.c:2635
 #, gcc-internal-format
 msgid "%<locus%> is not defined as a type"
-msgstr ""
+msgstr "%<locus%> không được định nghĩa như là một kiểu"
 
 #: c-family/c-format.c:2688
 #, gcc-internal-format
 msgid "%<location_t%> is not defined as a type"
-msgstr ""
+msgstr "%<location_t%> không được định nghĩa như là một kiểu"
 
 #: c-family/c-format.c:2705
 #, gcc-internal-format
 msgid "%<tree%> is not defined as a type"
-msgstr ""
+msgstr "%<tree%> không được định nghĩa như là một kiểu"
 
 #: c-family/c-format.c:2710
 #, gcc-internal-format
 msgid "%<tree%> is not defined as a pointer type"
-msgstr ""
+msgstr "%<tree%> không được định nghĩa là kiểu con trỏ"
 
 #: c-family/c-format.c:2983
 #, gcc-internal-format
 msgid "args to be formatted is not %<...%>"
-msgstr ""
+msgstr "args được định dạng không %<...%>"
 
 #: c-family/c-format.c:2995
 #, gcc-internal-format
@@ -19477,33 +19447,33 @@
 #: c-family/c-lex.c:260
 #, gcc-internal-format, gfc-internal-format
 msgid "ignoring #pragma %s %s"
-msgstr ""
+msgstr "đang bỏ qua #pragma %s %s"
 
 #. ... or not.
 #: c-family/c-lex.c:403 c-family/c-lex.c:1056
 #, gcc-internal-format
 msgid "stray %<@%> in program"
-msgstr ""
+msgstr "lạc %<@%> trong chương trình"
 
 #: c-family/c-lex.c:418
 #, gcc-internal-format
 msgid "stray %qs in program"
-msgstr ""
+msgstr "lạc %qs trong chương trình"
 
 #: c-family/c-lex.c:428
 #, gcc-internal-format, gfc-internal-format
 msgid "missing terminating %c character"
-msgstr ""
+msgstr "thiếu ký tự “%c” chấm dứt"
 
 #: c-family/c-lex.c:430
 #, gcc-internal-format
 msgid "stray %qc in program"
-msgstr ""
+msgstr "lạc %qc trong chương trình"
 
 #: c-family/c-lex.c:432
 #, gcc-internal-format
 msgid "stray %<\\%o%> in program"
-msgstr ""
+msgstr "lạc %<\\%o%> trong chương trình"
 
 #: c-family/c-lex.c:642
 #, gcc-internal-format
@@ -19521,9 +19491,9 @@
 msgstr ""
 
 #: c-family/c-lex.c:706
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "unsuffixed float constant"
-msgstr ""
+msgstr "hằng thập lục dạng sai"
 
 #: c-family/c-lex.c:738
 #, gcc-internal-format
@@ -19543,7 +19513,7 @@
 #: c-family/c-lex.c:821
 #, gcc-internal-format
 msgid "floating constant truncated to zero"
-msgstr ""
+msgstr "hằng dấu chấm động bị cắt cụt thành số không"
 
 #: c-family/c-lex.c:1018
 #, gcc-internal-format
@@ -19583,27 +19553,27 @@
 #: c-family/c-omp.c:380
 #, gcc-internal-format
 msgid "%qE is not initialized"
-msgstr ""
+msgstr "%qE chưa được khởi tạo"
 
 #: c-family/c-omp.c:397 cp/semantics.c:4795
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "missing controlling predicate"
-msgstr ""
+msgstr "thiếu « ( » nằm sau vị ngữ"
 
 #: c-family/c-omp.c:479 cp/semantics.c:4541
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "invalid controlling predicate"
-msgstr ""
+msgstr "thiếu « ( » nằm sau vị ngữ"
 
 #: c-family/c-omp.c:486 cp/semantics.c:4801
 #, gcc-internal-format
 msgid "missing increment expression"
-msgstr ""
+msgstr "thiếu biểu thức gia số"
 
 #: c-family/c-omp.c:555 cp/semantics.c:4651
 #, gcc-internal-format
 msgid "invalid increment expression"
-msgstr ""
+msgstr "biểu thức gia không hợp lệ"
 
 #: c-family/c-opts.c:305
 #, gcc-internal-format
@@ -19618,7 +19588,7 @@
 #: c-family/c-opts.c:410
 #, gcc-internal-format
 msgid "-Werror=normalized=: set -Wnormalized=nfc"
-msgstr ""
+msgstr "-Werror=normalized=: đặt -Wnormalized=nfc"
 
 #: c-family/c-opts.c:424
 #, gcc-internal-format
@@ -19628,12 +19598,12 @@
 #: c-family/c-opts.c:642 fortran/cpp.c:351
 #, gcc-internal-format
 msgid "output filename specified twice"
-msgstr ""
+msgstr "tên tập tin kết xuất được chỉ ra hai lần"
 
 #: c-family/c-opts.c:822
 #, gcc-internal-format
 msgid "-fexcess-precision=standard for C++"
-msgstr ""
+msgstr "-fexcess-precision=standard dành cho C++"
 
 #: c-family/c-opts.c:835
 #, gcc-internal-format
@@ -19672,7 +19642,6 @@
 
 #: c-family/c-opts.c:910
 #, fuzzy, gcc-internal-format
-#| msgid "%<__int128%> is not supported for this target"
 msgid "external TLS initialization functions not supported on this target"
 msgstr "%<__int128%> không được hỗ trợ cho đích này"
 
@@ -19732,46 +19701,46 @@
 msgstr ""
 
 #: c-family/c-pch.c:115
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "can%'t create precompiled header %s: %m"
-msgstr ""
+msgstr "trong khi ghi đầu trang biên dịch sẵn"
 
 #: c-family/c-pch.c:137
 #, gcc-internal-format
 msgid "can%'t write to %s: %m"
 msgstr "can%'t ghi vào %s: %m"
 
-#: c-family/c-pch.c:191
+#: c-family/c-pch.c:193
 #, gcc-internal-format
 msgid "can%'t write %s: %m"
 msgstr "can%'t ghi %s: %m"
 
-#: c-family/c-pch.c:219 c-family/c-pch.c:260 c-family/c-pch.c:311
+#: c-family/c-pch.c:221 c-family/c-pch.c:262 c-family/c-pch.c:313
 #, gcc-internal-format
 msgid "can%'t read %s: %m"
 msgstr "can%'t đọc %s: %m"
 
-#: c-family/c-pch.c:417
+#: c-family/c-pch.c:419
 #, gcc-internal-format
 msgid "pch_preprocess pragma should only be used with -fpreprocessed"
 msgstr ""
 
-#: c-family/c-pch.c:418
+#: c-family/c-pch.c:420
 #, gcc-internal-format
 msgid "use #include instead"
 msgstr "sử dụng #include để thay thế"
 
-#: c-family/c-pch.c:424
+#: c-family/c-pch.c:426
 #, gcc-internal-format
 msgid "%s: couldn%'t open PCH file: %m"
 msgstr "%s: couldn%'t mở tập tin PCH: %m"
 
-#: c-family/c-pch.c:429
+#: c-family/c-pch.c:431
 #, gcc-internal-format
 msgid "use -Winvalid-pch for more information"
 msgstr "sử dụng -Winvalid-pch để có thêm thông tin"
 
-#: c-family/c-pch.c:430
+#: c-family/c-pch.c:432
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: PCH file was invalid"
 msgstr "%s: tập tin PCH không hợp lệ"
@@ -19799,7 +19768,7 @@
 #: c-family/c-pragma.c:157 c-family/c-pragma.c:199
 #, gcc-internal-format
 msgid "malformed %<#pragma pack%> - ignored"
-msgstr ""
+msgstr "%<#pragma pack%> sai dạng, bị bỏ qua"
 
 #: c-family/c-pragma.c:162
 #, gcc-internal-format
@@ -19817,9 +19786,9 @@
 msgstr ""
 
 #: c-family/c-pragma.c:202
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "junk at end of %<#pragma pack%>"
-msgstr ""
+msgstr "pack có phần thừa ở cuối"
 
 #: c-family/c-pragma.c:205
 #, gcc-internal-format
@@ -19839,12 +19808,12 @@
 #: c-family/c-pragma.c:354 c-family/c-pragma.c:359
 #, gcc-internal-format
 msgid "malformed #pragma weak, ignored"
-msgstr ""
+msgstr "sai dạng #pragma weak, bị bỏ qua"
 
 #: c-family/c-pragma.c:363
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "junk at end of %<#pragma weak%>"
-msgstr ""
+msgstr "pack có phần thừa ở cuối"
 
 #: c-family/c-pragma.c:430 c-family/c-pragma.c:432
 #, gcc-internal-format
@@ -19934,7 +19903,7 @@
 #: c-family/c-pragma.c:760
 #, gcc-internal-format
 msgid "%<#pragma GCC option%> is not a string"
-msgstr ""
+msgstr "%<#pragma GCC option%> không phải là một chuỗi"
 
 #: c-family/c-pragma.c:787
 #, gcc-internal-format
@@ -19954,12 +19923,12 @@
 #: c-family/c-pragma.c:829
 #, gcc-internal-format
 msgid "%<#pragma GCC optimize%> is not a string or number"
-msgstr ""
+msgstr "%<#pragma GCC optimize%> không phải là một chuỗi hay số"
 
 #: c-family/c-pragma.c:855
 #, gcc-internal-format
 msgid "%<#pragma GCC optimize (string [,string]...)%> does not have a final %<)%>"
-msgstr ""
+msgstr "%<#pragma tối ưu GCC (chuỗi [,chuỗi]...)%> không có một %<)%> kết thúc"
 
 #: c-family/c-pragma.c:861
 #, gcc-internal-format
@@ -19987,39 +19956,39 @@
 msgstr ""
 
 #: c-family/c-pragma.c:1020 c-family/c-pragma.c:1027
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "expected a string after %<#pragma message%>"
-msgstr ""
+msgstr "mong đợi chuỗi đã trích dẫn sau « \\version »"
 
 #: c-family/c-pragma.c:1022
 #, gcc-internal-format
 msgid "malformed %<#pragma message%>, ignored"
-msgstr ""
+msgstr "%<#pragma message%> sai dạng, bị bỏ qua"
 
 #: c-family/c-pragma.c:1032
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "junk at end of %<#pragma message%>"
-msgstr ""
+msgstr "pack có phần thừa ở cuối"
 
 #: c-family/c-pragma.c:1035
 #, gcc-internal-format, gfc-internal-format
 msgid "#pragma message: %s"
-msgstr ""
+msgstr "lời nhắn #pragma: %s"
 
 #: c-family/c-pragma.c:1072
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "invalid location for %<pragma %s%>, ignored"
-msgstr ""
+msgstr "giá trị không hợp lệ được xác định cho lệnh mã nguồn điều khiển trình biên dịch « code_page » (trang mã).\n"
 
 #: c-family/c-pragma.c:1079 c-family/c-pragma.c:1093
 #, gcc-internal-format
 msgid "malformed %<#pragma %s%>, ignored"
-msgstr ""
+msgstr "%<#pragma %s%> sai dạng, bị bỏ qua"
 
 #: c-family/c-pragma.c:1099
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "junk at end of %<#pragma %s%>"
-msgstr ""
+msgstr "gặp rác tại kết thúc dòng"
 
 #: c-family/c-pragma.c:1117
 #, gcc-internal-format
@@ -20054,12 +20023,12 @@
 #: common/config/alpha/alpha-common.c:76
 #, gcc-internal-format
 msgid "bad value %qs for -mtls-size switch"
-msgstr ""
+msgstr "giá trị sai %qs cho -mtls-size"
 
 #: common/config/bfin/bfin-common.c:304 common/config/m68k/m68k-common.c:60
 #, gcc-internal-format, gfc-internal-format
 msgid "-mshared-library-id=%s is not between 0 and %d"
-msgstr ""
+msgstr "-mshared-library-id=%s không nằm giữa 0 và %d"
 
 #: common/config/bfin/bfin-common.c:323
 #, gcc-internal-format, gfc-internal-format
@@ -20069,47 +20038,47 @@
 #: common/config/bfin/bfin-common.c:359
 #, gcc-internal-format, gfc-internal-format
 msgid "-mcpu=%s has invalid silicon revision"
-msgstr ""
+msgstr "-mcpu=%s không hợp lệ"
 
 #: common/config/i386/i386-common.c:666
 #, gcc-internal-format
 msgid "-malign-loops is obsolete, use -falign-loops"
-msgstr ""
+msgstr "-malign-loops đã cũ, hãy dùng -falign-loops"
 
 #: common/config/i386/i386-common.c:668
 #, gcc-internal-format, gfc-internal-format
 msgid "-malign-loops=%d is not between 0 and %d"
-msgstr ""
+msgstr "-malign-loops=%d không nằm giữa 0 và %d"
 
 #: common/config/i386/i386-common.c:675
 #, gcc-internal-format
 msgid "-malign-jumps is obsolete, use -falign-jumps"
-msgstr ""
+msgstr "-malign-jumps đã cũ, hãy dùng -falign-jumps"
 
 #: common/config/i386/i386-common.c:677
 #, gcc-internal-format, gfc-internal-format
 msgid "-malign-jumps=%d is not between 0 and %d"
-msgstr ""
+msgstr "-malign-jumps=%d không nằm giữa 0 và %d"
 
 #: common/config/i386/i386-common.c:685
 #, gcc-internal-format
 msgid "-malign-functions is obsolete, use -falign-functions"
-msgstr ""
+msgstr "-malign-functions đã cũ, hãy dùng -falign-functions"
 
 #: common/config/i386/i386-common.c:687
 #, gcc-internal-format, gfc-internal-format
 msgid "-malign-functions=%d is not between 0 and %d"
-msgstr ""
+msgstr "-malign-functions=%d không nằm giữa 0 và %d"
 
 #: common/config/i386/i386-common.c:696
 #, gcc-internal-format, gfc-internal-format
 msgid "-mbranch-cost=%d is not between 0 and 5"
-msgstr ""
+msgstr "-mbranch-cost=%d không nằm trong khoảng 0 và 5"
 
 #: common/config/i386/i386-common.c:746
 #, gcc-internal-format
 msgid "%<-fsplit-stack%> currently only supported on GNU/Linux"
-msgstr ""
+msgstr "%<-fsplit-stack%> hiện nay chỉ được hỗ trợ trên GNU/Linux"
 
 #: common/config/i386/i386-common.c:752
 #, gcc-internal-format
@@ -20119,12 +20088,12 @@
 #: common/config/ia64/ia64-common.c:58
 #, gcc-internal-format
 msgid "bad value %<%s%> for -mtls-size= switch"
-msgstr ""
+msgstr "giá trị sai %<%s%> cho -mtls-size="
 
 #: common/config/rs6000/rs6000-common.c:172 config/sparc/sparc.c:979
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "unknown -mdebug-%s switch"
-msgstr ""
+msgstr "Không chuyển đổi độ phân giải"
 
 #: common/config/rs6000/rs6000-common.c:220
 #, gcc-internal-format, gfc-internal-format
@@ -20134,17 +20103,17 @@
 #: common/config/rs6000/rs6000-common.c:230
 #, gcc-internal-format
 msgid "-msingle-float option equivalent to -mhard-float"
-msgstr ""
+msgstr "tùy chọn -msingle-float tương đương với -mhard-float"
 
 #: common/config/rs6000/rs6000-common.c:246
 #, gcc-internal-format
 msgid "-msimple-fpu option ignored"
-msgstr ""
+msgstr "tùy chọn -msimple-fpu bị bỏ qua"
 
 #: common/config/rx/rx-common.c:60
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "the RX200 cpu does not have FPU hardware"
-msgstr "CPU rx200 không có phần cứng đơn vị điểm phù động (FPU)"
+msgstr "CPU RX200 không có phần cứng hỗ trợ dấu chấm động (FPU)"
 
 #: common/config/s390/s390-common.c:98
 #, gcc-internal-format
@@ -20152,9 +20121,9 @@
 msgstr ""
 
 #: common/config/s390/s390-common.c:103
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "stack size must be an exact power of 2"
-msgstr ""
+msgstr "Kích cỡ flex_bg phải là lũy thừa 2"
 
 #: common/config/v850/v850-common.c:47
 #, gcc-internal-format
@@ -20170,12 +20139,12 @@
 #: config/darwin-c.c:114
 #, gcc-internal-format
 msgid "malformed '#pragma options', ignoring"
-msgstr ""
+msgstr "'#pragma options' sai dạng, bị bỏ qua"
 
 #: config/darwin-c.c:117
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "junk at end of '#pragma options'"
-msgstr ""
+msgstr "pack có phần thừa ở cuối"
 
 #: config/darwin-c.c:127
 #, gcc-internal-format
@@ -20193,9 +20162,9 @@
 msgstr ""
 
 #: config/darwin-c.c:163
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "junk at end of '#pragma unused'"
-msgstr ""
+msgstr "pack có phần thừa ở cuối"
 
 #: config/darwin-c.c:174
 #, gcc-internal-format
@@ -20225,7 +20194,7 @@
 #: config/darwin-driver.c:48
 #, gcc-internal-format
 msgid "sysctl for kern.osversion failed: %m"
-msgstr ""
+msgstr "sysctl cho kern.osversion gặp lỗi: %m"
 
 #: config/darwin-driver.c:85
 #, gcc-internal-format
@@ -20254,7 +20223,6 @@
 
 #: config/darwin.c:2689
 #, fuzzy, gcc-internal-format
-#| msgid "-fuse-linker-plugin is not supported in this configuration"
 msgid "protected visibility attribute not supported in this configuration; ignored"
 msgstr "-fuse-linker-plugin không được hỗ trợ trong cấu hình này"
 
@@ -20276,7 +20244,7 @@
 #: config/darwin.c:3109
 #, gcc-internal-format
 msgid "%<-mdynamic-no-pic%> overrides %<-fpic%>, %<-fPIC%>, %<-fpie%> or %<-fPIE%>"
-msgstr ""
+msgstr "%<-mdynamic-no-pic%> đè lên %<-fpic%>, %<-fPIC%>, %<-fpie%> hay %<-fPIE%>"
 
 #: config/darwin.c:3294
 #, gcc-internal-format
@@ -20291,7 +20259,7 @@
 #: config/darwin.c:3375
 #, fuzzy, gcc-internal-format
 msgid "CFString literal is missing"
-msgstr "đối số tới -Xlinker còn thiếu"
+msgstr "đối số tới tên đường dẫn còn thiếu"
 
 #: config/darwin.c:3386
 #, gcc-internal-format
@@ -20301,7 +20269,7 @@
 #: config/darwin.c:3409
 #, gcc-internal-format, gfc-internal-format
 msgid "%s in CFString literal"
-msgstr ""
+msgstr "%s trong chuỗi văn CFString"
 
 #: config/host-darwin.c:61
 #, gcc-internal-format
@@ -20311,7 +20279,7 @@
 #: config/sol2-c.c:92 config/sol2-c.c:108
 #, gcc-internal-format
 msgid "malformed %<#pragma align%>, ignoring"
-msgstr ""
+msgstr "%<#pragma align%> sai dạng, bị bỏ qua"
 
 #: config/sol2-c.c:101
 #, gcc-internal-format
@@ -20321,47 +20289,47 @@
 #: config/sol2-c.c:116
 #, gcc-internal-format
 msgid "%<#pragma align%> must appear before the declaration of %D, ignoring"
-msgstr ""
+msgstr "%<#pragma align%> phải xuất hiện trước khai báo của %D, đang lờ đi"
 
 #: config/sol2-c.c:128 config/sol2-c.c:140
 #, gcc-internal-format
 msgid "malformed %<#pragma align%>"
-msgstr ""
+msgstr "%<#pragma align%> sai định dạng"
 
 #: config/sol2-c.c:135
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "junk at end of %<#pragma align%>"
-msgstr ""
+msgstr "pack có phần thừa ở cuối"
 
 #: config/sol2-c.c:156 config/sol2-c.c:163
 #, gcc-internal-format
 msgid "malformed %<#pragma init%>, ignoring"
-msgstr ""
+msgstr "%<#pragma init%> sai dạng, bị bỏ qua"
 
 #: config/sol2-c.c:187 config/sol2-c.c:199
 #, gcc-internal-format
 msgid "malformed %<#pragma init%>"
-msgstr ""
+msgstr "%<#pragma init%> sai dạng"
 
 #: config/sol2-c.c:194
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "junk at end of %<#pragma init%>"
-msgstr ""
+msgstr "pack có phần thừa ở cuối"
 
 #: config/sol2-c.c:215 config/sol2-c.c:222
 #, gcc-internal-format
 msgid "malformed %<#pragma fini%>, ignoring"
-msgstr ""
+msgstr "%<#pragma fini%> sai dạng, bị bỏ qua"
 
 #: config/sol2-c.c:246 config/sol2-c.c:258
 #, gcc-internal-format
 msgid "malformed %<#pragma fini%>"
-msgstr ""
+msgstr "%<#pragma fini%> sai dạng"
 
 #: config/sol2-c.c:253
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "junk at end of %<#pragma fini%>"
-msgstr ""
+msgstr "pack có phần thừa ở cuối"
 
 #: config/sol2.c:56
 #, gcc-internal-format
@@ -20369,9 +20337,9 @@
 msgstr ""
 
 #: config/vxworks.c:144
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "PIC is only supported for RTPs"
-msgstr ""
+msgstr "Thao tác này được hỗ trợ chỉ cho thiết bị LUKS.\n"
 
 #. Mach-O supports 'weak imports', and 'weak definitions' in coalesced
 #. sections.  machopic_select_section ensures that weak variables go in
@@ -20385,9 +20353,9 @@
 
 #. No profiling.
 #: config/vx-common.h:89
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "profiler support for VxWorks"
-msgstr ""
+msgstr "không có hỗ trợ từ xa cho %s@%s"
 
 #: config/aarch64/aarch64-builtins.c:1032
 #, fuzzy, gcc-internal-format
@@ -20396,13 +20364,11 @@
 
 #: config/aarch64/aarch64.c:3643
 #, fuzzy, gcc-internal-format
-#| msgid "function not inlinable"
 msgid "function profiling"
-msgstr "hàm không thể chèn vào trực tiếp"
+msgstr "%s: hàm chỉ đọc"
 
 #: config/aarch64/aarch64.c:4623
 #, fuzzy, gcc-internal-format
-#| msgid "missing path after %qs"
 msgid "missing feature modifier after %qs"
 msgstr "thiếu đường dẫn sau %qs"
 
@@ -20410,44 +20376,40 @@
 #: config/aarch64/aarch64.c:4644
 #, fuzzy, gcc-internal-format
 msgid "unknown feature modifier %qs"
-msgstr "không rõ chế độ lệnh"
+msgstr "# lỗi bộ dịch ngược (disassembler) nội tại, không thừa nhận bộ sửa đổi (m%c)"
 
 #: config/aarch64/aarch64.c:4675
-#, fuzzy, gcc-internal-format
-#| msgid "missing path after %qs"
+#, gcc-internal-format
 msgid "missing arch name in -march=%qs"
-msgstr "thiếu đường dẫn sau %qs"
+msgstr "thiếu tên kiến trúc trong -march=%qs"
 
 #. ARCH name not found in list.
 #: config/aarch64/aarch64.c:4699
-#, fuzzy, gcc-internal-format
-#| msgid "bad value (%s) for -march= switch"
+#, gcc-internal-format
 msgid "unknown value %qs for -march"
-msgstr "sai giá trị (%s) cho chuyển -march="
+msgstr "không hiểu giá trị %qs cho -march"
 
 #: config/aarch64/aarch64.c:4724
-#, fuzzy, gcc-internal-format
-#| msgid "missing path after %qs"
+#, gcc-internal-format
 msgid "missing cpu name in -mcpu=%qs"
-msgstr "thiếu đường dẫn sau %qs"
+msgstr "thiếu cpu trong -mcpu=%qs"
 
 #. CPU name not found in list.
 #: config/aarch64/aarch64.c:4747
 #, gcc-internal-format
 msgid "unknown value %qs for -mcpu"
-msgstr ""
+msgstr "không hiểu giá trị %qs dành cho -mcpu"
 
 #. CPU name not found in list.
 #: config/aarch64/aarch64.c:4771
-#, fuzzy, gcc-internal-format
-#| msgid "bad value (%s) for -mtune= switch"
+#, gcc-internal-format
 msgid "unknown value %qs for -mtune"
-msgstr "sai giá trị (%s) cho chuyển -mtune"
+msgstr "không hiểu giá trị %qs dành cho -mtune"
 
 #: config/aarch64/aarch64.c:4879
 #, gcc-internal-format
 msgid "code model %qs with -f%s"
-msgstr ""
+msgstr "mô hình mã %qs với -f%s"
 
 #: config/aarch64/aarch64.c:5198 config/aarch64/aarch64.c:5306
 #: config/aarch64/aarch64.c:5545
@@ -20456,41 +20418,39 @@
 msgstr "Sử dụng câu lệnh loại điểm phù động thập phân"
 
 #: config/aarch64/aarch64.c:6421
-#, fuzzy, gcc-internal-format
-#| msgid "operand number out of range"
+#, gcc-internal-format
 msgid "lane out of range"
-msgstr "số thứ tự toán hạng ở ngoại phạm vi"
+msgstr "lane nằm ngoài vùng"
 
 #: config/aarch64/aarch64.c:6431
-#, fuzzy, gcc-internal-format
-#| msgid "operand number out of range"
+#, gcc-internal-format
 msgid "constant out of range"
-msgstr "số thứ tự toán hạng ở ngoại phạm vi"
+msgstr "hằng nằm ngoài phạm vi cho phép"
 
 #: config/alpha/alpha.c:295
 #, gcc-internal-format
 msgid "bad value %qs for -mtrap-precision switch"
-msgstr ""
+msgstr "giá trị sai %qs cho -mtrap-precision"
 
 #: config/alpha/alpha.c:309
 #, gcc-internal-format
 msgid "bad value %qs for -mfp-rounding-mode switch"
-msgstr ""
+msgstr "giá trị sai %qs cho -mfp-rounding-mode"
 
 #: config/alpha/alpha.c:324
 #, gcc-internal-format
 msgid "bad value %qs for -mfp-trap-mode switch"
-msgstr ""
+msgstr "giá trị sai %qs cho -mfp-trap-mode"
 
 #: config/alpha/alpha.c:341
 #, gcc-internal-format
 msgid "bad value %qs for -mcpu switch"
-msgstr ""
+msgstr "giá trị sai %qs cho -mcpu"
 
 #: config/alpha/alpha.c:356
 #, gcc-internal-format
 msgid "bad value %qs for -mtune switch"
-msgstr ""
+msgstr "giá trị sai %qs cho -mtune"
 
 #: config/alpha/alpha.c:377
 #, gcc-internal-format
@@ -20513,20 +20473,20 @@
 msgstr ""
 
 #: config/alpha/alpha.c:430
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "L%d cache latency unknown for %s"
-msgstr ""
+msgstr "%s là cho máy không rõ %d.\n"
 
 #: config/alpha/alpha.c:445
 #, gcc-internal-format
 msgid "bad value %qs for -mmemory-latency"
-msgstr ""
+msgstr "giá trị sai %qs cho -mmemory-latency"
 
 #: config/alpha/alpha.c:6583 config/alpha/alpha.c:6586
 #: config/tilegx/tilegx.c:3448 config/tilepro/tilepro.c:3098
 #, gcc-internal-format
 msgid "bad builtin fcode"
-msgstr ""
+msgstr "fcode dựng sẵn sai"
 
 #: config/arm/arm.c:1635
 #, gcc-internal-format, gfc-internal-format
@@ -20536,17 +20496,17 @@
 #: config/arm/arm.c:1753
 #, gcc-internal-format
 msgid "target CPU does not support ARM mode"
-msgstr ""
+msgstr "CPU đích không hỗ trợ chế độ ARM"
 
 #: config/arm/arm.c:1759
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "target CPU does not support interworking"
-msgstr ""
+msgstr "Cảnh báo : %B không hỗ trợ ảnh hưởng lẫn nhau, còn %B thì có"
 
 #: config/arm/arm.c:1765
 #, gcc-internal-format
 msgid "target CPU does not support THUMB instructions"
-msgstr ""
+msgstr "CPU đích không hỗ trợ chỉ lệnh THUMB"
 
 #: config/arm/arm.c:1783
 #, gcc-internal-format
@@ -20561,12 +20521,12 @@
 #: config/arm/arm.c:1790
 #, gcc-internal-format
 msgid "-mapcs-stack-check incompatible with -mno-apcs-frame"
-msgstr ""
+msgstr "-mapcs-stack-check không tương thích với -mno-apcs-frame"
 
 #: config/arm/arm.c:1798
 #, gcc-internal-format
 msgid "-fpic and -mapcs-reent are incompatible"
-msgstr ""
+msgstr "-fpic và -mapcs-reent là xung khắc nhau"
 
 #: config/arm/arm.c:1801
 #, gcc-internal-format
@@ -20586,7 +20546,7 @@
 #: config/arm/arm.c:1815
 #, gcc-internal-format
 msgid "%<mwords-little-endian%> is deprecated and will be removed in a future release"
-msgstr ""
+msgstr "%<mwords-little-endian%> bị phản đối và sẽ bị gỡ bỏ trong lần phát hành tương lai"
 
 #: config/arm/arm.c:1879
 #, gcc-internal-format
@@ -20601,18 +20561,17 @@
 #: config/arm/arm.c:1915
 #, gcc-internal-format
 msgid "AAPCS does not support -mcaller-super-interworking"
-msgstr ""
+msgstr "AAPCS không hỗ trợ -mcaller-super-interworking"
 
 #: config/arm/arm.c:1918
 #, gcc-internal-format
 msgid "AAPCS does not support -mcallee-super-interworking"
-msgstr ""
+msgstr "AAPCS không hỗ trợ -mcallee-super-interworking"
 
 #: config/arm/arm.c:1923
-#, fuzzy, gcc-internal-format
-#| msgid "-mvsx and -mpaired are incompatible"
+#, gcc-internal-format
 msgid "iWMMXt and NEON are incompatible"
-msgstr "-mvsx và -mpaired không tương thích với nhau"
+msgstr "iWMMXt và NEON là xung khác lẫn nhau"
 
 #: config/arm/arm.c:1927
 #, gcc-internal-format
@@ -20657,12 +20616,12 @@
 #: config/arm/arm.c:2021
 #, gcc-internal-format
 msgid "-mpic-register= is useless without -fpic"
-msgstr ""
+msgstr "-mpic-register= là vô ích nếu không có -fpic"
 
 #: config/arm/arm.c:2030
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "unable to use '%s' for PIC register"
-msgstr ""
+msgstr "Ghi rõ thanh ghi cần sử dụng để đặt địa chỉ PIC"
 
 #: config/arm/arm.c:2063
 #, gcc-internal-format
@@ -20700,182 +20659,182 @@
 #: config/i386/i386.c:34639 config/i386/i386.c:34690 config/i386/i386.c:34762
 #: config/m68k/m68k.c:729 config/mcore/mcore.c:3046 config/mep/mep.c:3887
 #: config/mep/mep.c:3901 config/mep/mep.c:3975 config/rl78/rl78.c:480
-#: config/rs6000/rs6000.c:24833 config/rx/rx.c:2571 config/sh/sh.c:9515
-#: config/sh/sh.c:9533 config/sh/sh.c:9562 config/sh/sh.c:9644
-#: config/sh/sh.c:9667 config/spu/spu.c:3685 config/stormy16/stormy16.c:2207
+#: config/rs6000/rs6000.c:24833 config/rx/rx.c:2571 config/sh/sh.c:9512
+#: config/sh/sh.c:9530 config/sh/sh.c:9559 config/sh/sh.c:9641
+#: config/sh/sh.c:9664 config/spu/spu.c:3685 config/stormy16/stormy16.c:2207
 #: config/v850/v850.c:2082
 #, gcc-internal-format
 msgid "%qE attribute only applies to functions"
 msgstr ""
 
-#: config/arm/arm.c:19315
+#: config/arm/arm.c:19325
 #, gcc-internal-format
 msgid "unable to compute real location of stacked parameter"
 msgstr ""
 
-#: config/arm/arm.c:21257
+#: config/arm/arm.c:21267
 #, gcc-internal-format
 msgid "argument must be a constant"
 msgstr "tham số phải là một hằng"
 
 #. @@@ better error message
-#: config/arm/arm.c:21632 config/arm/arm.c:21736
+#: config/arm/arm.c:21642 config/arm/arm.c:21746
 #, gcc-internal-format
 msgid "selector must be an immediate"
 msgstr "bộ chọn phải là một giá trị trực tiếp"
 
-#: config/arm/arm.c:21640 config/arm/arm.c:21685 config/arm/arm.c:21743
-#: config/arm/arm.c:21752
+#: config/arm/arm.c:21650 config/arm/arm.c:21695 config/arm/arm.c:21753
+#: config/arm/arm.c:21762
 #, gcc-internal-format
 msgid "the range of selector should be in 0 to 7"
-msgstr ""
+msgstr "vùng bộ chọn phải nằm từ 0 đến 7"
 
-#: config/arm/arm.c:21645 config/arm/arm.c:21754
+#: config/arm/arm.c:21655 config/arm/arm.c:21764
 #, gcc-internal-format
 msgid "the range of selector should be in 0 to 3"
-msgstr ""
+msgstr "vùng bộ chọn phải nằm từ 0 đến 3"
 
-#: config/arm/arm.c:21650 config/arm/arm.c:21756
+#: config/arm/arm.c:21660 config/arm/arm.c:21766
 #, gcc-internal-format
 msgid "the range of selector should be in 0 to 1"
-msgstr ""
+msgstr "vùng bộ chọn phải nằm từ 0 đến 1"
 
-#: config/arm/arm.c:21822
+#: config/arm/arm.c:21832
 #, gcc-internal-format
 msgid "mask must be an immediate"
 msgstr "mặt nạ phải là một giá trị trực tiếp"
 
-#: config/arm/arm.c:21827
+#: config/arm/arm.c:21837
 #, gcc-internal-format
 msgid "the range of mask should be in 0 to 255"
-msgstr ""
+msgstr "vùng mặt nạ phải nằm từ 0 đến 255"
 
-#: config/arm/arm.c:22015
+#: config/arm/arm.c:22025
 #, gcc-internal-format
 msgid "the range of count should be in 0 to 32.  please check the intrinsic _mm_rori_pi16 in code."
-msgstr ""
+msgstr "vùng của số lượng phải nằm trong vùn 0 đến 32.  hãy kiểm tra bên trong _mm_rori_pi16 trong mã."
 
-#: config/arm/arm.c:22017
+#: config/arm/arm.c:22027
 #, gcc-internal-format
 msgid "the range of count should be in 0 to 32.  please check the intrinsic _mm_rori_pi32 in code."
-msgstr ""
+msgstr "vùng của số lượng phải nằm trong vùn 0 đến 32.  hãy kiểm tra bên trong _mm_rori_pi32 trong mã."
 
-#: config/arm/arm.c:22019
+#: config/arm/arm.c:22029
 #, gcc-internal-format
 msgid "the range of count should be in 0 to 32.  please check the intrinsic _mm_ror_pi16 in code."
-msgstr ""
+msgstr "vùng của số lượng phải nằm trong vùn 0 đến 32.  hãy kiểm tra bên trong _mm_ror_pi16 trong mã."
 
-#: config/arm/arm.c:22021
+#: config/arm/arm.c:22031
 #, gcc-internal-format
 msgid "the range of count should be in 0 to 32.  please check the intrinsic _mm_ror_pi32 in code."
-msgstr ""
+msgstr "vùng của số lượng phải nằm trong vùn 0 đến 32.  hãy kiểm tra bên trong _mm_ror_pi32 trong mã."
 
-#: config/arm/arm.c:22027
+#: config/arm/arm.c:22037
 #, gcc-internal-format
 msgid "the range of count should be in 0 to 64.  please check the intrinsic _mm_rori_si64 in code."
-msgstr ""
+msgstr "vùng của số lượng phải nằm trong vùn 0 đến 64.  hãy kiểm tra bên trong _mm_rori_si64 trong mã."
 
-#: config/arm/arm.c:22029
+#: config/arm/arm.c:22039
 #, gcc-internal-format
 msgid "the range of count should be in 0 to 64.  please check the intrinsic _mm_ror_si64 in code."
-msgstr ""
+msgstr "vùng của số lượng phải nằm trong vùn 0 đến 64.  hãy kiểm tra bên trong _mm_ror_si64 trong mã."
 
-#: config/arm/arm.c:22034
+#: config/arm/arm.c:22044
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srli_pi16 in code."
-msgstr ""
+msgstr "số lượng không được nhỏ hơn 0.  hãy kiểm tra bên trong _mm_srli_pi16 trong mã."
 
-#: config/arm/arm.c:22036
+#: config/arm/arm.c:22046
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srli_pi32 in code."
-msgstr ""
+msgstr "số lượng không được nhỏ hơn 0.  hãy kiểm tra bên trong _mm_srli_pi32 trong mã."
 
-#: config/arm/arm.c:22038
+#: config/arm/arm.c:22048
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srli_si64 in code."
-msgstr ""
+msgstr "số lượng không được nhỏ hơn 0.  hãy kiểm tra bên trong _mm_srli_si64 trong mã."
 
-#: config/arm/arm.c:22040
+#: config/arm/arm.c:22050
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_slli_pi16 in code."
-msgstr ""
+msgstr "số lượng không được nhỏ hơn 0.  hãy kiểm tra bên trong _mm_slli_pi16 trong mã."
 
-#: config/arm/arm.c:22042
+#: config/arm/arm.c:22052
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_slli_pi32 in code."
-msgstr ""
+msgstr "số lượng không được nhỏ hơn 0.  hãy kiểm tra bên trong _mm_slli_pi32 trong mã."
 
-#: config/arm/arm.c:22044
+#: config/arm/arm.c:22054
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_slli_si64 in code."
-msgstr ""
+msgstr "số lượng không được nhỏ hơn 0.  hãy kiểm tra bên trong _mm_slli_si64 trong mã."
 
-#: config/arm/arm.c:22046
+#: config/arm/arm.c:22056
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srai_pi16 in code."
-msgstr ""
+msgstr "số lượng không được nhỏ hơn 0.  hãy kiểm tra bên trong _mm_srai_pi16 trong mã."
 
-#: config/arm/arm.c:22048
+#: config/arm/arm.c:22058
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srai_pi32 in code."
-msgstr ""
+msgstr "số lượng không được nhỏ hơn 0.  hãy kiểm tra bên trong _mm_srai_pi32 trong mã."
 
-#: config/arm/arm.c:22050
+#: config/arm/arm.c:22060
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srai_si64 in code."
-msgstr ""
+msgstr "số lượng không được nhỏ hơn 0.  hãy kiểm tra bên trong _mm_srai_si64 trong mã."
 
-#: config/arm/arm.c:22052
+#: config/arm/arm.c:22062
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srl_pi16 in code."
-msgstr ""
+msgstr "số lượng không được nhỏ hơn 0.  hãy kiểm tra bên trong _mm_srl_pi16 trong mã."
 
-#: config/arm/arm.c:22054
+#: config/arm/arm.c:22064
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srl_pi32 in code."
-msgstr ""
+msgstr "số lượng không được nhỏ hơn 0.  hãy kiểm tra bên trong _mm_srl_pi32 trong mã."
 
-#: config/arm/arm.c:22056
+#: config/arm/arm.c:22066
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srl_si64 in code."
-msgstr ""
+msgstr "số lượng không được nhỏ hơn 0.  hãy kiểm tra bên trong _mm_srl_si64 trong mã."
 
-#: config/arm/arm.c:22058
+#: config/arm/arm.c:22068
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_sll_pi16 in code."
-msgstr ""
+msgstr "số lượng không được nhỏ hơn 0.  hãy kiểm tra bên trong _mm_sll_pi16 trong mã."
 
-#: config/arm/arm.c:22060
+#: config/arm/arm.c:22070
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_sll_pi32 in code."
-msgstr ""
+msgstr "số lượng không được nhỏ hơn 0.  hãy kiểm tra bên trong _mm_sll_pi32 trong mã."
 
-#: config/arm/arm.c:22062
+#: config/arm/arm.c:22072
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_sll_si64 in code."
-msgstr ""
+msgstr "số lượng không được nhỏ hơn 0.  hãy kiểm tra bên trong _mm_sll_si64 trong mã."
 
-#: config/arm/arm.c:22064
+#: config/arm/arm.c:22074
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_sra_pi16 in code."
-msgstr ""
+msgstr "số lượng không được nhỏ hơn 0.  hãy kiểm tra bên trong _mm_sra_pi16 trong mã."
 
-#: config/arm/arm.c:22066
+#: config/arm/arm.c:22076
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_sra_pi32 in code."
-msgstr ""
+msgstr "số lượng không được nhỏ hơn 0.  hãy kiểm tra bên trong _mm_sra_pi32 trong mã."
 
-#: config/arm/arm.c:22068
+#: config/arm/arm.c:22078
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_sra_si64 in code."
-msgstr ""
+msgstr "số lượng không được nhỏ hơn 0.  hãy kiểm tra bên trong _mm_sra_si64 trong mã."
 
-#: config/arm/arm.c:22787
+#: config/arm/arm.c:22797
 #, gcc-internal-format
 msgid "no low registers available for popping high registers"
 msgstr ""
 
-#: config/arm/arm.c:23012
+#: config/arm/arm.c:23022
 #, gcc-internal-format
 msgid "interrupt Service Routines cannot be coded in Thumb mode"
 msgstr ""
@@ -20901,10 +20860,9 @@
 msgstr ""
 
 #: config/avr/avr-c.c:124
-#, fuzzy, gcc-internal-format
-#| msgid "%s only accepts 2 arguments"
+#, gcc-internal-format
 msgid "%qs expects 2 arguments but %d given"
-msgstr "%s chỉ chấp nhận hai tham số"
+msgstr "%qs cần 2 đối số nhưng chỉ nhận được %d"
 
 #: config/avr/avr-c.c:136 config/avr/avr-c.c:201
 #, gcc-internal-format
@@ -20912,9 +20870,9 @@
 msgstr ""
 
 #: config/avr/avr-c.c:144
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%qs expects an integer value as second argument"
-msgstr "Gặp kết thúc mô-đun bất thường trong hằng số chuỗi"
+msgstr "%qs cần giá trị nguyên làm đối số thứ hai"
 
 #: config/avr/avr.c:573
 #, gcc-internal-format
@@ -21016,22 +20974,27 @@
 msgid "MCU %qs supported for assembler only"
 msgstr ""
 
-#: config/avr/avr.c:11718
+#: config/avr/avr.c:10816
+#, gcc-internal-format
+msgid "conversion from address space %qs to address space %qs"
+msgstr ""
+
+#: config/avr/avr.c:11778
 #, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "%s expects a compile time integer constant"
 msgstr "Gặp kết thúc mô-đun bất thường trong hằng số chuỗi"
 
-#: config/avr/avr.c:11732
+#: config/avr/avr.c:11792
 #, gcc-internal-format, gfc-internal-format
 msgid "%s expects a compile time long integer constant as first argument"
 msgstr ""
 
-#: config/avr/avr.c:11760
+#: config/avr/avr.c:11820
 #, gcc-internal-format, gfc-internal-format
 msgid "rounding to %d bits has no effect for fixed-point value with %d fractional bits"
 msgstr ""
 
-#: config/avr/avr.c:11769
+#: config/avr/avr.c:11829
 #, gcc-internal-format
 msgid "rounding result will always be 0"
 msgstr ""
@@ -21044,17 +21007,17 @@
 #: config/bfin/bfin.c:2356
 #, gcc-internal-format
 msgid "-mshared-library-id= specified without -mid-shared-library"
-msgstr ""
+msgstr "-mshared-library-id= được chỉ định mà không có -mid-shared-library"
 
 #: config/bfin/bfin.c:2360
 #, gcc-internal-format
 msgid "-fstack-limit- options are ignored with -mfdpic; use -mstack-check-l1"
-msgstr ""
+msgstr "-fstack-limit- các tùy chọn bị bỏ qua với -mfdpic; dùng -mstack-check-l1"
 
 #: config/bfin/bfin.c:2365
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "can%'t use multiple stack checking methods together"
-msgstr "không cho phép sử dụng đồng thời hai tuỳ chọn mthreads và mlegacy-threads"
+msgstr "không thể dùng nhiều phương thức kiểm tra stack cùng nhau"
 
 #: config/bfin/bfin.c:2368
 #, gcc-internal-format
@@ -21069,22 +21032,22 @@
 #: config/bfin/bfin.c:2393
 #, gcc-internal-format
 msgid "-mmulticore can only be used with BF561"
-msgstr ""
+msgstr "-mmulticore chỉ có thể được dùng với BF561"
 
 #: config/bfin/bfin.c:2396
 #, gcc-internal-format
 msgid "-mcorea should be used with -mmulticore"
-msgstr ""
+msgstr "-mcorea cần được dùng với -mmulticore"
 
 #: config/bfin/bfin.c:2399
 #, gcc-internal-format
 msgid "-mcoreb should be used with -mmulticore"
-msgstr ""
+msgstr "-mcoreb cần được dùng với -mmulticore"
 
 #: config/bfin/bfin.c:2402
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "-mcorea and -mcoreb can%'t be used together"
-msgstr "-mglibc và -muclibc bị dùng với nhau"
+msgstr "-mcorea và -mcoreb không thể dùng cùng với nhau"
 
 #: config/bfin/bfin.c:4641
 #, gcc-internal-format
@@ -21100,7 +21063,7 @@
 #: config/mep/mep.c:3929
 #, gcc-internal-format
 msgid "%qE attribute only applies to variables"
-msgstr ""
+msgstr "Thuộc tính %qE chỉ được áp dụng cho các biến"
 
 #: config/bfin/bfin.c:4765
 #, gcc-internal-format
@@ -21110,7 +21073,7 @@
 #: config/c6x/c6x.c:233
 #, gcc-internal-format
 msgid "-fpic and -fPIC not supported without -mdsbt on this target"
-msgstr ""
+msgstr "-fpic và -fPIC không được hỗ trợ nếu không có -mdsbt trên đích này"
 
 #: config/c6x/c6x.h:362
 #, gcc-internal-format
@@ -21128,9 +21091,9 @@
 msgstr ""
 
 #: config/cr16/cr16.h:431
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "profiler support for CR16"
-msgstr ""
+msgstr "không có hỗ trợ từ xa cho %s@%s"
 
 #. This function is for retrieving a part of an instruction name for
 #. an operator, for immediate output.  If that ever happens for
@@ -21149,7 +21112,7 @@
 #: config/cris/cris.c:1095 config/moxie/moxie.c:189
 #, gcc-internal-format, gfc-internal-format
 msgid "internal error: bad register: %d"
-msgstr ""
+msgstr "lỗi nội bộ : thanh ghi sai: %d"
 
 #: config/cris/cris.c:1827
 #, gcc-internal-format
@@ -21170,7 +21133,7 @@
 #: config/cris/cris.c:2589
 #, gcc-internal-format, gfc-internal-format
 msgid "-max-stackframe=%d is not usable, not between 0 and %d"
-msgstr ""
+msgstr "-max-stackframe=%d là không thể dùng được, không nằm trong khoảng 0 và %d"
 
 #: config/cris/cris.c:2617
 #, gcc-internal-format, gfc-internal-format
@@ -21185,7 +21148,7 @@
 #: config/cris/cris.c:2674
 #, gcc-internal-format
 msgid "-fPIC and -fpic are not supported in this configuration"
-msgstr ""
+msgstr "-fPIC và -fpic không được hỗ trợ trong cấu hình này"
 
 #: config/cris/cris.c:2932
 #, gcc-internal-format
@@ -21200,7 +21163,7 @@
 #: config/cris/cris.c:3282
 #, gcc-internal-format, gfc-internal-format
 msgid "stackframe too big: %d bytes"
-msgstr ""
+msgstr "khung stack quá lớn: %d bytes"
 
 #: config/cris/cris.c:3777 config/cris/cris.c:3805
 #, gcc-internal-format
@@ -21250,9 +21213,9 @@
 #. We don't want to use gcc_assert for everything, as that can be
 #. compiled out.
 #: config/cris/cris.h:42
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "CRIS-port assertion failed: "
-msgstr ""
+msgstr "Việc khắng định bị lỗi tại %s:%d: %llu > %llu.\n"
 
 #. Node: Caller Saves
 #. (no definitions)
@@ -21278,37 +21241,37 @@
 #: config/epiphany/epiphany.c:1439
 #, gcc-internal-format
 msgid "stack_offset must be at least 4"
-msgstr ""
+msgstr "stack_offset bé nhất là 4"
 
 #: config/epiphany/epiphany.c:1441
 #, gcc-internal-format
 msgid "stack_offset must be a multiple of 4"
-msgstr ""
+msgstr "stack_offset phải là bội số của 4"
 
 #: config/frv/frv.c:8684
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "accumulator is not a constant integer"
-msgstr ""
+msgstr "%s không phải là một số nguyên dương hợp lệ"
 
 #: config/frv/frv.c:8689
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "accumulator number is out of bounds"
-msgstr ""
+msgstr "Địa chỉ 0x%s ở ngoại phạm vi. \n"
 
 #: config/frv/frv.c:8700
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "inappropriate accumulator for %qs"
-msgstr ""
+msgstr "ioctl không thích hợp với thiết bị"
 
 #: config/frv/frv.c:8776
 #, gcc-internal-format
 msgid "invalid IACC argument"
-msgstr ""
+msgstr "đối số IACC không hợp lệ"
 
 #: config/frv/frv.c:8799
 #, gcc-internal-format
 msgid "%qs expects a constant argument"
-msgstr ""
+msgstr "%qs cần một đối số hằng"
 
 #: config/frv/frv.c:8804
 #, gcc-internal-format
@@ -21346,56 +21309,54 @@
 msgstr ""
 
 #: config/h8300/h8300.c:320
-#, fuzzy, gcc-internal-format
-#| msgid "-fpic is not supported"
+#, gcc-internal-format
 msgid "-msx is not supported in coff"
-msgstr "-fpic không được hỗ trợ"
+msgstr "-msx không hỗ trợ trong coff"
 
 #: config/h8300/h8300.c:342
 #, gcc-internal-format
 msgid "-ms2600 is used without -ms"
-msgstr ""
+msgstr "-ms2600 được dùng mà không có -ms"
 
 #: config/h8300/h8300.c:348
 #, gcc-internal-format
 msgid "-mn is used without -mh or -ms or -msx"
-msgstr ""
+msgstr "-mn được dùng mà không có -nh hoặc -ms hay -msx"
 
 #: config/h8300/h8300.c:354
 #, gcc-internal-format
 msgid "-mexr is used without -ms"
-msgstr ""
+msgstr "-mexr được dùng mà không có -ms"
 
 #: config/h8300/h8300.c:360
-#, fuzzy, gcc-internal-format
-#| msgid "%<__int128%> is not supported for this target"
+#, gcc-internal-format
 msgid "-mint32 is not supported for H8300 and H8300L targets"
-msgstr "%<__int128%> không được hỗ trợ cho đích này"
+msgstr "-mint32 không hỗ trợ cho đích H8300 và H8300L"
 
 #: config/h8300/h8300.c:366
 #, gcc-internal-format
 msgid "-mexr is used without -ms or -msx"
-msgstr ""
+msgstr "-mexr được dùng mà không có -ms hayor -msx"
 
 #: config/h8300/h8300.c:372
 #, gcc-internal-format
 msgid "-mno-exr valid only with -ms or -msx                   - Option ignored!"
-msgstr ""
+msgstr "-mno-exr chỉ hợp lệ với -ms hay -msx                   - Tùy chọn bị bỏ qua!"
 
 #: config/i386/host-cygwin.c:62
 #, gcc-internal-format
 msgid "can%'t extend PCH file: %m"
-msgstr ""
+msgstr "không thể mở rộng tập tin PCH: %m"
 
 #: config/i386/host-cygwin.c:73
 #, gcc-internal-format
 msgid "can%'t set position in PCH file: %m"
-msgstr ""
+msgstr "Không thể đặt vị trí trong tập tin PCH: %m"
 
 #: config/i386/i386.c:3114 config/i386/i386.c:3447
 #, gcc-internal-format, gfc-internal-format
 msgid "bad value (%s) for %stune=%s %s"
-msgstr ""
+msgstr "giá trị sai (%s) cho %stune=%s %s"
 
 #: config/i386/i386.c:3117
 #, gcc-internal-format, gfc-internal-format
@@ -21406,7 +21367,7 @@
 #: config/i386/i386.c:3147
 #, gcc-internal-format
 msgid "-mstringop-strategy=rep_8byte not supported for 32-bit code"
-msgstr ""
+msgstr "-mstringop-strategy=rep_8byte không hỗ trợ mã 32-bit"
 
 #: config/i386/i386.c:3160
 #, fuzzy, gcc-internal-format
@@ -21422,22 +21383,22 @@
 #: config/i386/i386.c:3191 config/i386/i386.c:3203
 #, gcc-internal-format
 msgid "code model %qs not supported in x32 mode"
-msgstr ""
+msgstr "mô hình mã %qs không được hỗ trợ trong chế độ x32"
 
 #: config/i386/i386.c:3209 config/i386/i386.c:3218
 #, gcc-internal-format, gfc-internal-format
 msgid "code model %s does not support PIC mode"
-msgstr ""
+msgstr "mô hình mã %s không hỗ trợ chế độ PIC"
 
 #: config/i386/i386.c:3247
 #, gcc-internal-format
 msgid "-masm=intel not supported in this configuration"
-msgstr ""
+msgstr "-masm=intel không được hỗ trợ trong cấu hình này"
 
 #: config/i386/i386.c:3251
 #, gcc-internal-format, gfc-internal-format
 msgid "%i-bit mode not compiled in"
-msgstr ""
+msgstr "chế độ %i-bit chưa được biên dịch bên trong"
 
 #: config/i386/i386.c:3263 config/i386/i386.c:3417
 #, gcc-internal-format
@@ -21452,7 +21413,7 @@
 #: config/i386/i386.c:3390
 #, gcc-internal-format, gfc-internal-format
 msgid "bad value (%s) for %sarch=%s %s"
-msgstr ""
+msgstr "giá trị sai (%s) cho %sarch=%s %s"
 
 #: config/i386/i386.c:3496
 #, gcc-internal-format
@@ -21462,12 +21423,12 @@
 #: config/i386/i386.c:3499
 #, gcc-internal-format, gfc-internal-format
 msgid "-mregparm=%d is not between 0 and %d"
-msgstr ""
+msgstr "-mregparm=%d không nằm giữa 0 và %d"
 
 #: config/i386/i386.c:3540
 #, gcc-internal-format, gfc-internal-format
 msgid "%srtd%s is ignored in 64bit mode"
-msgstr ""
+msgstr "%srtd%s bị bỏ qua trong chế độ 64bit"
 
 #: config/i386/i386.c:3605
 #, gcc-internal-format
@@ -21515,29 +21476,29 @@
 msgstr ""
 
 #: config/i386/i386.c:3824
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "-mno-fentry isn%'t compatible with SEH"
-msgstr "-mas100-syntax không tương thích với -gdwarf"
+msgstr "-mno-fentry không tương thích với SEH"
 
 #: config/i386/i386.c:3896 config/rs6000/rs6000.c:3189
 #, gcc-internal-format, gfc-internal-format
 msgid "unknown option for -mrecip=%s"
-msgstr ""
+msgstr "không hiểu tùy chọn cho -mrecip=%s"
 
 #: config/i386/i386.c:4229
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "attribute %<target%> argument not a string"
-msgstr ""
+msgstr "đối số tới « program » (chương trình) không phải là một chuỗi"
 
 #: config/i386/i386.c:4295 config/i386/i386.c:4342
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "attribute(target(\"%s\")) is unknown"
-msgstr ""
+msgstr "rpcinfo: %s là dịch vụ không rõ\n"
 
 #: config/i386/i386.c:4323
 #, gcc-internal-format, gfc-internal-format
 msgid "option(\"%s\") was already specified"
-msgstr ""
+msgstr "tùy chọn (\"%s\") đã sẵn được đưa ra rồi"
 
 #: config/i386/i386.c:4933 config/i386/i386.c:4984
 #, gcc-internal-format
@@ -21713,9 +21674,8 @@
 
 #: config/i386/i386.c:14206
 #, fuzzy, gcc-internal-format
-#| msgid "invalid operand type used with operand code '%c'"
 msgid "non-integer operand used with operand code 'z'"
-msgstr "sử dụng loại toán hạng không hợp lệ với mã toán hạng '%c'"
+msgstr "sử dụng loại toán hạng không hợp lệ với mã toán hạng « %c »"
 
 #: config/i386/i386.c:28755
 #, gcc-internal-format
@@ -21723,9 +21683,9 @@
 msgstr ""
 
 #: config/i386/i386.c:28805
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "No dispatcher found for %s"
-msgstr ""
+msgstr "Không tìm thấy địa chỉ IP cho %s"
 
 #: config/i386/i386.c:28815
 #, gcc-internal-format, gfc-internal-format
@@ -21748,13 +21708,12 @@
 msgstr ""
 
 #: config/i386/i386.c:29135
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "previous declaration of %D"
-msgstr "lời tuyên bố thuộc tính"
+msgstr "khai báo trước đây của %D"
 
 #: config/i386/i386.c:29351
 #, fuzzy, gcc-internal-format
-#| msgid "-fuse-linker-plugin is not supported in this configuration"
 msgid "multiversioning needs ifunc which is not supported in this configuration"
 msgstr "-fuse-linker-plugin không được hỗ trợ trong cấu hình này"
 
@@ -21771,37 +21730,37 @@
 #: config/i386/i386.c:30171 config/i386/i386.c:31114
 #, gcc-internal-format
 msgid "the last argument must be a 2-bit immediate"
-msgstr ""
+msgstr "đối số cuối phải là giá trị trực tiếp 2-bít"
 
 #: config/i386/i386.c:30577
 #, gcc-internal-format
 msgid "the fifth argument must be an 8-bit immediate"
-msgstr ""
+msgstr "đối số thứ năm phải là giá trị trực tiếp 8-bit"
 
 #: config/i386/i386.c:30672
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "the third argument must be an 8-bit immediate"
-msgstr ""
+msgstr "patsplit: đối số thứ ba không phải không rỗng"
 
 #: config/i386/i386.c:31086
 #, gcc-internal-format
 msgid "the last argument must be an 1-bit immediate"
-msgstr ""
+msgstr "đối số cuối phải là giá trị trực tiếp 1-bít"
 
 #: config/i386/i386.c:31105
 #, gcc-internal-format
 msgid "the last argument must be a 4-bit immediate"
-msgstr ""
+msgstr "đối số cuối phải là giá trị trực tiếp 4-bít"
 
 #: config/i386/i386.c:31123
 #, gcc-internal-format
 msgid "the last argument must be a 1-bit immediate"
-msgstr ""
+msgstr "đối số cuối phải là giá trị trực tiếp 1-bít"
 
 #: config/i386/i386.c:31132
 #, gcc-internal-format
 msgid "the last argument must be a 5-bit immediate"
-msgstr ""
+msgstr "đối số cuối phải là giá trị trực tiếp 5-bít"
 
 #: config/i386/i386.c:31141
 #, gcc-internal-format
@@ -21811,12 +21770,12 @@
 #: config/i386/i386.c:31145 config/i386/i386.c:31368
 #, gcc-internal-format
 msgid "the last argument must be an 8-bit immediate"
-msgstr ""
+msgstr "đối số cuối phải là giá trị trực tiếp 8-bít"
 
 #: config/i386/i386.c:31366
 #, gcc-internal-format
 msgid "the last argument must be a 32-bit immediate"
-msgstr ""
+msgstr "đối số cuối phải là giá trị trực tiếp 32-bít"
 
 #: config/i386/i386.c:31433 config/rs6000/rs6000.c:10657
 #, gcc-internal-format
@@ -21831,28 +21790,27 @@
 #: config/i386/i386.c:31602
 #, gcc-internal-format
 msgid "%qE needs isa option %s"
-msgstr ""
+msgstr "%qE cần là tùy chọn %s"
 
 #: config/i386/i386.c:31931
 #, gcc-internal-format
 msgid "last argument must be an immediate"
-msgstr ""
+msgstr "đối số cuối phải là giá trị trực tiếp"
 
 #: config/i386/i386.c:32216
 #, gcc-internal-format
 msgid "last argument must be scale 1, 2, 4, 8"
-msgstr ""
+msgstr "đối số cuối phải là tỷ lệ 1, 2, 4, 8"
 
 #: config/i386/i386.c:32311
 #, fuzzy, gcc-internal-format
-#| msgid "mask must be an immediate"
 msgid "the xabort's argument must be an 8-bit immediate"
 msgstr "mặt nạ phải là một giá trị trực tiếp"
 
 #: config/i386/i386.c:34646
 #, gcc-internal-format
 msgid "%qE attribute only available for 32-bit"
-msgstr ""
+msgstr "Thuộc tính %qE chỉ dùng được trên hệ thống 32-bit"
 
 #: config/i386/i386.c:34667
 #, gcc-internal-format
@@ -21902,12 +21860,12 @@
 #: config/i386/winnt.c:492
 #, gcc-internal-format
 msgid "%q+D causes a section type conflict"
-msgstr ""
+msgstr "%q+D là nguyên nhân xung đột kiểu phần"
 
 #: config/i386/cygming.h:199
 #, gcc-internal-format
 msgid "-fPIC ignored for target (all code is position independent)"
-msgstr ""
+msgstr "-fPIC bị bỏ qua cho đích (tất cả mã là độc lập vị trí)"
 
 #: config/i386/cygming.h:205
 #, gcc-internal-format, gfc-internal-format
@@ -21917,17 +21875,17 @@
 #: config/i386/djgpp.h:157
 #, gcc-internal-format
 msgid "-mbnu210 is ignored (option is obsolete)"
-msgstr ""
+msgstr "-mbnu210 bị bỏ qua (tùy chọn này đã cũ)"
 
 #: config/ia64/ia64-c.c:51
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "malformed #pragma builtin"
-msgstr ""
+msgstr "%s: không phải dựng sẵn trình bao"
 
 #: config/ia64/ia64.c:703
 #, gcc-internal-format
 msgid "invalid argument of %qE attribute"
-msgstr ""
+msgstr "đối số của thuộc tính %qE không hợp lệ"
 
 #: config/ia64/ia64.c:716
 #, gcc-internal-format
@@ -21949,13 +21907,13 @@
 msgid "%qE attribute requires a string constant argument"
 msgstr ""
 
-#: config/ia64/ia64.c:5885 config/pa/pa.c:416 config/sh/sh.c:9351
+#: config/ia64/ia64.c:5885 config/pa/pa.c:416 config/sh/sh.c:9348
 #: config/spu/spu.c:4897
 #, gcc-internal-format
 msgid "value of -mfixed-range must have form REG1-REG2"
 msgstr ""
 
-#: config/ia64/ia64.c:5912 config/pa/pa.c:443 config/sh/sh.c:9377
+#: config/ia64/ia64.c:5912 config/pa/pa.c:443 config/sh/sh.c:9374
 #: config/spu/spu.c:4923
 #, gcc-internal-format, gfc-internal-format
 msgid "%s-%s is an empty range"
@@ -21964,7 +21922,7 @@
 #: config/ia64/ia64.c:11098
 #, gcc-internal-format
 msgid "version attribute is not a string"
-msgstr ""
+msgstr "thuộc tính phiên bản không phải là một chuỗi"
 
 #: config/iq2000/iq2000.c:1834
 #, gcc-internal-format, gfc-internal-format
@@ -21974,22 +21932,22 @@
 #: config/iq2000/iq2000.c:2596
 #, gcc-internal-format
 msgid "argument %qd is not a constant"
-msgstr ""
+msgstr "đối số %qd không phải hằng số"
 
 #: config/iq2000/iq2000.c:2899 config/xtensa/xtensa.c:2438
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "PRINT_OPERAND_ADDRESS, null pointer"
-msgstr ""
+msgstr "fr30_print_operand_address: địa chỉ chưa quản lý"
 
 #: config/iq2000/iq2000.c:3054
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "PRINT_OPERAND: Unknown punctuation '%c'"
-msgstr ""
+msgstr "fr30_print_operand: không rõ mã"
 
 #: config/iq2000/iq2000.c:3063 config/xtensa/xtensa.c:2292
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "PRINT_OPERAND null pointer"
-msgstr ""
+msgstr "xtrace_set: con trỏ tập tin NULL (vô giá trị)"
 
 #: config/m32c/m32c-pragma.c:55
 #, gcc-internal-format
@@ -22007,19 +21965,19 @@
 msgstr ""
 
 #: config/m32c/m32c-pragma.c:105
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "junk at end of #pragma ADDRESS"
-msgstr ""
+msgstr "pack có phần thừa ở cuối"
 
 #: config/m32c/m32c-pragma.c:110
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "malformed #pragma ADDRESS variable address"
-msgstr ""
+msgstr "Lời xác định dạng sai cho biến đặc trưng cho đích"
 
 #: config/m32c/m32c.c:411
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "invalid target memregs value '%d'"
-msgstr ""
+msgstr "sai xác định giá trị chênh « %s »"
 
 #: config/m32c/m32c.c:2918
 #, gcc-internal-format
@@ -22027,7 +21985,7 @@
 msgstr ""
 
 #. The argument must be a constant integer.
-#: config/m32c/m32c.c:2934 config/sh/sh.c:9570 config/sh/sh.c:9676
+#: config/m32c/m32c.c:2934 config/sh/sh.c:9567 config/sh/sh.c:9673
 #, gcc-internal-format
 msgid "%qE attribute argument not an integer constant"
 msgstr ""
@@ -22050,7 +22008,7 @@
 #: config/m32r/m32r.c:382
 #, gcc-internal-format
 msgid "invalid argument of %qs attribute"
-msgstr ""
+msgstr "đối số của thuộc tính %qs không hợp lệ"
 
 #: config/m68k/m68k.c:476
 #, gcc-internal-format, gfc-internal-format
@@ -22060,7 +22018,7 @@
 #: config/m68k/m68k.c:547
 #, gcc-internal-format
 msgid "-mpcrel -fPIC is not currently supported on selected cpu"
-msgstr ""
+msgstr "-mpcrel -fPIC hiện tại chưa được hỗ trợ trên cpu đã chọn"
 
 #: config/m68k/m68k.c:609
 #, gcc-internal-format, gfc-internal-format
@@ -22070,13 +22028,12 @@
 #: config/m68k/m68k.c:614
 #, gcc-internal-format, gfc-internal-format
 msgid "-falign-loops=%d is not supported"
-msgstr ""
+msgstr "-falign-loops=%d không được hỗ trợ"
 
 #: config/m68k/m68k.c:621
-#, fuzzy, gcc-internal-format
-#| msgid "-fuse-linker-plugin is not supported in this configuration"
+#, gcc-internal-format
 msgid "-fstack-limit- options are not supported on this cpu"
-msgstr "-fuse-linker-plugin không được hỗ trợ trong cấu hình này"
+msgstr "-fstack-limit- các tùy chọn không được hỗ trợ trên cpu này"
 
 #: config/m68k/m68k.c:736
 #, gcc-internal-format
@@ -22089,9 +22046,9 @@
 msgstr ""
 
 #: config/m68k/m68k.c:1077 config/rs6000/rs6000.c:18850
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "stack limit expression is not supported"
-msgstr ""
+msgstr "Không hỗ trợ tùy chọn « --limit » (hạn chế) với %s\n"
 
 #: config/mcore/mcore.c:2939
 #, gcc-internal-format
@@ -22106,22 +22063,22 @@
 #: config/mep/mep-pragma.c:85
 #, gcc-internal-format
 msgid "#pragma io_volatile takes only on or off"
-msgstr ""
+msgstr "#pragma io_volatile chỉ nhận on hay off"
 
 #: config/mep/mep-pragma.c:124
 #, gcc-internal-format
 msgid "invalid coprocessor register range"
-msgstr ""
+msgstr "phạm vi thanh ghi bộ đồng xử lý không hợp lệ"
 
 #: config/mep/mep-pragma.c:144
 #, gcc-internal-format
 msgid "invalid coprocessor register %qE"
-msgstr ""
+msgstr "thanh ghi bộ đồng xử lý %qE không hợp lệ"
 
 #: config/mep/mep-pragma.c:167
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "malformed coprocessor register"
-msgstr ""
+msgstr " Mili-mã lưu thanh ghi"
 
 #: config/mep/mep-pragma.c:254
 #, gcc-internal-format
@@ -22149,29 +22106,29 @@
 msgstr ""
 
 #: config/mep/mep-pragma.c:340
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "malformed #pragma disinterrupt"
-msgstr ""
+msgstr "gặp lỗi khi phân tích cú pháp của pragma: %s"
 
 #: config/mep/mep-pragma.c:354
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "malformed #pragma GCC coprocessor"
-msgstr ""
+msgstr "gặp chỉ thị \"#pragma GCC %s\" không hợp lệ"
 
 #: config/mep/mep-pragma.c:359
 #, gcc-internal-format
 msgid "coprocessor not enabled"
-msgstr ""
+msgstr "đồng xử lý chưa được bật"
 
 #: config/mep/mep-pragma.c:370
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "unknown #pragma GCC coprocessor %E"
-msgstr ""
+msgstr "gặp chỉ thị \"#pragma GCC %s\" không hợp lệ"
 
 #: config/mep/mep-pragma.c:392
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "malformed #pragma call"
-msgstr ""
+msgstr "Sai gọi hệ thống"
 
 #: config/mep/mep.c:351
 #, gcc-internal-format
@@ -22211,22 +22168,22 @@
 #: config/mep/mep.c:365
 #, gcc-internal-format
 msgid "-mclip currently has no effect without -mminmax"
-msgstr ""
+msgstr "-mclip hiện nay không chịu tác dụng gì nếu không có -mminmax"
 
 #: config/mep/mep.c:372
 #, gcc-internal-format
 msgid "-mc= must be -mc=tiny, -mc=near, or -mc=far"
-msgstr ""
+msgstr "-mc= phải là -mc=tiny, -mc=near, hay -mc=far"
 
 #: config/mep/mep.c:1374
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "unusual TP-relative address"
-msgstr ""
+msgstr "Không phải là một địa chỉ pc-relative."
 
 #: config/mep/mep.c:3350
 #, gcc-internal-format
 msgid "unconvertible operand %c %qs"
-msgstr ""
+msgstr "toán hạng không thể chuyển đổi %c %qs"
 
 #: config/mep/mep.c:3798 config/mep/mep.c:3861
 #, gcc-internal-format
@@ -22259,9 +22216,9 @@
 msgstr ""
 
 #: config/mep/mep.c:3918
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "interrupt function must have no arguments"
-msgstr ""
+msgstr "không có đối số tới hàm đặc tả"
 
 #: config/mep/mep.c:3939
 #, gcc-internal-format
@@ -22295,7 +22252,7 @@
 #: config/mep/mep.c:4148
 #, gcc-internal-format, gfc-internal-format
 msgid "\"#pragma disinterrupt %s\" not used"
-msgstr ""
+msgstr "\"#pragma disinterrupt %s\" chưa được dùng"
 
 #: config/mep/mep.c:4314
 #, gcc-internal-format
@@ -22315,7 +22272,7 @@
 #: config/mep/mep.c:4565
 #, gcc-internal-format
 msgid "variable %D of type %<cb%> must be uninitialized"
-msgstr ""
+msgstr "biến %D của kiểu %<cb%> phải không được khởi tạo"
 
 #: config/mep/mep.c:5999
 #, gcc-internal-format
@@ -22330,17 +22287,17 @@
 #: config/mep/mep.c:6005
 #, gcc-internal-format
 msgid "%qs is not available in non-VLIW functions"
-msgstr ""
+msgstr "%qs không sẵn sàng trong các hàm non-VLIW"
 
 #: config/mep/mep.c:6167 config/mep/mep.c:6284
 #, gcc-internal-format
 msgid "argument %d of %qE must be in the range %d...%d"
-msgstr ""
+msgstr "đối số %d của %qE phải nằm trong vùng %d...%d"
 
 #: config/mep/mep.c:6170
 #, gcc-internal-format
 msgid "argument %d of %qE must be a multiple of %d"
-msgstr ""
+msgstr "đối số %d của %qE phải là bội số của %d"
 
 #: config/mep/mep.c:6223
 #, gcc-internal-format
@@ -22355,7 +22312,7 @@
 #: config/mep/mep.c:6246
 #, gcc-internal-format
 msgid "argument %d of %qE must be an address"
-msgstr ""
+msgstr "đối số %d của %qE phải là một địa chỉ"
 
 #: config/mep/mep.c:7042
 #, gcc-internal-format
@@ -22363,30 +22320,39 @@
 msgstr ""
 
 #: config/mep/mep.c:7048
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "unexpected %d byte cop instruction"
-msgstr ""
+msgstr "Máy ảnh đã gửi bất thường byte 0x%02x."
 
-#: config/microblaze/microblaze.c:1311
-#, fuzzy, gcc-internal-format
-#| msgid "SPE not supported in this target"
+#: config/microblaze/microblaze.c:1676
+#, gcc-internal-format
 msgid "-fPIC/-fpic not supported for this target"
-msgstr "SPE không được hỗ trợ ở đích này"
+msgstr "-fPIC/-fpic không được hỗ trợ cho đích này"
 
-#: config/microblaze/microblaze.c:1323
+#: config/microblaze/microblaze.c:1688
 #, gcc-internal-format
 msgid "%qs is an invalid argument to -mcpu="
 msgstr ""
 
-#: config/microblaze/microblaze.c:1372
+#: config/microblaze/microblaze.c:1737
 #, gcc-internal-format
 msgid "-mxl-multiply-high can be used only with -mcpu=v6.00.a or greater"
 msgstr ""
 
-#: config/microblaze/microblaze.c:1384
+#: config/microblaze/microblaze.c:1753
 #, gcc-internal-format
+msgid "-mxl-reorder can be used only with -mcpu=v8.30.a or greater"
+msgstr "-mxl-reorder chỉ được dùng với -mcpu=v8.30.a hay lớn hơn"
+
+#: config/microblaze/microblaze.c:1759
+#, gcc-internal-format
+msgid "-mxl-reorder requires -mxl-pattern-compare for -mcpu=v8.30.a"
+msgstr "-mxl-reorder cần -mxl-pattern-compare cho -mcpu=v8.30.a"
+
+#: config/microblaze/microblaze.c:1764
+#, gcc-internal-format
 msgid "-mxl-multiply-high requires -mno-xl-soft-mul"
-msgstr ""
+msgstr "-mxl-multiply-high cần -mno-xl-soft-mul"
 
 #: config/mips/mips.c:1308 config/mips/mips.c:1310
 #, gcc-internal-format
@@ -22416,7 +22382,7 @@
 #: config/mips/mips.c:9769
 #, gcc-internal-format
 msgid "the %<interrupt%> attribute requires %<-msoft-float%>"
-msgstr ""
+msgstr "thuộc tính %<interrupt%> cần %<-msoft-float%>"
 
 #: config/mips/mips.c:9771
 #, gcc-internal-format
@@ -22429,9 +22395,9 @@
 msgstr ""
 
 #: config/mips/mips.c:13989
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "invalid argument to built-in function"
-msgstr ""
+msgstr "Có đối số không thuộc số đối với `%s' có sẵn"
 
 #: config/mips/mips.c:14190
 #, gcc-internal-format
@@ -22441,7 +22407,7 @@
 #: config/mips/mips.c:14787
 #, gcc-internal-format
 msgid "%qs does not support MIPS16 code"
-msgstr ""
+msgstr "%qs không hỗ trợ mã MIPS16"
 
 #: config/mips/mips.c:16280
 #, gcc-internal-format
@@ -22451,7 +22417,7 @@
 #: config/mips/mips.c:16283
 #, gcc-internal-format
 msgid "MIPS16 -mxgot code"
-msgstr ""
+msgstr "MIPS16 -mxgot mã"
 
 #: config/mips/mips.c:16286
 #, gcc-internal-format
@@ -22466,12 +22432,12 @@
 #: config/mips/mips.c:16485
 #, gcc-internal-format
 msgid "%<-march=%s%> is not compatible with the selected ABI"
-msgstr ""
+msgstr "%<-march=%s%> không tương thích với ABI đã chọn"
 
 #: config/mips/mips.c:16500
 #, gcc-internal-format
 msgid "%<-mgp64%> used with a 32-bit processor"
-msgstr ""
+msgstr "%<-mgp64%> được dùng với bộ xử lý 32-bit"
 
 #: config/mips/mips.c:16502
 #, gcc-internal-format
@@ -22481,12 +22447,12 @@
 #: config/mips/mips.c:16504
 #, gcc-internal-format
 msgid "%<-mgp64%> used with a 32-bit ABI"
-msgstr ""
+msgstr "%<-mgp64%> được dùng với 32-bit ABI"
 
 #: config/mips/mips.c:16520 config/mips/mips.c:16522 config/mips/mips.c:16613
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "unsupported combination: %s"
-msgstr ""
+msgstr "Theme '%s' không được hỗ trợ."
 
 #: config/mips/mips.c:16526
 #, gcc-internal-format
@@ -22496,7 +22462,7 @@
 #: config/mips/mips.c:16529
 #, gcc-internal-format
 msgid "%<-mgp32%> and %<-mfp64%> can only be combined when using the o32 ABI"
-msgstr ""
+msgstr "%<-mgp32%> và %<-mfp64%> chỉ có thể được tổ hợp cùng nhau khi sử dụng o32 ABI"
 
 #: config/mips/mips.c:16552 config/mips/mips.c:16554 config/mips/mips.c:16567
 #, gcc-internal-format
@@ -22509,9 +22475,9 @@
 #. and 64-bit pointers, so we treat the abicalls case as
 #. an error.
 #: config/mips/mips.c:16561
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "the combination of %qs and %qs is incompatible with %qs"
-msgstr ""
+msgstr "--delete là xung khắc với các tùy chọn --all, --mirror và --tags"
 
 #: config/mips/mips.c:16607
 #, gcc-internal-format
@@ -22525,14 +22491,13 @@
 
 #: config/mips/mips.c:16624
 #, fuzzy, gcc-internal-format
-#| msgid "Positive exponent width required"
 msgid "position-independent code requires %qs"
 msgstr "Yêu cầu chiều rộng lũy thừa dương"
 
 #: config/mips/mips.c:16657
 #, gcc-internal-format
 msgid "%<-mno-gpopt%> needs %<-mexplicit-relocs%>"
-msgstr ""
+msgstr "%<-mno-gpopt%> cần %<-mexplicit-relocs%>"
 
 #: config/mips/mips.c:16665 config/mips/mips.c:16668
 #, gcc-internal-format
@@ -22542,12 +22507,12 @@
 #: config/mips/mips.c:16678
 #, gcc-internal-format
 msgid "%<-mips3d%> requires %<-mpaired-single%>"
-msgstr ""
+msgstr "%<-mips3d%> cần %<-mpaired-single%>"
 
 #: config/mips/mips.c:16687
 #, gcc-internal-format
 msgid "%qs must be used with %qs"
-msgstr ""
+msgstr "%qs phải được sử dụng cùng với %qs"
 
 #: config/mips/mips.c:16694
 #, gcc-internal-format
@@ -22560,9 +22525,9 @@
 msgstr ""
 
 #: config/mips/mips.c:16805
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "%qs requires branch-likely instructions"
-msgstr ""
+msgstr "Sử dụng câu lệnh rất có thể thích hợp với nhanh (Branch Likely), thì ghi đè lên giá trị mặc định của kiến trúc đó"
 
 #: config/mips/mips.c:16809
 #, gcc-internal-format
@@ -22570,19 +22535,19 @@
 msgstr ""
 
 #: config/mips/mips.c:17259
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "mips16 function profiling"
-msgstr ""
+msgstr "Quá hạn bộ đếm thời gian theo dõi cách sử dụng tiềm năng hệ thống"
 
 #: config/mmix/mmix.c:295
 #, gcc-internal-format, gfc-internal-format
 msgid "-f%s not supported: ignored"
-msgstr ""
+msgstr "-f%s không được hỗ trợ: lờ đi"
 
 #: config/mmix/mmix.c:725
 #, gcc-internal-format
 msgid "support for mode %qs"
-msgstr ""
+msgstr "hỗ trợ cho chế độ %qs"
 
 #: config/mmix/mmix.c:739
 #, gcc-internal-format, gfc-internal-format
@@ -22600,9 +22565,9 @@
 msgstr ""
 
 #: config/mmix/mmix.c:1554 config/mmix/mmix.c:1578 config/mmix/mmix.c:1694
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "MMIX Internal: Bad register: %d"
-msgstr ""
+msgstr "MMIX nội bộ : mong đợi một thanh ghi, không phải như thế"
 
 #. Presumably there's a missing case above if we get here.
 #: config/mmix/mmix.c:1686
@@ -22621,14 +22586,14 @@
 msgstr ""
 
 #: config/mmix/mmix.c:2496 config/mmix/mmix.c:2555
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "MMIX Internal: %s is not a shiftable int"
-msgstr ""
+msgstr "MMIX nội bộ : đây không phải là một hằng số :"
 
 #: config/mn10300/mn10300.c:99
 #, gcc-internal-format
 msgid "-mtune= expects mn10300, am33, am33-2, or am34"
-msgstr ""
+msgstr "-mtune= cần mn10300, am33, am33-2, hay am34"
 
 #: config/pa/pa.c:501
 #, gcc-internal-format
@@ -22661,9 +22626,9 @@
 msgstr ""
 
 #: config/picochip/picochip.c:419
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "invalid AE type specified (%s)"
-msgstr ""
+msgstr "kiểu tham số đã cho không hợp lệ"
 
 #: config/picochip/picochip.c:442
 #, gcc-internal-format, gfc-internal-format
@@ -22711,14 +22676,14 @@
 msgstr ""
 
 #: config/picochip/picochip.c:2432
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "unknown short branch in %s (type %d)"
-msgstr ""
+msgstr "Không rõ kiểu chữ ký trong hiệu bài"
 
 #: config/picochip/picochip.c:2469
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "unknown long branch in %s (type %d)"
-msgstr ""
+msgstr "Không rõ kiểu chữ ký trong hiệu bài"
 
 #: config/picochip/picochip.c:2509 config/picochip/picochip.c:2577
 #, gcc-internal-format, gfc-internal-format
@@ -22759,22 +22724,22 @@
 #: config/rs6000/host-darwin.c:59
 #, gcc-internal-format
 msgid "Segmentation Fault (code)"
-msgstr ""
+msgstr "Segmentation Fault (mã)"
 
 #: config/rs6000/host-darwin.c:129
 #, gcc-internal-format
 msgid "Segmentation Fault"
-msgstr ""
+msgstr "Segmentation Fault"
 
 #: config/rs6000/host-darwin.c:143
 #, gcc-internal-format
 msgid "While setting up signal stack: %m"
-msgstr ""
+msgstr "Trong khi cài đặt stack tín hiệu: %m"
 
 #: config/rs6000/host-darwin.c:149
 #, gcc-internal-format
 msgid "While setting up signal handler: %m"
-msgstr ""
+msgstr "Trong khi cài đặt bộ tiếp hợp tín hiệu: %m"
 
 #. Handle the machine specific pragma longcall.  Its syntax is
 #.
@@ -22786,14 +22751,14 @@
 #. whether or not new function declarations receive a longcall
 #. attribute by default.
 #: config/rs6000/rs6000-c.c:50
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "ignoring malformed #pragma longcall"
-msgstr ""
+msgstr "%s:%d: cảnh báo: yêu cầu « .lf » dạng sai nên bỏ qua"
 
 #: config/rs6000/rs6000-c.c:63
 #, gcc-internal-format
 msgid "missing open paren"
-msgstr ""
+msgstr "thiếu paren mở"
 
 #: config/rs6000/rs6000-c.c:65
 #, gcc-internal-format
@@ -22803,17 +22768,17 @@
 #: config/rs6000/rs6000-c.c:67
 #, gcc-internal-format
 msgid "missing close paren"
-msgstr ""
+msgstr "thiếu paren đóng"
 
 #: config/rs6000/rs6000-c.c:70
 #, gcc-internal-format
 msgid "number must be 0 or 1"
-msgstr ""
+msgstr "số phải là 0 hay 1"
 
 #: config/rs6000/rs6000-c.c:73
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "junk at end of #pragma longcall"
-msgstr ""
+msgstr "pack có phần thừa ở cuối"
 
 #: config/rs6000/rs6000-c.c:3537
 #, gcc-internal-format, gfc-internal-format
@@ -22868,7 +22833,7 @@
 #: config/rs6000/rs6000.c:2322
 #, gcc-internal-format
 msgid "-m64 requires PowerPC64 architecture, enabling"
-msgstr ""
+msgstr "-m64 yêu cầu kiến trúc PowerPC64, đang bật"
 
 #: config/rs6000/rs6000.c:2405
 #, gcc-internal-format
@@ -22878,11 +22843,10 @@
 #: config/rs6000/rs6000.c:2542
 #, gcc-internal-format
 msgid "not configured for SPE ABI"
-msgstr ""
+msgstr "chưa cấu hình cho SPE ABI"
 
 #: config/rs6000/rs6000.c:2547
 #, fuzzy, gcc-internal-format
-#| msgid "Do not use PowerPC instruction set"
 msgid "not configured for SPE instruction set"
 msgstr "Đừng sử dụng tập hợp câu lệnh PowerPC"
 
@@ -22894,7 +22858,7 @@
 #: config/rs6000/rs6000.c:2560
 #, gcc-internal-format
 msgid "AltiVec not supported in this target"
-msgstr ""
+msgstr "AltiVec không được hỗ trợ ở đích này"
 
 #: config/rs6000/rs6000.c:2562 config/rs6000/rs6000.c:2567
 #, gcc-internal-format
@@ -22969,7 +22933,7 @@
 #: config/rs6000/rs6000.c:9938
 #, gcc-internal-format
 msgid "argument 1 must be a 5-bit signed literal"
-msgstr ""
+msgstr "đối số 1 phải là kiểu văn có dấu 5-bit"
 
 #: config/rs6000/rs6000.c:10041 config/rs6000/rs6000.c:11058
 #, gcc-internal-format
@@ -23019,12 +22983,12 @@
 #: config/rs6000/rs6000.c:11178
 #, gcc-internal-format
 msgid "argument 1 of __builtin_paired_predicate must be a constant"
-msgstr ""
+msgstr "đối số 1 của __builtin_paired_predicate phải là một hằng"
 
 #: config/rs6000/rs6000.c:11225
 #, gcc-internal-format
 msgid "argument 1 of __builtin_paired_predicate is out of range"
-msgstr ""
+msgstr "đối số 1 của __builtin_paired_predicate nằm ngoài phạm vi"
 
 #: config/rs6000/rs6000.c:11250
 #, gcc-internal-format
@@ -23084,7 +23048,7 @@
 #: config/rs6000/rs6000.c:18820
 #, gcc-internal-format
 msgid "stack frame too large"
-msgstr ""
+msgstr "khung stack quá lớn"
 
 #: config/rs6000/rs6000.c:22604
 #, gcc-internal-format
@@ -23137,9 +23101,9 @@
 msgstr ""
 
 #: config/rs6000/rs6000.c:27636
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "emitting microcode insn %s\t[%s] #%d"
-msgstr ""
+msgstr "chiều dài lệnh âm"
 
 #: config/rs6000/rs6000.c:27640
 #, gcc-internal-format, gfc-internal-format
@@ -23287,13 +23251,13 @@
 #: config/rs6000/aix53.h:40 config/rs6000/aix61.h:40
 #, gcc-internal-format
 msgid "-maix64 required: 64-bit computation with 32-bit addressing not yet supported"
-msgstr ""
+msgstr "-maix64 được yêu cầu: tính toán 64-bit với địa chỉ 32-bit vẫn chưa được hỗ trợ"
 
 #: config/rs6000/aix61.h:47 config/rs6000/freebsd64.h:107
 #: config/rs6000/linux64.h:130
 #, gcc-internal-format
 msgid "-mcmodel incompatible with other toc options"
-msgstr ""
+msgstr "-mcmodel không tương thích với các tùy chọn toc khác"
 
 #: config/rs6000/e500.h:37
 #, gcc-internal-format
@@ -23306,20 +23270,19 @@
 msgstr ""
 
 #: config/rs6000/e500.h:41
-#, fuzzy, gcc-internal-format
-#| msgid "-pipe not supported"
+#, gcc-internal-format
 msgid "64-bit SPE not supported"
-msgstr "không hỗ trợ -pipe"
+msgstr "không hỗ trợ 64-bit SPE"
 
 #: config/rs6000/e500.h:43
 #, gcc-internal-format
 msgid "E500 and FPRs not supported"
-msgstr ""
+msgstr "E500 và FPRs không được hỗ trợ"
 
 #: config/rs6000/freebsd64.h:100 config/rs6000/linux64.h:123
 #, gcc-internal-format
 msgid "-m64 requires a PowerPC64 cpu"
-msgstr ""
+msgstr "-m64 yêu cầu cpu PowerPC64"
 
 #. Definitions for __builtin_return_address and __builtin_frame_address.
 #. __builtin_return_address (0) should give link register (65), enable
@@ -23383,17 +23346,17 @@
 #: config/rs6000/sysv4.h:193
 #, gcc-internal-format
 msgid "-mcall-aixdesc must be big endian"
-msgstr ""
+msgstr "-mcall-aixdesc phải là big endian"
 
 #: config/rs6000/sysv4.h:198
 #, gcc-internal-format
 msgid "-msecure-plt not supported by your assembler"
-msgstr ""
+msgstr "-msecure-plt không được hỗ trợ bởi bộ dịch hợp ngữ của bạn"
 
 #: config/rs6000/sysv4.h:217
 #, gcc-internal-format, gfc-internal-format
 msgid "-m%s not supported in this configuration"
-msgstr ""
+msgstr "-m%s không được hỗ trợ trong cấu hình này"
 
 #: config/rx/rx.c:641
 #, gcc-internal-format, gfc-internal-format
@@ -23418,7 +23381,7 @@
 #: config/rx/rx.c:2509 config/xtensa/xtensa.c:3119 config/xtensa/xtensa.c:3145
 #, gcc-internal-format
 msgid "bad builtin code"
-msgstr ""
+msgstr "mã dựng sẵn sai"
 
 #: config/rx/rx.c:2620
 #, gcc-internal-format
@@ -23426,9 +23389,9 @@
 msgstr ""
 
 #: config/s390/s390.c:1596
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "z/Architecture mode not supported on %s"
-msgstr ""
+msgstr "Tính năng thu nhỏ khi đang chạy không được hỗ trợ"
 
 #: config/s390/s390.c:1598
 #, gcc-internal-format
@@ -23453,7 +23416,7 @@
 #: config/s390/s390.c:1651
 #, gcc-internal-format
 msgid "-mbackchain -mpacked-stack -mhard-float are not supported in combination"
-msgstr ""
+msgstr "-mbackchain -mpacked-stack -mhard-float không được hỗ trợ trong tổ hợp"
 
 #: config/s390/s390.c:1657
 #, gcc-internal-format
@@ -23495,98 +23458,98 @@
 msgid "%qs uses dynamic stack allocation"
 msgstr ""
 
-#: config/sh/sh.c:906
+#: config/sh/sh.c:903
 #, gcc-internal-format
 msgid "ignoring -fschedule-insns because of exception handling bug"
 msgstr ""
 
-#: config/sh/sh.c:923
+#: config/sh/sh.c:920
 #, gcc-internal-format
 msgid "unwind tables currently require either a frame pointer or -maccumulate-outgoing-args for correctness"
 msgstr ""
 
-#: config/sh/sh.c:8284
+#: config/sh/sh.c:8281
 #, gcc-internal-format
 msgid "__builtin_saveregs not supported by this subtarget"
 msgstr ""
 
-#: config/sh/sh.c:9439
+#: config/sh/sh.c:9436
 #, gcc-internal-format
 msgid "%qE attribute only applies to interrupt functions"
 msgstr ""
 
-#: config/sh/sh.c:9509
+#: config/sh/sh.c:9506
 #, gcc-internal-format
 msgid "%qE attribute is supported only for SH2A"
 msgstr ""
 
-#: config/sh/sh.c:9539
+#: config/sh/sh.c:9536
 #, gcc-internal-format
 msgid "attribute interrupt_handler is not compatible with -m5-compact"
 msgstr ""
 
-#: config/sh/sh.c:9556
+#: config/sh/sh.c:9553
 #, gcc-internal-format
 msgid "%qE attribute only applies to SH2A"
-msgstr ""
+msgstr "Thuộc tính %qE chỉ được áp dụng cho SH2A"
 
-#: config/sh/sh.c:9578
+#: config/sh/sh.c:9575
 #, gcc-internal-format
 msgid "%qE attribute argument should be between 0 to 255"
 msgstr ""
 
 #. The argument must be a constant string.
-#: config/sh/sh.c:9651
+#: config/sh/sh.c:9648
 #, gcc-internal-format
 msgid "%qE attribute argument not a string constant"
 msgstr ""
 
-#: config/sh/sh.c:12341
+#: config/sh/sh.c:12338
 #, gcc-internal-format
 msgid "r0 needs to be available as a call-clobbered register"
 msgstr ""
 
-#: config/sh/sh.c:12362
+#: config/sh/sh.c:12359
 #, gcc-internal-format
 msgid "need a second call-clobbered general purpose register"
 msgstr ""
 
-#: config/sh/sh.c:12370
-#, gcc-internal-format
+#: config/sh/sh.c:12367
+#, fuzzy, gcc-internal-format
 msgid "need a call-clobbered target register"
-msgstr ""
+msgstr "Đánh dấu thanh ghi MAC như là bị cuộc gọi ghi đè"
 
 #. FIXME
 #: config/sh/netbsd-elf.h:73
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "unimplemented-shmedia profiling"
-msgstr ""
+msgstr "Quá hạn bộ đếm thời gian theo dõi cách sử dụng tiềm năng hệ thống"
 
 #. The kernel loader cannot handle the relaxation			 relocations, so it cannot load kernel modules			 (which are ET_REL) or RTP executables (which are		 linked with --emit-relocs).  No relaxation relocations		 appear in shared libraries, so relaxation is OK		 for RTP PIC.
 #: config/sh/vxworks.h:43
 #, gcc-internal-format
 msgid "-mrelax is only supported for RTP PIC"
-msgstr ""
+msgstr "-mrelax chỉ hỗ trợ cho RTP PIC"
 
 #: config/sparc/sparc.c:1001
 #, gcc-internal-format, gfc-internal-format
 msgid "%s is not supported by this configuration"
-msgstr ""
+msgstr "%s không được hỗ trợ bởi cấu hình này"
 
 #: config/sparc/sparc.c:1008
 #, gcc-internal-format
 msgid "-mlong-double-64 not allowed with -m64"
-msgstr ""
+msgstr "-mlong-double-64 là không được phép với -m64"
 
 #: config/sparc/sparc.c:1028
 #, gcc-internal-format, gfc-internal-format
 msgid "bad value (%s) for -mcmodel= switch"
-msgstr ""
+msgstr "giá trị sai (%s) cho -mcmodel="
 
 #: config/sparc/sparc.c:1033
 #, gcc-internal-format
 msgid "-mcmodel= is not supported on 32 bit systems"
-msgstr ""
+msgstr "-mcmodel= không được hỗ trợ trên hệ thống 32"
 
 #: config/sparc/sparc.c:1040
 #, gcc-internal-format
@@ -23594,14 +23557,14 @@
 msgstr ""
 
 #: config/spu/spu-c.c:135
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "insufficient arguments to overloaded function %s"
-msgstr ""
+msgstr "Không đủ đối số (%d) tới hàm « %s »"
 
 #: config/spu/spu-c.c:166
 #, gcc-internal-format, gfc-internal-format
 msgid "too many arguments to overloaded function %s"
-msgstr ""
+msgstr "quá nhiều đối số cho hàm được quá tải %s"
 
 #: config/spu/spu-c.c:178
 #, gcc-internal-format, gfc-internal-format
@@ -23624,9 +23587,9 @@
 msgstr ""
 
 #: config/spu/spu.c:5185 config/spu/spu.c:5187
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "creating run-time relocation"
-msgstr ""
+msgstr "sai khớp phiên bản: thời_gian_biên_dịch=%d, thời_gian_chạy=%d"
 
 #: config/spu/spu.c:6322
 #, gcc-internal-format, gfc-internal-format
@@ -23651,7 +23614,7 @@
 #: config/stormy16/stormy16.c:1197
 #, gcc-internal-format
 msgid "function_profiler support"
-msgstr ""
+msgstr "hỗ trợ function_profiler"
 
 #: config/stormy16/stormy16.c:1291
 #, gcc-internal-format
@@ -23674,9 +23637,9 @@
 msgstr ""
 
 #: config/tilegx/tilegx.c:3451 config/tilepro/tilepro.c:3101
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "bad builtin icode"
-msgstr "mã điều kiện sai"
+msgstr "icode dựng sẵn sai"
 
 #: config/tilegx/tilegx.c:3492 config/tilepro/tilepro.c:3127
 #, fuzzy, gcc-internal-format
@@ -23709,14 +23672,14 @@
 msgstr ""
 
 #: config/v850/v850-c.c:169
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "unrecognized section name %qE"
-msgstr ""
+msgstr "%B: tên phần định vị lại sai « %s »"
 
 #: config/v850/v850-c.c:184
 #, gcc-internal-format
 msgid "malformed #pragma ghs section"
-msgstr ""
+msgstr "sai dạng #pragma ghs phần"
 
 #: config/v850/v850-c.c:203
 #, gcc-internal-format
@@ -23766,7 +23729,7 @@
 #: config/v850/v850.c:2261
 #, gcc-internal-format, gfc-internal-format
 msgid "bogus JR construction: %d"
-msgstr ""
+msgstr "chỉ lệnh JR giả: %d"
 
 #: config/v850/v850.c:2279 config/v850/v850.c:2386
 #, gcc-internal-format, gfc-internal-format
@@ -23776,12 +23739,12 @@
 #: config/v850/v850.c:2366
 #, gcc-internal-format, gfc-internal-format
 msgid "bogus JARL construction: %d"
-msgstr ""
+msgstr "chỉ lệnh JARL giả: %d"
 
 #: config/v850/v850.c:2663
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "bogus DISPOSE construction: %d"
-msgstr ""
+msgstr "số đếm thư giả !"
 
 #: config/v850/v850.c:2682
 #, gcc-internal-format, gfc-internal-format
@@ -23791,7 +23754,7 @@
 #: config/v850/v850.c:2784
 #, gcc-internal-format, gfc-internal-format
 msgid "bogus PREPEARE construction: %d"
-msgstr ""
+msgstr "chỉ lệnh PREPEARE giả: %d"
 
 #: config/v850/v850.c:2801
 #, gcc-internal-format, gfc-internal-format
@@ -23799,14 +23762,14 @@
 msgstr ""
 
 #: config/vms/vms-c.c:44
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "junk at end of #pragma __nostandard"
-msgstr ""
+msgstr "pack có phần thừa ở cuối"
 
 #: config/vms/vms-c.c:55
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "junk at end of #pragma __standard"
-msgstr ""
+msgstr "pack có phần thừa ở cuối"
 
 #: config/vms/vms-c.c:80
 #, gcc-internal-format
@@ -23839,9 +23802,9 @@
 msgstr ""
 
 #: config/vms/vms-c.c:223
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "extern model globalvalue"
-msgstr ""
+msgstr " [bộ nhớ=chế độ khối]"
 
 #: config/vms/vms-c.c:228
 #, gcc-internal-format, gfc-internal-format
@@ -23856,7 +23819,7 @@
 #: config/vms/vms-c.c:248
 #, gcc-internal-format
 msgid "vms '#pragma __message' is ignored"
-msgstr ""
+msgstr "vms '#pragma __message' bị lờ đi"
 
 #: config/vms/vms-c.c:273 config/vms/vms-c.c:279
 #, gcc-internal-format
@@ -23866,13 +23829,12 @@
 #: config/vms/vms-c.c:312 config/vms/vms-c.c:332
 #, gcc-internal-format
 msgid "malformed %<#pragma %s%>, ignoring"
-msgstr ""
+msgstr "%<#pragma %s%> sai dạng, bị bỏ qua"
 
 #: config/vms/vms-c.c:328
-#, fuzzy, gcc-internal-format
-#| msgid "invalid conversion to %<__fpreg%>"
+#, gcc-internal-format
 msgid "invalid constant in %<#pragma %s%>"
-msgstr "sai chuyển đổi sang %<__fpreg%>"
+msgstr "hằng không hợp lệ trong %<#pragma %s%>"
 
 #: config/xtensa/xtensa.c:2178
 #, gcc-internal-format
@@ -23882,7 +23844,7 @@
 #: config/xtensa/xtensa.c:2213
 #, gcc-internal-format, gfc-internal-format
 msgid "-f%s is not supported with CONST16 instructions"
-msgstr ""
+msgstr "-f%s không hỗ trợ với chỉ lệnh CONST16"
 
 #: config/xtensa/xtensa.c:2220
 #, gcc-internal-format
@@ -23902,7 +23864,7 @@
 #: ada/gcc-interface/misc.c:139
 #, gcc-internal-format
 msgid "%<-gnat%> misspelled as %<-gant%>"
-msgstr ""
+msgstr "%<-gnat%> gõ nhầm là %<-gant%>"
 
 #: ada/gcc-interface/misc.c:241
 #, gcc-internal-format
@@ -23913,7 +23875,7 @@
 #: ada/gcc-interface/utils.c:6213 ada/gcc-interface/utils.c:6267
 #, gcc-internal-format
 msgid "%qs attribute ignored"
-msgstr ""
+msgstr "thuộc tính %qs bị bỏ qua"
 
 #: ada/gcc-interface/utils.c:6114
 #, gcc-internal-format
@@ -23984,17 +23946,17 @@
 #: c/c-decl.c:1112 cp/decl.c:372
 #, gcc-internal-format
 msgid "label %q+D used but not defined"
-msgstr ""
+msgstr "nhãn %q+D được dùng nhưng chưa định nghĩa"
 
 #: c/c-decl.c:1157
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "nested function %q+D declared but never defined"
-msgstr ""
+msgstr "hàm « %s » được định nghĩa nhưng mà chưa được gọi trực tiếp bao giờ"
 
 #: c/c-decl.c:1169
 #, gcc-internal-format
 msgid "inline function %q+D declared but never defined"
-msgstr ""
+msgstr "hàm chung dòng %q+D được khai báo nhưng chưa bao giờ được định nghĩa"
 
 #: c/c-decl.c:1186 cp/decl.c:634
 #, gcc-internal-format
@@ -24014,7 +23976,7 @@
 #: c/c-decl.c:1474 c/c-decl.c:5869 c/c-decl.c:6699 c/c-decl.c:7410
 #, gcc-internal-format
 msgid "originally defined here"
-msgstr ""
+msgstr "định nghĩa lần đầu ở đây"
 
 #: c/c-decl.c:1544
 #, gcc-internal-format
@@ -24051,7 +24013,7 @@
 #: c/c-decl.c:1635
 #, gcc-internal-format
 msgid "previous definition of %q+D was here"
-msgstr ""
+msgstr "khai báo trước đây của %q+D là đây"
 
 #: c/c-decl.c:1637
 #, gcc-internal-format
@@ -24061,7 +24023,7 @@
 #: c/c-decl.c:1639
 #, gcc-internal-format
 msgid "previous declaration of %q+D was here"
-msgstr ""
+msgstr "khai báo trước đây của %q+D ở đây"
 
 #: c/c-decl.c:1679
 #, gcc-internal-format
@@ -24074,14 +24036,14 @@
 msgstr ""
 
 #: c/c-decl.c:1686 c/c-decl.c:1859 c/c-decl.c:2571
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "declaration of %q+D shadows a built-in function"
-msgstr ""
+msgstr "kết thúc tập tin bất thường trong lời tuyên bố hàm"
 
 #: c/c-decl.c:1695
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "redeclaration of enumerator %q+D"
-msgstr ""
+msgstr "%s khai báo lại cho %s"
 
 #. If types don't match for a built-in, throw away the
 #. built-in.  No point in calling locate_old_decl here, it
@@ -24112,9 +24074,9 @@
 msgstr ""
 
 #: c/c-decl.c:1787
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "conflicting type qualifiers for %q+D"
-msgstr ""
+msgstr "không rõ kiểu nhịp cầu %s cho %s"
 
 #: c/c-decl.c:1812
 #, gcc-internal-format
@@ -24127,29 +24089,29 @@
 msgstr ""
 
 #: c/c-decl.c:1832
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "redefinition of typedef %q+D"
-msgstr ""
+msgstr "<lỗi xác định loại>"
 
 #: c/c-decl.c:1885 c/c-decl.c:1988
 #, gcc-internal-format
 msgid "redefinition of %q+D"
-msgstr ""
+msgstr "định nghĩa lại của %q+D"
 
 #: c/c-decl.c:1920 c/c-decl.c:2026
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "static declaration of %q+D follows non-static declaration"
-msgstr ""
+msgstr "Không có khoảng trắng theo sau %s(): %s\n"
 
 #: c/c-decl.c:1930 c/c-decl.c:1938 c/c-decl.c:2016 c/c-decl.c:2023
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "non-static declaration of %q+D follows static declaration"
-msgstr ""
+msgstr "Không có khoảng trắng theo sau %s(): %s\n"
 
 #: c/c-decl.c:1954
 #, gcc-internal-format
 msgid "%<gnu_inline%> attribute present on %q+D"
-msgstr ""
+msgstr "thuộc tính %<gnu_inline%> hiện tại trên %q+D"
 
 #: c/c-decl.c:1957
 #, gcc-internal-format
@@ -24177,9 +24139,9 @@
 msgstr ""
 
 #: c/c-decl.c:2050
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "redeclaration of %q+D with no linkage"
-msgstr ""
+msgstr "không cho phép đặt tên của thư mục và dùng tùy chọn $name"
 
 #: c/c-decl.c:2076
 #, gcc-internal-format
@@ -24199,12 +24161,12 @@
 #: c/c-decl.c:2112
 #, gcc-internal-format
 msgid "redefinition of parameter %q+D"
-msgstr ""
+msgstr "định nghĩa lại của đối số %q+D"
 
 #: c/c-decl.c:2139
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "redundant redeclaration of %q+D"
-msgstr ""
+msgstr "%s khai báo lại cho %s"
 
 #: c/c-decl.c:2548
 #, gcc-internal-format
@@ -24212,14 +24174,14 @@
 msgstr ""
 
 #: c/c-decl.c:2553
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "declaration of %q+D shadows a parameter"
-msgstr ""
+msgstr "hàm « %s »: tham số « %s » che biến toàn cục"
 
 #: c/c-decl.c:2565 cp/name-lookup.c:1194
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "declaration of %qD shadows a global declaration"
-msgstr ""
+msgstr "hàm « %s »: tham số « %s » che biến toàn cục"
 
 #: c/c-decl.c:2576
 #, gcc-internal-format
@@ -24227,9 +24189,9 @@
 msgstr ""
 
 #: c/c-decl.c:2580 cp/name-lookup.c:1153 cp/name-lookup.c:1196
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "shadowed declaration is here"
-msgstr ""
+msgstr "%B: cảnh báo : sự dùng chung ở đây\n"
 
 #: c/c-decl.c:2707
 #, gcc-internal-format
@@ -24239,7 +24201,7 @@
 #: c/c-decl.c:2883 c/c-decl.c:2886
 #, gcc-internal-format
 msgid "implicit declaration of function %qE"
-msgstr ""
+msgstr "khai báo ngầm của hàm %qE"
 
 #: c/c-decl.c:2949
 #, gcc-internal-format
@@ -24277,17 +24239,17 @@
 msgstr ""
 
 #: c/c-decl.c:3109
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "jump skips variable initialization"
-msgstr ""
+msgstr "Cảnh báo khi một bước nhảy còn thiếu sự sơ khởi biến"
 
 #: c/c-decl.c:3110 c/c-decl.c:3166 c/c-decl.c:3255
 #, gcc-internal-format
 msgid "label %qD defined here"
-msgstr ""
+msgstr "nhãn %qD được định nghĩa ở đây"
 
 #: c/c-decl.c:3111 c/c-decl.c:3383 c/c-typeck.c:6979 cp/class.c:1339
-#: cp/class.c:2928
+#: cp/class.c:2932
 #, gcc-internal-format
 msgid "%qD declared here"
 msgstr "%qD được khai báo ở đây"
@@ -24320,7 +24282,7 @@
 #: c/c-decl.c:3382 c/c-decl.c:3393
 #, gcc-internal-format
 msgid "switch starts here"
-msgstr ""
+msgstr "switch bắt đầu ở đây"
 
 #: c/c-decl.c:3392
 #, gcc-internal-format
@@ -24360,12 +24322,12 @@
 #: c/c-decl.c:3768
 #, gcc-internal-format
 msgid "%<inline%> in empty declaration"
-msgstr ""
+msgstr "%<inline%> trong khai báo trống rỗng"
 
 #: c/c-decl.c:3774
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%<_Noreturn%> in empty declaration"
-msgstr "lời tuyên bố loại có hướng"
+msgstr "%<_Noreturn%> trong khai báo trống rỗng"
 
 #: c/c-decl.c:3780
 #, gcc-internal-format
@@ -24433,7 +24395,7 @@
 #: c/c-decl.c:4030
 #, gcc-internal-format
 msgid "function %qD is initialized like a variable"
-msgstr ""
+msgstr "hàm %qD được khởi tạo giống như là một biến"
 
 #. DECL_INITIAL in a PARM_DECL is really DECL_ARG_TYPE.
 #: c/c-decl.c:4036
@@ -24455,7 +24417,7 @@
 msgid "variable %qD has initializer but incomplete type"
 msgstr ""
 
-#: c/c-decl.c:4150 cp/decl.c:4529 cp/decl.c:12970
+#: c/c-decl.c:4150 cp/decl.c:4529 cp/decl.c:12961
 #, gcc-internal-format
 msgid "inline function %q+D given attribute noinline"
 msgstr ""
@@ -24468,22 +24430,22 @@
 #: c/c-decl.c:4203 cp/init.c:2130 cp/init.c:2145
 #, gcc-internal-format
 msgid "%qD should be initialized"
-msgstr ""
+msgstr "%qD cần được khởi tạo"
 
 #: c/c-decl.c:4281
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "initializer fails to determine size of %q+D"
-msgstr ""
+msgstr "trong khi thử quyết định kích cỡ của thiết bị"
 
 #: c/c-decl.c:4286
 #, gcc-internal-format
 msgid "array size missing in %q+D"
-msgstr ""
+msgstr "thiếu kích thước mảng trong %q+D"
 
 #: c/c-decl.c:4298
 #, gcc-internal-format
 msgid "zero or negative size array %q+D"
-msgstr ""
+msgstr "mảng có kích thước bằng không hay bị âm %q+D"
 
 #: c/c-decl.c:4364
 #, gcc-internal-format
@@ -24533,7 +24495,7 @@
 #: c/c-decl.c:4762
 #, gcc-internal-format
 msgid "zero width for bit-field %qs"
-msgstr ""
+msgstr "độ rộng bằng không cho bit-field %qs"
 
 #: c/c-decl.c:4772
 #, gcc-internal-format
@@ -24568,12 +24530,12 @@
 #: c/c-decl.c:4831
 #, gcc-internal-format
 msgid "ISO C90 forbids variable length array %qE"
-msgstr ""
+msgstr "ISO C90 cấm mảng có kích thước biến đổi %qE"
 
 #: c/c-decl.c:4834
 #, gcc-internal-format
 msgid "ISO C90 forbids variable length array"
-msgstr ""
+msgstr "ISO C90 cấm mảng có kích thước biến đổi"
 
 #: c/c-decl.c:4843
 #, gcc-internal-format
@@ -24588,12 +24550,12 @@
 #: c/c-decl.c:4853
 #, gcc-internal-format
 msgid "variable length array %qE is used"
-msgstr ""
+msgstr "mảng có độ dài biến đổi %qE được dùng"
 
-#: c/c-decl.c:4857 cp/decl.c:8274
+#: c/c-decl.c:4857 cp/decl.c:8277
 #, gcc-internal-format
 msgid "variable length array is used"
-msgstr ""
+msgstr "mảng có độ dài biến đổi được dùng"
 
 #: c/c-decl.c:5016 c/c-decl.c:5364 c/c-decl.c:5374
 #, gcc-internal-format
@@ -24638,22 +24600,22 @@
 #: c/c-decl.c:5107
 #, gcc-internal-format
 msgid "function definition declared %<auto%>"
-msgstr ""
+msgstr "định nghĩa hàm được khai báo là %<auto%>"
 
 #: c/c-decl.c:5109
 #, gcc-internal-format
 msgid "function definition declared %<register%>"
-msgstr ""
+msgstr "định nghĩa hàm được khai báo là %<register%>"
 
 #: c/c-decl.c:5111
 #, gcc-internal-format
 msgid "function definition declared %<typedef%>"
-msgstr ""
+msgstr "định nghĩa hàm được khai báo là %<typedef%>"
 
 #: c/c-decl.c:5113
 #, gcc-internal-format
 msgid "function definition declared %<__thread%>"
-msgstr ""
+msgstr "định nghĩa hàm được khai báo là %<__thread%>"
 
 #: c/c-decl.c:5130
 #, gcc-internal-format
@@ -24675,10 +24637,10 @@
 msgid "storage class specified for unnamed parameter"
 msgstr ""
 
-#: c/c-decl.c:5143 cp/decl.c:9283
-#, gcc-internal-format
+#: c/c-decl.c:5143 cp/decl.c:9279
+#, fuzzy, gcc-internal-format
 msgid "storage class specified for typename"
-msgstr ""
+msgstr "%B: Không nhận ra hạng lưu trữ %d cho ký hiệu %s « %s »"
 
 #: c/c-decl.c:5160
 #, gcc-internal-format
@@ -24721,7 +24683,7 @@
 #: c/c-decl.c:5276
 #, gcc-internal-format
 msgid "declaration of %qE as array of voids"
-msgstr ""
+msgstr "sự khai báo của %qE như là mảng của void"
 
 #: c/c-decl.c:5278
 #, gcc-internal-format
@@ -24731,7 +24693,7 @@
 #: c/c-decl.c:5285
 #, gcc-internal-format
 msgid "declaration of %qE as array of functions"
-msgstr ""
+msgstr "sự khai báo của %qE như là mảng của các hàm"
 
 #: c/c-decl.c:5288
 #, gcc-internal-format
@@ -24756,43 +24718,43 @@
 #: c/c-decl.c:5335
 #, gcc-internal-format
 msgid "ISO C forbids zero-size array %qE"
-msgstr ""
+msgstr "ISO C cấm chỉ mảng có độ dài là không %qE"
 
 #: c/c-decl.c:5338
 #, gcc-internal-format
 msgid "ISO C forbids zero-size array"
-msgstr ""
+msgstr "ISO C cấm chỉ mảng có độ dài là không"
 
 #: c/c-decl.c:5347
 #, gcc-internal-format
 msgid "size of array %qE is negative"
-msgstr ""
+msgstr "kích cỡ mảng %qE bị âm"
 
 #: c/c-decl.c:5349
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "size of unnamed array is negative"
-msgstr ""
+msgstr "%s: cảnh báo : kích cỡ phông chữ âm\n"
 
 #: c/c-decl.c:5423 c/c-decl.c:5826
 #, gcc-internal-format
 msgid "size of array %qE is too large"
-msgstr ""
+msgstr "kích cỡ mảng %qE quá lớn"
 
 #: c/c-decl.c:5426 c/c-decl.c:5828
 #, gcc-internal-format
 msgid "size of unnamed array is too large"
-msgstr ""
+msgstr "kích thước của mảng chưa đặt tên là quá lớn"
 
 #: c/c-decl.c:5463
 #, gcc-internal-format
 msgid "ISO C90 does not support flexible array members"
-msgstr ""
+msgstr "ISO C90 không hỗ trợ thành viên mảng linh động"
 
 #. C99 6.7.5.2p4
 #: c/c-decl.c:5484
 #, gcc-internal-format
 msgid "%<[*]%> not in a declaration"
-msgstr ""
+msgstr "%<[*]%> không trong khai báo"
 
 #: c/c-decl.c:5497
 #, gcc-internal-format
@@ -24822,9 +24784,9 @@
 #: c/c-decl.c:5632
 #, gcc-internal-format
 msgid "function definition has qualified void return type"
-msgstr ""
+msgstr "định nghĩa hàm có kiểu trả về là void"
 
-#: c/c-decl.c:5635 cp/decl.c:9411
+#: c/c-decl.c:5635 cp/decl.c:9407
 #, gcc-internal-format
 msgid "type qualifiers ignored on function return type"
 msgstr ""
@@ -24917,12 +24879,12 @@
 #: c/c-decl.c:5850
 #, gcc-internal-format
 msgid "typedef %q+D declared %<inline%>"
-msgstr ""
+msgstr "typedef %q+D được khai báo %<inline%>"
 
 #: c/c-decl.c:5852
 #, gcc-internal-format
 msgid "typedef %q+D declared %<_Noreturn%>"
-msgstr ""
+msgstr "typedef %q+D được khai báo %<_Noreturn%>"
 
 #: c/c-decl.c:5888
 #, gcc-internal-format
@@ -24935,7 +24897,7 @@
 msgid "a member of a structure or union cannot have a variably modified type"
 msgstr ""
 
-#: c/c-decl.c:5915 cp/decl.c:8516
+#: c/c-decl.c:5915 cp/decl.c:8519
 #, gcc-internal-format
 msgid "variable or field %qE declared void"
 msgstr ""
@@ -24948,17 +24910,17 @@
 #: c/c-decl.c:5980
 #, gcc-internal-format
 msgid "parameter %q+D declared %<inline%>"
-msgstr ""
+msgstr "đối số %q+D được khai báo %<inline%>"
 
 #: c/c-decl.c:5982
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "parameter %q+D declared %<_Noreturn%>"
-msgstr ""
+msgstr "Ký hiệu %s đã được tuyên bố"
 
 #: c/c-decl.c:5995
 #, gcc-internal-format
 msgid "field %qE declared as a function"
-msgstr ""
+msgstr "trường %qE được khai báo như là một hàm"
 
 #: c/c-decl.c:6002
 #, gcc-internal-format
@@ -24976,24 +24938,24 @@
 msgstr ""
 
 #: c/c-decl.c:6086
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "cannot inline function %<main%>"
-msgstr ""
+msgstr "hàm không phải là ứng xử để chèn vào trực tiếp"
 
 #: c/c-decl.c:6088
 #, gcc-internal-format
 msgid "%<main%> declared %<_Noreturn%>"
-msgstr ""
+msgstr "%<main%> được khai báo %<_Noreturn%>"
 
 #: c/c-decl.c:6101
 #, gcc-internal-format
 msgid "ISO C99 does not support %<_Noreturn%>"
-msgstr ""
+msgstr "ISO C99 không hỗ trợ %<_Noreturn%>"
 
 #: c/c-decl.c:6104
 #, gcc-internal-format
 msgid "ISO C90 does not support %<_Noreturn%>"
-msgstr ""
+msgstr "ISO C90 không hỗ trợ %<_Noreturn%>"
 
 #: c/c-decl.c:6133
 #, gcc-internal-format
@@ -25003,12 +24965,12 @@
 #: c/c-decl.c:6143
 #, gcc-internal-format
 msgid "variable %q+D declared %<inline%>"
-msgstr ""
+msgstr "biến %q+D được khai báo %<inline%>"
 
 #: c/c-decl.c:6145
 #, gcc-internal-format
 msgid "variable %q+D declared %<_Noreturn%>"
-msgstr ""
+msgstr "biến %q+D được khai báo %<_Noreturn%>"
 
 #: c/c-decl.c:6180
 #, gcc-internal-format
@@ -25021,9 +24983,9 @@
 msgstr ""
 
 #: c/c-decl.c:6272 c/c-decl.c:7831
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "function declaration isn%'t a prototype"
-msgstr ""
+msgstr "kết thúc tập tin bất thường trong lời tuyên bố hàm"
 
 #: c/c-decl.c:6281
 #, gcc-internal-format
@@ -25031,19 +24993,19 @@
 msgstr ""
 
 #: c/c-decl.c:6319
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "parameter %u (%q+D) has incomplete type"
-msgstr ""
+msgstr "$$ của « %s » không có kiểu được khai báo"
 
 #: c/c-decl.c:6323
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "parameter %u has incomplete type"
-msgstr ""
+msgstr "$$ của « %s » không có kiểu được khai báo"
 
 #: c/c-decl.c:6334
 #, gcc-internal-format
 msgid "parameter %u (%q+D) has void type"
-msgstr ""
+msgstr "đối số %u (%q+D) có kiểu void"
 
 #: c/c-decl.c:6338
 #, gcc-internal-format, gfc-internal-format
@@ -25058,7 +25020,7 @@
 #: c/c-decl.c:6427 c/c-decl.c:6462
 #, gcc-internal-format
 msgid "%<void%> must be the only parameter"
-msgstr ""
+msgstr "%<void%> phải là đối số duy nhất"
 
 #: c/c-decl.c:6456
 #, gcc-internal-format
@@ -25069,7 +25031,7 @@
 #: c/c-decl.c:6501
 #, gcc-internal-format
 msgid "%<%s %E%> declared inside parameter list"
-msgstr ""
+msgstr "%<%s %E%> được khai báo bên trong danh sách đối số"
 
 #. The %s will be one of 'struct', 'union', or 'enum'.
 #: c/c-decl.c:6505
@@ -25100,22 +25062,22 @@
 #: c/c-decl.c:6695
 #, gcc-internal-format
 msgid "redefinition of %<union %E%>"
-msgstr ""
+msgstr "định nghĩa lại của %<union %E%>"
 
 #: c/c-decl.c:6697
 #, gcc-internal-format
 msgid "redefinition of %<struct %E%>"
-msgstr ""
+msgstr "định nghĩa lại của %<struct %E%>"
 
 #: c/c-decl.c:6706
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "nested redefinition of %<union %E%>"
-msgstr ""
+msgstr "%s: Ký hiệu « %s » đã được định nghĩa lại nhiều lần"
 
 #: c/c-decl.c:6708
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "nested redefinition of %<struct %E%>"
-msgstr ""
+msgstr "merge-recursive: đĩa bị đầy?"
 
 #: c/c-decl.c:6740 c/c-decl.c:7428
 #, gcc-internal-format
@@ -25123,9 +25085,9 @@
 msgstr ""
 
 #: c/c-decl.c:6809 cp/decl.c:4235
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "declaration does not declare anything"
-msgstr ""
+msgstr "Cảnh báo khi một lời tuyên bố không ghi rõ loại"
 
 #: c/c-decl.c:6816
 #, gcc-internal-format
@@ -25163,9 +25125,9 @@
 msgstr "struct không có thành viên nào"
 
 #: c/c-decl.c:7176
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "flexible array member in union"
-msgstr ""
+msgstr "bộ phận mảng dẻo bị sơ khởi trong một ngữ cảnh lồng nhau"
 
 #: c/c-decl.c:7182
 #, gcc-internal-format
@@ -25183,15 +25145,15 @@
 msgstr ""
 
 #: c/c-decl.c:7401
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "nested redefinition of %<enum %E%>"
-msgstr ""
+msgstr " 0 có tập tin nào bị sửa đổi"
 
 #. This enum is a named one that has been declared already.
 #: c/c-decl.c:7408
 #, gcc-internal-format
 msgid "redeclaration of %<enum %E%>"
-msgstr ""
+msgstr "khai báo lại của %<enum %E%>"
 
 #: c/c-decl.c:7483
 #, gcc-internal-format
@@ -25216,7 +25178,7 @@
 #: c/c-decl.c:7640
 #, gcc-internal-format
 msgid "overflow in enumeration values"
-msgstr ""
+msgstr "tràn giá trị liệt kê"
 
 #: c/c-decl.c:7648
 #, gcc-internal-format
@@ -25229,19 +25191,19 @@
 msgstr ""
 
 #: c/c-decl.c:7751
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "return type is an incomplete type"
-msgstr ""
+msgstr "nguồn có loại hạng không hoàn toàn"
 
 #: c/c-decl.c:7761
 #, gcc-internal-format
 msgid "return type defaults to %<int%>"
-msgstr ""
+msgstr "trả về kiểu mặc định cho %<int%>"
 
 #: c/c-decl.c:7839
 #, gcc-internal-format
 msgid "no previous prototype for %qD"
-msgstr ""
+msgstr "chưa có khai báo nguyên mẫu trước đây cho %qD"
 
 #: c/c-decl.c:7848
 #, gcc-internal-format
@@ -25251,7 +25213,7 @@
 #: c/c-decl.c:7855
 #, gcc-internal-format
 msgid "no previous declaration for %qD"
-msgstr ""
+msgstr "chưa có khai báo trước đây cho %qD"
 
 #: c/c-decl.c:7865
 #, gcc-internal-format
@@ -25266,7 +25228,7 @@
 #: c/c-decl.c:7890
 #, gcc-internal-format
 msgid "%qD is normally a non-static function"
-msgstr ""
+msgstr "%qD thường không phải là hàm non-static"
 
 #: c/c-decl.c:7927
 #, gcc-internal-format
@@ -25281,7 +25243,7 @@
 #: c/c-decl.c:7957
 #, gcc-internal-format
 msgid "parameter name omitted"
-msgstr ""
+msgstr "tên đối số bị bỏ qua"
 
 #: c/c-decl.c:7994
 #, gcc-internal-format
@@ -25289,9 +25251,9 @@
 msgstr "định nghĩa hàm theo cách cũ"
 
 #: c/c-decl.c:8003
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "parameter name missing from parameter list"
-msgstr ""
+msgstr "thiếu « ) » trong danh sách tham số bộ đối số"
 
 #: c/c-decl.c:8018
 #, gcc-internal-format
@@ -25306,7 +25268,7 @@
 #: c/c-decl.c:8033
 #, gcc-internal-format
 msgid "parameter %qD declared with void type"
-msgstr ""
+msgstr "đối số %qD được khai báo với kiểu void"
 
 #: c/c-decl.c:8062 c/c-decl.c:8066
 #, gcc-internal-format
@@ -25316,7 +25278,7 @@
 #: c/c-decl.c:8086
 #, gcc-internal-format
 msgid "parameter %qD has incomplete type"
-msgstr ""
+msgstr "đối số %qD có kiểu chưa đầy đủ"
 
 #: c/c-decl.c:8093
 #, gcc-internal-format
@@ -25331,12 +25293,12 @@
 #: c/c-decl.c:8156
 #, gcc-internal-format
 msgid "number of arguments doesn%'t match prototype"
-msgstr ""
+msgstr "số lượng đối số không giống với nó khi khai báo mẫu hàm"
 
 #: c/c-decl.c:8159 c/c-decl.c:8201 c/c-decl.c:8215
 #, gcc-internal-format
 msgid "prototype declaration"
-msgstr ""
+msgstr "khai báo mẫu trước"
 
 #: c/c-decl.c:8193
 #, gcc-internal-format
@@ -25358,15 +25320,15 @@
 msgid "argument %qD doesn%'t match prototype"
 msgstr ""
 
-#: c/c-decl.c:8396 cp/decl.c:13848
-#, gcc-internal-format
+#: c/c-decl.c:8396 cp/decl.c:13839
+#, fuzzy, gcc-internal-format
 msgid "no return statement in function returning non-void"
-msgstr ""
+msgstr "« return » (trả lại) không có giá trị, trong hàm trả lại non-void (không rỗng)"
 
 #: c/c-decl.c:8416
 #, gcc-internal-format
 msgid "parameter %qD set but not used"
-msgstr ""
+msgstr "đối số %qD đặt nhưng chưa được dùng"
 
 #. If we get here, declarations have been used in a for loop without
 #. the C99 for loop scope.  This doesn't make much sense, so don't
@@ -25394,7 +25356,7 @@
 #: c/c-decl.c:8555
 #, gcc-internal-format
 msgid "%<struct %E%> declared in %<for%> loop initial declaration"
-msgstr ""
+msgstr "%<struct %E%> được khai báo trong khai báo khởi tạo vòng lặp %<for%>"
 
 #: c/c-decl.c:8560
 #, gcc-internal-format
@@ -25426,7 +25388,7 @@
 msgid "two or more data types in declaration specifiers"
 msgstr ""
 
-#: c/c-decl.c:8924 cp/parser.c:22803
+#: c/c-decl.c:8924 cp/parser.c:22807
 #, gcc-internal-format
 msgid "%<long long long%> is too long for GCC"
 msgstr "%<long long long%> là quá dài đối với GCC"
@@ -25452,14 +25414,14 @@
 msgstr "%<__int128%> không được hỗ trợ cho đích này"
 
 #: c/c-decl.c:9240
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "ISO C does not support %<__int128%> type"
-msgstr "SH2a không hỗ trợ tình trạng về cuối nhỏ"
+msgstr "ISO C không hỗ trợ kiểu %<__int128%>"
 
 #: c/c-decl.c:9465
 #, gcc-internal-format
 msgid "ISO C does not support decimal floating point"
-msgstr ""
+msgstr "ISO C không hỗ trợ kiểu dấu chấm động hệ thập phân"
 
 #: c/c-decl.c:9488 c/c-decl.c:9732 c/c-parser.c:6232
 #, gcc-internal-format
@@ -25554,19 +25516,19 @@
 #: c/c-parser.c:1464 c/c-parser.c:2046 c/c-parser.c:3321
 #, gcc-internal-format
 msgid "unknown type name %qE"
-msgstr ""
+msgstr "không hiểu tên kiểu %qE"
 
-#: c/c-parser.c:1484 c/c-parser.c:8618 cp/parser.c:28127
+#: c/c-parser.c:1484 c/c-parser.c:8618 cp/parser.c:28131
 #, gcc-internal-format
 msgid "expected declaration specifiers"
-msgstr ""
+msgstr "cần các định danh khai báo"
 
 #: c/c-parser.c:1509 c/c-parser.c:2632
 #, gcc-internal-format
 msgid "expected %<;%>, identifier or %<(%>"
 msgstr "cần %<;%>, định danh hoặc %<(%>"
 
-#: c/c-parser.c:1527 cp/parser.c:24553 cp/parser.c:24627
+#: c/c-parser.c:1527 cp/parser.c:24557 cp/parser.c:24631
 #, gcc-internal-format
 msgid "prefix attributes are ignored for methods"
 msgstr ""
@@ -25597,7 +25559,7 @@
 #: c/c-parser.c:1708 c/c-parser.c:1724
 #, gcc-internal-format
 msgid "expected %<=%>, %<,%>, %<;%>, %<asm%> or %<__attribute__%>"
-msgstr ""
+msgstr "cần %<=%>, %<,%>, %<;%>, %<asm%> hay %<__attribute__%>"
 
 #: c/c-parser.c:1716
 #, gcc-internal-format
@@ -25607,22 +25569,22 @@
 #: c/c-parser.c:1832
 #, gcc-internal-format
 msgid "ISO C99 does not support %<_Static_assert%>"
-msgstr ""
+msgstr "ISO C99 không hỗ trợ %<_Static_assert%>"
 
 #: c/c-parser.c:1835
 #, gcc-internal-format
 msgid "ISO C90 does not support %<_Static_assert%>"
-msgstr ""
+msgstr "ISO C90 không hỗ trợ %<_Static_assert%>"
 
-#: c/c-parser.c:1860 c/c-parser.c:3388 c/c-parser.c:8673 cp/parser.c:27998
+#: c/c-parser.c:1860 c/c-parser.c:3388 c/c-parser.c:8673 cp/parser.c:28002
 #, gcc-internal-format
 msgid "expected string literal"
-msgstr ""
+msgstr "cần chuỗi văn chương"
 
 #: c/c-parser.c:1868
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "expression in static assertion is not an integer"
-msgstr ""
+msgstr "bộ sơ khởi chứa một chỉ mục mảng không phải là một biểu tượng hằng số nguyên"
 
 #: c/c-parser.c:1875
 #, fuzzy, gcc-internal-format
@@ -25632,12 +25594,12 @@
 #: c/c-parser.c:1880
 #, fuzzy, gcc-internal-format
 msgid "expression in static assertion is not constant"
-msgstr "yếu tố sơ khởi không phải hằng số"
+msgstr "bộ sơ khởi chứa một chỉ mục mảng không phải là một biểu tượng hằng số nguyên"
 
 #: c/c-parser.c:1885
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "static assertion failed: %E"
-msgstr ""
+msgstr "malloc (cấp phát bộ nhớ): lỗi khẳng định: %s\n"
 
 #: c/c-parser.c:2262 c/c-parser.c:3161 c/c-parser.c:3836 c/c-parser.c:4110
 #: c/c-parser.c:5223 c/c-parser.c:5310 c/c-parser.c:5932 c/c-parser.c:6286
@@ -25646,13 +25608,13 @@
 #: c/c-parser.c:7409 c/c-parser.c:7417 c/c-parser.c:7446 c/c-parser.c:7459
 #: c/c-parser.c:7764 c/c-parser.c:7888 c/c-parser.c:8316 c/c-parser.c:8351
 #: c/c-parser.c:8404 c/c-parser.c:8457 c/c-parser.c:8473 c/c-parser.c:8519
-#: c/c-parser.c:8798 c/c-parser.c:9873 c/c-parser.c:10676 cp/parser.c:23013
-#: cp/parser.c:25397 cp/parser.c:25427 cp/parser.c:25497 cp/parser.c:27718
+#: c/c-parser.c:8798 c/c-parser.c:9873 c/c-parser.c:10676 cp/parser.c:23017
+#: cp/parser.c:25401 cp/parser.c:25431 cp/parser.c:25501 cp/parser.c:27722
 #, gcc-internal-format
 msgid "expected identifier"
 msgstr "cần định danh"
 
-#: c/c-parser.c:2295 cp/parser.c:14837
+#: c/c-parser.c:2295 cp/parser.c:14839
 #, gcc-internal-format
 msgid "comma at end of enumerator list"
 msgstr ""
@@ -25685,7 +25647,7 @@
 #: c/c-parser.c:2594 c/c-parser.c:3650
 #, gcc-internal-format
 msgid "expected specifier-qualifier-list"
-msgstr ""
+msgstr "cần specifier-qualifier-list"
 
 #: c/c-parser.c:2605
 #, gcc-internal-format
@@ -25730,7 +25692,7 @@
 #: c/c-parser.c:3328
 #, gcc-internal-format
 msgid "expected declaration specifiers or %<...%>"
-msgstr ""
+msgstr "cần các định danh khai báo hay %<...%>"
 
 #: c/c-parser.c:3382
 #, gcc-internal-format
@@ -25770,7 +25732,7 @@
 #: c/c-parser.c:4131 c/c-parser.c:4212
 #, gcc-internal-format
 msgid "expected declaration or statement"
-msgstr ""
+msgstr "cần khai báo hay câu lệnh"
 
 #: c/c-parser.c:4163 c/c-parser.c:4193
 #, gcc-internal-format
@@ -25849,7 +25811,7 @@
 #: c/c-parser.c:5093
 #, gcc-internal-format
 msgid "%E qualifier ignored on asm"
-msgstr ""
+msgstr "từ hạn định %E bị bỏ qua trên asm"
 
 #: c/c-parser.c:5440
 #, gcc-internal-format
@@ -25859,7 +25821,7 @@
 #: c/c-parser.c:5897
 #, gcc-internal-format
 msgid "traditional C rejects the unary plus operator"
-msgstr ""
+msgstr "ngôn ngữ C truyền thống từ chối toán tử cộng một ngôi"
 
 #: c/c-parser.c:6026
 #, gcc-internal-format
@@ -25879,7 +25841,7 @@
 #: c/c-parser.c:6101
 #, gcc-internal-format
 msgid "ISO C does not allow %<%E (expression)%>"
-msgstr ""
+msgstr "ISO C không cho phép %<%E (biểu thức)%>"
 
 #: c/c-parser.c:6126
 #, gcc-internal-format
@@ -25889,7 +25851,7 @@
 #: c/c-parser.c:6297 c/c-parser.c:6747 c/c-parser.c:6766
 #, gcc-internal-format
 msgid "expected expression"
-msgstr ""
+msgstr "cần biểu thức"
 
 #: c/c-parser.c:6315
 #, gcc-internal-format
@@ -25904,7 +25866,7 @@
 #: c/c-parser.c:6520
 #, gcc-internal-format
 msgid "wrong number of arguments to %<__builtin_choose_expr%>"
-msgstr ""
+msgstr "sai số lượng đối số cho %<__builtin_choose_expr%>"
 
 #: c/c-parser.c:6536
 #, gcc-internal-format
@@ -25912,9 +25874,9 @@
 msgstr ""
 
 #: c/c-parser.c:6602
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "wrong number of arguments to %<__builtin_complex%>"
-msgstr "đối số có loại sai đối với phần bù bit"
+msgstr "đối số sai số lượng cho %<__builtin_complex%>"
 
 #: c/c-parser.c:6624
 #, gcc-internal-format
@@ -25947,14 +25909,14 @@
 msgstr ""
 
 #: c/c-parser.c:7190
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "expected identifier or %<)%>"
-msgstr "cần %<,%> hoặc %<)%>"
+msgstr "cần định danh %<)%>"
 
 #: c/c-parser.c:7286
 #, gcc-internal-format
 msgid "extra semicolon"
-msgstr ""
+msgstr "dấu chấm phẩy mở rộng"
 
 #: c/c-parser.c:7534
 #, gcc-internal-format
@@ -25981,77 +25943,77 @@
 msgid "no type or storage class may be specified here,"
 msgstr ""
 
-#: c/c-parser.c:8320 c/c-parser.c:8377 cp/parser.c:25457
-#, fuzzy, gcc-internal-format
+#: c/c-parser.c:8320 c/c-parser.c:8377 cp/parser.c:25461
+#, gcc-internal-format
 msgid "unknown property attribute"
-msgstr "<không rõ toán hạng>"
+msgstr "không hiểu thuộc tính tính chất"
 
-#: c/c-parser.c:8341 cp/parser.c:25417
+#: c/c-parser.c:8341 cp/parser.c:25421
 #, gcc-internal-format
 msgid "missing %<=%> (after %<getter%> attribute)"
 msgstr "thiếu %<=%> (sau thuộc tính %<getter%>)"
 
-#: c/c-parser.c:8344 cp/parser.c:25420
+#: c/c-parser.c:8344 cp/parser.c:25424
 #, gcc-internal-format
 msgid "missing %<=%> (after %<setter%> attribute)"
 msgstr "thiếu %<=%> (sau thuộc tính %<setter%>)"
 
-#: c/c-parser.c:8358 cp/parser.c:25435
-#, gcc-internal-format
+#: c/c-parser.c:8358 cp/parser.c:25439
+#, fuzzy, gcc-internal-format
 msgid "the %<setter%> attribute may only be specified once"
-msgstr ""
+msgstr "tùy chọn --pid có lẽ chỉ dùng một lần"
 
-#: c/c-parser.c:8363 cp/parser.c:25441
+#: c/c-parser.c:8363 cp/parser.c:25445
 #, gcc-internal-format
 msgid "setter name must terminate with %<:%>"
 msgstr ""
 
-#: c/c-parser.c:8370 cp/parser.c:25449
-#, gcc-internal-format
+#: c/c-parser.c:8370 cp/parser.c:25453
+#, fuzzy, gcc-internal-format
 msgid "the %<getter%> attribute may only be specified once"
-msgstr ""
+msgstr "tùy chọn --pid có lẽ chỉ dùng một lần"
 
-#: c/c-parser.c:8556 cp/parser.c:28042
+#: c/c-parser.c:8556 cp/parser.c:28046
 #, gcc-internal-format
 msgid "%<#pragma omp barrier%> may only be used in compound statements"
 msgstr "%<#pragma omp barrier%> chỉ có thể sử dụng trong các biểu thức phức hợp"
 
-#: c/c-parser.c:8567 cp/parser.c:28057
+#: c/c-parser.c:8567 cp/parser.c:28061
 #, gcc-internal-format
 msgid "%<#pragma omp flush%> may only be used in compound statements"
 msgstr "%<#pragma omp flush%> chỉ có thể sử dụng trong các biểu thức phức hợp"
 
-#: c/c-parser.c:8578 cp/parser.c:28073
+#: c/c-parser.c:8578 cp/parser.c:28077
 #, gcc-internal-format
 msgid "%<#pragma omp taskwait%> may only be used in compound statements"
 msgstr "%<#pragma omp taskwait%> chỉ có thể sử dụng trong các biểu thức phức hợp"
 
-#: c/c-parser.c:8589 cp/parser.c:28089
+#: c/c-parser.c:8589 cp/parser.c:28093
 #, gcc-internal-format
 msgid "%<#pragma omp taskyield%> may only be used in compound statements"
 msgstr "%<#pragma omp taskyield%> chỉ có thể sử dụng trong các biểu thức phức hợp"
 
-#: c/c-parser.c:8602 cp/parser.c:28117
+#: c/c-parser.c:8602 cp/parser.c:28121
 #, gcc-internal-format
 msgid "%<#pragma omp section%> may only be used in %<#pragma omp sections%> construct"
 msgstr "%<#pragma omp section%> chỉ có thể sử dụng trong cấu trúc %<#pragma omp sections%>"
 
-#: c/c-parser.c:8608 cp/parser.c:28032
+#: c/c-parser.c:8608 cp/parser.c:28036
 #, gcc-internal-format
 msgid "%<#pragma GCC pch_preprocess%> must be first"
-msgstr ""
+msgstr "%<#pragma GCC pch_preprocess%> phải là đầu tiên"
 
-#: c/c-parser.c:8773 cp/parser.c:25705
+#: c/c-parser.c:8773 cp/parser.c:25709
 #, gcc-internal-format
 msgid "too many %qs clauses"
 msgstr "quá nhiều mệnh đề %qs"
 
-#: c/c-parser.c:8875 cp/parser.c:25820
+#: c/c-parser.c:8875 cp/parser.c:25824
 #, gcc-internal-format
 msgid "collapse argument needs positive constant integer expression"
 msgstr ""
 
-#: c/c-parser.c:8941 cp/parser.c:25871
+#: c/c-parser.c:8941 cp/parser.c:25875
 #, gcc-internal-format
 msgid "expected %<none%> or %<shared%>"
 msgstr "cần %<none%> hoặc %<shared%>"
@@ -26064,44 +26026,44 @@
 #: c/c-parser.c:9088
 #, gcc-internal-format
 msgid "%<num_threads%> value must be positive"
-msgstr ""
+msgstr "%<num_threads%> giá trị phải dương"
 
-#: c/c-parser.c:9192 cp/parser.c:26090
+#: c/c-parser.c:9192 cp/parser.c:26094
 #, gcc-internal-format
 msgid "expected %<+%>, %<*%>, %<-%>, %<&%>, %<^%>, %<|%>, %<&&%>, %<||%>, %<min%> or %<max%>"
 msgstr "cần %<+%>, %<*%>, %<-%>, %<&%>, %<^%>, %<|%>, %<&&%>, %<||%>, %<min%> hoặc %<max%>"
 
-#: c/c-parser.c:9281 cp/parser.c:26175
+#: c/c-parser.c:9281 cp/parser.c:26179
 #, gcc-internal-format
 msgid "schedule %<runtime%> does not take a %<chunk_size%> parameter"
 msgstr ""
 
-#: c/c-parser.c:9285 cp/parser.c:26178
+#: c/c-parser.c:9285 cp/parser.c:26182
 #, gcc-internal-format
 msgid "schedule %<auto%> does not take a %<chunk_size%> parameter"
 msgstr ""
 
-#: c/c-parser.c:9303 cp/parser.c:26194
+#: c/c-parser.c:9303 cp/parser.c:26198
 #, gcc-internal-format
 msgid "invalid schedule kind"
-msgstr ""
+msgstr "kiểu lịch biểu không hợp lệ"
 
-#: c/c-parser.c:9431 cp/parser.c:26326
+#: c/c-parser.c:9431 cp/parser.c:26330
 #, gcc-internal-format
 msgid "expected %<#pragma omp%> clause"
 msgstr "cần mệnh đề %<#pragma omp%>"
 
-#: c/c-parser.c:9440 cp/parser.c:26335
+#: c/c-parser.c:9440 cp/parser.c:26339
 #, gcc-internal-format
 msgid "%qs is not valid for %qs"
 msgstr "%qs không hợp lệ cho %qs"
 
-#: c/c-parser.c:9732 cp/parser.c:26619
+#: c/c-parser.c:9732 cp/parser.c:26623
 #, gcc-internal-format
 msgid "invalid form of %<#pragma omp atomic%>"
 msgstr ""
 
-#: c/c-parser.c:9772 c/c-parser.c:9790 cp/parser.c:26650 cp/parser.c:26667
+#: c/c-parser.c:9772 c/c-parser.c:9790 cp/parser.c:26654 cp/parser.c:26671
 #, gcc-internal-format
 msgid "invalid operator for %<#pragma omp atomic%>"
 msgstr ""
@@ -26111,7 +26073,7 @@
 msgid "expected %<(%> or end of line"
 msgstr "cần %<(%> hoặc xuống dòng"
 
-#: c/c-parser.c:9932 cp/parser.c:26939
+#: c/c-parser.c:9932 cp/parser.c:26943
 #, gcc-internal-format
 msgid "for statement expected"
 msgstr "cần câu lệnh for"
@@ -26119,19 +26081,19 @@
 #: c/c-parser.c:9985 cp/semantics.c:4785 cp/semantics.c:4855
 #, gcc-internal-format
 msgid "expected iteration declaration or initialization"
-msgstr ""
+msgstr "cần khai báo nhắc lại hay sự khởi tạo"
 
 #: c/c-parser.c:10066
 #, gcc-internal-format
 msgid "not enough perfectly nested loops"
 msgstr ""
 
-#: c/c-parser.c:10119 cp/parser.c:27284
+#: c/c-parser.c:10119 cp/parser.c:27288
 #, gcc-internal-format
 msgid "collapsed loops not perfectly nested"
 msgstr ""
 
-#: c/c-parser.c:10157 cp/parser.c:27125 cp/parser.c:27163 cp/pt.c:12692
+#: c/c-parser.c:10157 cp/parser.c:27129 cp/parser.c:27167 cp/pt.c:12687
 #, gcc-internal-format
 msgid "iteration variable %qD should not be firstprivate"
 msgstr ""
@@ -26156,35 +26118,35 @@
 msgid "%<threadprivate%> %qE has incomplete type"
 msgstr ""
 
-#: c/c-parser.c:10823 cp/parser.c:27928
+#: c/c-parser.c:10823 cp/parser.c:27932
 #, gcc-internal-format
 msgid "%<__transaction_cancel%> without transactional memory support enabled"
 msgstr ""
 
-#: c/c-parser.c:10829 cp/parser.c:27934
+#: c/c-parser.c:10829 cp/parser.c:27938
 #, gcc-internal-format
 msgid "%<__transaction_cancel%> within a %<__transaction_relaxed%>"
-msgstr ""
+msgstr "%<__transaction_cancel%> nằm trong một %<__transaction_relaxed%>"
 
-#: c/c-parser.c:10838 cp/parser.c:27943
+#: c/c-parser.c:10838 cp/parser.c:27947
 #, gcc-internal-format
 msgid "outer %<__transaction_cancel%> not within outer %<__transaction_atomic%>"
-msgstr ""
+msgstr "vòng ngoài hơn %<__transaction_cancel%> không nằm trong vòng ngoài hơn %<__transaction_atomic%>"
 
-#: c/c-parser.c:10840 cp/parser.c:27946
+#: c/c-parser.c:10840 cp/parser.c:27950
 #, gcc-internal-format
 msgid "  or a %<transaction_may_cancel_outer%> function"
-msgstr ""
+msgstr "  hoặc một hàm %<transaction_may_cancel_outer%>"
 
-#: c/c-parser.c:10846 cp/parser.c:27952
+#: c/c-parser.c:10846 cp/parser.c:27956
 #, gcc-internal-format
 msgid "%<__transaction_cancel%> not within %<__transaction_atomic%>"
-msgstr ""
+msgstr "%<__transaction_cancel%> không nằm trong %<__transaction_atomic%>"
 
 #: c/c-typeck.c:208
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "%qD has an incomplete type"
-msgstr ""
+msgstr "$$ của « %s » không có kiểu được khai báo"
 
 #: c/c-typeck.c:229 c/c-typeck.c:8540 c/c-typeck.c:8582 cp/call.c:3742
 #, gcc-internal-format
@@ -26192,9 +26154,9 @@
 msgstr "sử dụng sai biểu thức void"
 
 #: c/c-typeck.c:237
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "invalid use of flexible array member"
-msgstr ""
+msgstr "sai sử dụng mảng không phải lvalue"
 
 #: c/c-typeck.c:243 cp/typeck2.c:424
 #, gcc-internal-format
@@ -26202,9 +26164,9 @@
 msgstr ""
 
 #: c/c-typeck.c:251
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "invalid use of undefined type %<%s %E%>"
-msgstr ""
+msgstr "Sử dụng một loại số nguyên 8-bit"
 
 #. If this type has a typedef-name, the TYPE_NAME is a TYPE_DECL.
 #: c/c-typeck.c:255
@@ -26238,9 +26200,9 @@
 msgstr ""
 
 #: c/c-typeck.c:1214
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "types are not quite compatible"
-msgstr ""
+msgstr "« shared » và « mdll » không tương thích với nhau"
 
 #: c/c-typeck.c:1218
 #, gcc-internal-format
@@ -26253,9 +26215,9 @@
 msgstr ""
 
 #: c/c-typeck.c:1726 c/c-typeck.c:3396
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "arithmetic on pointer to an incomplete type"
-msgstr ""
+msgstr "nguồn là một hàm trỏ tới loại không hoàn toàn"
 
 #: c/c-typeck.c:1790
 #, gcc-internal-format
@@ -26273,14 +26235,14 @@
 msgstr ""
 
 #: c/c-typeck.c:2257
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "dereferencing pointer to incomplete type"
-msgstr ""
+msgstr "nguồn là một hàm trỏ tới loại không hoàn toàn"
 
 #: c/c-typeck.c:2261
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "dereferencing %<void *%> pointer"
-msgstr ""
+msgstr "\tBảng Cái Chỉ Tên \t\t"
 
 #: c/c-typeck.c:2317
 #, gcc-internal-format
@@ -26290,7 +26252,7 @@
 #: c/c-typeck.c:2329 cp/typeck.c:2999 cp/typeck.c:3093
 #, gcc-internal-format
 msgid "array subscript is not an integer"
-msgstr ""
+msgstr "chỉ số mảng không phải là số nguyên"
 
 #: c/c-typeck.c:2335
 #, gcc-internal-format
@@ -26346,14 +26308,14 @@
 msgstr ""
 
 #: c/c-typeck.c:2951
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "too many arguments to method %qE"
-msgstr "quá nhiều đối số tới %%:version-compare"
+msgstr "quá nhiều đối số cho cho phương thức %qE"
 
 #: c/c-typeck.c:2990
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "type of formal parameter %d is incomplete"
-msgstr ""
+msgstr "nguồn có loại hạng không hoàn toàn"
 
 #: c/c-typeck.c:3005
 #, gcc-internal-format
@@ -26433,7 +26395,7 @@
 #: c/c-typeck.c:3340
 #, gcc-internal-format
 msgid "pointer to a function used in subtraction"
-msgstr ""
+msgstr "con trỏ đến hàm được dùng trong phép trừ"
 
 #: c/c-typeck.c:3504
 #, gcc-internal-format
@@ -26463,22 +26425,22 @@
 #: c/c-typeck.c:3635 c/c-typeck.c:3667
 #, gcc-internal-format
 msgid "wrong type argument to increment"
-msgstr ""
+msgstr "đối số sai kiểu cho gia số"
 
 #: c/c-typeck.c:3637 c/c-typeck.c:3670
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "wrong type argument to decrement"
-msgstr ""
+msgstr "đối số có loại sai đối với bộ tuyệt đối"
 
 #: c/c-typeck.c:3657
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "increment of pointer to unknown structure"
-msgstr ""
+msgstr "# lỗi bộ dịch ngược (disassembler) nội tại, không thừa nhận bộ sửa đổi (m%c)"
 
 #: c/c-typeck.c:3660
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "decrement of pointer to unknown structure"
-msgstr ""
+msgstr "# lỗi bộ dịch ngược (disassembler) nội tại, không thừa nhận bộ sửa đổi (m%c)"
 
 #: c/c-typeck.c:3744
 #, gcc-internal-format
@@ -26533,7 +26495,7 @@
 #: c/c-typeck.c:4236 c/c-typeck.c:4245
 #, gcc-internal-format
 msgid "ISO C forbids conditional expr between %<void *%> and function pointer"
-msgstr ""
+msgstr "ISO C cấm chỉ biểu thức điều kiện giữa %<void *%> với con trỏ hàm"
 
 #: c/c-typeck.c:4258
 #, gcc-internal-format
@@ -26564,14 +26526,14 @@
 msgstr ""
 
 #: c/c-typeck.c:4539
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "cast specifies array type"
-msgstr ""
+msgstr "%s:%d: lỗi: không cho phép kiểu cho tham chiếu mảng\n"
 
 #: c/c-typeck.c:4545
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "cast specifies function type"
-msgstr ""
+msgstr "<chưa giải quyết loại hàm quá tải>"
 
 #: c/c-typeck.c:4561
 #, gcc-internal-format
@@ -26581,7 +26543,7 @@
 #: c/c-typeck.c:4578
 #, gcc-internal-format
 msgid "ISO C forbids casts to union type"
-msgstr ""
+msgstr "ISO C cấm chỉ áp kiểu thành kiểu hỗn hợp"
 
 #: c/c-typeck.c:4588
 #, gcc-internal-format
@@ -26639,9 +26601,9 @@
 msgstr ""
 
 #: c/c-typeck.c:4926 c/c-typeck.c:5223
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "enum conversion in assignment is invalid in C++"
-msgstr ""
+msgstr "chuyển đổi enum trong bộ sơ khởi thì không hợp lệ trong C++"
 
 #. This macro is used to emit diagnostics to ensure that all format
 #. strings are complete sentences, visible to gettext and checked at
@@ -26653,7 +26615,7 @@
 #: c/c-typeck.c:5131 c/c-typeck.c:5161 c/c-typeck.c:5690
 #, gcc-internal-format
 msgid "expected %qT but argument is of type %qT"
-msgstr ""
+msgstr "cần %qT nhưng đối số là kiểu %qT"
 
 #: c/c-typeck.c:5221
 #, gcc-internal-format
@@ -26666,9 +26628,9 @@
 msgstr "chuyển đổi enum trong bộ sơ khởi thì không hợp lệ trong C++"
 
 #: c/c-typeck.c:5227
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "enum conversion in return is invalid in C++"
-msgstr ""
+msgstr "chuyển đổi enum trong bộ sơ khởi thì không hợp lệ trong C++"
 
 #: c/c-typeck.c:5256
 #, gcc-internal-format
@@ -26813,9 +26775,9 @@
 msgstr ""
 
 #: c/c-typeck.c:5632
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "return from incompatible pointer type"
-msgstr ""
+msgstr "%s đã trả lại kiểu car sai"
 
 #. ??? This should not be an error when inlining calls to
 #. unprototyped functions.
@@ -26887,7 +26849,7 @@
 #: c/c-typeck.c:5943 c/c-typeck.c:5960 c/c-typeck.c:5978
 #, gcc-internal-format
 msgid "(near initialization for %qs)"
-msgstr ""
+msgstr "(gần chỗ khởi tạo cho %qs)"
 
 #: c/c-typeck.c:5993
 #, gcc-internal-format
@@ -26972,7 +26934,6 @@
 
 #: c/c-typeck.c:6975
 #, fuzzy, gcc-internal-format
-#| msgid "missing initializer"
 msgid "missing initializer for field %qD of %qT"
 msgstr "bộ sơ khởi còn thiếu"
 
@@ -27062,9 +27023,9 @@
 msgstr "gặp yếu tố thừa trong bộ sơ khởi hợp"
 
 #: c/c-typeck.c:8260
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "traditional C rejects initialization of unions"
-msgstr ""
+msgstr "ngôn ngữ C truyền thống từ chối toán tử cộng chỉ có một tác tử"
 
 #: c/c-typeck.c:8328
 #, gcc-internal-format
@@ -27089,17 +27050,17 @@
 #: c/c-typeck.c:8653 cp/typeck.c:8093
 #, gcc-internal-format
 msgid "function declared %<noreturn%> has a %<return%> statement"
-msgstr ""
+msgstr "hàm đã khai báo %<noreturn%> có một câu lệnh %<return%>"
 
 #: c/c-typeck.c:8676
 #, gcc-internal-format
 msgid "%<return%> with no value, in function returning non-void"
-msgstr ""
+msgstr "%<return%> (trả lại) không có giá trị, trong hàm trả lại non-void (không rỗng)"
 
 #: c/c-typeck.c:8686
 #, gcc-internal-format
 msgid "%<return%> with a value, in function returning void"
-msgstr ""
+msgstr "%<return%> với một giá trị, trong hàm trả lại void (rỗng)"
 
 #: c/c-typeck.c:8688
 #, gcc-internal-format
@@ -27112,9 +27073,9 @@
 msgstr ""
 
 #: c/c-typeck.c:8829 cp/semantics.c:1032
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "switch quantity not an integer"
-msgstr ""
+msgstr "Khóa « %key:1 » không phải là số nguyên."
 
 #: c/c-typeck.c:8842
 #, gcc-internal-format
@@ -27122,9 +27083,9 @@
 msgstr ""
 
 #: c/c-typeck.c:8878 c/c-typeck.c:8886
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "case label is not an integer constant expression"
-msgstr ""
+msgstr "bộ sơ khởi chứa một chỉ mục mảng không phải là một biểu tượng hằng số nguyên"
 
 #: c/c-typeck.c:8892 cp/parser.c:8963
 #, gcc-internal-format
@@ -27142,14 +27103,14 @@
 msgstr ""
 
 #: c/c-typeck.c:9086 cp/parser.c:9994
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "break statement not within loop or switch"
-msgstr ""
+msgstr "không cho phép « break » (ngắt) nằm ở ngoại vòng lặp hay cấu trúc chọn lựa"
 
 #: c/c-typeck.c:9088 cp/parser.c:10015
 #, gcc-internal-format
 msgid "continue statement not within a loop"
-msgstr ""
+msgstr "câu lệnh `continue' nằm ở ngoài một vòng lặp"
 
 #: c/c-typeck.c:9093 cp/parser.c:10005
 #, gcc-internal-format
@@ -27159,7 +27120,7 @@
 #: c/c-typeck.c:9119 cp/cp-gimplify.c:428
 #, gcc-internal-format
 msgid "statement with no effect"
-msgstr ""
+msgstr "câu lệnh không có tác dụng"
 
 #: c/c-typeck.c:9145
 #, gcc-internal-format
@@ -27199,7 +27160,7 @@
 #: c/c-typeck.c:9988 c/c-typeck.c:9994
 #, gcc-internal-format
 msgid "ISO C forbids comparison of %<void *%> with function pointer"
-msgstr ""
+msgstr "ISO C cấm chỉ việc so sánh của %<void *%> với con trỏ hàm"
 
 #: c/c-typeck.c:10001 c/c-typeck.c:10091
 #, gcc-internal-format
@@ -27311,13 +27272,13 @@
 #: cp/call.c:3118
 #, gcc-internal-format
 msgid "  no known conversion for argument %d from %qT to %qT"
-msgstr ""
+msgstr "  không hiểu chuyển đổi cho đối số %d từ %qT thành %qT"
 
 #: cp/call.c:3129 cp/pt.c:5337
 #, gcc-internal-format, gfc-internal-format
 msgid "  candidate expects %d argument, %d provided"
 msgid_plural "  candidate expects %d arguments, %d provided"
-msgstr[0] ""
+msgstr[0] "  ứng cử cần %d đối số, %d được cung cấp"
 
 #: cp/call.c:3154
 #, gcc-internal-format
@@ -27337,17 +27298,17 @@
 #: cp/call.c:3167
 #, gcc-internal-format
 msgid "%s%T <conversion>"
-msgstr ""
+msgstr "%s%T <chuyển đổi>"
 
 #: cp/call.c:3169
 #, gcc-internal-format
 msgid "%s%#D <near match>"
-msgstr ""
+msgstr "%s%#D <gần khớp>"
 
 #: cp/call.c:3171
 #, gcc-internal-format
 msgid "%s%#D <deleted>"
-msgstr ""
+msgstr "%s%#D <xóa>"
 
 #: cp/call.c:3173
 #, gcc-internal-format
@@ -27381,9 +27342,9 @@
 msgstr ""
 
 #: cp/call.c:3589
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "conversion from %qT to %qT is ambiguous"
-msgstr ""
+msgstr "không hỗ trợ chức năng chuyển đổi từ « %s » đến « %s »"
 
 #: cp/call.c:3707
 #, gcc-internal-format
@@ -27398,7 +27359,7 @@
 #: cp/call.c:3828
 #, gcc-internal-format
 msgid "call of overloaded %<%D(%A)%> is ambiguous"
-msgstr ""
+msgstr "gọi hàm quá tải %<%D(%A)%> chưa rõ ràng"
 
 #. It's no good looking for an overloaded operator() on a
 #. pointer-to-member-function.
@@ -27408,95 +27369,89 @@
 msgstr ""
 
 #: cp/call.c:4116
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "no match for call to %<(%T) (%A)%>"
-msgstr ""
+msgstr "Cuộc gọi « %s » cho tập tin « %s » bị lỗi: %s\n"
 
 #: cp/call.c:4129
 #, gcc-internal-format
 msgid "call of %<(%T) (%A)%> is ambiguous"
-msgstr ""
+msgstr "cú gọi của %<(%T) (%A)%> chưa rõ ràng"
 
 #: cp/call.c:4177
-#, fuzzy, gcc-internal-format
-#| msgid "ambiguous method %s%s%s"
+#, gcc-internal-format
 msgid "ambiguous overload for "
-msgstr "phương thức còn mơ hồ %s%s%s"
+msgstr "quá tải chưa rõ ràng đối với"
 
 #: cp/call.c:4178
 #, gcc-internal-format
 msgid "no match for "
-msgstr ""
+msgstr "không khớp cho"
 
 #: cp/call.c:4181
 #, gcc-internal-format
 msgid " (operand types are %qT, %qT, and %qT)"
-msgstr ""
+msgstr " (các kiểu toán hạng là %qT, %qT, and %qT)"
 
 #: cp/call.c:4183
-#, fuzzy, gcc-internal-format
-#| msgid "comparison between %qT and %qT"
+#, gcc-internal-format
 msgid " (operand types are %qT and %qT)"
-msgstr "so sánh giữa %qT và %qT"
+msgstr " (các kiểu toán hạng là %qT và %qT)"
 
 #: cp/call.c:4185
 #, gcc-internal-format
 msgid " (operand type is %qT)"
-msgstr ""
+msgstr " (kiểu toán hạng là %qT)"
 
 #: cp/call.c:4205
-#, fuzzy, gcc-internal-format
-#| msgid "expected %<operator%>"
+#, gcc-internal-format
 msgid "ternary %<operator?:%>"
-msgstr "cần %<operator%>"
+msgstr "bộ tam nguyên %<operator?:%>"
 
 #: cp/call.c:4209
 #, gcc-internal-format
 msgid "ternary %<operator?:%> in %<%E ? %E : %E%>"
-msgstr ""
+msgstr "bộ tam nguyên %<operator?:%> trong %<%E ? %E : %E%>"
 
 #: cp/call.c:4218 cp/call.c:4249 cp/call.c:4258
-#, fuzzy, gcc-internal-format
-#| msgid "expected %<operator%>"
+#, gcc-internal-format
 msgid "%<operator%s%>"
-msgstr "cần %<operator%>"
+msgstr "%<operator%s%>"
 
 #: cp/call.c:4221
 #, gcc-internal-format
 msgid "%<operator%s%> in %<%E%s%>"
-msgstr ""
+msgstr "%<operator%s%> trong %<%E%s%>"
 
 #: cp/call.c:4228
-#, fuzzy, gcc-internal-format
-#| msgid "expected %<operator%>"
+#, gcc-internal-format
 msgid "%<operator[]%>"
-msgstr "cần %<operator%>"
+msgstr "%<operator[]%>"
 
 #: cp/call.c:4231
 #, gcc-internal-format
 msgid "%<operator[]%> in %<%E[%E]%>"
-msgstr ""
+msgstr "%<operator[]%> trong %<%E[%E]%>"
 
 #: cp/call.c:4239
-#, fuzzy, gcc-internal-format
-#| msgid "%s"
+#, gcc-internal-format
 msgid "%qs"
-msgstr "%s"
+msgstr "%qs"
 
 #: cp/call.c:4242
 #, gcc-internal-format
 msgid "%qs in %<%s %E%>"
-msgstr ""
+msgstr "%qs trong %<%s %E%>"
 
 #: cp/call.c:4252
 #, gcc-internal-format
 msgid "%<operator%s%> in %<%E %s %E%>"
-msgstr ""
+msgstr "%<operator%s%> trong %<%E %s %E%>"
 
 #: cp/call.c:4261
 #, gcc-internal-format
 msgid "%<operator%s%> in %<%s%E%>"
-msgstr ""
+msgstr "%<operator%s%> trong %<%s%E%>"
 
 #: cp/call.c:4359
 #, gcc-internal-format
@@ -27526,7 +27481,7 @@
 #: cp/call.c:4567 cp/call.c:4818
 #, gcc-internal-format
 msgid "operands to ?: have different types %qT and %qT"
-msgstr ""
+msgstr "các toán hạng ?: có kiểu khác %qT và %qT"
 
 #: cp/call.c:4765
 #, gcc-internal-format
@@ -27549,9 +27504,9 @@
 msgstr ""
 
 #: cp/call.c:5311
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "comparison between %q#T and %q#T"
-msgstr ""
+msgstr "một con số nằm giữa 0 và 1"
 
 #: cp/call.c:5573
 #, gcc-internal-format
@@ -27559,9 +27514,9 @@
 msgstr ""
 
 #: cp/call.c:5574
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "selected for placement delete"
-msgstr ""
+msgstr "Đã chọn %d tệp tin để truyền."
 
 #: cp/call.c:5659
 #, gcc-internal-format
@@ -27569,9 +27524,9 @@
 msgstr ""
 
 #: cp/call.c:5665
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "no suitable %<operator %s%> for %qT"
-msgstr ""
+msgstr "không có toán tử tiền gia cho loại"
 
 #: cp/call.c:5686
 #, gcc-internal-format
@@ -27591,7 +27546,7 @@
 #: cp/call.c:5691
 #, gcc-internal-format
 msgid "within this context"
-msgstr ""
+msgstr "trong ngữ cảnh này"
 
 #: cp/call.c:5742
 #, gcc-internal-format
@@ -27599,9 +27554,9 @@
 msgstr ""
 
 #: cp/call.c:5746
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "converting to non-pointer type %qT from NULL"
-msgstr ""
+msgstr "Cảnh báo về chuyển đổi NULL từ/đến một loại không phải hàm trỏ"
 
 #: cp/call.c:5755
 #, gcc-internal-format
@@ -27626,12 +27581,12 @@
 #: cp/call.c:5839 cp/cvt.c:225
 #, gcc-internal-format
 msgid "invalid conversion from %qT to %qT"
-msgstr ""
+msgstr "chuyển đổi từ %qT thành %qT không hợp lệ"
 
 #: cp/call.c:5843 cp/call.c:6065
 #, gcc-internal-format
 msgid "  initializing argument %P of %qD"
-msgstr ""
+msgstr "  đang khởi tạo đối số %P của %qD"
 
 #: cp/call.c:5887
 #, gcc-internal-format
@@ -27641,12 +27596,12 @@
 #: cp/call.c:5949 cp/call.c:6080
 #, gcc-internal-format
 msgid "  initializing argument %P of %q+D"
-msgstr ""
+msgstr "  đang khởi tạo đối số %P của %q+D"
 
 #: cp/call.c:6077
 #, gcc-internal-format
 msgid "cannot bind %qT lvalue to %qT"
-msgstr ""
+msgstr "không thể buộc %qT lvalue thành %qT"
 
 #: cp/call.c:6109
 #, gcc-internal-format
@@ -27705,126 +27660,126 @@
 msgstr ""
 
 #: cp/call.c:6773
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "%qT is not an accessible base of %qT"
-msgstr ""
+msgstr "MAP (sơ đồ) ảnh bên khách không thể truy cập được."
 
 #: cp/call.c:6852
 #, gcc-internal-format
 msgid "deducing %qT as %qT"
-msgstr ""
+msgstr "suy diễn %qT như là %qT"
 
 #: cp/call.c:6855
 #, gcc-internal-format
 msgid "  in call to %q+D"
-msgstr ""
+msgstr "  trong gọi đến %q+D"
 
 #: cp/call.c:6857
 #, gcc-internal-format
 msgid "  (you can disable this with -fno-deduce-init-list)"
 msgstr ""
 
-#: cp/call.c:7153
+#: cp/call.c:7156
 #, gcc-internal-format
 msgid "could not find class$ field in java interface type %qT"
 msgstr ""
 
-#: cp/call.c:7414
-#, gcc-internal-format
+#: cp/call.c:7417
+#, fuzzy, gcc-internal-format
 msgid "call to non-function %qD"
-msgstr ""
+msgstr "cuộc gọi chưa được chấm dứt cho hàm « %s »: thiếu « %c »"
 
-#: cp/call.c:7459 cp/typeck.c:2680
+#: cp/call.c:7462 cp/typeck.c:2680
 #, gcc-internal-format
 msgid "cannot call constructor %<%T::%D%> directly"
-msgstr ""
+msgstr "không thể gọi cấu tử %<%T::%D%> một cách trực tiếp"
 
-#: cp/call.c:7461
+#: cp/call.c:7464
 #, gcc-internal-format
 msgid "  for a function-style cast, remove the redundant %<::%D%>"
 msgstr ""
 
-#: cp/call.c:7578
+#: cp/call.c:7581
 #, gcc-internal-format
 msgid "no matching function for call to %<%T::operator %T(%A)%#V%>"
 msgstr ""
 
-#: cp/call.c:7591
+#: cp/call.c:7594
 #, gcc-internal-format
 msgid "no matching function for call to %<%T::%s(%A)%#V%>"
 msgstr ""
 
-#: cp/call.c:7616
+#: cp/call.c:7619
 #, gcc-internal-format
 msgid "call of overloaded %<%s(%A)%> is ambiguous"
-msgstr ""
+msgstr "gọi hàm quá tải %<%s(%A)%> chưa rõ ràng"
 
-#: cp/call.c:7645
+#: cp/call.c:7661
 #, gcc-internal-format
 msgid "cannot call member function %qD without object"
 msgstr ""
 
-#: cp/call.c:8410
+#: cp/call.c:8428
 #, gcc-internal-format
 msgid "passing %qT chooses %qT over %qT"
 msgstr ""
 
-#: cp/call.c:8412 cp/name-lookup.c:5552
+#: cp/call.c:8430 cp/name-lookup.c:5547
 #, gcc-internal-format
 msgid "  in call to %qD"
-msgstr ""
+msgstr "  trong gọi đến %qD"
 
-#: cp/call.c:8470
+#: cp/call.c:8488
 #, gcc-internal-format
 msgid "choosing %qD over %qD"
 msgstr "đóng %qD thông qua %qD"
 
-#: cp/call.c:8471
+#: cp/call.c:8489
 #, gcc-internal-format
 msgid "  for conversion from %qT to %qT"
 msgstr "  cho chuyển đổi từ %qT thành %qT"
 
-#: cp/call.c:8474
+#: cp/call.c:8492
 #, gcc-internal-format
 msgid "  because conversion sequence for the argument is better"
 msgstr ""
 
-#: cp/call.c:8628
+#: cp/call.c:8646
 #, gcc-internal-format
 msgid "default argument mismatch in overload resolution"
 msgstr ""
 
-#: cp/call.c:8631
+#: cp/call.c:8649
 #, gcc-internal-format
 msgid " candidate 1: %q+#F"
 msgstr " ứng cử 1: %q+#F"
 
-#: cp/call.c:8633
+#: cp/call.c:8651
 #, gcc-internal-format
 msgid " candidate 2: %q+#F"
 msgstr " ứng cử 2: %q+#F"
 
-#: cp/call.c:8677
+#: cp/call.c:8695
 #, gcc-internal-format
 msgid "ISO C++ says that these are ambiguous, even though the worst conversion for the first is better than the worst conversion for the second:"
 msgstr ""
 
-#: cp/call.c:8841
+#: cp/call.c:8859
 #, gcc-internal-format
 msgid "could not convert %qE from %qT to %qT"
 msgstr "không thể chuyển đổi %qE từ %qT thành %qT"
 
-#: cp/call.c:9034
+#: cp/call.c:9052
 #, gcc-internal-format
 msgid "a temporary bound to %qD only persists until the constructor exits"
 msgstr ""
 
-#: cp/call.c:9150
+#: cp/call.c:9168
 #, gcc-internal-format
 msgid "invalid initialization of non-const reference of type %qT from an rvalue of type %qT"
 msgstr ""
 
-#: cp/call.c:9154
+#: cp/call.c:9172
 #, gcc-internal-format
 msgid "invalid initialization of reference of type %qT from expression of type %qT"
 msgstr ""
@@ -27845,10 +27800,9 @@
 msgstr ""
 
 #: cp/class.c:1120
-#, fuzzy, gcc-internal-format
-#| msgid "  %qT is not derived from %qT"
+#, gcc-internal-format
 msgid "%q#D inherited from %qT"
-msgstr "  %qT không được dẫn xuất từ %qT"
+msgstr "%q#D kế thừa từ %qT"
 
 #: cp/class.c:1123
 #, gcc-internal-format
@@ -27878,17 +27832,17 @@
 #: cp/class.c:1277 cp/class.c:1285
 #, gcc-internal-format
 msgid "%q+D invalid in %q#T"
-msgstr ""
+msgstr "%q+D không hợp lệ trong %q#T"
 
 #: cp/class.c:1278
 #, gcc-internal-format
 msgid "  because of local method %q+#D with same name"
-msgstr ""
+msgstr "  bởi vì phương thức nội bộ %q+#D có cùng tên"
 
 #: cp/class.c:1286
 #, gcc-internal-format
 msgid "  because of local member %q+#D with same name"
-msgstr ""
+msgstr "  bởi vì thành viên nội bộ %q+#D có cùng tên"
 
 #: cp/class.c:1329
 #, gcc-internal-format
@@ -27896,10 +27850,9 @@
 msgstr ""
 
 #: cp/class.c:1331 cp/class.c:1341
-#, fuzzy, gcc-internal-format
-#| msgid "%qD declared here"
+#, gcc-internal-format
 msgid "%qT declared here"
-msgstr "%qD được khai báo ở đây"
+msgstr "%qT được khai báo ở đây"
 
 #: cp/class.c:1336
 #, gcc-internal-format
@@ -27936,350 +27889,350 @@
 msgid "no unique final overrider for %qD in %qT"
 msgstr ""
 
-#: cp/class.c:2648
+#: cp/class.c:2652
 #, gcc-internal-format
 msgid "%q+#D marked final, but is not virtual"
 msgstr ""
 
-#: cp/class.c:2650
-#, gcc-internal-format
+#: cp/class.c:2654
+#, fuzzy, gcc-internal-format
 msgid "%q+#D marked override, but does not override"
-msgstr ""
+msgstr "« %s » không dùng %%m còn « %s » có phải dùng %%m"
 
 #. Here we know it is a hider, and no overrider exists.
-#: cp/class.c:2719
+#: cp/class.c:2723
 #, gcc-internal-format
 msgid "%q+D was hidden"
 msgstr "%q+D bị ẩn"
 
-#: cp/class.c:2720
+#: cp/class.c:2724
 #, gcc-internal-format
 msgid "  by %q+D"
 msgstr "  bởi %q+D"
 
-#: cp/class.c:2763 cp/decl2.c:1365
+#: cp/class.c:2767 cp/decl2.c:1365
 #, gcc-internal-format
 msgid "%q+#D invalid; an anonymous union can only have non-static data members"
 msgstr ""
 
-#: cp/class.c:2766
+#: cp/class.c:2770
 #, gcc-internal-format
 msgid "%q+#D invalid; an anonymous struct can only have non-static data members"
 msgstr ""
 
-#: cp/class.c:2774 cp/decl2.c:1371
+#: cp/class.c:2778 cp/decl2.c:1371
 #, gcc-internal-format
 msgid "private member %q+#D in anonymous union"
-msgstr ""
+msgstr "thành viên riêng %q+#D trong hỗn hợp nặc danh"
 
-#: cp/class.c:2776
+#: cp/class.c:2780
 #, gcc-internal-format
 msgid "private member %q+#D in anonymous struct"
-msgstr ""
+msgstr "thành viên riêng %q+#D trong cấu trúc nặc danh"
 
-#: cp/class.c:2781 cp/decl2.c:1373
+#: cp/class.c:2785 cp/decl2.c:1373
 #, gcc-internal-format
 msgid "protected member %q+#D in anonymous union"
 msgstr ""
 
-#: cp/class.c:2783
+#: cp/class.c:2787
 #, gcc-internal-format
 msgid "protected member %q+#D in anonymous struct"
 msgstr ""
 
-#: cp/class.c:2927
+#: cp/class.c:2931
 #, gcc-internal-format
 msgid "the ellipsis in %qD is not inherited"
 msgstr ""
 
-#: cp/class.c:3103
+#: cp/class.c:3106
 #, gcc-internal-format
 msgid "bit-field %q+#D with non-integral type"
 msgstr ""
 
-#: cp/class.c:3119
+#: cp/class.c:3122
 #, gcc-internal-format
 msgid "bit-field %q+D width not an integer constant"
 msgstr ""
 
-#: cp/class.c:3124
+#: cp/class.c:3127
 #, gcc-internal-format
 msgid "negative width in bit-field %q+D"
-msgstr ""
+msgstr "độ rộng bị âm trong trường bít %q+D"
 
-#: cp/class.c:3129
+#: cp/class.c:3132
 #, gcc-internal-format
 msgid "zero width for bit-field %q+D"
-msgstr ""
+msgstr "trường bít %q+D có độ rộng là không"
 
-#: cp/class.c:3135
+#: cp/class.c:3138
 #, gcc-internal-format
 msgid "width of %q+D exceeds its type"
 msgstr ""
 
-#: cp/class.c:3139
+#: cp/class.c:3142
 #, gcc-internal-format
 msgid "%q+D is too small to hold all values of %q#T"
 msgstr ""
 
-#: cp/class.c:3198
+#: cp/class.c:3201
 #, gcc-internal-format
 msgid "member %q+#D with constructor not allowed in union"
 msgstr ""
 
-#: cp/class.c:3201
+#: cp/class.c:3204
 #, gcc-internal-format
 msgid "member %q+#D with destructor not allowed in union"
 msgstr ""
 
-#: cp/class.c:3203
+#: cp/class.c:3206
 #, gcc-internal-format
 msgid "member %q+#D with copy assignment operator not allowed in union"
 msgstr ""
 
-#: cp/class.c:3207
+#: cp/class.c:3210
 #, gcc-internal-format
 msgid "unrestricted unions only available with -std=c++11 or -std=gnu++11"
 msgstr ""
 
-#: cp/class.c:3244
+#: cp/class.c:3247
 #, gcc-internal-format
 msgid "multiple fields in union %qT initialized"
 msgstr ""
 
-#: cp/class.c:3329
+#: cp/class.c:3332
 #, gcc-internal-format
 msgid "%q+D may not be static because it is a member of a union"
 msgstr ""
 
-#: cp/class.c:3334
+#: cp/class.c:3337
 #, gcc-internal-format
 msgid "%q+D may not have reference type %qT because it is a member of a union"
 msgstr ""
 
-#: cp/class.c:3345
+#: cp/class.c:3348
 #, gcc-internal-format
 msgid "field %q+D invalidly declared function type"
 msgstr ""
 
-#: cp/class.c:3351
+#: cp/class.c:3354
 #, gcc-internal-format
 msgid "field %q+D invalidly declared method type"
 msgstr ""
 
-#: cp/class.c:3407
+#: cp/class.c:3410
 #, gcc-internal-format
 msgid "ignoring packed attribute because of unpacked non-POD field %q+#D"
 msgstr ""
 
-#: cp/class.c:3504
+#: cp/class.c:3507
 #, gcc-internal-format
 msgid "field %q+#D with same name as class"
 msgstr ""
 
-#: cp/class.c:3527
+#: cp/class.c:3530
 #, gcc-internal-format
 msgid "%q#T has pointer data members"
-msgstr ""
+msgstr "%q#T có thành viên dữ liệu con trỏ"
 
-#: cp/class.c:3532
+#: cp/class.c:3535
 #, gcc-internal-format
 msgid "  but does not override %<%T(const %T&)%>"
-msgstr ""
+msgstr "  nhưng không đè %<%T(const %T&)%>"
 
-#: cp/class.c:3534
+#: cp/class.c:3537
 #, gcc-internal-format
 msgid "  or %<operator=(const %T&)%>"
-msgstr ""
+msgstr "  hoặc %<operator=(const %T&)%>"
 
-#: cp/class.c:3538
+#: cp/class.c:3541
 #, gcc-internal-format
 msgid "  but does not override %<operator=(const %T&)%>"
-msgstr ""
+msgstr "  nhưng không được ghi đè %<operator=(const %T&)%>"
 
-#: cp/class.c:4009
+#: cp/class.c:4012
 #, gcc-internal-format
 msgid "offset of empty base %qT may not be ABI-compliant and maychange in a future version of GCC"
 msgstr ""
 
-#: cp/class.c:4136
+#: cp/class.c:4139
 #, gcc-internal-format
 msgid "class %qT will be considered nearly empty in a future version of GCC"
 msgstr ""
 
-#: cp/class.c:4218
+#: cp/class.c:4221
 #, gcc-internal-format
 msgid "initializer specified for non-virtual method %q+D"
 msgstr ""
 
-#: cp/class.c:4645
+#: cp/class.c:4648
 #, gcc-internal-format
 msgid "method overrides both %<transaction_pure%> and %qE methods"
 msgstr ""
 
-#: cp/class.c:4666
+#: cp/class.c:4669
 #, gcc-internal-format
 msgid "method declared %qE overriding %qE method"
 msgstr ""
 
-#: cp/class.c:5132 cp/semantics.c:5826
+#: cp/class.c:5135 cp/semantics.c:5828
 #, gcc-internal-format
 msgid "enclosing class of constexpr non-static member function %q+#D is not a literal type"
 msgstr ""
 
-#: cp/class.c:5157
+#: cp/class.c:5160
 #, gcc-internal-format
 msgid "%q+T is not literal because:"
-msgstr ""
+msgstr "%q+T không là kiểu văn chương vì:"
 
-#: cp/class.c:5159
-#, fuzzy, gcc-internal-format
+#: cp/class.c:5162
+#, gcc-internal-format
 msgid "  %q+T has a non-trivial destructor"
-msgstr "Cảnh báo về bộ hủy cấu trúc không phải ảo"
+msgstr "  %q+T có một cấu tử non-trivial"
 
-#: cp/class.c:5164
+#: cp/class.c:5167
 #, gcc-internal-format
 msgid "  %q+T is not an aggregate, does not have a trivial default constructor, and has no constexpr constructor that is not a copy or move constructor"
 msgstr ""
 
-#: cp/class.c:5200
+#: cp/class.c:5203
 #, gcc-internal-format
 msgid "  base class %qT of %q+T is non-literal"
-msgstr ""
+msgstr "  lớp cơ sở %qT của %q+T là non-literal"
 
-#: cp/class.c:5214
+#: cp/class.c:5217
 #, gcc-internal-format
 msgid "  non-static data member %q+D has non-literal type"
-msgstr ""
+msgstr "  thành viên dữ liệu không-tĩnh %q+D có kiểu không-văn-chương"
 
-#: cp/class.c:5332
+#: cp/class.c:5335
 #, gcc-internal-format
 msgid "non-static reference %q+#D in class without a constructor"
 msgstr ""
 
-#: cp/class.c:5337
+#: cp/class.c:5340
 #, gcc-internal-format
 msgid "non-static const member %q+#D in class without a constructor"
 msgstr ""
 
 #. If the function is defaulted outside the class, we just
 #. give the synthesis error.
-#: cp/class.c:5363
+#: cp/class.c:5366
 #, gcc-internal-format
 msgid "%q+D declared to take const reference, but implicit declaration would take non-const"
 msgstr ""
 
-#: cp/class.c:5587
+#: cp/class.c:5590
 #, gcc-internal-format
 msgid "offset of virtual base %qT is not ABI-compliant and may change in a future version of GCC"
 msgstr ""
 
-#: cp/class.c:5688
+#: cp/class.c:5691
 #, gcc-internal-format
 msgid "direct base %qT inaccessible in %qT due to ambiguity"
 msgstr ""
 
-#: cp/class.c:5700
+#: cp/class.c:5703
 #, gcc-internal-format
 msgid "virtual base %qT inaccessible in %qT due to ambiguity"
 msgstr ""
 
-#: cp/class.c:5886
+#: cp/class.c:5889
 #, gcc-internal-format
 msgid "size assigned to %qT may not be ABI-compliant and may change in a future version of GCC"
 msgstr ""
 
-#: cp/class.c:5926
+#: cp/class.c:5929
 #, gcc-internal-format
 msgid "the offset of %qD may not be ABI-compliant and may change in a future version of GCC"
 msgstr ""
 
-#: cp/class.c:5954
+#: cp/class.c:5957
 #, gcc-internal-format
 msgid "offset of %q+D is not ABI-compliant and may change in a future version of GCC"
 msgstr ""
 
-#: cp/class.c:5964
+#: cp/class.c:5967
 #, gcc-internal-format
 msgid "%q+D contains empty classes which may cause base classes to be placed at different locations in a future version of GCC"
 msgstr ""
 
-#: cp/class.c:6052
+#: cp/class.c:6055
 #, gcc-internal-format
 msgid "layout of classes derived from empty class %qT may change in a future version of GCC"
 msgstr ""
 
-#: cp/class.c:6220 cp/decl.c:12134 cp/parser.c:18856
+#: cp/class.c:6223 cp/decl.c:12125 cp/parser.c:18860
 #, gcc-internal-format
 msgid "redefinition of %q#T"
-msgstr ""
+msgstr "định nghĩa lại của %q#T"
 
-#: cp/class.c:6369
+#: cp/class.c:6372
 #, gcc-internal-format
 msgid "%q#T has virtual functions and accessible non-virtual destructor"
 msgstr ""
 
-#: cp/class.c:6395
+#: cp/class.c:6398
 #, gcc-internal-format
 msgid "type transparent %q#T does not have any fields"
 msgstr ""
 
-#: cp/class.c:6401
+#: cp/class.c:6404
 #, gcc-internal-format
 msgid "type transparent class %qT has base classes"
 msgstr ""
 
-#: cp/class.c:6405
+#: cp/class.c:6408
 #, gcc-internal-format
 msgid "type transparent class %qT has virtual functions"
 msgstr ""
 
-#: cp/class.c:6411
+#: cp/class.c:6414
 #, gcc-internal-format
 msgid "type transparent %q#T cannot be made transparent because the type of the first field has a different ABI from the class overall"
 msgstr ""
 
-#: cp/class.c:6562
+#: cp/class.c:6565
 #, gcc-internal-format
 msgid "trying to finish struct, but kicked out due to previous parse errors"
 msgstr ""
 
-#: cp/class.c:7071
-#, gcc-internal-format
+#: cp/class.c:7074
+#, fuzzy, gcc-internal-format
 msgid "language string %<\"%E\"%> not recognized"
-msgstr ""
+msgstr "Không nhận ra định dạng tập tin"
 
-#: cp/class.c:7160
+#: cp/class.c:7163
 #, gcc-internal-format
 msgid "cannot resolve overloaded function %qD based on conversion to type %qT"
 msgstr ""
 
-#: cp/class.c:7280
+#: cp/class.c:7283
 #, gcc-internal-format
 msgid "no matches converting function %qD to type %q#T"
 msgstr ""
 
-#: cp/class.c:7308
+#: cp/class.c:7311
 #, gcc-internal-format
 msgid "converting overloaded function %qD to type %q#T is ambiguous"
 msgstr ""
 
-#: cp/class.c:7335
+#: cp/class.c:7338
 #, gcc-internal-format
 msgid "assuming pointer to member %qD"
 msgstr ""
 
-#: cp/class.c:7338
+#: cp/class.c:7341
 #, gcc-internal-format
 msgid "(a pointer to member can only be formed with %<&%E%>)"
 msgstr ""
 
-#: cp/class.c:7413 cp/class.c:7447
+#: cp/class.c:7416 cp/class.c:7450
 #, gcc-internal-format
 msgid "not enough type information"
-msgstr ""
+msgstr "không đủ thông tin kiểu"
 
-#: cp/class.c:7430 cp/cvt.c:173 cp/cvt.c:199 cp/cvt.c:248
+#: cp/class.c:7433 cp/cvt.c:173 cp/cvt.c:199 cp/cvt.c:248
 #, gcc-internal-format
 msgid "cannot convert %qE from type %qT to type %qT"
 msgstr ""
@@ -28289,15 +28242,15 @@
 #. A name N used in a class S shall refer to the same declaration
 #. in its context and when re-evaluated in the completed scope of
 #. S.
-#: cp/class.c:7742 cp/decl.c:1325
+#: cp/class.c:7745 cp/decl.c:1325
 #, gcc-internal-format
 msgid "declaration of %q#D"
-msgstr ""
+msgstr "khai báo của %q#D"
 
-#: cp/class.c:7743
+#: cp/class.c:7746
 #, gcc-internal-format
 msgid "changes meaning of %qD from %q+#D"
-msgstr ""
+msgstr "thay đổi nghĩa của %qD từ %q+#D"
 
 #: cp/cp-gimplify.c:1487
 #, gcc-internal-format
@@ -28347,12 +28300,12 @@
 #: cp/cvt.c:517
 #, gcc-internal-format
 msgid "cannot convert type %qT to type %qT"
-msgstr ""
+msgstr "không thể chuyển đổi kiểu %qT thành %qT"
 
 #: cp/cvt.c:729
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "conversion from %q#T to %q#T"
-msgstr ""
+msgstr "không hỗ trợ khả năng chuyển đổi từ %s sang %s"
 
 #: cp/cvt.c:745
 #, gcc-internal-format
@@ -28362,11 +28315,10 @@
 #: cp/cvt.c:756 cp/cvt.c:800
 #, gcc-internal-format
 msgid "%q#T used where a %qT was expected"
-msgstr ""
+msgstr "%q#T được dùng ở nơi mà %qT cần"
 
 #: cp/cvt.c:765
 #, fuzzy, gcc-internal-format
-#| msgid "could not convert %qE from %qT to %qT"
 msgid "could not convert %qE from %<void%> to %<bool%>"
 msgstr "không thể chuyển đổi %qE từ %qT thành %qT"
 
@@ -28613,7 +28565,7 @@
 #: cp/cvt.c:1353
 #, gcc-internal-format
 msgid "statement has no effect"
-msgstr ""
+msgstr "câu lệnh không có tác động gì"
 
 #: cp/cvt.c:1357
 #, gcc-internal-format
@@ -28643,7 +28595,7 @@
 #: cp/decl.c:640
 #, gcc-internal-format
 msgid "variable %q+D set but not used"
-msgstr ""
+msgstr "biến %q+D được đặt nhưng chưa dùng"
 
 #: cp/decl.c:1146
 #, gcc-internal-format
@@ -28654,7 +28606,7 @@
 #: objc/objc-act.c:3992 objc/objc-act.c:4048 objc/objc-act.c:6831
 #, gcc-internal-format
 msgid "previous declaration of %q+D"
-msgstr ""
+msgstr "khai báo trước đây của %q+D"
 
 #: cp/decl.c:1179
 #, gcc-internal-format
@@ -28664,7 +28616,7 @@
 #: cp/decl.c:1181
 #, gcc-internal-format
 msgid "from previous declaration %q+F"
-msgstr ""
+msgstr "từ khai báo trước đây %q+F"
 
 #: cp/decl.c:1206
 #, gcc-internal-format
@@ -28674,7 +28626,7 @@
 #: cp/decl.c:1207
 #, gcc-internal-format
 msgid "from previous declaration %q+D"
-msgstr ""
+msgstr "từ khai báo trước đây %q+D"
 
 #: cp/decl.c:1252
 #, gcc-internal-format
@@ -28689,7 +28641,7 @@
 #: cp/decl.c:1278
 #, gcc-internal-format
 msgid "function %q+D redeclared as inline"
-msgstr ""
+msgstr "hàm %q+D được khai báo lại là chung dòng (inline)"
 
 #: cp/decl.c:1280
 #, gcc-internal-format
@@ -28704,17 +28656,17 @@
 #: cp/decl.c:1289
 #, gcc-internal-format
 msgid "previous declaration of %q+D was inline"
-msgstr ""
+msgstr "khai báo trước đây của %q+D là inline"
 
 #: cp/decl.c:1313 cp/decl.c:1387
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "shadowing built-in function %q#D"
-msgstr ""
+msgstr "Trong hàm bộ phận %qs"
 
 #: cp/decl.c:1314 cp/decl.c:1388
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "shadowing library function %q#D"
-msgstr ""
+msgstr "Chức năng thư viện ext2 chưa được thực hiện"
 
 #: cp/decl.c:1321
 #, gcc-internal-format
@@ -28722,19 +28674,19 @@
 msgstr ""
 
 #: cp/decl.c:1326
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "conflicts with built-in declaration %q#D"
-msgstr ""
+msgstr "/Xem bằngViewBộ xem có sẵnin viewer"
 
 #: cp/decl.c:1380 cp/decl.c:1510 cp/decl.c:1531
 #, gcc-internal-format
 msgid "new declaration %q#D"
-msgstr ""
+msgstr "khai báo mới %q#D"
 
 #: cp/decl.c:1381
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "ambiguates built-in declaration %q#D"
-msgstr ""
+msgstr "vĩ lệnh có sẳn không hợp lệ « %s »"
 
 #: cp/decl.c:1473
 #, gcc-internal-format
@@ -28744,32 +28696,32 @@
 #: cp/decl.c:1476
 #, gcc-internal-format
 msgid "previous declaration of %q+#D"
-msgstr ""
+msgstr "khai báo trước đây của %q+#D"
 
 #: cp/decl.c:1495
 #, gcc-internal-format
 msgid "declaration of template %q#D"
-msgstr ""
+msgstr "khai báo của %q#D mẫu"
 
 #: cp/decl.c:1496 cp/name-lookup.c:844 cp/name-lookup.c:859
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "conflicts with previous declaration %q+#D"
-msgstr ""
+msgstr "Xung dột với bộ khoá trước"
 
 #: cp/decl.c:1511 cp/decl.c:1536
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "ambiguates old declaration %q+#D"
-msgstr ""
+msgstr "lời tuyên bố loại có hướng"
 
 #: cp/decl.c:1519
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "declaration of C function %q#D conflicts with"
-msgstr ""
+msgstr "Nhãn xung đột với « Rx »"
 
 #: cp/decl.c:1521
 #, gcc-internal-format
 msgid "previous declaration %q+#D here"
-msgstr ""
+msgstr "khai báo trước đây %q+#D ở đây"
 
 #: cp/decl.c:1533
 #, gcc-internal-format
@@ -28779,12 +28731,12 @@
 #: cp/decl.c:1544
 #, gcc-internal-format
 msgid "conflicting declaration %q#D"
-msgstr ""
+msgstr "khai báo xung đột %q#D"
 
 #: cp/decl.c:1545
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "%q+D has a previous declaration as %q#D"
-msgstr ""
+msgstr "ở đây có định nghĩa trước như là @%s"
 
 #. [namespace.alias]
 #.
@@ -28799,19 +28751,19 @@
 msgstr ""
 
 #: cp/decl.c:1598
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "previous declaration of namespace %q+D here"
-msgstr ""
+msgstr "lời xác định trước ở đây"
 
 #: cp/decl.c:1609
 #, gcc-internal-format
 msgid "%q+#D previously defined here"
-msgstr ""
+msgstr "%q+#D trước được định nghĩa ở đây"
 
 #: cp/decl.c:1610 cp/name-lookup.c:1136
 #, gcc-internal-format
 msgid "%q+#D previously declared here"
-msgstr ""
+msgstr "%q+#D trước định nghĩa ở đây"
 
 #. Prototype decl follows defn w/o prototype.
 #: cp/decl.c:1619
@@ -28842,7 +28794,7 @@
 #: cp/decl.c:1688 cp/decl.c:1694
 #, gcc-internal-format
 msgid "after previous specification in %q+#D"
-msgstr ""
+msgstr "sau đặc tả trước đây trong %q+#D"
 
 #: cp/decl.c:1755
 #, gcc-internal-format
@@ -28850,14 +28802,14 @@
 msgstr ""
 
 #: cp/decl.c:1761
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "deleted definition of %qD"
-msgstr ""
+msgstr "phần xác định phiên bản"
 
 #: cp/decl.c:1762
 #, gcc-internal-format
 msgid "after previous declaration %q+D"
-msgstr ""
+msgstr "sau khai báo trước đây %q+D"
 
 #. From [temp.expl.spec]:
 #.
@@ -28886,7 +28838,7 @@
 #: cp/decl.c:2429 cp/decl.c:2458 cp/decl.c:2491 cp/decl.c:2508 cp/decl.c:2581
 #, gcc-internal-format
 msgid "redefinition of %q#D"
-msgstr ""
+msgstr "định nghĩa lại của %q#D"
 
 #: cp/decl.c:2445
 #, gcc-internal-format
@@ -28929,7 +28881,7 @@
 #: cp/decl.c:2570 cp/decl.c:2589 cp/name-lookup.c:553 cp/name-lookup.c:1135
 #, gcc-internal-format
 msgid "redeclaration of %q#D"
-msgstr ""
+msgstr "khai báo lại của %q#D"
 
 #: cp/decl.c:2742
 #, gcc-internal-format
@@ -28949,12 +28901,12 @@
 #: cp/decl.c:2765 cp/decl.c:2931
 #, gcc-internal-format
 msgid "  exits OpenMP structured block"
-msgstr ""
+msgstr "  thoát khỏi khối được cấu trúc OpenMP"
 
 #: cp/decl.c:2787
 #, gcc-internal-format
 msgid "  crosses initialization of %q+#D"
-msgstr ""
+msgstr "  sự khởi tạo chéo của %q+#D"
 
 #: cp/decl.c:2789 cp/decl.c:2905
 #, gcc-internal-format
@@ -28964,33 +28916,33 @@
 #: cp/decl.c:2803 cp/decl.c:2910
 #, gcc-internal-format
 msgid "  enters try block"
-msgstr ""
+msgstr "  vào khối try"
 
 #. Can't skip init of __exception_info.
 #: cp/decl.c:2805 cp/decl.c:2899 cp/decl.c:2912
 #, gcc-internal-format
 msgid "  enters catch block"
-msgstr ""
+msgstr "  vào khối catch"
 
 #: cp/decl.c:2815 cp/decl.c:2915
 #, gcc-internal-format
 msgid "  enters OpenMP structured block"
-msgstr ""
+msgstr "  vào khối được cấu trúc OpenMP"
 
 #: cp/decl.c:2887 cp/decl.c:2927
 #, gcc-internal-format
 msgid "jump to label %q+D"
-msgstr ""
+msgstr "nhảy đến nhãn %q+D"
 
 #: cp/decl.c:2903
 #, gcc-internal-format
 msgid "  skips initialization of %q+#D"
-msgstr ""
+msgstr "  bỏ qua sự khởi tạo của %q+#D"
 
 #: cp/decl.c:2980
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "label named wchar_t"
-msgstr ""
+msgstr "Không có bộ phạn tên « %s »\n"
 
 #: cp/decl.c:3289
 #, gcc-internal-format
@@ -29015,12 +28967,12 @@
 #: cp/decl.c:3330
 #, gcc-internal-format
 msgid "no type named %q#T in %q#T"
-msgstr ""
+msgstr "không có kiểu có tên %q#T trong %q#T"
 
 #: cp/decl.c:3342
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "lookup of %qT in %qT is ambiguous"
-msgstr ""
+msgstr "[:^lower:] là mơ hồ trong bộ quét bỏ qua chữ hoa/thường"
 
 #: cp/decl.c:3351
 #, gcc-internal-format
@@ -29033,9 +28985,9 @@
 msgstr ""
 
 #: cp/decl.c:3430
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "template parameters do not match template"
-msgstr ""
+msgstr "Tiếc là hai mật khẩu không trùng nhau.\n"
 
 #: cp/decl.c:3431 cp/friend.c:330 cp/friend.c:338
 #, gcc-internal-format
@@ -29070,7 +29022,7 @@
 #: cp/decl.c:4190
 #, fuzzy, gcc-internal-format
 msgid "attribute ignored in declaration of %q#T"
-msgstr "lời tuyên bố thuộc tính"
+msgstr "dấu gạch ngược bị bỏ qua trong '%s'"
 
 #: cp/decl.c:4193
 #, gcc-internal-format
@@ -29110,12 +29062,12 @@
 #: cp/decl.c:4284
 #, gcc-internal-format
 msgid "%<friend%> can only be specified inside a class"
-msgstr ""
+msgstr "%<friend%> chỉ có thể được dùng trong một lớp"
 
 #: cp/decl.c:4286
 #, gcc-internal-format
 msgid "%<explicit%> can only be specified for constructors"
-msgstr ""
+msgstr "%<explicit%> chỉ có thể được chỉ định cho cấu tử"
 
 #: cp/decl.c:4288
 #, gcc-internal-format
@@ -29130,12 +29082,12 @@
 #: cp/decl.c:4297
 #, gcc-internal-format
 msgid "%<typedef%> was ignored in this declaration"
-msgstr ""
+msgstr "%<typedef%> bị bỏ qua trong khai báo này"
 
 #: cp/decl.c:4299
 #, gcc-internal-format
 msgid "%<constexpr%> cannot be used for type declarations"
-msgstr ""
+msgstr "%<constexpr%> không thể dùng cho khai báo kiểu"
 
 #: cp/decl.c:4321
 #, fuzzy, gcc-internal-format
@@ -29169,19 +29121,19 @@
 msgstr ""
 
 #: cp/decl.c:4517
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "definition of %q#D is marked %<dllimport%>"
-msgstr ""
+msgstr "đây là lời xác định thứ nhất"
 
 #: cp/decl.c:4537
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "%q#D is not a static member of %q#T"
-msgstr ""
+msgstr "người dùng \"%s\" không phải là thành viên của dự án \"%s\""
 
 #: cp/decl.c:4543
 #, gcc-internal-format
 msgid "ISO C++ does not permit %<%T::%D%> to be defined as %<%T::%D%>"
-msgstr ""
+msgstr "ISO C++ không cho phép %<%T::%D%> được định nghĩa như là %<%T::%D%>"
 
 #: cp/decl.c:4555
 #, gcc-internal-format
@@ -29191,7 +29143,7 @@
 #: cp/decl.c:4560
 #, gcc-internal-format
 msgid "%qD declared %<constexpr%> outside its class"
-msgstr ""
+msgstr "%qD được khai báo %<constexpr%> ngoài lớp của nó"
 
 #: cp/decl.c:4599
 #, gcc-internal-format
@@ -29204,14 +29156,14 @@
 msgstr ""
 
 #: cp/decl.c:4688 cp/decl.c:5499
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "elements of array %q#D have incomplete type"
-msgstr ""
+msgstr "nguồn có loại hạng không hoàn toàn"
 
 #: cp/decl.c:4695 cp/decl.c:6123
 #, gcc-internal-format
 msgid "declaration of %q#D has no initializer"
-msgstr ""
+msgstr "khai báo của %q#D chưa có bộ khởi tạo"
 
 #: cp/decl.c:4697
 #, gcc-internal-format
@@ -29221,7 +29173,7 @@
 #: cp/decl.c:4731
 #, gcc-internal-format
 msgid "%qD declared as reference but not initialized"
-msgstr ""
+msgstr "%qD được khai báo như là một tham chiếu nhưng lại chưa được khởi tạo"
 
 #: cp/decl.c:4772
 #, gcc-internal-format
@@ -29246,7 +29198,7 @@
 #: cp/decl.c:4839
 #, gcc-internal-format
 msgid "array size missing in %qD"
-msgstr ""
+msgstr "thiếu kích thước mảng trong %qD"
 
 #: cp/decl.c:4850
 #, gcc-internal-format
@@ -29277,9 +29229,9 @@
 msgstr ""
 
 #: cp/decl.c:4996
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "uninitialized const %qD"
-msgstr ""
+msgstr "Trạng thái kho ZFS: chưa khởi tạo"
 
 #: cp/decl.c:5003
 #, gcc-internal-format
@@ -29317,9 +29269,9 @@
 msgstr ""
 
 #: cp/decl.c:5226
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "invalid initializer for %q#D"
-msgstr "bộ sơ khởi sai"
+msgstr "bộ khởi tạo cho %q#D không hợp lệ"
 
 #: cp/decl.c:5256
 #, gcc-internal-format
@@ -29330,7 +29282,7 @@
 #: cp/typeck2.c:1299 cp/typeck2.c:1346
 #, gcc-internal-format
 msgid "too many initializers for %qT"
-msgstr ""
+msgstr "quá nhiều bộ khởi tạo cho %qT"
 
 #: cp/decl.c:5326
 #, gcc-internal-format
@@ -29343,9 +29295,9 @@
 msgstr ""
 
 #: cp/decl.c:5501
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "elements of array %q#T have incomplete type"
-msgstr ""
+msgstr "nguồn có loại hạng không hoàn toàn"
 
 #: cp/decl.c:5510
 #, gcc-internal-format
@@ -29360,7 +29312,7 @@
 #: cp/decl.c:5567
 #, fuzzy, gcc-internal-format
 msgid "%q#D has incomplete type"
-msgstr "nguồn có loại hạng không hoàn toàn"
+msgstr "%s có kiểu %o, mong chờ %o"
 
 #: cp/decl.c:5587
 #, gcc-internal-format
@@ -29422,233 +29374,233 @@
 msgid "function %q#D is initialized like a variable"
 msgstr ""
 
-#: cp/decl.c:6883
+#: cp/decl.c:6886
 #, gcc-internal-format
 msgid "non-local variable %qD declared %<__thread%> needs dynamic initialization"
 msgstr ""
 
-#: cp/decl.c:6886
+#: cp/decl.c:6889
 #, fuzzy, gcc-internal-format
 msgid "non-local variable %qD declared %<__thread%> has a non-trivial destructor"
 msgstr "Cảnh báo về bộ hủy cấu trúc không phải ảo"
 
-#: cp/decl.c:6892
+#: cp/decl.c:6895
 #, gcc-internal-format
 msgid "C++11 %<thread_local%> allows dynamic initialization and destruction"
 msgstr ""
 
-#: cp/decl.c:7119
+#: cp/decl.c:7122
 #, gcc-internal-format
 msgid "initializer fails to determine size of %qT"
 msgstr ""
 
-#: cp/decl.c:7123
+#: cp/decl.c:7126
 #, gcc-internal-format
 msgid "array size missing in %qT"
-msgstr ""
+msgstr "thiếu kích thước mảng trong %qT"
 
-#: cp/decl.c:7126
+#: cp/decl.c:7129
 #, gcc-internal-format
 msgid "zero-size array %qT"
-msgstr ""
+msgstr "mảng có kích thước không %qT"
 
-#: cp/decl.c:7142
+#: cp/decl.c:7145
 #, gcc-internal-format
 msgid "destructor for alien class %qT cannot be a member"
 msgstr ""
 
-#: cp/decl.c:7144
+#: cp/decl.c:7147
 #, gcc-internal-format
 msgid "constructor for alien class %qT cannot be a member"
 msgstr ""
 
-#: cp/decl.c:7168
+#: cp/decl.c:7171
 #, gcc-internal-format
 msgid "%qD declared as a %<virtual%> variable"
 msgstr "%qD được khai báo là một biến %<virtual%>"
 
-#: cp/decl.c:7170
+#: cp/decl.c:7173
 #, gcc-internal-format
 msgid "%qD declared as an %<inline%> variable"
-msgstr ""
+msgstr "%qD được khai báo là một biến %<inline%>"
 
-#: cp/decl.c:7172
+#: cp/decl.c:7175
 #, gcc-internal-format
 msgid "%<const%> and %<volatile%> function specifiers on %qD invalid in variable declaration"
 msgstr ""
 
-#: cp/decl.c:7177
+#: cp/decl.c:7180
 #, gcc-internal-format
 msgid "%qD declared as a %<virtual%> parameter"
-msgstr ""
+msgstr "%qD được khai báo như là đối số %<virtual%>"
 
-#: cp/decl.c:7179
+#: cp/decl.c:7182
 #, gcc-internal-format
 msgid "%qD declared as an %<inline%> parameter"
-msgstr ""
+msgstr "%qD được khai báo là một đối số %<inline%>"
 
-#: cp/decl.c:7181
+#: cp/decl.c:7184
 #, gcc-internal-format
 msgid "%<const%> and %<volatile%> function specifiers on %qD invalid in parameter declaration"
 msgstr ""
 
-#: cp/decl.c:7186
+#: cp/decl.c:7189
 #, gcc-internal-format
 msgid "%qD declared as a %<virtual%> type"
-msgstr ""
+msgstr "%qD được khai báo như là kiểu %<virtual%>"
 
-#: cp/decl.c:7188
+#: cp/decl.c:7191
 #, gcc-internal-format
 msgid "%qD declared as an %<inline%> type"
-msgstr ""
+msgstr "%qD được khai báo là một kiểu %<inline%>"
 
-#: cp/decl.c:7190
+#: cp/decl.c:7193
 #, gcc-internal-format
 msgid "%<const%> and %<volatile%> function specifiers on %qD invalid in type declaration"
 msgstr ""
 
-#: cp/decl.c:7195
+#: cp/decl.c:7198
 #, gcc-internal-format
 msgid "%qD declared as a %<virtual%> field"
-msgstr ""
+msgstr "%qD được khai báo như là trường %<virtual%>"
 
-#: cp/decl.c:7197
+#: cp/decl.c:7200
 #, gcc-internal-format
 msgid "%qD declared as an %<inline%> field"
-msgstr ""
+msgstr "%qD được khai báo là một trường %<inline%>"
 
-#: cp/decl.c:7199
+#: cp/decl.c:7202
 #, gcc-internal-format
 msgid "%<const%> and %<volatile%> function specifiers on %qD invalid in field declaration"
 msgstr ""
 
-#: cp/decl.c:7206
+#: cp/decl.c:7209
 #, gcc-internal-format
 msgid "%q+D declared as a friend"
 msgstr "%q+D được khai báo là friend"
 
-#: cp/decl.c:7212
-#, gcc-internal-format
+#: cp/decl.c:7215
+#, fuzzy, gcc-internal-format
 msgid "%q+D declared with an exception specification"
-msgstr ""
+msgstr "Vĩ lệnh « %s » được khai báo không có đối số nhưng lại được gọi cùng với đối số"
 
-#: cp/decl.c:7246
+#: cp/decl.c:7249
 #, gcc-internal-format
 msgid "definition of %qD is not in namespace enclosing %qT"
 msgstr ""
 
-#: cp/decl.c:7286
+#: cp/decl.c:7289
 #, gcc-internal-format
 msgid "static member function %q#D declared with type qualifiers"
 msgstr ""
 
-#: cp/decl.c:7385
+#: cp/decl.c:7388
 #, gcc-internal-format
 msgid "defining explicit specialization %qD in friend declaration"
 msgstr ""
 
 #. Something like `template <class T> friend void f<T>()'.
-#: cp/decl.c:7395
+#: cp/decl.c:7398
 #, gcc-internal-format
 msgid "invalid use of template-id %qD in declaration of primary template"
 msgstr ""
 
-#: cp/decl.c:7425
+#: cp/decl.c:7428
 #, gcc-internal-format
 msgid "default arguments are not allowed in declaration of friend template specialization %qD"
 msgstr ""
 
-#: cp/decl.c:7433
+#: cp/decl.c:7436
 #, gcc-internal-format
 msgid "%<inline%> is not allowed in declaration of friend template specialization %qD"
 msgstr ""
 
-#: cp/decl.c:7475
+#: cp/decl.c:7478
 #, gcc-internal-format
 msgid "cannot declare %<::main%> to be a template"
 msgstr ""
 
-#: cp/decl.c:7477
+#: cp/decl.c:7480
 #, gcc-internal-format
 msgid "cannot declare %<::main%> to be inline"
 msgstr ""
 
-#: cp/decl.c:7479
+#: cp/decl.c:7482
 #, gcc-internal-format
 msgid "cannot declare %<::main%> to be static"
 msgstr ""
 
-#: cp/decl.c:7507
+#: cp/decl.c:7510
 #, gcc-internal-format
 msgid "anonymous type with no linkage used to declare function %q#D with linkage"
 msgstr ""
 
-#: cp/decl.c:7511 cp/decl.c:7879 cp/decl2.c:3864
+#: cp/decl.c:7514 cp/decl.c:7882 cp/decl2.c:3864
 #, gcc-internal-format
 msgid "%q+#D does not refer to the unqualified type, so it is not used for linkage"
 msgstr ""
 
-#: cp/decl.c:7517
+#: cp/decl.c:7520
 #, gcc-internal-format
 msgid "type %qT with no linkage used to declare function %q#D with linkage"
 msgstr ""
 
-#: cp/decl.c:7539
+#: cp/decl.c:7542
 #, gcc-internal-format
 msgid "static member function %qD cannot have cv-qualifier"
 msgstr ""
 
-#: cp/decl.c:7540
+#: cp/decl.c:7543
 #, gcc-internal-format
 msgid "non-member function %qD cannot have cv-qualifier"
 msgstr ""
 
-#: cp/decl.c:7556
-#, gcc-internal-format
+#: cp/decl.c:7559
+#, fuzzy, gcc-internal-format
 msgid "literal operator with C linkage"
-msgstr ""
+msgstr "\\header (phần đầu) { khoá = nối_chuỗi + với + toán tử }"
 
-#: cp/decl.c:7565
+#: cp/decl.c:7568
 #, gcc-internal-format
 msgid "%qD has invalid argument list"
 msgstr ""
 
-#: cp/decl.c:7573
+#: cp/decl.c:7576
 #, gcc-internal-format
 msgid "integer suffix %<%s%> shadowed by implementation"
 msgstr ""
 
-#: cp/decl.c:7579
+#: cp/decl.c:7582
 #, gcc-internal-format
 msgid "floating point suffix %<%s%> shadowed by implementation"
 msgstr ""
 
-#: cp/decl.c:7585
-#, fuzzy, gcc-internal-format
+#: cp/decl.c:7588
+#, gcc-internal-format
 msgid "%qD must be a non-member function"
-msgstr "Trong hàm bộ phận tĩnh %qs"
+msgstr "%qD phải là một hàm không-thành-viên"
 
-#: cp/decl.c:7636
+#: cp/decl.c:7639
 #, gcc-internal-format
 msgid "%<::main%> must return %<int%>"
-msgstr ""
+msgstr "%<::main%> phải trả về %<int%>"
 
-#: cp/decl.c:7678
+#: cp/decl.c:7681
 #, gcc-internal-format
 msgid "definition of implicitly-declared %qD"
 msgstr ""
 
-#: cp/decl.c:7683
-#, gcc-internal-format
+#: cp/decl.c:7686
+#, fuzzy, gcc-internal-format
 msgid "definition of explicitly-defaulted %q+D"
-msgstr ""
+msgstr "phần xác định phiên bản"
 
-#: cp/decl.c:7684
-#, gcc-internal-format
+#: cp/decl.c:7687
+#, fuzzy, gcc-internal-format
 msgid "%q+#D explicitly defaulted here"
-msgstr ""
+msgstr "Kết quả ở đây"
 
-#: cp/decl.c:7701 cp/decl2.c:738
+#: cp/decl.c:7704 cp/decl2.c:738
 #, gcc-internal-format
 msgid "no %q#D member function declared in class %qT"
 msgstr ""
@@ -29657,884 +29609,879 @@
 #. no linkage can only be used to declare extern "C"
 #. entities.  Since it's not always an error in the
 #. ISO C++ 90 Standard, we only issue a warning.
-#: cp/decl.c:7876
+#: cp/decl.c:7879
 #, gcc-internal-format
 msgid "anonymous type with no linkage used to declare variable %q#D with linkage"
 msgstr ""
 
-#: cp/decl.c:7885
+#: cp/decl.c:7888
 #, gcc-internal-format
 msgid "type %qT with no linkage used to declare variable %q#D with linkage"
 msgstr ""
 
-#: cp/decl.c:8008
+#: cp/decl.c:8011
 #, fuzzy, gcc-internal-format
 msgid "in-class initialization of static data member %q#D of incomplete type"
 msgstr "bộ phận mảng dẻo bị sơ khởi trong một ngữ cảnh lồng nhau"
 
-#: cp/decl.c:8012
+#: cp/decl.c:8015
 #, gcc-internal-format
 msgid "%<constexpr%> needed for in-class initialization of static data member %q#D of non-integral type"
 msgstr ""
 
-#: cp/decl.c:8015
+#: cp/decl.c:8018
 #, gcc-internal-format
 msgid "in-class initialization of static data member %q#D of non-literal type"
 msgstr ""
 
-#: cp/decl.c:8028
+#: cp/decl.c:8031
 #, gcc-internal-format
 msgid "invalid in-class initialization of static data member of non-integral type %qT"
 msgstr ""
 
-#: cp/decl.c:8034
+#: cp/decl.c:8037
 #, gcc-internal-format
 msgid "ISO C++ forbids in-class initialization of non-const static member %qD"
 msgstr ""
 
-#: cp/decl.c:8038
+#: cp/decl.c:8041
 #, gcc-internal-format
 msgid "ISO C++ forbids initialization of member constant %qD of non-integral type %qT"
 msgstr ""
 
-#: cp/decl.c:8144 cp/decl.c:8172
+#: cp/decl.c:8147 cp/decl.c:8175
 #, gcc-internal-format
 msgid "size of array %qD has non-integral type %qT"
 msgstr ""
 
-#: cp/decl.c:8147 cp/decl.c:8174
+#: cp/decl.c:8150 cp/decl.c:8177
 #, gcc-internal-format
 msgid "size of array has non-integral type %qT"
 msgstr ""
 
-#: cp/decl.c:8224
+#: cp/decl.c:8227
 #, gcc-internal-format
 msgid "size of array %qD is negative"
-msgstr ""
+msgstr "kích cỡ mảng %qD bị âm"
 
-#: cp/decl.c:8226
+#: cp/decl.c:8229
 #, gcc-internal-format
 msgid "size of array is negative"
-msgstr ""
+msgstr "kích cỡ mảng bị âm"
 
-#: cp/decl.c:8240
+#: cp/decl.c:8243
 #, gcc-internal-format
 msgid "ISO C++ forbids zero-size array %qD"
-msgstr ""
+msgstr "ISO C++ cấm mảng có kích thước bằng không %qD"
 
-#: cp/decl.c:8242
+#: cp/decl.c:8245
 #, gcc-internal-format
 msgid "ISO C++ forbids zero-size array"
-msgstr ""
+msgstr "ISO C++ cấm mảng có kích thước bằng không"
 
-#: cp/decl.c:8254
+#: cp/decl.c:8257
 #, gcc-internal-format
 msgid "size of array %qD is not an integral constant-expression"
 msgstr ""
 
-#: cp/decl.c:8257
+#: cp/decl.c:8260
 #, gcc-internal-format
 msgid "size of array is not an integral constant-expression"
-msgstr ""
+msgstr "kích cỡ mảng không phải là biểu thức hằng số nguyên"
 
-#: cp/decl.c:8263
+#: cp/decl.c:8266
 #, gcc-internal-format
 msgid "ISO C++ forbids variable length array %qD"
-msgstr ""
+msgstr "ISO C++ cấm biến có kích thước biến đổi %qD"
 
-#: cp/decl.c:8265
+#: cp/decl.c:8268
 #, gcc-internal-format
 msgid "ISO C++ forbids variable length array"
-msgstr ""
+msgstr "ISO C++ cấm biến có kích thước biến đổi"
 
-#: cp/decl.c:8271
+#: cp/decl.c:8274
 #, gcc-internal-format
 msgid "variable length array %qD is used"
-msgstr ""
+msgstr "mảng có độ dài biến đổi %qD được dùng"
 
-#: cp/decl.c:8323
+#: cp/decl.c:8326
 #, gcc-internal-format
 msgid "overflow in array dimension"
-msgstr ""
+msgstr "tràn kích thước mảng"
 
-#: cp/decl.c:8383
+#: cp/decl.c:8386
 #, gcc-internal-format
 msgid "declaration of %qD as array of %<auto%>"
-msgstr ""
+msgstr "sự khai báo của %qD như là mảng của %<auto%>"
 
-#: cp/decl.c:8391
+#: cp/decl.c:8394
 #, gcc-internal-format
 msgid "declaration of %qD as array of void"
-msgstr ""
+msgstr "sự khai báo của %qD như là mảng void"
 
-#: cp/decl.c:8393
+#: cp/decl.c:8396
 #, gcc-internal-format
 msgid "creating array of void"
 msgstr "tạo mảng void"
 
-#: cp/decl.c:8398
+#: cp/decl.c:8401
 #, gcc-internal-format
 msgid "declaration of %qD as array of functions"
-msgstr ""
+msgstr "sự khai báo của %qD như là mảng của các hàm"
 
-#: cp/decl.c:8400
+#: cp/decl.c:8403
 #, gcc-internal-format
 msgid "creating array of functions"
 msgstr "tạo mảng hàm"
 
-#: cp/decl.c:8405
+#: cp/decl.c:8408
 #, gcc-internal-format
 msgid "declaration of %qD as array of references"
-msgstr ""
+msgstr "sự khai báo của %qD như là mảng của các tham chiếu"
 
-#: cp/decl.c:8407
+#: cp/decl.c:8410
 #, gcc-internal-format
 msgid "creating array of references"
 msgstr "tạo mảng tham chiếu"
 
-#: cp/decl.c:8412
+#: cp/decl.c:8415
 #, gcc-internal-format
 msgid "declaration of %qD as array of function members"
-msgstr ""
+msgstr "sự khai báo của %qD như là mảng của các thành viên hàm"
 
-#: cp/decl.c:8414
+#: cp/decl.c:8417
 #, gcc-internal-format
 msgid "creating array of function members"
-msgstr ""
+msgstr "tạo mảng của thành viên hàm"
 
-#: cp/decl.c:8428
+#: cp/decl.c:8431
 #, gcc-internal-format
 msgid "declaration of %qD as multidimensional array must have bounds for all dimensions except the first"
 msgstr ""
 
-#: cp/decl.c:8432
+#: cp/decl.c:8435
 #, gcc-internal-format
 msgid "multidimensional array must have bounds for all dimensions except the first"
 msgstr ""
 
-#: cp/decl.c:8467
+#: cp/decl.c:8470
 #, gcc-internal-format
 msgid "return type specification for constructor invalid"
 msgstr ""
 
-#: cp/decl.c:8477
+#: cp/decl.c:8480
 #, gcc-internal-format
 msgid "return type specification for destructor invalid"
 msgstr ""
 
-#: cp/decl.c:8490
-#, gcc-internal-format
+#: cp/decl.c:8493
+#, fuzzy, gcc-internal-format
 msgid "return type specified for %<operator %T%>"
-msgstr ""
+msgstr "không có toán tử tiền gia cho loại"
 
-#: cp/decl.c:8512
+#: cp/decl.c:8515
 #, gcc-internal-format
 msgid "unnamed variable or field declared void"
 msgstr ""
 
-#: cp/decl.c:8519
+#: cp/decl.c:8522
 #, gcc-internal-format
 msgid "variable or field declared void"
-msgstr ""
+msgstr "biến hay trường được khai báo là void"
 
-#: cp/decl.c:8720
+#: cp/decl.c:8722
 #, gcc-internal-format
 msgid "invalid use of qualified-name %<::%D%>"
-msgstr ""
+msgstr "cách dùng không đúng tên từ hạn định %<::%D%>"
 
-#: cp/decl.c:8723
+#: cp/decl.c:8725
 #, gcc-internal-format
 msgid "invalid use of qualified-name %<%T::%D%>"
-msgstr ""
+msgstr "cách dùng không đúng tên từ hạn định %<%T::%D%>"
 
-#: cp/decl.c:8726
+#: cp/decl.c:8728
 #, gcc-internal-format
 msgid "invalid use of qualified-name %<%D::%D%>"
-msgstr ""
+msgstr "cách dùng không đúng tên từ hạn định %<%D::%D%>"
 
-#: cp/decl.c:8735
+#: cp/decl.c:8737
 #, gcc-internal-format
 msgid "%q#T is not a class or a namespace"
-msgstr ""
+msgstr "%q#T không phải là một lớp hay namespace"
 
-#: cp/decl.c:8743
+#: cp/decl.c:8745
 #, gcc-internal-format
 msgid "type %qT is not derived from type %qT"
-msgstr ""
+msgstr "kiểu %qT không dẫn xuất từ kiểu %qT"
 
-#: cp/decl.c:8759 cp/decl.c:8851 cp/decl.c:8860 cp/decl.c:10242
+#: cp/decl.c:8761 cp/decl.c:8853 cp/decl.c:8862 cp/decl.c:10238
 #, gcc-internal-format
 msgid "declaration of %qD as non-function"
-msgstr ""
+msgstr "sự khai báo của %qD như là non-function"
 
-#: cp/decl.c:8765
+#: cp/decl.c:8767
 #, gcc-internal-format
 msgid "declaration of %qD as non-member"
-msgstr ""
+msgstr "sự khai báo của %qD như là non-member"
 
-#: cp/decl.c:8796
+#: cp/decl.c:8798
 #, gcc-internal-format
 msgid "declarator-id missing; using reserved word %qD"
 msgstr ""
 
-#: cp/decl.c:8843
+#: cp/decl.c:8845
 #, gcc-internal-format
 msgid "function definition does not declare parameters"
-msgstr ""
+msgstr "định nghĩa hàm không khai báo đối số"
 
-#: cp/decl.c:8868
+#: cp/decl.c:8870
 #, gcc-internal-format
 msgid "declaration of %qD as %<typedef%>"
-msgstr ""
+msgstr "sự khai báo của %qD như là %<typedef%>"
 
-#: cp/decl.c:8873
+#: cp/decl.c:8875
 #, gcc-internal-format
 msgid "declaration of %qD as parameter"
-msgstr ""
+msgstr "khai báo của %qD như là đối số"
 
-#: cp/decl.c:8906
+#: cp/decl.c:8908
 #, gcc-internal-format
 msgid "%<constexpr%> cannot appear in a typedef declaration"
 msgstr ""
 
-#: cp/decl.c:8914
+#: cp/decl.c:8916
 #, gcc-internal-format
 msgid "two or more data types in declaration of %qs"
 msgstr ""
 
-#: cp/decl.c:8920
+#: cp/decl.c:8922
 #, gcc-internal-format
 msgid "conflicting specifiers in declaration of %qs"
 msgstr ""
 
-#: cp/decl.c:8992 cp/decl.c:8995 cp/decl.c:8998
+#: cp/decl.c:8994 cp/decl.c:8997 cp/decl.c:9000
 #, gcc-internal-format
 msgid "ISO C++ forbids declaration of %qs with no type"
 msgstr ""
 
-#: cp/decl.c:9009
+#: cp/decl.c:9011
 #, gcc-internal-format
 msgid "%<__int128%> is not supported by this target"
 msgstr "%<__int128%> không được hỗ trợ bởi đích này"
 
-#: cp/decl.c:9014
+#: cp/decl.c:9016
 #, gcc-internal-format
 msgid "ISO C++ does not support %<__int128%> for %qs"
 msgstr "ISO C++ không hỗ trợ %<__int128%> cho %qs"
 
-#: cp/decl.c:9035 cp/decl.c:9055
+#: cp/decl.c:9037 cp/decl.c:9057
 #, gcc-internal-format
 msgid "%<signed%> or %<unsigned%> invalid for %qs"
 msgstr "%<signed%> hoặc %<unsigned%> không hợp lệ với %qs"
 
-#: cp/decl.c:9037
+#: cp/decl.c:9039
 #, gcc-internal-format
 msgid "%<signed%> and %<unsigned%> specified together for %qs"
 msgstr "%<signed%> và %<unsigned%> được chỉ định cùng với nhau cho %qs"
 
-#: cp/decl.c:9039
+#: cp/decl.c:9041
 #, gcc-internal-format
 msgid "%<long long%> invalid for %qs"
 msgstr "%<long long%> không hợp lệ với %qs"
 
-#: cp/decl.c:9041
+#: cp/decl.c:9043
 #, gcc-internal-format
 msgid "%<long%> invalid for %qs"
 msgstr "%<long%>không hợp lệ với %qs"
 
-#: cp/decl.c:9043
+#: cp/decl.c:9045
 #, gcc-internal-format
 msgid "%<short%> invalid for %qs"
 msgstr "%<short%> không hợp lệ với %qs"
 
-#: cp/decl.c:9045
+#: cp/decl.c:9047
 #, gcc-internal-format
 msgid "%<long%> or %<short%> invalid for %qs"
 msgstr "%<long%> hoặc %<short%> không hợp lệ với %qs"
 
-#: cp/decl.c:9047
+#: cp/decl.c:9049
 #, gcc-internal-format
 msgid "%<long%>, %<int%>, %<short%>, or %<char%> invalid for %qs"
 msgstr "%<long%>, %<int%>, %<short%>, hoặc %<char%> không hợp lệ cho %qs"
 
-#: cp/decl.c:9049
+#: cp/decl.c:9051
 #, gcc-internal-format
 msgid "%<long%> or %<short%> specified with char for %qs"
 msgstr "%<long%> hoặc %<short%> đựoc chỉ định với kiểu char với %qs"
 
-#: cp/decl.c:9051
+#: cp/decl.c:9053
 #, gcc-internal-format
 msgid "%<long%> and %<short%> specified together for %qs"
 msgstr "%<long%> và %<short%> được chỉ định cùng nhau với %qs"
 
-#: cp/decl.c:9057
+#: cp/decl.c:9059
 #, gcc-internal-format
 msgid "%<short%> or %<long%> invalid for %qs"
 msgstr "%<short%> hoặc %<long%> không hợp lệ với %qs"
 
-#: cp/decl.c:9065
+#: cp/decl.c:9067
 #, gcc-internal-format
 msgid "long, short, signed or unsigned used invalidly for %qs"
 msgstr ""
 
-#: cp/decl.c:9133
+#: cp/decl.c:9135
 #, gcc-internal-format
 msgid "complex invalid for %qs"
-msgstr ""
+msgstr "số ảo không hợp lệ cho %qs"
 
-#: cp/decl.c:9161
+#: cp/decl.c:9163
 #, gcc-internal-format
 msgid "qualifiers are not allowed on declaration of %<operator %T%>"
 msgstr ""
 
-#: cp/decl.c:9193
+#: cp/decl.c:9195
 #, gcc-internal-format
 msgid "member %qD cannot be declared both virtual and static"
 msgstr ""
 
-#: cp/decl.c:9201
-#, gcc-internal-format
-msgid "%<%T::%D%> is not a valid declarator"
-msgstr "%<%T::%D%>không phải là khai báo hợp lệ"
-
-#: cp/decl.c:9210
-#, gcc-internal-format
+#: cp/decl.c:9206
+#, fuzzy, gcc-internal-format
 msgid "typedef declaration invalid in parameter declaration"
-msgstr ""
+msgstr "thiếu dấu nhận diện trong khai báo tham số"
 
-#: cp/decl.c:9215
+#: cp/decl.c:9211
 #, gcc-internal-format
 msgid "storage class specified for template parameter %qs"
 msgstr ""
 
-#: cp/decl.c:9221
+#: cp/decl.c:9217
 #, gcc-internal-format
 msgid "storage class specifiers invalid in parameter declarations"
 msgstr ""
 
-#: cp/decl.c:9227
+#: cp/decl.c:9223
 #, gcc-internal-format
 msgid "a parameter cannot be declared %<constexpr%>"
 msgstr ""
 
-#: cp/decl.c:9236
+#: cp/decl.c:9232
 #, gcc-internal-format
 msgid "%<virtual%> outside class declaration"
-msgstr ""
+msgstr "%<virtual%> ngoài khai báo lớp"
 
-#: cp/decl.c:9254
+#: cp/decl.c:9250
 #, gcc-internal-format
 msgid "multiple storage classes in declaration of %qs"
 msgstr ""
 
-#: cp/decl.c:9277
-#, gcc-internal-format
+#: cp/decl.c:9273
+#, fuzzy, gcc-internal-format
 msgid "storage class specified for %qs"
-msgstr ""
+msgstr "%B: Không nhận ra hạng lưu trữ %d cho ký hiệu %s « %s »"
 
-#: cp/decl.c:9281
+#: cp/decl.c:9277
 #, gcc-internal-format
 msgid "storage class specified for parameter %qs"
 msgstr ""
 
-#: cp/decl.c:9294
+#: cp/decl.c:9290
 #, gcc-internal-format
 msgid "nested function %qs declared %<extern%>"
 msgstr ""
 
-#: cp/decl.c:9298
+#: cp/decl.c:9294
 #, gcc-internal-format
 msgid "top-level declaration of %qs specifies %<auto%>"
 msgstr ""
 
-#: cp/decl.c:9305
+#: cp/decl.c:9301
 #, gcc-internal-format
 msgid "function-scope %qs implicitly auto and declared %<__thread%>"
 msgstr ""
 
-#: cp/decl.c:9317
+#: cp/decl.c:9313
 #, gcc-internal-format
 msgid "storage class specifiers invalid in friend function declarations"
 msgstr ""
 
-#: cp/decl.c:9427
+#: cp/decl.c:9423
 #, gcc-internal-format
 msgid "%qs declared as function returning a function"
 msgstr ""
 
-#: cp/decl.c:9432
+#: cp/decl.c:9428
 #, gcc-internal-format
 msgid "%qs declared as function returning an array"
 msgstr ""
 
-#: cp/decl.c:9438
+#: cp/decl.c:9434
 #, gcc-internal-format
 msgid "%qs declared as function returning an abstract class type"
 msgstr ""
 
-#: cp/decl.c:9467
+#: cp/decl.c:9463
 #, gcc-internal-format
 msgid "%qs function uses %<auto%> type specifier without trailing return type"
 msgstr ""
 
-#: cp/decl.c:9473
+#: cp/decl.c:9469
 #, gcc-internal-format
 msgid "%qs function with trailing return type has %qT as its type rather than plain %<auto%>"
 msgstr ""
 
 #. Not using maybe_warn_cpp0x because this should
 #. always be an error.
-#: cp/decl.c:9484
+#: cp/decl.c:9480
 #, gcc-internal-format
 msgid "trailing return type only available with -std=c++11 or -std=gnu++11"
 msgstr ""
 
-#: cp/decl.c:9487
+#: cp/decl.c:9483
 #, gcc-internal-format
 msgid "%qs function with trailing return type not declared with %<auto%> type specifier"
 msgstr ""
 
-#: cp/decl.c:9520
+#: cp/decl.c:9516
 #, gcc-internal-format
 msgid "destructor cannot be static member function"
 msgstr ""
 
-#: cp/decl.c:9521
-#, fuzzy, gcc-internal-format
+#: cp/decl.c:9517
+#, gcc-internal-format
 msgid "constructor cannot be static member function"
-msgstr "Trong hàm bộ phận tĩnh %qs"
+msgstr "cấu tử không thể là hàm thành viên tĩnh"
 
-#: cp/decl.c:9525
+#: cp/decl.c:9521
 #, gcc-internal-format
 msgid "destructors may not be cv-qualified"
 msgstr ""
 
-#: cp/decl.c:9526
+#: cp/decl.c:9522
 #, gcc-internal-format
 msgid "constructors may not be cv-qualified"
 msgstr ""
 
-#: cp/decl.c:9543
+#: cp/decl.c:9539
 #, gcc-internal-format
 msgid "constructors cannot be declared virtual"
 msgstr ""
 
-#: cp/decl.c:9556
-#, fuzzy, gcc-internal-format
+#: cp/decl.c:9552
+#, gcc-internal-format
 msgid "can%'t initialize friend function %qs"
-msgstr "(bộ sơ khởi tĩnh cho %s)"
+msgstr "không thể khởi tạo hàm bạn %qs"
 
 #. Cannot be both friend and virtual.
-#: cp/decl.c:9560
+#: cp/decl.c:9556
 #, gcc-internal-format
 msgid "virtual functions cannot be friends"
 msgstr ""
 
-#: cp/decl.c:9564
+#: cp/decl.c:9560
 #, gcc-internal-format
 msgid "friend declaration not in class definition"
 msgstr ""
 
-#: cp/decl.c:9566
+#: cp/decl.c:9562
 #, gcc-internal-format
 msgid "can%'t define friend function %qs in a local class definition"
 msgstr ""
 
-#: cp/decl.c:9587
+#: cp/decl.c:9583
 #, gcc-internal-format
 msgid "destructors may not have parameters"
-msgstr ""
+msgstr "hủy tử không được có đối số"
 
-#: cp/decl.c:9613
+#: cp/decl.c:9609
 #, gcc-internal-format
 msgid "cannot declare pointer to %q#T"
-msgstr ""
+msgstr "không thể khai báo con trỏ đến %q#T"
 
-#: cp/decl.c:9626 cp/decl.c:9633
+#: cp/decl.c:9622 cp/decl.c:9629
 #, gcc-internal-format
 msgid "cannot declare reference to %q#T"
-msgstr ""
+msgstr "không thể khai báo tham chiếu đến %q#T"
 
-#: cp/decl.c:9635
+#: cp/decl.c:9631
 #, gcc-internal-format
 msgid "cannot declare pointer to %q#T member"
-msgstr ""
+msgstr "không thể khai báo con trỏ cho thành viên %q#T"
 
-#: cp/decl.c:9658
+#: cp/decl.c:9654
 #, gcc-internal-format
 msgid "cannot declare reference to qualified function type %qT"
 msgstr ""
 
-#: cp/decl.c:9659
+#: cp/decl.c:9655
 #, gcc-internal-format
 msgid "cannot declare pointer to qualified function type %qT"
 msgstr ""
 
-#: cp/decl.c:9733
+#: cp/decl.c:9729
 #, gcc-internal-format
 msgid "cannot declare reference to %q#T, which is not a typedef or a template type argument"
 msgstr ""
 
-#: cp/decl.c:9797
+#: cp/decl.c:9793
 #, gcc-internal-format
 msgid "both %<volatile%> and %<constexpr%> cannot be used here"
 msgstr ""
 
-#: cp/decl.c:9809
+#: cp/decl.c:9805
 #, gcc-internal-format
 msgid "template-id %qD used as a declarator"
-msgstr ""
+msgstr "template-id %qD được dùng như bộ khai báo"
 
-#: cp/decl.c:9833
+#: cp/decl.c:9829
 #, gcc-internal-format
 msgid "member functions are implicitly friends of their class"
 msgstr ""
 
-#: cp/decl.c:9838
+#: cp/decl.c:9834
 #, gcc-internal-format
 msgid "extra qualification %<%T::%> on member %qs"
 msgstr ""
 
-#: cp/decl.c:9868
+#: cp/decl.c:9864
 #, gcc-internal-format
 msgid "cannot define member function %<%T::%s%> within %<%T%>"
 msgstr ""
 
-#: cp/decl.c:9870
+#: cp/decl.c:9866
 #, gcc-internal-format
 msgid "cannot declare member function %<%T::%s%> within %<%T%>"
 msgstr ""
 
-#: cp/decl.c:9879
+#: cp/decl.c:9875
 #, gcc-internal-format
 msgid "cannot declare member %<%T::%s%> within %qT"
 msgstr ""
 
-#: cp/decl.c:9912
+#: cp/decl.c:9908
 #, gcc-internal-format
 msgid "non-parameter %qs cannot be a parameter pack"
 msgstr ""
 
-#: cp/decl.c:9922
+#: cp/decl.c:9918
 #, gcc-internal-format
 msgid "size of array %qs is too large"
-msgstr ""
+msgstr "kích cỡ mảng %qs quá lớn"
 
-#: cp/decl.c:9933
+#: cp/decl.c:9929
 #, gcc-internal-format
 msgid "data member may not have variably modified type %qT"
 msgstr ""
 
-#: cp/decl.c:9935
+#: cp/decl.c:9931
 #, gcc-internal-format
 msgid "parameter may not have variably modified type %qT"
 msgstr ""
 
 #. [dcl.fct.spec] The explicit specifier shall only be used in
 #. declarations of constructors within a class definition.
-#: cp/decl.c:9943
+#: cp/decl.c:9939
 #, gcc-internal-format
 msgid "only declarations of constructors can be %<explicit%>"
 msgstr ""
 
-#: cp/decl.c:9951
+#: cp/decl.c:9947
 #, gcc-internal-format
 msgid "non-member %qs cannot be declared %<mutable%>"
 msgstr ""
 
-#: cp/decl.c:9957
+#: cp/decl.c:9953
 #, gcc-internal-format
 msgid "non-object member %qs cannot be declared %<mutable%>"
 msgstr ""
 
-#: cp/decl.c:9963
+#: cp/decl.c:9959
 #, gcc-internal-format
 msgid "function %qs cannot be declared %<mutable%>"
 msgstr ""
 
-#: cp/decl.c:9968
+#: cp/decl.c:9964
 #, gcc-internal-format
 msgid "static %qs cannot be declared %<mutable%>"
 msgstr ""
 
-#: cp/decl.c:9973
+#: cp/decl.c:9969
 #, gcc-internal-format
 msgid "const %qs cannot be declared %<mutable%>"
 msgstr ""
 
-#: cp/decl.c:9978
+#: cp/decl.c:9974
 #, gcc-internal-format
 msgid "reference %qs cannot be declared %<mutable%>"
 msgstr ""
 
-#: cp/decl.c:10013
+#: cp/decl.c:10009
 #, gcc-internal-format
 msgid "typedef declared %<auto%>"
-msgstr ""
+msgstr "typedef được khai báo %<auto%>"
 
-#: cp/decl.c:10023
+#: cp/decl.c:10019
 #, gcc-internal-format
 msgid "typedef name may not be a nested-name-specifier"
 msgstr ""
 
-#: cp/decl.c:10042
+#: cp/decl.c:10038
 #, gcc-internal-format
 msgid "ISO C++ forbids nested type %qD with same name as enclosing class"
 msgstr ""
 
-#: cp/decl.c:10143
+#: cp/decl.c:10139
 #, gcc-internal-format
 msgid "qualified function types cannot be used to declare static member functions"
 msgstr ""
 
-#: cp/decl.c:10145
+#: cp/decl.c:10141
 #, gcc-internal-format
 msgid "qualified function types cannot be used to declare free functions"
 msgstr ""
 
-#: cp/decl.c:10172
+#: cp/decl.c:10168
 #, gcc-internal-format
 msgid "type qualifiers specified for friend class declaration"
 msgstr ""
 
-#: cp/decl.c:10177
+#: cp/decl.c:10173
 #, gcc-internal-format
 msgid "%<inline%> specified for friend class declaration"
-msgstr ""
+msgstr "%<inline%> được chỉ định cho khai báo lớp bạn"
 
-#: cp/decl.c:10185
+#: cp/decl.c:10181
 #, gcc-internal-format
 msgid "template parameters cannot be friends"
-msgstr ""
+msgstr "các đối số tạm không thể là bạn"
 
-#: cp/decl.c:10187
+#: cp/decl.c:10183
 #, gcc-internal-format
 msgid "friend declaration requires class-key, i.e. %<friend class %T::%D%>"
 msgstr ""
 
-#: cp/decl.c:10191
+#: cp/decl.c:10187
 #, gcc-internal-format
 msgid "friend declaration requires class-key, i.e. %<friend %#T%>"
 msgstr ""
 
-#: cp/decl.c:10204
+#: cp/decl.c:10200
 #, gcc-internal-format
 msgid "trying to make class %qT a friend of global scope"
 msgstr ""
 
-#: cp/decl.c:10222
+#: cp/decl.c:10218
 #, gcc-internal-format
 msgid "invalid qualifiers on non-member function type"
 msgstr ""
 
-#: cp/decl.c:10232
+#: cp/decl.c:10228
 #, gcc-internal-format
 msgid "abstract declarator %qT used as declaration"
 msgstr ""
 
-#: cp/decl.c:10261
+#: cp/decl.c:10257
 #, gcc-internal-format
 msgid "cannot use %<::%> in parameter declaration"
-msgstr ""
+msgstr "không thể dùng %<::%> trong khai báo đối số"
 
-#: cp/decl.c:10265
-#, gcc-internal-format
+#: cp/decl.c:10261
+#, fuzzy, gcc-internal-format
 msgid "parameter declared %<auto%>"
-msgstr ""
+msgstr "Tự động _bản đồ tốt nhất"
 
-#: cp/decl.c:10308
+#: cp/decl.c:10304
 #, gcc-internal-format
 msgid "non-static data member declared %<auto%>"
 msgstr ""
 
 #. Something like struct S { int N::j; };
-#: cp/decl.c:10330
+#: cp/decl.c:10326
 #, gcc-internal-format
 msgid "invalid use of %<::%>"
-msgstr ""
+msgstr "dùng %<::%> không hợp lệ"
 
-#: cp/decl.c:10352
+#: cp/decl.c:10348
 #, gcc-internal-format
 msgid "declaration of function %qD in invalid context"
 msgstr ""
 
-#: cp/decl.c:10361
+#: cp/decl.c:10357
 #, gcc-internal-format
 msgid "function %qD declared virtual inside a union"
-msgstr ""
+msgstr "hàm %qD được khai báo nằm trong ảo một union"
 
-#: cp/decl.c:10370
+#: cp/decl.c:10366
 #, gcc-internal-format
 msgid "%qD cannot be declared virtual, since it is always static"
 msgstr ""
 
-#: cp/decl.c:10386
+#: cp/decl.c:10382
 #, gcc-internal-format
 msgid "expected qualified name in friend declaration for destructor %qD"
 msgstr ""
 
-#: cp/decl.c:10393
+#: cp/decl.c:10389
 #, gcc-internal-format
 msgid "declaration of %qD as member of %qT"
-msgstr ""
+msgstr "sự khai báo của %qD như là thành viên của %qT"
 
-#: cp/decl.c:10399
+#: cp/decl.c:10395
 #, gcc-internal-format
 msgid "a destructor cannot be %<constexpr%>"
-msgstr ""
+msgstr "hủy tử không thể là %<constexpr%>"
 
-#: cp/decl.c:10405
+#: cp/decl.c:10401
 #, gcc-internal-format
 msgid "expected qualified name in friend declaration for constructor %qD"
 msgstr ""
 
-#: cp/decl.c:10451
+#: cp/decl.c:10447
 #, gcc-internal-format
 msgid "field %qD has incomplete type"
 msgstr ""
 
-#: cp/decl.c:10453
-#, gcc-internal-format
+#: cp/decl.c:10449
+#, fuzzy, gcc-internal-format
 msgid "name %qT has incomplete type"
-msgstr ""
+msgstr "phần tên phần có kiểu sai: %u"
 
-#: cp/decl.c:10462
+#: cp/decl.c:10458
 #, gcc-internal-format
 msgid "  in instantiation of template %qT"
-msgstr ""
+msgstr "  trong minh dụ của mẫu %qT"
 
-#: cp/decl.c:10471
+#: cp/decl.c:10467
 #, gcc-internal-format
 msgid "%qE is neither function nor member function; cannot be declared friend"
 msgstr ""
 
-#: cp/decl.c:10528
+#: cp/decl.c:10524
 #, gcc-internal-format
 msgid "constexpr static data member %qD must have an initializer"
 msgstr ""
 
-#: cp/decl.c:10537
+#: cp/decl.c:10533
 #, gcc-internal-format
 msgid "non-static data member %qE declared %<constexpr%>"
 msgstr ""
 
-#: cp/decl.c:10587
+#: cp/decl.c:10583
 #, gcc-internal-format
 msgid "storage class %<auto%> invalid for function %qs"
 msgstr ""
 
-#: cp/decl.c:10589
+#: cp/decl.c:10585
 #, gcc-internal-format
 msgid "storage class %<register%> invalid for function %qs"
 msgstr ""
 
-#: cp/decl.c:10593
+#: cp/decl.c:10589
 #, gcc-internal-format
 msgid "storage class %<__thread%> invalid for function %qs"
 msgstr ""
 
-#: cp/decl.c:10596
+#: cp/decl.c:10592
 #, gcc-internal-format
 msgid "storage class %<thread_local%> invalid for function %qs"
 msgstr ""
 
-#: cp/decl.c:10601
+#: cp/decl.c:10597
 #, gcc-internal-format
 msgid "virt-specifiers in %qs not allowed outside a class definition"
 msgstr ""
 
-#: cp/decl.c:10612
+#: cp/decl.c:10608
 #, gcc-internal-format
 msgid "%<static%> specified invalid for function %qs declared out of global scope"
 msgstr ""
 
-#: cp/decl.c:10616
+#: cp/decl.c:10612
 #, gcc-internal-format
 msgid "%<inline%> specifier invalid for function %qs declared out of global scope"
 msgstr ""
 
-#: cp/decl.c:10624
+#: cp/decl.c:10620
 #, gcc-internal-format
 msgid "virtual non-class function %qs"
 msgstr ""
 
-#: cp/decl.c:10631
+#: cp/decl.c:10627
 #, gcc-internal-format
 msgid "%qs defined in a non-class scope"
 msgstr ""
 
-#: cp/decl.c:10632
+#: cp/decl.c:10628
 #, gcc-internal-format
 msgid "%qs declared in a non-class scope"
 msgstr ""
 
-#: cp/decl.c:10660
+#: cp/decl.c:10655
 #, gcc-internal-format
 msgid "cannot declare member function %qD to have static linkage"
 msgstr ""
 
 #. FIXME need arm citation
-#: cp/decl.c:10667
+#: cp/decl.c:10662
 #, gcc-internal-format
 msgid "cannot declare static function inside another function"
 msgstr ""
 
-#: cp/decl.c:10697
+#: cp/decl.c:10692
 #, gcc-internal-format
 msgid "%<static%> may not be used when defining (as opposed to declaring) a static data member"
-msgstr ""
+msgstr "%<static%> không sử dụng khi định nghĩa (như ngược với khai báo) một thành viên dữ liệu tĩnh"
 
-#: cp/decl.c:10704
+#: cp/decl.c:10699
 #, gcc-internal-format
 msgid "static member %qD declared %<register%>"
 msgstr ""
 
-#: cp/decl.c:10710
+#: cp/decl.c:10705
 #, gcc-internal-format
 msgid "cannot explicitly declare member %q#D to have extern linkage"
 msgstr ""
 
-#: cp/decl.c:10717
+#: cp/decl.c:10712
 #, gcc-internal-format
 msgid "declaration of constexpr variable %qD is not a definition"
 msgstr ""
 
-#: cp/decl.c:10730
+#: cp/decl.c:10725
 #, gcc-internal-format
 msgid "%qs initialized and declared %<extern%>"
 msgstr ""
 
-#: cp/decl.c:10734
+#: cp/decl.c:10729
 #, gcc-internal-format
 msgid "%qs has both %<extern%> and initializer"
 msgstr ""
 
-#: cp/decl.c:10880
+#: cp/decl.c:10874
 #, gcc-internal-format
 msgid "default argument %qE uses %qD"
 msgstr ""
 
-#: cp/decl.c:10882
+#: cp/decl.c:10876
 #, gcc-internal-format
 msgid "default argument %qE uses local variable %qD"
 msgstr ""
 
-#: cp/decl.c:10970
+#: cp/decl.c:10964
 #, gcc-internal-format
 msgid "parameter %qD has Java class type"
-msgstr ""
+msgstr "đối số %qD có kiểu lớp Java"
 
-#: cp/decl.c:10998
+#: cp/decl.c:10992
 #, gcc-internal-format
 msgid "parameter %qD invalidly declared method type"
 msgstr ""
 
-#: cp/decl.c:11023
+#: cp/decl.c:11017
 #, gcc-internal-format
 msgid "parameter %qD includes pointer to array of unknown bound %qT"
 msgstr ""
 
-#: cp/decl.c:11025
+#: cp/decl.c:11019
 #, gcc-internal-format
 msgid "parameter %qD includes reference to array of unknown bound %qT"
 msgstr ""
@@ -30554,171 +30501,171 @@
 #. or implicitly defined), there's no need to worry about their
 #. existence.  Theoretically, they should never even be
 #. instantiated, but that's hard to forestall.
-#: cp/decl.c:11279
+#: cp/decl.c:11273
 #, gcc-internal-format
 msgid "invalid constructor; you probably meant %<%T (const %T&)%>"
 msgstr ""
 
-#: cp/decl.c:11401
+#: cp/decl.c:11395
 #, gcc-internal-format
 msgid "%qD may not be declared within a namespace"
 msgstr ""
 
-#: cp/decl.c:11406
+#: cp/decl.c:11400
 #, gcc-internal-format
 msgid "%qD may not be declared as static"
-msgstr ""
+msgstr "%qD không được khai báo như là tĩnh"
 
-#: cp/decl.c:11432
+#: cp/decl.c:11426
 #, gcc-internal-format
 msgid "%qD must be a nonstatic member function"
 msgstr ""
 
-#: cp/decl.c:11441
+#: cp/decl.c:11435
 #, gcc-internal-format
 msgid "%qD must be either a non-static member function or a non-member function"
 msgstr ""
 
-#: cp/decl.c:11463
+#: cp/decl.c:11457
 #, gcc-internal-format
 msgid "%qD must have an argument of class or enumerated type"
 msgstr ""
 
-#: cp/decl.c:11492
+#: cp/decl.c:11486
 #, gcc-internal-format
 msgid "conversion to a reference to void will never use a type conversion operator"
 msgstr ""
 
-#: cp/decl.c:11494
+#: cp/decl.c:11488
 #, gcc-internal-format
 msgid "conversion to void will never use a type conversion operator"
 msgstr ""
 
-#: cp/decl.c:11501
+#: cp/decl.c:11495
 #, gcc-internal-format
 msgid "conversion to a reference to the same type will never use a type conversion operator"
 msgstr ""
 
-#: cp/decl.c:11503
+#: cp/decl.c:11497
 #, gcc-internal-format
 msgid "conversion to the same type will never use a type conversion operator"
 msgstr ""
 
-#: cp/decl.c:11511
+#: cp/decl.c:11505
 #, gcc-internal-format
 msgid "conversion to a reference to a base class will never use a type conversion operator"
 msgstr ""
 
-#: cp/decl.c:11513
+#: cp/decl.c:11507
 #, gcc-internal-format
 msgid "conversion to a base class will never use a type conversion operator"
 msgstr ""
 
 #. 13.4.0.3
-#: cp/decl.c:11522
+#: cp/decl.c:11516
 #, gcc-internal-format
 msgid "ISO C++ prohibits overloading operator ?:"
 msgstr ""
 
-#: cp/decl.c:11527
-#, gcc-internal-format
+#: cp/decl.c:11521
+#, fuzzy, gcc-internal-format
 msgid "%qD must not have variable number of arguments"
-msgstr ""
+msgstr "hàm %s phải có số biến đổi các đối số"
 
-#: cp/decl.c:11578
+#: cp/decl.c:11572
 #, gcc-internal-format
 msgid "postfix %qD must take %<int%> as its argument"
-msgstr ""
+msgstr "postfix %qD phải nhận %<int%> như là đối số của nó"
 
-#: cp/decl.c:11581
+#: cp/decl.c:11575
 #, gcc-internal-format
 msgid "postfix %qD must take %<int%> as its second argument"
-msgstr ""
+msgstr "postfix %qD phải nhận %<int%> như là đối số thứ hai của nó"
 
-#: cp/decl.c:11589
+#: cp/decl.c:11583
 #, gcc-internal-format
 msgid "%qD must take either zero or one argument"
 msgstr ""
 
-#: cp/decl.c:11591
+#: cp/decl.c:11585
 #, gcc-internal-format
 msgid "%qD must take either one or two arguments"
 msgstr ""
 
-#: cp/decl.c:11613
+#: cp/decl.c:11607
 #, gcc-internal-format
 msgid "prefix %qD should return %qT"
-msgstr ""
+msgstr "tiền tố %qD cần trả về %qT"
 
-#: cp/decl.c:11619
+#: cp/decl.c:11613
 #, gcc-internal-format
 msgid "postfix %qD should return %qT"
-msgstr ""
+msgstr "postfix %qD cần trả về %qT"
 
-#: cp/decl.c:11628
+#: cp/decl.c:11622
 #, gcc-internal-format
 msgid "%qD must take %<void%>"
-msgstr ""
+msgstr "%qD phải nhận %<void%>"
 
-#: cp/decl.c:11630 cp/decl.c:11639
+#: cp/decl.c:11624 cp/decl.c:11633
 #, gcc-internal-format
 msgid "%qD must take exactly one argument"
-msgstr ""
+msgstr "%qD cần chính các là một đối số"
 
-#: cp/decl.c:11641
+#: cp/decl.c:11635
 #, gcc-internal-format
 msgid "%qD must take exactly two arguments"
-msgstr ""
+msgstr "%qD cần chính các là hai đối số"
 
-#: cp/decl.c:11650
+#: cp/decl.c:11644
 #, gcc-internal-format
 msgid "user-defined %qD always evaluates both arguments"
 msgstr ""
 
-#: cp/decl.c:11664
+#: cp/decl.c:11658
 #, gcc-internal-format
 msgid "%qD should return by value"
-msgstr ""
+msgstr "%qD cần trả về bằng giá trị"
 
-#: cp/decl.c:11675 cp/decl.c:11680
+#: cp/decl.c:11669 cp/decl.c:11674
 #, gcc-internal-format
 msgid "%qD cannot have default arguments"
-msgstr ""
+msgstr "%qD không thể có đối số mặc định"
 
-#: cp/decl.c:11741
+#: cp/decl.c:11732
 #, gcc-internal-format
 msgid "using template type parameter %qT after %qs"
 msgstr ""
 
-#: cp/decl.c:11764
+#: cp/decl.c:11755
 #, gcc-internal-format
 msgid "using alias template specialization %qT after %qs"
 msgstr ""
 
-#: cp/decl.c:11767
+#: cp/decl.c:11758
 #, gcc-internal-format
 msgid "using typedef-name %qD after %qs"
 msgstr ""
 
-#: cp/decl.c:11769
+#: cp/decl.c:11760
 #, gcc-internal-format
 msgid "%qD has a previous declaration here"
 msgstr ""
 
-#: cp/decl.c:11777
+#: cp/decl.c:11768
 #, gcc-internal-format
 msgid "%qT referred to as %qs"
-msgstr ""
+msgstr "%qT được coi là %qs"
 
-#: cp/decl.c:11778 cp/decl.c:11785
+#: cp/decl.c:11769 cp/decl.c:11776
 #, gcc-internal-format
 msgid "%q+T has a previous declaration here"
-msgstr ""
+msgstr "%q+T có một khai báo trước ở đây"
 
-#: cp/decl.c:11784
+#: cp/decl.c:11775
 #, gcc-internal-format
 msgid "%qT referred to as enum"
-msgstr ""
+msgstr "%qT được coi là enum"
 
 #. If a class template appears as elaborated type specifier
 #. without a template header such as:
@@ -30727,180 +30674,180 @@
 #. void f(class C);		// No template header here
 #.
 #. then the required template argument is missing.
-#: cp/decl.c:11799
-#, gcc-internal-format
+#: cp/decl.c:11790
+#, fuzzy, gcc-internal-format
 msgid "template argument required for %<%s %T%>"
-msgstr ""
+msgstr "đối số cần thiết cho thẻ %s còn thiếu"
 
-#: cp/decl.c:11849 cp/name-lookup.c:3069
+#: cp/decl.c:11840 cp/name-lookup.c:3062
 #, gcc-internal-format
 msgid "%qD has the same name as the class in which it is declared"
 msgstr ""
 
-#: cp/decl.c:11879 cp/name-lookup.c:2561 cp/name-lookup.c:3395
-#: cp/name-lookup.c:3440 cp/parser.c:5076 cp/parser.c:21175
+#: cp/decl.c:11870 cp/name-lookup.c:2561 cp/name-lookup.c:3390
+#: cp/name-lookup.c:3435 cp/parser.c:5076 cp/parser.c:21179
 #, gcc-internal-format
 msgid "reference to %qD is ambiguous"
 msgstr ""
 
-#: cp/decl.c:11994
+#: cp/decl.c:11985
 #, gcc-internal-format
 msgid "use of enum %q#D without previous declaration"
 msgstr ""
 
-#: cp/decl.c:12015
+#: cp/decl.c:12006
 #, gcc-internal-format
 msgid "redeclaration of %qT as a non-template"
 msgstr ""
 
-#: cp/decl.c:12016
+#: cp/decl.c:12007
 #, gcc-internal-format
 msgid "previous declaration %q+D"
-msgstr ""
+msgstr "khai báo trước đây %q+D"
 
-#: cp/decl.c:12157
+#: cp/decl.c:12148
 #, gcc-internal-format
 msgid "derived union %qT invalid"
 msgstr ""
 
-#: cp/decl.c:12166
+#: cp/decl.c:12157
 #, gcc-internal-format
 msgid "Java class %qT cannot have multiple bases"
 msgstr ""
 
-#: cp/decl.c:12177
+#: cp/decl.c:12168
 #, gcc-internal-format
 msgid "Java class %qT cannot have virtual bases"
 msgstr ""
 
-#: cp/decl.c:12197
+#: cp/decl.c:12188
 #, gcc-internal-format
 msgid "base type %qT fails to be a struct or class type"
 msgstr ""
 
-#: cp/decl.c:12230
-#, gcc-internal-format
+#: cp/decl.c:12221
+#, fuzzy, gcc-internal-format
 msgid "recursive type %qT undefined"
-msgstr ""
+msgstr "debug_make_undefined_type: (gỡ lỗi tạo kiểu chưa được định nghĩa) kiểu chưa được hỗ trợ"
 
-#: cp/decl.c:12232
+#: cp/decl.c:12223
 #, gcc-internal-format
 msgid "duplicate base type %qT invalid"
 msgstr ""
 
-#: cp/decl.c:12356
+#: cp/decl.c:12347
 #, gcc-internal-format
 msgid "scoped/unscoped mismatch in enum %q#T"
 msgstr ""
 
-#: cp/decl.c:12359 cp/decl.c:12367 cp/decl.c:12379 cp/parser.c:14742
+#: cp/decl.c:12350 cp/decl.c:12358 cp/decl.c:12370 cp/parser.c:14744
 #, gcc-internal-format
 msgid "previous definition here"
-msgstr ""
+msgstr "định nghĩa trước ở đây"
 
-#: cp/decl.c:12364
-#, gcc-internal-format
+#: cp/decl.c:12355
+#, fuzzy, gcc-internal-format
 msgid "underlying type mismatch in enum %q#T"
-msgstr ""
+msgstr "sai khớp kiểu trong đối với thẻ « %s »"
 
-#: cp/decl.c:12376
+#: cp/decl.c:12367
 #, gcc-internal-format
 msgid "different underlying type in enum %q#T"
 msgstr ""
 
-#: cp/decl.c:12443
-#, gcc-internal-format
+#: cp/decl.c:12434
+#, fuzzy, gcc-internal-format
 msgid "underlying type %<%T%> of %<%T%> must be an integral type"
-msgstr ""
+msgstr "« cppchar_t » phải là kiểu không có dấu dương/âm"
 
 #. DR 377
 #.
 #. IF no integral type can represent all the enumerator values, the
 #. enumeration is ill-formed.
-#: cp/decl.c:12577
+#: cp/decl.c:12568
 #, gcc-internal-format
 msgid "no integral type can represent all of the enumerator values for %qT"
 msgstr ""
 
-#: cp/decl.c:12718
+#: cp/decl.c:12709
 #, gcc-internal-format
 msgid "enumerator value for %qD is not an integer constant"
 msgstr ""
 
-#: cp/decl.c:12764
+#: cp/decl.c:12755
 #, gcc-internal-format
 msgid "incremented enumerator value is too large for %<unsigned long%>"
 msgstr ""
 
-#: cp/decl.c:12776
+#: cp/decl.c:12767
 #, gcc-internal-format
 msgid "overflow in enumeration values at %qD"
 msgstr ""
 
-#: cp/decl.c:12796
+#: cp/decl.c:12787
 #, gcc-internal-format
 msgid "enumerator value %E is too large for underlying type %<%T%>"
 msgstr ""
 
-#: cp/decl.c:12886
-#, gcc-internal-format
+#: cp/decl.c:12877
+#, fuzzy, gcc-internal-format
 msgid "return type %q#T is incomplete"
-msgstr ""
+msgstr "nguồn có loại hạng không hoàn toàn"
 
-#: cp/decl.c:12888
+#: cp/decl.c:12879
 #, gcc-internal-format
 msgid "return type has Java class type %q#T"
 msgstr ""
 
-#: cp/decl.c:13012 cp/typeck.c:8247
+#: cp/decl.c:13003 cp/typeck.c:8252
 #, gcc-internal-format
 msgid "%<operator=%> should return a reference to %<*this%>"
-msgstr ""
+msgstr "%<operator=%> cần trả về một tham chiếu đến %<*this%>"
 
-#: cp/decl.c:13108
-#, gcc-internal-format
+#: cp/decl.c:13099
+#, fuzzy, gcc-internal-format
 msgid "no previous declaration for %q+D"
-msgstr ""
+msgstr "Không có câu lệnh ngay trước để thay thế cho"
 
-#: cp/decl.c:13329
+#: cp/decl.c:13320
 #, gcc-internal-format
 msgid "invalid function declaration"
-msgstr ""
+msgstr "khai báo hàm không hợp lệ"
 
-#: cp/decl.c:13413
+#: cp/decl.c:13404
 #, gcc-internal-format
 msgid "parameter %qD declared void"
-msgstr ""
+msgstr "đối số %qD được khai báo là void"
 
-#: cp/decl.c:13781
+#: cp/decl.c:13772
 #, fuzzy, gcc-internal-format
 msgid "no return statements in function returning %qT"
-msgstr "Trả lại giá trị của hàm trong thanh ghi FPU (đơn vị điểm phù động)"
+msgstr "« return » (trả lại) không có giá trị, trong hàm trả lại non-void (không rỗng)"
 
-#: cp/decl.c:13783 cp/typeck.c:8135
+#: cp/decl.c:13774 cp/typeck.c:8135
 #, gcc-internal-format
 msgid "only plain %<auto%> return type can be deduced to %<void%>"
 msgstr ""
 
-#: cp/decl.c:13879
+#: cp/decl.c:13870
 #, gcc-internal-format
 msgid "parameter %q+D set but not used"
-msgstr ""
+msgstr "đối số %q+D đặt như không được dùng"
 
-#: cp/decl.c:13974
+#: cp/decl.c:13965
 #, gcc-internal-format
 msgid "invalid member function declaration"
-msgstr ""
+msgstr "khai báo hàm thành viên không hợp lệ"
 
-#: cp/decl.c:13988
+#: cp/decl.c:13979
 #, gcc-internal-format
 msgid "%qD is already defined in class %qT"
-msgstr ""
+msgstr "%qD đã sẵn định nghĩa trong %qT"
 
 #: cp/decl2.c:318
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "name missing for member function"
-msgstr ""
+msgstr "Đang thay thế dấu chấm « . » cho tên thành viên rỗng"
 
 #: cp/decl2.c:388 cp/decl2.c:402
 #, gcc-internal-format
@@ -30915,7 +30862,7 @@
 #: cp/decl2.c:439
 #, gcc-internal-format
 msgid "deleting array %q#E"
-msgstr ""
+msgstr "đang xóa mảng %q#E"
 
 #: cp/decl2.c:445
 #, gcc-internal-format
@@ -30928,14 +30875,14 @@
 msgstr ""
 
 #: cp/decl2.c:465
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "deleting %qT is undefined"
-msgstr ""
+msgstr "chưa định nghĩa ký hiệu bắt đầu %s"
 
 #: cp/decl2.c:510 cp/pt.c:4613
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "template declaration of %q#D"
-msgstr ""
+msgstr "khai báo trước"
 
 #: cp/decl2.c:562
 #, gcc-internal-format
@@ -30975,7 +30922,7 @@
 #: cp/decl2.c:885
 #, gcc-internal-format
 msgid "%qD is already defined in %qT"
-msgstr ""
+msgstr "%qD đã định nghĩa sẵn trong %qT"
 
 #: cp/decl2.c:914 cp/decl2.c:922
 #, gcc-internal-format
@@ -30990,7 +30937,7 @@
 #: cp/decl2.c:951
 #, gcc-internal-format
 msgid "field initializer is not constant"
-msgstr ""
+msgstr "bộ khởi tạo trường không phải hằng số"
 
 #: cp/decl2.c:984
 #, gcc-internal-format
@@ -31015,7 +30962,7 @@
 #: cp/decl2.c:1058
 #, gcc-internal-format
 msgid "%qD is already defined in the class %qT"
-msgstr ""
+msgstr "%qD đã định nghĩa trong lớp %qT"
 
 #: cp/decl2.c:1065
 #, gcc-internal-format
@@ -31045,7 +30992,7 @@
 #: cp/decl2.c:1480
 #, gcc-internal-format
 msgid "%<operator new%> must return type %qT"
-msgstr ""
+msgstr "%<operator new%> phải trả về kiểu %qT"
 
 #. [basic.stc.dynamic.allocation]
 #.
@@ -31059,17 +31006,17 @@
 #: cp/decl2.c:1507
 #, gcc-internal-format
 msgid "%<operator new%> takes type %<size_t%> (%qT) as first parameter"
-msgstr ""
+msgstr "%<operator new%> nhận kiểu %<size_t%> (%qT) như là đối số thứ nhất"
 
 #: cp/decl2.c:1536
 #, gcc-internal-format
 msgid "%<operator delete%> must return type %qT"
-msgstr ""
+msgstr "%<operator delete%> phải trả về kiểu %qT"
 
 #: cp/decl2.c:1545
 #, gcc-internal-format
 msgid "%<operator delete%> takes type %qT as first parameter"
-msgstr ""
+msgstr "%<operator delete%> nhận kiểu %qT như là đối số thứ nhất"
 
 #: cp/decl2.c:2336
 #, gcc-internal-format
@@ -31104,12 +31051,12 @@
 #: cp/decl2.c:4267
 #, gcc-internal-format
 msgid "inline function %q+D used but never defined"
-msgstr ""
+msgstr "hàm chung dòng %q+D được dùng nhưng chưa bao giờ được định nghĩa"
 
 #: cp/decl2.c:4456
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "default argument missing for parameter %P of %q+#D"
-msgstr ""
+msgstr "đối số cần thiết cho thẻ %s còn thiếu"
 
 #. We mark a lambda conversion op as deleted if we can't
 #. generate it properly; see maybe_add_lambda_conv_op.
@@ -31119,109 +31066,109 @@
 msgstr ""
 
 #: cp/decl2.c:4522
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "use of deleted function %qD"
-msgstr "Trong hàm bộ phận %qs"
+msgstr "dùng hàm bị xóa %qD"
 
 #: cp/decl2.c:4537 cp/decl2.c:4594
 #, gcc-internal-format
 msgid "use of %qD before deduction of %<auto%>"
 msgstr ""
 
-#: cp/error.c:3327
+#: cp/error.c:3331
 #, gcc-internal-format
 msgid "extended initializer lists only available with -std=c++11 or -std=gnu++11"
 msgstr ""
 
-#: cp/error.c:3332
+#: cp/error.c:3336
 #, gcc-internal-format
 msgid "explicit conversion operators only available with -std=c++11 or -std=gnu++11"
 msgstr ""
 
-#: cp/error.c:3337
+#: cp/error.c:3341
 #, gcc-internal-format
 msgid "variadic templates only available with -std=c++11 or -std=gnu++11"
 msgstr ""
 
-#: cp/error.c:3342
+#: cp/error.c:3346
 #, gcc-internal-format
 msgid "lambda expressions only available with -std=c++11 or -std=gnu++11"
 msgstr ""
 
-#: cp/error.c:3347
+#: cp/error.c:3351
 #, gcc-internal-format
 msgid "C++0x auto only available with -std=c++11 or -std=gnu++11"
 msgstr ""
 
-#: cp/error.c:3351
+#: cp/error.c:3355
 #, gcc-internal-format
 msgid "scoped enums only available with -std=c++11 or -std=gnu++11"
 msgstr ""
 
-#: cp/error.c:3355
+#: cp/error.c:3359
 #, gcc-internal-format
 msgid "defaulted and deleted functions only available with -std=c++11 or -std=gnu++11"
 msgstr ""
 
-#: cp/error.c:3360
+#: cp/error.c:3364
 #, gcc-internal-format
 msgid "inline namespaces only available with -std=c++11 or -std=gnu++11"
-msgstr ""
+msgstr "inline namespaces chỉ sẵn sàng với -std=c++11 hay -std=gnu++11"
 
-#: cp/error.c:3365
+#: cp/error.c:3369
 #, gcc-internal-format
 msgid "override controls (override/final) only available with -std=c++11 or -std=gnu++11"
 msgstr ""
 
-#: cp/error.c:3370
+#: cp/error.c:3374
 #, gcc-internal-format
 msgid "non-static data member initializers only available with -std=c++11 or -std=gnu++11"
 msgstr ""
 
-#: cp/error.c:3375
+#: cp/error.c:3379
 #, gcc-internal-format
 msgid "user-defined literals only available with -std=c++11 or -std=gnu++11"
 msgstr ""
 
-#: cp/error.c:3380
+#: cp/error.c:3384
 #, gcc-internal-format
 msgid "delegating constructors only available with -std=c++11 or -std=gnu++11"
 msgstr ""
 
-#: cp/error.c:3385
+#: cp/error.c:3389
 #, gcc-internal-format
 msgid "inheriting constructors only available with -std=c++11 or -std=gnu++11"
 msgstr ""
 
-#: cp/error.c:3390
+#: cp/error.c:3394
 #, gcc-internal-format
 msgid "c++11 attributes only available with -std=c++11 or -std=gnu++11"
 msgstr ""
 
-#: cp/error.c:3439
+#: cp/error.c:3443
 #, gcc-internal-format
 msgid "incomplete type %qT used in nested name specifier"
 msgstr ""
 
-#: cp/error.c:3443
-#, gcc-internal-format
+#: cp/error.c:3447
+#, fuzzy, gcc-internal-format
 msgid "reference to %<%T::%D%> is ambiguous"
-msgstr ""
+msgstr "Định dạng tập tin mơ hồ"
 
-#: cp/error.c:3448 cp/typeck.c:2260
+#: cp/error.c:3452 cp/typeck.c:2260
 #, gcc-internal-format
 msgid "%qD is not a member of %qT"
-msgstr ""
+msgstr "%qD không phải là thành viên của %qT"
 
-#: cp/error.c:3452
+#: cp/error.c:3456
 #, gcc-internal-format
 msgid "%qD is not a member of %qD"
-msgstr ""
+msgstr "%qD không phải là thành viên của %qD"
 
-#: cp/error.c:3457
+#: cp/error.c:3461
 #, gcc-internal-format
 msgid "%<::%D%> has not been declared"
-msgstr ""
+msgstr "%<::%D%> chưa được khai báo"
 
 #. Can't throw a reference.
 #: cp/except.c:291
@@ -31238,7 +31185,7 @@
 #: cp/except.c:309
 #, gcc-internal-format
 msgid "type %qT is not derived from %<java::lang::Throwable%>"
-msgstr ""
+msgstr "kiểu %qT không dẫn xuất từ kiểu %<java::lang::Throwable%>"
 
 #: cp/except.c:370
 #, gcc-internal-format
@@ -31263,7 +31210,7 @@
 #: cp/except.c:846
 #, gcc-internal-format
 msgid "  in thrown expression"
-msgstr ""
+msgstr "  nằm trong biểu thức thrown"
 
 #: cp/except.c:978
 #, gcc-internal-format
@@ -31308,12 +31255,12 @@
 #: cp/friend.c:151
 #, gcc-internal-format
 msgid "%qD is already a friend of class %qT"
-msgstr ""
+msgstr "%qD đã sẵn là bạn của lớp %qT"
 
 #: cp/friend.c:236
 #, gcc-internal-format
 msgid "invalid type %qT declared %<friend%>"
-msgstr ""
+msgstr "kiểu không hợp lệ %qT được khai báo %<friend%>"
 
 #. [temp.friend]
 #. Friend declarations shall not declare partial
@@ -31335,7 +31282,7 @@
 #: cp/friend.c:323
 #, gcc-internal-format
 msgid "%qT is not a member of %qT"
-msgstr ""
+msgstr "%qT không phải là thành viên của %qT"
 
 #: cp/friend.c:328
 #, gcc-internal-format
@@ -31345,7 +31292,7 @@
 #: cp/friend.c:336
 #, gcc-internal-format
 msgid "%qT is not a nested class of %qT"
-msgstr ""
+msgstr "%qT không phải lớp lồng nhau của %qT"
 
 #. template <class T> friend class T;
 #: cp/friend.c:349
@@ -31357,17 +31304,17 @@
 #: cp/friend.c:357
 #, gcc-internal-format
 msgid "%q#T is not a template"
-msgstr ""
+msgstr "%q#T không phải là một mẫu"
 
 #: cp/friend.c:379
 #, gcc-internal-format
 msgid "%qD is already a friend of %qT"
-msgstr ""
+msgstr "%qD đã sẵn là bạn của %qT"
 
 #: cp/friend.c:388
 #, gcc-internal-format
 msgid "%qT is already a friend of %qT"
-msgstr ""
+msgstr "%qT đã sẵn là bạn của %qT"
 
 #: cp/friend.c:512
 #, gcc-internal-format
@@ -31422,7 +31369,7 @@
 #: cp/init.c:582
 #, gcc-internal-format
 msgid "%qD is initialized with itself"
-msgstr ""
+msgstr "%qD được khởi tạo bằng chính nó"
 
 #: cp/init.c:676
 #, fuzzy, gcc-internal-format
@@ -31435,14 +31382,14 @@
 msgstr ""
 
 #: cp/init.c:703
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "uninitialized reference member %qD"
-msgstr ""
+msgstr "tham chiếu đến phần tử chưa sở khởi « %s[\"%.*s\"] »"
 
 #: cp/init.c:863
 #, gcc-internal-format
 msgid "%q+D will be initialized after"
-msgstr ""
+msgstr "%q+D sẽ được khởi tạo sau"
 
 #: cp/init.c:866
 #, gcc-internal-format
@@ -31452,17 +31399,17 @@
 #: cp/init.c:869
 #, gcc-internal-format
 msgid "  %q+#D"
-msgstr ""
+msgstr "  %q+#D"
 
 #: cp/init.c:871
 #, gcc-internal-format
 msgid "  base %qT"
-msgstr ""
+msgstr "  cơ sở %qT"
 
 #: cp/init.c:873
 #, gcc-internal-format
 msgid "  when initialized here"
-msgstr ""
+msgstr "  khi khởi tạo ở đây"
 
 #: cp/init.c:890
 #, gcc-internal-format
@@ -31522,17 +31469,17 @@
 #: cp/init.c:1410
 #, gcc-internal-format
 msgid "type %qT is not a direct base of %qT"
-msgstr ""
+msgstr "kiểu %qT không là cơ sở trực tiếp của %qT"
 
 #: cp/init.c:1495
 #, gcc-internal-format
 msgid "bad array initializer"
-msgstr ""
+msgstr "bộ khởi tạo mảng không đúng"
 
 #: cp/init.c:1790 cp/semantics.c:2834
 #, gcc-internal-format
 msgid "%qT is not a class type"
-msgstr ""
+msgstr "%qT không phải là kiểu lớp"
 
 #: cp/init.c:1844
 #, gcc-internal-format
@@ -31542,7 +31489,7 @@
 #: cp/init.c:1857
 #, gcc-internal-format
 msgid "invalid pointer to bit-field %qD"
-msgstr ""
+msgstr "con trỏ cho trường bít %qD không hợp lệ"
 
 #: cp/init.c:1937
 #, gcc-internal-format
@@ -31560,9 +31507,9 @@
 msgstr ""
 
 #: cp/init.c:2128
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "uninitialized reference member in %q#T"
-msgstr ""
+msgstr "Trong hàm bộ phận %qs"
 
 #: cp/init.c:2140
 #, gcc-internal-format
@@ -31570,19 +31517,17 @@
 msgstr ""
 
 #: cp/init.c:2143
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "uninitialized const member in %q#T"
-msgstr ""
+msgstr "Trong hàm bộ phận %qs"
 
 #: cp/init.c:2254
-#, fuzzy, gcc-internal-format
-#| msgid "Integer overflow"
+#, gcc-internal-format
 msgid "integer overflow in array size"
-msgstr "Tràn số nguyên"
+msgstr "tràn số nguyên trong kích thước mảng"
 
 #: cp/init.c:2264
 #, fuzzy, gcc-internal-format
-#| msgid "argument must be a constant"
 msgid "array size in operator new must be constant"
 msgstr "tham số phải là một hằng"
 
@@ -31592,20 +31537,19 @@
 msgstr ""
 
 #: cp/init.c:2292
-#, fuzzy, gcc-internal-format
-#| msgid "ISO C does not support saturating types"
+#, gcc-internal-format
 msgid "ISO C++ does not support variable-length array types"
-msgstr "ISO C không hỗ trợ kiểu saturating"
+msgstr "ISO C++ không hỗ trợ các kiểu mảng có độ dài không cố định"
 
 #: cp/init.c:2300
 #, gcc-internal-format
 msgid "invalid type %<void%> for new"
-msgstr ""
+msgstr "kiểu không hợp lệ %<void%> cho new"
 
 #: cp/init.c:2343
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "uninitialized const in %<new%> of %q#T"
-msgstr ""
+msgstr "Bạn có thư mới trong $_"
 
 #: cp/init.c:2420
 #, gcc-internal-format
@@ -31635,7 +31579,7 @@
 #: cp/init.c:2706
 #, fuzzy, gcc-internal-format
 msgid "parenthesized initializer in array new"
-msgstr "bộ sơ khởi chứa một chỉ mục mảng vượt quá giới hạn mảng"
+msgstr "gặp chỉ mục mảng trong bộ sơ khởi không phải mảng"
 
 #: cp/init.c:2943
 #, gcc-internal-format
@@ -31660,12 +31604,12 @@
 #: cp/init.c:3028
 #, gcc-internal-format
 msgid "can%'t find %<class$%> in %qT"
-msgstr ""
+msgstr "không thể tìm thấy %<class$%> trong %qT"
 
 #: cp/init.c:3525
 #, gcc-internal-format
 msgid "initializer ends prematurely"
-msgstr ""
+msgstr "bộ khởi tạo kết thúc bất ngờ"
 
 #: cp/init.c:3589
 #, gcc-internal-format
@@ -31693,9 +31637,9 @@
 msgstr ""
 
 #: cp/init.c:3812
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "unknown array size in delete"
-msgstr ""
+msgstr "delete: (xoá) số mũ « %s » không phải nằm trong mảng « %s »"
 
 #: cp/init.c:4084
 #, gcc-internal-format
@@ -31703,19 +31647,19 @@
 msgstr ""
 
 #: cp/lex.c:319
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "junk at end of #pragma %s"
-msgstr ""
+msgstr "gặp rác tại kết thúc dòng"
 
 #: cp/lex.c:326
 #, gcc-internal-format, gfc-internal-format
 msgid "invalid #pragma %s"
-msgstr ""
+msgstr "#pragma %s không hợp lệ"
 
 #: cp/lex.c:334
 #, gcc-internal-format
 msgid "#pragma vtable no longer supported"
-msgstr ""
+msgstr "#pragma vtable không còn được hỗ trợ nữa"
 
 #: cp/lex.c:406
 #, gcc-internal-format
@@ -31730,12 +31674,12 @@
 #: cp/lex.c:445
 #, gcc-internal-format
 msgid "%qD not defined"
-msgstr ""
+msgstr "%qD chưa được định nghĩa"
 
 #: cp/lex.c:451
 #, gcc-internal-format
 msgid "%qD was not declared in this scope"
-msgstr ""
+msgstr "%qD chưa được khai báo trong phạm vi này"
 
 #. In a template, it is invalid to write "f()" or "f(3)" if no
 #. declaration of "f" is available.  Historically, G++ and most
@@ -31763,9 +31707,9 @@
 msgstr ""
 
 #: cp/mangle.c:2089
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "mangling __underlying_type"
-msgstr ""
+msgstr "Gõ một tên phông chữ."
 
 #: cp/mangle.c:2313
 #, gcc-internal-format
@@ -31778,9 +31722,9 @@
 msgstr ""
 
 #: cp/mangle.c:2886
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "mangling %C"
-msgstr ""
+msgstr "Không có việc tháo gỡ cho « %s »\n"
 
 #: cp/mangle.c:2963
 #, gcc-internal-format
@@ -31833,19 +31777,19 @@
 msgstr ""
 
 #: cp/method.c:1068
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "initializer for %q+#D is invalid"
-msgstr "(bộ sơ khởi tĩnh cho %s)"
+msgstr "bộ khởi tạo cho %q+#D không hợp lệ"
 
 #: cp/method.c:1091
 #, fuzzy, gcc-internal-format
 msgid "uninitialized non-static const member %q#D"
-msgstr "Để vào ROM các hằng số chưa sơ khởi (yêu cầu -membedded-data)"
+msgstr "một bộ phận mảng dẻo bị sơ khởi một cách không phải tĩnh"
 
 #: cp/method.c:1098
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "uninitialized non-static reference member %q#D"
-msgstr ""
+msgstr "một bộ phận mảng dẻo bị sơ khởi một cách không phải tĩnh"
 
 #: cp/method.c:1114
 #, gcc-internal-format
@@ -31884,9 +31828,9 @@
 msgstr ""
 
 #: cp/method.c:1751
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "defaulted declaration %q+D"
-msgstr ""
+msgstr "khai báo trước"
 
 #: cp/method.c:1753
 #, gcc-internal-format
@@ -31906,12 +31850,12 @@
 #: cp/method.c:1810
 #, gcc-internal-format
 msgid "a template cannot be defaulted"
-msgstr ""
+msgstr "một mẫu không thể là mặc định"
 
 #: cp/method.c:1838
 #, gcc-internal-format
 msgid "%qD cannot be defaulted"
-msgstr ""
+msgstr "%qD không thể là mặc định"
 
 #: cp/method.c:1847
 #, gcc-internal-format
@@ -31924,14 +31868,14 @@
 msgstr ""
 
 #: cp/name-lookup.c:555
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%q#D conflicts with a previous declaration"
-msgstr "Cảnh báo về hàm toàn cục không có lời tuyên bố trước"
+msgstr "%q#D xung đột với khai báo trước"
 
 #: cp/name-lookup.c:557
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "previous declaration %q+#D"
-msgstr "lời tuyên bố thuộc tính"
+msgstr "khai báo trước đây %q+#D"
 
 #: cp/name-lookup.c:769
 #, gcc-internal-format
@@ -31947,12 +31891,12 @@
 #: cp/name-lookup.c:799
 #, gcc-internal-format
 msgid "invalid redeclaration of %q+D"
-msgstr ""
+msgstr "tái khai báo không hợp lệ cho %q+D"
 
 #: cp/name-lookup.c:800
 #, gcc-internal-format
 msgid "as %qD"
-msgstr ""
+msgstr "như %qD"
 
 #: cp/name-lookup.c:841 cp/name-lookup.c:857
 #, gcc-internal-format
@@ -31970,24 +31914,24 @@
 msgstr ""
 
 #: cp/name-lookup.c:949
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "previous external decl of %q+#D"
-msgstr ""
+msgstr "lỗi chạy câu lệnh mở ngoài: %1%"
 
 #: cp/name-lookup.c:1047
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "extern declaration of %q#D doesn%'t match"
-msgstr ""
+msgstr "%s:%d: %s: đối số « %d » không khớp với định dạng\n"
 
 #: cp/name-lookup.c:1048
 #, gcc-internal-format
 msgid "global declaration %q+#D"
-msgstr ""
+msgstr "khai báo toàn cục %q+#D"
 
 #: cp/name-lookup.c:1100 cp/name-lookup.c:1143
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "declaration of %q#D shadows a parameter"
-msgstr ""
+msgstr "hàm « %s »: tham số « %s » che biến toàn cục"
 
 #: cp/name-lookup.c:1146
 #, gcc-internal-format
@@ -32006,19 +31950,19 @@
 msgstr ""
 
 #: cp/name-lookup.c:1329
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "name lookup of %qD changed"
-msgstr ""
+msgstr "Lỗi tra cứu tên máy"
 
 #: cp/name-lookup.c:1330
 #, gcc-internal-format
 msgid "  matches this %q+D under ISO standard rules"
-msgstr ""
+msgstr "  khớp %q+D này dưới quy tắc ISO tiêu chuẩn"
 
 #: cp/name-lookup.c:1332
 #, gcc-internal-format
 msgid "  matches this %q+D under old rules"
-msgstr ""
+msgstr "  khớp %q+D này dưới quy tắc cũ"
 
 #: cp/name-lookup.c:1350 cp/name-lookup.c:1358
 #, gcc-internal-format
@@ -32031,9 +31975,9 @@
 msgstr ""
 
 #: cp/name-lookup.c:1361
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "  using obsolete binding at %q+D"
-msgstr ""
+msgstr "%s: thức dậy từ \"%s\" sử dụng %s lúc %s"
 
 #: cp/name-lookup.c:1367
 #, gcc-internal-format
@@ -32043,17 +31987,17 @@
 #: cp/name-lookup.c:1422
 #, gcc-internal-format
 msgid "%s %s(%E) %p %d\n"
-msgstr ""
+msgstr "%s %s(%E) %p %d\n"
 
 #: cp/name-lookup.c:1425
 #, gcc-internal-format
 msgid "%s %s %p %d\n"
-msgstr ""
+msgstr "%s %s %p %d\n"
 
 #: cp/name-lookup.c:2254
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "%q#D hides constructor for %q#T"
-msgstr ""
+msgstr "&Phông chữ cho Mức..."
 
 #: cp/name-lookup.c:2271
 #, gcc-internal-format
@@ -32061,21 +32005,21 @@
 msgstr ""
 
 #: cp/name-lookup.c:2294
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "previous non-function declaration %q+#D"
-msgstr ""
+msgstr "kết thúc tập tin bất thường trong lời tuyên bố hàm"
 
 #: cp/name-lookup.c:2295
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "conflicts with function declaration %q#D"
-msgstr ""
+msgstr "Nhãn xung đột với « Rx »"
 
 #. It's a nested name with template parameter dependent scope.
 #. This can only be using-declaration for class member.
 #: cp/name-lookup.c:2385 cp/name-lookup.c:2410
 #, gcc-internal-format
 msgid "%qT is not a namespace"
-msgstr ""
+msgstr "%qT không phải là một namespace"
 
 #. 7.3.3/5
 #. A using-declaration shall not name a template-id.
@@ -32099,103 +32043,103 @@
 #: cp/name-lookup.c:2446
 #, gcc-internal-format
 msgid "%qD not declared"
-msgstr ""
+msgstr "%qD chưa được khai báo"
 
-#: cp/name-lookup.c:3218
+#: cp/name-lookup.c:3211
 #, gcc-internal-format
 msgid "using-declaration for non-member at class scope"
 msgstr ""
 
-#: cp/name-lookup.c:3225
+#: cp/name-lookup.c:3218
 #, gcc-internal-format
 msgid "%<%T::%D%> names destructor"
-msgstr ""
+msgstr "%<%T::%D%> tên hủy tử"
 
-#: cp/name-lookup.c:3236
-#, gcc-internal-format
+#: cp/name-lookup.c:3231
+#, fuzzy, gcc-internal-format
 msgid "%<%T::%D%> names constructor in %qT"
-msgstr ""
+msgstr "Trong bộ dựng bản sao %qs"
 
-#: cp/name-lookup.c:3287
-#, gcc-internal-format
+#: cp/name-lookup.c:3282
+#, fuzzy, gcc-internal-format
 msgid "no members matching %<%T::%D%> in %q#T"
-msgstr ""
+msgstr "Không có tệp tin nào tìm thấy trong: "
 
-#: cp/name-lookup.c:3374
+#: cp/name-lookup.c:3369
 #, gcc-internal-format
 msgid "declaration of %qD not in a namespace surrounding %qD"
 msgstr ""
 
-#: cp/name-lookup.c:3382
+#: cp/name-lookup.c:3377
 #, gcc-internal-format
 msgid "explicit qualification in declaration of %qD"
 msgstr ""
 
-#: cp/name-lookup.c:3465
+#: cp/name-lookup.c:3460
 #, gcc-internal-format
 msgid "%qD should have been declared inside %qD"
 msgstr ""
 
-#: cp/name-lookup.c:3509
+#: cp/name-lookup.c:3504
 #, gcc-internal-format
 msgid "%qD attribute requires a single NTBS argument"
 msgstr ""
 
-#: cp/name-lookup.c:3516
+#: cp/name-lookup.c:3511
 #, gcc-internal-format
 msgid "%qD attribute is meaningless since members of the anonymous namespace get local symbols"
 msgstr ""
 
-#: cp/name-lookup.c:3524 cp/name-lookup.c:3936
-#, gcc-internal-format
+#: cp/name-lookup.c:3519 cp/name-lookup.c:3931
+#, fuzzy, gcc-internal-format
 msgid "%qD attribute directive ignored"
-msgstr ""
+msgstr "không rõ chỉ thị « %s »: dòng bị bỏ qua"
 
-#: cp/name-lookup.c:3588
+#: cp/name-lookup.c:3583
 #, gcc-internal-format
 msgid "namespace alias %qD not allowed here, assuming %qD"
 msgstr ""
 
-#: cp/name-lookup.c:3924
+#: cp/name-lookup.c:3919
 #, gcc-internal-format
 msgid "strong using only meaningful at namespace scope"
 msgstr ""
 
-#: cp/name-lookup.c:3928
+#: cp/name-lookup.c:3923
 #, gcc-internal-format
 msgid "current namespace %qD does not enclose strongly used namespace %qD"
 msgstr ""
 
-#: cp/name-lookup.c:4267
+#: cp/name-lookup.c:4262
 #, gcc-internal-format
 msgid "maximum limit of %d namespaces searched for %qE"
 msgstr ""
 
-#: cp/name-lookup.c:4277
+#: cp/name-lookup.c:4272
 #, gcc-internal-format
 msgid "suggested alternative:"
 msgid_plural "suggested alternatives:"
-msgstr[0] ""
+msgstr[0] "các khả năng được gợi ý:"
 
-#: cp/name-lookup.c:4281
+#: cp/name-lookup.c:4276
 #, gcc-internal-format
 msgid "  %qE"
-msgstr ""
+msgstr "  %qE"
 
-#: cp/name-lookup.c:5551
+#: cp/name-lookup.c:5546
 #, gcc-internal-format
 msgid "argument dependent lookup finds %q+D"
 msgstr ""
 
-#: cp/name-lookup.c:6088
+#: cp/name-lookup.c:6083
 #, gcc-internal-format
 msgid "XXX entering pop_everything ()\n"
-msgstr ""
+msgstr "XXX vào pop_everything ()\n"
 
-#: cp/name-lookup.c:6097
+#: cp/name-lookup.c:6092
 #, gcc-internal-format
 msgid "XXX leaving pop_everything ()\n"
-msgstr ""
+msgstr "XXX rời bỏ pop_everything ()\n"
 
 #: cp/optimize.c:357
 #, gcc-internal-format
@@ -32210,17 +32154,17 @@
 #: cp/parser.c:2402
 #, gcc-internal-format
 msgid "%<#pragma%> is not allowed here"
-msgstr ""
+msgstr "%<#pragma%> là không được phép ở đây"
 
 #: cp/parser.c:2433
 #, gcc-internal-format
 msgid "%<%E::%E%> has not been declared"
-msgstr ""
+msgstr "%<%E::%E%> chưa được khai báo"
 
 #: cp/parser.c:2436
 #, gcc-internal-format
 msgid "%<::%E%> has not been declared"
-msgstr ""
+msgstr "%<::%E%> chưa được khai báo"
 
 #: cp/parser.c:2439
 #, gcc-internal-format
@@ -32230,17 +32174,17 @@
 #: cp/parser.c:2442
 #, gcc-internal-format
 msgid "%<%T::%E%> has not been declared"
-msgstr ""
+msgstr "%<%T::%E%> chưa được khai báo"
 
 #: cp/parser.c:2445
 #, gcc-internal-format
 msgid "%qE has not been declared"
-msgstr ""
+msgstr "%qE chưa được khai báo"
 
 #: cp/parser.c:2452
 #, gcc-internal-format
 msgid "%<%E::%E%> is not a type"
-msgstr ""
+msgstr "%<%E::%E%> không phải là một kiểu"
 
 #: cp/parser.c:2456
 #, gcc-internal-format
@@ -32250,12 +32194,12 @@
 #: cp/parser.c:2461
 #, gcc-internal-format
 msgid "%<%E::%E%> is not a class, namespace, or enumeration"
-msgstr ""
+msgstr "%<%E::%E%> không phải là một lớp, namespace, enumeration"
 
 #: cp/parser.c:2474
 #, gcc-internal-format
 msgid "%<::%E%> is not a type"
-msgstr ""
+msgstr "%<::%E%> không phải là một kiểu"
 
 #: cp/parser.c:2477
 #, gcc-internal-format
@@ -32265,7 +32209,7 @@
 #: cp/parser.c:2481
 #, gcc-internal-format
 msgid "%<::%E%> is not a class, namespace, or enumeration"
-msgstr ""
+msgstr "%<::%E%> không phải là một lớp, namespace, hay enumeration"
 
 #: cp/parser.c:2493
 #, gcc-internal-format
@@ -32295,38 +32239,37 @@
 #: cp/parser.c:2587 cp/parser.c:5124 cp/pt.c:7090
 #, gcc-internal-format
 msgid "%qT is not a template"
-msgstr ""
+msgstr "%qT không phải một mẫu"
 
 #: cp/parser.c:2591
-#, fuzzy, gcc-internal-format
-#| msgid "%qE is not a class or namespace"
+#, gcc-internal-format
 msgid "%qE is not a class template"
-msgstr "%qE không phải một lớp hay namespace"
+msgstr "%qE không phải một lớp mẫu"
 
 #: cp/parser.c:2593
 #, gcc-internal-format
 msgid "%qE is not a template"
-msgstr ""
+msgstr "%qE không phải là một mẫu"
 
 #: cp/parser.c:2596
 #, gcc-internal-format
 msgid "invalid template-id"
-msgstr ""
+msgstr "template-id không hợp lệ"
 
 #: cp/parser.c:2629
 #, fuzzy, gcc-internal-format
 msgid "floating-point literal cannot appear in a constant-expression"
 msgstr "yếu tố sơ khởi không phải là một biểu tượng hằng số"
 
-#: cp/parser.c:2633 cp/pt.c:13527
+#: cp/parser.c:2633 cp/pt.c:13522
 #, gcc-internal-format
 msgid "a cast to a type other than an integral or enumeration type cannot appear in a constant-expression"
 msgstr ""
 
 #: cp/parser.c:2638
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%<typeid%> operator cannot appear in a constant-expression"
-msgstr "Gặp loại saio trong biểu thức bất biến"
+msgstr "%<typeid%> toán tử không thể xuất hiện trong biểu thức hằng"
 
 #: cp/parser.c:2642
 #, gcc-internal-format
@@ -32334,19 +32277,19 @@
 msgstr ""
 
 #: cp/parser.c:2646
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "a function call cannot appear in a constant-expression"
-msgstr "Gặp loại saio trong biểu thức bất biến"
+msgstr "cú gọi hàm không được xuất hiện trong biểu thức hằng"
 
 #: cp/parser.c:2650
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "an increment cannot appear in a constant-expression"
-msgstr "yếu tố sơ khởi không phải là một biểu tượng hằng số"
+msgstr "phép gia số không được phép xuất hiện trong biểu thức hằng"
 
 #: cp/parser.c:2654
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "an decrement cannot appear in a constant-expression"
-msgstr "Gặp loại saio trong biểu thức bất biến"
+msgstr "phép gia số không thể được xuất hiện trong biểu thức hằng"
 
 #: cp/parser.c:2658
 #, fuzzy, gcc-internal-format
@@ -32364,14 +32307,14 @@
 msgstr ""
 
 #: cp/parser.c:2670
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "an assignment cannot appear in a constant-expression"
-msgstr "Gặp loại saio trong biểu thức bất biến"
+msgstr "phép gán không thể được xuất hiện trong biểu thức hằng"
 
 #: cp/parser.c:2673
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "a comma operator cannot appear in a constant-expression"
-msgstr "Gặp loại saio trong biểu thức bất biến"
+msgstr "toán tử dấu phẩy không được xuất hiện trong biểu thức hằng"
 
 #: cp/parser.c:2677
 #, gcc-internal-format
@@ -32384,9 +32327,9 @@
 msgstr "bộ sơ khởi chứa một chỉ mục mảng không phải là một biểu tượng hằng số nguyên"
 
 #: cp/parser.c:2727
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%qs cannot appear in a constant-expression"
-msgstr "Gặp loại saio trong biểu thức bất biến"
+msgstr "%qs không thể xuất hiện trong biểu thức hằng"
 
 #: cp/parser.c:2756
 #, gcc-internal-format
@@ -32408,7 +32351,7 @@
 #: cp/parser.c:2766
 #, gcc-internal-format
 msgid "%qE does not name a type"
-msgstr ""
+msgstr "%qE không phải tên một kiểu"
 
 #: cp/parser.c:2775
 #, gcc-internal-format
@@ -32429,7 +32372,7 @@
 #: cp/parser.c:2823
 #, gcc-internal-format
 msgid "%<%T::%E%> names the constructor, not the type"
-msgstr ""
+msgstr "%<%T::%E%> tên cấu tử, không phải kiểu"
 
 #: cp/parser.c:2826
 #, gcc-internal-format
@@ -32459,7 +32402,7 @@
 #: cp/parser.c:3499
 #, gcc-internal-format
 msgid "a wide string is invalid in this context"
-msgstr ""
+msgstr "một chuỗi lớn là không hợp lệ trong ngữ cảnh này"
 
 #: cp/parser.c:3613 cp/parser.c:3623
 #, gcc-internal-format
@@ -32537,9 +32480,9 @@
 msgstr ""
 
 #: cp/parser.c:4543
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "expected id-expression"
-msgstr "cần một loại biểu thức"
+msgstr "cần id-expression"
 
 #: cp/parser.c:4675
 #, gcc-internal-format
@@ -32561,10 +32504,10 @@
 msgid "literal operator suffixes not preceded by %<_%> are reserved for future standardization"
 msgstr ""
 
-#: cp/parser.c:4857 cp/parser.c:16496
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:4857 cp/parser.c:16498
+#, gcc-internal-format
 msgid "expected unqualified-id"
-msgstr "cần một tên"
+msgstr "cần unqualified-id"
 
 #: cp/parser.c:4964
 #, gcc-internal-format
@@ -32579,12 +32522,12 @@
 #: cp/parser.c:5125 cp/typeck.c:2531 cp/typeck.c:2551
 #, gcc-internal-format
 msgid "%qD is not a template"
-msgstr ""
+msgstr "%qD không phải một mẫu"
 
 #: cp/parser.c:5203
 #, gcc-internal-format
 msgid "expected nested-name-specifier"
-msgstr ""
+msgstr "cần nested-name-specifier"
 
 #: cp/parser.c:5400 cp/parser.c:7183
 #, gcc-internal-format
@@ -32601,7 +32544,7 @@
 #: cp/parser.c:5599
 #, gcc-internal-format
 msgid "ISO C++ forbids compound-literals"
-msgstr ""
+msgstr "ISO C++ cấm compound-literals"
 
 #: cp/parser.c:5653
 #, gcc-internal-format
@@ -32611,12 +32554,12 @@
 #: cp/parser.c:5999
 #, gcc-internal-format
 msgid "%qE does not have class type"
-msgstr ""
+msgstr "%qE không có kiểu lớp"
 
 #: cp/parser.c:6088 cp/typeck.c:2440
 #, gcc-internal-format
 msgid "invalid use of %qD"
-msgstr ""
+msgstr "dùng %qD không hợp lệ"
 
 #: cp/parser.c:6097
 #, gcc-internal-format
@@ -32626,12 +32569,12 @@
 #: cp/parser.c:6359
 #, gcc-internal-format
 msgid "non-scalar type"
-msgstr ""
+msgstr "kiểu không-scalar"
 
 #: cp/parser.c:6455
 #, gcc-internal-format
 msgid "ISO C++ does not allow %<alignof%> with a non-type"
-msgstr ""
+msgstr "ISO C++ không cho phép %<alignof%> với một non-type"
 
 #: cp/parser.c:6540
 #, gcc-internal-format
@@ -32666,7 +32609,7 @@
 #: cp/parser.c:7247
 #, gcc-internal-format
 msgid "use of old-style cast"
-msgstr ""
+msgstr "dùng áp kiểu theo cách cũ"
 
 #: cp/parser.c:7382
 #, gcc-internal-format
@@ -32676,12 +32619,12 @@
 #: cp/parser.c:7385
 #, gcc-internal-format
 msgid "suggest parentheses around %<>>%> expression"
-msgstr ""
+msgstr "gợi ý bao quanh biểu thức %<>>%> bằng dấu ngoặc đơn"
 
 #: cp/parser.c:7531
 #, gcc-internal-format
 msgid "ISO C++ does not allow ?: with omitted middle operand"
-msgstr ""
+msgstr "ISO C++ không cho phép ?: với toán hạng ở giữa bị bỏ qua"
 
 #: cp/parser.c:8156
 #, gcc-internal-format
@@ -32691,7 +32634,7 @@
 #: cp/parser.c:8285
 #, gcc-internal-format
 msgid "expected end of capture-list"
-msgstr ""
+msgstr "cần kết thúc của capture-list"
 
 #: cp/parser.c:8299
 #, gcc-internal-format
@@ -32704,14 +32647,14 @@
 msgstr ""
 
 #: cp/parser.c:8373
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "capture of non-variable %qD "
-msgstr ""
+msgstr "thử gán cho đồ không phải biến"
 
 #: cp/parser.c:8375 cp/parser.c:8384
 #, gcc-internal-format
 msgid "%q+#D declared here"
-msgstr ""
+msgstr "%q+#D được khai báo ở đây"
 
 #: cp/parser.c:8381
 #, gcc-internal-format
@@ -32741,7 +32684,7 @@
 #: cp/parser.c:8913
 #, gcc-internal-format
 msgid "expected labeled-statement"
-msgstr ""
+msgstr "cần labeled-statement"
 
 #: cp/parser.c:8951
 #, gcc-internal-format
@@ -32756,17 +32699,17 @@
 #: cp/parser.c:9037
 #, gcc-internal-format
 msgid "%<%T::%D%> names the constructor, not the type"
-msgstr ""
+msgstr "%<%T::%D%> tên cấu tử, không phải kiểu"
 
 #: cp/parser.c:9086
 #, gcc-internal-format
 msgid "compound-statement in constexpr function"
 msgstr ""
 
-#: cp/parser.c:9298 cp/parser.c:23016
+#: cp/parser.c:9298 cp/parser.c:23020
 #, gcc-internal-format
 msgid "expected selection-statement"
-msgstr ""
+msgstr "cần selection-statement"
 
 #: cp/parser.c:9331
 #, gcc-internal-format
@@ -32793,10 +32736,10 @@
 msgid "inconsistent begin/end types in range-based %<for%> statement: %qT and %qT"
 msgstr ""
 
-#: cp/parser.c:9889 cp/parser.c:23019
+#: cp/parser.c:9889 cp/parser.c:23023
 #, gcc-internal-format
 msgid "expected iteration-statement"
-msgstr ""
+msgstr "cần iteration-statement"
 
 #: cp/parser.c:9936
 #, gcc-internal-format
@@ -32807,22 +32750,22 @@
 #: cp/parser.c:10058
 #, gcc-internal-format
 msgid "ISO C++ forbids computed gotos"
-msgstr ""
+msgstr "ISO C++ cấm tính toán gotos"
 
-#: cp/parser.c:10071 cp/parser.c:23022
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:10071 cp/parser.c:23026
+#, gcc-internal-format
 msgid "expected jump-statement"
-msgstr "cần một tên"
+msgstr "cần jump-statement"
 
-#: cp/parser.c:10203 cp/parser.c:19157
+#: cp/parser.c:10203 cp/parser.c:19161
 #, gcc-internal-format
 msgid "extra %<;%>"
-msgstr ""
+msgstr "%<;%> mở rộng"
 
 #: cp/parser.c:10436
 #, gcc-internal-format
 msgid "%<__label__%> not at the beginning of a block"
-msgstr ""
+msgstr "%<__label__%> không ở đầu của một khối"
 
 #: cp/parser.c:10587
 #, gcc-internal-format
@@ -32832,34 +32775,34 @@
 #: cp/parser.c:10779
 #, gcc-internal-format
 msgid "%<friend%> used outside of class"
-msgstr ""
+msgstr "%<friend%> được dùng bên ngoài lớp"
 
 #. Complain about `auto' as a storage specifier, if
 #. we're complaining about C++0x compatibility.
 #: cp/parser.c:10838
 #, gcc-internal-format
 msgid "%<auto%> changes meaning in C++11; please remove it"
-msgstr ""
+msgstr "%<auto%> thay đổi ý nghĩa trong C++11; hãy bỏ nó đi"
 
 #: cp/parser.c:10874
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "decl-specifier invalid in condition"
-msgstr ""
+msgstr "hậu tố chứa sự xác định chuyển đổi sai: %c"
 
 #: cp/parser.c:10966
 #, gcc-internal-format
 msgid "class definition may not be declared a friend"
 msgstr ""
 
-#: cp/parser.c:11034 cp/parser.c:19551
+#: cp/parser.c:11034 cp/parser.c:19555
 #, gcc-internal-format
 msgid "templates may not be %<virtual%>"
-msgstr ""
+msgstr "các mẫu không thể là %<virtual%>"
 
 #: cp/parser.c:11073
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "invalid linkage-specification"
-msgstr "Hiệu lực số tối ưu hoá bộ liên kết"
+msgstr "đặc tả linkage không hợp lệ"
 
 #: cp/parser.c:11208
 #, gcc-internal-format
@@ -32912,9 +32855,9 @@
 msgstr ""
 
 #: cp/parser.c:12061
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "expected suffix identifier"
-msgstr "cần một số nguyên"
+msgstr "cần định danh hậu tố"
 
 #: cp/parser.c:12066
 #, gcc-internal-format
@@ -32922,9 +32865,9 @@
 msgstr ""
 
 #: cp/parser.c:12081
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "expected operator"
-msgstr "gặp toán hạng bất thường"
+msgstr "cần toán tử"
 
 #. Warn that we do not support `export'.
 #: cp/parser.c:12118
@@ -32932,12 +32875,12 @@
 msgid "keyword %<export%> not implemented, and will be ignored"
 msgstr ""
 
-#: cp/parser.c:12317 cp/parser.c:12415 cp/parser.c:12522 cp/parser.c:17611
+#: cp/parser.c:12317 cp/parser.c:12415 cp/parser.c:12522 cp/parser.c:17613
 #, gcc-internal-format
 msgid "template parameter pack %qD cannot have a default argument"
 msgstr ""
 
-#: cp/parser.c:12321 cp/parser.c:17619
+#: cp/parser.c:12321 cp/parser.c:17621
 #, gcc-internal-format
 msgid "template parameter pack cannot have a default argument"
 msgstr ""
@@ -32948,11 +32891,11 @@
 msgstr ""
 
 #: cp/parser.c:12610
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "expected template-id"
-msgstr "gặp toán hạng bất thường"
+msgstr "cần template-id"
 
-#: cp/parser.c:12658 cp/parser.c:22980
+#: cp/parser.c:12658 cp/parser.c:22984
 #, gcc-internal-format
 msgid "expected %<<%>"
 msgstr "cần %<<%>"
@@ -32979,9 +32922,9 @@
 
 #. The name does not name a template.
 #: cp/parser.c:12819 cp/parser.c:12934 cp/parser.c:13146
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "expected template-name"
-msgstr "cần một tên"
+msgstr "cần template-name"
 
 #. Explain what went wrong.
 #: cp/parser.c:12865
@@ -32995,14 +32938,14 @@
 msgstr ""
 
 #: cp/parser.c:13001
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "expected parameter pack before %<...%>"
-msgstr ""
+msgstr "%s:%s: lỗi: cần tên kiểu trước đặc tả kiểu\n"
 
 #: cp/parser.c:13111 cp/parser.c:13129 cp/parser.c:13273
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "expected template-argument"
-msgstr "template-parameter-"
+msgstr "cần template-argument"
 
 #: cp/parser.c:13256
 #, gcc-internal-format
@@ -33020,187 +32963,187 @@
 msgstr ""
 
 #: cp/parser.c:13437
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "template specialization with C linkage"
-msgstr ""
+msgstr "dùng « --suffix » (hậu tố) thì mẫu %s phải kết thúc bằng chữ X"
 
 #: cp/parser.c:13657
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "expected type specifier"
-msgstr "cần kết thúc dòng"
+msgstr "cần bộ chỉ định kiểu"
 
 #: cp/parser.c:13903
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "expected template-id for type"
-msgstr "cần một loại biểu thức"
+msgstr "cần template-id cho kiểu"
 
 #: cp/parser.c:13930
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "expected type-name"
-msgstr "cần một tên"
+msgstr "cần type-name (tên kiểu)"
 
 #: cp/parser.c:14169
 #, gcc-internal-format
 msgid "elaborated-type-specifier for a scoped enum must not use the %<%D%> keyword"
 msgstr ""
 
-#: cp/parser.c:14355
+#: cp/parser.c:14357
 #, gcc-internal-format
 msgid "declaration %qD does not declare anything"
 msgstr ""
 
-#: cp/parser.c:14441
+#: cp/parser.c:14443
 #, gcc-internal-format
 msgid "attributes ignored on uninstantiated type"
 msgstr ""
 
-#: cp/parser.c:14445
+#: cp/parser.c:14447
 #, gcc-internal-format
 msgid "attributes ignored on template instantiation"
 msgstr ""
 
-#: cp/parser.c:14450
+#: cp/parser.c:14452
 #, gcc-internal-format
 msgid "attributes ignored on elaborated-type-specifier that is not a forward declaration"
 msgstr ""
 
-#: cp/parser.c:14584
+#: cp/parser.c:14586
 #, gcc-internal-format
 msgid "%qD is an enumeration template"
-msgstr ""
+msgstr "%qD là một mẫu liệt kê"
 
-#: cp/parser.c:14592
+#: cp/parser.c:14594
 #, gcc-internal-format
 msgid "%qD is not an enumerator-name"
-msgstr ""
+msgstr "%qD không phải là một enumerator-name"
 
-#: cp/parser.c:14655
+#: cp/parser.c:14657
 #, gcc-internal-format
 msgid "expected %<;%> or %<{%>"
 msgstr "cần %<;%> hoặc %<{%>"
 
-#: cp/parser.c:14703
+#: cp/parser.c:14705
 #, gcc-internal-format
 msgid "cannot add an enumerator list to a template instantiation"
 msgstr ""
 
-#: cp/parser.c:14712 cp/parser.c:18714
+#: cp/parser.c:14714 cp/parser.c:18718
 #, gcc-internal-format
 msgid "declaration of %qD in namespace %qD which does not enclose %qD"
 msgstr ""
 
-#: cp/parser.c:14717 cp/parser.c:18719
+#: cp/parser.c:14719 cp/parser.c:18723
 #, gcc-internal-format
 msgid "declaration of %qD in %qD which does not enclose %qD"
 msgstr ""
 
-#: cp/parser.c:14740
+#: cp/parser.c:14742
 #, gcc-internal-format
 msgid "multiple definition of %q#T"
-msgstr ""
+msgstr "nhiều định nghĩa cho %q#T"
 
-#: cp/parser.c:14767
+#: cp/parser.c:14769
 #, gcc-internal-format
 msgid "opaque-enum-specifier without name"
 msgstr ""
 
-#: cp/parser.c:14770
+#: cp/parser.c:14772
 #, gcc-internal-format
 msgid "opaque-enum-specifier must use a simple identifier"
 msgstr ""
 
-#: cp/parser.c:14946
+#: cp/parser.c:14948
 #, gcc-internal-format
 msgid "%qD is not a namespace-name"
-msgstr ""
+msgstr "%qD không là một namespace-name"
 
-#: cp/parser.c:14947
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:14949
+#, gcc-internal-format
 msgid "expected namespace-name"
-msgstr "cần một tên"
+msgstr "cần namespace-name"
 
-#: cp/parser.c:15072
+#: cp/parser.c:15074
 #, gcc-internal-format
 msgid "%<namespace%> definition is not allowed here"
-msgstr ""
+msgstr "%<namespace%> không cho phép định nghĩa ở đây"
 
-#: cp/parser.c:15218
+#: cp/parser.c:15220
 #, gcc-internal-format
 msgid "a template-id may not appear in a using-declaration"
 msgstr ""
 
-#: cp/parser.c:15258
+#: cp/parser.c:15260
 #, gcc-internal-format
 msgid "access declarations are deprecated in favour of using-declarations; suggestion: add the %<using%> keyword"
 msgstr ""
 
-#: cp/parser.c:15323
+#: cp/parser.c:15325
 #, gcc-internal-format
 msgid "types may not be defined in alias template declarations"
 msgstr ""
 
-#: cp/parser.c:15787
+#: cp/parser.c:15789
 #, gcc-internal-format
 msgid "a function-definition is not allowed here"
-msgstr ""
+msgstr "không cho phép định nghĩa hàm tại đây"
 
-#: cp/parser.c:15799
+#: cp/parser.c:15801
 #, gcc-internal-format
 msgid "an asm-specification is not allowed on a function-definition"
 msgstr ""
 
-#: cp/parser.c:15803
+#: cp/parser.c:15805
 #, gcc-internal-format
 msgid "attributes are not allowed on a function-definition"
 msgstr ""
 
-#: cp/parser.c:15840
+#: cp/parser.c:15842
 #, gcc-internal-format
 msgid "expected constructor, destructor, or type conversion"
 msgstr ""
 
 #. Anything else is an error.
-#: cp/parser.c:15875 cp/parser.c:17782
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:15877 cp/parser.c:17784
+#, gcc-internal-format
 msgid "expected initializer"
-msgstr "cần một số nguyên"
+msgstr "cần bộ khởi tạo"
 
-#: cp/parser.c:15895
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:15897
+#, gcc-internal-format
 msgid "invalid type in declaration"
-msgstr "lời tuyên bố loại có hướng"
+msgstr "kiểu trong khai báo không hợp lệ"
 
-#: cp/parser.c:15971
+#: cp/parser.c:15973
 #, gcc-internal-format
 msgid "initializer provided for function"
-msgstr ""
+msgstr "bộ khởi tạo được cung cấp cho hàm"
 
-#: cp/parser.c:16005
+#: cp/parser.c:16007
 #, gcc-internal-format
 msgid "attributes after parenthesized initializer ignored"
 msgstr ""
 
-#: cp/parser.c:16416
-#, gcc-internal-format
+#: cp/parser.c:16418
+#, fuzzy, gcc-internal-format
 msgid "array bound is not an integer constant"
-msgstr ""
+msgstr "%s:%d: lỗi: chỉ mục tham chiếu mảng không phải số nguyên\n"
 
-#: cp/parser.c:16542
+#: cp/parser.c:16544
 #, gcc-internal-format
 msgid "cannot define member of dependent typedef %qT"
 msgstr ""
 
-#: cp/parser.c:16546
+#: cp/parser.c:16548
 #, gcc-internal-format
 msgid "%<%T::%E%> is not a type"
-msgstr ""
+msgstr "%<%T::%E%> không phải một kiểu"
 
-#: cp/parser.c:16574
+#: cp/parser.c:16576
 #, gcc-internal-format
 msgid "invalid use of constructor as a template"
 msgstr ""
 
-#: cp/parser.c:16576
+#: cp/parser.c:16578
 #, gcc-internal-format
 msgid "use %<%T::%D%> instead of %<%T::%D%> to name the constructor in a qualified name"
 msgstr ""
@@ -33209,264 +33152,262 @@
 #. here because we do not have enough
 #. information about its original syntactic
 #. form.
-#: cp/parser.c:16593
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:16595
+#, gcc-internal-format
 msgid "invalid declarator"
-msgstr "sai lập toán hạng tới %%R"
+msgstr "bộ khai báo không hợp lệ"
 
-#: cp/parser.c:16660
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:16662
+#, gcc-internal-format
 msgid "expected declarator"
-msgstr "cần bộ mô tả chỉnh sửa P"
+msgstr "cần câu khai báo"
 
-#: cp/parser.c:16763
+#: cp/parser.c:16765
 #, gcc-internal-format
 msgid "%qD is a namespace"
-msgstr ""
+msgstr "%qD là một namespace"
 
-#: cp/parser.c:16765
+#: cp/parser.c:16767
 #, gcc-internal-format
 msgid "cannot form pointer to member of non-class %q#T"
 msgstr ""
 
-#: cp/parser.c:16786
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:16788
+#, gcc-internal-format
 msgid "expected ptr-operator"
-msgstr "gặp toán hạng bất thường"
+msgstr "cần ptr-operator"
 
-#: cp/parser.c:16845
+#: cp/parser.c:16847
 #, gcc-internal-format
 msgid "duplicate cv-qualifier"
-msgstr ""
+msgstr "trùng cv-qualifier"
 
-#: cp/parser.c:16903
+#: cp/parser.c:16905
 #, gcc-internal-format
 msgid "duplicate virt-specifier"
-msgstr ""
+msgstr "trùng virt-specifier"
 
-#: cp/parser.c:17065 cp/typeck2.c:448 cp/typeck2.c:1685
+#: cp/parser.c:17067 cp/typeck2.c:448 cp/typeck2.c:1685
 #, gcc-internal-format
 msgid "invalid use of %<auto%>"
-msgstr ""
+msgstr "dùng %<auto%> không hợp lệ"
 
-#: cp/parser.c:17084
+#: cp/parser.c:17086
 #, gcc-internal-format
 msgid "types may not be defined in template arguments"
 msgstr ""
 
-#: cp/parser.c:17165
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:17167
+#, gcc-internal-format
 msgid "expected type-specifier"
-msgstr "cần một số nguyên"
+msgstr "cần type-specifier"
 
-#: cp/parser.c:17407
+#: cp/parser.c:17409
 #, gcc-internal-format
 msgid "expected %<,%> or %<...%>"
 msgstr "cần %<,%> hoặc %<...%>"
 
-#: cp/parser.c:17464
+#: cp/parser.c:17466
 #, gcc-internal-format
 msgid "types may not be defined in parameter types"
 msgstr ""
 
-#: cp/parser.c:17590
+#: cp/parser.c:17592
 #, gcc-internal-format
 msgid "deprecated use of default argument for parameter of non-function"
 msgstr ""
 
-#: cp/parser.c:17594
+#: cp/parser.c:17596
 #, gcc-internal-format
 msgid "default arguments are only permitted for function parameters"
 msgstr ""
 
-#: cp/parser.c:17613
+#: cp/parser.c:17615
 #, gcc-internal-format
 msgid "parameter pack %qD cannot have a default argument"
 msgstr ""
 
-#: cp/parser.c:17621
+#: cp/parser.c:17623
 #, gcc-internal-format
 msgid "parameter pack cannot have a default argument"
 msgstr ""
 
-#: cp/parser.c:17910
+#: cp/parser.c:17914
 #, gcc-internal-format
 msgid "ISO C++ does not allow designated initializers"
 msgstr ""
 
-#: cp/parser.c:17924
+#: cp/parser.c:17928
 #, gcc-internal-format
 msgid "ISO C++ does not allow C99 designated initializers"
 msgstr ""
 
-#: cp/parser.c:18032 cp/parser.c:18157
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:18036 cp/parser.c:18161
+#, gcc-internal-format
 msgid "expected class-name"
-msgstr "cần một tên"
+msgstr "cần class-name"
 
-#: cp/parser.c:18337
+#: cp/parser.c:18341
 #, gcc-internal-format
 msgid "expected %<;%> after class definition"
-msgstr ""
+msgstr "cần %<;%> sau định nghĩa lớp"
 
-#: cp/parser.c:18339
+#: cp/parser.c:18343
 #, gcc-internal-format
 msgid "expected %<;%> after struct definition"
-msgstr ""
+msgstr "cần %<;%> sau định nghĩa cấu trúc"
 
-#: cp/parser.c:18341
+#: cp/parser.c:18345
 #, gcc-internal-format
 msgid "expected %<;%> after union definition"
-msgstr ""
+msgstr "cần %<;%> sau định nghĩa kiểu hỗn hợp"
 
-#: cp/parser.c:18662
+#: cp/parser.c:18666
 #, gcc-internal-format
 msgid "expected %<{%> or %<:%>"
 msgstr "cần %<{%> hoặc %<:%>"
 
-#: cp/parser.c:18673
+#: cp/parser.c:18677
 #, gcc-internal-format
 msgid "cannot specify %<override%> for a class"
 msgstr ""
 
-#: cp/parser.c:18681
+#: cp/parser.c:18685
 #, gcc-internal-format
 msgid "global qualification of class name is invalid"
 msgstr ""
 
-#: cp/parser.c:18688
-#, gcc-internal-format
+#: cp/parser.c:18692
+#, fuzzy, gcc-internal-format
 msgid "qualified name does not name a class"
-msgstr ""
+msgstr "không phải tên hạng Java hợp lệ: %s"
 
-#: cp/parser.c:18700
+#: cp/parser.c:18704
 #, gcc-internal-format
 msgid "invalid class name in declaration of %qD"
 msgstr ""
 
-#: cp/parser.c:18733
+#: cp/parser.c:18737
 #, gcc-internal-format
 msgid "extra qualification not allowed"
-msgstr ""
+msgstr "không cho phép từ hạn định mở rộng"
 
-#: cp/parser.c:18745
+#: cp/parser.c:18749
 #, gcc-internal-format
 msgid "an explicit specialization must be preceded by %<template <>%>"
 msgstr ""
 
-#: cp/parser.c:18775
+#: cp/parser.c:18779
 #, gcc-internal-format
 msgid "function template %qD redeclared as a class template"
 msgstr ""
 
-#: cp/parser.c:18806
-#, gcc-internal-format
+#: cp/parser.c:18810
+#, fuzzy, gcc-internal-format
 msgid "could not resolve typename type"
-msgstr ""
+msgstr "Không thể quyết định loại luồng"
 
-#: cp/parser.c:18858
+#: cp/parser.c:18862
 #, gcc-internal-format
 msgid "previous definition of %q+#T"
-msgstr ""
+msgstr "khai báo trước đây của %q+#T"
 
-#: cp/parser.c:18939 cp/parser.c:23025
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:18943 cp/parser.c:23029
+#, gcc-internal-format
 msgid "expected class-key"
-msgstr "cần một tên"
+msgstr "cần class-key"
 
-#: cp/parser.c:19177
+#: cp/parser.c:19181
 #, gcc-internal-format
 msgid "in C++03 a class-key must be used when declaring a friend"
 msgstr ""
 
-#: cp/parser.c:19195
+#: cp/parser.c:19199
 #, gcc-internal-format
 msgid "friend declaration does not name a class or function"
 msgstr ""
 
-#: cp/parser.c:19213
+#: cp/parser.c:19217
 #, gcc-internal-format
 msgid "a storage class on an anonymous aggregate in class scope is not allowed"
 msgstr ""
 
-#: cp/parser.c:19418
+#: cp/parser.c:19422
 #, gcc-internal-format
 msgid "pure-specifier on function-definition"
 msgstr ""
 
-#: cp/parser.c:19462
+#: cp/parser.c:19466
 #, fuzzy, gcc-internal-format
-#| msgid "expected %<;%> at end of member declaration"
 msgid "stray %<,%> at end of member declaration"
 msgstr "cần %<;%> tại cuối khai báo thành viên"
 
-#: cp/parser.c:19474
+#: cp/parser.c:19478
 #, gcc-internal-format
 msgid "expected %<;%> at end of member declaration"
 msgstr "cần %<;%> tại cuối khai báo thành viên"
 
-#: cp/parser.c:19545
+#: cp/parser.c:19549
 #, gcc-internal-format
 msgid "invalid pure specifier (only %<= 0%> is allowed)"
 msgstr ""
 
-#: cp/parser.c:19580
+#: cp/parser.c:19584
 #, fuzzy, gcc-internal-format
 msgid "a brace-enclosed initializer is not allowed here"
 msgstr "<danh sách bộ sơ khởi nằm trong dấu ngoặc>"
 
-#: cp/parser.c:19711
+#: cp/parser.c:19715
 #, gcc-internal-format
 msgid "%<virtual%> specified more than once in base-specified"
 msgstr ""
 
-#: cp/parser.c:19731
+#: cp/parser.c:19735
 #, gcc-internal-format
 msgid "more than one access specifier in base-specified"
 msgstr ""
 
-#: cp/parser.c:19755
+#: cp/parser.c:19759
 #, gcc-internal-format
 msgid "keyword %<typename%> not allowed outside of templates"
 msgstr ""
 
-#: cp/parser.c:19758
+#: cp/parser.c:19762
 #, gcc-internal-format
 msgid "keyword %<typename%> not allowed in this context (the base class is implicitly a type)"
 msgstr ""
 
-#: cp/parser.c:19851 cp/parser.c:19933
+#: cp/parser.c:19855 cp/parser.c:19937
 #, gcc-internal-format
 msgid "types may not be defined in an exception-specification"
 msgstr ""
 
-#: cp/parser.c:19915
+#: cp/parser.c:19919
 #, gcc-internal-format
 msgid "dynamic exception specifications are deprecated in C++0x; use %<noexcept%> instead"
 msgstr ""
 
-#: cp/parser.c:20114
+#: cp/parser.c:20118
 #, gcc-internal-format
 msgid "types may not be defined in exception-declarations"
 msgstr ""
 
-#: cp/parser.c:20665
+#: cp/parser.c:20669
 #, fuzzy, gcc-internal-format
-#| msgid "expected identifier or %<(%>"
 msgid "expected an identifier for the attribute name"
-msgstr "cần một định danh hoặc %<(%>"
+msgstr "lập chuỗi nhận diện chương trình để chẩn đoán (mặc định là tên của chương trình)"
 
-#: cp/parser.c:21334
+#: cp/parser.c:21338
 #, gcc-internal-format
 msgid "specializing member %<%T::%E%> requires %<template<>%> syntax"
 msgstr ""
 
-#: cp/parser.c:21339
+#: cp/parser.c:21343
 #, gcc-internal-format
 msgid "invalid declaration of %<%T::%E%>"
-msgstr ""
+msgstr "khai báo không hợp lệ của %<%T::%E%>"
 
-#: cp/parser.c:21343
+#: cp/parser.c:21347
 #, gcc-internal-format
 msgid "too few template-parameter-lists"
 msgstr ""
@@ -33475,343 +33416,342 @@
 #. something like:
 #.
 #. template <class T> template <class U> void S::f();
-#: cp/parser.c:21350
+#: cp/parser.c:21354
 #, gcc-internal-format
 msgid "too many template-parameter-lists"
 msgstr ""
 
-#: cp/parser.c:21647
+#: cp/parser.c:21651
 #, gcc-internal-format
 msgid "named return values are no longer supported"
 msgstr ""
 
-#: cp/parser.c:21734
+#: cp/parser.c:21738
 #, gcc-internal-format
 msgid "invalid declaration of member template in local class"
 msgstr ""
 
-#: cp/parser.c:21743
-#, gcc-internal-format
+#: cp/parser.c:21747
+#, fuzzy, gcc-internal-format
 msgid "template with C linkage"
-msgstr ""
+msgstr "   mục lục liên kết: %u, thủ tục: %.*s\n"
 
-#: cp/parser.c:21762
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:21766
+#, gcc-internal-format
 msgid "invalid explicit specialization"
-msgstr "bộ sơ khởi sai"
+msgstr "đặc tả rõ ràng không hợp lệ"
 
-#: cp/parser.c:21849
+#: cp/parser.c:21853
 #, gcc-internal-format
 msgid "literal operator template %qD has invalid parameter list.  Expected non-type template argument pack <char...>"
 msgstr ""
 
-#: cp/parser.c:21923
-#, gcc-internal-format
+#: cp/parser.c:21927
+#, fuzzy, gcc-internal-format
 msgid "template declaration of %<typedef%>"
-msgstr ""
+msgstr "lời tuyên bố loại có hướng"
 
-#: cp/parser.c:22000
+#: cp/parser.c:22004
 #, gcc-internal-format
 msgid "explicit template specialization cannot have a storage class"
 msgstr ""
 
-#: cp/parser.c:22238
+#: cp/parser.c:22242
 #, gcc-internal-format
 msgid "%<>>%> should be %<> >%> within a nested template argument list"
 msgstr ""
 
-#: cp/parser.c:22251
+#: cp/parser.c:22255
 #, gcc-internal-format
 msgid "spurious %<>>%>, use %<>%> to terminate a template argument list"
 msgstr ""
 
-#: cp/parser.c:22608
+#: cp/parser.c:22612
 #, gcc-internal-format
 msgid "%<sizeof...%> argument must be surrounded by parentheses"
-msgstr ""
+msgstr "đối số cho %<sizeof...%> phải được bao quanh bởi dấu ngoặc đơn"
 
-#: cp/parser.c:22660
+#: cp/parser.c:22664
 #, gcc-internal-format
 msgid "invalid use of %qD in linkage specification"
 msgstr ""
 
-#: cp/parser.c:22675
+#: cp/parser.c:22679
 #, gcc-internal-format
 msgid "%<__thread%> before %qD"
-msgstr ""
+msgstr "%<__thread%> trước %qD"
 
-#: cp/parser.c:22809
+#: cp/parser.c:22813
 #, gcc-internal-format
 msgid "ISO C++ 1998 does not support %<long long%>"
 msgstr ""
 
-#: cp/parser.c:22817
+#: cp/parser.c:22821
 #, gcc-internal-format
 msgid "both %<__thread%> and %<thread_local%> specified"
-msgstr ""
+msgstr "đã chỉ ra cả hai %<__thread%> và %<thread_local%>"
 
-#: cp/parser.c:22819
-#, fuzzy, gcc-internal-format
-#| msgid "duplicate %qE"
+#: cp/parser.c:22823
+#, gcc-internal-format
 msgid "duplicate %qD"
-msgstr "lặp lại %qE"
+msgstr "trùng %qD"
 
-#: cp/parser.c:22841
+#: cp/parser.c:22845
 #, gcc-internal-format
 msgid "duplicate %qs"
-msgstr ""
+msgstr "trùng %qs"
 
-#: cp/parser.c:22883
+#: cp/parser.c:22887
 #, gcc-internal-format
 msgid "expected %<new%>"
 msgstr "cần %<new%>"
 
-#: cp/parser.c:22886
+#: cp/parser.c:22890
 #, gcc-internal-format
 msgid "expected %<delete%>"
 msgstr "cần %<delete%>"
 
-#: cp/parser.c:22889
+#: cp/parser.c:22893
 #, gcc-internal-format
 msgid "expected %<return%>"
 msgstr "cần %<return%>"
 
-#: cp/parser.c:22895
+#: cp/parser.c:22899
 #, gcc-internal-format
 msgid "expected %<extern%>"
 msgstr "cần %<extern%>"
 
-#: cp/parser.c:22898
+#: cp/parser.c:22902
 #, gcc-internal-format
 msgid "expected %<static_assert%>"
 msgstr "cần %<static_assert%>"
 
-#: cp/parser.c:22901
+#: cp/parser.c:22905
 #, gcc-internal-format
 msgid "expected %<decltype%>"
 msgstr "cần %<decltype%>"
 
-#: cp/parser.c:22904
+#: cp/parser.c:22908
 #, gcc-internal-format
 msgid "expected %<operator%>"
 msgstr "cần %<operator%>"
 
-#: cp/parser.c:22907
+#: cp/parser.c:22911
 #, gcc-internal-format
 msgid "expected %<class%>"
 msgstr "cần %<class%>"
 
-#: cp/parser.c:22910
+#: cp/parser.c:22914
 #, gcc-internal-format
 msgid "expected %<template%>"
 msgstr "cần %<template%>"
 
-#: cp/parser.c:22913
+#: cp/parser.c:22917
 #, gcc-internal-format
 msgid "expected %<namespace%>"
 msgstr "cần %<namespace%>"
 
-#: cp/parser.c:22916
+#: cp/parser.c:22920
 #, gcc-internal-format
 msgid "expected %<using%>"
 msgstr "cần %<using%>"
 
-#: cp/parser.c:22919
+#: cp/parser.c:22923
 #, gcc-internal-format
 msgid "expected %<asm%>"
 msgstr "cần %<asm%>"
 
-#: cp/parser.c:22922
+#: cp/parser.c:22926
 #, gcc-internal-format
 msgid "expected %<try%>"
 msgstr "cần %<try%>"
 
-#: cp/parser.c:22925
+#: cp/parser.c:22929
 #, gcc-internal-format
 msgid "expected %<catch%>"
 msgstr "cần %<catch%>"
 
-#: cp/parser.c:22928
+#: cp/parser.c:22932
 #, gcc-internal-format
 msgid "expected %<throw%>"
 msgstr "cần %<throw%>"
 
-#: cp/parser.c:22931
+#: cp/parser.c:22935
 #, gcc-internal-format
 msgid "expected %<__label__%>"
 msgstr "cần %<__label__%>"
 
-#: cp/parser.c:22934
+#: cp/parser.c:22938
 #, gcc-internal-format
 msgid "expected %<@try%>"
 msgstr "cần %<@try%>"
 
-#: cp/parser.c:22937
+#: cp/parser.c:22941
 #, gcc-internal-format
 msgid "expected %<@synchronized%>"
 msgstr "cần %<@synchronized%>"
 
-#: cp/parser.c:22940
+#: cp/parser.c:22944
 #, gcc-internal-format
 msgid "expected %<@throw%>"
 msgstr "cần %<@throw%>"
 
-#: cp/parser.c:22943
+#: cp/parser.c:22947
 #, gcc-internal-format
 msgid "expected %<__transaction_atomic%>"
-msgstr ""
+msgstr "cần %<__transaction_atomic%>"
 
-#: cp/parser.c:22946
+#: cp/parser.c:22950
 #, gcc-internal-format
 msgid "expected %<__transaction_relaxed%>"
 msgstr "cần %<__transaction_relaxed%>"
 
-#: cp/parser.c:22977
+#: cp/parser.c:22981
 #, gcc-internal-format
 msgid "expected %<::%>"
 msgstr "cần %<::%>"
 
-#: cp/parser.c:22989
+#: cp/parser.c:22993
 #, gcc-internal-format
 msgid "expected %<...%>"
 msgstr "cần %<...%>"
 
-#: cp/parser.c:22992
+#: cp/parser.c:22996
 #, gcc-internal-format
 msgid "expected %<*%>"
 msgstr "cần %<*%>"
 
-#: cp/parser.c:22995
+#: cp/parser.c:22999
 #, gcc-internal-format
 msgid "expected %<~%>"
 msgstr "cần %<~%>"
 
-#: cp/parser.c:23001
+#: cp/parser.c:23005
 #, gcc-internal-format
 msgid "expected %<:%> or %<::%>"
 msgstr "cần %<:%> hoặc %<::%>"
 
-#: cp/parser.c:23029
+#: cp/parser.c:23033
 #, gcc-internal-format
 msgid "expected %<class%>, %<typename%>, or %<template%>"
 msgstr "cần %<class%>, %<typename%>, hoặc %<template%>"
 
-#: cp/parser.c:23267
+#: cp/parser.c:23271
 #, gcc-internal-format
 msgid "%qs tag used in naming %q#T"
 msgstr ""
 
-#: cp/parser.c:23272
+#: cp/parser.c:23276
 #, gcc-internal-format
 msgid "%q#T was previously declared here"
-msgstr ""
+msgstr "%q#T trước đã khai báo ở đây"
 
-#: cp/parser.c:23291
+#: cp/parser.c:23295
 #, gcc-internal-format
 msgid "%qD redeclared with different access"
 msgstr ""
 
-#: cp/parser.c:23312
+#: cp/parser.c:23316
 #, gcc-internal-format
 msgid "in C++98 %<template%> (as a disambiguator) is only allowed within templates"
 msgstr ""
 
-#: cp/parser.c:23544
-#, gcc-internal-format
+#: cp/parser.c:23548
+#, fuzzy, gcc-internal-format
 msgid "file ends in default argument"
-msgstr ""
+msgstr "Đối số %s: chuỗi kết thúc ở giữa chỉ thị."
 
-#: cp/parser.c:23748 cp/parser.c:25010 cp/parser.c:25196
-#, gcc-internal-format
+#: cp/parser.c:23752 cp/parser.c:25014 cp/parser.c:25200
+#, fuzzy, gcc-internal-format
 msgid "misplaced %<@%D%> Objective-C++ construct"
-msgstr ""
+msgstr "tùy chọn « $name » bị để không đúng chỗ trên dòng lệnh"
 
-#: cp/parser.c:23870
+#: cp/parser.c:23874
 #, gcc-internal-format
 msgid "objective-c++ message argument(s) are expected"
 msgstr ""
 
-#: cp/parser.c:23899
+#: cp/parser.c:23903
 #, gcc-internal-format
 msgid "%<@encode%> must specify a type as an argument"
 msgstr ""
 
-#: cp/parser.c:24275
-#, gcc-internal-format
+#: cp/parser.c:24279
+#, fuzzy, gcc-internal-format
 msgid "invalid Objective-C++ selector name"
-msgstr ""
+msgstr "Tên tập tin « %file:1 » không hợp lệ."
 
-#: cp/parser.c:24350 cp/parser.c:24368
+#: cp/parser.c:24354 cp/parser.c:24372
 #, gcc-internal-format
 msgid "objective-c++ method declaration is expected"
 msgstr ""
 
-#: cp/parser.c:24362 cp/parser.c:24427
+#: cp/parser.c:24366 cp/parser.c:24431
 #, gcc-internal-format
 msgid "method attributes must be specified at the end"
 msgstr ""
 
-#: cp/parser.c:24470
+#: cp/parser.c:24474
 #, gcc-internal-format
 msgid "stray %qs between Objective-C++ methods"
 msgstr ""
 
-#: cp/parser.c:24676 cp/parser.c:24683 cp/parser.c:24690
+#: cp/parser.c:24680 cp/parser.c:24687 cp/parser.c:24694
 #, gcc-internal-format
 msgid "invalid type for instance variable"
-msgstr ""
+msgstr "kiểu không hợp lệ cho biến instance (minh dụ)"
 
-#: cp/parser.c:24804
-#, gcc-internal-format
+#: cp/parser.c:24808
+#, fuzzy, gcc-internal-format
 msgid "identifier expected after %<@protocol%>"
-msgstr ""
+msgstr "Mong đợi dấu phân cách sau tùy chọn '%s'."
 
-#: cp/parser.c:24975
+#: cp/parser.c:24979
 #, gcc-internal-format
 msgid "attributes may not be specified before the %<@%D%> Objective-C++ keyword"
 msgstr ""
 
-#: cp/parser.c:24982
+#: cp/parser.c:24986
 #, gcc-internal-format
 msgid "prefix attributes are ignored before %<@%D%>"
 msgstr ""
 
-#: cp/parser.c:25255 cp/parser.c:25262 cp/parser.c:25269
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:25259 cp/parser.c:25266 cp/parser.c:25273
+#, gcc-internal-format
 msgid "invalid type for property"
-msgstr "sai lập toán hạng cho sự sửa đổi 'p'"
+msgstr "kiểu không hợp lệ cho thuộc tính"
 
-#: cp/parser.c:27000
+#: cp/parser.c:27004
 #, gcc-internal-format
 msgid "parenthesized initialization is not allowed in OpenMP %<for%> loop"
 msgstr ""
 
-#: cp/parser.c:27168 cp/pt.c:12695
+#: cp/parser.c:27172 cp/pt.c:12690
 #, gcc-internal-format
 msgid "iteration variable %qD should not be reduction"
 msgstr ""
 
-#: cp/parser.c:27238
-#, gcc-internal-format
+#: cp/parser.c:27242
+#, fuzzy, gcc-internal-format
 msgid "not enough collapsed for loops"
-msgstr ""
+msgstr "Không đủ bộ nhớ cho tập tin."
 
-#: cp/parser.c:27796 cp/semantics.c:5105
+#: cp/parser.c:27800 cp/semantics.c:5105
 #, gcc-internal-format
 msgid "%<__transaction_relaxed%> without transactional memory support enabled"
 msgstr ""
 
-#: cp/parser.c:27798 cp/semantics.c:5107
+#: cp/parser.c:27802 cp/semantics.c:5107
 #, gcc-internal-format
 msgid "%<__transaction_atomic%> without transactional memory support enabled"
 msgstr ""
 
-#: cp/parser.c:27995
+#: cp/parser.c:27999
 #, gcc-internal-format
 msgid "junk at end of %<#pragma GCC pch_preprocess%>"
 msgstr ""
 
-#: cp/parser.c:28174
+#: cp/parser.c:28178
 #, gcc-internal-format
 msgid "inter-module optimizations not implemented for C++"
 msgstr ""
@@ -33849,7 +33789,7 @@
 #: cp/pt.c:772 cp/pt.c:897
 #, gcc-internal-format
 msgid "  from definition of %q+#D"
-msgstr ""
+msgstr "  từ định nghĩa của %q+#D"
 
 #: cp/pt.c:789
 #, gcc-internal-format
@@ -33877,9 +33817,9 @@
 msgstr ""
 
 #: cp/pt.c:896
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "specializing %q#T in different namespace"
-msgstr ""
+msgstr "miền tên đích không hợp lệ trong dlmopen()"
 
 #. But if we've had an implicit instantiation, that's a
 #. problem ([temp.expl.spec]/6).
@@ -33899,25 +33839,24 @@
 msgstr ""
 
 #: cp/pt.c:1747
-#, fuzzy, gcc-internal-format
-#| msgid "candidate is: %+#D"
+#, gcc-internal-format
 msgid "candidate is: %#D"
-msgstr "ứng cử là: %+#D"
+msgstr "ứng cử là: %#D"
 
 #: cp/pt.c:1754
 #, gcc-internal-format
 msgid "%s %#D"
-msgstr ""
+msgstr "%s %#D"
 
 #: cp/pt.c:1848
 #, gcc-internal-format
 msgid "%qD is not a function template"
-msgstr ""
+msgstr "%qD không phải là một mẫu hàm"
 
 #: cp/pt.c:2062
 #, gcc-internal-format
 msgid "template-id %qD for %q+D does not match any template declaration"
-msgstr ""
+msgstr "template-id %qD cho %q+D không khớp bất kỳ khai báo mẫu nào"
 
 #: cp/pt.c:2065
 #, gcc-internal-format
@@ -33929,10 +33868,10 @@
 msgid "ambiguous template specialization %qD for %q+D"
 msgstr ""
 
-#: cp/pt.c:2273 cp/pt.c:17968
+#: cp/pt.c:2273 cp/pt.c:17964
 #, gcc-internal-format
 msgid "%qD is not a static data member of a class template"
-msgstr ""
+msgstr "%qD không phải là một thành viên dữ liệu tĩnh của một mẫu lớp"
 
 #: cp/pt.c:2277
 #, gcc-internal-format
@@ -33949,7 +33888,7 @@
 #: cp/pt.c:2369 cp/pt.c:2423
 #, gcc-internal-format
 msgid "template-id %qD in declaration of primary template"
-msgstr ""
+msgstr "template-id %qD trong khai báo của mẫu nguyên gốc"
 
 #: cp/pt.c:2382
 #, gcc-internal-format
@@ -33989,12 +33928,12 @@
 #: cp/pt.c:2482
 #, gcc-internal-format
 msgid "%qD is not a template function"
-msgstr ""
+msgstr "%qD không phải là một hàm mẫu"
 
 #: cp/pt.c:2490
 #, gcc-internal-format
 msgid "%qD is not declared in %qD"
-msgstr ""
+msgstr "%qD chưa được khai báo trong %qD"
 
 #. From [temp.expl.spec]:
 #.
@@ -34037,22 +33976,22 @@
 #: cp/pt.c:3374 cp/pt.c:4097
 #, gcc-internal-format
 msgid "        %qD"
-msgstr ""
+msgstr "        %qD"
 
 #: cp/pt.c:3376
 #, gcc-internal-format
 msgid "        <anonymous>"
-msgstr ""
+msgstr "        <nặc danh>"
 
 #: cp/pt.c:3493
 #, gcc-internal-format
 msgid "declaration of %q+#D"
-msgstr ""
+msgstr "khai báo của %q+#D"
 
 #: cp/pt.c:3494
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid " shadows template parm %q+#D"
-msgstr ""
+msgstr "Chọn một tài liệu tạm thời"
 
 #: cp/pt.c:4093
 #, gcc-internal-format
@@ -34072,7 +34011,7 @@
 #: cp/pt.c:4121
 #, gcc-internal-format
 msgid "primary template here"
-msgstr ""
+msgstr "Mẫu nguyên gốc ở đây"
 
 #: cp/pt.c:4168
 #, gcc-internal-format
@@ -34101,9 +34040,9 @@
 msgstr ""
 
 #: cp/pt.c:4359
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "no default argument for %qD"
-msgstr ""
+msgstr "Không cung cấp giá trị cho tham số %s"
 
 #: cp/pt.c:4379
 #, gcc-internal-format
@@ -34141,9 +34080,9 @@
 msgstr ""
 
 #: cp/pt.c:4575
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "template class without a name"
-msgstr ""
+msgstr "Sai tên hạng ký tự"
 
 #. [temp.mem]
 #.
@@ -34159,14 +34098,14 @@
 #. template. ... Template allocation functions shall
 #. have two or more parameters.
 #: cp/pt.c:4600
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "invalid template declaration of %qD"
-msgstr ""
+msgstr "mẫu không hợp lệ, %s, chứa dấu phân cách thư mục"
 
 #: cp/pt.c:4724
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "template definition of non-template %q#D"
-msgstr ""
+msgstr "Dữ liệu không phải FS"
 
 #: cp/pt.c:4767
 #, gcc-internal-format
@@ -34174,19 +34113,19 @@
 msgstr ""
 
 #: cp/pt.c:4779
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "got %d template parameters for %q#D"
-msgstr ""
+msgstr "thông báo : các tham số quét bị thay đổi đối với « %s »"
 
 #: cp/pt.c:4782
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "got %d template parameters for %q#T"
-msgstr ""
+msgstr "thông báo : các tham số quét bị thay đổi đối với « %s »"
 
 #: cp/pt.c:4784
 #, gcc-internal-format, gfc-internal-format
 msgid "  but %d required"
-msgstr ""
+msgstr "  nhưng cần %d"
 
 #: cp/pt.c:4807
 #, gcc-internal-format
@@ -34201,7 +34140,7 @@
 #: cp/pt.c:4935
 #, gcc-internal-format
 msgid "%qT is not a template type"
-msgstr ""
+msgstr "%qT không phải là một kiểu mẫu"
 
 #: cp/pt.c:4948
 #, gcc-internal-format
@@ -34209,10 +34148,10 @@
 msgstr ""
 
 #: cp/pt.c:4959
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "redeclared with %d template parameter"
 msgid_plural "redeclared with %d template parameters"
-msgstr[0] ""
+msgstr[0] "dùng « --suffix » (hậu tố) thì mẫu %s phải kết thúc bằng chữ X"
 
 #: cp/pt.c:4963
 #, gcc-internal-format
@@ -34223,12 +34162,12 @@
 #: cp/pt.c:5000
 #, gcc-internal-format
 msgid "template parameter %q+#D"
-msgstr ""
+msgstr "đối số mẫu %q+#D"
 
 #: cp/pt.c:5001
 #, gcc-internal-format
 msgid "redeclared here as %q#D"
-msgstr ""
+msgstr "khai báo lại ở đây như là %q#D"
 
 #. We have in [temp.param]:
 #.
@@ -34237,12 +34176,12 @@
 #: cp/pt.c:5011
 #, gcc-internal-format
 msgid "redefinition of default argument for %q#D"
-msgstr ""
+msgstr "định nghĩa lại của đối số mặc định của %q#D"
 
 #: cp/pt.c:5013
 #, gcc-internal-format
 msgid "original definition appeared here"
-msgstr ""
+msgstr "định nghĩa nguyên bản xuất hiện ở đây"
 
 #: cp/pt.c:5133 cp/pt.c:5173
 #, gcc-internal-format
@@ -34287,7 +34226,7 @@
 #: cp/pt.c:5250
 #, gcc-internal-format
 msgid "  mismatched types %qT and %qT"
-msgstr ""
+msgstr "  kiểu không khớp %qT và %qT"
 
 #: cp/pt.c:5259
 #, gcc-internal-format
@@ -34302,7 +34241,7 @@
 #: cp/pt.c:5280
 #, gcc-internal-format
 msgid "  %qE is not equivalent to %qE"
-msgstr ""
+msgstr "  %qE không tương đương với %qE"
 
 #: cp/pt.c:5289
 #, gcc-internal-format
@@ -34327,17 +34266,17 @@
 #: cp/pt.c:5327
 #, gcc-internal-format
 msgid "  member function type %qT is not a valid template argument"
-msgstr ""
+msgstr "  kiểu hàm thành viên %qT không phải là một đối số mẫu hợp lệ"
 
 #: cp/pt.c:5360
 #, gcc-internal-format
 msgid "  cannot convert %qE (type %qT) to type %qT"
-msgstr ""
+msgstr "  không thể chuyển đổi %qE (kiểu %qT) thành kiểu %qT"
 
 #: cp/pt.c:5373
 #, gcc-internal-format
 msgid "  %qT is an ambiguous base class of %qT"
-msgstr ""
+msgstr "  %qT là lớp cơ sở chưa rõ ràng của %qT"
 
 #: cp/pt.c:5377
 #, gcc-internal-format
@@ -34427,7 +34366,7 @@
 #: cp/pt.c:5787
 #, gcc-internal-format
 msgid "try using %qE instead"
-msgstr ""
+msgstr "dùng %qE để thay thế"
 
 #: cp/pt.c:5825 cp/pt.c:5854
 #, gcc-internal-format
@@ -34467,32 +34406,32 @@
 #: cp/pt.c:6253
 #, gcc-internal-format
 msgid "  expected a constant of type %qT, got %qT"
-msgstr ""
+msgstr "  cần hằng của kiểu %qT, nhưng lại nhận được %qT"
 
 #: cp/pt.c:6257
 #, gcc-internal-format
 msgid "  expected a class template, got %qE"
-msgstr ""
+msgstr "  cần mẫu lớp, nhưng lại nhận được %qE"
 
 #: cp/pt.c:6259
 #, gcc-internal-format
 msgid "  expected a type, got %qE"
-msgstr ""
+msgstr "  cần kiểu, nhưng lại nhận %qE"
 
 #: cp/pt.c:6272
 #, gcc-internal-format
 msgid "  expected a type, got %qT"
-msgstr ""
+msgstr "  cần một kiểu, nhưng lại nhận được %qT"
 
 #: cp/pt.c:6274
 #, gcc-internal-format
 msgid "  expected a class template, got %qT"
-msgstr ""
+msgstr "  cần mẫu lớp, nhưng lại nhận được %qT"
 
 #: cp/pt.c:6319
 #, gcc-internal-format
 msgid "  expected a template of type %qD, got %qT"
-msgstr ""
+msgstr "  cần hằng của kiểu %qD, nhưng lại nhận được %qT"
 
 #. Not sure if this is reachable, but it doesn't hurt
 #. to be robust.
@@ -34509,27 +34448,27 @@
 #: cp/pt.c:6440 cp/pt.c:6609
 #, gcc-internal-format, gfc-internal-format
 msgid "wrong number of template arguments (%d, should be %d)"
-msgstr ""
+msgstr "sai số lượng đối số hàm mẫu (%d, phải là %d)"
 
 #: cp/pt.c:6486 cp/pt.c:6694
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "template argument %d is invalid"
-msgstr ""
+msgstr "Thêm mục tin là không hợp lệ."
 
 #: cp/pt.c:6605
 #, gcc-internal-format, gfc-internal-format
 msgid "wrong number of template arguments (%d, should be %d or more)"
-msgstr ""
+msgstr "sai số lượng đối số hàm mẫu (%d, cần %d hoặc hơn)"
 
 #: cp/pt.c:6613
 #, gcc-internal-format
 msgid "provided for %q+D"
-msgstr ""
+msgstr "được cung cấp cho %q+D"
 
 #: cp/pt.c:6938
 #, gcc-internal-format
 msgid "%q#D is not a function template"
-msgstr ""
+msgstr "%q#D không phải là hàm mẫu"
 
 #: cp/pt.c:7102
 #, gcc-internal-format
@@ -34539,7 +34478,7 @@
 #: cp/pt.c:7104
 #, gcc-internal-format
 msgid "for template declaration %q+D"
-msgstr ""
+msgstr "cho khai báo hàm mẫu %q+D"
 
 #: cp/pt.c:7925
 msgid "template instantiation depth exceeds maximum of %d (use -ftemplate-depth= to increase the maximum) substituting %qS"
@@ -34566,9 +34505,9 @@
 msgstr ""
 
 #: cp/pt.c:10478
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "instantiation of %q+D as type %qT"
-msgstr ""
+msgstr "đang tuyên bố lại « %s » có kiểu dữ liệu khác"
 
 #. It may seem that this case cannot occur, since:
 #.
@@ -34583,255 +34522,255 @@
 #.
 #. is an attempt to declare a variable with function
 #. type.
-#: cp/pt.c:10656
+#: cp/pt.c:10651
 #, gcc-internal-format
 msgid "variable %qD has function type"
-msgstr ""
+msgstr "biến %qD có kiểu hàm"
 
-#: cp/pt.c:10828
+#: cp/pt.c:10823
 #, gcc-internal-format
 msgid "invalid parameter type %qT"
-msgstr ""
+msgstr "kiểu đối số không hợp lệ %qT"
 
-#: cp/pt.c:10830
+#: cp/pt.c:10825
 #, gcc-internal-format
 msgid "in declaration %q+D"
-msgstr ""
+msgstr "trong khai báo %q+D"
 
-#: cp/pt.c:10906
+#: cp/pt.c:10901
 #, gcc-internal-format
 msgid "function returning an array"
-msgstr ""
+msgstr "hàm trả về một mảng"
 
-#: cp/pt.c:10908
+#: cp/pt.c:10903
 #, gcc-internal-format
 msgid "function returning a function"
-msgstr ""
+msgstr "hàm trả về hàm"
 
-#: cp/pt.c:10938
+#: cp/pt.c:10933
 #, gcc-internal-format
 msgid "creating pointer to member function of non-class type %qT"
 msgstr ""
 
-#: cp/pt.c:11503
-#, gcc-internal-format
+#: cp/pt.c:11498
+#, fuzzy, gcc-internal-format
 msgid "forming reference to void"
-msgstr ""
+msgstr "tham chiếu đến phần tử chưa sở khởi « %s[\"%.*s\"] »"
 
-#: cp/pt.c:11505
+#: cp/pt.c:11500
 #, gcc-internal-format
 msgid "forming pointer to reference type %qT"
 msgstr ""
 
-#: cp/pt.c:11507
+#: cp/pt.c:11502
 #, gcc-internal-format
 msgid "forming reference to reference type %qT"
 msgstr ""
 
-#: cp/pt.c:11556
+#: cp/pt.c:11551
 #, gcc-internal-format
 msgid "creating pointer to member of non-class type %qT"
 msgstr ""
 
-#: cp/pt.c:11562
+#: cp/pt.c:11557
 #, gcc-internal-format
 msgid "creating pointer to member reference type %qT"
 msgstr ""
 
-#: cp/pt.c:11568
+#: cp/pt.c:11563
 #, gcc-internal-format
 msgid "creating pointer to member of type void"
 msgstr ""
 
-#: cp/pt.c:11630
+#: cp/pt.c:11625
 #, gcc-internal-format
 msgid "creating array of %qT"
-msgstr ""
+msgstr "đang tạo mảng của %qT"
 
-#: cp/pt.c:11636
+#: cp/pt.c:11631
 #, gcc-internal-format
 msgid "creating array of %qT, which is an abstract class type"
 msgstr ""
 
-#: cp/pt.c:11665
+#: cp/pt.c:11660
 #, gcc-internal-format
 msgid "%qT is not a class, struct, or union type"
 msgstr ""
 
-#: cp/pt.c:11702
+#: cp/pt.c:11697
 #, gcc-internal-format
 msgid "%qT resolves to %qT, which is not an enumeration type"
 msgstr ""
 
-#: cp/pt.c:11710
+#: cp/pt.c:11705
 #, gcc-internal-format
 msgid "%qT resolves to %qT, which is is not a class type"
 msgstr ""
 
-#: cp/pt.c:11827
+#: cp/pt.c:11822
 #, gcc-internal-format
 msgid "use of %qs in template"
-msgstr ""
+msgstr "dùng %qs trong mẫu"
 
-#: cp/pt.c:11969
+#: cp/pt.c:11964
 #, gcc-internal-format
 msgid "qualifying type %qT does not match destructor name ~%qT"
 msgstr ""
 
-#: cp/pt.c:11984
+#: cp/pt.c:11979
 #, gcc-internal-format
 msgid "dependent-name %qE is parsed as a non-type, but instantiation yields a type"
 msgstr ""
 
-#: cp/pt.c:11986
+#: cp/pt.c:11981
 #, gcc-internal-format
 msgid "say %<typename %E%> if a type is meant"
 msgstr ""
 
-#: cp/pt.c:12134
+#: cp/pt.c:12129
 #, gcc-internal-format
 msgid "using invalid field %qD"
-msgstr ""
+msgstr "đang dùng trường không hợp lệ %qD"
 
-#: cp/pt.c:12502 cp/pt.c:13323
+#: cp/pt.c:12497 cp/pt.c:13318
 #, gcc-internal-format
 msgid "invalid use of pack expansion expression"
 msgstr ""
 
-#: cp/pt.c:12506 cp/pt.c:13327
-#, gcc-internal-format
+#: cp/pt.c:12501 cp/pt.c:13322
+#, fuzzy, gcc-internal-format
 msgid "use %<...%> to expand argument pack"
-msgstr ""
+msgstr "Dùng dấu ngoặc móc {} để đưa ra lệnh dạng đối số tới @%s"
 
-#: cp/pt.c:13973
+#: cp/pt.c:13968
 #, gcc-internal-format
 msgid "%qD was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation"
 msgstr ""
 
-#: cp/pt.c:13982
+#: cp/pt.c:13977
 #, gcc-internal-format
 msgid "declarations in dependent base %qT are not found by unqualified lookup"
 msgstr ""
 
-#: cp/pt.c:13987
+#: cp/pt.c:13982
 #, gcc-internal-format
 msgid "use %<this->%D%> instead"
-msgstr ""
+msgstr "dùng %<this->%D%> thay thế"
 
-#: cp/pt.c:13990
+#: cp/pt.c:13985
 #, gcc-internal-format
 msgid "use %<%T::%D%> instead"
-msgstr ""
+msgstr "dùng %<%T::%D%> thay thế"
 
-#: cp/pt.c:13994
+#: cp/pt.c:13989
 #, gcc-internal-format
 msgid "%q+D declared here, later in the translation unit"
 msgstr ""
 
-#: cp/pt.c:14254
+#: cp/pt.c:14249
 #, gcc-internal-format
 msgid "%qT is not a class or namespace"
-msgstr ""
+msgstr "%qT không phải là một lớp hay namespace"
 
-#: cp/pt.c:14257
+#: cp/pt.c:14252
 #, gcc-internal-format
 msgid "%qD is not a class or namespace"
-msgstr ""
+msgstr "%qD không phải là một lớp hay namespace"
 
-#: cp/pt.c:14563
+#: cp/pt.c:14558
 #, gcc-internal-format
 msgid "%qT is/uses anonymous type"
 msgstr ""
 
-#: cp/pt.c:14565
+#: cp/pt.c:14560
 #, gcc-internal-format
 msgid "template argument for %qD uses local type %qT"
 msgstr ""
 
-#: cp/pt.c:14575
+#: cp/pt.c:14570
 #, gcc-internal-format
 msgid "%qT is a variably modified type"
 msgstr ""
 
-#: cp/pt.c:14589
+#: cp/pt.c:14584
 #, gcc-internal-format
 msgid "integral expression %qE is not constant"
-msgstr ""
+msgstr "biểu thức nguyên %qE không là hằng"
 
-#: cp/pt.c:14607
-#, gcc-internal-format
+#: cp/pt.c:14602
+#, fuzzy, gcc-internal-format
 msgid "  trying to instantiate %qD"
-msgstr ""
+msgstr "trong khi thử mở %s"
 
-#: cp/pt.c:17925
+#: cp/pt.c:17921
 #, gcc-internal-format
 msgid "ambiguous class template instantiation for %q#T"
 msgstr ""
 
-#: cp/pt.c:17929
+#: cp/pt.c:17925
 #, gcc-internal-format
 msgid "%s %+#T"
-msgstr ""
+msgstr "%s %+#T"
 
-#: cp/pt.c:17953 cp/pt.c:18036
+#: cp/pt.c:17949 cp/pt.c:18032
 #, gcc-internal-format
 msgid "explicit instantiation of non-template %q#D"
 msgstr ""
 
-#: cp/pt.c:17974 cp/pt.c:18031
+#: cp/pt.c:17970 cp/pt.c:18027
 #, gcc-internal-format
 msgid "no matching template for %qD found"
 msgstr ""
 
-#: cp/pt.c:17979
+#: cp/pt.c:17975
 #, gcc-internal-format
 msgid "type %qT for explicit instantiation %qD does not match declared type %qT"
 msgstr ""
 
-#: cp/pt.c:17987
-#, gcc-internal-format
+#: cp/pt.c:17983
+#, fuzzy, gcc-internal-format
 msgid "explicit instantiation of %q#D"
-msgstr ""
+msgstr "%s: Trong minh dụ của %q#D:\n"
 
-#: cp/pt.c:18023
-#, gcc-internal-format
+#: cp/pt.c:18019
+#, fuzzy, gcc-internal-format
 msgid "duplicate explicit instantiation of %q#D"
-msgstr ""
+msgstr "%s:%d:%d:   [ đang bỏ qua %d ngữ cảnh tạo lần ]\n"
 
-#: cp/pt.c:18046 cp/pt.c:18143
+#: cp/pt.c:18042 cp/pt.c:18139
 #, gcc-internal-format
 msgid "ISO C++ 1998 forbids the use of %<extern%> on explicit instantiations"
 msgstr ""
 
-#: cp/pt.c:18051 cp/pt.c:18160
+#: cp/pt.c:18047 cp/pt.c:18156
 #, gcc-internal-format
 msgid "storage class %qD applied to template instantiation"
 msgstr ""
 
-#: cp/pt.c:18119
+#: cp/pt.c:18115
 #, gcc-internal-format
 msgid "explicit instantiation of non-class template %qD"
 msgstr ""
 
-#: cp/pt.c:18121
+#: cp/pt.c:18117
 #, gcc-internal-format
 msgid "explicit instantiation of non-template type %qT"
 msgstr ""
 
-#: cp/pt.c:18130
+#: cp/pt.c:18126
 #, gcc-internal-format
 msgid "explicit instantiation of %q#T before definition of template"
 msgstr ""
 
-#: cp/pt.c:18148
+#: cp/pt.c:18144
 #, gcc-internal-format
 msgid "ISO C++ forbids the use of %qE on explicit instantiations"
 msgstr ""
 
-#: cp/pt.c:18194
-#, gcc-internal-format
+#: cp/pt.c:18190
+#, fuzzy, gcc-internal-format
 msgid "duplicate explicit instantiation of %q#T"
-msgstr ""
+msgstr "%s:%d:%d:   [ đang bỏ qua %d ngữ cảnh tạo lần ]\n"
 
 #. [temp.explicit]
 #.
@@ -34840,47 +34779,47 @@
 #. member function or static data member of a class template
 #. shall be present in every translation unit in which it is
 #. explicitly instantiated.
-#: cp/pt.c:18723
+#: cp/pt.c:18719
 #, gcc-internal-format
 msgid "explicit instantiation of %qD but no definition available"
 msgstr ""
 
-#: cp/pt.c:18908
+#: cp/pt.c:18904
 #, gcc-internal-format
 msgid "template instantiation depth exceeds maximum of %d instantiating %q+D, possibly from virtual table generation (use -ftemplate-depth= to increase the maximum)"
 msgstr ""
 
-#: cp/pt.c:19288
+#: cp/pt.c:19284
 #, fuzzy, gcc-internal-format
 msgid "invalid template non-type parameter"
 msgstr "template-parameter-"
 
-#: cp/pt.c:19290
+#: cp/pt.c:19286
 #, gcc-internal-format
 msgid "%q#T is not a valid type for a template non-type parameter"
 msgstr ""
 
-#: cp/pt.c:20508
+#: cp/pt.c:20504
 #, gcc-internal-format
 msgid "deducing from brace-enclosed initializer list requires #include <initializer_list>"
 msgstr ""
 
-#: cp/pt.c:20579
+#: cp/pt.c:20575
 #, gcc-internal-format
 msgid "unable to deduce lambda return type from %qE"
 msgstr ""
 
-#: cp/pt.c:20581
+#: cp/pt.c:20577
 #, gcc-internal-format
 msgid "unable to deduce %qT from %qE"
 msgstr ""
 
-#: cp/pt.c:20595
+#: cp/pt.c:20591
 #, gcc-internal-format
 msgid "inconsistent types %qT and %qT deduced for lambda return type"
 msgstr ""
 
-#: cp/pt.c:20599
+#: cp/pt.c:20595
 #, gcc-internal-format
 msgid "inconsistent deduction for %qT: %qT and then %qT"
 msgstr ""
@@ -34888,12 +34827,12 @@
 #: cp/repo.c:118
 #, gcc-internal-format
 msgid "-frepo must be used with -c"
-msgstr ""
+msgstr "-frepo phải dùng với -c"
 
 #: cp/repo.c:208
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "mysterious repository information in %s"
-msgstr ""
+msgstr "&Gỡ lỗi bằng sổ nhật ký:"
 
 #: cp/repo.c:226
 #, fuzzy, gcc-internal-format
@@ -34923,7 +34862,7 @@
 #: cp/rtti.c:692
 #, gcc-internal-format
 msgid "%<dynamic_cast%> not permitted with -fno-rtti"
-msgstr ""
+msgstr "%<dynamic_cast%> không thừa nhận với -fno-rtti"
 
 #: cp/rtti.c:769
 #, gcc-internal-format
@@ -34931,14 +34870,14 @@
 msgstr ""
 
 #: cp/search.c:252
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "%qT is an ambiguous base of %qT"
-msgstr ""
+msgstr "Định dạng tập tin mơ hồ"
 
 #: cp/search.c:268
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "%qT is an inaccessible base of %qT"
-msgstr ""
+msgstr "« bit,base » ở ngoại phạm vi"
 
 #: cp/search.c:1904
 #, gcc-internal-format
@@ -34948,37 +34887,37 @@
 #: cp/search.c:1906 cp/search.c:1921 cp/search.c:1926 cp/search.c:1950
 #, gcc-internal-format
 msgid "  overriding %q+#D"
-msgstr ""
+msgstr "  đè lên %q+#D"
 
 #: cp/search.c:1920
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "invalid covariant return type for %q+#D"
-msgstr ""
+msgstr "Gõ sai. (Gỏ ? để xem trợ giúp.)\n"
 
 #: cp/search.c:1925
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "conflicting return type specified for %q+#D"
-msgstr ""
+msgstr "chưa ghi rõ loại bộ xử lý cần liên kết"
 
 #: cp/search.c:1940
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "looser throw specifier for %q+#F"
-msgstr ""
+msgstr "toán hạng không hợp lệ cho chỉ định 'r'"
 
 #: cp/search.c:1941
 #, gcc-internal-format
 msgid "  overriding %q+#F"
-msgstr ""
+msgstr "  đè lên %q+#F"
 
 #: cp/search.c:1949
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "conflicting type attributes specified for %q+#D"
-msgstr ""
+msgstr "chưa ghi rõ loại bộ xử lý cần liên kết"
 
 #: cp/search.c:1959
 #, gcc-internal-format
 msgid "deleted function %q+D"
-msgstr ""
+msgstr "hàm bị xóa %q+D"
 
 #: cp/search.c:1960
 #, gcc-internal-format
@@ -34986,14 +34925,14 @@
 msgstr ""
 
 #: cp/search.c:1965
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "non-deleted function %q+D"
-msgstr ""
+msgstr " hwclock [hàm] [tuỳ chọn...]\n"
 
 #: cp/search.c:1966
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "overriding deleted function %q+D"
-msgstr ""
+msgstr " hwclock [hàm] [tuỳ chọn...]\n"
 
 #: cp/search.c:1972
 #, gcc-internal-format
@@ -35003,19 +34942,19 @@
 #: cp/search.c:1973
 #, gcc-internal-format
 msgid "overriding final function %q+D"
-msgstr ""
+msgstr "đang dè lên hàm cuối %q+D"
 
 #. A static member function cannot match an inherited
 #. virtual member function.
 #: cp/search.c:2069
 #, gcc-internal-format
 msgid "%q+#D cannot be declared"
-msgstr ""
+msgstr "%q+#D không thể được khai báo"
 
 #: cp/search.c:2070
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "  since %q+#D declared in base class"
-msgstr ""
+msgstr "Không tìm thấy hạng cơ bản C++ trong bộ chứa"
 
 #: cp/semantics.c:759
 #, gcc-internal-format
@@ -35032,25 +34971,25 @@
 msgid "__label__ declarations are only allowed in function scopes"
 msgstr ""
 
-#: cp/semantics.c:1557
+#: cp/semantics.c:1558
 #, gcc-internal-format
 msgid "invalid use of member %q+D in static member function"
 msgstr ""
 
-#: cp/semantics.c:1559
+#: cp/semantics.c:1560
 #, gcc-internal-format
 msgid "invalid use of non-static data member %q+D"
 msgstr ""
 
-#: cp/semantics.c:1560
+#: cp/semantics.c:1561
 #, gcc-internal-format
 msgid "from this location"
-msgstr ""
+msgstr "từ vị trí này"
 
 #: cp/semantics.c:2222
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "arguments to destructor are not allowed"
-msgstr ""
+msgstr "Bạn không có quyền đi tới địa chỉ URL kiểu « %s »"
 
 #: cp/semantics.c:2303
 #, gcc-internal-format
@@ -35080,7 +35019,7 @@
 #: cp/semantics.c:2362
 #, gcc-internal-format
 msgid "%qE is not of type %qT"
-msgstr ""
+msgstr "%qE không là kiểu %qT"
 
 #: cp/semantics.c:2403
 #, gcc-internal-format
@@ -35110,17 +35049,17 @@
 #: cp/semantics.c:2608
 #, gcc-internal-format
 msgid "invalid definition of qualified type %qT"
-msgstr ""
+msgstr "định nghĩa không hợp lệ của kiểu hạn định %qT"
 
 #: cp/semantics.c:2829
 #, gcc-internal-format
 msgid "invalid base-class specification"
-msgstr ""
+msgstr "đặc tả lớp-cơ-sở không hợp lệ"
 
-#: cp/semantics.c:3074 cp/semantics.c:9106
+#: cp/semantics.c:3074 cp/semantics.c:9123
 #, gcc-internal-format
 msgid "%qD is not captured"
-msgstr ""
+msgstr "%qD không bị bắt"
 
 #: cp/semantics.c:3080
 #, gcc-internal-format
@@ -35128,14 +35067,14 @@
 msgstr ""
 
 #: cp/semantics.c:3081
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "use of parameter from containing function"
-msgstr ""
+msgstr "hàm « %s »: không thể dùng tên hàm như là tên tham số"
 
 #: cp/semantics.c:3082
 #, gcc-internal-format
 msgid "  %q+#D declared here"
-msgstr ""
+msgstr "  %q+#D đã khai báo ở đây"
 
 #: cp/semantics.c:3093
 #, gcc-internal-format
@@ -35171,12 +35110,12 @@
 #: cp/semantics.c:3436
 #, gcc-internal-format
 msgid "type of %qE is unknown"
-msgstr ""
+msgstr "không hiểu kiểu của %qE"
 
 #: cp/semantics.c:3464
 #, gcc-internal-format
 msgid "%qT is not an enumeration type"
-msgstr ""
+msgstr "%qT không phải một kiểu enumeration"
 
 #. Parameter packs can only be used in templates
 #: cp/semantics.c:3613
@@ -35197,7 +35136,7 @@
 #: cp/semantics.c:4063
 #, gcc-internal-format
 msgid "%qD is not a variable in clause %qs"
-msgstr ""
+msgstr "%qD không phải một biến trong mệnh đề %qs"
 
 #: cp/semantics.c:4072 cp/semantics.c:4094 cp/semantics.c:4116
 #, gcc-internal-format
@@ -35212,7 +35151,7 @@
 #: cp/semantics.c:4108
 #, gcc-internal-format
 msgid "%qD is not a variable in clause %<lastprivate%>"
-msgstr ""
+msgstr "%qD không phải một biến trong mệnh đề %<lastprivate%>"
 
 #: cp/semantics.c:4150
 #, gcc-internal-format
@@ -35245,263 +35184,268 @@
 msgstr ""
 
 #. Report the error.
-#: cp/semantics.c:5224
-#, gcc-internal-format, gfc-internal-format
+#: cp/semantics.c:5226
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "static assertion failed: %s"
-msgstr ""
+msgstr "malloc (cấp phát bộ nhớ): lỗi khẳng định: %s\n"
 
-#: cp/semantics.c:5227
+#: cp/semantics.c:5229
 #, gcc-internal-format
 msgid "non-constant condition for static assertion"
 msgstr ""
 
-#: cp/semantics.c:5256
-#, gcc-internal-format
+#: cp/semantics.c:5258
+#, fuzzy, gcc-internal-format
 msgid "argument to decltype must be an expression"
-msgstr ""
+msgstr "đối số cho <%s> phải là một ký tự riêng lẻ"
 
-#: cp/semantics.c:5281
+#: cp/semantics.c:5283
 #, fuzzy, gcc-internal-format
 msgid "decltype cannot resolve address of overloaded function"
 msgstr "<chưa giải quyết loại hàm quá tải>"
 
-#: cp/semantics.c:5612
+#: cp/semantics.c:5614
 #, gcc-internal-format
 msgid "__is_convertible_to"
-msgstr ""
+msgstr "__is_convertible_to"
 
-#: cp/semantics.c:5730
+#: cp/semantics.c:5732
 #, gcc-internal-format
 msgid "the type %qT of constexpr variable %qD is not literal"
 msgstr ""
 
-#: cp/semantics.c:5800
+#: cp/semantics.c:5802
 #, gcc-internal-format
 msgid "invalid type for parameter %d of constexpr function %q+#D"
 msgstr ""
 
-#: cp/semantics.c:5814
+#: cp/semantics.c:5816
 #, fuzzy, gcc-internal-format
 msgid "invalid return type %qT of constexpr function %q+D"
 msgstr "gặp thanh ghi sai trong lệnh di chuyển"
 
-#: cp/semantics.c:5836
+#: cp/semantics.c:5838
 #, gcc-internal-format
 msgid "%q#T has virtual base classes"
-msgstr ""
+msgstr "%q#T có lớp cơ sở ảo"
 
-#: cp/semantics.c:6036
+#: cp/semantics.c:6038
 #, gcc-internal-format
 msgid "constexpr constructor does not have empty body"
 msgstr ""
 
-#: cp/semantics.c:6122
+#: cp/semantics.c:6124
 #, gcc-internal-format
 msgid "body of %<constexpr%> constructor cannot be a function-try-block"
 msgstr ""
 
-#: cp/semantics.c:6245
+#: cp/semantics.c:6247
 #, gcc-internal-format
 msgid "%<constexpr%> constructor for union %qT must initialize exactly one non-static data member"
 msgstr ""
 
-#: cp/semantics.c:6285
+#: cp/semantics.c:6287
 #, gcc-internal-format
 msgid "uninitialized member %qD in %<constexpr%> constructor"
 msgstr ""
 
-#: cp/semantics.c:6316
+#: cp/semantics.c:6318
 #, gcc-internal-format
 msgid "body of constexpr function %qD not a return-statement"
 msgstr ""
 
-#: cp/semantics.c:6371
+#: cp/semantics.c:6373
 #, fuzzy, gcc-internal-format
 msgid "%q+D is not usable as a constexpr function because:"
 msgstr "Đừng sử dụng push để lưu các đối số hàm"
 
-#: cp/semantics.c:6706
+#: cp/semantics.c:6708
 #, gcc-internal-format
 msgid "expression %qE does not designate a constexpr function"
 msgstr ""
 
-#: cp/semantics.c:6720 cp/semantics.c:8360
-#, gcc-internal-format
+#: cp/semantics.c:6722 cp/semantics.c:8362
+#, fuzzy, gcc-internal-format
 msgid "call to non-constexpr function %qD"
-msgstr ""
+msgstr "cảnh báo : cuộc gọi ký hiệu khác hàm %s được xác định trong %B"
 
 #. The definition of fun was somehow unsuitable.
-#: cp/semantics.c:6748
+#: cp/semantics.c:6750
 #, gcc-internal-format
 msgid "%qD called in a constant expression"
 msgstr "%qD được gọi trong một biểu thức hằng"
 
-#: cp/semantics.c:6752
+#: cp/semantics.c:6754
 #, gcc-internal-format
 msgid "%qD used before its definition"
-msgstr ""
+msgstr "%qD được dùng trước khi nó được định nghĩa"
 
-#: cp/semantics.c:6786
-#, gcc-internal-format
+#: cp/semantics.c:6788
+#, fuzzy, gcc-internal-format
 msgid "call has circular dependency"
-msgstr ""
+msgstr "Circular dependency đòi hỏi phải tìm được mô đun \"%s\"."
 
-#: cp/semantics.c:6794
+#: cp/semantics.c:6796
 #, gcc-internal-format, gfc-internal-format
 msgid "constexpr evaluation depth exceeds maximum of %d (use -fconstexpr-depth= to increase the maximum)"
 msgstr ""
 
-#: cp/semantics.c:6858
+#: cp/semantics.c:6860
 #, gcc-internal-format
 msgid "%q+E is not a constant expression"
 msgstr "%q+E không phải biểu thức hằng"
 
-#: cp/semantics.c:7004
-#, fuzzy, gcc-internal-format
+#: cp/semantics.c:7006
+#, gcc-internal-format
 msgid "array subscript out of bound"
-msgstr "Tham chiếu mảng ở ngoại phạm vi"
+msgstr "chỉ số mảng nằm ngoài phạm vi"
 
-#: cp/semantics.c:7050 cp/semantics.c:7110 cp/semantics.c:7804
+#: cp/semantics.c:7052 cp/semantics.c:7112 cp/semantics.c:7806
 #, gcc-internal-format
 msgid "%qE is not a constant expression"
 msgstr "%qE không phải là biểu thức hằng"
 
-#: cp/semantics.c:7056
+#: cp/semantics.c:7058
 #, fuzzy, gcc-internal-format
 msgid "mutable %qD is not usable in a constant expression"
 msgstr "yếu tố sơ khởi không phải là một biểu tượng hằng số"
 
-#: cp/semantics.c:7071
+#: cp/semantics.c:7073
 #, fuzzy, gcc-internal-format
 msgid "accessing %qD member instead of initialized %qD member in constant expression"
 msgstr "bộ sơ khởi chứa một chỉ mục mảng không phải là một biểu tượng hằng số nguyên"
 
-#: cp/semantics.c:7630
+#: cp/semantics.c:7632
 #, gcc-internal-format
 msgid "accessing value of %qE through a %qT glvalue in a constant expression"
 msgstr ""
 
-#: cp/semantics.c:7665
+#: cp/semantics.c:7667
 #, fuzzy, gcc-internal-format
 msgid "the value of %qD is not usable in a constant expression"
 msgstr "yếu tố sơ khởi không phải là một biểu tượng hằng số"
 
-#: cp/semantics.c:7672
-#, fuzzy, gcc-internal-format
+#: cp/semantics.c:7674
+#, gcc-internal-format
 msgid "%qD used in its own initializer"
-msgstr "gặp yếu tố thừa trong bộ sơ khởi hợp"
+msgstr "%qD được dùng trong bộ khởi tạo của chính nó"
 
-#: cp/semantics.c:7677
+#: cp/semantics.c:7679
 #, gcc-internal-format
 msgid "%q#D is not const"
-msgstr ""
+msgstr "%q#D không là const"
 
-#: cp/semantics.c:7680
+#: cp/semantics.c:7682
 #, gcc-internal-format
 msgid "%q#D is volatile"
-msgstr ""
+msgstr "%q#D là volatile"
 
-#: cp/semantics.c:7684
-#, fuzzy, gcc-internal-format
+#: cp/semantics.c:7686
+#, gcc-internal-format
 msgid "%qD was not initialized with a constant expression"
-msgstr "yếu tố sơ khởi không phải là một biểu tượng hằng số"
+msgstr "%qD không được khởi tạo với một biểu thức hằng"
 
-#: cp/semantics.c:7693
+#: cp/semantics.c:7695
 #, gcc-internal-format
 msgid "%qD was not declared %<constexpr%>"
-msgstr ""
+msgstr "%qD chưa được khai báo %<constexpr%>"
 
-#: cp/semantics.c:7696
+#: cp/semantics.c:7698
 #, gcc-internal-format
 msgid "%qD does not have integral or enumeration type"
 msgstr ""
 
-#: cp/semantics.c:7792 cp/semantics.c:8492
+#: cp/semantics.c:7794 cp/semantics.c:8494
 #, gcc-internal-format
 msgid "use of the value of the object being constructed in a constant expression"
 msgstr ""
 
-#: cp/semantics.c:7820 cp/semantics.c:8630
+#: cp/semantics.c:7822 cp/semantics.c:8644
 #, fuzzy, gcc-internal-format
 msgid "temporary of non-literal type %qT in a constant expression"
 msgstr "Gặp loại saio trong biểu thức bất biến"
 
-#: cp/semantics.c:8087 cp/semantics.c:8534 cp/semantics.c:8794
+#: cp/semantics.c:8089 cp/semantics.c:8536 cp/semantics.c:8811
 #, fuzzy, gcc-internal-format
 msgid "expression %qE is not a constant-expression"
 msgstr "yếu tố sơ khởi không phải là một biểu tượng hằng số"
 
-#: cp/semantics.c:8092
+#: cp/semantics.c:8094
 #, fuzzy, gcc-internal-format
 msgid "unexpected expression %qE of kind %s"
-msgstr "cần một loại biểu thức"
+msgstr "kết thúc tập tin bất thường trong biểu thức"
 
-#: cp/semantics.c:8124
+#: cp/semantics.c:8126
 #, gcc-internal-format
 msgid "%qT cannot be the type of a complete constant expression because it has mutable sub-objects"
 msgstr ""
 
-#: cp/semantics.c:8137
+#: cp/semantics.c:8139
 #, gcc-internal-format
 msgid "conversion from pointer type %qT to arithmetic type %qT in a constant-expression"
 msgstr ""
 
-#: cp/semantics.c:8308
+#: cp/semantics.c:8310
 #, gcc-internal-format
 msgid "expression %qE has side-effects"
 msgstr ""
 
-#: cp/semantics.c:8378
+#: cp/semantics.c:8380
 #, gcc-internal-format
 msgid "calling a member function of the object being constructed in a constant expression"
 msgstr ""
 
-#: cp/semantics.c:8460
+#: cp/semantics.c:8462
 #, gcc-internal-format
 msgid "address-of an object %qE with thread local or automatic storage is not a constant expression"
 msgstr ""
 
-#: cp/semantics.c:8546
+#: cp/semantics.c:8548
 #, gcc-internal-format
 msgid "typeid-expression is not a constant expression because %qE is of polymorphic type"
 msgstr ""
 
-#: cp/semantics.c:8559
+#: cp/semantics.c:8561
 #, fuzzy, gcc-internal-format
 msgid "difference of two pointer expressions is not a constant expression"
 msgstr "yếu tố sơ khởi không phải là một biểu tượng hằng số"
 
-#: cp/semantics.c:8578
+#: cp/semantics.c:8580
 #, fuzzy, gcc-internal-format
 msgid "pointer comparison expression is not a constant expression"
 msgstr "yếu tố sơ khởi không phải là một biểu tượng hằng số"
 
-#: cp/semantics.c:8679
+#: cp/semantics.c:8619
 #, fuzzy, gcc-internal-format
+msgid "cast to non-integral type %qT in a constant expression"
+msgstr "Gặp loại saio trong biểu thức bất biến"
+
+#: cp/semantics.c:8695
+#, fuzzy, gcc-internal-format
 msgid "division by zero is not a constant-expression"
 msgstr "yếu tố sơ khởi không phải là một biểu tượng hằng số"
 
-#: cp/semantics.c:8802
+#: cp/semantics.c:8819
 #, fuzzy, gcc-internal-format
 msgid "non-constant array initialization"
-msgstr "bộ sơ khởi chứa một chỉ mục mảng không phải hằng số"
+msgstr "một bộ phận mảng dẻo bị sơ khởi một cách không phải tĩnh"
 
-#: cp/semantics.c:8811
+#: cp/semantics.c:8828
 #, gcc-internal-format, gfc-internal-format
 msgid "unexpected AST of kind %s"
 msgstr "cần AST thuộc kiểu %s"
 
-#: cp/semantics.c:9303
+#: cp/semantics.c:9320
 #, gcc-internal-format
 msgid "cannot capture %qE by reference"
 msgstr ""
 
-#: cp/semantics.c:9326
+#: cp/semantics.c:9343
 #, gcc-internal-format
 msgid "already captured %qD in lambda expression"
 msgstr ""
 
-#: cp/semantics.c:9472
+#: cp/semantics.c:9515
 #, gcc-internal-format
 msgid "%<this%> was not captured for this lambda function"
 msgstr ""
@@ -35511,85 +35455,85 @@
 msgid "%qV qualifiers cannot be applied to %qT"
 msgstr ""
 
-#: cp/tree.c:3084
+#: cp/tree.c:3078
 #, gcc-internal-format
 msgid "%qE attribute can only be applied to Java class definitions"
 msgstr ""
 
-#: cp/tree.c:3113
+#: cp/tree.c:3107
 #, gcc-internal-format
 msgid "%qE attribute can only be applied to class definitions"
 msgstr ""
 
-#: cp/tree.c:3119
+#: cp/tree.c:3113
 #, gcc-internal-format
 msgid "%qE is obsolete; g++ vtables are now COM-compatible by default"
 msgstr ""
 
-#: cp/tree.c:3143
+#: cp/tree.c:3137
 #, gcc-internal-format
 msgid "requested init_priority is not an integer constant"
 msgstr ""
 
-#: cp/tree.c:3164
+#: cp/tree.c:3158
 #, gcc-internal-format
 msgid "can only use %qE attribute on file-scope definitions of objects of class type"
 msgstr ""
 
-#: cp/tree.c:3172
+#: cp/tree.c:3166
 #, gcc-internal-format
 msgid "requested init_priority is out of range"
 msgstr ""
 
-#: cp/tree.c:3182
+#: cp/tree.c:3176
 #, gcc-internal-format
 msgid "requested init_priority is reserved for internal use"
 msgstr ""
 
-#: cp/tree.c:3193
-#, gcc-internal-format
+#: cp/tree.c:3187
+#, fuzzy, gcc-internal-format
 msgid "%qE attribute is not supported on this platform"
-msgstr ""
+msgstr "--atime-preserve='system' không được hỗ trợ trên nền tảng này"
 
-#: cp/tree.c:3220
+#: cp/tree.c:3214
 #, fuzzy, gcc-internal-format
 msgid "redeclaration of %qD adds abi tag %E"
 msgstr "<lỗi tuyên bố>"
 
-#: cp/tree.c:3226
-#, fuzzy, gcc-internal-format
+#: cp/tree.c:3220
+#, gcc-internal-format
 msgid "previous declaration here"
-msgstr "lời tuyên bố thuộc tính"
+msgstr "khai báo trước ở đây"
 
-#: cp/tree.c:3243
+#: cp/tree.c:3237
 #, gcc-internal-format
 msgid "%qE attribute applied to non-class, non-enum type %qT"
 msgstr ""
 
-#: cp/tree.c:3249
+#: cp/tree.c:3243
 #, fuzzy, gcc-internal-format
 msgid "%qE attribute applied to %qT after its definition"
 msgstr "Xuất nhánh gián tiếp tới hàm cục bộ"
 
-#: cp/tree.c:3271
+#: cp/tree.c:3265
 #, fuzzy, gcc-internal-format
 msgid "%qE attribute applied to non-function %qD"
 msgstr "Xuất nhánh gián tiếp tới hàm cục bộ"
 
-#: cp/tree.c:3276
+#: cp/tree.c:3270
 #, fuzzy, gcc-internal-format
 msgid "%qE attribute applied to extern \"C\" function %qD"
 msgstr "Xuất nhánh gián tiếp tới hàm cục bộ"
 
-#: cp/tree.c:3977
+#: cp/tree.c:3971
 #, fuzzy, gcc-internal-format
 msgid "zero as null pointer constant"
 msgstr "toán hạng B không phải là một hằng số"
 
-#: cp/tree.c:3990
+#: cp/tree.c:3984
 #, gcc-internal-format, gfc-internal-format
 msgid "lang_* check: failed in %s, at %s:%d"
-msgstr ""
+msgstr "lang_* check: gặp lỗi trong %s, tại %s:%d"
 
 #: cp/typeck.c:451
 #, gcc-internal-format
@@ -35679,7 +35623,7 @@
 #: cp/typeck.c:1940
 #, gcc-internal-format
 msgid "taking address of temporary array"
-msgstr ""
+msgstr "lấy địa chỉ của mảng tạm"
 
 #: cp/typeck.c:2096
 #, gcc-internal-format
@@ -35729,12 +35673,12 @@
 #: cp/typeck.c:2668
 #, gcc-internal-format
 msgid "%<%D::%D%> is not a member of %qT"
-msgstr ""
+msgstr "%<%D::%D%> không phải là thành viên của %qT"
 
 #: cp/typeck.c:2693
 #, gcc-internal-format
 msgid "%qT is not a base of %qT"
-msgstr ""
+msgstr "%qT không là cơ sở của %qT"
 
 #: cp/typeck.c:2713
 #, gcc-internal-format
@@ -35744,12 +35688,12 @@
 #: cp/typeck.c:2731
 #, gcc-internal-format
 msgid "%qD is not a member template function"
-msgstr ""
+msgstr "%qD không phải là hàm thành viên mẫu"
 
 #: cp/typeck.c:2875
 #, gcc-internal-format
 msgid "%qT is not a pointer-to-object type"
-msgstr ""
+msgstr "%qT không phải kiểu con trỏ đến đối tượng"
 
 #: cp/typeck.c:2906
 #, gcc-internal-format
@@ -35799,7 +35743,7 @@
 #: cp/typeck.c:3369
 #, gcc-internal-format
 msgid "ISO C++ forbids calling %<::main%> from within program"
-msgstr ""
+msgstr "ISO C++ cấm gọi %<::main%> từ bên trong chương trình"
 
 #: cp/typeck.c:3388
 #, gcc-internal-format
@@ -35809,19 +35753,17 @@
 #: cp/typeck.c:3406
 #, gcc-internal-format
 msgid "%qE cannot be used as a function"
-msgstr ""
+msgstr "%qE không thể dùng như một hàm"
 
 #: cp/typeck.c:3409
-#, fuzzy, gcc-internal-format
-#| msgid "%q+D is usually a function"
+#, gcc-internal-format
 msgid "%qD cannot be used as a function"
-msgstr "%q+D thường là một hàm"
+msgstr "%qD không thể được dùng như một hàm"
 
 #: cp/typeck.c:3412
-#, fuzzy, gcc-internal-format
-#| msgid "expected function"
+#, gcc-internal-format
 msgid "expression cannot be used as a function"
-msgstr "cần hàm"
+msgstr "biểu thức không thể được dùng như một hàm"
 
 #: cp/typeck.c:3461
 #, gcc-internal-format
@@ -35866,12 +35808,12 @@
 #: cp/typeck.c:3489
 #, gcc-internal-format
 msgid "too many arguments to function"
-msgstr ""
+msgstr "quá nhiều đối số cho hàm"
 
 #: cp/typeck.c:3490
 #, gcc-internal-format
 msgid "too few arguments to function"
-msgstr ""
+msgstr "quá ít đối số cho hàm"
 
 #: cp/typeck.c:3569
 #, gcc-internal-format
@@ -35891,12 +35833,12 @@
 #: cp/typeck.c:3926
 #, gcc-internal-format
 msgid "NULL used in arithmetic"
-msgstr ""
+msgstr "NULL được dùng trong số học"
 
 #: cp/typeck.c:4188
 #, gcc-internal-format
 msgid "left rotate count is negative"
-msgstr ""
+msgstr "số lượng dịch trái bị âm"
 
 #: cp/typeck.c:4189
 #, gcc-internal-format
@@ -35906,7 +35848,7 @@
 #: cp/typeck.c:4195
 #, gcc-internal-format
 msgid "left rotate count >= width of type"
-msgstr ""
+msgstr "số lượng dịch trái >= độ rộng của kiểu"
 
 #: cp/typeck.c:4196
 #, gcc-internal-format
@@ -35921,7 +35863,7 @@
 #: cp/typeck.c:4237 cp/typeck.c:4250
 #, gcc-internal-format
 msgid "the address of %qD will never be NULL"
-msgstr ""
+msgstr "địa chỉ của %qD sẽ không bao giờ là NULL"
 
 #: cp/typeck.c:4262 cp/typeck.c:4270 cp/typeck.c:4513 cp/typeck.c:4521
 #, gcc-internal-format
@@ -35929,10 +35871,9 @@
 msgstr ""
 
 #: cp/typeck.c:4463 cp/typeck.c:4471
-#, fuzzy, gcc-internal-format
-#| msgid "comparison between %qT and %qT"
+#, gcc-internal-format
 msgid "operand types are %qT and %qT"
-msgstr "so sánh giữa %qT và %qT"
+msgstr "các kiểu toán hạng là %qT và %qT"
 
 #: cp/typeck.c:4538
 #, gcc-internal-format
@@ -35967,12 +35908,12 @@
 #: cp/typeck.c:4918
 #, gcc-internal-format
 msgid "taking address of constructor %qE"
-msgstr ""
+msgstr "lấy địa chỉ của cấu tử %qE"
 
 #: cp/typeck.c:4919
 #, gcc-internal-format
 msgid "taking address of destructor %qE"
-msgstr ""
+msgstr "lấy địa chỉ của hủy tử %qE"
 
 #: cp/typeck.c:4933
 #, gcc-internal-format
@@ -35982,7 +35923,7 @@
 #: cp/typeck.c:4936
 #, gcc-internal-format
 msgid "  a qualified-id is required"
-msgstr ""
+msgstr "  cần qualified-id"
 
 #: cp/typeck.c:4941
 #, gcc-internal-format
@@ -36004,7 +35945,7 @@
 #: cp/typeck.c:5144
 #, gcc-internal-format
 msgid "taking address of temporary"
-msgstr ""
+msgstr "đang lấy địa chỉ của mẫu"
 
 #: cp/typeck.c:5146
 #, gcc-internal-format
@@ -36124,7 +36065,7 @@
 #: cp/typeck.c:6063
 #, gcc-internal-format
 msgid "useless cast to type %qT"
-msgstr ""
+msgstr "trừ phi ép thành kiểu %qT"
 
 #: cp/typeck.c:6405
 #, gcc-internal-format
@@ -36134,7 +36075,7 @@
 #: cp/typeck.c:6431
 #, gcc-internal-format
 msgid "converting from %qT to %qT"
-msgstr ""
+msgstr "đang chuyển đổi từ %qT thành %qT"
 
 #: cp/typeck.c:6483
 #, gcc-internal-format
@@ -36198,12 +36139,12 @@
 #: cp/typeck.c:7176
 #, gcc-internal-format
 msgid "  in evaluation of %<%Q(%#T, %#T)%>"
-msgstr ""
+msgstr "  trong định giá %<%Q(%#T, %#T)%>"
 
 #: cp/typeck.c:7237
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "assigning to an array from an initializer list"
-msgstr "bộ sơ khởi chứa một chỉ mục mảng không phải hằng số"
+msgstr "gán giá trị cho mảng từ một danh sách bộ khởi tạo"
 
 #: cp/typeck.c:7251
 #, gcc-internal-format
@@ -36213,12 +36154,12 @@
 #: cp/typeck.c:7265
 #, gcc-internal-format
 msgid "array used as initializer"
-msgstr ""
+msgstr "mảng được dùng như là bộ khởi tạo"
 
 #: cp/typeck.c:7267
 #, gcc-internal-format
 msgid "invalid array assignment"
-msgstr ""
+msgstr "gán mảng không hợp lệ"
 
 #: cp/typeck.c:7374
 #, gcc-internal-format
@@ -36258,7 +36199,7 @@
 #: cp/typeck.c:7827
 #, gcc-internal-format
 msgid "cannot convert %qT to %qT"
-msgstr ""
+msgstr "không thể chuyển đổi %qT thành %qT"
 
 #: cp/typeck.c:7831
 #, gcc-internal-format
@@ -36303,12 +36244,12 @@
 #: cp/typeck.c:7979 cp/typeck.c:7981
 #, gcc-internal-format
 msgid "in passing argument %P of %q+D"
-msgstr ""
+msgstr "trong đối số chuyển qua %P của %q+D"
 
 #: cp/typeck.c:8036
 #, gcc-internal-format
 msgid "returning reference to temporary"
-msgstr ""
+msgstr "trả về tham chiếu đến tạm thời (temporary)"
 
 #: cp/typeck.c:8043
 #, gcc-internal-format
@@ -36323,12 +36264,12 @@
 #: cp/typeck.c:8062
 #, gcc-internal-format
 msgid "address of local variable %q+D returned"
-msgstr ""
+msgstr "địa chỉ của biến cục bộ %q+D được trả về"
 
 #: cp/typeck.c:8099
 #, gcc-internal-format
 msgid "returning a value from a destructor"
-msgstr ""
+msgstr "trả về một giá trị từ hủy tử"
 
 #. If a return statement appears in a handler of the
 #. function-try-block of a constructor, the program is ill-formed.
@@ -36341,39 +36282,44 @@
 #: cp/typeck.c:8110
 #, gcc-internal-format
 msgid "returning a value from a constructor"
-msgstr ""
+msgstr "trả về một giá trị từ cấu tử"
 
 #. Give a helpful error message.
-#: cp/typeck.c:8133 cp/typeck.c:8172
-#, gcc-internal-format
+#: cp/typeck.c:8133 cp/typeck.c:8177
+#, fuzzy, gcc-internal-format
 msgid "return-statement with no value, in function returning %qT"
-msgstr ""
+msgstr "« return » (trả lại) không có giá trị, trong hàm trả lại non-void (không rỗng)"
 
-#: cp/typeck.c:8191
+#: cp/typeck.c:8141
 #, gcc-internal-format
+msgid "returning initializer list"
+msgstr "trả về danh sách bộ khởi tạo"
+
+#: cp/typeck.c:8196
+#, fuzzy, gcc-internal-format
 msgid "return-statement with a value, in function returning 'void'"
-msgstr ""
+msgstr "« return » (trả lại) không có giá trị, trong hàm trả lại non-void (không rỗng)"
 
-#: cp/typeck.c:8221
+#: cp/typeck.c:8226
 #, gcc-internal-format
 msgid "%<operator new%> must not return NULL unless it is declared %<throw()%> (or -fcheck-new is in effect)"
 msgstr ""
 
 #. Make this a permerror because we used to accept it.
-#: cp/typeck.c:8789
+#: cp/typeck.c:8794
 #, gcc-internal-format
 msgid "using temporary as lvalue"
-msgstr ""
+msgstr "đang dùng mẫu như là lvalue"
 
-#: cp/typeck.c:8791
+#: cp/typeck.c:8796
 #, gcc-internal-format
 msgid "using xvalue (rvalue reference) as lvalue"
 msgstr ""
 
 #: cp/typeck2.c:50
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "type %qT is not a base type for type %qT"
-msgstr ""
+msgstr "Thao tác này không được hỗ trợ cho kiểu thiết bị này.\n"
 
 #: cp/typeck2.c:105
 #, gcc-internal-format
@@ -36449,7 +36395,7 @@
 #: cp/typeck2.c:325
 #, gcc-internal-format
 msgid "invalid abstract type for %q+D"
-msgstr ""
+msgstr "kiểu trừu tượng cho %q+D không hợp lệ"
 
 #: cp/typeck2.c:328
 #, gcc-internal-format
@@ -36464,7 +36410,7 @@
 #: cp/typeck2.c:343
 #, gcc-internal-format
 msgid "\t%+#D"
-msgstr ""
+msgstr "\t%+#D"
 
 #: cp/typeck2.c:352
 #, gcc-internal-format
@@ -36472,29 +36418,29 @@
 msgstr ""
 
 #: cp/typeck2.c:390
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "%q+D has incomplete type"
-msgstr ""
+msgstr "%s có kiểu %o, mong chờ %o"
 
 #: cp/typeck2.c:403
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "invalid use of incomplete type %q#T"
-msgstr ""
+msgstr "Sử dụng một loại số nguyên 8-bit"
 
 #: cp/typeck2.c:406
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "forward declaration of %q+#T"
-msgstr ""
+msgstr "khai báo trước"
 
 #: cp/typeck2.c:409
 #, gcc-internal-format
 msgid "declaration of %q+#T"
-msgstr ""
+msgstr "khai báo của %q+#T"
 
 #: cp/typeck2.c:414
 #, gcc-internal-format
 msgid "invalid use of %qT"
-msgstr ""
+msgstr "cách dùng không hợp lệ %qT"
 
 #: cp/typeck2.c:436
 #, gcc-internal-format
@@ -36562,14 +36508,14 @@
 msgstr ""
 
 #: cp/typeck2.c:897
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "int-array initialized from non-wide string"
-msgstr ""
+msgstr "mảng ký tự rộng bị sơ khởi từ chuỗi không phải rộng"
 
 #: cp/typeck2.c:903
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "int-array initialized from incompatible wide string"
-msgstr ""
+msgstr "mảng ký tự rộng bị sơ khởi từ chuỗi rộng không tương thích"
 
 #: cp/typeck2.c:923
 #, gcc-internal-format
@@ -36617,9 +36563,9 @@
 msgstr ""
 
 #: cp/typeck2.c:1505
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "circular pointer delegation detected"
-msgstr ""
+msgstr "Circular dependency đòi hỏi phải tìm được mô đun \"%s\"."
 
 #: cp/typeck2.c:1519
 #, gcc-internal-format
@@ -36634,7 +36580,7 @@
 #: cp/typeck2.c:1547
 #, gcc-internal-format
 msgid "base operand of %<->%> is not a pointer"
-msgstr ""
+msgstr "toán hạng cơ sở của %<->%> không phải là một con trỏ"
 
 #: cp/typeck2.c:1574
 #, gcc-internal-format
@@ -36657,9 +36603,9 @@
 msgstr ""
 
 #: cp/typeck2.c:1699
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "invalid value-initialization of reference type"
-msgstr ""
+msgstr "Tập tin bàn phím chứa một giá trị kiểu hành động (action-type) không hợp lệ."
 
 #: cp/typeck2.c:1929
 #, gcc-internal-format
@@ -36678,7 +36624,6 @@
 
 #: fortran/arith.c:904 fortran/arith.c:929
 #, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "Integer value too large in expression at %C"
 msgid "Noninteger exponent in an initialization expression at %L"
 msgstr "Giá trị số nguyên quá lớn trong biểu thức tại %C"
 
@@ -36730,12 +36675,12 @@
 #: fortran/array.c:94
 #, gcc-internal-format, gfc-internal-format
 msgid "Expected array subscript at %C"
-msgstr ""
+msgstr "Cần chỉ số mảng tại %C"
 
 #: fortran/array.c:103
 #, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Unexpected '*' in coarray subscript at %C"
-msgstr "Gặp yếu tố bất thường '%c' trong chuỗi định dạng tại %L"
+msgstr "Gặp yếu tố bất thường « %c » trong chuỗi định dạng tại %L"
 
 #: fortran/array.c:127
 #, gcc-internal-format, gfc-internal-format
@@ -36766,9 +36711,9 @@
 msgstr ""
 
 #: fortran/array.c:218
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Unexpected coarray designator at %C"
-msgstr ""
+msgstr "không mong đợi \" tại vị trí %d trong '%s' ."
 
 #: fortran/array.c:233
 #, gcc-internal-format, gfc-internal-format
@@ -36781,9 +36726,9 @@
 msgstr ""
 
 #: fortran/array.c:249 fortran/array.c:257
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Unexpected '*' for codimension %d of %d at %C"
-msgstr ""
+msgstr "đang ngủ tại %s trong %d giây\n"
 
 #: fortran/array.c:252
 #, gcc-internal-format, gfc-internal-format
@@ -36811,9 +36756,9 @@
 msgstr ""
 
 #: fortran/array.c:470
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Assumed-rank array at %C"
-msgstr ""
+msgstr "đợi dấu ngoặc vu đóng « ] » ở kết thúc của mảng"
 
 #: fortran/array.c:505
 #, gcc-internal-format, gfc-internal-format
@@ -36856,10 +36801,9 @@
 msgstr ""
 
 #: fortran/array.c:592
-#, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "data declaration"
+#, gcc-internal-format, gfc-internal-format
 msgid "Coarray declaration at %C"
-msgstr "lời tuyên bố dữ liệu"
+msgstr "Khai báo Coarray tại %C"
 
 #: fortran/array.c:690
 #, gcc-internal-format, gfc-internal-format
@@ -36876,72 +36820,72 @@
 msgid "DO-iterator '%s' at %L is inside iterator of the same name"
 msgstr ""
 
-#: fortran/array.c:1010 fortran/array.c:1143
-#, gcc-internal-format, gfc-internal-format
+#: fortran/array.c:1010 fortran/array.c:1154
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in array constructor at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp ở dòng %u : thiếu dấu hai chấm « : » trong « %s »"
 
-#: fortran/array.c:1062
-#, gcc-internal-format, gfc-internal-format
+#: fortran/array.c:1063
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "[...] style array constructors at %C"
-msgstr ""
+msgstr "đợi dấu ngoặc vu đóng « ] » ở kết thúc của mảng"
 
-#: fortran/array.c:1083
+#: fortran/array.c:1085
 #, gcc-internal-format, gfc-internal-format
 msgid "Array constructor including type specification at %C"
 msgstr ""
 
-#: fortran/array.c:1089 fortran/match.c:3469
+#: fortran/array.c:1094 fortran/match.c:3469
 #, gcc-internal-format, gfc-internal-format
 msgid "Type-spec at %L cannot contain a deferred type parameter"
 msgstr ""
 
-#: fortran/array.c:1105
+#: fortran/array.c:1116
 #, gcc-internal-format, gfc-internal-format
 msgid "Empty array constructor at %C is not allowed"
 msgstr ""
 
-#: fortran/array.c:1190
+#: fortran/array.c:1201
 #, gcc-internal-format, gfc-internal-format
 msgid "Element in %s array constructor at %L is %s"
 msgstr ""
 
-#: fortran/array.c:1518
+#: fortran/array.c:1529
 #, gcc-internal-format, gfc-internal-format
 msgid "Iterator step at %L cannot be zero"
 msgstr ""
 
 #. Problems occur when we get something like
 #. integer :: a(lots) = (/(i, i=1, lots)/)
-#: fortran/array.c:1655 fortran/expr.c:1535 fortran/trans-array.c:5370
+#: fortran/array.c:1666 fortran/expr.c:1535 fortran/trans-array.c:5370
 #, gcc-internal-format, gfc-internal-format
 msgid "The number of elements in the array constructor at %L requires an increase of the allowed %d upper limit.   See -fmax-array-constructor option"
 msgstr ""
 
-#: fortran/array.c:1826
+#: fortran/array.c:1837
 #, gcc-internal-format, gfc-internal-format
 msgid "AC-IMPLIED-DO initial expression references control variable at %L"
 msgstr ""
 
-#: fortran/array.c:1833
+#: fortran/array.c:1844
 #, gcc-internal-format, gfc-internal-format
 msgid "AC-IMPLIED-DO final expression references control variable at %L"
 msgstr ""
 
-#: fortran/array.c:1840
+#: fortran/array.c:1851
 #, gcc-internal-format, gfc-internal-format
 msgid "AC-IMPLIED-DO step expression references control variable at %L"
 msgstr ""
 
-#: fortran/array.c:1852
+#: fortran/array.c:1863
 #, gcc-internal-format, gfc-internal-format
 msgid "Array constructor value at %L shall not be unlimited polymorphic [F2008: C4106]"
 msgstr ""
 
-#: fortran/array.c:1935
-#, gcc-internal-format, gfc-internal-format
+#: fortran/array.c:1946
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Different CHARACTER lengths (%d/%d) in array constructor at %L"
-msgstr ""
+msgstr "Bộ dựng mảng chứa các chiều dài KÝ_TỰ khác nhau (%ld/%ld)"
 
 #: fortran/check.c:46
 #, gcc-internal-format, gfc-internal-format
@@ -36951,7 +36895,7 @@
 #: fortran/check.c:62
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' argument of '%s' intrinsic at %L must be %s"
-msgstr ""
+msgstr "'%s' đối số của '%s' bên trong tại %L phải là %s"
 
 #: fortran/check.c:90
 #, gcc-internal-format, gfc-internal-format
@@ -36981,7 +36925,7 @@
 #: fortran/check.c:177
 #, gcc-internal-format, gfc-internal-format
 msgid "Invalid kind for %s at %L"
-msgstr ""
+msgstr "loại không hợp lệ cho %s tại %L"
 
 #: fortran/check.c:196
 #, gcc-internal-format, gfc-internal-format
@@ -37006,7 +36950,7 @@
 #: fortran/check.c:283
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L must be nonnegative"
-msgstr ""
+msgstr "'%s' tại %L phải là không âm"
 
 #: fortran/check.c:314
 #, gcc-internal-format, gfc-internal-format
@@ -37079,9 +37023,9 @@
 msgstr ""
 
 #: fortran/check.c:736
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Unequal character lengths (%ld/%ld) in %s at %L"
-msgstr ""
+msgstr "Bộ dựng mảng chứa các chiều dài KÝ_TỰ khác nhau (%ld/%ld)"
 
 #: fortran/check.c:858 fortran/check.c:5195
 #, gcc-internal-format, gfc-internal-format
@@ -37090,9 +37034,9 @@
 
 #: fortran/check.c:867 fortran/check.c:1806 fortran/check.c:1932
 #: fortran/check.c:2006 fortran/check.c:2358
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Different type kinds at %L"
-msgstr ""
+msgstr "kiểu đối tượng không khớp tại %s"
 
 #: fortran/check.c:903
 #, gcc-internal-format, gfc-internal-format
@@ -37150,10 +37094,9 @@
 msgstr ""
 
 #: fortran/check.c:1084
-#, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "wrong type argument to %s"
+#, gcc-internal-format, gfc-internal-format
 msgid "Negative argument N at %L"
-msgstr "sai kiểu đối số cho %s"
+msgstr "Đối số âm N tại %L"
 
 #: fortran/check.c:1256 fortran/check.c:1426
 #, gcc-internal-format, gfc-internal-format
@@ -37196,7 +37139,7 @@
 #: fortran/check.c:1499
 #, gcc-internal-format, gfc-internal-format
 msgid "Different shape for arguments '%s' and '%s' at %L for intrinsic 'dot_product'"
-msgstr ""
+msgstr "Dạng hình khác cho đối số '%s' và '%s' tại %L dành cho intrinsic 'dot_product'"
 
 #: fortran/check.c:1518 fortran/check.c:1526
 #, gcc-internal-format, gfc-internal-format
@@ -37215,14 +37158,13 @@
 
 #: fortran/check.c:1738
 #, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "arguments '%s' and '%s' for intrinsic %s"
 msgid "COMPLEX argument '%s' argument of '%s' intrinsic at %L"
-msgstr "đối số '%s' và '%s' cho %s thực chất"
+msgstr "%c%s cần ít nhất %d đối số"
 
 #: fortran/check.c:1902
 #, gcc-internal-format, gfc-internal-format
 msgid "Argument of %s at %L must be of length one"
-msgstr ""
+msgstr "Đối số của %s tại %L phải là của một độ dài"
 
 #: fortran/check.c:1961
 #, gcc-internal-format, gfc-internal-format
@@ -37232,7 +37174,7 @@
 #: fortran/check.c:2051
 #, gcc-internal-format, gfc-internal-format
 msgid "SIZE at %L must be positive"
-msgstr ""
+msgstr "SIZE tại %L phải là số dương"
 
 #: fortran/check.c:2063
 #, gcc-internal-format, gfc-internal-format
@@ -37245,14 +37187,14 @@
 msgstr ""
 
 #: fortran/check.c:2331
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Intrinsic '%s' at %L must have at least two arguments"
-msgstr ""
+msgstr "phải xác định ít nhất hai tập tin"
 
 #: fortran/check.c:2364
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "'a%d' argument of '%s' intrinsic at %L must be %s(%d)"
-msgstr ""
+msgstr "Đối số N-up (lên) phải là lũy thừa 2: %d"
 
 #: fortran/check.c:2395
 #, gcc-internal-format, gfc-internal-format
@@ -37360,9 +37302,9 @@
 msgstr ""
 
 #: fortran/check.c:3200
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "'%s' argument of '%s' intrinsic at %L is empty"
-msgstr ""
+msgstr "Thành phần tài khoản người dùng của tùy chọn -U bị rỗng"
 
 #: fortran/check.c:3207
 #, gcc-internal-format, gfc-internal-format
@@ -37487,7 +37429,7 @@
 #: fortran/check.c:4541
 #, gcc-internal-format, gfc-internal-format
 msgid "Too many arguments to %s at %L"
-msgstr ""
+msgstr "Quá nhiều đối số cho %s tại %L"
 
 #: fortran/check.c:4827
 #, gcc-internal-format, gfc-internal-format
@@ -37519,17 +37461,17 @@
 #: fortran/class.c:2733 fortran/class.c:2807
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' of '%s' is PRIVATE at %L"
-msgstr ""
+msgstr "'%s' của '%s' là PRIVATE tại %L"
 
 #: fortran/cpp.c:447
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "To enable preprocessing, use -cpp"
-msgstr ""
+msgstr "chữ ba « ??%c » bị bỏ qua nên hãy sư dụng tùy chon « -trigraphs » (chữ ba) để hiệu lực nó"
 
 #: fortran/cpp.c:544 fortran/cpp.c:555 fortran/cpp.c:661
 #, gcc-internal-format, gfc-internal-format
 msgid "opening output file %s: %s"
-msgstr ""
+msgstr "đang mở tập tin kết xuất %s: %s"
 
 #: fortran/data.c:65
 #, gcc-internal-format, gfc-internal-format
@@ -37549,7 +37491,7 @@
 #: fortran/data.c:250
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L already is initialized at %L"
-msgstr ""
+msgstr "'%s' tại %L đã được khởi tạo tại %L rồi"
 
 #: fortran/data.c:274
 #, gcc-internal-format, gfc-internal-format
@@ -37563,9 +37505,8 @@
 
 #: fortran/data.c:321 fortran/data.c:487
 #, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "duplicate initialization of %qD"
 msgid "re-initialization of '%s' at %L"
-msgstr "khởi tạo lặp lại cho %qD"
+msgstr "(Ít nhất là 7 ngày)"
 
 #: fortran/decl.c:264
 #, gcc-internal-format, gfc-internal-format
@@ -37583,9 +37524,9 @@
 msgstr ""
 
 #: fortran/decl.c:407
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Invalid initializer %s in Data statement at %C"
-msgstr ""
+msgstr "kiểu dữ liệu không hợp lệ trong câu lệnh thoát"
 
 #: fortran/decl.c:509
 #, gcc-internal-format, gfc-internal-format
@@ -37603,14 +37544,14 @@
 msgstr ""
 
 #: fortran/decl.c:668
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Bad INTENT specification at %C"
-msgstr ""
+msgstr "%s: bị lỗi ở dòng %d của đặc tả\n"
 
 #: fortran/decl.c:689
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "deferred type parameter at %C"
-msgstr ""
+msgstr "kiểu đối tượng không khớp tại %s"
 
 #: fortran/decl.c:726
 #, gcc-internal-format, gfc-internal-format
@@ -37630,7 +37571,7 @@
 #: fortran/decl.c:906
 #, gcc-internal-format, gfc-internal-format
 msgid "Procedure '%s' at %C is already defined at %L"
-msgstr ""
+msgstr "Thủ tục '%s' tại %C đã được định nghĩa trước tại %L"
 
 #: fortran/decl.c:914
 #, gcc-internal-format, gfc-internal-format
@@ -37775,17 +37716,17 @@
 #: fortran/decl.c:1756
 #, gcc-internal-format, gfc-internal-format
 msgid "Error in pointer initialization at %C"
-msgstr ""
+msgstr "Lỗi trong khởi tạo con trỏ tại %C"
 
 #: fortran/decl.c:1763
 #, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "non-NULL pointer initialization at %C"
-msgstr "bộ sơ khởi chứa một chỉ mục mảng không phải hằng số"
+msgstr "Gặp ngữ cảnh sai cho hàm trỏ NULL() tại %%L"
 
 #: fortran/decl.c:1786
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Function name '%s' not allowed at %C"
-msgstr ""
+msgstr "Tên đã tháo gỡ không phải là hàm\n"
 
 #: fortran/decl.c:1853
 #, gcc-internal-format, gfc-internal-format
@@ -37793,9 +37734,9 @@
 msgstr ""
 
 #: fortran/decl.c:1864
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Implied-shape array at %L"
-msgstr ""
+msgstr "đợi dấu ngoặc vu đóng « ] » ở kết thúc của mảng"
 
 #: fortran/decl.c:1928 fortran/decl.c:6509
 #, gcc-internal-format, gfc-internal-format
@@ -37803,10 +37744,9 @@
 msgstr ""
 
 #: fortran/decl.c:1999
-#, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "duplicate initialization of %qD"
+#, gcc-internal-format, gfc-internal-format
 msgid "Old-style initialization at %C"
-msgstr "khởi tạo lặp lại cho %qD"
+msgstr "Sự khởi tạo kiểu cũ tại %C"
 
 #: fortran/decl.c:2014 fortran/decl.c:4963
 #, gcc-internal-format, gfc-internal-format
@@ -37819,9 +37759,9 @@
 msgstr ""
 
 #: fortran/decl.c:2036 fortran/decl.c:7804
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Expected an initialization expression at %C"
-msgstr ""
+msgstr "đợi ký hiệu ống dẫn « | » ở kết thúc của biểu thức"
 
 #: fortran/decl.c:2043
 #, gcc-internal-format, gfc-internal-format
@@ -37839,19 +37779,19 @@
 msgstr ""
 
 #: fortran/decl.c:2151
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Nonstandard type declaration %s*%d at %C"
-msgstr ""
+msgstr "kiểu đối tượng không khớp tại %s"
 
 #: fortran/decl.c:2202 fortran/decl.c:2278
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Missing right parenthesis at %C"
-msgstr ""
+msgstr "thiếu « %s » tại kết thúc tập tin"
 
 #: fortran/decl.c:2215 fortran/decl.c:2349
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Expected initialization expression at %C"
-msgstr ""
+msgstr "đợi ký hiệu ống dẫn « | » ở kết thúc của biểu thức"
 
 #: fortran/decl.c:2223 fortran/decl.c:2355
 #, gcc-internal-format, gfc-internal-format
@@ -37859,9 +37799,9 @@
 msgstr ""
 
 #: fortran/decl.c:2254
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Kind %d not supported for type %s at %C"
-msgstr ""
+msgstr "Cảnh báo : loại máy (%d) không được hỗ trợ cho delayimport."
 
 #: fortran/decl.c:2267
 #, gcc-internal-format, gfc-internal-format
@@ -37879,14 +37819,14 @@
 msgstr ""
 
 #: fortran/decl.c:2507
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in CHARACTER declaration at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp ở dòng %u : thiếu dấu hai chấm « : » trong « %s »"
 
 #: fortran/decl.c:2592
 #, gcc-internal-format, gfc-internal-format
 msgid "BYTE type at %C"
-msgstr ""
+msgstr "kiểu BYTE tại %C"
 
 #: fortran/decl.c:2598
 #, gcc-internal-format, gfc-internal-format
@@ -37901,7 +37841,7 @@
 #: fortran/decl.c:2623
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed type at %C"
-msgstr ""
+msgstr "Giả định kiểu tại %C"
 
 #: fortran/decl.c:2646 fortran/decl.c:2677 fortran/decl.c:2707
 #: fortran/decl.c:2885
@@ -37910,21 +37850,20 @@
 msgstr ""
 
 #: fortran/decl.c:2702
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "DOUBLE COMPLEX at %C"
-msgstr ""
+msgstr "(Ít nhất là 7 ngày)"
 
 #: fortran/decl.c:2777
-#, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "in statement"
+#, gcc-internal-format, gfc-internal-format
 msgid "CLASS statement at %C"
-msgstr "tại câu lệnh"
+msgstr "câu lệnh CLASS tại %C"
 
 #: fortran/decl.c:2813 fortran/decl.c:2826 fortran/decl.c:3200
 #: fortran/decl.c:3208
 #, gcc-internal-format, gfc-internal-format
 msgid "Type name '%s' at %C is ambiguous"
-msgstr ""
+msgstr "Tên kiểu '%s' tại %C là chưa rõ ràng"
 
 #: fortran/decl.c:2841
 #, gcc-internal-format, gfc-internal-format
@@ -37942,9 +37881,9 @@
 msgstr ""
 
 #: fortran/decl.c:3063
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Empty IMPLICIT statement at %C"
-msgstr ""
+msgstr "Phần mở rộng trống tại ký tự %char:1."
 
 #: fortran/decl.c:3165
 #, gcc-internal-format, gfc-internal-format
@@ -37954,7 +37893,7 @@
 #: fortran/decl.c:3170
 #, gcc-internal-format, gfc-internal-format
 msgid "IMPORT statement at %C"
-msgstr ""
+msgstr "câu lệnh IMPORT tại %C"
 
 #: fortran/decl.c:3185
 #, gcc-internal-format, gfc-internal-format
@@ -37972,24 +37911,24 @@
 msgstr ""
 
 #: fortran/decl.c:3264
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in IMPORT statement at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp ở dòng %u : thiếu dấu hai chấm « : » trong « %s »"
 
 #: fortran/decl.c:3563
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Missing codimension specification at %C"
-msgstr ""
+msgstr "%s: bị lỗi ở dòng %d của đặc tả\n"
 
 #: fortran/decl.c:3565
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Missing dimension specification at %C"
-msgstr ""
+msgstr "%s: bị lỗi ở dòng %d của đặc tả\n"
 
 #: fortran/decl.c:3648
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate %s attribute at %L"
-msgstr ""
+msgstr "Trùng thuộc tính %s tại %L"
 
 #: fortran/decl.c:3667
 #, gcc-internal-format, gfc-internal-format
@@ -38002,9 +37941,9 @@
 msgstr ""
 
 #: fortran/decl.c:3695
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Attribute %s at %L in a TYPE definition"
-msgstr ""
+msgstr "gặp kiểu băm không hợp lệ %d trong « cpp_macro_definition » (lời xác định vĩ lệnh)"
 
 #: fortran/decl.c:3706
 #, gcc-internal-format, gfc-internal-format
@@ -38014,12 +37953,12 @@
 #: fortran/decl.c:3721
 #, gcc-internal-format, gfc-internal-format
 msgid "ASYNCHRONOUS attribute at %C"
-msgstr ""
+msgstr "thuộc tính ASYNCHRONOUS tại%C"
 
 #: fortran/decl.c:3734
 #, gcc-internal-format, gfc-internal-format
 msgid "CONTIGUOUS attribute at %C"
-msgstr ""
+msgstr "thuộc tính CONTIGUOUS tại %C"
 
 #: fortran/decl.c:3780 fortran/decl.c:6804
 #, gcc-internal-format, gfc-internal-format
@@ -38027,19 +37966,19 @@
 msgstr ""
 
 #: fortran/decl.c:3786
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "PROTECTED attribute at %C"
-msgstr ""
+msgstr "(Ít nhất là 7 ngày)"
 
 #: fortran/decl.c:3817
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "VALUE attribute at %C"
-msgstr "lời tuyên bố thuộc tính"
+msgstr "thuộc tính VALUE tại %C"
 
 #: fortran/decl.c:3827
 #, gcc-internal-format, gfc-internal-format
 msgid "VOLATILE attribute at %C"
-msgstr ""
+msgstr "thuộc tính VOLATILE tại %C"
 
 #: fortran/decl.c:3873
 #, gcc-internal-format, gfc-internal-format
@@ -38116,14 +38055,14 @@
 msgstr ""
 
 #: fortran/decl.c:4337
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in data declaration at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp ở dòng %u : thiếu dấu hai chấm « : » trong « %s »"
 
 #: fortran/decl.c:4411
 #, gcc-internal-format, gfc-internal-format
 msgid "IMPURE procedure at %C"
-msgstr ""
+msgstr "thủ tục IMPURE tại %C"
 
 #: fortran/decl.c:4424
 #, gcc-internal-format, gfc-internal-format
@@ -38131,9 +38070,9 @@
 msgstr ""
 
 #: fortran/decl.c:4530
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Name '%s' at %C is the name of the procedure"
-msgstr ""
+msgstr "%s không phải là một đối tượng thủ tục"
 
 #: fortran/decl.c:4542
 #, gcc-internal-format, gfc-internal-format
@@ -38181,9 +38120,9 @@
 msgstr ""
 
 #: fortran/decl.c:4985 fortran/decl.c:5168 fortran/decl.c:8286
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in PROCEDURE statement at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp ở dòng %u : thiếu dấu hai chấm « : » trong « %s »"
 
 #: fortran/decl.c:5034 fortran/decl.c:8187
 #, gcc-internal-format, gfc-internal-format
@@ -38196,9 +38135,9 @@
 msgstr ""
 
 #: fortran/decl.c:5045
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Procedure pointer component at %C"
-msgstr ""
+msgstr "Gặp ngữ cảnh sai cho hàm trỏ NULL() tại %%L"
 
 #: fortran/decl.c:5111
 #, gcc-internal-format, gfc-internal-format
@@ -38216,9 +38155,9 @@
 msgstr ""
 
 #: fortran/decl.c:5208
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "PROCEDURE statement at %C"
-msgstr ""
+msgstr "(Ít nhất là 7 ngày)"
 
 #: fortran/decl.c:5276
 #, gcc-internal-format, gfc-internal-format
@@ -38227,16 +38166,15 @@
 
 #: fortran/decl.c:5300 fortran/decl.c:5304 fortran/decl.c:5508
 #: fortran/decl.c:5512 fortran/decl.c:5698 fortran/decl.c:5702
-#: fortran/symbol.c:1588
+#: fortran/symbol.c:1577
 #, gcc-internal-format, gfc-internal-format
 msgid "BIND(C) attribute at %L can only be used for variables or common blocks"
 msgstr ""
 
 #: fortran/decl.c:5420
-#, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "in statement"
+#, gcc-internal-format, gfc-internal-format
 msgid "ENTRY statement at %C"
-msgstr "tại câu lệnh"
+msgstr "câu lệnh ENTRY tại %C"
 
 #: fortran/decl.c:5429
 #, gcc-internal-format, gfc-internal-format
@@ -38339,25 +38277,25 @@
 msgstr ""
 
 #: fortran/decl.c:6094
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Unexpected END statement at %C"
-msgstr ""
+msgstr "gặp kết thúc câu lệnh bất thường đẳng sau « from » (từ)"
 
 #: fortran/decl.c:6102
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "END statement instead of %s statement at %L"
-msgstr ""
+msgstr "thiếu « %s » tại kết thúc tập tin"
 
 #. We would have required END [something].
 #: fortran/decl.c:6110
 #, gcc-internal-format, gfc-internal-format
 msgid "%s statement expected at %L"
-msgstr ""
+msgstr "cần biểu thức %s tại %L"
 
 #: fortran/decl.c:6121
 #, gcc-internal-format, gfc-internal-format
 msgid "Expecting %s statement at %C"
-msgstr ""
+msgstr "Cần câu lệnh %s tại %C"
 
 #: fortran/decl.c:6137
 #, gcc-internal-format, gfc-internal-format
@@ -38367,7 +38305,7 @@
 #: fortran/decl.c:6154
 #, gcc-internal-format, gfc-internal-format
 msgid "Expected terminating name at %C"
-msgstr ""
+msgstr "Cần tên chấm dứt tại %C"
 
 #: fortran/decl.c:6163 fortran/decl.c:6171
 #, gcc-internal-format, gfc-internal-format
@@ -38402,12 +38340,12 @@
 #: fortran/decl.c:6426
 #, gcc-internal-format, gfc-internal-format
 msgid "Expected '(' at %C"
-msgstr ""
+msgstr "Cần '(' tại %C"
 
 #: fortran/decl.c:6440 fortran/decl.c:6480
 #, gcc-internal-format, gfc-internal-format
 msgid "Expected variable name at %C"
-msgstr ""
+msgstr "Cần tên biến tại %C"
 
 #: fortran/decl.c:6456
 #, gcc-internal-format, gfc-internal-format
@@ -38422,17 +38360,17 @@
 #: fortran/decl.c:6466
 #, gcc-internal-format, gfc-internal-format
 msgid "Expected \",\" at %C"
-msgstr ""
+msgstr "Cần \",\" tại %C"
 
 #: fortran/decl.c:6529
 #, gcc-internal-format, gfc-internal-format
 msgid "Expected \")\" at %C"
-msgstr ""
+msgstr "Cần \")\" tại %C"
 
 #: fortran/decl.c:6541
 #, gcc-internal-format, gfc-internal-format
 msgid "Expected \",\" or end of statement at %C"
-msgstr ""
+msgstr "Cần \",\" hay kết thúc câu lệnh tại %C"
 
 #: fortran/decl.c:6567
 #, gcc-internal-format, gfc-internal-format
@@ -38452,7 +38390,7 @@
 #: fortran/decl.c:6657
 #, gcc-internal-format, gfc-internal-format
 msgid "CONTIGUOUS statement at %C"
-msgstr ""
+msgstr "câu lệnh CONTIGUOUS tại %C"
 
 #: fortran/decl.c:6755
 #, gcc-internal-format, gfc-internal-format
@@ -38465,14 +38403,14 @@
 msgstr ""
 
 #: fortran/decl.c:6810
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "PROTECTED statement at %C"
-msgstr ""
+msgstr "(Ít nhất là 7 ngày)"
 
 #: fortran/decl.c:6850
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in PROTECTED statement at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp ở dòng %u : thiếu dấu hai chấm « : » trong « %s »"
 
 #: fortran/decl.c:6874
 #, gcc-internal-format, gfc-internal-format
@@ -38520,9 +38458,9 @@
 msgstr ""
 
 #: fortran/decl.c:7090
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in SAVE statement at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp ở dòng %u : thiếu dấu hai chấm « : » trong « %s »"
 
 #: fortran/decl.c:7104
 #, gcc-internal-format, gfc-internal-format
@@ -38530,20 +38468,19 @@
 msgstr ""
 
 #: fortran/decl.c:7108
-#, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "in statement"
+#, gcc-internal-format, gfc-internal-format
 msgid "VALUE statement at %C"
-msgstr "tại câu lệnh"
+msgstr "câu lệnh VALUE tại %C"
 
 #: fortran/decl.c:7148
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in VALUE statement at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp ở dòng %u : thiếu dấu hai chấm « : » trong « %s »"
 
 #: fortran/decl.c:7159
 #, gcc-internal-format, gfc-internal-format
 msgid "VOLATILE statement at %C"
-msgstr ""
+msgstr "câu lệnh VOLATILE tại %C"
 
 #: fortran/decl.c:7183
 #, gcc-internal-format, gfc-internal-format
@@ -38551,19 +38488,19 @@
 msgstr ""
 
 #: fortran/decl.c:7209
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in VOLATILE statement at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp ở dòng %u : thiếu dấu hai chấm « : » trong « %s »"
 
 #: fortran/decl.c:7220
 #, gcc-internal-format, gfc-internal-format
 msgid "ASYNCHRONOUS statement at %C"
-msgstr ""
+msgstr "câu lệnh ASYNCHRONOUS tại %C"
 
 #: fortran/decl.c:7262
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in ASYNCHRONOUS statement at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp ở dòng %u : thiếu dấu hai chấm « : » trong « %s »"
 
 #: fortran/decl.c:7286
 #, gcc-internal-format, gfc-internal-format
@@ -38613,12 +38550,12 @@
 #: fortran/decl.c:7478
 #, gcc-internal-format, gfc-internal-format
 msgid "ABSTRACT type at %C"
-msgstr ""
+msgstr "Kiểu TRỪU TƯỢNG tại %C"
 
 #: fortran/decl.c:7543
 #, gcc-internal-format, gfc-internal-format
 msgid "Expected :: in TYPE definition at %C"
-msgstr ""
+msgstr "Cần :: trong định nghĩa KIỂU tại %C"
 
 #: fortran/decl.c:7554
 #, gcc-internal-format, gfc-internal-format
@@ -38643,7 +38580,7 @@
 #: fortran/decl.c:7709
 #, gcc-internal-format, gfc-internal-format
 msgid "ENUM and ENUMERATOR at %C"
-msgstr ""
+msgstr "ENUM và ENUMERATOR tại %C"
 
 #: fortran/decl.c:7742
 #, gcc-internal-format, gfc-internal-format
@@ -38661,9 +38598,9 @@
 msgstr ""
 
 #: fortran/decl.c:7905
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in ENUMERATOR definition at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp ở dòng %u : thiếu dấu hai chấm « : » trong « %s »"
 
 #: fortran/decl.c:7952 fortran/decl.c:7967
 #, gcc-internal-format, gfc-internal-format
@@ -38681,29 +38618,29 @@
 msgstr ""
 
 #: fortran/decl.c:8034
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Duplicate POINTER attribute at %C"
-msgstr ""
+msgstr "Gặp ngữ cảnh sai cho hàm trỏ NULL() tại %%L"
 
 #: fortran/decl.c:8052
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Duplicate NON_OVERRIDABLE at %C"
-msgstr ""
+msgstr "Gặp một ký tự khác ASCII tại %s%s."
 
 #: fortran/decl.c:8068
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate DEFERRED at %C"
-msgstr ""
+msgstr "Trùng DEFERRED tại %C"
 
 #: fortran/decl.c:8081
 #, gcc-internal-format, gfc-internal-format
 msgid "Expected access-specifier at %C"
-msgstr ""
+msgstr "Cần access-specifier tại %C"
 
 #: fortran/decl.c:8083
 #, gcc-internal-format, gfc-internal-format
 msgid "Expected binding attribute at %C"
-msgstr ""
+msgstr "Cần thuộc tính ràng buộc tại %C"
 
 #: fortran/decl.c:8091
 #, gcc-internal-format, gfc-internal-format
@@ -38723,7 +38660,7 @@
 #: fortran/decl.c:8151
 #, gcc-internal-format, gfc-internal-format
 msgid "')' expected at %C"
-msgstr ""
+msgstr "cần ')' tại %C"
 
 #: fortran/decl.c:8171
 #, gcc-internal-format, gfc-internal-format
@@ -38738,12 +38675,12 @@
 #: fortran/decl.c:8199
 #, gcc-internal-format, gfc-internal-format
 msgid "Expected binding name at %C"
-msgstr ""
+msgstr "Cần tên ràng buộc tại %C"
 
 #: fortran/decl.c:8203
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "PROCEDURE list at %C"
-msgstr ""
+msgstr "Hiện danh sách người dùng ở :"
 
 #: fortran/decl.c:8216
 #, gcc-internal-format, gfc-internal-format
@@ -38778,7 +38715,7 @@
 #: fortran/decl.c:8329
 #, gcc-internal-format, gfc-internal-format
 msgid "Expected '::' at %C"
-msgstr ""
+msgstr "Cần '::' tại %C"
 
 #: fortran/decl.c:8341
 #, gcc-internal-format, gfc-internal-format
@@ -38788,7 +38725,7 @@
 #: fortran/decl.c:8367
 #, gcc-internal-format, gfc-internal-format
 msgid "Expected '=>' at %C"
-msgstr ""
+msgstr "Cần '=>' tại %C"
 
 #: fortran/decl.c:8409
 #, gcc-internal-format, gfc-internal-format
@@ -38828,7 +38765,7 @@
 #: fortran/decl.c:8562
 #, gcc-internal-format, gfc-internal-format
 msgid "Empty FINAL at %C"
-msgstr ""
+msgstr "FINAL trống rỗng tại %C"
 
 #: fortran/decl.c:8569
 #, gcc-internal-format, gfc-internal-format
@@ -38838,12 +38775,12 @@
 #: fortran/decl.c:8579
 #, gcc-internal-format, gfc-internal-format
 msgid "Expected ',' at %C"
-msgstr ""
+msgstr "Cần ',' tại %C"
 
 #: fortran/decl.c:8585
 #, gcc-internal-format, gfc-internal-format
 msgid "Unknown procedure name \"%s\" at %C"
-msgstr ""
+msgstr "Không hiểu tên thủ tục \"%s\" tại %C"
 
 #: fortran/decl.c:8599
 #, gcc-internal-format, gfc-internal-format
@@ -38873,22 +38810,22 @@
 #: fortran/error.c:337
 #, gcc-internal-format, gfc-internal-format
 msgid "    Included at %s:%d:"
-msgstr ""
+msgstr "    Được bao gồm tại %s:%d:"
 
 #: fortran/error.c:423
 #, gcc-internal-format
 msgid "<During initialization>\n"
-msgstr ""
+msgstr "<Khi khởi tạo>\n"
 
 #: fortran/error.c:758
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Error count reached limit of %d."
-msgstr ""
+msgstr "đã đạt đến giới hạn sử dụng bộ nhớ"
 
 #: fortran/error.c:1054
 #, gcc-internal-format
 msgid "Internal Error at (1):"
-msgstr ""
+msgstr "LỖI NỘI BỘ ở (1):"
 
 #: fortran/expr.c:1229
 #, gcc-internal-format, gfc-internal-format
@@ -39028,12 +38965,12 @@
 #: fortran/expr.c:2871
 #, gcc-internal-format, gfc-internal-format
 msgid "Dummy argument '%s' at %L cannot be OPTIONAL"
-msgstr ""
+msgstr "Đối số giả '%s' tại %L không thể là TÙY-CHỌN"
 
 #: fortran/expr.c:2878
 #, gcc-internal-format, gfc-internal-format
 msgid "Dummy argument '%s' at %L cannot be INTENT(OUT)"
-msgstr ""
+msgstr "Đối số giả '%s' tại %L không thể là INTENT(OUT)"
 
 #: fortran/expr.c:2909
 #, gcc-internal-format, gfc-internal-format
@@ -39048,17 +38985,17 @@
 #: fortran/expr.c:2972
 #, gcc-internal-format, gfc-internal-format
 msgid "Function '%s' at %L must be PURE"
-msgstr ""
+msgstr "Hàm '%s' tại %L phải là PURE"
 
 #: fortran/expr.c:2981
 #, gcc-internal-format, gfc-internal-format
 msgid "Expression at %L must be scalar"
-msgstr ""
+msgstr "Biểu thức tại %L phải thuộc kiểu scalar"
 
 #: fortran/expr.c:3015
 #, gcc-internal-format, gfc-internal-format
 msgid "Incompatible ranks in %s (%d and %d) at %L"
-msgstr ""
+msgstr "Vùng không tương thích nhau trong %s (%d và %d) tại %L"
 
 #: fortran/expr.c:3029
 #, gcc-internal-format, gfc-internal-format
@@ -39068,7 +39005,7 @@
 #: fortran/expr.c:3118
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L is not a VALUE"
-msgstr ""
+msgstr "'%s' tại %L không phải là một VALUE"
 
 #: fortran/expr.c:3125
 #, gcc-internal-format, gfc-internal-format
@@ -39133,7 +39070,7 @@
 #: fortran/expr.c:3243 fortran/intrinsic.c:4342 fortran/intrinsic.c:4368
 #, gcc-internal-format, gfc-internal-format
 msgid "Conversion from %s to %s at %L"
-msgstr ""
+msgstr "Chuyển đổi từ %s sang %s tại %L"
 
 #: fortran/expr.c:3264
 #, gcc-internal-format, gfc-internal-format
@@ -39141,9 +39078,9 @@
 msgstr ""
 
 #: fortran/expr.c:3300
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Pointer assignment target is not a POINTER at %L"
-msgstr ""
+msgstr "đích không phải là một hàm trỏ hoặc một tham chiếu"
 
 #: fortran/expr.c:3308
 #, gcc-internal-format, gfc-internal-format
@@ -39181,9 +39118,9 @@
 msgstr ""
 
 #: fortran/expr.c:3415
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Invalid procedure pointer assignment at %L"
-msgstr ""
+msgstr "Gặp ngữ cảnh sai cho hàm trỏ NULL() tại %%L"
 
 #: fortran/expr.c:3435
 #, gcc-internal-format, gfc-internal-format
@@ -39315,72 +39252,72 @@
 msgid "Procedure pointer initialization target at %L may not be a procedure pointer"
 msgstr ""
 
-#: fortran/expr.c:4692
+#: fortran/expr.c:4693
 #, gcc-internal-format, gfc-internal-format
 msgid "Fortran 2008: Pointer functions in variable definition context (%s) at %L"
 msgstr ""
 
-#: fortran/expr.c:4700
+#: fortran/expr.c:4701
 #, gcc-internal-format, gfc-internal-format
 msgid "Non-variable expression in variable definition context (%s) at %L"
 msgstr ""
 
-#: fortran/expr.c:4708
+#: fortran/expr.c:4709
 #, gcc-internal-format, gfc-internal-format
 msgid "Named constant '%s' in variable definition context (%s) at %L"
 msgstr ""
 
-#: fortran/expr.c:4717
+#: fortran/expr.c:4718
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' in variable definition context (%s) at %L is not a variable"
 msgstr ""
 
-#: fortran/expr.c:4728
+#: fortran/expr.c:4729
 #, gcc-internal-format, gfc-internal-format
 msgid "Non-POINTER in pointer association context (%s) at %L"
 msgstr ""
 
-#: fortran/expr.c:4741
+#: fortran/expr.c:4742
 #, gcc-internal-format, gfc-internal-format
 msgid "LOCK_TYPE in variable definition context (%s) at %L"
 msgstr ""
 
-#: fortran/expr.c:4770
+#: fortran/expr.c:4771
 #, gcc-internal-format, gfc-internal-format
 msgid "Dummy argument '%s' with INTENT(IN) in pointer association context (%s) at %L"
 msgstr ""
 
-#: fortran/expr.c:4778
+#: fortran/expr.c:4779
 #, gcc-internal-format, gfc-internal-format
 msgid "Dummy argument '%s' with INTENT(IN) in variable definition context (%s) at %L"
 msgstr ""
 
-#: fortran/expr.c:4791
+#: fortran/expr.c:4792
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' is PROTECTED and can not appear in a pointer association context (%s) at %L"
 msgstr ""
 
-#: fortran/expr.c:4799
+#: fortran/expr.c:4800
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' is PROTECTED and can not appear in a variable definition context (%s) at %L"
 msgstr ""
 
-#: fortran/expr.c:4811
+#: fortran/expr.c:4812
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' can not appear in a variable definition context (%s) at %L in PURE procedure"
 msgstr ""
 
-#: fortran/expr.c:4870
+#: fortran/expr.c:4871
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L associated to vector-indexed target can not be used in a variable definition context (%s)"
 msgstr ""
 
-#: fortran/expr.c:4874
+#: fortran/expr.c:4875
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L associated to expression can not be used in a variable definition context (%s)"
 msgstr ""
 
-#: fortran/expr.c:4886
+#: fortran/expr.c:4887
 #, gcc-internal-format, gfc-internal-format
 msgid "Associate-name '%s' can not appear in a variable definition context (%s) at %L because its target at %L can not, either"
 msgstr ""
@@ -39388,19 +39325,19 @@
 #: fortran/f95-lang.c:225
 #, gcc-internal-format, gfc-internal-format
 msgid "can't open input file: %s"
-msgstr ""
+msgstr "không thể mở tập tin đầu vào: %s"
 
 #: fortran/frontend-passes.c:518 fortran/trans-array.c:1041
 #: fortran/trans-array.c:5866 fortran/trans-array.c:7150
-#: fortran/trans-intrinsic.c:5445
-#, gcc-internal-format, gfc-internal-format
+#: fortran/trans-intrinsic.c:5444
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Creating array temporary at %L"
-msgstr ""
+msgstr "đợi dấu ngoặc vu đóng « ] » ở kết thúc của mảng"
 
 #: fortran/frontend-passes.c:541 fortran/frontend-passes.c:544
 #, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Removing call to function '%s' at %L"
-msgstr "gặp lỗi trong các đối số tới hàm đặc tả '%s'"
+msgstr "cuộc gọi chưa được chấm dứt cho hàm « %s »: thiếu « %c »"
 
 #: fortran/frontend-passes.c:1474
 #, gcc-internal-format, gfc-internal-format
@@ -39433,9 +39370,9 @@
 msgstr "không có tập tin nhập vào ; không sẵn sàng ghi tập tin kết xuất"
 
 #: fortran/interface.c:175
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in generic specification at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp ở dòng %u : thiếu dấu hai chấm « : » trong « %s »"
 
 #: fortran/interface.c:202
 #, gcc-internal-format, gfc-internal-format
@@ -39450,7 +39387,7 @@
 #: fortran/interface.c:254
 #, gcc-internal-format, gfc-internal-format
 msgid "ABSTRACT INTERFACE at %C"
-msgstr ""
+msgstr "ABSTRACT INTERFACE tại %C"
 
 #: fortran/interface.c:262
 #, gcc-internal-format, gfc-internal-format
@@ -39465,7 +39402,7 @@
 #: fortran/interface.c:306
 #, gcc-internal-format, gfc-internal-format
 msgid "Expected a nameless interface at %C"
-msgstr ""
+msgstr "Cần một giao diện không tên tại %C"
 
 #: fortran/interface.c:319
 #, gcc-internal-format, gfc-internal-format
@@ -39480,12 +39417,12 @@
 #: fortran/interface.c:363
 #, gcc-internal-format, gfc-internal-format
 msgid "Expecting 'END INTERFACE OPERATOR (.%s.)' at %C"
-msgstr ""
+msgstr "Cần 'END INTERFACE OPERATOR (.%s.)' tại %C"
 
 #: fortran/interface.c:374
 #, gcc-internal-format, gfc-internal-format
 msgid "Expecting 'END INTERFACE %s' at %C"
-msgstr ""
+msgstr "Cần 'END INTERFACE %s' tại %C"
 
 #: fortran/interface.c:624
 #, gcc-internal-format, gfc-internal-format
@@ -39527,12 +39464,12 @@
 msgid "Second argument of defined assignment at %L must be INTENT(IN)"
 msgstr ""
 
-#: fortran/interface.c:723 fortran/resolve.c:14797
+#: fortran/interface.c:723 fortran/resolve.c:14799
 #, gcc-internal-format, gfc-internal-format
 msgid "First argument of operator interface at %L must be INTENT(IN)"
 msgstr ""
 
-#: fortran/interface.c:730 fortran/resolve.c:14815
+#: fortran/interface.c:730 fortran/resolve.c:14817
 #, gcc-internal-format, gfc-internal-format
 msgid "Second argument of operator interface at %L must be INTENT(IN)"
 msgstr ""
@@ -39564,9 +39501,8 @@
 
 #: fortran/interface.c:1491
 #, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "internal gcc abort in %s, at %s:%d"
 msgid "Internal procedure '%s' in %s at %L"
-msgstr "gcc bị hủy bỏ nội bộ trong %s, vào %s:%d"
+msgstr "%s: gặp lỗi nội bộ trong %s, tại %s:%d\n"
 
 #: fortran/interface.c:1548 fortran/interface.c:1552
 #, gcc-internal-format, gfc-internal-format
@@ -39581,7 +39517,7 @@
 #: fortran/interface.c:1590
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L is not a module procedure"
-msgstr ""
+msgstr "'%s' tại %L không phải là thủ tục mô-đun"
 
 #: fortran/interface.c:1804
 #, gcc-internal-format, gfc-internal-format
@@ -39606,7 +39542,7 @@
 #: fortran/interface.c:1861
 #, gcc-internal-format, gfc-internal-format
 msgid "Invalid procedure argument at %L"
-msgstr ""
+msgstr "Đối số thủ tục không hợp lệ tại %L"
 
 #: fortran/interface.c:1869
 #, gcc-internal-format, gfc-internal-format
@@ -39626,12 +39562,12 @@
 #: fortran/interface.c:1923
 #, gcc-internal-format, gfc-internal-format
 msgid "Actual argument to '%s' at %L must be polymorphic"
-msgstr ""
+msgstr "Đối số thực tế cho '%s' tại %L phải là một đa hình"
 
 #: fortran/interface.c:1931
 #, gcc-internal-format, gfc-internal-format
 msgid "Actual argument to '%s' at %L must have the same declared type"
-msgstr ""
+msgstr "Đối số thực tế cho '%s' tại %L phải là cùng một kiểu khai báo"
 
 #: fortran/interface.c:1946
 #, gcc-internal-format, gfc-internal-format
@@ -39641,7 +39577,7 @@
 #: fortran/interface.c:1957
 #, gcc-internal-format, gfc-internal-format
 msgid "Actual argument to '%s' at %L must be a coarray"
-msgstr ""
+msgstr "Đối số thực tế cho '%s' tại %L phải là một coarray"
 
 #: fortran/interface.c:1976
 #, gcc-internal-format, gfc-internal-format
@@ -39651,7 +39587,7 @@
 #: fortran/interface.c:1993
 #, gcc-internal-format, gfc-internal-format
 msgid "Actual argument to '%s' at %L must be simply contiguous"
-msgstr ""
+msgstr "Đối số thực tế cho '%s' tại %L phải là một kề nhau dạng đơn giản"
 
 #: fortran/interface.c:2007
 #, gcc-internal-format, gfc-internal-format
@@ -39776,7 +39712,7 @@
 #: fortran/interface.c:2642
 #, gcc-internal-format, gfc-internal-format
 msgid "Actual argument for '%s' must be a pointer at %L"
-msgstr ""
+msgstr "Đối số thực tế cho '%s' phải là một con trỏ tại %L"
 
 #: fortran/interface.c:2652
 #, gcc-internal-format, gfc-internal-format
@@ -39811,7 +39747,7 @@
 #: fortran/interface.c:2725
 #, gcc-internal-format, gfc-internal-format
 msgid "Actual argument for '%s' must be ALLOCATABLE at %L"
-msgstr ""
+msgstr "Đối số thực tế cho '%s' phải là một ALLOCATABLE tại %L"
 
 #: fortran/interface.c:2756
 #, gcc-internal-format, gfc-internal-format
@@ -39834,9 +39770,9 @@
 msgstr ""
 
 #: fortran/interface.c:2835
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Missing actual argument for argument '%s' at %L"
-msgstr ""
+msgstr "đối số cần thiết cho thẻ %s còn thiếu"
 
 #: fortran/interface.c:3021
 #, gcc-internal-format, gfc-internal-format
@@ -39936,7 +39872,7 @@
 #: fortran/interface.c:3996
 #, gcc-internal-format, gfc-internal-format
 msgid "Can't overwrite GENERIC '%s' at %L"
-msgstr ""
+msgstr "Không thể ghi đè GENERIC '%s' tại %L"
 
 #: fortran/interface.c:4008
 #, gcc-internal-format, gfc-internal-format
@@ -40056,7 +39992,7 @@
 #: fortran/intrinsic.c:4026
 #, gcc-internal-format, gfc-internal-format
 msgid "Intrinsic '%s' (is %s) is used at %L"
-msgstr ""
+msgstr "Intrinsic '%s' (là %s) được dùng tại %L"
 
 #: fortran/intrinsic.c:4097
 #, gcc-internal-format, gfc-internal-format
@@ -40074,14 +40010,14 @@
 msgstr ""
 
 #: fortran/intrinsic.c:4307
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Extension: Conversion from %s to %s at %L"
-msgstr ""
+msgstr "Không hỗ trợ chức năng chuyển đổi từ %s sang %s\n"
 
 #: fortran/intrinsic.c:4421
 #, gcc-internal-format, gfc-internal-format
 msgid "Can't convert %s to %s at %L"
-msgstr ""
+msgstr "Không thể chuyển đổi %s thành %s tại %L"
 
 #: fortran/intrinsic.c:4515
 #, gcc-internal-format, gfc-internal-format
@@ -40094,9 +40030,9 @@
 msgstr ""
 
 #: fortran/io.c:168 fortran/primary.c:871
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Extension: backslash character at %C"
-msgstr ""
+msgstr "Gặp một ký tự khác ASCII tại %s%s."
 
 #: fortran/io.c:204 fortran/io.c:207
 #, gcc-internal-format, gfc-internal-format
@@ -40105,27 +40041,23 @@
 
 #: fortran/io.c:455
 #, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "E specifier not allowed with g0 descriptor"
 msgid "DP format specifier not allowed at %C"
 msgstr "Dùng bộ mô tả g0 thì không cho phép bộ ghi rõ E"
 
 #: fortran/io.c:462
 #, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "E specifier not allowed with g0 descriptor"
 msgid "DC format specifier not allowed at %C"
 msgstr "Dùng bộ mô tả g0 thì không cho phép bộ ghi rõ E"
 
 #: fortran/io.c:651
 #, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "P descriptor requires leading scale factor"
 msgid "X descriptor requires leading space count at %L"
 msgstr "Bộ mô tả P yêu cầu hệ số tỷ lệ đi trước"
 
 #: fortran/io.c:681
-#, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "no description yet"
+#, gcc-internal-format, gfc-internal-format
 msgid "$ descriptor at %L"
-msgstr "chưa có mô tả"
+msgstr "$ mô tả tại %L"
 
 #: fortran/io.c:686
 #, gcc-internal-format, gfc-internal-format
@@ -40140,7 +40072,7 @@
 #: fortran/io.c:828
 #, gcc-internal-format, gfc-internal-format
 msgid "'G0' in format at %L"
-msgstr ""
+msgstr "'G0' trong định dạng tại %L"
 
 #: fortran/io.c:856
 #, gcc-internal-format, gfc-internal-format
@@ -40163,20 +40095,19 @@
 msgstr ""
 
 #: fortran/io.c:1061 fortran/io.c:1124
-#, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "missing path after %qs"
+#, gcc-internal-format, gfc-internal-format
 msgid "Missing comma at %L"
-msgstr "thiếu đường dẫn sau %qs"
+msgstr "Thiếu dấu phẩy tại %L"
 
 #: fortran/io.c:1143
 #, gcc-internal-format, gfc-internal-format
 msgid "%s in format string at %L"
-msgstr ""
+msgstr "%s trong chuỗi định dạng tại %L"
 
 #: fortran/io.c:1180
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Extraneous characters in format at %L"
-msgstr ""
+msgstr "Gặp yếu tố bất thường « %c » trong chuỗi định dạng tại %L"
 
 #: fortran/io.c:1202
 #, gcc-internal-format, gfc-internal-format
@@ -40186,17 +40117,17 @@
 #: fortran/io.c:1208
 #, gcc-internal-format, gfc-internal-format
 msgid "Missing format label at %C"
-msgstr ""
+msgstr "Thiếu nhãn định dạng tại %C"
 
 #: fortran/io.c:1263 fortran/io.c:1294 fortran/io.c:1359
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Invalid value for %s specification at %C"
-msgstr ""
+msgstr "%s: sai đặt giá trị giữ lại cho « --heap »"
 
 #: fortran/io.c:1269 fortran/io.c:1300
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Duplicate %s specification at %C"
-msgstr ""
+msgstr "đặc tả định dạng trùng -F%s\n"
 
 #: fortran/io.c:1307
 #, gcc-internal-format, gfc-internal-format
@@ -40209,9 +40140,9 @@
 msgstr ""
 
 #: fortran/io.c:1365
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Duplicate %s label specification at %C"
-msgstr ""
+msgstr "%s: bị lỗi ở dòng %d của đặc tả\n"
 
 #: fortran/io.c:1385
 #, gcc-internal-format, gfc-internal-format
@@ -40261,7 +40192,7 @@
 #: fortran/io.c:1480
 #, gcc-internal-format, gfc-internal-format
 msgid "%s tag at %L must be of type %s"
-msgstr ""
+msgstr "thẻ %s tại %L phải là kiểu %s"
 
 #: fortran/io.c:1487
 #, gcc-internal-format, gfc-internal-format
@@ -40271,12 +40202,12 @@
 #: fortran/io.c:1494
 #, gcc-internal-format, gfc-internal-format
 msgid "%s tag at %L must be scalar"
-msgstr ""
+msgstr "thẻ %s tại %L phải là scalar"
 
 #: fortran/io.c:1500
 #, gcc-internal-format, gfc-internal-format
 msgid "IOMSG tag at %L"
-msgstr ""
+msgstr "IOMSG tag tại %L"
 
 #: fortran/io.c:1508
 #, gcc-internal-format, gfc-internal-format
@@ -40289,14 +40220,14 @@
 msgstr ""
 
 #: fortran/io.c:1524
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "NEWUNIT specifier at %L"
-msgstr ""
+msgstr "(Ít nhất là 7 ngày)"
 
 #: fortran/io.c:1542
 #, gcc-internal-format, gfc-internal-format
 msgid "CONVERT tag at %L"
-msgstr ""
+msgstr "CONVERT tag tại %L"
 
 #: fortran/io.c:1728
 #, gcc-internal-format, gfc-internal-format
@@ -40394,20 +40325,19 @@
 msgstr ""
 
 #: fortran/io.c:2483
-#, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "in statement"
+#, gcc-internal-format, gfc-internal-format
 msgid "FLUSH statement at %C"
-msgstr "tại câu lệnh"
+msgstr "câu lệnh FLUSH tại %C"
 
 #: fortran/io.c:2539
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Duplicate UNIT specification at %C"
-msgstr ""
+msgstr "%s: bị lỗi ở dòng %d của đặc tả\n"
 
 #: fortran/io.c:2613
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Duplicate format specification at %C"
-msgstr ""
+msgstr "%s: bị lỗi ở dòng %d của đặc tả\n"
 
 #: fortran/io.c:2630
 #, gcc-internal-format, gfc-internal-format
@@ -40415,9 +40345,9 @@
 msgstr ""
 
 #: fortran/io.c:2666
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Duplicate NML specification at %C"
-msgstr ""
+msgstr "%s: bị lỗi ở dòng %d của đặc tả\n"
 
 #: fortran/io.c:2675
 #, gcc-internal-format, gfc-internal-format
@@ -40432,7 +40362,7 @@
 #: fortran/io.c:2817
 #, gcc-internal-format, gfc-internal-format
 msgid "UNIT not specified at %L"
-msgstr ""
+msgstr "UNIT không được chỉ ra tại %L"
 
 #: fortran/io.c:2829
 #, gcc-internal-format, gfc-internal-format
@@ -40485,9 +40415,9 @@
 msgstr ""
 
 #: fortran/io.c:3080
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in I/O iterator at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp trong biểu thức tại %C"
 
 #: fortran/io.c:3111
 #, gcc-internal-format, gfc-internal-format
@@ -40495,20 +40425,20 @@
 msgstr ""
 
 #: fortran/io.c:3117
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Expected expression in %s statement at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp trong biểu thức tại %C"
 
 #. A general purpose syntax error.
-#: fortran/io.c:3175 fortran/io.c:3774 fortran/gfortran.h:2496
-#, gcc-internal-format, gfc-internal-format
+#: fortran/io.c:3175 fortran/io.c:3774 fortran/gfortran.h:2506
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in %s statement at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp trong biểu thức tại %C"
 
 #: fortran/io.c:3260
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Internal file at %L with namelist"
-msgstr ""
+msgstr "« %s » thất bại ở tập tin « %s » tại %s:%d với lỗi: %s\n"
 
 #: fortran/io.c:3318
 #, gcc-internal-format, gfc-internal-format
@@ -40588,7 +40518,7 @@
 #: fortran/match.c:366
 #, gcc-internal-format, gfc-internal-format
 msgid "Integer too large at %C"
-msgstr ""
+msgstr "Số nguyên quá lớn tại %C"
 
 #: fortran/match.c:459 fortran/parse.c:692
 #, gcc-internal-format, gfc-internal-format
@@ -40613,12 +40543,12 @@
 #: fortran/match.c:535
 #, gcc-internal-format, gfc-internal-format
 msgid "Invalid character in name at %C"
-msgstr ""
+msgstr "Tên có chứa ký tự không hợp lệ tại %C"
 
 #: fortran/match.c:548
 #, gcc-internal-format, gfc-internal-format
 msgid "Name at %C is too long"
-msgstr ""
+msgstr "Tên tại %C quá dài"
 
 #: fortran/match.c:559
 #, gcc-internal-format, gfc-internal-format
@@ -40626,9 +40556,9 @@
 msgstr ""
 
 #: fortran/match.c:609 fortran/match.c:656
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Invalid C name in NAME= specifier at %C"
-msgstr ""
+msgstr "hậu tố chứa sự xác định chuyển đổi sai: %c"
 
 #: fortran/match.c:647
 #, gcc-internal-format, gfc-internal-format
@@ -40651,9 +40581,9 @@
 msgstr ""
 
 #: fortran/match.c:1023
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in iterator at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp trong biểu thức tại %C"
 
 #: fortran/match.c:1264
 #, gcc-internal-format, gfc-internal-format
@@ -40661,15 +40591,14 @@
 msgstr ""
 
 #: fortran/match.c:1394 fortran/match.c:1475
-#, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "Arithmetic NaN at %L"
+#, gcc-internal-format, gfc-internal-format
 msgid "Arithmetic IF statement at %C"
-msgstr "Số học NaN (không phải là một con số) tại %L"
+msgstr "Câu lệnh IF số học tại %C"
 
 #: fortran/match.c:1450
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in IF-expression at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp ở dòng %u : thiếu dấu hai chấm « : » trong « %s »"
 
 #: fortran/match.c:1461
 #, gcc-internal-format, gfc-internal-format
@@ -40692,9 +40621,9 @@
 msgstr ""
 
 #: fortran/match.c:1602
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in IF-clause at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp ở dòng %u : thiếu dấu hai chấm « : » trong « %s »"
 
 #: fortran/match.c:1646
 #, gcc-internal-format, gfc-internal-format
@@ -40722,29 +40651,29 @@
 msgstr ""
 
 #: fortran/match.c:1759
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "CRITICAL statement at %C"
-msgstr ""
+msgstr "(Ít nhất là 7 ngày)"
 
 #: fortran/match.c:1771
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Nested CRITICAL block at %C"
-msgstr ""
+msgstr "%s: Phát hiện vòng lặp tại khối %d."
 
 #: fortran/match.c:1823
 #, gcc-internal-format, gfc-internal-format
 msgid "Expected association list at %C"
-msgstr ""
+msgstr "Cần danh sách kết hợp tại %C"
 
 #: fortran/match.c:1836
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Expected association at %C"
-msgstr "Cần một loại biểu thức"
+msgstr "Cần kết hợp tại %C"
 
 #: fortran/match.c:1845
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Duplicate name '%s' in association at %C"
-msgstr ""
+msgstr "bắt đầu tại thành viên TÊN-THÀNH-VIÊN trong kho lưu"
 
 #: fortran/match.c:1853
 #, gcc-internal-format, gfc-internal-format
@@ -40754,7 +40683,7 @@
 #: fortran/match.c:1871
 #, gcc-internal-format, gfc-internal-format
 msgid "Expected ')' or ',' at %C"
-msgstr ""
+msgstr "Cần ')' hay ',' tại %C"
 
 #: fortran/match.c:1889
 #, gcc-internal-format, gfc-internal-format
@@ -40769,17 +40698,17 @@
 #: fortran/match.c:2021
 #, gcc-internal-format, gfc-internal-format
 msgid "Invalid type-spec at %C"
-msgstr ""
+msgstr "type-spec không hợp lệ tại %C"
 
 #: fortran/match.c:2115
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in FORALL iterator at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp ở dòng %u : thiếu dấu hai chấm « : » trong « %s »"
 
 #: fortran/match.c:2383
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "DO CONCURRENT construct at %C"
-msgstr ""
+msgstr " -e           không tạm dừng tại cuối tập tin\n"
 
 #: fortran/match.c:2509
 #, gcc-internal-format, gfc-internal-format
@@ -40874,14 +40803,13 @@
 
 #: fortran/match.c:2773
 #, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "in statement"
 msgid "PAUSE statement at %C"
-msgstr "tại câu lệnh"
+msgstr "(Ít nhất là 7 ngày)"
 
 #: fortran/match.c:2796
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "ERROR STOP statement at %C"
-msgstr ""
+msgstr "%s: lỗi phân tích tại dòng %d"
 
 #: fortran/match.c:2822
 #, gcc-internal-format, gfc-internal-format
@@ -40917,14 +40845,13 @@
 
 #: fortran/match.c:2982
 #, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "in statement"
 msgid "LOCK statement at %C"
-msgstr "tại câu lệnh"
+msgstr "(Ít nhất là 7 ngày)"
 
 #: fortran/match.c:2993
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "UNLOCK statement at %C"
-msgstr ""
+msgstr "(Ít nhất là 7 ngày)"
 
 #: fortran/match.c:3019
 #, gcc-internal-format, gfc-internal-format
@@ -40932,10 +40859,9 @@
 msgstr ""
 
 #: fortran/match.c:3026
-#, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "in statement"
+#, gcc-internal-format, gfc-internal-format
 msgid "SYNC statement at %C"
-msgstr "tại câu lệnh"
+msgstr "câu lệnh SYNC tại %C"
 
 #: fortran/match.c:3038
 #, gcc-internal-format, gfc-internal-format
@@ -40950,7 +40876,7 @@
 #: fortran/match.c:3224
 #, gcc-internal-format, gfc-internal-format
 msgid "ASSIGN statement at %C"
-msgstr ""
+msgstr "câu lệnh ASSIGN tại %C"
 
 #: fortran/match.c:3270
 #, gcc-internal-format, gfc-internal-format
@@ -40965,17 +40891,17 @@
 #: fortran/match.c:3380
 #, gcc-internal-format, gfc-internal-format
 msgid "Computed GOTO at %C"
-msgstr ""
+msgstr "Được tính toán GOTO tại %C"
 
 #: fortran/match.c:3453
 #, gcc-internal-format, gfc-internal-format
 msgid "Error in type-spec at %L"
-msgstr ""
+msgstr "Sai trong type-spec tại %L"
 
 #: fortran/match.c:3463
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "typespec in ALLOCATE at %L"
-msgstr ""
+msgstr "không mong đợi \" tại vị trí %d trong '%s' ."
 
 #: fortran/match.c:3505
 #, gcc-internal-format, gfc-internal-format
@@ -41015,12 +40941,12 @@
 #: fortran/match.c:3628
 #, gcc-internal-format, gfc-internal-format
 msgid "ERRMSG tag at %L"
-msgstr ""
+msgstr "ERRMSG tag tại %L"
 
 #: fortran/match.c:3652
 #, gcc-internal-format, gfc-internal-format
 msgid "SOURCE tag at %L"
-msgstr ""
+msgstr "SOURCE tag tại %L"
 
 #: fortran/match.c:3659
 #, gcc-internal-format, gfc-internal-format
@@ -41040,7 +40966,7 @@
 #: fortran/match.c:3690
 #, gcc-internal-format, gfc-internal-format
 msgid "MOLD tag at %L"
-msgstr ""
+msgstr "MOLD tag tại %L"
 
 #: fortran/match.c:3697
 #, gcc-internal-format, gfc-internal-format
@@ -41095,7 +41021,7 @@
 #: fortran/match.c:3965
 #, gcc-internal-format, gfc-internal-format
 msgid "ERRMSG at %L"
-msgstr ""
+msgstr "ERRMSG tại %L"
 
 #: fortran/match.c:4023
 #, gcc-internal-format, gfc-internal-format
@@ -41113,9 +41039,9 @@
 msgstr ""
 
 #: fortran/match.c:4043
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Alternate RETURN at %C"
-msgstr ""
+msgstr "(Ít nhất là 7 ngày)"
 
 #: fortran/match.c:4073
 #, gcc-internal-format, gfc-internal-format
@@ -41125,12 +41051,12 @@
 #: fortran/match.c:4101
 #, gcc-internal-format, gfc-internal-format
 msgid "Expected component reference at %C"
-msgstr ""
+msgstr "Cần tham chiếu thành phần tại %C"
 
 #: fortran/match.c:4107
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Junk after CALL at %C"
-msgstr ""
+msgstr "gặp rác tại kết thúc dòng"
 
 #: fortran/match.c:4117
 #, gcc-internal-format, gfc-internal-format
@@ -41232,9 +41158,8 @@
 
 #: fortran/match.c:4989
 #, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "In static member function %qs"
 msgid "Statement function at %C"
-msgstr "Trong hàm bộ phận tĩnh %qs"
+msgstr "Khẳng định (%s) tại %s:%d trong hàm %s() bị lỗi."
 
 #: fortran/match.c:5074
 #, gcc-internal-format, gfc-internal-format
@@ -41254,17 +41179,17 @@
 #: fortran/match.c:5466
 #, gcc-internal-format, gfc-internal-format
 msgid "Unexpected CASE statement at %C"
-msgstr ""
+msgstr "Không cần câu lệnh CASE tại %C"
 
 #: fortran/match.c:5518
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in CASE specification at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp ở dòng %u : thiếu dấu hai chấm « : » trong « %s »"
 
 #: fortran/match.c:5536
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Unexpected TYPE IS statement at %C"
-msgstr ""
+msgstr "LỖI NỘI BỘ ở %s:%d: gặp kiểu nút bất thường %d"
 
 #: fortran/match.c:5565
 #, gcc-internal-format, gfc-internal-format
@@ -41292,24 +41217,24 @@
 msgstr ""
 
 #: fortran/matchexp.c:72
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Bad character '%c' in OPERATOR name at %C"
-msgstr ""
+msgstr "máy in « %s » có tên chứa ký tự cấm ở « %s »"
 
 #: fortran/matchexp.c:80
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "The name '%s' cannot be used as a defined operator at %C"
-msgstr ""
+msgstr "không thể dùng « %s » như là tên vĩ lệnh vì nó là toán tử trong ngôn ngữ C++"
 
 #: fortran/matchexp.c:173
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Expected a right parenthesis in expression at %C"
-msgstr ""
+msgstr "Biểu thức sai trong eval (việc tính để kiểm tra) - thiếu ngoặc phải: %s"
 
 #: fortran/matchexp.c:279
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Expected exponent in expression at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp trong biểu thức tại %C"
 
 #: fortran/matchexp.c:317 fortran/matchexp.c:322 fortran/matchexp.c:426
 #: fortran/matchexp.c:431
@@ -41335,7 +41260,7 @@
 #: fortran/module.c:590
 #, gcc-internal-format, gfc-internal-format
 msgid "\"USE :: module\" at %C"
-msgstr ""
+msgstr "\"USE :: module\" tại %C"
 
 #: fortran/module.c:649
 #, gcc-internal-format, gfc-internal-format
@@ -41363,14 +41288,14 @@
 msgstr ""
 
 #: fortran/module.c:1020
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Module %s at line %d column %d: %s"
-msgstr ""
+msgstr "Bắt đầu trên dòng DÒNG, cột CỘT"
 
 #: fortran/module.c:1468
 #, gcc-internal-format, gfc-internal-format
 msgid "Error writing modules file: %s"
-msgstr ""
+msgstr "Gặp lỗi khi ghi tập tin môt-đun: %s"
 
 #: fortran/module.c:3413
 #, gcc-internal-format, gfc-internal-format
@@ -41405,28 +41330,28 @@
 #: fortran/module.c:5548
 #, gcc-internal-format, gfc-internal-format
 msgid "Error writing module file '%s' for writing: %s"
-msgstr ""
+msgstr "Gặp lỗi khi ghi tập tin môt-đun '%s' để ghi: %s"
 
 #: fortran/module.c:5557
 #, gcc-internal-format, gfc-internal-format
 msgid "Can't delete module file '%s': %s"
-msgstr ""
+msgstr "Không thể xóa tập tin mô-đun '%s': %s"
 
 #: fortran/module.c:5560
 #, gcc-internal-format, gfc-internal-format
 msgid "Can't rename module file '%s' to '%s': %s"
-msgstr ""
+msgstr "Không thể đổi tên tập tin '%s' thành '%s': %s"
 
 #: fortran/module.c:5566
 #, gcc-internal-format, gfc-internal-format
 msgid "Can't delete temporary module file '%s': %s"
-msgstr ""
+msgstr "Không thể xóa tập tin mô-đun tạm '%s': %s"
 
 #: fortran/module.c:5585 fortran/module.c:5797 fortran/module.c:5830
 #: fortran/module.c:5872
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' already declared"
-msgstr ""
+msgstr "Ký hiệu `%s' đã được khai báo"
 
 #: fortran/module.c:5689 fortran/module.c:5968
 #, gcc-internal-format, gfc-internal-format
@@ -41466,7 +41391,7 @@
 #: fortran/module.c:6156
 #, gcc-internal-format, gfc-internal-format
 msgid "ISO_C_BINDING module at %C"
-msgstr ""
+msgstr "mô đun ISO_C_BINDING tại %C"
 
 #: fortran/module.c:6169
 #, gcc-internal-format, gfc-internal-format
@@ -41499,9 +41424,9 @@
 msgstr ""
 
 #: fortran/openmp.c:133 fortran/openmp.c:595
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "COMMON block /%s/ not found at %C"
-msgstr ""
+msgstr "Khối thư mục ext2 không tìm thấy"
 
 #: fortran/openmp.c:164
 #, gcc-internal-format, gfc-internal-format
@@ -41601,7 +41526,7 @@
 #: fortran/openmp.c:885
 #, gcc-internal-format, gfc-internal-format
 msgid "Object '%s' is not a variable at %L"
-msgstr ""
+msgstr "Đối tượng '%s' không phải là một biến tại %L"
 
 #: fortran/openmp.c:894 fortran/openmp.c:905 fortran/openmp.c:913
 #: fortran/openmp.c:924
@@ -41752,7 +41677,7 @@
 #: fortran/openmp.c:1412
 #, gcc-internal-format, gfc-internal-format
 msgid "!$OMP ATOMIC assignment intrinsic must be MIN, MAX, IAND, IOR or IEOR at %L"
-msgstr ""
+msgstr "!$OMP ATOMIC phân bổ bên trong phải là MIN, MAX, IAND, IOR hay IEOR tại %L"
 
 #: fortran/openmp.c:1428
 #, gcc-internal-format, gfc-internal-format
@@ -41782,12 +41707,12 @@
 #: fortran/openmp.c:1661
 #, gcc-internal-format, gfc-internal-format
 msgid "!$OMP DO cannot be a DO WHILE or DO without loop control at %L"
-msgstr ""
+msgstr "!$OMP DO không thể là một vòng lặp DO WHILE hay DO mà không có điều khiển lặp tại %L"
 
 #: fortran/openmp.c:1667
 #, gcc-internal-format, gfc-internal-format
 msgid "!$OMP DO iteration variable must be of type integer at %L"
-msgstr ""
+msgstr "!$OMP DO biến lặp phải là kiểu nguyên tại %L"
 
 #: fortran/openmp.c:1671
 #, gcc-internal-format, gfc-internal-format
@@ -41820,9 +41745,9 @@
 msgstr ""
 
 #: fortran/options.c:359
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Reading file '%s' as free form"
-msgstr ""
+msgstr "Giả sử là tập tin nguồn có dạng tự do"
 
 #: fortran/options.c:369
 #, gcc-internal-format
@@ -41842,12 +41767,12 @@
 #: fortran/options.c:393
 #, gcc-internal-format
 msgid "Flag -fno-automatic overwrites -frecursive"
-msgstr ""
+msgstr "Cờ -fno-automatic đè lên -frecursive"
 
 #: fortran/options.c:395
 #, gcc-internal-format
 msgid "Flag -fno-automatic overwrites -frecursive implied by -fopenmp"
-msgstr ""
+msgstr "Cờ -fno-automatic đè lên -frecursive mặc nhiên bởi -fopenmp"
 
 #: fortran/options.c:399
 #, gcc-internal-format, gfc-internal-format
@@ -41862,22 +41787,22 @@
 #: fortran/options.c:496
 #, gcc-internal-format
 msgid "gfortran: Only one -J option allowed"
-msgstr ""
+msgstr "gfortran: chir cho phép một tùy chọn -J"
 
 #: fortran/options.c:542
 #, gcc-internal-format, gfc-internal-format
 msgid "Argument to -ffpe-trap is not valid: %s"
-msgstr ""
+msgstr "Đối số cho -ffpe-trap không hợp lệ: %s"
 
 #: fortran/options.c:557
 #, gcc-internal-format, gfc-internal-format
 msgid "Argument to -fcoarray is not valid: %s"
-msgstr ""
+msgstr "Đối số cho -fcoarray không hợp lệ: %s"
 
 #: fortran/options.c:595
 #, gcc-internal-format, gfc-internal-format
 msgid "Argument to -fcheck is not valid: %s"
-msgstr ""
+msgstr "Đối số cho -fcheck không hợp lệ: %s"
 
 #: fortran/options.c:800
 #, gcc-internal-format
@@ -41892,7 +41817,7 @@
 #: fortran/options.c:836
 #, gcc-internal-format
 msgid "-static-libgfortran is not supported in this configuration"
-msgstr ""
+msgstr "-static-libgfortran không được hỗ trợ trong cấu hình này"
 
 #: fortran/options.c:891
 #, gcc-internal-format, gfc-internal-format
@@ -41920,9 +41845,9 @@
 msgstr ""
 
 #: fortran/parse.c:519
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Unclassifiable statement at %C"
-msgstr ""
+msgstr "(Ít nhất là 7 ngày)"
 
 #: fortran/parse.c:541
 #, gcc-internal-format, gfc-internal-format
@@ -41930,14 +41855,14 @@
 msgstr ""
 
 #: fortran/parse.c:627
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Unclassifiable OpenMP directive at %C"
-msgstr ""
+msgstr "gặp hiệu bài thêm tại kết thúc của chỉ thị #%s"
 
 #: fortran/parse.c:653
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Unclassifiable GCC directive at %C"
-msgstr ""
+msgstr "gặp chỉ thị \"#pragma GCC %s\" không hợp lệ"
 
 #: fortran/parse.c:695 fortran/parse.c:869
 #, gcc-internal-format, gfc-internal-format
@@ -41965,9 +41890,9 @@
 msgstr ""
 
 #: fortran/parse.c:847 fortran/parse.c:888
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Bad continuation line at %C"
-msgstr ""
+msgstr "%s: lỗi phân tích tại dòng %d"
 
 #: fortran/parse.c:1151
 #, gcc-internal-format, gfc-internal-format
@@ -41975,19 +41900,19 @@
 msgstr ""
 
 #: fortran/parse.c:1757
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Unexpected %s statement at %C"
-msgstr ""
+msgstr "gặp khai báo khối bất thường"
 
 #: fortran/parse.c:1904
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "%s statement at %C cannot follow %s statement at %L"
-msgstr ""
+msgstr "không thể theo sau %s theo tên"
 
 #: fortran/parse.c:1921
 #, gcc-internal-format, gfc-internal-format
 msgid "Unexpected end of file in '%s'"
-msgstr ""
+msgstr "Gặp kết thúc tập tin bất thường trong '%s'"
 
 #: fortran/parse.c:1953
 #, gcc-internal-format, gfc-internal-format
@@ -42005,14 +41930,14 @@
 msgstr ""
 
 #: fortran/parse.c:1980
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Type-bound procedure at %C"
-msgstr ""
+msgstr "kiểu đối tượng không khớp tại %s"
 
 #: fortran/parse.c:1989
 #, gcc-internal-format, gfc-internal-format
 msgid "GENERIC binding at %C"
-msgstr ""
+msgstr "GENERIC ràng buộc tại %C"
 
 #: fortran/parse.c:1999
 #, fuzzy, gcc-internal-format, gfc-internal-format
@@ -42075,9 +42000,9 @@
 msgstr ""
 
 #: fortran/parse.c:2160
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Duplicate SEQUENCE statement at %C"
-msgstr ""
+msgstr "Dãy UTF-8 không hợp lệ tại vị trí %ld."
 
 #: fortran/parse.c:2170
 #, gcc-internal-format, gfc-internal-format
@@ -42220,16 +42145,14 @@
 msgstr ""
 
 #: fortran/parse.c:3342
-#, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "In constructor %qs"
+#, gcc-internal-format, gfc-internal-format
 msgid "BLOCK construct at %C"
-msgstr "Trong bộ dựng %qs"
+msgstr "cấu trúc BLOCK tại %C"
 
 #: fortran/parse.c:3372
-#, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "In constructor %qs"
+#, gcc-internal-format, gfc-internal-format
 msgid "ASSOCIATE construct at %C"
-msgstr "Trong bộ dựng %qs"
+msgstr "cấu trúc ASSOCIATE tại %C"
 
 #: fortran/parse.c:3472
 #, gcc-internal-format, gfc-internal-format
@@ -42297,9 +42220,9 @@
 msgstr ""
 
 #: fortran/parse.c:4324
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Unexpected %s statement in MODULE at %C"
-msgstr ""
+msgstr "Gặp yếu tố bất thường « %c » trong chuỗi định dạng tại %L"
 
 #. If we see a duplicate main program, shut down.  If the second
 #. instance is an implied main program, i.e. data decls or executable
@@ -42310,9 +42233,9 @@
 msgstr ""
 
 #: fortran/primary.c:105
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Missing kind-parameter at %C"
-msgstr ""
+msgstr "\t\tKiểu Tab=%d tại %.0f\n"
 
 #: fortran/primary.c:232
 #, gcc-internal-format, gfc-internal-format
@@ -42327,7 +42250,7 @@
 #: fortran/primary.c:270
 #, gcc-internal-format, gfc-internal-format
 msgid "Hollerith constant at %C"
-msgstr ""
+msgstr "hằng Hollerith tại %C"
 
 #: fortran/primary.c:282
 #, gcc-internal-format, gfc-internal-format
@@ -42355,9 +42278,9 @@
 msgstr ""
 
 #: fortran/primary.c:410
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Illegal character in BOZ constant at %C"
-msgstr ""
+msgstr "máy in « %s » có tên chứa ký tự cấm ở « %s »"
 
 #: fortran/primary.c:433
 #, gcc-internal-format, gfc-internal-format
@@ -42405,9 +42328,9 @@
 msgstr ""
 
 #: fortran/primary.c:714
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Invalid real kind %d at %C"
-msgstr ""
+msgstr "\t\tKiểu Tab=%d tại %.0f\n"
 
 #: fortran/primary.c:729
 #, gcc-internal-format, gfc-internal-format
@@ -42420,9 +42343,9 @@
 msgstr ""
 
 #: fortran/primary.c:826
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in SUBSTRING specification at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp ở dòng %u : thiếu dấu hai chấm « : » trong « %s »"
 
 #: fortran/primary.c:1038
 #, gcc-internal-format, gfc-internal-format
@@ -42470,9 +42393,9 @@
 msgstr ""
 
 #: fortran/primary.c:1378
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in COMPLEX constant at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp ở dòng %u : thiếu dấu hai chấm « : » trong « %s »"
 
 #: fortran/primary.c:1585
 #, gcc-internal-format, gfc-internal-format
@@ -42481,9 +42404,8 @@
 
 #: fortran/primary.c:1649
 #, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "too few arguments to function %q#D"
 msgid "argument list function at %C"
-msgstr "quá ít đối số cho hàm %q#D"
+msgstr "Hiện danh sách người dùng ở :"
 
 #: fortran/primary.c:1718
 #, gcc-internal-format, gfc-internal-format
@@ -42496,9 +42418,9 @@
 msgstr ""
 
 #: fortran/primary.c:1782
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in argument list at %C"
-msgstr ""
+msgstr "Gặp lỗi cú pháp ở dòng %u : thiếu dấu hai chấm « : » trong « %s »"
 
 #: fortran/primary.c:1841
 #, gcc-internal-format, gfc-internal-format
@@ -42512,9 +42434,8 @@
 
 #: fortran/primary.c:1916
 #, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "Symbol '%s' at %C is ambiguous"
 msgid "Symbol '%s' at %C has no IMPLICIT type"
-msgstr "Ký hiệu '%s' tại %C chưa rõ ràng"
+msgstr "$$ cho quy tắc giữa ở $%d của « %s » không có kiểu được khai báo"
 
 #: fortran/primary.c:1922
 #, gcc-internal-format, gfc-internal-format
@@ -42529,7 +42450,7 @@
 #: fortran/primary.c:1989
 #, gcc-internal-format, gfc-internal-format
 msgid "Expected argument list at %C"
-msgstr ""
+msgstr "Cần danh sách đối số tại %C"
 
 #: fortran/primary.c:2020
 #, gcc-internal-format, gfc-internal-format
@@ -42604,12 +42525,12 @@
 #: fortran/primary.c:2898
 #, gcc-internal-format, gfc-internal-format
 msgid "Function '%s' requires an argument list at %C"
-msgstr ""
+msgstr "Hàm '%s' yêu cầu một danh sách đối số tại %C"
 
 #: fortran/primary.c:2948
 #, gcc-internal-format, gfc-internal-format
 msgid "Missing argument to '%s' at %C"
-msgstr ""
+msgstr "Thiếu đối số đối cho '%s' tại %C"
 
 #: fortran/primary.c:3107
 #, gcc-internal-format, gfc-internal-format
@@ -42629,17 +42550,17 @@
 #: fortran/primary.c:3274
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %C is not a variable"
-msgstr ""
+msgstr "'%s' tại %C không phải là một biến"
 
 #: fortran/resolve.c:125
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L is of the ABSTRACT type '%s'"
-msgstr ""
+msgstr "'%s' tại %L là của kiểu TRỪU TƯỢNG '%s'"
 
 #: fortran/resolve.c:128
 #, gcc-internal-format, gfc-internal-format
 msgid "ABSTRACT type '%s' used at %L"
-msgstr ""
+msgstr "kiểu ABSTRACT '%s' được dùng tại %L"
 
 #: fortran/resolve.c:145
 #, gcc-internal-format, gfc-internal-format
@@ -42664,7 +42585,7 @@
 #: fortran/resolve.c:180
 #, gcc-internal-format, gfc-internal-format
 msgid "Interface '%s' at %L must be explicit"
-msgstr ""
+msgstr "Giao diện '%s' tại %L phải rõ ràng"
 
 #: fortran/resolve.c:202
 #, gcc-internal-format, gfc-internal-format
@@ -42904,7 +42825,7 @@
 #: fortran/resolve.c:1458
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L is ambiguous"
-msgstr ""
+msgstr "'%s' tại %L là chưa rõ ràng"
 
 #: fortran/resolve.c:1462
 #, gcc-internal-format, gfc-internal-format
@@ -42969,7 +42890,7 @@
 #: fortran/resolve.c:1799
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %L is ambiguous"
-msgstr ""
+msgstr "Ký hiệu '%s' tại %L chưa rõ ràng"
 
 #: fortran/resolve.c:1854
 #, gcc-internal-format, gfc-internal-format
@@ -43096,15 +43017,15 @@
 msgid "Unable to resolve the specific function '%s' at %L"
 msgstr ""
 
-#: fortran/resolve.c:2630 fortran/resolve.c:14732
-#, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:2630 fortran/resolve.c:14734
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Function '%s' at %L has no IMPLICIT type"
-msgstr ""
+msgstr "$$ cho quy tắc giữa ở $%d của « %s » không có kiểu được khai báo"
 
 #: fortran/resolve.c:2830
 #, gcc-internal-format, gfc-internal-format
 msgid "Argument to '%s' at %L is not a variable"
-msgstr ""
+msgstr "Đối số cho '%s' tại %L không phải là một biến"
 
 #: fortran/resolve.c:2874
 #, gcc-internal-format, gfc-internal-format
@@ -43114,7 +43035,7 @@
 #: fortran/resolve.c:2886
 #, gcc-internal-format, gfc-internal-format
 msgid "Parameter '%s' to '%s' at %L must be either a TARGET or an associated pointer"
-msgstr ""
+msgstr "Đối số '%s' tới '%s' tại %L phải hoặc là ĐÍCH hoặc là một con trỏ kết giao "
 
 #: fortran/resolve.c:2895
 #, gcc-internal-format, gfc-internal-format
@@ -43127,9 +43048,9 @@
 msgstr ""
 
 #: fortran/resolve.c:2929
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Array section in '%s' call at %L"
-msgstr ""
+msgstr "Danh sách vị trí trong phần %s bắt đầu tại 0x%s\n"
 
 #: fortran/resolve.c:2948
 #, gcc-internal-format, gfc-internal-format
@@ -43147,9 +43068,9 @@
 msgstr ""
 
 #: fortran/resolve.c:2998 fortran/resolve.c:3035
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "CHARACTER argument '%s' to '%s' at %L must have a length of 1"
-msgstr ""
+msgstr "đối số cho <%s> phải là một ký tự riêng lẻ"
 
 #. Case 1c, section 15.1.2.5, J3/04-007: an associated
 #. scalar pointer.
@@ -43161,29 +43082,29 @@
 #: fortran/resolve.c:3027
 #, gcc-internal-format, gfc-internal-format
 msgid "Parameter '%s' to '%s' at %L must be a scalar"
-msgstr ""
+msgstr "Đối số '%s' tới '%s' tại %L phải là một scalar"
 
 #: fortran/resolve.c:3043
 #, gcc-internal-format, gfc-internal-format
 msgid "Parameter '%s' to '%s' at %L must not be polymorphic"
-msgstr ""
+msgstr "Đối số '%s' tới '%s' tại %L phải là đa hình"
 
 #. TODO: Update this error message to allow for procedure
 #. pointers once they are implemented.
 #: fortran/resolve.c:3056
 #, gcc-internal-format, gfc-internal-format
 msgid "Argument '%s' to '%s' at %L must be a procedure"
-msgstr ""
+msgstr "Đối số '%s' tới '%s' tại %L phải là một thủ tục"
 
 #: fortran/resolve.c:3063
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Noninteroperable argument '%s' to '%s' at %L"
-msgstr ""
+msgstr "kết nối tới máy phục vụ ở %s"
 
 #: fortran/resolve.c:3111
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L is not a function"
-msgstr ""
+msgstr "'%s' tại %L không phải là một hàm"
 
 #: fortran/resolve.c:3119 fortran/resolve.c:3793
 #, gcc-internal-format, gfc-internal-format
@@ -43332,9 +43253,9 @@
 msgstr ""
 
 #: fortran/resolve.c:4445
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Illegal stride of zero at %L"
-msgstr ""
+msgstr "Chia cho không tại %L"
 
 #: fortran/resolve.c:4462
 #, gcc-internal-format, gfc-internal-format
@@ -43387,9 +43308,9 @@
 msgstr ""
 
 #: fortran/resolve.c:4608
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "REAL array index at %L"
-msgstr ""
+msgstr "KDGKBSENT lỗi tại chỉ mục %d: "
 
 #: fortran/resolve.c:4647
 #, gcc-internal-format, gfc-internal-format
@@ -43402,9 +43323,9 @@
 msgstr ""
 
 #: fortran/resolve.c:4764
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Array index at %L is an array of rank %d"
-msgstr ""
+msgstr "%s:%d: lỗi: chỉ mục tham chiếu mảng không phải số nguyên\n"
 
 #: fortran/resolve.c:4862
 #, gcc-internal-format, gfc-internal-format
@@ -43543,28 +43464,27 @@
 #: fortran/resolve.c:6063
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L should be a SUBROUTINE"
-msgstr ""
+msgstr "'%s' tại %L phải là một THỦ TỤC CON"
 
 #: fortran/resolve.c:6110
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L should be a FUNCTION"
-msgstr ""
+msgstr "'%s' tại %L phải là một HÀM"
 
 #: fortran/resolve.c:6640
 #, gcc-internal-format, gfc-internal-format
 msgid "%s at %L must be a scalar"
-msgstr ""
+msgstr "%s tại %L phải là một scalar"
 
 #: fortran/resolve.c:6650
-#, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "index must be integer"
+#, gcc-internal-format, gfc-internal-format
 msgid "%s at %L must be integer"
-msgstr "chỉ số phải là số nguyên"
+msgstr "%s tại %L phải là số nguyên"
 
 #: fortran/resolve.c:6654 fortran/resolve.c:6661
 #, gcc-internal-format, gfc-internal-format
 msgid "%s at %L must be INTEGER"
-msgstr ""
+msgstr "%s tại %L phải là SỐ-NGUYÊN"
 
 #: fortran/resolve.c:6705
 #, gcc-internal-format, gfc-internal-format
@@ -43612,9 +43532,9 @@
 msgstr ""
 
 #: fortran/resolve.c:6948 fortran/resolve.c:7193
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Coindexed allocatable object at %L"
-msgstr ""
+msgstr "kiểu đối tượng không khớp tại %s"
 
 #: fortran/resolve.c:7053
 #, gcc-internal-format, gfc-internal-format
@@ -43712,18 +43632,18 @@
 msgstr ""
 
 #: fortran/resolve.c:7617 fortran/resolve.c:7623
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Allocate-object at %L is subobject of object at %L"
-msgstr ""
+msgstr "%s: bộ phạn tại %zu không phải là đối tượng ELF"
 
 #. The cases overlap, or they are the same
 #. element in the list.  Either way, we must
 #. issue an error and get the next case from P.
 #. FIXME: Sort P and Q by line number.
 #: fortran/resolve.c:7827
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "CASE label at %L overlaps with CASE label at %L"
-msgstr ""
+msgstr "Trình mồi đè lên nhau với nhãn đĩa.\n"
 
 #: fortran/resolve.c:7878
 #, gcc-internal-format, gfc-internal-format
@@ -43817,9 +43737,8 @@
 
 #: fortran/resolve.c:8414
 #, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "expected numeric type"
 msgid "Unexpected intrinsic type '%s' at %L"
-msgstr "cần kiểu số"
+msgstr "LỖI NỘI BỘ ở %s:%d: gặp kiểu nút bất thường %d"
 
 #: fortran/resolve.c:8423
 #, gcc-internal-format, gfc-internal-format
@@ -44148,24 +44067,24 @@
 msgstr ""
 
 #: fortran/resolve.c:11334
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Allocatable '%s' at %L cannot have an initializer"
-msgstr ""
+msgstr "%s: không thể đọc phần đầu ở 0x%x\n"
 
 #: fortran/resolve.c:11337
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "External '%s' at %L cannot have an initializer"
-msgstr ""
+msgstr "%s: không thể đọc phần đầu ở 0x%x\n"
 
 #: fortran/resolve.c:11341
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Dummy '%s' at %L cannot have an initializer"
-msgstr ""
+msgstr "%s: không thể đọc phần đầu ở 0x%x\n"
 
 #: fortran/resolve.c:11344
 #, gcc-internal-format, gfc-internal-format
 msgid "Intrinsic '%s' at %L cannot have an initializer"
-msgstr ""
+msgstr "Intrinsic '%s' tại %L không thể có một bộ khởi tạo"
 
 #: fortran/resolve.c:11347
 #, gcc-internal-format, gfc-internal-format
@@ -44195,7 +44114,7 @@
 #: fortran/resolve.c:11479
 #, gcc-internal-format, gfc-internal-format
 msgid "Function '%s' at %L cannot have an initializer"
-msgstr ""
+msgstr "Hàm '%s' tại %L không thể có bộ khởi tạo"
 
 #: fortran/resolve.c:11488
 #, gcc-internal-format, gfc-internal-format
@@ -44215,27 +44134,27 @@
 #: fortran/resolve.c:11525
 #, gcc-internal-format, gfc-internal-format
 msgid "CHARACTER(*) function '%s' at %L cannot be array-valued"
-msgstr ""
+msgstr "hàm CHARACTER(*) '%s' tại %L không thể là giá trị mảng"
 
 #: fortran/resolve.c:11529
 #, gcc-internal-format, gfc-internal-format
 msgid "CHARACTER(*) function '%s' at %L cannot be pointer-valued"
-msgstr ""
+msgstr "hàm CHARACTER(*) '%s' tại %L không thể là giá trị con trỏ"
 
 #: fortran/resolve.c:11533
 #, gcc-internal-format, gfc-internal-format
 msgid "CHARACTER(*) function '%s' at %L cannot be pure"
-msgstr ""
+msgstr "hàm CHARACTER(*) '%s' tại %L không thể là pure"
 
 #: fortran/resolve.c:11537
 #, gcc-internal-format, gfc-internal-format
 msgid "CHARACTER(*) function '%s' at %L cannot be recursive"
-msgstr ""
+msgstr "hàm CHARACTER(*) '%s' tại %L không thể là đệ quy"
 
 #: fortran/resolve.c:11550
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "CHARACTER(*) function '%s' at %L"
-msgstr "gặp lỗi trong các đối số tới hàm đặc tả '%s'"
+msgstr "hàm CHARACTER(*) '%s' tại %L"
 
 #: fortran/resolve.c:11604
 #, gcc-internal-format, gfc-internal-format
@@ -44314,9 +44233,9 @@
 
 #. TODO:  Remove this error when finalization is finished.
 #: fortran/resolve.c:11791
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Finalization at %L is not yet implemented"
-msgstr ""
+msgstr "tái định vị 0x%x vẫn chưa được thực hiện"
 
 #: fortran/resolve.c:11823
 #, gcc-internal-format, gfc-internal-format
@@ -44389,9 +44308,9 @@
 msgstr ""
 
 #: fortran/resolve.c:12315
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Procedure '%s' at %L has the same name as a component of '%s'"
-msgstr ""
+msgstr "Cảnh báo nếu một thủ tục người dùng có cùng một tên với một điều thực chất"
 
 #: fortran/resolve.c:12324
 #, gcc-internal-format, gfc-internal-format
@@ -44508,420 +44427,417 @@
 msgid "Component '%s' with CLASS at %L must be allocatable or pointer"
 msgstr ""
 
-#: fortran/resolve.c:12934
+#: fortran/resolve.c:12936
 #, gcc-internal-format, gfc-internal-format
 msgid "Generic name '%s' of function '%s' at %L being the same name as derived type at %L"
 msgstr ""
 
-#: fortran/resolve.c:12990
+#: fortran/resolve.c:12992
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed size array '%s' in namelist '%s' at %L is not allowed"
 msgstr ""
 
-#: fortran/resolve.c:12996
+#: fortran/resolve.c:12998
 #, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST array object '%s' with assumed shape in namelist '%s' at %L"
 msgstr ""
 
-#: fortran/resolve.c:13003
+#: fortran/resolve.c:13005
 #, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST array object '%s' with nonconstant shape in namelist '%s' at %L"
 msgstr ""
 
-#: fortran/resolve.c:13012
+#: fortran/resolve.c:13014
 #, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST object '%s' with nonconstant character length in namelist '%s' at %L"
 msgstr ""
 
-#: fortran/resolve.c:13022
+#: fortran/resolve.c:13024
 #, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST object '%s' in namelist '%s' at %L is polymorphic and requires a defined input/output procedure"
 msgstr ""
 
-#: fortran/resolve.c:13032
+#: fortran/resolve.c:13034
 #, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST object '%s' in namelist '%s' at %L with ALLOCATABLE or POINTER components"
 msgstr ""
 
 #. FIXME: Once UDDTIO is implemented, the following can be
 #. removed.
-#: fortran/resolve.c:13040
+#: fortran/resolve.c:13042
 #, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST object '%s' in namelist '%s' at %L has ALLOCATABLE or POINTER components and thus requires a defined input/output procedure"
 msgstr ""
 
-#: fortran/resolve.c:13057
+#: fortran/resolve.c:13059
 #, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST object '%s' was declared PRIVATE and cannot be member of PUBLIC namelist '%s' at %L"
 msgstr ""
 
-#: fortran/resolve.c:13067
+#: fortran/resolve.c:13069
 #, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST object '%s' has use-associated PRIVATE components and cannot be member of namelist '%s' at %L"
 msgstr ""
 
-#: fortran/resolve.c:13078
+#: fortran/resolve.c:13080
 #, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST object '%s' has PRIVATE components and cannot be a member of PUBLIC namelist '%s' at %L"
 msgstr ""
 
-#: fortran/resolve.c:13105
+#: fortran/resolve.c:13107
 #, gcc-internal-format, gfc-internal-format
 msgid "PROCEDURE attribute conflicts with NAMELIST attribute in '%s' at %L"
 msgstr ""
 
-#: fortran/resolve.c:13124
+#: fortran/resolve.c:13126
 #, gcc-internal-format, gfc-internal-format
 msgid "Parameter array '%s' at %L cannot be automatic or of deferred shape"
 msgstr ""
 
-#: fortran/resolve.c:13136
+#: fortran/resolve.c:13138
 #, gcc-internal-format, gfc-internal-format
 msgid "Implicitly typed PARAMETER '%s' at %L doesn't match a later IMPLICIT type"
 msgstr ""
 
-#: fortran/resolve.c:13147
+#: fortran/resolve.c:13149
 #, gcc-internal-format, gfc-internal-format
 msgid "Incompatible derived type in PARAMETER at %L"
 msgstr ""
 
-#: fortran/resolve.c:13230
+#: fortran/resolve.c:13232
 #, gcc-internal-format, gfc-internal-format
 msgid "PROTECTED attribute conflicts with EXTERNAL attribute at %L"
 msgstr ""
 
-#: fortran/resolve.c:13233
+#: fortran/resolve.c:13235
 #, gcc-internal-format, gfc-internal-format
 msgid "PROCEDURE attribute conflicts with PROTECTED attribute at %L"
 msgstr ""
 
-#: fortran/resolve.c:13322
+#: fortran/resolve.c:13324
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L has the CONTIGUOUS attribute but is not an array pointer or an assumed-shape or assumed-rank array"
 msgstr ""
 
-#: fortran/resolve.c:13340
+#: fortran/resolve.c:13342
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed size array at %L must be a dummy argument"
 msgstr ""
 
-#: fortran/resolve.c:13343
+#: fortran/resolve.c:13345
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed shape array at %L must be a dummy argument"
 msgstr ""
 
-#: fortran/resolve.c:13351
+#: fortran/resolve.c:13353
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed-rank array at %L must be a dummy argument"
 msgstr ""
 
-#: fortran/resolve.c:13358
+#: fortran/resolve.c:13360
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed-rank array at %L may not have the VALUE or CODIMENSION attribute"
 msgstr ""
 
-#: fortran/resolve.c:13371
+#: fortran/resolve.c:13373
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol at %L is not a DUMMY variable"
 msgstr ""
 
-#: fortran/resolve.c:13377
+#: fortran/resolve.c:13379
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L cannot have the VALUE attribute because it is not a dummy argument"
 msgstr ""
 
-#: fortran/resolve.c:13387
+#: fortran/resolve.c:13389
 #, gcc-internal-format, gfc-internal-format
 msgid "Character dummy variable '%s' at %L with VALUE attribute must have constant length"
 msgstr ""
 
-#: fortran/resolve.c:13396
+#: fortran/resolve.c:13398
 #, gcc-internal-format, gfc-internal-format
 msgid "C interoperable character dummy variable '%s' at %L with VALUE attribute must have length one"
 msgstr ""
 
-#: fortran/resolve.c:13409 fortran/resolve.c:13522
+#: fortran/resolve.c:13411 fortran/resolve.c:13524
 #, gcc-internal-format, gfc-internal-format
 msgid "The derived type '%s' at %L is of type '%s', which has not been defined"
 msgstr ""
 
-#: fortran/resolve.c:13422
+#: fortran/resolve.c:13424
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed type of variable %s at %L is only permitted for dummy variables"
 msgstr ""
 
-#: fortran/resolve.c:13429
+#: fortran/resolve.c:13431
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed-type variable %s at %L may not have the ALLOCATABLE, CODIMENSION, POINTER or VALUE attribute"
 msgstr ""
 
-#: fortran/resolve.c:13436
+#: fortran/resolve.c:13438
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed-type variable %s at %L may not have the INTENT(OUT) attribute"
 msgstr ""
 
-#: fortran/resolve.c:13443
+#: fortran/resolve.c:13445
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed-type variable %s at %L shall not be an explicit-shape array"
 msgstr ""
 
-#: fortran/resolve.c:13468
+#: fortran/resolve.c:13470
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L cannot be BIND(C) because it is neither a COMMON block nor declared at the module level scope"
 msgstr ""
 
-#: fortran/resolve.c:13548
+#: fortran/resolve.c:13550
 #, gcc-internal-format, gfc-internal-format
 msgid "PUBLIC %s '%s' at %L of PRIVATE derived type '%s'"
 msgstr ""
 
-#: fortran/resolve.c:13562
+#: fortran/resolve.c:13564
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable %s at %L of type LOCK_TYPE or with subcomponent of type LOCK_TYPE must be a coarray"
 msgstr ""
 
-#: fortran/resolve.c:13580
+#: fortran/resolve.c:13582
 #, gcc-internal-format, gfc-internal-format
 msgid "The INTENT(OUT) dummy argument '%s' at %L is ASSUMED SIZE and so cannot have a default initializer"
 msgstr ""
 
-#: fortran/resolve.c:13592
+#: fortran/resolve.c:13594
 #, gcc-internal-format, gfc-internal-format
 msgid "Dummy argument '%s' at %L of LOCK_TYPE shall not be INTENT(OUT)"
-msgstr ""
+msgstr "Đối số giả '%s' tại %L của LOCK_TYPE không thể là INTENT(OUT)"
 
-#: fortran/resolve.c:13604
+#: fortran/resolve.c:13606
 #, gcc-internal-format, gfc-internal-format
 msgid "Function result '%s' at %L shall not be a coarray or have a coarray component"
 msgstr ""
 
-#: fortran/resolve.c:13613
+#: fortran/resolve.c:13615
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L of TYPE(C_PTR) or TYPE(C_FUNPTR) shall not be a coarray"
 msgstr ""
 
-#: fortran/resolve.c:13625
+#: fortran/resolve.c:13627
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L with coarray component shall be a nonpointer, nonallocatable scalar"
 msgstr ""
 
-#: fortran/resolve.c:13640
+#: fortran/resolve.c:13642
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L is a coarray and is not ALLOCATABLE, SAVE nor a dummy argument"
 msgstr ""
 
-#: fortran/resolve.c:13648
+#: fortran/resolve.c:13650
 #, gcc-internal-format, gfc-internal-format
 msgid "Coarray variable '%s' at %L shall not have codimensions with deferred shape"
 msgstr ""
 
-#: fortran/resolve.c:13655
+#: fortran/resolve.c:13657
 #, gcc-internal-format, gfc-internal-format
 msgid "Allocatable coarray variable '%s' at %L must have deferred shape"
 msgstr ""
 
-#: fortran/resolve.c:13667
+#: fortran/resolve.c:13669
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L is INTENT(OUT) and can thus not be an allocatable coarray or have coarray components"
 msgstr ""
 
-#: fortran/resolve.c:13676
+#: fortran/resolve.c:13678
 #, gcc-internal-format, gfc-internal-format
 msgid "Coarray dummy variable '%s' at %L not allowed in BIND(C) procedure '%s'"
 msgstr ""
 
-#: fortran/resolve.c:13692
+#: fortran/resolve.c:13694
 #, gcc-internal-format, gfc-internal-format
 msgid "LOGICAL dummy argument '%s' at %L with non-C_Bool kind in BIND(C) procedure '%s'"
 msgstr ""
 
-#: fortran/resolve.c:13698
+#: fortran/resolve.c:13700
 #, gcc-internal-format, gfc-internal-format
 msgid "LOGICAL result variable '%s' at %L with non-C_Bool kind in BIND(C) procedure '%s'"
 msgstr ""
 
-#: fortran/resolve.c:13778
+#: fortran/resolve.c:13780
 #, gcc-internal-format, gfc-internal-format
 msgid "Threadprivate at %L isn't SAVEd"
 msgstr ""
 
-#: fortran/resolve.c:13871
+#: fortran/resolve.c:13873
 #, gcc-internal-format, gfc-internal-format
 msgid "BLOCK DATA element '%s' at %L must be in COMMON"
 msgstr ""
 
-#: fortran/resolve.c:13877
+#: fortran/resolve.c:13879
 #, gcc-internal-format, gfc-internal-format
 msgid "DATA array '%s' at %L must be specified in a previous declaration"
 msgstr ""
 
-#: fortran/resolve.c:13886
+#: fortran/resolve.c:13888
 #, gcc-internal-format, gfc-internal-format
 msgid "DATA element '%s' at %L cannot have a coindex"
 msgstr ""
 
-#: fortran/resolve.c:13900
+#: fortran/resolve.c:13902
 #, gcc-internal-format, gfc-internal-format
 msgid "DATA element '%s' at %L is a pointer and so must be a full array"
 msgstr ""
 
-#: fortran/resolve.c:13946
+#: fortran/resolve.c:13948
 #, gcc-internal-format, gfc-internal-format
 msgid "Nonconstant array section at %L in DATA statement"
 msgstr ""
 
-#: fortran/resolve.c:13959
+#: fortran/resolve.c:13961
 #, gcc-internal-format, gfc-internal-format
 msgid "DATA statement at %L has more variables than values"
 msgstr ""
 
-#: fortran/resolve.c:14058
+#: fortran/resolve.c:14060
 #, gcc-internal-format, gfc-internal-format
 msgid "start of implied-do loop at %L could not be simplified to a constant value"
 msgstr ""
 
-#: fortran/resolve.c:14066
+#: fortran/resolve.c:14068
 #, gcc-internal-format, gfc-internal-format
 msgid "end of implied-do loop at %L could not be simplified to a constant value"
 msgstr ""
 
-#: fortran/resolve.c:14074
+#: fortran/resolve.c:14076
 #, gcc-internal-format, gfc-internal-format
 msgid "step of implied-do loop at %L could not be simplified to a constant value"
 msgstr ""
 
-#: fortran/resolve.c:14199
+#: fortran/resolve.c:14201
 #, gcc-internal-format, gfc-internal-format
 msgid "DATA statement at %L has more values than variables"
 msgstr ""
 
-#: fortran/resolve.c:14337
+#: fortran/resolve.c:14339
 #, gcc-internal-format, gfc-internal-format
 msgid "Label %d at %L defined but not used"
-msgstr ""
+msgstr "nhãn %d tại %L đã định nghĩa nhưng chưa được dùng"
 
-#: fortran/resolve.c:14342
+#: fortran/resolve.c:14344
 #, gcc-internal-format, gfc-internal-format
 msgid "Label %d at %L defined but cannot be used"
 msgstr ""
 
-#: fortran/resolve.c:14426
+#: fortran/resolve.c:14428
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type variable '%s' at %L must have SEQUENCE attribute to be an EQUIVALENCE object"
 msgstr ""
 
-#: fortran/resolve.c:14435
+#: fortran/resolve.c:14437
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type variable '%s' at %L cannot have ALLOCATABLE components to be an EQUIVALENCE object"
 msgstr ""
 
-#: fortran/resolve.c:14443
+#: fortran/resolve.c:14445
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type variable '%s' at %L with default initialization cannot be in EQUIVALENCE with a variable in COMMON"
 msgstr ""
 
-#: fortran/resolve.c:14459
+#: fortran/resolve.c:14461
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type variable '%s' at %L with pointer component(s) cannot be an EQUIVALENCE object"
 msgstr ""
 
-#: fortran/resolve.c:14562
-#, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:14564
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in EQUIVALENCE statement at %L"
-msgstr ""
+msgstr "Gặp lỗi cú pháp ở dòng %u : thiếu dấu hai chấm « : » trong « %s »"
 
-#: fortran/resolve.c:14577
+#: fortran/resolve.c:14579
 #, gcc-internal-format, gfc-internal-format
 msgid "Either all or none of the objects in the EQUIVALENCE set at %L shall have the PROTECTED attribute"
 msgstr ""
 
-#: fortran/resolve.c:14589
+#: fortran/resolve.c:14591
 #, gcc-internal-format, gfc-internal-format
 msgid "Common block member '%s' at %L cannot be an EQUIVALENCE object in the pure procedure '%s'"
 msgstr ""
 
-#: fortran/resolve.c:14598
+#: fortran/resolve.c:14600
 #, gcc-internal-format, gfc-internal-format
 msgid "Named constant '%s' at %L cannot be an EQUIVALENCE object"
 msgstr ""
 
-#: fortran/resolve.c:14677
+#: fortran/resolve.c:14679
 #, gcc-internal-format, gfc-internal-format
 msgid "Array '%s' at %L with non-constant bounds cannot be an EQUIVALENCE object"
 msgstr ""
 
-#: fortran/resolve.c:14688
+#: fortran/resolve.c:14690
 #, gcc-internal-format, gfc-internal-format
 msgid "Structure component '%s' at %L cannot be an EQUIVALENCE object"
 msgstr ""
 
-#: fortran/resolve.c:14699
+#: fortran/resolve.c:14701
 #, gcc-internal-format, gfc-internal-format
 msgid "Substring at %L has length zero"
-msgstr ""
+msgstr "Chuỗi con tại %L có độ dài là không"
 
-#: fortran/resolve.c:14742
+#: fortran/resolve.c:14744
 #, gcc-internal-format, gfc-internal-format
 msgid "PUBLIC function '%s' at %L of PRIVATE type '%s'"
 msgstr ""
 
-#: fortran/resolve.c:14755
-#, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:14757
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "ENTRY '%s' at %L has no IMPLICIT type"
-msgstr ""
+msgstr "$$ cho quy tắc giữa ở $%d của « %s » không có kiểu được khai báo"
 
-#: fortran/resolve.c:14772
+#: fortran/resolve.c:14774
 #, gcc-internal-format, gfc-internal-format
 msgid "User operator procedure '%s' at %L must be a FUNCTION"
 msgstr ""
 
-#: fortran/resolve.c:14782
+#: fortran/resolve.c:14784
 #, gcc-internal-format, gfc-internal-format
 msgid "User operator procedure '%s' at %L cannot be assumed character length"
 msgstr ""
 
-#: fortran/resolve.c:14790
+#: fortran/resolve.c:14792
 #, gcc-internal-format, gfc-internal-format
 msgid "User operator procedure '%s' at %L must have at least one argument"
 msgstr ""
 
-#: fortran/resolve.c:14804
+#: fortran/resolve.c:14806
 #, gcc-internal-format, gfc-internal-format
 msgid "First argument of operator interface at %L cannot be optional"
 msgstr ""
 
-#: fortran/resolve.c:14822
+#: fortran/resolve.c:14824
 #, gcc-internal-format, gfc-internal-format
 msgid "Second argument of operator interface at %L cannot be optional"
 msgstr ""
 
-#: fortran/resolve.c:14829
+#: fortran/resolve.c:14831
 #, gcc-internal-format, gfc-internal-format
 msgid "Operator interface at %L must have, at most, two arguments"
 msgstr ""
 
-#: fortran/resolve.c:14905
+#: fortran/resolve.c:14907
 #, gcc-internal-format, gfc-internal-format
 msgid "Contained procedure '%s' at %L of a PURE procedure must also be PURE"
 msgstr ""
 
 #: fortran/scanner.c:335
-#, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "ignoring duplicate directory \"%s\"\n"
+#, gcc-internal-format, gfc-internal-format
 msgid "Include directory \"%s\": %s"
-msgstr "đang bỏ qua thư mục trùng \"%s\"\n"
+msgstr "Thư mục bao gồm \"%s\": %s"
 
 #: fortran/scanner.c:341
-#, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "ignoring nonexistent directory \"%s\"\n"
+#, gcc-internal-format, gfc-internal-format
 msgid "Nonexistent include directory \"%s\""
-msgstr "đang bỏ qua thư mục không tồn tại \"%s\"\n"
+msgstr "Không có thư mục bao gồm \"%s\""
 
 #: fortran/scanner.c:347
-#, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "%qD is not a type"
+#, gcc-internal-format, gfc-internal-format
 msgid "\"%s\" is not a directory"
-msgstr "%qD không phải là một kiểu"
+msgstr "'%s' không phải một thư mục"
 
 #: fortran/scanner.c:806
 #, gcc-internal-format, gfc-internal-format
@@ -44931,7 +44847,7 @@
 #: fortran/scanner.c:1087 fortran/scanner.c:1225
 #, gcc-internal-format, gfc-internal-format
 msgid "Line truncated at %L"
-msgstr ""
+msgstr "Dòng bị cắt cụt tại %L"
 
 #: fortran/scanner.c:1137 fortran/scanner.c:1269
 #, gcc-internal-format, gfc-internal-format
@@ -44939,14 +44855,14 @@
 msgstr ""
 
 #: fortran/scanner.c:1186
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Missing '&' in continued character constant at %C"
-msgstr ""
+msgstr "Cảnh báo về ký hiệu « & » còn thiếu trong hằng ký tự tiếp tục"
 
 #: fortran/scanner.c:1419
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Nonconforming tab character at %C"
-msgstr ""
+msgstr "Cho phép sử dụng ký tự tab một cách không phù hợp"
 
 #: fortran/scanner.c:1507 fortran/scanner.c:1510
 #, gcc-internal-format, gfc-internal-format
@@ -44961,17 +44877,17 @@
 #: fortran/scanner.c:1794
 #, gcc-internal-format, gfc-internal-format
 msgid "%s:%d: file %s left but not entered"
-msgstr ""
+msgstr "%s:%d: tập tin còn %s nhưng không vào được"
 
 #: fortran/scanner.c:1828
 #, gcc-internal-format, gfc-internal-format
 msgid "%s:%d: Illegal preprocessor directive"
-msgstr ""
+msgstr "%s:%d: chỉ thị tiền xử lý không hợp lệ"
 
 #: fortran/scanner.c:1953
 #, gcc-internal-format, gfc-internal-format
 msgid "Can't open file '%s'"
-msgstr ""
+msgstr "Không thể mở tập tin '%s'"
 
 #: fortran/simplify.c:86
 #, gcc-internal-format, gfc-internal-format
@@ -44986,7 +44902,7 @@
 #: fortran/simplify.c:96
 #, gcc-internal-format, gfc-internal-format
 msgid "Result of %s is NaN at %L"
-msgstr ""
+msgstr "Kết quả của %s là NaN tại %L"
 
 #: fortran/simplify.c:100
 #, gcc-internal-format, gfc-internal-format
@@ -44999,14 +44915,14 @@
 msgstr ""
 
 #: fortran/simplify.c:131
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Invalid KIND parameter of %s at %L"
-msgstr ""
+msgstr "\t\tKiểu Tab=%d tại %.0f\n"
 
 #: fortran/simplify.c:701
 #, gcc-internal-format, gfc-internal-format
 msgid "Argument of %s function at %L is negative"
-msgstr ""
+msgstr "Đối số của hàm %s tại %L là âm"
 
 #: fortran/simplify.c:708
 #, gcc-internal-format, gfc-internal-format
@@ -45070,9 +44986,9 @@
 
 #. Left shift, as in SHIFTL.
 #: fortran/simplify.c:3009 fortran/simplify.c:3017
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Second argument of %s is negative at %L"
-msgstr ""
+msgstr "Chỉ thị số %u chứa đối số « %d » âm."
 
 #: fortran/simplify.c:3029
 #, gcc-internal-format, gfc-internal-format
@@ -45130,9 +45046,9 @@
 msgstr ""
 
 #: fortran/simplify.c:4858
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Argument NCOPIES of REPEAT intrinsic is negative at %L"
-msgstr ""
+msgstr "Điều thực chất REPEAT (lặp lại) có đối số NCOPIES (số các bản sao) quá lớn"
 
 #: fortran/simplify.c:4913
 #, gcc-internal-format, gfc-internal-format
@@ -45164,340 +45080,338 @@
 msgid "Character '%s' in string at %L cannot be converted into character kind %d"
 msgstr ""
 
-#: fortran/symbol.c:134
+#: fortran/symbol.c:123
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate IMPLICIT NONE statement at %C"
 msgstr ""
 
-#: fortran/symbol.c:174
+#: fortran/symbol.c:163
 #, gcc-internal-format, gfc-internal-format
 msgid "Letter '%c' already set in IMPLICIT statement at %C"
 msgstr ""
 
-#: fortran/symbol.c:196
+#: fortran/symbol.c:185
 #, gcc-internal-format, gfc-internal-format
 msgid "Cannot specify IMPLICIT at %C after IMPLICIT NONE"
 msgstr ""
 
-#: fortran/symbol.c:206
+#: fortran/symbol.c:195
 #, gcc-internal-format, gfc-internal-format
 msgid "Letter %c already has an IMPLICIT type at %C"
 msgstr ""
 
-#: fortran/symbol.c:262
-#, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:251
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %L has no IMPLICIT type"
-msgstr ""
+msgstr "$$ cho quy tắc giữa ở $%d của « %s » không có kiểu được khai báo"
 
 #. BIND(C) variables should not be implicitly declared.
-#: fortran/symbol.c:279
+#: fortran/symbol.c:268
 #, gcc-internal-format, gfc-internal-format
 msgid "Implicitly declared BIND(C) variable '%s' at %L may not be C interoperable"
 msgstr ""
 
 #. Dummy args to a BIND(C) routine may not be interoperable if
 #. they are implicitly typed.
-#: fortran/symbol.c:294
+#: fortran/symbol.c:283
 #, gcc-internal-format, gfc-internal-format
 msgid "Implicitly declared variable '%s' at %L may not be C interoperable but it is a dummy argument to the BIND(C) procedure '%s' at %L"
 msgstr ""
 
-#: fortran/symbol.c:335
+#: fortran/symbol.c:324
 #, gcc-internal-format, gfc-internal-format
 msgid "Function result '%s' at %L has no IMPLICIT type"
 msgstr ""
 
-#: fortran/symbol.c:424
+#: fortran/symbol.c:413
 #, gcc-internal-format, gfc-internal-format
 msgid "%s attribute not allowed in BLOCK DATA program unit at %L"
 msgstr ""
 
-#: fortran/symbol.c:448
+#: fortran/symbol.c:437
 #, gcc-internal-format, gfc-internal-format
 msgid "Namelist group name at %L cannot have the SAVE attribute"
 msgstr ""
 
-#: fortran/symbol.c:482
-#, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:471
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Procedure pointer at %C"
-msgstr ""
+msgstr "(Ít nhất là 7 ngày)"
 
-#: fortran/symbol.c:644
+#: fortran/symbol.c:633
 #, gcc-internal-format, gfc-internal-format
 msgid "%s attribute applied to %s %s at %L"
-msgstr ""
+msgstr "thuộc tính %s được áp dụng cho %s %s tại %L"
 
-#: fortran/symbol.c:651
+#: fortran/symbol.c:640
 #, gcc-internal-format, gfc-internal-format
 msgid "BIND(C) applied to %s %s at %L"
-msgstr ""
+msgstr "BIND(C) được áp dụng với %s %s tại %L"
 
-#: fortran/symbol.c:762 fortran/symbol.c:1485
-#, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:751 fortran/symbol.c:1474
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "%s attribute conflicts with %s attribute at %L"
-msgstr ""
+msgstr "« %s » bị lỗi tại %s:%d với lỗi: %s\n"
 
-#: fortran/symbol.c:765
-#, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:754
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "%s attribute conflicts with %s attribute in '%s' at %L"
-msgstr ""
+msgstr "Ghi chú IC %d trong opcode (mã thao tác) %s (IC:%s) thì xung đột với tài nguyên %s ghi chú %d\n"
 
-#: fortran/symbol.c:773
-#, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:762
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "%s attribute with %s attribute at %L"
-msgstr ""
+msgstr "« %s » bị lỗi tại %s:%d với lỗi: %s\n"
 
-#: fortran/symbol.c:779
-#, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:768
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "%s attribute with %s attribute in '%s' at %L"
-msgstr ""
+msgstr "không mong đợi \" tại vị trí %d trong '%s' ."
 
-#: fortran/symbol.c:823
+#: fortran/symbol.c:812
 #, gcc-internal-format, gfc-internal-format
 msgid "Cannot change attributes of USE-associated symbol at %L"
 msgstr ""
 
-#: fortran/symbol.c:826
+#: fortran/symbol.c:815
 #, gcc-internal-format, gfc-internal-format
 msgid "Cannot change attributes of USE-associated symbol %s at %L"
 msgstr ""
 
-#: fortran/symbol.c:842
-#, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:831
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Duplicate %s attribute specified at %L"
-msgstr ""
+msgstr "ghi nhật ký vào syslog ở mức ưu tiên đã chỉ định (ngụ ý sử dụng tùy chọn --syslog)"
 
-#: fortran/symbol.c:884
+#: fortran/symbol.c:873
 #, gcc-internal-format, gfc-internal-format
 msgid "ALLOCATABLE specified outside of INTERFACE body at %L"
 msgstr ""
 
-#: fortran/symbol.c:910
+#: fortran/symbol.c:899
 #, gcc-internal-format, gfc-internal-format
 msgid "CODIMENSION specified for '%s' outside its INTERFACE body at %L"
 msgstr ""
 
-#: fortran/symbol.c:936
+#: fortran/symbol.c:925
 #, gcc-internal-format, gfc-internal-format
 msgid "DIMENSION specified for '%s' outside its INTERFACE body at %L"
 msgstr ""
 
-#: fortran/symbol.c:1066
+#: fortran/symbol.c:1055
 #, gcc-internal-format, gfc-internal-format
 msgid "Cray Pointee at %L appears in multiple pointer() statements"
 msgstr ""
 
-#: fortran/symbol.c:1085
+#: fortran/symbol.c:1074
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate PROTECTED attribute specified at %L"
 msgstr ""
 
-#: fortran/symbol.c:1119
+#: fortran/symbol.c:1108
 #, gcc-internal-format, gfc-internal-format
 msgid "SAVE attribute at %L cannot be specified in a PURE procedure"
 msgstr ""
 
-#: fortran/symbol.c:1130
+#: fortran/symbol.c:1119
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate SAVE attribute specified at %L"
 msgstr ""
 
-#: fortran/symbol.c:1151
+#: fortran/symbol.c:1140
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate VALUE attribute specified at %L"
 msgstr ""
 
-#: fortran/symbol.c:1171
+#: fortran/symbol.c:1160
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate VOLATILE attribute specified at %L"
 msgstr ""
 
-#: fortran/symbol.c:1190
+#: fortran/symbol.c:1179
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate ASYNCHRONOUS attribute specified at %L"
 msgstr ""
 
-#: fortran/symbol.c:1481
-#, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:1470
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "%s attribute of '%s' conflicts with %s attribute at %L"
-msgstr ""
+msgstr "« %s » bị lỗi tại %s:%d với lỗi: %s\n"
 
-#: fortran/symbol.c:1515
+#: fortran/symbol.c:1504
 #, gcc-internal-format, gfc-internal-format
 msgid "%s procedure at %L is already declared as %s procedure"
 msgstr ""
 
-#: fortran/symbol.c:1550
-#, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:1539
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "INTENT (%s) conflicts with INTENT(%s) at %L"
-msgstr ""
+msgstr "« %s » bị lỗi tại %s:%d với lỗi: %s\n"
 
-#: fortran/symbol.c:1574
+#: fortran/symbol.c:1563
 #, gcc-internal-format, gfc-internal-format
 msgid "ACCESS specification at %L was already specified"
 msgstr ""
 
-#: fortran/symbol.c:1591
+#: fortran/symbol.c:1580
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate BIND attribute specified at %L"
 msgstr ""
 
-#: fortran/symbol.c:1598
-#, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "Fortran 2003: BIND(C) at %L"
+#: fortran/symbol.c:1587
+#, gcc-internal-format, gfc-internal-format
 msgid "BIND(C) at %L"
-msgstr "Fortran 2003: BIND(C) tại %L"
+msgstr "BIND(C) tại %L"
 
-#: fortran/symbol.c:1615
+#: fortran/symbol.c:1604
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate EXTENDS attribute specified at %L"
 msgstr ""
 
-#: fortran/symbol.c:1619
-#, fuzzy, gcc-internal-format, gfc-internal-format
-#| msgid "Fortran 2003: EXTENDS at %L"
+#: fortran/symbol.c:1608
+#, gcc-internal-format, gfc-internal-format
 msgid "EXTENDS at %L"
-msgstr "Fortran 2003: EXTENDS tại %L"
+msgstr "EXTENDS tại %L"
 
-#: fortran/symbol.c:1641
+#: fortran/symbol.c:1630
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %L already has an explicit interface"
 msgstr ""
 
-#: fortran/symbol.c:1648
+#: fortran/symbol.c:1637
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L has attributes specified outside its INTERFACE body"
 msgstr ""
 
-#: fortran/symbol.c:1682
+#: fortran/symbol.c:1671
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %L conflicts with symbol from module '%s', use-associated at %L"
 msgstr ""
 
-#: fortran/symbol.c:1686
+#: fortran/symbol.c:1675
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %L already has basic type of %s"
 msgstr ""
 
-#: fortran/symbol.c:1693
+#: fortran/symbol.c:1682
 #, gcc-internal-format, gfc-internal-format
 msgid "Procedure '%s' at %L may not have basic type of %s"
 msgstr ""
 
-#: fortran/symbol.c:1705
-#, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:1694
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %L cannot have a type"
-msgstr ""
+msgstr "kiểu đối tượng không khớp tại %s"
 
-#: fortran/symbol.c:1874
+#: fortran/symbol.c:1863
 #, gcc-internal-format, gfc-internal-format
 msgid "Component '%s' at %C already declared at %L"
-msgstr ""
+msgstr "Thành phần '%s' tại %C đã sẵn được khai báo tại %L"
 
-#: fortran/symbol.c:1885
+#: fortran/symbol.c:1874
 #, gcc-internal-format, gfc-internal-format
 msgid "Component '%s' at %C already in the parent type at %L"
 msgstr ""
 
-#: fortran/symbol.c:1970
+#: fortran/symbol.c:1959
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %C is ambiguous"
 msgstr "Ký hiệu '%s' tại %C chưa rõ ràng"
 
-#: fortran/symbol.c:2002
+#: fortran/symbol.c:1991
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type '%s' at %C is being used before it is defined"
 msgstr ""
 
-#: fortran/symbol.c:2040
-#, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:2029
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Component '%s' at %C is a PRIVATE component of '%s'"
-msgstr ""
+msgstr "HEAD hiện giờ tại"
 
-#: fortran/symbol.c:2058
+#: fortran/symbol.c:2047
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %C is not a member of the '%s' structure"
-msgstr ""
+msgstr "'%s' tại %C không phải là thành viên của cấu trúc '%s'"
 
-#: fortran/symbol.c:2196
+#: fortran/symbol.c:2186
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate statement label %d at %L and %L"
 msgstr ""
 
-#: fortran/symbol.c:2207
+#: fortran/symbol.c:2197
 #, gcc-internal-format, gfc-internal-format
 msgid "Label %d at %C already referenced as branch target"
 msgstr ""
 
-#: fortran/symbol.c:2217
+#: fortran/symbol.c:2207
 #, gcc-internal-format, gfc-internal-format
 msgid "Label %d at %C already referenced as a format label"
 msgstr ""
 
-#: fortran/symbol.c:2223
+#: fortran/symbol.c:2213
 #, gcc-internal-format, gfc-internal-format
 msgid "DO termination statement which is not END DO or CONTINUE with label %d at %C"
 msgstr ""
 
-#: fortran/symbol.c:2265
+#: fortran/symbol.c:2255
 #, gcc-internal-format, gfc-internal-format
 msgid "Label %d at %C previously used as a FORMAT label"
 msgstr ""
 
-#: fortran/symbol.c:2274
+#: fortran/symbol.c:2264
 #, gcc-internal-format, gfc-internal-format
 msgid "Label %d at %C previously used as branch target"
 msgstr ""
 
-#: fortran/symbol.c:2280
+#: fortran/symbol.c:2270
 #, gcc-internal-format, gfc-internal-format
 msgid "Shared DO termination label %d at %C"
 msgstr ""
 
-#: fortran/symbol.c:2600
+#: fortran/symbol.c:2590
 #, gcc-internal-format, gfc-internal-format
 msgid "Name '%s' at %C is an ambiguous reference to '%s' from module '%s'"
 msgstr ""
 
-#: fortran/symbol.c:2603
+#: fortran/symbol.c:2593
 #, gcc-internal-format, gfc-internal-format
 msgid "Name '%s' at %C is an ambiguous reference to '%s' from current program unit"
 msgstr ""
 
 #. Symbol is from another namespace.
-#: fortran/symbol.c:2788
+#: fortran/symbol.c:2808
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %C has already been host associated"
 msgstr ""
 
-#: fortran/symbol.c:3665
+#: fortran/symbol.c:3793
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type '%s' declared at %L must have the BIND attribute to be C interoperable"
 msgstr ""
 
-#: fortran/symbol.c:3683
+#: fortran/symbol.c:3811
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type '%s' with BIND(C) attribute at %L is empty, and may be inaccessible by the C companion processor"
 msgstr ""
 
-#: fortran/symbol.c:3704
+#: fortran/symbol.c:3832
 #, gcc-internal-format, gfc-internal-format
 msgid "Component '%s' at %L cannot have the POINTER attribute because it is a member of the BIND(C) derived type '%s' at %L"
 msgstr ""
 
-#: fortran/symbol.c:3714
+#: fortran/symbol.c:3842
 #, gcc-internal-format, gfc-internal-format
 msgid "Procedure pointer component '%s' at %L cannot be a member of the BIND(C) derived type '%s' at %L"
 msgstr ""
 
-#: fortran/symbol.c:3725
+#: fortran/symbol.c:3853
 #, gcc-internal-format, gfc-internal-format
 msgid "Component '%s' at %L cannot have the ALLOCATABLE attribute because it is a member of the BIND(C) derived type '%s' at %L"
 msgstr ""
 
 #. If the derived type is bind(c), all fields must be
 #. interop.
-#: fortran/symbol.c:3764
+#: fortran/symbol.c:3892
 #, gcc-internal-format, gfc-internal-format
 msgid "Component '%s' in derived type '%s' at %L may not be C interoperable, even though derived type '%s' is BIND(C)"
 msgstr ""
@@ -45505,22 +45419,22 @@
 #. If derived type is param to bind(c) routine, or to one
 #. of the iso_c_binding procs, it must be interoperable, so
 #. all fields must interop too.
-#: fortran/symbol.c:3773
+#: fortran/symbol.c:3901
 #, gcc-internal-format, gfc-internal-format
 msgid "Component '%s' in derived type '%s' at %L may not be C interoperable"
 msgstr ""
 
-#: fortran/symbol.c:3787
+#: fortran/symbol.c:3915
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type '%s' at %L cannot be declared with both PRIVATE and BIND(C) attributes"
 msgstr ""
 
-#: fortran/symbol.c:3795
+#: fortran/symbol.c:3923
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type '%s' at %L cannot have the SEQUENCE attribute because it is BIND(C)"
 msgstr ""
 
-#: fortran/symbol.c:4688 fortran/symbol.c:4694
+#: fortran/symbol.c:4816 fortran/symbol.c:4822
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' is used before it is typed at %L"
 msgstr ""
@@ -45546,9 +45460,9 @@
 msgstr ""
 
 #: fortran/trans-array.c:8804
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "bad expression type during walk (%d)"
-msgstr ""
+msgstr "Gặp loại saio trong biểu thức bất biến"
 
 #: fortran/trans-common.c:397
 #, gcc-internal-format, gfc-internal-format
@@ -45556,9 +45470,9 @@
 msgstr ""
 
 #: fortran/trans-common.c:848
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Bad array reference at %L"
-msgstr ""
+msgstr "đợi dấu ngoặc vu đóng « ] » ở kết thúc của mảng"
 
 #: fortran/trans-common.c:856
 #, gcc-internal-format, gfc-internal-format
@@ -45599,7 +45513,7 @@
 #: fortran/trans-common.c:1150
 #, gcc-internal-format, gfc-internal-format
 msgid "COMMON '%s' at %L does not exist"
-msgstr ""
+msgstr "COMMON '%s' tại %L không tồn tại"
 
 #: fortran/trans-common.c:1158
 #, gcc-internal-format, gfc-internal-format
@@ -45622,66 +45536,66 @@
 msgstr ""
 
 #: fortran/trans-const.c:379
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "non-constant initialization expression at %L"
-msgstr ""
+msgstr "mảng bị sơ khởi từ biểu tượng mảng không phải hằng số"
 
 #: fortran/trans-decl.c:1378
 #, gcc-internal-format
 msgid "intrinsic variable which isn't a procedure"
 msgstr ""
 
-#: fortran/trans-decl.c:3556 fortran/trans-decl.c:5433
-#, gcc-internal-format, gfc-internal-format
+#: fortran/trans-decl.c:3556 fortran/trans-decl.c:5435
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Return value of function '%s' at %L not set"
-msgstr ""
+msgstr "hàm « %s » không trả lại giá trị"
 
-#: fortran/trans-decl.c:3883
-#, gcc-internal-format
+#: fortran/trans-decl.c:3885
+#, fuzzy, gcc-internal-format
 msgid "Deferred type parameter not yet supported"
-msgstr ""
+msgstr "ứng dụng khách kiểu %s chưa được hỗ trợ"
 
-#: fortran/trans-decl.c:4090
+#: fortran/trans-decl.c:4092
 #, gcc-internal-format, gfc-internal-format
 msgid "backend decl for module variable %s already exists"
 msgstr ""
 
-#: fortran/trans-decl.c:4614
+#: fortran/trans-decl.c:4616
 #, gcc-internal-format, gfc-internal-format
 msgid "Dummy argument '%s' at %L was declared INTENT(OUT) but was not set"
 msgstr ""
 
-#: fortran/trans-decl.c:4618
+#: fortran/trans-decl.c:4620
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived-type dummy argument '%s' at %L was declared INTENT(OUT) but was not set and does not have a default initializer"
 msgstr ""
 
-#: fortran/trans-decl.c:4627 fortran/trans-decl.c:4742
-#, gcc-internal-format, gfc-internal-format
+#: fortran/trans-decl.c:4629 fortran/trans-decl.c:4744
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Unused dummy argument '%s' at %L"
-msgstr ""
+msgstr "%c%s cần ít nhất %d đối số"
 
-#: fortran/trans-decl.c:4641
+#: fortran/trans-decl.c:4643
 #, gcc-internal-format, gfc-internal-format
 msgid "Unused module variable '%s' which has been explicitly imported at %L"
 msgstr ""
 
-#: fortran/trans-decl.c:4649
-#, gcc-internal-format, gfc-internal-format
+#: fortran/trans-decl.c:4651
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Unused variable '%s' declared at %L"
-msgstr ""
+msgstr "%s:%d: bộ lọc đã được tuyên bố ở %s:%d"
 
-#: fortran/trans-decl.c:4697
-#, gcc-internal-format, gfc-internal-format
+#: fortran/trans-decl.c:4699
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Unused parameter '%s' declared at %L"
-msgstr ""
+msgstr "%s:%d: bộ lọc đã được tuyên bố ở %s:%d"
 
-#: fortran/trans-decl.c:4700
+#: fortran/trans-decl.c:4702
 #, gcc-internal-format, gfc-internal-format
 msgid "Unused parameter '%s' which has been explicitly imported at %L"
 msgstr ""
 
-#: fortran/trans-decl.c:4715
+#: fortran/trans-decl.c:4717
 #, gcc-internal-format, gfc-internal-format
 msgid "Return value '%s' of function '%s' declared at %L not set"
 msgstr ""
@@ -45699,7 +45613,7 @@
 #: fortran/trans-expr.c:2464
 #, gcc-internal-format
 msgid "Unknown intrinsic op"
-msgstr ""
+msgstr "Không hiểu intrinsic op"
 
 #: fortran/trans-expr.c:3694
 #, gcc-internal-format, gfc-internal-format
@@ -45707,9 +45621,9 @@
 msgstr ""
 
 #: fortran/trans-intrinsic.c:853
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Intrinsic function %s(%d) not recognized"
-msgstr ""
+msgstr "Không nhận ra định dạng tập tin"
 
 #: fortran/trans-intrinsic.c:992 fortran/trans-intrinsic.c:1356
 #: fortran/trans-intrinsic.c:1555
@@ -45717,15 +45631,15 @@
 msgid "'dim' argument of %s intrinsic at %L is not a valid dimension index"
 msgstr ""
 
-#: fortran/trans-io.c:2032
+#: fortran/trans-io.c:2034
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type '%s' at %L has PRIVATE components"
 msgstr ""
 
-#: fortran/trans-io.c:2183
-#, gcc-internal-format, gfc-internal-format
+#: fortran/trans-io.c:2185
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "Bad IO basetype (%d)"
-msgstr ""
+msgstr "Điều kiện VR gấp"
 
 #: fortran/trans-openmp.c:1833
 #, gcc-internal-format
@@ -45760,17 +45674,17 @@
 #: fortran/trans-types.c:528
 #, gcc-internal-format
 msgid "REAL(KIND=8) is not available for -freal-4-real-8 option"
-msgstr "REAL(KIND=8) không phải là biến cho tùy chọn -freal-4-real-8"
+msgstr "REAL(KIND=8) không sẵn sàng cho tùy chọn -freal-4-real-8"
 
 #: fortran/trans-types.c:535
 #, gcc-internal-format
 msgid "REAL(KIND=10) is not available for -freal-4-real-10 option"
-msgstr "REAL(KIND=10) không phải là biến cho tùy chọn -freal-4-real-10"
+msgstr "REAL(KIND=10) không sẵn sàng cho tùy chọn -freal-4-real-10"
 
 #: fortran/trans-types.c:542
 #, gcc-internal-format
 msgid "REAL(KIND=16) is not available for -freal-4-real-16 option"
-msgstr "REAL(KIND=16) không phải là biến cho tùy chọn -freal-4-real-16"
+msgstr "REAL(KIND=16) không sẵn sàng cho tùy chọn -freal-4-real-16"
 
 #: fortran/trans-types.c:556
 #, gcc-internal-format
@@ -45780,22 +45694,22 @@
 #: fortran/trans-types.c:565
 #, gcc-internal-format
 msgid "REAL(KIND=4) is not available for -freal-8-real-4 option"
-msgstr "REAL(KIND=4) không phải là biến cho tùy chọn -freal-8-real-4"
+msgstr "REAL(KIND=4) không sẵn sàng cho tùy chọn -freal-8-real-4"
 
 #: fortran/trans-types.c:572
 #, gcc-internal-format
 msgid "REAL(KIND=10) is not available for -freal-8-real-10 option"
-msgstr "REAL(KIND=10) không phải là biến cho tùy chọn -freal-8-real-10"
+msgstr "REAL(KIND=10) không sẵn sàng cho tùy chọn -freal-8-real-10"
 
 #: fortran/trans-types.c:579
 #, gcc-internal-format
 msgid "REAL(KIND=10) is not available for -freal-8-real-16 option"
-msgstr "REAL(KIND=10) không phải là biến cho tùy chọn -freal-8-real-16"
+msgstr "REAL(KIND=10) không sẵn sàng cho tùy chọn -freal-8-real-16"
 
 #: fortran/trans-types.c:1451
 #, gcc-internal-format, gfc-internal-format
 msgid "Array element size too big at %C"
-msgstr ""
+msgstr "Kích thước phần tử mảng quá lớn tại %C"
 
 #: fortran/trans.c:1653
 #, gcc-internal-format
@@ -45805,7 +45719,7 @@
 #: java/class.c:833
 #, gcc-internal-format
 msgid "bad method signature"
-msgstr ""
+msgstr "tín hiệu phương thức sai"
 
 #: java/class.c:892
 #, gcc-internal-format
@@ -45828,14 +45742,14 @@
 msgstr ""
 
 #: java/class.c:2695
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "non-static method %q+D overrides static method"
-msgstr ""
+msgstr "« --posix »/« --traditional » (truyền thống) có quyền cao hơn « --non-decimal-data » (dữ liệu khác thập phân)"
 
 #: java/decl.c:1204
 #, gcc-internal-format
 msgid "%q+D used prior to declaration"
-msgstr ""
+msgstr "%q+D được dùng trước khai báo"
 
 #: java/decl.c:1627
 #, gcc-internal-format
@@ -45863,9 +45777,9 @@
 msgstr ""
 
 #: java/expr.c:662
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "stack underflow - dup* operation"
-msgstr ""
+msgstr "Lỗi nội bộ : tràn ngược đống điều kiện"
 
 #: java/expr.c:1661
 #, gcc-internal-format
@@ -45880,7 +45794,7 @@
 #: java/expr.c:2248
 #, gcc-internal-format, gfc-internal-format
 msgid "method '%s' not found in class"
-msgstr ""
+msgstr "không tìm thấy phương thức '%s' trong lớp"
 
 #: java/expr.c:2440
 #, gcc-internal-format, gfc-internal-format
@@ -45913,9 +45827,9 @@
 msgstr "thiếu trường '%s' trong '%s'"
 
 #: java/expr.c:2890
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "mismatching signature for field '%s' in '%s'"
-msgstr ""
+msgstr "%s: cảnh báo : không rõ kích cỡ cho trường « %s » trong cấu trúc"
 
 #: java/expr.c:2919
 #, gcc-internal-format
@@ -45949,34 +45863,34 @@
 msgstr ""
 
 #: java/jcf-parse.c:514
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "<constant pool index %d unexpected type"
-msgstr ""
+msgstr "gặp loại chỉ mục (index-type) bất thường trong cris_print_index"
 
 #: java/jcf-parse.c:1097
 #, gcc-internal-format
 msgid "bad string constant"
-msgstr ""
+msgstr "hằng chuỗi sai"
 
 #: java/jcf-parse.c:1115
-#, gcc-internal-format, gfc-internal-format
+#, fuzzy, gcc-internal-format, gfc-internal-format
 msgid "bad value constant type %d, index %d"
-msgstr ""
+msgstr "Gặp loại saio trong biểu thức bất biến"
 
 #: java/jcf-parse.c:1395 java/jcf-parse.c:1401
 #, gcc-internal-format, gfc-internal-format
 msgid "cannot find file for class %s"
-msgstr ""
+msgstr "không thể tìm thấy tập tin cho lớp %s"
 
 #: java/jcf-parse.c:1426
 #, gcc-internal-format
 msgid "not a valid Java .class file"
-msgstr ""
+msgstr "không phải là một tập tin .class Java hợp lệ"
 
 #: java/jcf-parse.c:1429
 #, gcc-internal-format
 msgid "error while parsing constant pool"
-msgstr ""
+msgstr "gặp lỗi khi phân bể hằng số"
 
 #. FIXME - where was first time
 #: java/jcf-parse.c:1444
@@ -45987,17 +45901,17 @@
 #: java/jcf-parse.c:1462
 #, gcc-internal-format
 msgid "error while parsing fields"
-msgstr ""
+msgstr "gặp lỗi khi phân tích cú pháp của các trường"
 
 #: java/jcf-parse.c:1465
 #, gcc-internal-format
 msgid "error while parsing methods"
-msgstr ""
+msgstr "gặp lỗi khi phân tích cú pháp của các phương thức"
 
 #: java/jcf-parse.c:1468
 #, gcc-internal-format
 msgid "error while parsing final attributes"
-msgstr ""
+msgstr "gặp lỗi khi phân tích cú pháp của các thuộc tính cuối cùng"
 
 #: java/jcf-parse.c:1507
 #, gcc-internal-format
@@ -46005,14 +45919,14 @@
 msgstr ""
 
 #: java/jcf-parse.c:1603
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "missing Code attribute"
-msgstr ""
+msgstr "Thuộc tính còn thiếu hoặc dạng sai"
 
 #: java/jcf-parse.c:1848
 #, gcc-internal-format
 msgid "no input file specified"
-msgstr ""
+msgstr "chưa chỉ định tập tin đầu vào"
 
 #: java/jcf-parse.c:1883
 #, gcc-internal-format
@@ -46027,7 +45941,7 @@
 #: java/jcf-parse.c:2128
 #, gcc-internal-format, gfc-internal-format
 msgid "error while reading %s from zip file"
-msgstr ""
+msgstr "gặp lỗi khi đọc %s từ tập tin zip"
 
 #: java/jvspec.c:395
 #, gcc-internal-format
@@ -46097,27 +46011,27 @@
 #: java/mangle_name.c:324 java/mangle_name.c:401
 #, gcc-internal-format
 msgid "internal error - invalid Utf8 name"
-msgstr ""
+msgstr "lỗi nội bộ - tên Utf8 không hợp lệ"
 
 #: java/typeck.c:424
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "junk at end of signature string"
-msgstr ""
+msgstr "lỗi: %s ở kết thúc của chuỗi định dạng"
 
 #: java/verify-glue.c:377
 #, gcc-internal-format, gfc-internal-format
 msgid "verification failed: %s"
-msgstr ""
+msgstr "thẩm tra gặp lỗi: %s"
 
 #: java/verify-glue.c:379
 #, gcc-internal-format, gfc-internal-format
 msgid "verification failed at PC=%d: %s"
-msgstr ""
+msgstr "thẩm tra gặp lỗi tại PC=%d: %s"
 
 #: java/verify-glue.c:467
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "bad pc in exception_table"
-msgstr ""
+msgstr "Nút từ một khối sai trong bảng nút"
 
 #: lto/lto-lang.c:754
 #, gcc-internal-format
@@ -46149,7 +46063,7 @@
 #: lto/lto-object.c:257
 #, gcc-internal-format, gfc-internal-format
 msgid "two or more sections for %s"
-msgstr ""
+msgstr "cần thiết ít nhất hai phần cho %s"
 
 #: lto/lto.c:218
 #, gcc-internal-format, gfc-internal-format
@@ -46164,7 +46078,7 @@
 #: lto/lto.c:2145
 #, gcc-internal-format
 msgid "could not parse hex number"
-msgstr ""
+msgstr "không thể phân tích số thập lục phân"
 
 #: lto/lto.c:2177
 #, gcc-internal-format, gfc-internal-format
@@ -46172,24 +46086,24 @@
 msgstr ""
 
 #: lto/lto.c:2186
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "could not parse file offset"
-msgstr ""
+msgstr "Không thể tìm được vị trí %s trong tệp tin"
 
 #: lto/lto.c:2189
 #, gcc-internal-format
 msgid "unexpected offset"
-msgstr ""
+msgstr "không cần offset"
 
 #: lto/lto.c:2211
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "invalid line in the resolution file"
-msgstr "lệnh chứa một thanh ghi sai"
+msgstr "gặp dòng sai trong tập tin phân giải"
 
 #: lto/lto.c:2222
 #, fuzzy, gcc-internal-format
 msgid "invalid resolution in the resolution file"
-msgstr "lệnh chứa một thanh ghi sai"
+msgstr "Bitmap không hợp lệ trong tập tin %s"
 
 #: lto/lto.c:2228
 #, gcc-internal-format
@@ -46199,7 +46113,7 @@
 #: lto/lto.c:2335
 #, gcc-internal-format, gfc-internal-format
 msgid "cannot read LTO decls from %s"
-msgstr ""
+msgstr "không thể đọc `LTO decls' từ %s"
 
 #: lto/lto.c:2440
 #, gcc-internal-format, gfc-internal-format
@@ -46222,9 +46136,9 @@
 msgstr ""
 
 #: lto/lto.c:2597
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "opening LTRANS output list %s: %m"
-msgstr ""
+msgstr "Gặp lỗi khi mở tập tin kết xuất « %s ».\n"
 
 #: lto/lto.c:2640
 #, gcc-internal-format
@@ -46232,19 +46146,19 @@
 msgstr "lto_obj_file_open() gặp lỗi"
 
 #: lto/lto.c:2694
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "writing to LTRANS output list %s: %m"
-msgstr ""
+msgstr "gặp lỗi khi ghi vào danh sách kiến trúc"
 
 #: lto/lto.c:2702
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "closing LTRANS output list %s: %m"
-msgstr ""
+msgstr "gặp lỗi khi đóng tập tin xuất %s"
 
 #: lto/lto.c:2929
 #, fuzzy, gcc-internal-format
 msgid "could not open symbol resolution file: %m"
-msgstr "không thể mở tập tin đáp ứng %s"
+msgstr "Xin lỗi, không thể mở tập tin này."
 
 #: lto/lto.c:3046
 #, gcc-internal-format
@@ -46289,12 +46203,12 @@
 #: objc/objc-act.c:681
 #, gcc-internal-format
 msgid "%<@end%> must appear in an @implementation context"
-msgstr ""
+msgstr "%<@end%> phải xuất hiện trong một ngữ cảnh @implementation"
 
 #: objc/objc-act.c:690
 #, gcc-internal-format
 msgid "%<@package%> is not available in Objective-C 1.0"
-msgstr ""
+msgstr "%<@package%> không sẵn sàng trong Objective-C 1.0"
 
 #: objc/objc-act.c:692
 #, gcc-internal-format
@@ -46304,37 +46218,37 @@
 #: objc/objc-act.c:703
 #, gcc-internal-format
 msgid "%<@optional%> is not available in Objective-C 1.0"
-msgstr ""
+msgstr "%<@optional%> không sẵn sàng trong Objective-C 1.0"
 
 #: objc/objc-act.c:705
 #, gcc-internal-format
 msgid "%<@required%> is not available in Objective-C 1.0"
-msgstr ""
+msgstr "%<@required%> không sẵn sàng trong Objective-C 1.0"
 
 #: objc/objc-act.c:713
 #, gcc-internal-format
 msgid "%<@optional%> is allowed in @protocol context only"
-msgstr ""
+msgstr "%<@optional%> chỉ cho phép tronh ngữ cảnh @protocol"
 
 #: objc/objc-act.c:715
 #, gcc-internal-format
 msgid "%<@required%> is allowed in @protocol context only"
-msgstr ""
+msgstr "%<@required%> chỉ được phép trong ngữ cảnh @protocol"
 
 #: objc/objc-act.c:822
 #, gcc-internal-format
 msgid "%<@property%> is not available in Objective-C 1.0"
-msgstr ""
+msgstr "%<@property%> không sẵn sàng trong Objective-C 1.0"
 
 #: objc/objc-act.c:826
 #, gcc-internal-format
 msgid "%<readonly%> attribute conflicts with %<readwrite%> attribute"
-msgstr ""
+msgstr "thuộc tính %<readonly%> xung đột với %<readwrite%>"
 
 #: objc/objc-act.c:843
 #, gcc-internal-format
 msgid "%<readonly%> attribute conflicts with %<setter%> attribute"
-msgstr ""
+msgstr "thuộc tính %<readonly%> xung đột với %<setter%>"
 
 #: objc/objc-act.c:849
 #, gcc-internal-format
@@ -46357,14 +46271,14 @@
 msgstr ""
 
 #: objc/objc-act.c:887
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "invalid property declaration"
-msgstr "lời tuyên bố loại có hướng"
+msgstr "khai báo thuộc tính không hợp lệ"
 
 #: objc/objc-act.c:895
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "property can not be an array"
-msgstr ""
+msgstr "Không thể mở tập tin « %file:1 »."
 
 #. A @property is not an actual variable, but it is a way to
 #. describe a pair of accessor methods, so its type (which is
@@ -46376,7 +46290,7 @@
 #: objc/objc-act.c:913
 #, gcc-internal-format
 msgid "property can not be a bit-field"
-msgstr ""
+msgstr "thuộc tính không thể là trường bít"
 
 #: objc/objc-act.c:945
 #, gcc-internal-format
@@ -46391,7 +46305,7 @@
 #: objc/objc-act.c:955
 #, gcc-internal-format
 msgid "%<retain%> attribute is only valid for Objective-C objects"
-msgstr ""
+msgstr "thuộc tính %<retain%> chỉ hợp lệ khi dùng với đối tượng trong Objective-C"
 
 #: objc/objc-act.c:959
 #, gcc-internal-format
@@ -46401,7 +46315,7 @@
 #: objc/objc-act.c:1013
 #, fuzzy, gcc-internal-format
 msgid "redeclaration of property %qD"
-msgstr "<lỗi tuyên bố>"
+msgstr "Thuộc tính gọi ngược không được hỗ trợ %d"
 
 #: objc/objc-act.c:1016 objc/objc-act.c:1081 objc/objc-act.c:1091
 #: objc/objc-act.c:1104 objc/objc-act.c:1115 objc/objc-act.c:1126
@@ -46410,7 +46324,7 @@
 #: objc/objc-act.c:7762
 #, gcc-internal-format
 msgid "originally specified here"
-msgstr ""
+msgstr "nguyên gốc được chỉ định ở đây"
 
 #: objc/objc-act.c:1078
 #, fuzzy, gcc-internal-format
@@ -46457,14 +46371,14 @@
 
 #. Again, this should never happen, but we do check.
 #: objc/objc-act.c:1658
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "could not find interface for class %qE"
-msgstr "không tìm thấy tập tin đặc tả %s\n"
+msgstr "không tìm thấy giao diện cho lớp %qE"
 
 #: objc/objc-act.c:1664 objc/objc-act.c:6813 objc/objc-act.c:6944
 #, gcc-internal-format
 msgid "class %qE is deprecated"
-msgstr ""
+msgstr "lớp %qE bị phản đối"
 
 #: objc/objc-act.c:1693
 #, gcc-internal-format
@@ -46526,9 +46440,9 @@
 msgstr ""
 
 #: objc/objc-act.c:2563
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "distinct Objective-C type in return"
-msgstr ""
+msgstr "%s đã trả lại kiểu car sai"
 
 #: objc/objc-act.c:2567
 #, gcc-internal-format
@@ -46637,7 +46551,7 @@
 #: objc/objc-act.c:3961 objc/objc-act.c:3989 objc/objc-act.c:4045
 #, gcc-internal-format
 msgid "duplicate instance variable %q+D"
-msgstr ""
+msgstr "trùng biến minh dụ %q+D"
 
 #: objc/objc-act.c:4105
 #, gcc-internal-format
@@ -46652,47 +46566,47 @@
 #: objc/objc-act.c:4195
 #, gcc-internal-format
 msgid "@catch parameter can not be protocol-qualified"
-msgstr ""
+msgstr "đối số @catch không thể là từ hạn định giao thức"
 
 #: objc/objc-act.c:4240
 #, gcc-internal-format
 msgid "exception of type %<%T%> will be caught"
-msgstr ""
+msgstr "ngoại lệ kiểu %<%T%> sẽ được bắt"
 
 #: objc/objc-act.c:4242
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "   by earlier handler for %<%T%>"
-msgstr ""
+msgstr "Không có bộ quản lý địa chỉ URI được thực hiện cho « %s »."
 
 #: objc/objc-act.c:4289
 #, gcc-internal-format
 msgid "%<@try%> without %<@catch%> or %<@finally%>"
-msgstr ""
+msgstr "%<@try%> không có %<@catch%> hay %<@finally%>"
 
 #: objc/objc-act.c:4317
 #, gcc-internal-format
 msgid "%<@throw%> (rethrow) used outside of a @catch block"
-msgstr ""
+msgstr "%<@throw%> (rethrow) được dùng ngoài một khối @catch"
 
 #: objc/objc-act.c:4330
 #, gcc-internal-format
 msgid "%<@throw%> argument is not an object"
-msgstr ""
+msgstr "%<@throw%> đối số không phải là một đối tượng"
 
 #: objc/objc-act.c:4351
 #, gcc-internal-format
 msgid "%<@synchronized%> argument is not an object"
-msgstr ""
+msgstr "%<@synchronized%> đối số không phải là một đối tượng"
 
 #: objc/objc-act.c:4559
 #, gcc-internal-format
 msgid "%s %qs"
-msgstr ""
+msgstr "%s %qs"
 
 #: objc/objc-act.c:4582 objc/objc-act.c:4601
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "inconsistent instance variable specification"
-msgstr ""
+msgstr "Sử dụng: %s [-v đặc_tả] tên_biến [đường_dẫn]\n"
 
 #: objc/objc-act.c:4658
 #, gcc-internal-format
@@ -46705,29 +46619,29 @@
 msgstr ""
 
 #: objc/objc-act.c:5085
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "multiple methods named %<%c%E%> found"
-msgstr ""
+msgstr "CẢNH BÁO : không tìm thấy yếu tố tên « %s ».\n"
 
 #: objc/objc-act.c:5088
 #, gcc-internal-format
 msgid "using %<%c%s%>"
-msgstr ""
+msgstr "đang dùng %<%c%s%>"
 
 #: objc/objc-act.c:5097
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "multiple selectors named %<%c%E%> found"
-msgstr ""
+msgstr "CẢNH BÁO : không tìm thấy yếu tố tên « %s ».\n"
 
 #: objc/objc-act.c:5100
 #, gcc-internal-format
 msgid "found %<%c%s%>"
-msgstr ""
+msgstr "tìm thấy %<%c%s%>"
 
 #: objc/objc-act.c:5109
 #, gcc-internal-format
 msgid "also found %<%c%s%>"
-msgstr ""
+msgstr "cũng tìm thấy %<%c%s%>"
 
 #. If 'rtype' is NULL_TREE at this point it means that
 #. we have seen no @interface corresponding to that
@@ -46755,7 +46669,7 @@
 #: objc/objc-act.c:5395 objc/objc-act.c:5529
 #, gcc-internal-format
 msgid "@interface of class %qE not found"
-msgstr ""
+msgstr "không tìm thấy @interface của lớp %qE"
 
 #: objc/objc-act.c:5403
 #, gcc-internal-format
@@ -46765,18 +46679,18 @@
 #: objc/objc-act.c:5454
 #, gcc-internal-format
 msgid "found %<-%E%> instead of %<+%E%> in protocol(s)"
-msgstr ""
+msgstr "tìm thấy %<-%E%> thay vì %<+%E%> trong giao thức"
 
 #. We have a type, but it's not an Objective-C type (!).
 #: objc/objc-act.c:5566
 #, gcc-internal-format
 msgid "invalid receiver type %qs"
-msgstr ""
+msgstr "kiểu bộ nhận không hợp lệ %qs"
 
 #: objc/objc-act.c:5583
 #, gcc-internal-format
 msgid "%<%c%E%> not found in protocol(s)"
-msgstr ""
+msgstr "%<%c%E%> không tìm thấy trong giao thức"
 
 #: objc/objc-act.c:5597
 #, gcc-internal-format
@@ -46786,7 +46700,7 @@
 #: objc/objc-act.c:5605
 #, gcc-internal-format
 msgid "no %<%c%E%> method found"
-msgstr ""
+msgstr "không tìm thấy phương thức %<%c%E%>"
 
 #: objc/objc-act.c:5612
 #, gcc-internal-format
@@ -46801,12 +46715,12 @@
 #: objc/objc-act.c:5616
 #, gcc-internal-format
 msgid "%<...%> as arguments.)"
-msgstr ""
+msgstr "%<...%> là các đối số.)"
 
 #: objc/objc-act.c:5725
 #, gcc-internal-format
 msgid "undeclared selector %qE"
-msgstr ""
+msgstr "bộ chọn chưa được khai báo %qE"
 
 #. Historically, a class method that produced objects (factory
 #. method) would assign `self' to the instance that it
@@ -46830,12 +46744,12 @@
 #: objc/objc-act.c:5984
 #, gcc-internal-format
 msgid "previous declaration of %<%c%E%> as %<@required%>"
-msgstr ""
+msgstr "khai báo trước đây của %<%c%E%> như là %<@required%>"
 
 #: objc/objc-act.c:6004
 #, gcc-internal-format
 msgid "previous declaration of %<%c%E%> as %<@optional%>"
-msgstr ""
+msgstr "khai báo trước đây của %<%c%E%> như là %<@optional%>"
 
 #: objc/objc-act.c:6064
 #, gcc-internal-format
@@ -46845,7 +46759,7 @@
 #: objc/objc-act.c:6068
 #, gcc-internal-format
 msgid "previous declaration of %<%c%E%>"
-msgstr ""
+msgstr "khai báo trước đây của %<%c%E%>"
 
 #: objc/objc-act.c:6105
 #, gcc-internal-format
@@ -46882,7 +46796,7 @@
 #: objc/objc-act.c:6270
 #, gcc-internal-format
 msgid "type %qE has virtual member functions"
-msgstr ""
+msgstr "kiểu %qE có các hàm thành viên ảo"
 
 #: objc/objc-act.c:6271
 #, gcc-internal-format
@@ -46920,9 +46834,9 @@
 msgstr ""
 
 #: objc/objc-act.c:6547 objc/objc-act.c:6662
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "incomplete implementation of class %qE"
-msgstr ""
+msgstr "nguồn có loại hạng không hoàn toàn"
 
 #: objc/objc-act.c:6551 objc/objc-act.c:6666
 #, gcc-internal-format
@@ -46930,9 +46844,9 @@
 msgstr ""
 
 #: objc/objc-act.c:6560 objc/objc-act.c:6674
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "method definition for %<%c%E%> not found"
-msgstr ""
+msgstr "Không tìm thấy lời xác định cho phân loại %s"
 
 #: objc/objc-act.c:6715
 #, gcc-internal-format
@@ -46945,9 +46859,9 @@
 msgstr ""
 
 #: objc/objc-act.c:6844
-#, gcc-internal-format
+#, fuzzy, gcc-internal-format
 msgid "reimplementation of class %qE"
-msgstr ""
+msgstr "Không rõ hạng ký hiệu : %c"
 
 #: objc/objc-act.c:6877
 #, gcc-internal-format
@@ -46957,12 +46871,12 @@
 #: objc/objc-act.c:6880
 #, gcc-internal-format
 msgid "previous declaration of %qE"
-msgstr ""
+msgstr "khai báo trước đây của %qE"
 
 #: objc/objc-act.c:6882
 #, gcc-internal-format
 msgid "previous declaration"
-msgstr ""
+msgstr "khai báo trước"
 
 #: objc/objc-act.c:6895 objc/objc-act.c:6897
 #, gcc-internal-format
@@ -46976,9 +46890,9 @@
 
 #. TODO: This should be caught much earlier than this.
 #: objc/objc-act.c:7377
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "invalid setter, it must have one argument"
-msgstr "gặp thanh ghi sai trong lệnh di chuyển"
+msgstr "bộ đặt không hợp lệ, nó phải có một đối số"
 
 #: objc/objc-act.c:7540 objc/objc-act.c:7755
 #, gcc-internal-format
@@ -47023,7 +46937,7 @@
 #: objc/objc-act.c:7699
 #, gcc-internal-format
 msgid "%<@synthesize%> is not available in Objective-C 1.0"
-msgstr "%<@synthesize%> không sẵn dùng trong Objective-C 1.0"
+msgstr "%<@synthesize%> không sẵn sàng trong Objective-C 1.0"
 
 #. We can get here only in Objective-C; the Objective-C++ parser
 #. detects the problem while parsing, outputs the error
@@ -47032,12 +46946,12 @@
 #: objc/objc-act.c:7710
 #, gcc-internal-format
 msgid "%<@synthesize%> not in @implementation context"
-msgstr ""
+msgstr "%<@synthesize%> không trong ngữ cảnh @implementation"
 
 #: objc/objc-act.c:7716
 #, gcc-internal-format
 msgid "%<@synthesize%> can not be used in categories"
-msgstr ""
+msgstr "%<@synthesize%> không thể được dùng trong các-ta-lốc"
 
 #: objc/objc-act.c:7725
 #, gcc-internal-format
@@ -47047,7 +46961,7 @@
 #: objc/objc-act.c:7808
 #, gcc-internal-format
 msgid "%<@dynamic%> is not available in Objective-C 1.0"
-msgstr "%<@dynamic%> không sẵn dùng trong Objective-C 1.0"
+msgstr "%<@dynamic%> không sẵn sàng trong Objective-C 1.0"
 
 #. We can get here only in Objective-C; the Objective-C++ parser
 #. detects the problem while parsing, outputs the error
@@ -47056,7 +46970,7 @@
 #: objc/objc-act.c:7819
 #, gcc-internal-format
 msgid "%<@dynamic%> not in @implementation context"
-msgstr ""
+msgstr "%<@dynamic%> không trong ngữ cảnh @implementation"
 
 #: objc/objc-act.c:7841
 #, gcc-internal-format
@@ -47074,7 +46988,7 @@
 #: objc/objc-act.c:8070
 #, gcc-internal-format
 msgid "protocol %qE is deprecated"
-msgstr ""
+msgstr "giao thức %qE bị phản đối"
 
 #: objc/objc-act.c:8189
 #, gcc-internal-format
@@ -47084,12 +46998,12 @@
 #: objc/objc-act.c:8699
 #, gcc-internal-format
 msgid "conflicting types for %<%c%s%>"
-msgstr ""
+msgstr "các kiểu xung đột với %<%c%s%>"
 
 #: objc/objc-act.c:8703
 #, gcc-internal-format
 msgid "previous declaration of %<%c%s%>"
-msgstr ""
+msgstr "khai báo trước của %<%c%s%>"
 
 #: objc/objc-act.c:8803
 #, gcc-internal-format
@@ -47099,7 +47013,7 @@
 #: objc/objc-act.c:8830
 #, gcc-internal-format
 msgid "[super ...] must appear in a method context"
-msgstr ""
+msgstr "[super ...] phải xuất hiện trong ngữ cảnh phương thức"
 
 #: objc/objc-act.c:8870
 #, gcc-internal-format
@@ -47163,7 +47077,7 @@
 #: objc/objc-gnu-runtime-abi-01.c:139
 #, gcc-internal-format
 msgid "%<-fobjc-sjlj-exceptions%> is ignored for %<-fgnu-runtime%>"
-msgstr ""
+msgstr "%<-fobjc-sjlj-exceptions%> bị bỏ qua đối với %<-fgnu-runtime%>"
 
 #: objc/objc-gnu-runtime-abi-01.c:2166 objc/objc-next-runtime-abi-01.c:2849
 #: objc/objc-next-runtime-abi-02.c:3614
@@ -47188,205 +47102,3 @@
 
 #~ msgid "%s:not a gcov graph file\n"
 #~ msgstr "%s: không phải là một tập tin đồ thị gcov\n"
-
-#~ msgid "Unexpected type..."
-#~ msgstr "Kiểu bất thường..."
-
-#~ msgid "Select fraction of the maximal count of repetitions of basic block in program given basic block needs to have to be considered hot"
-#~ msgstr "Chọn phân số của số tối đa đếm lần lặp lại khối cơ bản trong chương trình mà cũng quy định rằng khối cơ bản cần phải được thấy là nóng"
-
-#~ msgid "Minimum number of virtual mappings to consider switching to full virtual renames"
-#~ msgstr "Số tối thiểu các sự ánh xạ ảo cần suy tính nên chuyển đổi sang tên ảo đầy đủ"
-
-#~ msgid "Ratio between virtual mappings and virtual symbols to do full virtual renames"
-#~ msgstr "Tỷ lệ giữa sự ánh xạ ảo và ký hiệu ảo để thực hiện việc thay đổi tên ảo đầy đủ"
-
-#~ msgid "operand is neither a constant nor a condition code, invalid operand code 'C'"
-#~ msgstr "toán hạng không phải là hằng số, cũng không phải là một mã điều kiện, mã toán hạng sai 'C'"
-
-#~ msgid "operand is neither a constant nor a condition code, invalid operand code 'F'"
-#~ msgstr "toán hạng không phải là hằng số, cũng không phải là một mã điều kiện, mã toán hạng sai 'F'"
-
-#~ msgid "operand is neither a constant nor a condition code, invalid operand code 'c'"
-#~ msgstr "toán hạng không phải là hằng số, cũng không phải là một mã điều kiện, mã toán hạng sai 'c'"
-
-#~ msgid "operand is neither a constant nor a condition code, invalid operand code 'f'"
-#~ msgstr "toán hạng không phải là hằng số, cũng không phải là một mã điều kiện, mã toán hạng sai 'f'"
-
-#~ msgid "mips_debugger_offset called with non stack/frame/arg pointer"
-#~ msgstr "mips_debugger_offset bị gọi mà không có hàm trỏ tới đống/khung/đối_số"
-
-#~ msgid "invalid %%c value"
-#~ msgstr "giá trị %%c sai"
-
-#, fuzzy
-#~ msgid "-I <dir>.\tAdd <dir> to the end of the main source path"
-#~ msgstr "-I <thư_mục>\tPhụ thêm thư mục này vào đường dẫn bao gồm chính"
-
-#~ msgid "Do not look for source files in standard path"
-#~ msgstr "Không tìm các tập tin mã nguồn trong đường dẫn tiêu chuẩn"
-
-#~ msgid "Assume GAS"
-#~ msgstr "Giả sử GAS"
-
-#~ msgid "Do not assume GAS"
-#~ msgstr "Đừng giả sử GAS"
-
-#~ msgid "Use POWER instruction set"
-#~ msgstr "Sử dụng tập hợp câu lệnh POWER"
-
-#~ msgid "Do not use POWER instruction set"
-#~ msgstr "Đừng sử dụng tập hợp câu lệnh POWER"
-
-#~ msgid "Use POWER2 instruction set"
-#~ msgstr "Sử dụng tập hợp câu lệnh POWER2"
-
-#~ msgid "Use PowerPC instruction set"
-#~ msgstr "Sử dụng tập hợp câu lệnh PowerPC"
-
-#~ msgid "Use new mnemonics for PowerPC architecture"
-#~ msgstr "Sử dụng phím gọi nhớ mới cho kiến trúc PowerPC"
-
-#~ msgid "Use old mnemonics for PowerPC architecture"
-#~ msgstr "Sử dụng phím gọi nhớ cũ cho kiến trúc PowerPC"
-
-#~ msgid "Throttle unrolling to avoid thrashing target registers unless the unroll benefit outweighs this"
-#~ msgstr "Điều chỉnh tốc độ bỏ cuộn để tránh quá tải thanh ghi đích, nếu lợi ích bỏ cuộn không có nhiều giá trị hơn"
-
-#~ msgid "Enable the use of the fused floating point multiply-accumulate operation"
-#~ msgstr "Hiệu lực sử dụng thao tác nhân-tích_lũy loại điểm phù động hợp nhau"
-
-#~ msgid "Cirrus: Place NOPs to avoid invalid instruction combinations"
-#~ msgstr "Cirrus: Để các NOP để tránh sai kết hợp các câu lệnh"
-
-#~ msgid "Ignore dllimport attribute for functions"
-#~ msgstr "Bỏ qua thuộc tính dllimport về hàm"
-
-#~ msgid "Use rjmp/rcall (limited range) on >8K devices"
-#~ msgstr "Sử dụng rjmp/rcall (phạm vi bị hạn chế) trên thiết bị >8K"
-
-#~ msgid "Support Green Hills ABI"
-#~ msgstr "Hỗ trợ ABI Green Hills"
-
-#, fuzzy
-#~ msgid "Enable Loop Flattening transformation"
-#~ msgstr "Hiệu lực câu lệnh có số không đi trước"
-
-#, fuzzy
-#~ msgid "bad size for make"
-#~ msgstr "sai lập lệnh cho 'A'"
-
-#, fuzzy
-#~ msgid "invalid unsafe.Pointer conversion"
-#~ msgstr "sai lập ràng buộc cho toán hạng"
-
-#~ msgid "unrecognized option %<-%s%>"
-#~ msgstr "không thừa nhận tùy chọn %<-%s%>"
-
-#~ msgid "can%'t seek PCH file: %m"
-#~ msgstr "can%'t seek tập tin PCH: %m"
-
-#, fuzzy
-#~ msgid "the file is not in OpenScop format"
-#~ msgstr "chiều rộng của trường theo định dạng printf"
-
-#~ msgid "the language is not recognized"
-#~ msgstr "không chấp nhận ngôn ngữ"
-
-#~ msgid "can%'t open %s for reading: %m"
-#~ msgstr "can%'t mở %s để đọc: %m"
-
-#, fuzzy
-#~ msgid "cannot find LTO varpool in %s"
-#~ msgstr "[không tìm thấy %s]"
-
-#~ msgid "def operand missing for stmt"
-#~ msgstr "thiếu toán hạng def cho stmt"
-
-#~ msgid "%qs is not a valid output file"
-#~ msgstr "%qs không phải là tập tin đầu ra hợp lệ"
-
-#~ msgid "can%'t seek in %s: %m"
-#~ msgstr "can%'t seek trong %s: %m"
-
-#~ msgid "Thumb-2 iWMMXt"
-#~ msgstr "Thumb-2 iWMMXt"
-
-#~ msgid "-maix64 and POWER architecture are incompatible"
-#~ msgstr "-maix64 và kiến trúc POWER là không tương thích"
-
-#~ msgid ""
-#~ "Internal error: %s (program %s)\n"
-#~ "Please submit a full bug report.\n"
-#~ "See %s for instructions."
-#~ msgstr ""
-#~ "Gặp lỗi nội bộ: %s (chương trình %s)\n"
-#~ "Hãy gửi một báo cáo lỗi đầy đủ.\n"
-#~ "Xem %s để tìm hướng dẫn."
-
-#~ msgid "  -combine                 Pass multiple source files to compiler at once\n"
-#~ msgstr "  -combine                 Gửi đồng thời nhiều tập tin nguồn cho bộ biên dịch\n"
-
-#~ msgid "  -b <machine>             Run gcc for target <machine>, if installed\n"
-#~ msgstr "  -b <máy>             Chạy gcc cho máy đích này (nếu được cài đặt)\n"
-
-#~ msgid "  -V <version>             Run gcc version number <version>, if installed\n"
-#~ msgstr "  -V <phiên_bản>             Chạy gcc phiên bản này (nếu được cài đặt)\n"
-
-#~ msgid "couldn't run '%s': %s"
-#~ msgstr "không thể chạy « %s »: %s"
-
-#~ msgid "couldn't run '%s': %s: %s"
-#~ msgstr "không thể chạy « %s »: %s: %s"
-
-#~ msgid "argument to '-Xpreprocessor' is missing"
-#~ msgstr "đối số tới « -Xpreprocessor » còn thiếu"
-
-#~ msgid "argument to '-Xassembler' is missing"
-#~ msgstr "đối số tới « -Xassembler » còn thiếu"
-
-#~ msgid "argument to '-l' is missing"
-#~ msgstr "đối số tới « -l » còn thiếu"
-
-#~ msgid "argument to '-specs' is missing"
-#~ msgstr "đối số tới « -specs » còn thiếu"
-
-#~ msgid "argument to '-specs=' is missing"
-#~ msgstr "đối số tới « -specs= » còn thiếu"
-
-#~ msgid "argument to '-wrapper' is missing"
-#~ msgstr "đối số tới « -wrapper » còn thiếu"
-
-#~ msgid "'-%c' must come at the start of the command line"
-#~ msgstr "« -%c » phải nằm ở đầu của dòng lệnh"
-
-#~ msgid "argument to '-B' is missing"
-#~ msgstr "đối số tới « -B » còn thiếu"
-
-#~ msgid "argument to '-x' is missing"
-#~ msgstr "đối số tới « -x » còn thiếu"
-
-#~ msgid "invalid LTO mode"
-#~ msgstr "sai lập chế độ LTO"
-
-#~ msgid ""
-#~ "\n"
-#~ "Execution times (seconds)\n"
-#~ msgstr ""
-#~ "\n"
-#~ "Thời gian thực hiện (giây)\n"
-
-#~ msgid " TOTAL                 :"
-#~ msgstr " TỔNG                 :"
-
-#~ msgid "time in %s: %ld.%06ld (%ld%%)\n"
-#~ msgstr "thời gian theo %s: %ld.%06ld (%ld%%)\n"
-
-#~ msgid "assuming signed overflow does not occur when simplifying ==, != or ! to identity or ^"
-#~ msgstr "giả sử rằng sự tràn đã ký không xảy ra khi giản dị hoá ==, != hoặc ! tới đặc tính hoặc ^"
-
-#~ msgid "The threshold ratio between current and hottest structure counts"
-#~ msgstr "Tỷ lệ ngưỡng giữa số đếm cấu trúc hiện thời và nóng nhất"
-
-#~ msgid "invalid operand to %%V code"
-#~ msgstr "sai lập toán hạng tới mã %%V"
Index: gcc/po/sv.po
===================================================================
--- gcc/po/sv.po	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/po/sv.po	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -13,10 +13,10 @@
 # rank			ordning
 msgid ""
 msgstr ""
-"Project-Id-Version: gcc 4.8-b20130224\n"
+"Project-Id-Version: gcc 4.8.0\n"
 "Report-Msgid-Bugs-To: http://gcc.gnu.org/bugs.html\n"
-"POT-Creation-Date: 2013-02-24 01:09+0000\n"
-"PO-Revision-Date: 2013-03-17 10:56+0100\n"
+"POT-Creation-Date: 2013-03-15 17:42+0000\n"
+"PO-Revision-Date: 2013-04-28 12:52+0200\n"
 "Last-Translator: Göran Uddeborg <goeran@uddeborg.se>\n"
 "Language-Team: Swedish <tp-sv@listor.tp-sv.se>\n"
 "Language: sv\n"
@@ -25,19 +25,19 @@
 "Content-Transfer-Encoding: 8-bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: cfgrtl.c:2320
+#: cfgrtl.c:2318
 msgid "flow control insn inside a basic block"
 msgstr "flödesstyrningsinstruktion inuti grundblock"
 
-#: cfgrtl.c:2448
+#: cfgrtl.c:2446
 msgid "wrong insn in the fallthru edge"
 msgstr "fel instruktion i fall-igenom-bågen"
 
-#: cfgrtl.c:2502
+#: cfgrtl.c:2500
 msgid "insn outside basic block"
 msgstr "instruktion utanför grundblock"
 
-#: cfgrtl.c:2509
+#: cfgrtl.c:2507
 msgid "return not followed by barrier"
 msgstr "retur inte följt av en barriär"
 
@@ -143,7 +143,7 @@
 msgid "%s:%d: confused by earlier errors, bailing out\n"
 msgstr "%s:%d: förvirrad av tidigare fel, hoppar ut\n"
 
-#: diagnostic.c:1126
+#: diagnostic.c:1129
 #, c-format
 msgid "Internal compiler error: Error reporting routines re-entered.\n"
 msgstr "Internt kompilatorfel: Felhanteringsrutiner återanropade.\n"
@@ -206,12 +206,12 @@
 msgid "invalid expression as operand"
 msgstr "ogiltigt uttryck som operand"
 
-#: gcc.c:1402
+#: gcc.c:1403
 #, c-format
 msgid "Using built-in specs.\n"
 msgstr "Använder inbyggda specifikationer.\n"
 
-#: gcc.c:1599
+#: gcc.c:1600
 #, c-format
 msgid ""
 "Setting spec %s to '%s'\n"
@@ -220,22 +220,22 @@
 "Ställer in specifikationer %s till ”%s”\n"
 "\n"
 
-#: gcc.c:1708
+#: gcc.c:1709
 #, c-format
 msgid "Reading specs from %s\n"
 msgstr "Läser specifikationer från %s\n"
 
-#: gcc.c:1833
+#: gcc.c:1834
 #, c-format
 msgid "could not find specs file %s\n"
 msgstr "kunde inte hitta specs-filen %s\n"
 
-#: gcc.c:1902
+#: gcc.c:1903
 #, c-format
 msgid "rename spec %s to %s\n"
 msgstr "byter namn på specifikation %s till %s\n"
 
-#: gcc.c:1904
+#: gcc.c:1905
 #, c-format
 msgid ""
 "spec is '%s'\n"
@@ -244,12 +244,12 @@
 "specifikation är ”%s”\n"
 "\n"
 
-#: gcc.c:2337
+#: gcc.c:2338
 #, c-format
 msgid "%s\n"
 msgstr "%s\n"
 
-#: gcc.c:2704
+#: gcc.c:2705
 #, c-format
 msgid ""
 "\n"
@@ -258,77 +258,77 @@
 "\n"
 "Fortsätta? (y eller n) "
 
-#: gcc.c:2844
+#: gcc.c:2845
 #, c-format
 msgid "# %s %.2f %.2f\n"
 msgstr "# %s %.2f %.2f\n"
 
-#: gcc.c:3047
+#: gcc.c:3048
 #, c-format
 msgid "Usage: %s [options] file...\n"
 msgstr "Användning: %s [flaggor] fil...\n"
 
-#: gcc.c:3048
+#: gcc.c:3049
 msgid "Options:\n"
 msgstr "Flaggor:\n"
 
-#: gcc.c:3050
+#: gcc.c:3051
 msgid "  -pass-exit-codes         Exit with highest error code from a phase\n"
 msgstr "  -pass-exit-codes         Avsluta med högsta felkoden från någon av faserna\n"
 
-#: gcc.c:3051
+#: gcc.c:3052
 msgid "  --help                   Display this information\n"
 msgstr "  --help                   Visa den här informationen\n"
 
-#: gcc.c:3052
+#: gcc.c:3053
 msgid "  --target-help            Display target specific command line options\n"
 msgstr "  --target-help            Visa specifika kommandoradsflaggor för mål\n"
 
-#: gcc.c:3053
+#: gcc.c:3054
 msgid "  --help={common|optimizers|params|target|warnings|[^]{joined|separate|undocumented}}[,...]\n"
 msgstr "  --help={common|optimizers|params|target|warnings|[^]{joined|separate|undocumented}}[,…]\n"
 
-#: gcc.c:3054
+#: gcc.c:3055
 msgid "                           Display specific types of command line options\n"
 msgstr "                           Visa specifika typer av kommandoradsflaggor\n"
 
-#: gcc.c:3056
+#: gcc.c:3057
 msgid "  (Use '-v --help' to display command line options of sub-processes)\n"
 msgstr "  (Använd '-v --help' för att visa kommandoradsflaggor för barnprocesser)\n"
 
-#: gcc.c:3057
+#: gcc.c:3058
 msgid "  --version                Display compiler version information\n"
 msgstr "  --version                Visa information om kompilatorversion\n"
 
-#: gcc.c:3058
+#: gcc.c:3059
 msgid "  -dumpspecs               Display all of the built in spec strings\n"
 msgstr "  -dumpspecs               Visa de inbyggda spec-strängarna\n"
 
-#: gcc.c:3059
+#: gcc.c:3060
 msgid "  -dumpversion             Display the version of the compiler\n"
 msgstr "  -dumpversion             Visa kompilatorns version\n"
 
-#: gcc.c:3060
+#: gcc.c:3061
 msgid "  -dumpmachine             Display the compiler's target processor\n"
 msgstr "  -dumpmachine             Visa kompilatorns målprocessor\n"
 
-#: gcc.c:3061
+#: gcc.c:3062
 msgid "  -print-search-dirs       Display the directories in the compiler's search path\n"
 msgstr "  -print-search-dirs       Visa katalogerna i kompilatorns sökväg\n"
 
-#: gcc.c:3062
+#: gcc.c:3063
 msgid "  -print-libgcc-file-name  Display the name of the compiler's companion library\n"
 msgstr "  -print-libgcc-file-name  Visa namnet på kompilatorns medföljande bibliotek\n"
 
-#: gcc.c:3063
+#: gcc.c:3064
 msgid "  -print-file-name=<lib>   Display the full path to library <lib>\n"
 msgstr "  -print-file-name=<bib>   Visa hela sökvägen till länkbibliotek <bib>\n"
 
-#: gcc.c:3064
+#: gcc.c:3065
 msgid "  -print-prog-name=<prog>  Display the full path to compiler component <prog>\n"
 msgstr "  -print-prog-name=<prog>  Visa hela sökvägen till kompilatorkomponenten <prog>\n"
 
-#: gcc.c:3065
+#: gcc.c:3066
 msgid ""
 "  -print-multiarch         Display the target's normalized GNU triplet, used as\n"
 "                           a component in the library path\n"
@@ -336,11 +336,11 @@
 "  -print-multiarch         Visa målets normaliserade GNU-trippel, använd som\n"
 "                           en del i bibliotekssökvägen\n"
 
-#: gcc.c:3068
+#: gcc.c:3069
 msgid "  -print-multi-directory   Display the root directory for versions of libgcc\n"
 msgstr "  -print-multi-directory   Visa rotkatalogen för olika versioner av libgcc\n"
 
-#: gcc.c:3069
+#: gcc.c:3070
 msgid ""
 "  -print-multi-lib         Display the mapping between command line options and\n"
 "                           multiple library search directories\n"
@@ -348,51 +348,51 @@
 "  -print-multi-lib         Visa avbildningen mellan kommandoradsflaggor och\n"
 "                           multipla biblioteks sökkataloger\n"
 
-#: gcc.c:3072
+#: gcc.c:3073
 msgid "  -print-multi-os-directory Display the relative path to OS libraries\n"
 msgstr "  -print-multi-os-directory Visa den relativa sökvägen till OS-bibliotek\n"
 
-#: gcc.c:3073
+#: gcc.c:3074
 msgid "  -print-sysroot           Display the target libraries directory\n"
 msgstr "  -print-sysroot           Visa katalogen för målbibliotek\n"
 
-#: gcc.c:3074
+#: gcc.c:3075
 msgid "  -print-sysroot-headers-suffix Display the sysroot suffix used to find headers\n"
 msgstr "  -print-sysroot-headers-suffix Visa sysroot-suffixet som används för att hitta huvuden\n"
 
-#: gcc.c:3075
+#: gcc.c:3076
 msgid "  -Wa,<options>            Pass comma-separated <options> on to the assembler\n"
 msgstr "  -Wa,<flaggor>            Skicka kommaseparerade <flaggor> till assembleraren\n"
 
-#: gcc.c:3076
+#: gcc.c:3077
 msgid "  -Wp,<options>            Pass comma-separated <options> on to the preprocessor\n"
 msgstr "  -Wp,<flaggor>            Skicka kommaseparerade <flaggor> till preprocessorn\n"
 
-#: gcc.c:3077
+#: gcc.c:3078
 msgid "  -Wl,<options>            Pass comma-separated <options> on to the linker\n"
 msgstr "  -Wl,<flaggor>            Skicka kommaseparerade <flaggor> till länkaren\n"
 
-#: gcc.c:3078
+#: gcc.c:3079
 msgid "  -Xassembler <arg>        Pass <arg> on to the assembler\n"
 msgstr "  -Xassembler <arg>        Skicka <arg> vidare till assemblern\n"
 
-#: gcc.c:3079
+#: gcc.c:3080
 msgid "  -Xpreprocessor <arg>     Pass <arg> on to the preprocessor\n"
 msgstr "  -Xpreprocessor <arg>     Skicka <arg> vidare till preprocessorn\n"
 
-#: gcc.c:3080
+#: gcc.c:3081
 msgid "  -Xlinker <arg>           Pass <arg> on to the linker\n"
 msgstr "  -Xlinker <arg>           Skicka <arg> vidare till länkaren\n"
 
-#: gcc.c:3081
+#: gcc.c:3082
 msgid "  -save-temps              Do not delete intermediate files\n"
 msgstr "  -save-temps              Radera inte temporära filer\n"
 
-#: gcc.c:3082
+#: gcc.c:3083
 msgid "  -save-temps=<arg>        Do not delete intermediate files\n"
 msgstr "  -save-temps=<arg>        Radera inte temporära filer\n"
 
-#: gcc.c:3083
+#: gcc.c:3084
 msgid ""
 "  -no-canonical-prefixes   Do not canonicalize paths when building relative\n"
 "                           prefixes to other gcc components\n"
@@ -400,23 +400,23 @@
 "  -no-canonical-prefixes   Kanonisera inte sökvägar när relativa prefix\n"
 "                           byggs till andra gcc-komponenter\n"
 
-#: gcc.c:3086
+#: gcc.c:3087
 msgid "  -pipe                    Use pipes rather than intermediate files\n"
 msgstr "  -pipe                    Använd rör istället för temporära filer\n"
 
-#: gcc.c:3087
+#: gcc.c:3088
 msgid "  -time                    Time the execution of each subprocess\n"
 msgstr "  -time                    Mät tiden det tar att exekvera varje barnprocess\n"
 
-#: gcc.c:3088
+#: gcc.c:3089
 msgid "  -specs=<file>            Override built-in specs with the contents of <file>\n"
 msgstr "  -specs=<fil>             Ersätt inbyggda specs med innehållet i <fil>\n"
 
-#: gcc.c:3089
+#: gcc.c:3090
 msgid "  -std=<standard>          Assume that the input sources are for <standard>\n"
 msgstr "  -std=<standard>          Antag att källkodsfilerna är för <standard>\n"
 
-#: gcc.c:3090
+#: gcc.c:3091
 msgid ""
 "  --sysroot=<directory>    Use <directory> as the root directory for headers\n"
 "                           and libraries\n"
@@ -424,45 +424,45 @@
 "  --sysroot=<katalog>      Använd <katalog> som rotkatalogen för huvuden och\n"
 "                           bibliotek\n"
 
-#: gcc.c:3093
+#: gcc.c:3094
 msgid "  -B <directory>           Add <directory> to the compiler's search paths\n"
 msgstr "  -B <katalog>             Lägg till <katalog> till kompilatorns sökvägar\n"
 
-#: gcc.c:3094
+#: gcc.c:3095
 msgid "  -v                       Display the programs invoked by the compiler\n"
 msgstr "  -v                       Visa vilka program som körs av kompilatorn\n"
 
-#: gcc.c:3095
+#: gcc.c:3096
 msgid "  -###                     Like -v but options quoted and commands not executed\n"
 msgstr "  -###                     Som -v men flaggor citerade och kommandon inte körda\n"
 
-#: gcc.c:3096
+#: gcc.c:3097
 msgid "  -E                       Preprocess only; do not compile, assemble or link\n"
 msgstr ""
 "  -E                       Preprocessa bara; kompilera, assemblera och\n"
 "                           länka inte\n"
 
-#: gcc.c:3097
+#: gcc.c:3098
 msgid "  -S                       Compile only; do not assemble or link\n"
 msgstr "  -S                       Kompilera bara; assemblera och länka inte\n"
 
-#: gcc.c:3098
+#: gcc.c:3099
 msgid "  -c                       Compile and assemble, but do not link\n"
 msgstr "  -c                       Kompilera och assemblera, men länka inte\n"
 
-#: gcc.c:3099
+#: gcc.c:3100
 msgid "  -o <file>                Place the output into <file>\n"
 msgstr "  -o <fil>                 Placera utdata i <fil>\n"
 
-#: gcc.c:3100
+#: gcc.c:3101
 msgid "  -pie                     Create a position independent executable\n"
 msgstr "  -pie                     Skapa ett positionsoberoende körbart program\n"
 
-#: gcc.c:3101
+#: gcc.c:3102
 msgid "  -shared                  Create a shared library\n"
 msgstr "  -shared                  Skapa ett delat bibliotek\n"
 
-#: gcc.c:3102
+#: gcc.c:3103
 msgid ""
 "  -x <language>            Specify the language of the following input files\n"
 "                           Permissible languages include: c c++ assembler none\n"
@@ -474,7 +474,7 @@
 "                           ”none” innebär att man använder standardmetoden\n"
 "                           att gissa språk beroende på filens ändelse\n"
 
-#: gcc.c:3109
+#: gcc.c:3110
 #, c-format
 msgid ""
 "\n"
@@ -487,27 +487,27 @@
 "vidare till de barnprocesser som startas av %s. För att skicka med andra\n"
 "flaggor till dessa processer måste flaggan -W<bokstav> användas.\n"
 
-#: gcc.c:5364
+#: gcc.c:5365
 #, c-format
 msgid "Processing spec (%s), which is '%s'\n"
 msgstr "Bearbetar specifikationen (%s), som är ”%s”\n"
 
-#: gcc.c:6649
+#: gcc.c:6651
 #, c-format
 msgid "install: %s%s\n"
 msgstr "installation: %s%s\n"
 
-#: gcc.c:6652
+#: gcc.c:6654
 #, c-format
 msgid "programs: %s\n"
 msgstr "program: %s\n"
 
-#: gcc.c:6654
+#: gcc.c:6656
 #, c-format
 msgid "libraries: %s\n"
 msgstr "bibliotek: %s\n"
 
-#: gcc.c:6738
+#: gcc.c:6740
 #, c-format
 msgid ""
 "\n"
@@ -518,16 +518,16 @@
 "<tp-sv@listor.tp-sv.se>.\n"
 "För felrapporteringsinstruktioner i övrigt, se:\n"
 
-#: gcc.c:6754
+#: gcc.c:6756
 #, c-format
 msgid "%s %s%s\n"
 msgstr "%s %s%s\n"
 
-#: gcc.c:6757 gcov.c:491 fortran/gfortranspec.c:303 java/jcf-dump.c:1230
+#: gcc.c:6759 gcov.c:491 fortran/gfortranspec.c:303 java/jcf-dump.c:1230
 msgid "(C)"
 msgstr "©"
 
-#: gcc.c:6758 java/jcf-dump.c:1231
+#: gcc.c:6760 java/jcf-dump.c:1231
 #, c-format
 msgid ""
 "This is free software; see the source for copying conditions.  There is NO\n"
@@ -539,32 +539,32 @@
 "SPECIELLT ÄNDAMÅL.\n"
 "\n"
 
-#: gcc.c:6775
+#: gcc.c:6777
 #, c-format
 msgid "Target: %s\n"
 msgstr "Mål: %s\n"
 
-#: gcc.c:6776
+#: gcc.c:6778
 #, c-format
 msgid "Configured with: %s\n"
 msgstr "Konfigurerad med: %s\n"
 
-#: gcc.c:6790
+#: gcc.c:6792
 #, c-format
 msgid "Thread model: %s\n"
 msgstr "Trådmodell: %s\n"
 
-#: gcc.c:6801
+#: gcc.c:6803
 #, c-format
 msgid "gcc version %s %s\n"
 msgstr "gcc version %s %s\n"
 
-#: gcc.c:6804
+#: gcc.c:6806
 #, c-format
 msgid "gcc driver version %s %sexecuting gcc version %s\n"
 msgstr "gcc-drivrutin version %s %skör gcc version %s\n"
 
-#: gcc.c:7058
+#: gcc.c:7061
 #, c-format
 msgid ""
 "\n"
@@ -577,7 +577,7 @@
 "================\n"
 "\n"
 
-#: gcc.c:7059
+#: gcc.c:7062
 #, c-format
 msgid ""
 "Use \"-Wl,OPTION\" to pass \"OPTION\" to the linker.\n"
@@ -586,7 +586,7 @@
 "Använd ”-Wl,FLAGGA” för att skicka ”FLAGGA” till länkaren.\n"
 "\n"
 
-#: gcc.c:8276
+#: gcc.c:8279
 #, c-format
 msgid ""
 "Assembler options\n"
@@ -597,7 +597,7 @@
 "================\n"
 "\n"
 
-#: gcc.c:8277
+#: gcc.c:8280
 #, c-format
 msgid ""
 "Use \"-Wa,OPTION\" to pass \"OPTION\" to the assembler.\n"
@@ -1028,17 +1028,17 @@
 msgid "ignoring nonexistent directory \"%s\"\n"
 msgstr "ignorerar ej existerande katalog ”%s”\n"
 
-#: incpath.c:363
+#: incpath.c:374
 #, c-format
 msgid "#include \"...\" search starts here:\n"
 msgstr "#include \"...\" sökning startar här:\n"
 
-#: incpath.c:367
+#: incpath.c:378
 #, c-format
 msgid "#include <...> search starts here:\n"
 msgstr "#include <...> sökning startar här:\n"
 
-#: incpath.c:372
+#: incpath.c:383
 #, c-format
 msgid "End of search list.\n"
 msgstr "Slut på söklistan.\n"
@@ -1069,44 +1069,44 @@
 msgid "At top level:"
 msgstr "På toppnivå:"
 
-#: langhooks.c:400 cp/error.c:3038
+#: langhooks.c:400 cp/error.c:3042
 #, c-format
 msgid "In member function %qs"
 msgstr "I medlemsfunktion %qs"
 
-#: langhooks.c:404 cp/error.c:3041
+#: langhooks.c:404 cp/error.c:3045
 #, c-format
 msgid "In function %qs"
 msgstr "I funktion %qs"
 
-#: langhooks.c:455 cp/error.c:2991
+#: langhooks.c:455 cp/error.c:2995
 #, c-format
 msgid "    inlined from %qs at %s:%d:%d"
 msgstr "    inline:ad från %qs vid %s:%d:%d"
 
-#: langhooks.c:460 cp/error.c:2996
+#: langhooks.c:460 cp/error.c:3000
 #, c-format
 msgid "    inlined from %qs at %s:%d"
 msgstr "    inline:ad från %qs vid %s:%d"
 
-#: langhooks.c:466 cp/error.c:3002
+#: langhooks.c:466 cp/error.c:3006
 #, c-format
 msgid "    inlined from %qs"
 msgstr "    inline:ad från %qs"
 
-#: loop-iv.c:3029 tree-ssa-loop-niter.c:1924
+#: loop-iv.c:3029 tree-ssa-loop-niter.c:1925
 msgid "assuming that the loop is not infinite"
 msgstr "antar att slingan inte är oändlig"
 
-#: loop-iv.c:3030 tree-ssa-loop-niter.c:1925
+#: loop-iv.c:3030 tree-ssa-loop-niter.c:1926
 msgid "cannot optimize possibly infinite loops"
 msgstr "kan inte optimera potentiellt oändliga slingor"
 
-#: loop-iv.c:3038 tree-ssa-loop-niter.c:1929
+#: loop-iv.c:3038 tree-ssa-loop-niter.c:1930
 msgid "assuming that the loop counter does not overflow"
 msgstr "antar att slingräknaren inte spiller över"
 
-#: loop-iv.c:3039 tree-ssa-loop-niter.c:1930
+#: loop-iv.c:3039 tree-ssa-loop-niter.c:1931
 msgid "cannot optimize loop, the loop counter may overflow"
 msgstr "kan inte optimera slinga, slingräknaren kan spilla över"
 
@@ -1184,78 +1184,78 @@
 msgid "This switch lacks documentation"
 msgstr "Denna flagga saknar dokumentation"
 
-#: opts.c:1015
+#: opts.c:1018
 msgid "[default]"
 msgstr "[standard]"
 
-#: opts.c:1026
+#: opts.c:1029
 msgid "[enabled]"
 msgstr "[aktiverad]"
 
-#: opts.c:1026
+#: opts.c:1029
 msgid "[disabled]"
 msgstr "[avslagen]"
 
-#: opts.c:1045
+#: opts.c:1048
 #, c-format
 msgid " No options with the desired characteristics were found\n"
 msgstr " Det finns inga flaggor med de eftersökta egenskaperna\n"
 
-#: opts.c:1054
+#: opts.c:1057
 #, c-format
 msgid " None found.  Use --help=%s to show *all* the options supported by the %s front-end\n"
 msgstr " Det fanns inga.  Använd --help=%s för att visa *alla* flaggorna som stödjs av framänden %s\n"
 
-#: opts.c:1060
+#: opts.c:1063
 #, c-format
 msgid " All options with the desired characteristics have already been displayed\n"
 msgstr " Alla flaggor med de eftersökta egenskaperna har redan visats\n"
 
-#: opts.c:1155
+#: opts.c:1158
 msgid "The following options are target specific"
 msgstr "Följande flaggor är målberoende"
 
-#: opts.c:1158
+#: opts.c:1161
 msgid "The following options control compiler warning messages"
 msgstr "Följande flaggor styr kompilatorns varningsmeddelanden"
 
-#: opts.c:1161
+#: opts.c:1164
 msgid "The following options control optimizations"
 msgstr "Följande flaggor styr optimeringar"
 
-#: opts.c:1164 opts.c:1203
+#: opts.c:1167 opts.c:1206
 msgid "The following options are language-independent"
 msgstr "Följande flaggor är språkoberoende"
 
-#: opts.c:1167
+#: opts.c:1170
 msgid "The --param option recognizes the following as parameters"
 msgstr "Flaggan --param accepterar följande som parametrar"
 
-#: opts.c:1173
+#: opts.c:1176
 msgid "The following options are specific to just the language "
 msgstr "Följande flaggor är specifika för just språket"
 
-#: opts.c:1175
+#: opts.c:1178
 msgid "The following options are supported by the language "
 msgstr "Följande flaggor stödjs av språket"
 
-#: opts.c:1186
+#: opts.c:1189
 msgid "The following options are not documented"
 msgstr "Följande flaggor är inte dokumenterade"
 
-#: opts.c:1188
+#: opts.c:1191
 msgid "The following options take separate arguments"
 msgstr "Följande flaggor tar separata argument"
 
-#: opts.c:1190
+#: opts.c:1193
 msgid "The following options take joined arguments"
 msgstr "Följande flaggor tar sammanslagna argument"
 
-#: opts.c:1201
+#: opts.c:1204
 msgid "The following options are language-related"
 msgstr "Följande flaggor är språkrelaterade"
 
-#: opts.c:2078
+#: opts.c:2081
 msgid "enabled by default"
 msgstr "aktiverat som standard"
 
@@ -2447,7 +2447,7 @@
 msgid "<return-value>"
 msgstr "<returvärde>"
 
-#: c-family/c-pretty-print.c:2147 cp/error.c:1818 cp/error.c:2764
+#: c-family/c-pretty-print.c:2147 cp/error.c:1818 cp/error.c:2768
 msgid "<unknown>"
 msgstr "<okänd>"
 
@@ -2465,7 +2465,7 @@
 msgid "incompatible floating point / vector register operand for '%%%c'"
 msgstr "inkompatibla flyttals-/vektorregisteroperander för ”%%%c”"
 
-#: config/aarch64/aarch64.c:3399 config/arm/arm.c:18223
+#: config/aarch64/aarch64.c:3399 config/arm/arm.c:18233
 #, c-format
 msgid "missing operand"
 msgstr "operand saknas"
@@ -2569,33 +2569,34 @@
 msgid "invalid %%xn code"
 msgstr "ogiltig %%xn-kod"
 
-#: config/arm/arm.c:17560 config/arm/arm.c:17578
+#: config/arm/arm.c:15438 config/arm/arm.c:15463 config/arm/arm.c:15473
+#: config/arm/arm.c:15482 config/arm/arm.c:15490
 #, c-format
+msgid "invalid shift operand"
+msgstr "ogiltig skiftoperand"
+
+#: config/arm/arm.c:17576 config/arm/arm.c:17594
+#, c-format
 msgid "predicated Thumb instruction"
 msgstr "förutsade Thumb-instruktion"
 
-#: config/arm/arm.c:17566
+#: config/arm/arm.c:17582
 #, c-format
 msgid "predicated instruction in conditional sequence"
 msgstr "förutsade instruktion i villkorlig sekvens"
 
-#: config/arm/arm.c:17697 config/arm/arm.c:17710
+#: config/arm/arm.c:17713 config/arm/arm.c:17726
 #, c-format
 msgid "Unsupported operand for code '%c'"
 msgstr "Ej stödd operand för kod ”%c”"
 
-#: config/arm/arm.c:17748
-#, c-format
-msgid "invalid shift operand"
-msgstr "ogiltig skiftoperand"
-
-#: config/arm/arm.c:17805 config/arm/arm.c:17827 config/arm/arm.c:17837
-#: config/arm/arm.c:17847 config/arm/arm.c:17857 config/arm/arm.c:17896
-#: config/arm/arm.c:17914 config/arm/arm.c:17939 config/arm/arm.c:17954
-#: config/arm/arm.c:17981 config/arm/arm.c:17988 config/arm/arm.c:18006
-#: config/arm/arm.c:18013 config/arm/arm.c:18021 config/arm/arm.c:18042
-#: config/arm/arm.c:18049 config/arm/arm.c:18174 config/arm/arm.c:18181
-#: config/arm/arm.c:18204 config/arm/arm.c:18211 config/bfin/bfin.c:1439
+#: config/arm/arm.c:17815 config/arm/arm.c:17837 config/arm/arm.c:17847
+#: config/arm/arm.c:17857 config/arm/arm.c:17867 config/arm/arm.c:17906
+#: config/arm/arm.c:17924 config/arm/arm.c:17949 config/arm/arm.c:17964
+#: config/arm/arm.c:17991 config/arm/arm.c:17998 config/arm/arm.c:18016
+#: config/arm/arm.c:18023 config/arm/arm.c:18031 config/arm/arm.c:18052
+#: config/arm/arm.c:18059 config/arm/arm.c:18184 config/arm/arm.c:18191
+#: config/arm/arm.c:18214 config/arm/arm.c:18221 config/bfin/bfin.c:1439
 #: config/bfin/bfin.c:1446 config/bfin/bfin.c:1453 config/bfin/bfin.c:1460
 #: config/bfin/bfin.c:1469 config/bfin/bfin.c:1476 config/bfin/bfin.c:1483
 #: config/bfin/bfin.c:1490
@@ -2603,22 +2604,22 @@
 msgid "invalid operand for code '%c'"
 msgstr "ogiltig operand för kod ”%c”"
 
-#: config/arm/arm.c:17909
+#: config/arm/arm.c:17919
 #, c-format
 msgid "instruction never executed"
 msgstr "instruktionen aldrig utförd"
 
 #. Former Maverick support, removed after GCC-4.7.
-#: config/arm/arm.c:17930
+#: config/arm/arm.c:17940
 #, c-format
 msgid "obsolete Maverick format code '%c'"
 msgstr "föråldrad Maverick-formatkod ”%c”"
 
-#: config/arm/arm.c:20988
+#: config/arm/arm.c:20998
 msgid "function parameters cannot have __fp16 type"
 msgstr "funktionsparaketrar kan inte ha typen __fp16"
 
-#: config/arm/arm.c:20998
+#: config/arm/arm.c:21008
 msgid "functions cannot return __fp16 type"
 msgstr "funktioner kan inte reutnrera typen __fp16"
 
@@ -2653,7 +2654,7 @@
 
 #: config/avr/avr.c:2234
 #, c-format
-msgid "Unsupported code '%c'for fixed-point:"
+msgid "Unsupported code '%c' for fixed-point:"
 msgstr "Ej stödd kod ”%c” för fixdecimal:"
 
 #: config/avr/avr.c:2243
@@ -2700,8 +2701,8 @@
 msgstr "ogiltig const_double-operand"
 
 #: config/cris/cris.c:580 config/moxie/moxie.c:111 final.c:3311 final.c:3313
-#: fold-const.c:270 gcc.c:4712 gcc.c:4726 loop-iv.c:3031 loop-iv.c:3040
-#: rtl-error.c:102 toplev.c:332 tree-ssa-loop-niter.c:1933 tree-vrp.c:6783
+#: fold-const.c:270 gcc.c:4713 gcc.c:4727 loop-iv.c:3031 loop-iv.c:3040
+#: rtl-error.c:102 toplev.c:332 tree-ssa-loop-niter.c:1934 tree-vrp.c:6783
 #: cp/typeck.c:5618 java/expr.c:389 lto/lto-object.c:189 lto/lto-object.c:287
 #: lto/lto-object.c:344 lto/lto-object.c:368
 #, gcc-internal-format, gfc-internal-format
@@ -3042,8 +3043,8 @@
 msgid "invalid operation on %<__fpreg%>"
 msgstr "ogiltig operation på %<__fpreg%>"
 
-#: config/iq2000/iq2000.c:3132 config/tilegx/tilegx.c:5205
-#: config/tilepro/tilepro.c:4695
+#: config/iq2000/iq2000.c:3132 config/tilegx/tilegx.c:5203
+#: config/tilepro/tilepro.c:4693
 #, c-format
 msgid "invalid %%P operand"
 msgstr "ogiltig %%P-operand"
@@ -3058,20 +3059,20 @@
 msgid "invalid use of %%d, %%x, or %%X"
 msgstr "ogiltig användning av %%d, %%x eller %%x"
 
-#: config/lm32/lm32.c:521
+#: config/lm32/lm32.c:518
 #, c-format
 msgid "only 0.0 can be loaded as an immediate"
 msgstr "endast 0.0 kan läsas in som en omedelbar"
 
-#: config/lm32/lm32.c:591
+#: config/lm32/lm32.c:588
 msgid "bad operand"
 msgstr "felaktig operand"
 
-#: config/lm32/lm32.c:603
+#: config/lm32/lm32.c:600
 msgid "can't use non gp relative absolute address"
 msgstr "kan inte använda icke-gp-relativa absoluta adresser"
 
-#: config/lm32/lm32.c:607
+#: config/lm32/lm32.c:604
 msgid "invalid addressing mode"
 msgstr "ogiltigt adresseringsläge"
 
@@ -3140,36 +3141,36 @@
 msgid "invalid %%L code"
 msgstr "ogiltig %%L-kod"
 
-#: config/microblaze/microblaze.c:1760
+#: config/microblaze/microblaze.c:2156
 #, c-format
 msgid "unknown punctuation '%c'"
 msgstr "okänd interpunktion ”%c”"
 
-#: config/microblaze/microblaze.c:1769
+#: config/microblaze/microblaze.c:2165
 #, c-format
 msgid "null pointer"
 msgstr "nollpekare"
 
-#: config/microblaze/microblaze.c:1804
+#: config/microblaze/microblaze.c:2200
 #, c-format
 msgid "PRINT_OPERAND, invalid insn for %%C"
 msgstr "PRINT_OPERAND, ogiltig instruktion för %%C"
 
-#: config/microblaze/microblaze.c:1833
+#: config/microblaze/microblaze.c:2229
 #, c-format
 msgid "PRINT_OPERAND, invalid insn for %%N"
 msgstr "PRINT_OPERAND, ogiltig instruktion för %%N"
 
-#: config/microblaze/microblaze.c:1853 config/microblaze/microblaze.c:2014
+#: config/microblaze/microblaze.c:2249 config/microblaze/microblaze.c:2420
 msgid "insn contains an invalid address !"
 msgstr "instruktionen innehåller en ogiltig adress!"
 
-#: config/microblaze/microblaze.c:1867 config/microblaze/microblaze.c:2054
+#: config/microblaze/microblaze.c:2264 config/microblaze/microblaze.c:2479
 #: config/xtensa/xtensa.c:2443
 msgid "invalid address"
 msgstr "ogiltig adress"
 
-#: config/microblaze/microblaze.c:1966
+#: config/microblaze/microblaze.c:2363
 #, c-format
 msgid "letter %c was found & insn was not CONST_INT"
 msgstr "tecknet %c upptäcktes och instruktionen var inte CONST_INT"
@@ -3450,25 +3451,25 @@
 msgid "invalid operand for code: '%c'"
 msgstr "ogiltig operand för kod: ”%c”"
 
-#: config/sh/sh.c:1204
+#: config/sh/sh.c:1201
 #, c-format
 msgid "invalid operand to %%R"
 msgstr "ogiltig operand till %%R"
 
-#: config/sh/sh.c:1231
+#: config/sh/sh.c:1228
 #, c-format
 msgid "invalid operand to %%S"
 msgstr "ogiltig operand till %%R"
 
-#: config/sh/sh.c:9775
+#: config/sh/sh.c:9772
 msgid "created and used with different architectures / ABIs"
 msgstr "skapad och använd med olika arkitekturer/ABI:er"
 
-#: config/sh/sh.c:9777
+#: config/sh/sh.c:9774
 msgid "created and used with different ABIs"
 msgstr "skapad och använd med olika ABI:er"
 
-#: config/sh/sh.c:9779
+#: config/sh/sh.c:9776
 msgid "created and used with different endianness"
 msgstr "skapad och använd med olika byteordning"
 
@@ -3487,13 +3488,13 @@
 msgid "invalid %%B operand"
 msgstr "ogiltig %%B-operand"
 
-#: config/sparc/sparc.c:8508 config/tilegx/tilegx.c:4988
-#: config/tilepro/tilepro.c:4498
+#: config/sparc/sparc.c:8508 config/tilegx/tilegx.c:4986
+#: config/tilepro/tilepro.c:4496
 #, c-format
 msgid "invalid %%C operand"
 msgstr "ogiltig %%C-operand"
 
-#: config/sparc/sparc.c:8525 config/tilegx/tilegx.c:5021
+#: config/sparc/sparc.c:8525 config/tilegx/tilegx.c:5019
 #, c-format
 msgid "invalid %%D operand"
 msgstr "ogiltig %%D-operand"
@@ -3538,89 +3539,89 @@
 msgid "xstormy16_print_operand: unknown code"
 msgstr "xstormy16_print_operand: okänd kod"
 
-#: config/tilegx/tilegx.c:4973 config/tilepro/tilepro.c:4483
+#: config/tilegx/tilegx.c:4971 config/tilepro/tilepro.c:4481
 #, c-format
 msgid "invalid %%c operand"
 msgstr "ogiltig %%c-operand"
 
-#: config/tilegx/tilegx.c:5004
+#: config/tilegx/tilegx.c:5002
 #, c-format
 msgid "invalid %%d operand"
 msgstr "ogiltig %%d-operand"
 
-#: config/tilegx/tilegx.c:5101
+#: config/tilegx/tilegx.c:5099
 #, c-format
 msgid "invalid %%H specifier"
 msgstr "ogiltig %%H-specificerare"
 
-#: config/tilegx/tilegx.c:5143 config/tilepro/tilepro.c:4512
+#: config/tilegx/tilegx.c:5141 config/tilepro/tilepro.c:4510
 #, c-format
 msgid "invalid %%h operand"
 msgstr "ogiltig %%h-operand"
 
-#: config/tilegx/tilegx.c:5155 config/tilepro/tilepro.c:4576
+#: config/tilegx/tilegx.c:5153 config/tilepro/tilepro.c:4574
 #, c-format
 msgid "invalid %%I operand"
 msgstr "ogiltig %%I-operand"
 
-#: config/tilegx/tilegx.c:5169 config/tilepro/tilepro.c:4590
+#: config/tilegx/tilegx.c:5167 config/tilepro/tilepro.c:4588
 #, c-format
 msgid "invalid %%i operand"
 msgstr "ogiltig %%i-operand"
 
-#: config/tilegx/tilegx.c:5192 config/tilepro/tilepro.c:4613
+#: config/tilegx/tilegx.c:5190 config/tilepro/tilepro.c:4611
 #, c-format
 msgid "invalid %%j operand"
 msgstr "ogiltig %%j-operand"
 
-#: config/tilegx/tilegx.c:5223
+#: config/tilegx/tilegx.c:5221
 #, c-format
 msgid "invalid %%%c operand"
 msgstr "ogiltig %%%c-operand"
 
-#: config/tilegx/tilegx.c:5238 config/tilepro/tilepro.c:4727
+#: config/tilegx/tilegx.c:5236 config/tilepro/tilepro.c:4725
 #, c-format
 msgid "invalid %%N operand"
 msgstr "ogiltig %%N-operand"
 
-#: config/tilegx/tilegx.c:5282
+#: config/tilegx/tilegx.c:5280
 #, c-format
 msgid "invalid operand for 'r' specifier"
 msgstr "ogiltig operand för ”r”-modifierare"
 
-#: config/tilegx/tilegx.c:5307 config/tilepro/tilepro.c:4809
+#: config/tilegx/tilegx.c:5305 config/tilepro/tilepro.c:4807
 #, c-format
 msgid "unable to print out operand yet; code == %d (%c)"
 msgstr "kan inte skriva ut operanden ännu; kod == %d (%c)"
 
-#: config/tilepro/tilepro.c:4548
+#: config/tilepro/tilepro.c:4546
 #, c-format
 msgid "invalid %%H operand"
 msgstr "ogiltig %%H-operand"
 
-#: config/tilepro/tilepro.c:4652
+#: config/tilepro/tilepro.c:4650
 #, c-format
 msgid "invalid %%L operand"
 msgstr "ogiltig %%L-operand"
 
-#: config/tilepro/tilepro.c:4712
+#: config/tilepro/tilepro.c:4710
 #, c-format
 msgid "invalid %%M operand"
 msgstr "ogiltig %%M-operand"
 
-#: config/tilepro/tilepro.c:4755
+#: config/tilepro/tilepro.c:4753
 #, c-format
 msgid "invalid %%t operand"
 msgstr "ogiltig %%t-operand"
 
 # Detta är bara första delen av strängen, stränkonkatenering används.
 # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=52726
-#: config/tilepro/tilepro.c:4762
+#: config/tilepro/tilepro.c:4760
 #, c-format
 msgid "invalid %%t operand '"
 msgstr "ogiltig %%t-operand ”"
 
-#: config/tilepro/tilepro.c:4783
+#: config/tilepro/tilepro.c:4781
 #, c-format
 msgid "invalid %%r operand"
 msgstr "ogiltig %%r-operand"
@@ -3688,7 +3689,7 @@
 msgid "({anonymous})"
 msgstr "({anonym})"
 
-#: c/c-parser.c:943 cp/parser.c:23010
+#: c/c-parser.c:943 cp/parser.c:23014
 #, gcc-internal-format
 msgid "expected end of line"
 msgstr "oväntat radslut"
@@ -3698,8 +3699,8 @@
 #: c/c-parser.c:7357 c/c-parser.c:7392 c/c-parser.c:7423 c/c-parser.c:7470
 #: c/c-parser.c:7651 c/c-parser.c:8419 c/c-parser.c:8489 c/c-parser.c:8532
 #: c/c-parser.c:9810 c/c-parser.c:9825 c/c-parser.c:9834 c/c-parser.c:9979
-#: c/c-parser.c:10018 c/c-parser.c:2500 c/c-parser.c:7644 cp/parser.c:22423
-#: cp/parser.c:22956
+#: c/c-parser.c:10018 c/c-parser.c:2500 c/c-parser.c:7644 cp/parser.c:22427
+#: cp/parser.c:22960
 #, gcc-internal-format
 msgid "expected %<;%>"
 msgstr "%<;%> förväntades"
@@ -3711,13 +3712,13 @@
 #: c/c-parser.c:6703 c/c-parser.c:6727 c/c-parser.c:7942 c/c-parser.c:8014
 #: c/c-parser.c:8841 c/c-parser.c:8862 c/c-parser.c:8912 c/c-parser.c:9065
 #: c/c-parser.c:9144 c/c-parser.c:9228 c/c-parser.c:9942 c/c-parser.c:10766
-#: c/c-parser.c:8985 c/c-parser.c:9010 cp/parser.c:20794 cp/parser.c:22959
+#: c/c-parser.c:8985 c/c-parser.c:9010 cp/parser.c:20798 cp/parser.c:22963
 #, gcc-internal-format
 msgid "expected %<(%>"
 msgstr "%<(%> förväntades"
 
 #: c/c-parser.c:1843 c/c-parser.c:6389 c/c-parser.c:6427 c/c-parser.c:6555
-#: cp/parser.c:22421 cp/parser.c:22974
+#: cp/parser.c:22425 cp/parser.c:22978
 #, gcc-internal-format
 msgid "expected %<,%>"
 msgstr "%<,%> förväntades"
@@ -3733,15 +3734,15 @@
 #: c/c-parser.c:7736 c/c-parser.c:7757 c/c-parser.c:7965 c/c-parser.c:8018
 #: c/c-parser.c:8391 c/c-parser.c:8844 c/c-parser.c:8865 c/c-parser.c:8943
 #: c/c-parser.c:9072 c/c-parser.c:9209 c/c-parser.c:9292 c/c-parser.c:9870
-#: c/c-parser.c:9987 c/c-parser.c:10029 c/c-parser.c:10775 cp/parser.c:20816
-#: cp/parser.c:23004
+#: c/c-parser.c:9987 c/c-parser.c:10029 c/c-parser.c:10775 cp/parser.c:20820
+#: cp/parser.c:23008
 #, gcc-internal-format
 msgid "expected %<)%>"
 msgstr "%<)%> förväntades"
 
 #: c/c-parser.c:3095 c/c-parser.c:3911 c/c-parser.c:3945 c/c-parser.c:5228
 #: c/c-parser.c:6491 c/c-parser.c:6760 c/c-parser.c:6878 c/c-parser.c:10678
-#: c/c-parser.c:10680 cp/parser.c:22968
+#: c/c-parser.c:10680 cp/parser.c:22972
 #, gcc-internal-format
 msgid "expected %<]%>"
 msgstr "%<]%> förväntades"
@@ -3750,25 +3751,25 @@
 msgid "expected %<;%>, %<,%> or %<)%>"
 msgstr "%<;%>, %<,%> eller %<)%> förväntades"
 
-#: c/c-parser.c:3774 c/c-parser.c:9826 cp/parser.c:22962 cp/parser.c:24780
+#: c/c-parser.c:3774 c/c-parser.c:9826 cp/parser.c:22966 cp/parser.c:24784
 #, gcc-internal-format
 msgid "expected %<}%>"
 msgstr "%<}%> förväntades"
 
 #: c/c-parser.c:4064 c/c-parser.c:7985 c/c-parser.c:10272 c/c-parser.c:2318
-#: c/c-parser.c:2521 c/c-parser.c:7539 cp/parser.c:14644 cp/parser.c:22965
+#: c/c-parser.c:2521 c/c-parser.c:7539 cp/parser.c:14646 cp/parser.c:22969
 #, gcc-internal-format
 msgid "expected %<{%>"
 msgstr "%<{%> förväntades"
 
 #: c/c-parser.c:4283 c/c-parser.c:4292 c/c-parser.c:5135 c/c-parser.c:5469
 #: c/c-parser.c:7750 c/c-parser.c:8125 c/c-parser.c:8182 c/c-parser.c:9198
-#: cp/parser.c:22998 cp/parser.c:24001
+#: cp/parser.c:23002 cp/parser.c:24005
 #, gcc-internal-format
 msgid "expected %<:%>"
 msgstr "%<:%> förväntades"
 
-#: c/c-parser.c:4831 cp/parser.c:22892
+#: c/c-parser.c:4831 cp/parser.c:22896
 #, gcc-internal-format
 msgid "expected %<while%>"
 msgstr "%<while%> förväntades"
@@ -3777,34 +3778,34 @@
 msgid "expected %<.%>"
 msgstr "%<.%> förväntades"
 
-#: c/c-parser.c:7210 c/c-parser.c:7242 c/c-parser.c:7482 cp/parser.c:24564
-#: cp/parser.c:24638
+#: c/c-parser.c:7210 c/c-parser.c:7242 c/c-parser.c:7482 cp/parser.c:24568
+#: cp/parser.c:24642
 #, gcc-internal-format
 msgid "expected %<@end%>"
 msgstr "%<@end%> förväntades"
 
-#: c/c-parser.c:7899 cp/parser.c:22983
+#: c/c-parser.c:7899 cp/parser.c:22987
 #, gcc-internal-format
 msgid "expected %<>%>"
 msgstr "%<>%> förväntades"
 
-#: c/c-parser.c:9296 cp/parser.c:23007
+#: c/c-parser.c:9296 cp/parser.c:23011
 #, gcc-internal-format
 msgid "expected %<,%> or %<)%>"
 msgstr "%<,%> eller %<)%> förväntades"
 
 #: c/c-parser.c:9549 c/c-parser.c:9580 c/c-parser.c:9816 c/c-parser.c:9968
-#: c/c-parser.c:3968 cp/parser.c:22986
+#: c/c-parser.c:3968 cp/parser.c:22990
 #, gcc-internal-format
 msgid "expected %<=%>"
 msgstr "%<=%> förväntades"
 
-#: c/c-parser.c:10329 c/c-parser.c:10319 cp/parser.c:27421
+#: c/c-parser.c:10329 c/c-parser.c:10319 cp/parser.c:27425
 #, gcc-internal-format
 msgid "expected %<#pragma omp section%> or %<}%>"
 msgstr "%<#pragma omp section%> eller %<}%> förväntades"
 
-#: c/c-parser.c:10666 cp/parser.c:22971
+#: c/c-parser.c:10666 cp/parser.c:22975
 #, gcc-internal-format
 msgid "expected %<[%>"
 msgstr "%<[%> förväntades"
@@ -3813,11 +3814,11 @@
 msgid "(anonymous)"
 msgstr "(anonym)"
 
-#: cp/call.c:8680
+#: cp/call.c:8698
 msgid "candidate 1:"
 msgstr "kandidat 1:"
 
-#: cp/call.c:8681
+#: cp/call.c:8699
 msgid "candidate 2:"
 msgstr "kandidat 2:"
 
@@ -3825,7 +3826,7 @@
 msgid "<unnamed>"
 msgstr "<namnlös>"
 
-#: cp/cxx-pretty-print.c:2149
+#: cp/cxx-pretty-print.c:2153
 msgid "template-parameter-"
 msgstr "mallparameter-"
 
@@ -3905,7 +3906,7 @@
 msgid "<declaration error>"
 msgstr "<deklarationsfel>"
 
-#: cp/error.c:1445 cp/error.c:2855
+#: cp/error.c:1445 cp/error.c:2859
 msgid "with"
 msgstr "med"
 
@@ -3927,107 +3928,111 @@
 msgid "<unparsed>"
 msgstr "<otolkat>"
 
-#: cp/error.c:2504
+#: cp/error.c:2498
+msgid "<lambda>"
+msgstr "<lambda>"
+
+#: cp/error.c:2508
 msgid "<expression error>"
 msgstr "<uttrycksfel>"
 
-#: cp/error.c:2518
+#: cp/error.c:2522
 msgid "<unknown operator>"
 msgstr "<okänd operator>"
 
-#: cp/error.c:2807
+#: cp/error.c:2811
 msgid "{unknown}"
 msgstr "{okänd}"
 
-#: cp/error.c:2922
+#: cp/error.c:2926
 msgid "At global scope:"
 msgstr "I global räckvidd:"
 
-#: cp/error.c:3028
+#: cp/error.c:3032
 #, c-format
 msgid "In static member function %qs"
 msgstr "I statisk medlemsfunktion %qs"
 
-#: cp/error.c:3030
+#: cp/error.c:3034
 #, c-format
 msgid "In copy constructor %qs"
 msgstr "I kopieringskonstuerare %qs"
 
-#: cp/error.c:3032
+#: cp/error.c:3036
 #, c-format
 msgid "In constructor %qs"
 msgstr "I konstruerare %qs"
 
-#: cp/error.c:3034
+#: cp/error.c:3038
 #, c-format
 msgid "In destructor %qs"
 msgstr "I destruerare %qs"
 
-#: cp/error.c:3036
+#: cp/error.c:3040
 msgid "In lambda function"
 msgstr "I lambdafunktion"
 
-#: cp/error.c:3056
+#: cp/error.c:3060
 #, c-format
 msgid "%s: In substitution of %qS:\n"
 msgstr "%s: Vid substituering av %qS:\n"
 
-#: cp/error.c:3057
+#: cp/error.c:3061
 msgid "%s: In instantiation of %q#D:\n"
 msgstr "%s: Vid instansiering av %q#D:\n"
 
-#: cp/error.c:3080
+#: cp/error.c:3084
 #, c-format
 msgid "%s:%d:%d:   "
 msgstr "%s:%d:%d:   "
 
-#: cp/error.c:3083
+#: cp/error.c:3087
 #, c-format
 msgid "%s:%d:   "
 msgstr "%s:%d:   "
 
-#: cp/error.c:3091
+#: cp/error.c:3095
 #, c-format
 msgid "recursively required by substitution of %qS\n"
 msgstr "krävs rekursivt av sustitution av %qS\n"
 
-#: cp/error.c:3092
+#: cp/error.c:3096
 #, c-format
 msgid "required by substitution of %qS\n"
 msgstr "krävs av substitution av %qS\n"
 
-#: cp/error.c:3097
+#: cp/error.c:3101
 msgid "recursively required from %q#D\n"
 msgstr "rekursivt begärd från %q#D\n"
 
-#: cp/error.c:3098
+#: cp/error.c:3102
 msgid "required from %q#D\n"
 msgstr "begärs från %q#D\n"
 
-#: cp/error.c:3105
+#: cp/error.c:3109
 msgid "recursively required from here"
 msgstr "rekursivt begärd härifrån"
 
-#: cp/error.c:3106
+#: cp/error.c:3110
 msgid "required from here"
 msgstr "begärd härifrån"
 
-#: cp/error.c:3158
+#: cp/error.c:3162
 #, c-format
 msgid "%s:%d:%d:   [ skipping %d instantiation contexts, use -ftemplate-backtrace-limit=0 to disable ]\n"
 msgstr "%s:%d:%d:   [ hoppar över %d instansieringskontexter, använd -ftemplate-backtrace-limit=0 för att avaktivera ]\n"
 
-#: cp/error.c:3163
+#: cp/error.c:3167
 #, c-format
 msgid "%s:%d:   [ skipping %d instantiation contexts, use -ftemplate-backtrace-limit=0 to disable ]\n"
 msgstr "%s:%d:   [ hoppar över %d instansieringskontexter, använd -ftemplate-backtrace-limit=0 för att avaktivera ]\n"
 
-#: cp/error.c:3227
+#: cp/error.c:3231
 #, c-format
 msgid "%s:%d:%d:   in constexpr expansion of %qs"
 msgstr "%s:%d:%d:   i expansion av konstantuttryck i %qs"
 
-#: cp/error.c:3231
+#: cp/error.c:3235
 #, c-format
 msgid "%s:%d:   in constexpr expansion of %qs"
 msgstr "%s:%d:   i expansion av konstantuttryck i från %qs"
@@ -4036,7 +4041,7 @@
 msgid "candidates are:"
 msgstr "kandidater är:"
 
-#: cp/pt.c:17926 cp/call.c:3290
+#: cp/pt.c:17922 cp/call.c:3290
 #, gcc-internal-format
 msgid "candidate is:"
 msgid_plural "candidates are:"
@@ -4423,7 +4428,7 @@
 
 #: fortran/parse.c:1386
 msgid "implied END DO"
-msgstr "underförstådd END DO"
+msgstr "implicerat END DO"
 
 #: fortran/parse.c:1477 fortran/resolve.c:10208
 msgid "assignment"
@@ -4566,12 +4571,12 @@
 msgid "Integer overflow when calculating the amount of memory to allocate"
 msgstr "Heltalsspill vid beräkning av mängden minne att allokera"
 
-#: fortran/trans-decl.c:4842
+#: fortran/trans-decl.c:4844
 #, c-format
 msgid "Actual string length does not match the declared one for dummy argument '%s' (%ld/%ld)"
 msgstr "Aktuell stränglängd matchar inte den deklarerade för attrappargument ”%s” (%ld/%ld)"
 
-#: fortran/trans-decl.c:4850
+#: fortran/trans-decl.c:4852
 #, c-format
 msgid "Actual string length is shorter than the declared one for dummy argument '%s' (%ld/%ld)"
 msgstr "Aktuellt stränglängd är kortaren än den deklarerade för attrappargument ”%s” (%ld/%ld)"
@@ -4586,12 +4591,12 @@
 msgid "Unequal character lengths (%ld/%ld) in %s"
 msgstr "Olika teckenlängder (%ld/%ld) i %s"
 
-#: fortran/trans-intrinsic.c:6157
+#: fortran/trans-intrinsic.c:6156
 #, c-format
 msgid "Argument NCOPIES of REPEAT intrinsic is negative (its value is %ld)"
 msgstr "Argument NCOPIES till inbyggd REPEAT är negativt (dess värde är %ld)"
 
-#: fortran/trans-intrinsic.c:6189
+#: fortran/trans-intrinsic.c:6188
 msgid "Argument NCOPIES of REPEAT intrinsic is too large"
 msgstr "Argumentet NCOPIES till inbyggd REPEAT är för stort"
 
@@ -4822,7 +4827,7 @@
 msgid "objc-cpp-output is deprecated; please use objective-c-cpp-output instead"
 msgstr "objc-cpp-output bör undvikas; använd objective-c-cpp-output istället"
 
-#: java/jvspec.c:79 ada/gcc-interface/lang-specs.h:33 gcc.c:844
+#: java/jvspec.c:79 ada/gcc-interface/lang-specs.h:33 gcc.c:845
 msgid "-pg and -fomit-frame-pointer are incompatible"
 msgstr "-pg och -fomit-frame-pointer är inkompatibla"
 
@@ -4882,7 +4887,7 @@
 msgid "consider using '-pg' instead of '-p' with gprof(1)"
 msgstr "överväg att använda ”-pg” istället för ”-p” med gprof(1)"
 
-#: config/sh/sh.h:360 config/sh/sh.h:363
+#: config/sh/sh.h:363 config/sh/sh.h:366
 msgid "SH2a does not support little-endian"
 msgstr "SH2a stödjer inte omvänd byteordning"
 
@@ -4947,7 +4952,7 @@
 msgstr "flaggan -shared stödjs för närvarande inte för VAX ELF"
 
 #: config/i386/mingw-w64.h:82 config/i386/mingw32.h:115
-#: config/i386/cygwin.h:113
+#: config/i386/cygwin.h:109
 msgid "shared and mdll are not compatible"
 msgstr "shared och mdll är inkompatibla"
 
@@ -4987,23 +4992,23 @@
 msgid "profiling not supported with -mg"
 msgstr "profilering stödjs inte med -mg"
 
-#: gcc.c:704
+#: gcc.c:705
 msgid "-fuse-linker-plugin is not supported in this configuration"
 msgstr "-fuse-linker-plugin stödjs inte i denna konfiguration"
 
-#: gcc.c:718
+#: gcc.c:719
 msgid "cannot specify -static with -fsanitize=address"
 msgstr "det går inte att ange -static med -fsanitize=address"
 
-#: gcc.c:720
+#: gcc.c:721
 msgid "-fsanitize=thread linking must be done with -pie or -shared"
 msgstr "-fsanitize=thread-länkning måste göra med -pie eller -shared"
 
-#: gcc.c:1012
+#: gcc.c:1013
 msgid "GNU C no longer supports -traditional without -E"
 msgstr "GNU C stödjer inte längre -traditional utan -E"
 
-#: gcc.c:1021
+#: gcc.c:1022
 msgid "-E or -x required when input is from standard input"
 msgstr "-E eller -x krävs när indata tas från standard in"
 
@@ -5057,7 +5062,7 @@
 msgid "Warn about most implicit conversions"
 msgstr "Varna för de flesta implicita konvertingar"
 
-#: fortran/lang.opt:234 common.opt:542
+#: fortran/lang.opt:234 common.opt:546
 msgid "Print extra (possibly unwanted) warnings"
 msgstr "Skriv extra (möjligen oönskade) varningar"
 
@@ -5201,9 +5206,9 @@
 msgid "Allow dollar signs in entity names"
 msgstr "Tillåt dollartecken i entitetsnamn"
 
-#: fortran/lang.opt:394 config/alpha/alpha.opt:31 common.opt:656
-#: common.opt:830 common.opt:834 common.opt:838 common.opt:842 common.opt:1227
-#: common.opt:1360 common.opt:1364
+#: fortran/lang.opt:394 config/alpha/alpha.opt:31 common.opt:660
+#: common.opt:834 common.opt:838 common.opt:842 common.opt:846 common.opt:1231
+#: common.opt:1364 common.opt:1368
 msgid "Does nothing. Preserved for backward compatibility."
 msgstr "Gör ingenting.  Bevarad för bakåtkompatibilitet."
 
@@ -5437,7 +5442,7 @@
 #: c-family/c.opt:70 c-family/c.opt:73 c-family/c.opt:76 c-family/c.opt:79
 #: c-family/c.opt:175 c-family/c.opt:178 c-family/c.opt:216 c-family/c.opt:220
 #: c-family/c.opt:232 c-family/c.opt:1253 c-family/c.opt:1261
-#: config/darwin.opt:53 common.opt:300 common.opt:303 common.opt:2399
+#: config/darwin.opt:53 common.opt:300 common.opt:303 common.opt:2403
 #, c-format
 msgid "missing filename after %qs"
 msgstr "filnamn saknas efter %qs"
@@ -6042,9 +6047,9 @@
 msgstr "Tillåt argument till ”?”-operatorn att ha olika typer"
 
 #: c-family/c.opt:856 c-family/c.opt:876 c-family/c.opt:1074
-#: config/sh/sh.opt:209 common.opt:949 common.opt:1135 common.opt:1439
-#: common.opt:1713 common.opt:1749 common.opt:1834 common.opt:1838
-#: common.opt:1914 common.opt:1996 common.opt:2020 common.opt:2108
+#: config/sh/sh.opt:213 common.opt:953 common.opt:1139 common.opt:1443
+#: common.opt:1717 common.opt:1753 common.opt:1838 common.opt:1842
+#: common.opt:1918 common.opt:2000 common.opt:2024 common.opt:2112
 msgid "Does nothing.  Preserved for backward compatibility."
 msgstr "Gör ingenting.  Bevarad för bakåtkompatibilitet."
 
@@ -7206,7 +7211,7 @@
 msgstr "Aktivera tidigare utplacering av stoppbitar för bättre schemaläggning"
 
 #: config/ia64/ia64.opt:114 config/spu/spu.opt:72 config/pa/pa.opt:58
-#: config/sh/sh.opt:261
+#: config/sh/sh.opt:265
 msgid "Specify range of registers to make fixed"
 msgstr "Ange intervall av register att fixera"
 
@@ -7675,7 +7680,7 @@
 msgid "Use 64-bit long double"
 msgstr "Använd 64-bitars long double"
 
-#: config/i386/i386.opt:98 config/sh/sh.opt:205
+#: config/i386/i386.opt:98 config/sh/sh.opt:209
 msgid "Reserve space for outgoing arguments in the function prologue"
 msgstr "Reservera utrymmer för utgående argument i funktionsprologen"
 
@@ -8388,6 +8393,10 @@
 msgid "The device has no SPH special function register. This option will be overridden by the compiler driver with the correct setting if presence/absence of SPH can be deduced from -mmcu=MCU."
 msgstr "Enheten har inget SPH-specialfunktionsregister.  Denna flagga kommer åsidosättas av kompilatordrivrutinen med de riktiga inställningarna om närvaro/frånvaro av SPH kan avgöras från -mmcu=MCU."
 
+#: config/avr/avr.opt:80
+msgid "Warn if the address space of an address is change."
+msgstr "Varna om adressrymden för en adress ändras."
+
 #: config/m32r/m32r.opt:34
 msgid "Compile for the m32rx"
 msgstr "Kompilera för en m32rx"
@@ -9437,72 +9446,76 @@
 msgstr "Använd programvaruemulering av multiplikation (standard)"
 
 #: config/microblaze/microblaze.opt:72
+msgid "Use reorder instructions (swap and byte reversed load/store) (default)"
+msgstr "Använd ordningsändringinstruktioner (växlad och byte-omvänd lastning/lagring) (standard)"
+
+#: config/microblaze/microblaze.opt:76
 msgid "Use the software emulation for divides (default)"
 msgstr "Använd programvaruemulering av division (standard)"
 
-#: config/microblaze/microblaze.opt:76
+#: config/microblaze/microblaze.opt:80
 msgid "Use the hardware barrel shifter instead of emulation"
 msgstr "Använd tunnskiftaren i hårdvara istället för emulering"
 
-#: config/microblaze/microblaze.opt:80
+#: config/microblaze/microblaze.opt:84
 msgid "Use pattern compare instructions"
 msgstr "Använd mönsterjämförelseinstruktioner"
 
-#: config/microblaze/microblaze.opt:83
+#: config/microblaze/microblaze.opt:87
 #, c-format
 msgid "%qs is deprecated; use -fstack-check"
 msgstr "%qs bör undvikas, använd -fstack-check"
 
-#: config/microblaze/microblaze.opt:84
+#: config/microblaze/microblaze.opt:88
 msgid "Check for stack overflow at runtime"
 msgstr "Kontrollera stackspill vid körtillfället"
 
-#: config/microblaze/microblaze.opt:88 config/iq2000/iq2000.opt:65
+#: config/microblaze/microblaze.opt:92 config/iq2000/iq2000.opt:65
 msgid "Use GP relative sdata/sbss sections"
 msgstr "Använd GP relativt sdata/sbss-sektioner"
 
-#: config/microblaze/microblaze.opt:91
+#: config/microblaze/microblaze.opt:95
 #, c-format
 msgid "%qs is deprecated; use -fno-zero-initialized-in-bss"
 msgstr "%qs bör undvikas, använd -fno-zero-initialized-in-bss"
 
-#: config/microblaze/microblaze.opt:92
+#: config/microblaze/microblaze.opt:96
 msgid "Clear the BSS to zero and place zero initialized in BSS"
 msgstr "Nollställ BSS och placera nollinitierade i BSS"
 
-#: config/microblaze/microblaze.opt:96
+#: config/microblaze/microblaze.opt:100
 msgid "Use multiply high instructions for high part of 32x32 multiply"
 msgstr "Använd högmultiplikationsinstruktioner för den höga delen av 32·32-multiplikationer"
 
-#: config/microblaze/microblaze.opt:100
+#: config/microblaze/microblaze.opt:104
 msgid "Use hardware floating point conversion instructions"
 msgstr "Använd flyttalskonverteringsinstruktioner i hårdvara"
 
-#: config/microblaze/microblaze.opt:104
+#: config/microblaze/microblaze.opt:108
 msgid "Use hardware floating point square root instruction"
 msgstr "Använd flyttalsinstruktion för kvadratrot i hårdvara"
 
 # Den ofärdiga beskrivningen är felrapporterad:
 # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=47105
-#: config/microblaze/microblaze.opt:108
+#: config/microblaze/microblaze.opt:112
 msgid "Description for mxl-mode-executable"
 msgstr "Beskrivning för mxl-mode-executable"
 
 # Den ofärdiga beskrivningen är felrapporterad:
 # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=47105
-#: config/microblaze/microblaze.opt:112
+#: config/microblaze/microblaze.opt:116
 msgid "Description for mxl-mode-xmdstub"
 msgstr "Beskrivning för mxl-mode-xmdstub"
 
 # Den ofärdiga beskrivningen är felrapporterad:
 # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=47105
-#: config/microblaze/microblaze.opt:116
+#: config/microblaze/microblaze.opt:120
 msgid "Description for mxl-mode-bootstrap"
 msgstr "Beskrivning för mxl-mode-bootstrap"
 
 # Den ofärdiga beskrivningen är felrapporterad:
 # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=47105
-#: config/microblaze/microblaze.opt:120
+#: config/microblaze/microblaze.opt:124
 msgid "Description for mxl-mode-novectors"
 msgstr "Beskrivning för mxl-mode-novectors"
 
@@ -9842,295 +9855,295 @@
 msgid "Runtime name."
 msgstr "Körtidsnamn."
 
-#: config/sh/sh.opt:44
+#: config/sh/sh.opt:48
 msgid "Generate SH1 code"
 msgstr "Generera SH1-kod"
 
-#: config/sh/sh.opt:48
+#: config/sh/sh.opt:52
 msgid "Generate SH2 code"
 msgstr "Generera SH2-kod"
 
-#: config/sh/sh.opt:52
+#: config/sh/sh.opt:56
 msgid "Generate default double-precision SH2a-FPU code"
 msgstr "Generera normal dubbelprecisions SH2a-FPU-kod"
 
-#: config/sh/sh.opt:56
+#: config/sh/sh.opt:60
 msgid "Generate SH2a FPU-less code"
 msgstr "Generera SH2a-kod utan FPU"
 
-#: config/sh/sh.opt:60
+#: config/sh/sh.opt:64
 msgid "Generate default single-precision SH2a-FPU code"
 msgstr "Generera normal enkelprecisions SH2a-FPU-kod"
 
-#: config/sh/sh.opt:64
+#: config/sh/sh.opt:68
 msgid "Generate only single-precision SH2a-FPU code"
 msgstr "Generera endast enkelprecisions SH2a-FPU-kod"
 
-#: config/sh/sh.opt:68
+#: config/sh/sh.opt:72
 msgid "Generate SH2e code"
 msgstr "Generera SH2e-kod"
 
-#: config/sh/sh.opt:72
+#: config/sh/sh.opt:76
 msgid "Generate SH3 code"
 msgstr "Generera SH3-kod"
 
-#: config/sh/sh.opt:76
+#: config/sh/sh.opt:80
 msgid "Generate SH3e code"
 msgstr "Generera SH3e-kod"
 
-#: config/sh/sh.opt:80
+#: config/sh/sh.opt:84
 msgid "Generate SH4 code"
 msgstr "Generera SH4-kod"
 
-#: config/sh/sh.opt:84
+#: config/sh/sh.opt:88
 msgid "Generate SH4-100 code"
 msgstr "Generera SH4-100-kod"
 
-#: config/sh/sh.opt:88
+#: config/sh/sh.opt:92
 msgid "Generate SH4-200 code"
 msgstr "Generera SH4-200-kod"
 
-#: config/sh/sh.opt:94
+#: config/sh/sh.opt:98
 msgid "Generate SH4-300 code"
 msgstr "Generera SH4-300-kod"
 
-#: config/sh/sh.opt:98
+#: config/sh/sh.opt:102
 msgid "Generate SH4 FPU-less code"
 msgstr "Generera SH4-kod utan FPU"
 
-#: config/sh/sh.opt:102
+#: config/sh/sh.opt:106
 msgid "Generate SH4-100 FPU-less code"
 msgstr "Generera SH4-100-kod utan FPU"
 
-#: config/sh/sh.opt:106
+#: config/sh/sh.opt:110
 msgid "Generate SH4-200 FPU-less code"
 msgstr "Generera SH4-200-kod utan FPU"
 
-#: config/sh/sh.opt:110
+#: config/sh/sh.opt:114
 msgid "Generate SH4-300 FPU-less code"
 msgstr "Generera SH4-300-kod utan FPU"
 
-#: config/sh/sh.opt:114
+#: config/sh/sh.opt:118
 msgid "Generate code for SH4 340 series (MMU/FPU-less)"
 msgstr "Generera kod för SH4 340-serien (saknar MMU/FPU)"
 
-#: config/sh/sh.opt:119
+#: config/sh/sh.opt:123
 msgid "Generate code for SH4 400 series (MMU/FPU-less)"
 msgstr "Generera kod för SH4 400-serien (saknar MMU/FPU)"
 
-#: config/sh/sh.opt:124
+#: config/sh/sh.opt:128
 msgid "Generate code for SH4 500 series (FPU-less)."
 msgstr "Generera kod för SH4-500-serien (utan FPU)."
 
-#: config/sh/sh.opt:129
+#: config/sh/sh.opt:133
 msgid "Generate default single-precision SH4 code"
 msgstr "Generera normal enkelprecisions SH4-kod"
 
-#: config/sh/sh.opt:133
+#: config/sh/sh.opt:137
 msgid "Generate default single-precision SH4-100 code"
 msgstr "Generera normal enkelprecisions SH4-100-kod"
 
-#: config/sh/sh.opt:137
+#: config/sh/sh.opt:141
 msgid "Generate default single-precision SH4-200 code"
 msgstr "Generera normal enkelprecisions SH4-200-kod"
 
-#: config/sh/sh.opt:141
+#: config/sh/sh.opt:145
 msgid "Generate default single-precision SH4-300 code"
 msgstr "Generera normal enkelprecisions SH4-300-kod"
 
-#: config/sh/sh.opt:145
+#: config/sh/sh.opt:149
 msgid "Generate only single-precision SH4 code"
 msgstr "Generera endast enkelprecisions SH4-kod"
 
-#: config/sh/sh.opt:149
+#: config/sh/sh.opt:153
 msgid "Generate only single-precision SH4-100 code"
 msgstr "Generera endast enkelprecisions SH4-100-kod"
 
-#: config/sh/sh.opt:153
+#: config/sh/sh.opt:157
 msgid "Generate only single-precision SH4-200 code"
 msgstr "Generera endast enkelprecisions SH4-200-kod"
 
-#: config/sh/sh.opt:157
+#: config/sh/sh.opt:161
 msgid "Generate only single-precision SH4-300 code"
 msgstr "Generera endast enkelprecisions SH4-300-kod"
 
-#: config/sh/sh.opt:161
+#: config/sh/sh.opt:165
 msgid "Generate SH4a code"
 msgstr "Generera SH4a-kod"
 
-#: config/sh/sh.opt:165
+#: config/sh/sh.opt:169
 msgid "Generate SH4a FPU-less code"
 msgstr "Generera SH4a-kod utan FPU"
 
-#: config/sh/sh.opt:169
+#: config/sh/sh.opt:173
 msgid "Generate default single-precision SH4a code"
 msgstr "Generera normal enkelprecisions SH4a-kod"
 
-#: config/sh/sh.opt:173
+#: config/sh/sh.opt:177
 msgid "Generate only single-precision SH4a code"
 msgstr "Generera endast enkelprecisions SH4a-kod"
 
-#: config/sh/sh.opt:177
+#: config/sh/sh.opt:181
 msgid "Generate SH4al-dsp code"
 msgstr "Generera SH4al-dsp-kod"
 
-#: config/sh/sh.opt:181
+#: config/sh/sh.opt:185
 msgid "Generate 32-bit SHmedia code"
 msgstr "Generera 32-bitars SHmedia-kod"
 
-#: config/sh/sh.opt:185
+#: config/sh/sh.opt:189
 msgid "Generate 32-bit FPU-less SHmedia code"
 msgstr "Generera 32-bitars SHmedia-kod utan FPU"
 
-#: config/sh/sh.opt:189
+#: config/sh/sh.opt:193
 msgid "Generate 64-bit SHmedia code"
 msgstr "Generera 64-bitars SHmedia-kod"
 
-#: config/sh/sh.opt:193
+#: config/sh/sh.opt:197
 msgid "Generate 64-bit FPU-less SHmedia code"
 msgstr "Generera 64-bitars SHmedia-kod utan FPU"
 
-#: config/sh/sh.opt:197
+#: config/sh/sh.opt:201
 msgid "Generate SHcompact code"
 msgstr "Generera SHcompact-kod"
 
-#: config/sh/sh.opt:201
+#: config/sh/sh.opt:205
 msgid "Generate FPU-less SHcompact code"
 msgstr "Generera SHcompact-kod utan FPU"
 
-#: config/sh/sh.opt:213
+#: config/sh/sh.opt:217
 msgid "Generate code in big endian mode"
 msgstr "Generera kod för rak byteordning"
 
-#: config/sh/sh.opt:217
+#: config/sh/sh.opt:221
 msgid "Generate 32-bit offsets in switch tables"
 msgstr "Använd 32-bitars avstånd i hopptabeller"
 
-#: config/sh/sh.opt:221
+#: config/sh/sh.opt:225
 msgid "Generate bit instructions"
 msgstr "Generera bitinstruktioner"
 
-#: config/sh/sh.opt:225
+#: config/sh/sh.opt:229
 msgid "Cost to assume for a branch insn"
 msgstr "Kostnad att anta för en greninstruktion"
 
-#: config/sh/sh.opt:229
+#: config/sh/sh.opt:233
 msgid "Assume that zero displacement conditional branches are fast"
 msgstr "Anta att villkorliga grenar med noll förskjutning är snabba"
 
-#: config/sh/sh.opt:233
+#: config/sh/sh.opt:237
 msgid "Enable cbranchdi4 pattern"
 msgstr "Aktivera cbranchdi4-mönster"
 
-#: config/sh/sh.opt:237
+#: config/sh/sh.opt:241
 msgid "Emit cmpeqdi_t pattern even when -mcbranchdi is in effect."
 msgstr "Mata ut cmpeqdi_t-mönster även när -mcbranchdi är aktivt."
 
-#: config/sh/sh.opt:241
+#: config/sh/sh.opt:245
 msgid "Enable SH5 cut2 workaround"
 msgstr "Aktivera sätt att kringgå SH5 cut2"
 
-#: config/sh/sh.opt:245
+#: config/sh/sh.opt:249
 msgid "Align doubles at 64-bit boundaries"
 msgstr "Justera double på 64-bitarsgränser"
 
-#: config/sh/sh.opt:249
+#: config/sh/sh.opt:253
 msgid "Division strategy, one of: call, call2, fp, inv, inv:minlat, inv20u, inv20l, inv:call, inv:call2, inv:fp, call-div1, call-fp, call-table"
 msgstr "Divisionsstrategi, en av: call, call2, fp, inv, inv:minlat, inv20u, inv20l, inv:call, inv:call2, inv:fp, call-div1, call-fp, call-table"
 
-#: config/sh/sh.opt:253
+#: config/sh/sh.opt:257
 msgid "Specify name for 32 bit signed division function"
 msgstr "Ange namnet på funktion för 32-bitars division med tecken"
 
-#: config/sh/sh.opt:257
+#: config/sh/sh.opt:261
 msgid "Enable the use of 64-bit floating point registers in fmov instructions.  See -mdalign if 64-bit alignment is required."
 msgstr "Möjliggör användningen av 64-bitars flyttalsregister i fmov-instruktioner.  Se -mdalign om 64-bitars justering krävs."
 
-#: config/sh/sh.opt:265
+#: config/sh/sh.opt:269
 msgid "Cost to assume for gettr insn"
 msgstr "Kostnad att anta för getattr-instruktion"
 
-#: config/sh/sh.opt:269 config/sh/sh.opt:319
+#: config/sh/sh.opt:273 config/sh/sh.opt:323
 msgid "Follow Renesas (formerly Hitachi) / SuperH calling conventions"
 msgstr "Följ Renesas (tidigare Hitachi) / SuperH-anropskonventioner"
 
-#: config/sh/sh.opt:273
+#: config/sh/sh.opt:277
 msgid "Increase the IEEE compliance for floating-point comparisons"
 msgstr "Öka efterföljden av IEEE för flyttalsjämförelser"
 
-#: config/sh/sh.opt:277
+#: config/sh/sh.opt:281
 msgid "Enable the use of the indexed addressing mode for SHmedia32/SHcompact"
 msgstr "Aktivera användning av det indexerade adresseringsläget för SHmedia32/SHcompact"
 
-#: config/sh/sh.opt:281
+#: config/sh/sh.opt:285
 msgid "inline code to invalidate instruction cache entries after setting up nested function trampolines"
 msgstr "inline:a kod för att invalidera instruktionscacheposter efter att nästade funktionstrampoliner satts upp"
 
-#: config/sh/sh.opt:285
+#: config/sh/sh.opt:289
 msgid "Assume symbols might be invalid"
 msgstr "Anta att symboler kan vara ogiltiga"
 
-#: config/sh/sh.opt:289
+#: config/sh/sh.opt:293
 msgid "Annotate assembler instructions with estimated addresses"
 msgstr "Annotera assemblerinstruktioner med bedömda adresser"
 
-#: config/sh/sh.opt:293
+#: config/sh/sh.opt:297
 msgid "Generate code in little endian mode"
 msgstr "Generera kod för omvänd byteordning"
 
-#: config/sh/sh.opt:297
+#: config/sh/sh.opt:301
 msgid "Mark MAC register as call-clobbered"
 msgstr "Markera MAC-register som anropsöverskrivna"
 
-#: config/sh/sh.opt:303
+#: config/sh/sh.opt:307
 msgid "Make structs a multiple of 4 bytes (warning: ABI altered)"
 msgstr "Gör poster en multipel av 4 byte (varning: ABI:et ändras)"
 
-#: config/sh/sh.opt:307
+#: config/sh/sh.opt:311
 msgid "Emit function-calls using global offset table when generating PIC"
 msgstr "Mata ut funktionsanrop som använder en global avståndstabell när PIC genereras"
 
-#: config/sh/sh.opt:311
+#: config/sh/sh.opt:315
 msgid "Assume pt* instructions won't trap"
 msgstr "Anta att pt*-instruktioner inte utlöser fällor"
 
-#: config/sh/sh.opt:315
+#: config/sh/sh.opt:319
 msgid "Shorten address references during linking"
 msgstr "Förkorta adressreferenser vid länkning"
 
-#: config/sh/sh.opt:323
+#: config/sh/sh.opt:327
 msgid "Deprecated.  Use -matomic= instead to select the atomic model"
 msgstr "Undanbedes.  Använd -matomic= istället för att välja den atomära modellen"
 
-#: config/sh/sh.opt:327
+#: config/sh/sh.opt:331
 msgid "Specify the model for atomic operations"
 msgstr "Ange modellen för atomiska operationer"
 
-#: config/sh/sh.opt:331
+#: config/sh/sh.opt:335
 msgid "Use tas.b instruction for __atomic_test_and_set"
 msgstr "Använd instruktionen tas.b till __atomic_test_and_set"
 
-#: config/sh/sh.opt:335
+#: config/sh/sh.opt:339
 msgid "Deprecated.  Use -Os instead"
 msgstr "Undanbedes.  Använd -Os istället"
 
-#: config/sh/sh.opt:339
+#: config/sh/sh.opt:343
 msgid "Cost to assume for a multiply insn"
 msgstr "Kostnad att anta för en multiplikationsinstruktion"
 
-#: config/sh/sh.opt:343
+#: config/sh/sh.opt:347
 msgid "Don't generate privileged-mode only code; implies -mno-inline-ic_invalidate if the inline code would not work in user mode."
 msgstr "Generera inte kod för endast privilegierat läge.  Implicerar -mno-inline-ic_invalidate om den inline:ade koden inte skulle fungera i användarläge."
 
-#: config/sh/sh.opt:349
+#: config/sh/sh.opt:353
 msgid "Pretend a branch-around-a-move is a conditional move."
 msgstr "Låtsas en gren-runt-en-förflyttning är en villkorlig förflyttning."
 
-#: config/sh/sh.opt:353
+#: config/sh/sh.opt:357
 msgid "Enable the use of the fsca instruction"
 msgstr "Aktivera användningen av instruktionen fsca"
 
-#: config/sh/sh.opt:357
+#: config/sh/sh.opt:361
 msgid "Enable the use of the fsrra instruction"
 msgstr "Aktivera användningen av instruktionen fsrra"
 
@@ -10715,1543 +10728,1547 @@
 msgstr "Varna för retur av poster, unioner eller vektorer"
 
 #: common.opt:510
+msgid "Warn if a loop with constant number of iterations triggers undefined behavior"
+msgstr "Varna om en slinga med konstant antal iterationer orsakar odefinerat beteende"
+
+#: common.opt:514
 msgid "Warn if an array is accessed out of bounds"
 msgstr "Varna om en vektor accessas utanför gränserna"
 
-#: common.opt:514
+#: common.opt:518
 msgid "Warn about inappropriate attribute usage"
 msgstr "Varna för felaktig användning av attribut"
 
-#: common.opt:518
+#: common.opt:522
 msgid "Warn about pointer casts which increase alignment"
 msgstr "Varna för typkonvertering av pekare som ökar justeringen"
 
-#: common.opt:522
+#: common.opt:526
 msgid "Warn when a #warning directive is encountered"
 msgstr "Varna när ett #warning-direktiv påträffas"
 
-#: common.opt:526
+#: common.opt:530
 msgid "Warn about uses of __attribute__((deprecated)) declarations"
 msgstr "Varna för användning av __attribute__((deprecated))-deklarationer"
 
-#: common.opt:530
+#: common.opt:534
 msgid "Warn when an optimization pass is disabled"
 msgstr "Varna när ett optimerarpass är avaktiverat"
 
-#: common.opt:534
+#: common.opt:538
 msgid "Treat all warnings as errors"
 msgstr "Behandla alla varningar som fel."
 
-#: common.opt:538
+#: common.opt:542
 msgid "Treat specified warning as error"
 msgstr "Behandla angivna varningar som fel"
 
-#: common.opt:546
+#: common.opt:550
 msgid "Exit on the first error occurred"
 msgstr "Avsluta vid första felet som uppstår"
 
-#: common.opt:550
+#: common.opt:554
 msgid "-Wframe-larger-than=<number>\tWarn if a function's stack frame requires more than <number> bytes"
 msgstr "-Wframe-larger-than=<antal>\tVarna om en funktions stackram kräver mer en <antal> byte"
 
-#: common.opt:554
+#: common.opt:558
 msgid "Warn when attempting to free a non-heap object"
 msgstr "Varna vid försök att frigöra ett icke-heap-objekt"
 
-#: common.opt:558
+#: common.opt:562
 msgid "Warn when an inlined function cannot be inlined"
 msgstr "Varna när en inline:ad funktion inte kan inline:as"
 
-#: common.opt:562
+#: common.opt:566
 msgid "Warn when an atomic memory model parameter is known to be outside the valid range."
 msgstr "Varna när en atomisk minnesmodellparameter med säkerhet är utanför det giltiga intervallet."
 
-#: common.opt:569
+#: common.opt:573
 msgid "-Wlarger-than=<number>\tWarn if an object is larger than <number> bytes"
 msgstr "-Wlarger-than=<antal>\tVarna för ett objekt är större än <antal> byte"
 
-#: common.opt:573
+#: common.opt:577
 msgid "Warn if the loop cannot be optimized due to nontrivial assumptions."
 msgstr "Varna för slingan inte kan optimeras på grund av icketriviala antaganden."
 
-#: common.opt:580
+#: common.opt:584
 msgid "Warn about overflow in arithmetic expressions"
 msgstr "Varna för spill i aritmetiska uttryck"
 
-#: common.opt:584
+#: common.opt:588
 msgid "Warn when the packed attribute has no effect on struct layout"
 msgstr "Varna när attributet packed inte har någon effekt på postformatet"
 
-#: common.opt:588
+#: common.opt:592
 msgid "Warn when padding is required to align structure members"
 msgstr "Varna när utfyllnad krävs för att justera postmedlemmar"
 
-#: common.opt:592
+#: common.opt:596
 msgid "Issue warnings needed for strict compliance to the standard"
 msgstr "Ge varningar som krävs för att strikt följa standarden"
 
-#: common.opt:596
+#: common.opt:600
 msgid "Warn when one local variable shadows another"
 msgstr "Varna när en lokal variabel skuggar en annan"
 
-#: common.opt:600
+#: common.opt:604
 msgid "Warn when not issuing stack smashing protection for some reason"
 msgstr "Varna när stacköverskrivningsskydd inte läggs ut av någon anledning"
 
-#: common.opt:604
+#: common.opt:608
 msgid "Warn if stack usage might be larger than specified amount"
 msgstr "Varna om stackanvändningen kan vara större än den angivna mängden"
 
-#: common.opt:608 common.opt:612
+#: common.opt:612 common.opt:616
 msgid "Warn about code which might break strict aliasing rules"
 msgstr "Varna för kod som kan bryta strikta aliasregler"
 
-#: common.opt:616 common.opt:620
+#: common.opt:620 common.opt:624
 msgid "Warn about optimizations that assume that signed overflow is undefined"
 msgstr "Varna för optimeringar som antar spill med tecken är odefinierat"
 
-#: common.opt:624
+#: common.opt:628
 msgid "Warn about functions which might be candidates for __attribute__((const))"
 msgstr "Varna för funktioner som är möjliga kandidater för __attribute__((const))"
 
-#: common.opt:628
+#: common.opt:632
 msgid "Warn about functions which might be candidates for __attribute__((pure))"
 msgstr "Varna för funktioner som är möjliga kandidater för __attribute__((pure))"
 
-#: common.opt:632
+#: common.opt:636
 msgid "Warn about functions which might be candidates for __attribute__((noreturn))"
 msgstr "Varna för funktioner som är möjliga kandidater för __attribute__((noreturn))"
 
-#: common.opt:636
+#: common.opt:640
 msgid "Do not suppress warnings from system headers"
 msgstr "Undertryck inte varningar från systemhuvudfiler"
 
-#: common.opt:640
+#: common.opt:644
 msgid "Warn whenever a trampoline is generated"
 msgstr "Varna närhelst en trampolin genereras"
 
-#: common.opt:644
+#: common.opt:648
 msgid "Warn if a comparison is always true or always false due to the limited range of the data type"
 msgstr "Varna om en jämförelse alltid är sann eller falsk på grund av begränsat intervall för datatypen"
 
-#: common.opt:648
+#: common.opt:652
 msgid "Warn about uninitialized automatic variables"
 msgstr "Varna för oinitierade automatiska variabler"
 
-#: common.opt:652
+#: common.opt:656
 msgid "Warn about maybe uninitialized automatic variables"
 msgstr "Varna för eventuellt oinitierade automatiska variabler"
 
-#: common.opt:660
+#: common.opt:664
 msgid "Enable all -Wunused- warnings"
 msgstr "Aktivera alla -Wunused-varningar"
 
-#: common.opt:664
+#: common.opt:668
 msgid "Warn when a function parameter is only set, otherwise unused"
 msgstr "Varna när en funktionsparameter bara sätts, och i övrigt är oanvänd"
 
-#: common.opt:668
+#: common.opt:672
 msgid "Warn when a variable is only set, otherwise unused"
 msgstr "Varna när en variabel bara sätts, och i övrigt är oanvänd"
 
-#: common.opt:672
+#: common.opt:676
 msgid "Warn when a function is unused"
 msgstr "Varna när en funktion är oanvänd"
 
-#: common.opt:676
+#: common.opt:680
 msgid "Warn when a label is unused"
 msgstr "Varna när en etikett är oanvänd"
 
-#: common.opt:680
+#: common.opt:684
 msgid "Warn when a function parameter is unused"
 msgstr "Varna när en funktionsparameter är oanvänd"
 
-#: common.opt:684
+#: common.opt:688
 msgid "Warn when an expression value is unused"
 msgstr "Varna när ett uttrycksvärde är oanvänt"
 
-#: common.opt:688
+#: common.opt:692
 msgid "Warn when a variable is unused"
 msgstr "Varna när en variabel är oanvänd"
 
-#: common.opt:692
+#: common.opt:696
 msgid "Warn in case profiles in -fprofile-use do not match"
 msgstr "Varna om profiler i -fprofile-use inte stämmer"
 
-#: common.opt:696
+#: common.opt:700
 msgid "Warn when a vector operation is compiled outside the SIMD"
 msgstr "Varna när en vektoroperation kompileras utanför SIMD:n"
 
-#: common.opt:712
+#: common.opt:716
 msgid "-aux-info <file>\tEmit declaration information into <file>"
 msgstr "-aux-info <fil>\tGenerera deklarationsinfo till <fil>"
 
-#: common.opt:731
+#: common.opt:735
 msgid "-d<letters>\tEnable dumps from specific passes of the compiler"
 msgstr "-d<bokstäver>\tSlå på dumpning från specifika pass i kompilatorn"
 
-#: common.opt:735
+#: common.opt:739
 msgid "-dumpbase <file>\tSet the file basename to be used for dumps"
 msgstr "-dumpbase <fil>\tAnge basfilnamn att användas för dumpar"
 
-#: common.opt:739
+#: common.opt:743
 msgid "-dumpdir <dir>\tSet the directory name to be used for dumps"
 msgstr "-dumpdir <kat>\tAnge katalognamn att användas för dumpar"
 
-#: common.opt:798
+#: common.opt:802
 msgid "Aggressively optimize loops using language constraints"
 msgstr "Optimera aggresivt slingor med användning av språkbegränsningar"
 
-#: common.opt:802
+#: common.opt:806
 msgid "Align the start of functions"
 msgstr "Justera starten av funktioner"
 
-#: common.opt:809
+#: common.opt:813
 msgid "Align labels which are only reached by jumping"
 msgstr "Justera etiketter som bara nås via hopp"
 
-#: common.opt:816
+#: common.opt:820
 msgid "Align all labels"
 msgstr "Justera alla etiketter"
 
-#: common.opt:823
+#: common.opt:827
 msgid "Align the start of loops"
 msgstr "Justera starten av slingor"
 
-#: common.opt:846
+#: common.opt:850
 msgid "Enable AddressSanitizer, a memory error detector"
 msgstr "Aktivera AddressSanitizer, en minnesfeldetektor"
 
-#: common.opt:850
+#: common.opt:854
 msgid "Enable ThreadSanitizer, a data race detector"
 msgstr "Aktivera ThreadSanitizer, en datakapplöpningsdetektor"
 
-#: common.opt:854
+#: common.opt:858
 msgid "Generate unwind tables that are exact at each instruction boundary"
 msgstr "Generera tabeller för upprullning som är exakta vid varje instruktionsgräns"
 
-#: common.opt:858
+#: common.opt:862
 msgid "Generate auto-inc/dec instructions"
 msgstr "Generera auto-inc/dec-instruktioner"
 
-#: common.opt:866
+#: common.opt:870
 msgid "Generate code to check bounds before indexing arrays"
 msgstr "Generera kod för att kontrollera gränser före indexering i vektorer"
 
-#: common.opt:870
+#: common.opt:874
 msgid "Replace add, compare, branch with branch on count register"
 msgstr "Ersätt addition, jämförelse, grena med gren vid räknarregister"
 
-#: common.opt:874
+#: common.opt:878
 msgid "Use profiling information for branch probabilities"
 msgstr "Använd profileringsinformation för grensannolikheter"
 
-#: common.opt:878
+#: common.opt:882
 msgid "Perform branch target load optimization before prologue / epilogue threading"
 msgstr "Utför optimering av grenmålsinläsning före prolog-/epilogtrådning"
 
-#: common.opt:882
+#: common.opt:886
 msgid "Perform branch target load optimization after prologue / epilogue threading"
 msgstr "Utför optimering av grenmålsinläsning efter prolog-/epilogtrådning"
 
-#: common.opt:886
+#: common.opt:890
 msgid "Restrict target load migration not to re-use registers in any basic block"
 msgstr "Begränsa migration av målinläsning till att inte återanvända register i något grundblock"
 
-#: common.opt:890
+#: common.opt:894
 msgid "-fcall-saved-<register>\tMark <register> as being preserved across functions"
 msgstr "-fcall-saved-<register>\tMarkera att <register> bevaras mellan funktioner"
 
-#: common.opt:894
+#: common.opt:898
 msgid "-fcall-used-<register>\tMark <register> as being corrupted by function calls"
 msgstr "-fcall-used-<register>\tMarkera att <register> förstörs av funktionsanrop"
 
-#: common.opt:901
+#: common.opt:905
 msgid "Save registers around function calls"
 msgstr "Spara register runt funktionsanrop"
 
-#: common.opt:905
+#: common.opt:909
 msgid "Compare the results of several data dependence analyzers."
 msgstr "Jämför resultaten av flera analyserare av databeroende."
 
-#: common.opt:909
+#: common.opt:913
 msgid "Looks for opportunities to reduce stack adjustments and stack references."
 msgstr "Söker efter möjligheter att minska stackjusteringar och stackreferenser."
 
-#: common.opt:913
+#: common.opt:917
 msgid "Do not put uninitialized globals in the common section"
 msgstr "Lägg inte oinitierade globala i den gemensamma sektionen"
 
-#: common.opt:921
+#: common.opt:925
 msgid "-fcompare-debug[=<opts>]\tCompile with and without e.g. -gtoggle, and compare the final-insns dump"
 msgstr "-fcompare-debug[=<flgr>]\tKompilera med och utan t.ex. -gtoggle, och jämför slutinstruktionsdumpen"
 
-#: common.opt:925
+#: common.opt:929
 msgid "Run only the second compilation of -fcompare-debug"
 msgstr "Kör endast den andra kompileringen av -fcompare-debug"
 
-#: common.opt:929
+#: common.opt:933
 msgid "Perform comparison elimination after register allocation has finished"
 msgstr "Utför eliminering av jämförelser efter registertilldelningen har avslutats"
 
-#: common.opt:933
+#: common.opt:937
 msgid "Do not perform optimizations increasing noticeably stack usage"
 msgstr "Utför inte optimieringar som märkbart ökar stackanvändningen"
 
-#: common.opt:937
+#: common.opt:941
 msgid "Perform a register copy-propagation optimization pass"
 msgstr "Utför ett optimeringspass för kopieringspropagering av register"
 
-#: common.opt:941
+#: common.opt:945
 msgid "Perform cross-jumping optimization"
 msgstr "Utför optimering för korshopp"
 
-#: common.opt:945
+#: common.opt:949
 msgid "When running CSE, follow jumps to their targets"
 msgstr "När CSE körs, följ hopp till deras mål"
 
-#: common.opt:953
+#: common.opt:957
 msgid "Omit range reduction step when performing complex division"
 msgstr "Uteslut intervallreduktionssteget när komplex division görs"
 
-#: common.opt:957
+#: common.opt:961
 msgid "Complex multiplication and division follow Fortran rules"
 msgstr "Komplex multiplikation och division följer Fortranregler"
 
-#: common.opt:961
+#: common.opt:965
 msgid "Place data items into their own section"
 msgstr "Placera dataobjekt i sin egen sektion"
 
-#: common.opt:965
+#: common.opt:969
 msgid "List all available debugging counters with their limits and counts."
 msgstr "Lista alla tillgängliga felsökningsräknare med deras gränser och värden."
 
-#: common.opt:969
+#: common.opt:973
 msgid "-fdbg-cnt=<counter>:<limit>[,<counter>:<limit>,...]\tSet the debug counter limit.   "
 msgstr "-fdbg-cnt=<räknare>:<gräns>[,<räknare>:<gräns>,...]\tSätt gränsen för felsökningsräknare.   "
 
-#: common.opt:973
+#: common.opt:977
 msgid "Map one directory name to another in debug information"
 msgstr "Översätt ett katalognamn till ett annat i felsökningsinformation"
 
-#: common.opt:977
+#: common.opt:981
 msgid "Output .debug_types section when using DWARF v4 debuginfo."
 msgstr "Mata ut en .debug_types-sektion när DWARF v4 felsökningsinformation används."
 
-#: common.opt:983
+#: common.opt:987
 msgid "Defer popping functions args from stack until later"
 msgstr "Senarelägg borttagandet av funktionsargument från stacken"
 
-#: common.opt:987
+#: common.opt:991
 msgid "Attempt to fill delay slots of branch instructions"
 msgstr "Försök fylla fördröjningsfack av greninstruktioner"
 
-#: common.opt:991
+#: common.opt:995
 msgid "Delete dead instructions that may throw exceptions"
 msgstr "Ta bort döda instruktioner som kan kasta undantag"
 
-#: common.opt:995
+#: common.opt:999
 msgid "Delete useless null pointer checks"
 msgstr "Ta bort onödiga nollpekarkontroller"
 
-#: common.opt:999
+#: common.opt:1003
 msgid "Try to convert virtual calls to direct ones."
 msgstr "Försök att konvertera virtuella anrop till direkta."
 
-#: common.opt:1003
+#: common.opt:1007
 msgid "-fdiagnostics-show-location=[once|every-line]\tHow often to emit source location at the beginning of line-wrapped diagnostics"
 msgstr "-fdiagnostics-show-location=[once|every-line]\tAnger hur ofta källkodspositioner skall skrivas ut i början av utskrift vid radbrytning"
 
-#: common.opt:1020
+#: common.opt:1024
 msgid "Show the source line with a caret indicating the column"
 msgstr "Visa källkodsrader med en cirkumflex som indikerar kolumnen"
 
-#: common.opt:1024
+#: common.opt:1028
 msgid "Amend appropriate diagnostic messages with the command line option that controls them"
 msgstr "Lägg till lämpliga diagnostiska meddelanden till kommandoradsflaggan som styr dem"
 
-#: common.opt:1028
+#: common.opt:1032
 msgid "-fdisable-[tree|rtl|ipa]-<pass>=range1+range2 disables an optimization pass"
 msgstr "-fdisable-[tree|rtl|ipa]-<pass>=intrvl1+intrvl2 avaktiverar ett optimeringspass"
 
-#: common.opt:1032
+#: common.opt:1036
 msgid "-fenable-[tree|rtl|ipa]-<pass>=range1+range2 enables an optimization pass"
 msgstr "-fenable-[tree|rtl|ipa]-<pass>=intrvl1+intrvl2 aktiverar ett optimeringspass"
 
-#: common.opt:1036
+#: common.opt:1040
 msgid "-fdump-<type>\tDump various compiler internals to a file"
 msgstr "-fdump-<typ>\tSkriv ut diverse intern kompilatorinformation till en fil"
 
-#: common.opt:1043
+#: common.opt:1047
 msgid "-fdump-final-insns=filename\tDump to filename the insns at the end of translation"
 msgstr "-fdump-final-insns=filnamn\tSkriv instruktionerna vid slutet av översättningen till filnamn"
 
-#: common.opt:1047
+#: common.opt:1051
 msgid "-fdump-go-spec=filename\tWrite all declarations to file as Go code"
 msgstr "-fdump-go-spec=filnamn\tSkriv alla deklarationer till fil som Go-kod"
 
-#: common.opt:1051
+#: common.opt:1055
 msgid "Suppress output of addresses in debugging dumps"
 msgstr "Undertryck utskrift av adresser i felsökningsutskrifter"
 
-#: common.opt:1055
+#: common.opt:1059
 msgid "Dump optimization passes"
 msgstr "Dumpa optimeringspass"
 
-#: common.opt:1059
+#: common.opt:1063
 msgid "Suppress output of instruction numbers, line number notes and addresses in debugging dumps"
 msgstr "Undertryck utskrift av instruktionsantal, radnummernoteringar och -adresser i felsökningsutskrifter"
 
-#: common.opt:1063
+#: common.opt:1067
 msgid "Suppress output of previous and next insn numbers in debugging dumps"
 msgstr "Undertryck utskrift föregående och nästa instruktionsnummer i felsökningsutskrifter"
 
-#: common.opt:1067
+#: common.opt:1071
 msgid "Enable CFI tables via GAS assembler directives."
 msgstr "Aktivera CFI-tabeller via GAS-assemblerdirektiv."
 
-#: common.opt:1071
+#: common.opt:1075
 msgid "Perform early inlining"
 msgstr "Utför tidig inline:ing"
 
-#: common.opt:1075
+#: common.opt:1079
 msgid "Perform DWARF2 duplicate elimination"
 msgstr "Utför dubletteliminering i DWARF2"
 
-#: common.opt:1079
+#: common.opt:1083
 msgid "Perform interprocedural reduction of aggregates"
 msgstr "Utför interprocedurell reduktion av aggregat"
 
-#: common.opt:1083 common.opt:1087
+#: common.opt:1087 common.opt:1091
 msgid "Perform unused type elimination in debug info"
 msgstr "Utför eliminering av oanvända typer i felsökningsinformation"
 
-#: common.opt:1091
+#: common.opt:1095
 msgid "Do not suppress C++ class debug information."
 msgstr "Undertryck inte felsökningsinformation för C++-klasser."
 
-#: common.opt:1095
+#: common.opt:1099
 msgid "Enable exception handling"
 msgstr "Aktivera undantagshantering"
 
-#: common.opt:1099
+#: common.opt:1103
 msgid "Perform a number of minor, expensive optimizations"
 msgstr "Utför ett antal smärre, dyra optimeringar"
 
-#: common.opt:1103
+#: common.opt:1107
 msgid "-fexcess-precision=[fast|standard]\tSpecify handling of excess floating-point precision"
 msgstr "-fexecc-precision=[fast|standard]\tAnge hantering av överskjutande precision på flyttal"
 
-#: common.opt:1106
+#: common.opt:1110
 #, c-format
 msgid "unknown excess precision style %qs"
 msgstr "okänd stil för överskjutande precision %qs"
 
-#: common.opt:1119
+#: common.opt:1123
 msgid "Output lto objects containing both the intermediate language and binary output."
 msgstr "Mata ut lto-objekt som innehåller både mellanspråket och binärutdata."
 
-#: common.opt:1123
+#: common.opt:1127
 msgid "Assume no NaNs or infinities are generated"
 msgstr "Anta att inga NaN:er eller oändligheter genereras"
 
-#: common.opt:1127
+#: common.opt:1131
 msgid "-ffixed-<register>\tMark <register> as being unavailable to the compiler"
 msgstr "-ffixed-<register>\tMarkera <register> som ej tillgängligt för kompilatorn"
 
-#: common.opt:1131
+#: common.opt:1135
 msgid "Don't allocate floats and doubles in extended-precision registers"
 msgstr "Allokera inte float och double i register med utökad precision"
 
-#: common.opt:1139
+#: common.opt:1143
 msgid "Perform a forward propagation pass on RTL"
 msgstr "Utför ett framåtpropageringspass på RTL"
 
-#: common.opt:1143
+#: common.opt:1147
 msgid "-ffp-contract=[off|on|fast] Perform floating-point expression contraction."
 msgstr "-ffp-contract=[off|on|fast] Utför kontraktion av flyttalsuttryck."
 
-#: common.opt:1146
+#: common.opt:1150
 #, c-format
 msgid "unknown floating point contraction style %qs"
 msgstr "okänd stil för flyttalssammandragning %qs"
 
-#: common.opt:1163
+#: common.opt:1167
 msgid "Allow function addresses to be held in registers"
 msgstr "Tillåt att funktionsadresser läggs i register"
 
-#: common.opt:1167
+#: common.opt:1171
 msgid "Place each function into its own section"
 msgstr "Placera varje funktion i sin egen sektion"
 
-#: common.opt:1171
+#: common.opt:1175
 msgid "Perform global common subexpression elimination"
 msgstr "Utför global eliminering av gemensamma deluttryck"
 
-#: common.opt:1175
+#: common.opt:1179
 msgid "Perform enhanced load motion during global common subexpression elimination"
 msgstr "Utför förbättrad förflyttning av inläsning under global eliminering av gemensamma deluttryck"
 
-#: common.opt:1179
+#: common.opt:1183
 msgid "Perform store motion after global common subexpression elimination"
 msgstr "Utför förflyttning av lagring efter global eliminering av gemensamma deluttryck"
 
-#: common.opt:1183
+#: common.opt:1187
 msgid "Perform redundant load after store elimination in global common subexpression"
 msgstr "Utför eliminering av överflödig inläsning efter lagring i globala gemensamma deluttryck"
 
-#: common.opt:1188
+#: common.opt:1192
 msgid "Perform global common subexpression elimination after register allocation"
 msgstr "Utför global eliminering av gemensamma deluttryck efter registertilldelning"
 
-#: common.opt:1194
+#: common.opt:1198
 msgid "Enable in and out of Graphite representation"
 msgstr "Aktivera in och ut från Graphite-representation"
 
-#: common.opt:1198
+#: common.opt:1202
 msgid "Enable Graphite Identity transformation"
 msgstr "Aktivera Graphite-identitetstransformation"
 
-#: common.opt:1202
+#: common.opt:1206
 msgid "Enable hoisting adjacent loads to encourage generating conditional move"
 msgstr "Aktivera närliggande lyftningslast för att uppmuntra generering av villkorliga förflyttningar."
 
-#: common.opt:1207
+#: common.opt:1211
 msgid "Mark all loops as parallel"
 msgstr "Markera alla slingor som parallella"
 
-#: common.opt:1211
+#: common.opt:1215
 msgid "Enable Loop Strip Mining transformation"
 msgstr "Aktivera transformationen utgrävning av remsor (strip mining) i slingor"
 
-#: common.opt:1215
+#: common.opt:1219
 msgid "Enable Loop Interchange transformation"
 msgstr "Aktivera transformationen utbyte (interchange) i slingor"
 
-#: common.opt:1219
+#: common.opt:1223
 msgid "Enable Loop Blocking transformation"
 msgstr "Aktivera slingblockeringstransformation"
 
-#: common.opt:1223
+#: common.opt:1227
 msgid "Enable support for GNU transactional memory"
 msgstr "Aktivera stöd för GNU:s transationsminne"
 
-#: common.opt:1231
+#: common.opt:1235
 msgid "Enable the ISL based loop nest optimizer"
 msgstr "Aktevera den ISL-baserade optimeraren av slingnästning"
 
-#: common.opt:1235
+#: common.opt:1239
 msgid "Force bitfield accesses to match their type width"
 msgstr "Tvinga bitfältsåtkomster att matcha sin typbredd"
 
-#: common.opt:1239
+#: common.opt:1243
 msgid "Enable guessing of branch probabilities"
 msgstr "Aktivera att grensannolikheter gissas"
 
-#: common.opt:1247
+#: common.opt:1251
 msgid "Process #ident directives"
 msgstr "Hantera #ident-direktiv"
 
-#: common.opt:1251
+#: common.opt:1255
 msgid "Perform conversion of conditional jumps to branchless equivalents"
 msgstr "Utför konvertering av villkorliga hopp till grenlösa motsvarigheter"
 
-#: common.opt:1255
+#: common.opt:1259
 msgid "Perform conversion of conditional jumps to conditional execution"
 msgstr "Utför konvertering av villkorliga hopp till villkorlig exekvering"
 
-#: common.opt:1259
+#: common.opt:1263
 msgid "-fstack-reuse=[all|named_vars|none] Set stack reuse level for local variables."
 msgstr "-fstack-reuse=[all|named_vars|none] Ställ in stackåteranvändningsnivån för lokala variabler."
 
-#: common.opt:1262
+#: common.opt:1266
 #, c-format
 msgid "unknown Stack Reuse Level %qs"
 msgstr "okänd stackåteranvändningsmodell %qs"
 
-#: common.opt:1275
+#: common.opt:1279
 msgid "Convert conditional jumps in innermost loops to branchless equivalents"
 msgstr "Konvertera villkorliga hopp i innersta slingor till grenlösa motsvarigheter"
 
-#: common.opt:1279
+#: common.opt:1283
 msgid "Also if-convert conditional jumps containing memory writes"
 msgstr "Även if-convert villkorliga hopp som innehåller minnesskrivningar"
 
-#: common.opt:1287
+#: common.opt:1291
 msgid "Do not generate .size directives"
 msgstr "Generera inte .size-direktiv"
 
-#: common.opt:1291
+#: common.opt:1295
 msgid "Perform indirect inlining"
 msgstr "Utför indirekt inline:ing"
 
-#: common.opt:1297
+#: common.opt:1301
 msgid "Enable inlining of function declared \"inline\", disabling disables all inlining"
 msgstr "Aktivera inline:ing av funktioner deklarerade ”inline”, avslaget avaktiveras all inline:ing"
 
-#: common.opt:1301
+#: common.opt:1305
 msgid "Integrate functions into their callers when code size is known not to grow"
 msgstr "Integrera funktioner i deras anropare när det är klart att kodstorleken inte växer"
 
-#: common.opt:1305
+#: common.opt:1309
 msgid "Integrate functions not declared \"inline\" into their callers when profitable"
 msgstr "Integrera funktioner deklarerade ”inline” i deras anropare när det lönar sig"
 
-#: common.opt:1309
+#: common.opt:1313
 msgid "Integrate functions only required by their single caller"
 msgstr "Integrera funktioner som endast behövs av deras enda anropare"
 
-#: common.opt:1316
+#: common.opt:1320
 msgid "-finline-limit=<number>\tLimit the size of inlined functions to <number>"
 msgstr "-finline-limit=<tal>\tBegränsa storlek på inline-funktioner till <tal>"
 
-#: common.opt:1320
+#: common.opt:1324
 msgid "Inline __atomic operations when a lock free instruction sequence is available."
 msgstr "Inline:a __atomic-operationer när en låsningsfri instruktionssekvens är tillgänglig."
 
-#: common.opt:1324
+#: common.opt:1328
 msgid "Instrument function entry and exit with profiling calls"
 msgstr "Instrumentera funktionsingång och -utgång med profileringsanrop"
 
-#: common.opt:1328
+#: common.opt:1332
 msgid "-finstrument-functions-exclude-function-list=name,...  Do not instrument listed functions"
 msgstr "-finstrument-functions-exclude-function-list=namn,...  Instrumentera inte uppräknade funktioner"
 
-#: common.opt:1332
+#: common.opt:1336
 msgid "-finstrument-functions-exclude-file-list=filename,...  Do not instrument functions listed in files"
 msgstr "-finstrument-functions-exclude-file-list=filenamn,...  Instrumentera inte funktioner uppräknade i filerna"
 
-#: common.opt:1336
+#: common.opt:1340
 msgid "Perform Interprocedural constant propagation"
 msgstr "Utför konstantpropagering mellan procedurer"
 
-#: common.opt:1340
+#: common.opt:1344
 msgid "Perform cloning to make Interprocedural constant propagation stronger"
 msgstr "Utför kloning för att göra konstantpropagering mellan procedurer starkare"
 
-#: common.opt:1344
+#: common.opt:1348
 msgid "Perform interprocedural profile propagation"
 msgstr "Utför profileringspropagering mellan procedurer"
 
-#: common.opt:1348
+#: common.opt:1352
 msgid "Perform interprocedural points-to analysis"
 msgstr "Utför pekar-på-analyser mellan procedurer"
 
-#: common.opt:1352
+#: common.opt:1356
 msgid "Discover pure and const functions"
 msgstr "Upptäck pure- och const-funktioner"
 
-#: common.opt:1356
+#: common.opt:1360
 msgid "Discover readonly and non addressable static variables"
 msgstr "Upptäck endast läsbara och icke adresserbara statiska variabler"
 
-#: common.opt:1368
+#: common.opt:1372
 msgid "-fira-algorithm=[CB|priority] Set the used IRA algorithm"
 msgstr "-fira-algorithm=[CB|priority] Bestäm den använda IRA-algoritmen"
 
-#: common.opt:1371
+#: common.opt:1375
 #, c-format
 msgid "unknown IRA algorithm %qs"
 msgstr "okänd IRA-algoritm %qs"
 
-#: common.opt:1381
+#: common.opt:1385
 msgid "-fira-region=[one|all|mixed] Set regions for IRA"
 msgstr "-fira-region=[one|all|mixed] Sätt regioner för IRA"
 
-#: common.opt:1384
+#: common.opt:1388
 #, c-format
 msgid "unknown IRA region %qs"
 msgstr "okänd IRA-region %qs"
 
-#: common.opt:1397 common.opt:1402
+#: common.opt:1401 common.opt:1406
 msgid "Use IRA based register pressure calculation"
 msgstr "Använd IRA-baserad registertryckberäkning"
 
-#: common.opt:1407
+#: common.opt:1411
 msgid "Share slots for saving different hard registers."
 msgstr "Dela fack för att spara olika hårda register."
 
-#: common.opt:1411
+#: common.opt:1415
 msgid "Share stack slots for spilled pseudo-registers."
 msgstr "Dela stackfack för spillda pseudoregister."
 
-#: common.opt:1415
+#: common.opt:1419
 msgid "-fira-verbose=<number>\tControl IRA's level of diagnostic messages."
 msgstr "-fira-verbose=<tal>\tStyr IRA:ns nivå på diagnostikmeddelanden."
 
-#: common.opt:1419
+#: common.opt:1423
 msgid "Optimize induction variables on trees"
 msgstr "Optimera induktionsvariabler på träd"
 
-#: common.opt:1423
+#: common.opt:1427
 msgid "Use jump tables for sufficiently large switch statements"
 msgstr "Använd hopptabeller för tillräckligt stora switch-satser"
 
-#: common.opt:1427
+#: common.opt:1431
 msgid "Generate code for functions even if they are fully inlined"
 msgstr "Generera kod för funktioner även om de är fullständigt inline:ade"
 
-#: common.opt:1431
+#: common.opt:1435
 msgid "Emit static const variables even if they are not used"
 msgstr "Mata ut static const-variabler även om de inte används"
 
-#: common.opt:1435
+#: common.opt:1439
 msgid "Give external symbols a leading underscore"
 msgstr "Ge externa symboler ett inledande understrykningstecken"
 
-#: common.opt:1443
+#: common.opt:1447
 msgid "Enable link-time optimization."
 msgstr "Aktivera länkningsoptimeringar."
 
-#: common.opt:1447
+#: common.opt:1451
 msgid "Link-time optimization with number of parallel jobs or jobserver."
 msgstr "Optimeringar vid länktillfället med flera parallella jobb eller jobbserver."
 
-#: common.opt:1451
+#: common.opt:1455
 msgid "Partition symbols and vars at linktime based on object files they originate from"
 msgstr "Partitionera symboler och variabler vid länktillfället baserat på vilka objektfiler de härrör från"
 
-#: common.opt:1455
+#: common.opt:1459
 msgid "Partition functions and vars at linktime into approximately same sized buckets"
 msgstr "Partitionera funktioner och variabler vid länktillfället i hinkar av ungefär samma storlek"
 
-#: common.opt:1459
+#: common.opt:1463
 msgid "Put every symbol into separate partition"
 msgstr "Placera varje symbol i en separat partition"
 
-#: common.opt:1463
+#: common.opt:1467
 msgid "Disable partioning and streaming"
 msgstr "Avaktivera partitionering och strömning"
 
-#: common.opt:1468
+#: common.opt:1472
 msgid "-flto-compression-level=<number>\tUse zlib compression level <number> for IL"
 msgstr "-flto-compression-level=<tal>\tAnvänd zlib-komprimering på nivå <tal> för IL"
 
-#: common.opt:1472
+#: common.opt:1476
 msgid "Report various link-time optimization statistics"
 msgstr "Rapoortera diverse optimeringsstatistik från länkningen"
 
-#: common.opt:1476
+#: common.opt:1480
 msgid "Set errno after built-in math functions"
 msgstr "Sätt errno efter inbyggda matematikfunktioner"
 
-#: common.opt:1480
+#: common.opt:1484
 msgid "-fmax-errors=<number>\tMaximum number of errors to report"
 msgstr "-fmax-errors=<antal>\tMaximalt antal fel som skall rapporteras"
 
-#: common.opt:1484
+#: common.opt:1488
 msgid "Report on permanent memory allocation"
 msgstr "Rapportera om permanent minnesallokering"
 
-#: common.opt:1488
+#: common.opt:1492
 msgid "Report on permanent memory allocation in WPA only"
 msgstr "Rapportera bara om permanent minnesallokering i WPA"
 
-#: common.opt:1495
+#: common.opt:1499
 msgid "Attempt to merge identical constants and constant variables"
 msgstr "Försök slå samman identiska konstanter och konstanta variabler"
 
-#: common.opt:1499
+#: common.opt:1503
 msgid "Attempt to merge identical constants across compilation units"
 msgstr "Försök slå samman identiska konstanter mellan kompileringsenheter"
 
-#: common.opt:1503
+#: common.opt:1507
 msgid "Attempt to merge identical debug strings across compilation units"
 msgstr "Försök slå samman identiska felsökningssträngar mellan kompileringsenheter"
 
-#: common.opt:1507
+#: common.opt:1511
 msgid "-fmessage-length=<number>\tLimit diagnostics to <number> characters per line.  0 suppresses line-wrapping"
 msgstr "-fmessage-length=<antal>\tBegränsa felmeddelandens längd till <antal> tecken per rad.  0 stänger av radbrytning"
 
-#: common.opt:1511
+#: common.opt:1515
 msgid "Perform SMS based modulo scheduling before the first scheduling pass"
 msgstr "Utför SMS-baserad modulo-schemaläggning före det första schemaläggningspasset"
 
-#: common.opt:1515
+#: common.opt:1519
 msgid "Perform SMS based modulo scheduling with register moves allowed"
 msgstr "Utför SMS-baserad modulo-schemaläggning med tillåten registerförflyttning"
 
-#: common.opt:1519
+#: common.opt:1523
 msgid "Move loop invariant computations out of loops"
 msgstr "Flytta slinginvarianta beräkningar ut från slingor"
 
-#: common.opt:1523
+#: common.opt:1527
 msgid "Use the RTL dead code elimination pass"
 msgstr "Använd passet på RTL för eliminering av död kod"
 
-#: common.opt:1527
+#: common.opt:1531
 msgid "Use the RTL dead store elimination pass"
 msgstr "Använd passet på RTL för eliminering av död lagring"
 
-#: common.opt:1531
+#: common.opt:1535
 msgid "Enable/Disable the traditional scheduling in loops that already passed modulo scheduling"
 msgstr "Aktivera/deaktivera den traditionella schemaläggningen i slingor som redan passerat modulo-schemaläggning"
 
-#: common.opt:1535
+#: common.opt:1539
 msgid "Support synchronous non-call exceptions"
 msgstr "Stöd synkrona icke-anropsundantag"
 
-#: common.opt:1539
+#: common.opt:1543
 msgid "When possible do not generate stack frames"
 msgstr "Låt bli att generera stackramar när det är möjligt"
 
-#: common.opt:1543
+#: common.opt:1547
 msgid "Enable all optimization info dumps on stderr"
 msgstr "Aktivera alla optimeringsinformationsdumpar på standard fel"
 
-#: common.opt:1547
+#: common.opt:1551
 msgid "-fopt-info[-<type>=filename]\tDump compiler optimization details"
 msgstr "-fopt-info[-<type>=filenamn]\tSkriv ut kompilatoroptimeringsdetaljer"
 
-#: common.opt:1551
+#: common.opt:1555
 msgid "Do the full register move optimization pass"
 msgstr "Gör det fullständiga registerförflyttningsoptimeringspasset"
 
-#: common.opt:1555
+#: common.opt:1559
 msgid "Optimize sibling and tail recursive calls"
 msgstr "Optimera syskon- och svansrekursiva anrop"
 
-#: common.opt:1559
+#: common.opt:1563
 msgid "Perform partial inlining"
 msgstr "Utför partiell inline:ing"
 
-#: common.opt:1563 common.opt:1567
+#: common.opt:1567 common.opt:1571
 msgid "Report on memory allocation before interprocedural optimization"
 msgstr "Rapportera minnesallokering för interprocedurella optimeringar"
 
-#: common.opt:1571
+#: common.opt:1575
 msgid "Pack structure members together without holes"
 msgstr "Packa ihop postmedlemmar utan hål"
 
-#: common.opt:1575
+#: common.opt:1579
 msgid "-fpack-struct=<number>\tSet initial maximum structure member alignment"
 msgstr "-fpack-struct=<tal>\tAnge initial maximal justering för postmedlemmar"
 
-#: common.opt:1579
+#: common.opt:1583
 msgid "Return small aggregates in memory, not registers"
 msgstr "Returnera små aggregat i minne, inte register"
 
-#: common.opt:1583
+#: common.opt:1587
 msgid "Perform loop peeling"
 msgstr "Utför slingavskalning"
 
-#: common.opt:1587
+#: common.opt:1591
 msgid "Enable machine specific peephole optimizations"
 msgstr "Aktivera maskinspecifika nyckelhålsoptimeringar"
 
-#: common.opt:1591
+#: common.opt:1595
 msgid "Enable an RTL peephole pass before sched2"
 msgstr "Aktivera ett RTL-nyckelhålspass före sched2"
 
-#: common.opt:1595
+#: common.opt:1599
 msgid "Generate position-independent code if possible (large mode)"
 msgstr "Generera positionsoberoende kod om möjligt (stort läge)"
 
-#: common.opt:1599
+#: common.opt:1603
 msgid "Generate position-independent code for executables if possible (large mode)"
 msgstr "Generera positionsoberoende kod för körbara program om möjligt (stort läge)"
 
-#: common.opt:1603
+#: common.opt:1607
 msgid "Generate position-independent code if possible (small mode)"
 msgstr "Generera positionsoberoende kod om möjligt (litet läge)"
 
-#: common.opt:1607
+#: common.opt:1611
 msgid "Generate position-independent code for executables if possible (small mode)"
 msgstr "Generera positionsoberoende kod för körbara program om möjligt (litet läge)"
 
-#: common.opt:1611
+#: common.opt:1615
 msgid "Specify a plugin to load"
 msgstr "Ange en instickmodul att läsa in"
 
-#: common.opt:1615
+#: common.opt:1619
 msgid "-fplugin-arg-<name>-<key>[=<value>]\tSpecify argument <key>=<value> for plugin <name>"
 msgstr "-fplugin-arg-<namn>-<nyckel>[=<värde>]\tAnge argument <nyckel>=<värde> för insticksmodul <namn>"
 
-#: common.opt:1619
+#: common.opt:1623
 msgid "Run predictive commoning optimization."
 msgstr "Kör optimeringar för predikativ gemensamning."
 
-#: common.opt:1623
+#: common.opt:1627
 msgid "Generate prefetch instructions, if available, for arrays in loops"
 msgstr "Generera förhandshämtningsinstruktioner (prefetch), om tillgängliga, för vektorer i slingor"
 
-#: common.opt:1627
+#: common.opt:1631
 msgid "Enable basic program profiling code"
 msgstr "Aktivera grundläggande programprofileringskod"
 
-#: common.opt:1631
+#: common.opt:1635
 msgid "Insert arc-based program profiling code"
 msgstr "Lägg in bågbaserad programprofileringskod"
 
-#: common.opt:1635
+#: common.opt:1639
 msgid "Set the top-level directory for storing the profile data."
 msgstr "Sätt toppnivåkatalogen för att spara profildata."
 
-#: common.opt:1640
+#: common.opt:1644
 msgid "Enable correction of flow inconsistent profile data input"
 msgstr "Aktivera korrigering av profilindata med inkonsistent flöde"
 
-#: common.opt:1644
+#: common.opt:1648
 msgid "Enable common options for generating profile info for profile feedback directed optimizations"
 msgstr "Aktivera vanliga flaggor för att generera profileringsinformation för optimeringar styrda av återmatad profil"
 
-#: common.opt:1648
+#: common.opt:1652
 msgid "Enable common options for generating profile info for profile feedback directed optimizations, and set -fprofile-dir="
 msgstr "Aktivera vanliga flaggor för att generera profileringsinformation för optimeringar styrda av återmatad profil, och sätt -fprofile-dir="
 
-#: common.opt:1652
+#: common.opt:1656
 msgid "Enable common options for performing profile feedback directed optimizations"
 msgstr "Aktivera vanliga flaggor för att utföra optimeringar styrda av återmatad profil"
 
-#: common.opt:1656
+#: common.opt:1660
 msgid "Enable common options for performing profile feedback directed optimizations, and set -fprofile-dir="
 msgstr "Aktivera vanliga flaggor för att utföra optimeringar styrda av återmatad profil, och sätt -fprofile-dir="
 
-#: common.opt:1660
+#: common.opt:1664
 msgid "Insert code to profile values of expressions"
 msgstr "Lägg in kod för att profilera värden av uttryck"
 
-#: common.opt:1664
+#: common.opt:1668
 msgid "Report on consistency of profile"
 msgstr "Rapportera om intern konsistens hos prifilen"
 
-#: common.opt:1671
+#: common.opt:1675
 msgid "-frandom-seed=<string>\tMake compile reproducible using <string>"
 msgstr "-frandom-seed=<sträng>\tGör kompileringen reproducerbar med <sträng>"
 
-#: common.opt:1681
+#: common.opt:1685
 msgid "Record gcc command line switches in the object file."
 msgstr "Notera gcc:s kommandoradsflaggor i objektfilen."
 
-#: common.opt:1685
+#: common.opt:1689
 msgid "Return small aggregates in registers"
 msgstr "Returnera små poster i register"
 
-#: common.opt:1689
+#: common.opt:1693
 msgid "Enables a register move optimization"
 msgstr "Aktiverar en registerförflyttningsoptimering"
 
-#: common.opt:1693
+#: common.opt:1697
 msgid "Perform a register renaming optimization pass"
 msgstr "Utför ett optimeringspass med registernamnbyten"
 
-#: common.opt:1697
+#: common.opt:1701
 msgid "Reorder basic blocks to improve code placement"
 msgstr "Flytta om grundblock för att förbättra kodplacering"
 
-#: common.opt:1701
+#: common.opt:1705
 msgid "Reorder basic blocks and partition into hot and cold sections"
 msgstr "Flytta om grundblock och partitioner till varma och kalla sektioner"
 
-#: common.opt:1705
+#: common.opt:1709
 msgid "Reorder functions to improve code placement"
 msgstr "Flytta om funktioner för att förbättra kodplacering"
 
-#: common.opt:1709
+#: common.opt:1713
 msgid "Add a common subexpression elimination pass after loop optimizations"
 msgstr "Lägg till ett pass för eliminering av gemensamma deluttryck efter slingoptimeringar"
 
-#: common.opt:1717
+#: common.opt:1721
 msgid "Disable optimizations that assume default FP rounding behavior"
 msgstr "Avaktivera optimeringar som antar standardmässig avrundningsbeteende för FP"
 
-#: common.opt:1721
+#: common.opt:1725
 msgid "Enable scheduling across basic blocks"
 msgstr "Aktivera schemaläggning mellan grundblock"
 
-#: common.opt:1725
+#: common.opt:1729
 msgid "Enable register pressure sensitive insn scheduling"
 msgstr "Aktivera regeistertryckskänslig instruktionsschemaläggning"
 
-#: common.opt:1729
+#: common.opt:1733
 msgid "Allow speculative motion of non-loads"
 msgstr "Tillåt spekulativ förflyttning av icke-inläsningar"
 
-#: common.opt:1733
+#: common.opt:1737
 msgid "Allow speculative motion of some loads"
 msgstr "Tillåt spekulativ förflyttning av några inläsningar"
 
-#: common.opt:1737
+#: common.opt:1741
 msgid "Allow speculative motion of more loads"
 msgstr "Tillåt spekulativ förflyttning av fler inläsningar"
 
-#: common.opt:1741
+#: common.opt:1745
 msgid "-fsched-verbose=<number>\tSet the verbosity level of the scheduler"
 msgstr "-fsched-verbose=<tal>\tAnge hur mångordig schemaläggaren skall vara"
 
-#: common.opt:1745
+#: common.opt:1749
 msgid "If scheduling post reload, do superblock scheduling"
 msgstr "Om schemaläggning efter omläsning, gör superblockschemaläggning"
 
-#: common.opt:1753
+#: common.opt:1757
 msgid "Reschedule instructions before register allocation"
 msgstr "Schemalägg om instruktioner före registertilldelning"
 
-#: common.opt:1757
+#: common.opt:1761
 msgid "Reschedule instructions after register allocation"
 msgstr "Schemalägg om instruktioner efter registertilldelning"
 
-#: common.opt:1764
+#: common.opt:1768
 msgid "Schedule instructions using selective scheduling algorithm"
 msgstr "Använd selektive schemaläggninsalgoritm för schemaläggning av instruktioner"
 
-#: common.opt:1768
+#: common.opt:1772
 msgid "Run selective scheduling after reload"
 msgstr "Kör selektiv schemaläggning efter omläsning"
 
-#: common.opt:1772
+#: common.opt:1776
 msgid "Perform software pipelining of inner loops during selective scheduling"
 msgstr "Utför programvarurörläggning av inre slingor under selektiv schemaläggning"
 
-#: common.opt:1776
+#: common.opt:1780
 msgid "Perform software pipelining of outer loops during selective scheduling"
 msgstr "Utför programvarurörläggning av yttre slingor under selektiv schemaläggning"
 
-#: common.opt:1780
+#: common.opt:1784
 msgid "Reschedule pipelined regions without pipelining"
 msgstr "Schemalägg om rörlagda regioner utan rörläggning"
 
-#: common.opt:1786
+#: common.opt:1790
 msgid "Allow premature scheduling of queued insns"
 msgstr "Tillåt förtida schemaläggning av köade instruktioner"
 
-#: common.opt:1790
+#: common.opt:1794
 msgid "-fsched-stalled-insns=<number>\tSet number of queued insns that can be prematurely scheduled"
 msgstr "-fsched-stalled-insns=<antal>\tAnge antalet köade instruktioner som kan schemaläggas i förtid"
 
-#: common.opt:1798
+#: common.opt:1802
 msgid "Set dependence distance checking in premature scheduling of queued insns"
 msgstr "Sätt beroendeavståndet som kontrolleras i förtida schemaläggning av köade instruktioner"
 
-#: common.opt:1802
+#: common.opt:1806
 msgid "-fsched-stalled-insns-dep=<number>\tSet dependence distance checking in premature scheduling of queued insns"
 msgstr "-fsched-stalled-insns-dep=<antal>\tSätt beroendeavståndet som kontrolleras i förtida schemaläggning av köade instruktioner"
 
-#: common.opt:1806
+#: common.opt:1810
 msgid "Enable the group heuristic in the scheduler"
 msgstr "Aktivera gruppheuristiken i schemaläggaren"
 
-#: common.opt:1810
+#: common.opt:1814
 msgid "Enable the critical path heuristic in the scheduler"
 msgstr "Aktivera heuristiken för kritisk väg i schemaläggaren"
 
-#: common.opt:1814
+#: common.opt:1818
 msgid "Enable the speculative instruction heuristic in the scheduler"
 msgstr "Aktivera den spekulativa instruktionsheuristiken i schemaläggaren"
 
-#: common.opt:1818
+#: common.opt:1822
 msgid "Enable the rank heuristic in the scheduler"
 msgstr "Aktivera ordningsheuristiken i schemaläggaren"
 
-#: common.opt:1822
+#: common.opt:1826
 msgid "Enable the last instruction heuristic in the scheduler"
 msgstr "Aktivera heuristiken för sista instruktion i schemaläggaren"
 
-#: common.opt:1826
+#: common.opt:1830
 msgid "Enable the dependent count heuristic in the scheduler"
 msgstr "Aktivera heuristiken för beroende antal i schemaläggaren"
 
-#: common.opt:1830
+#: common.opt:1834
 msgid "Access data in the same section from shared anchor points"
 msgstr "Nå data i samma sektion från delade förankringspunkter"
 
-#: common.opt:1842
+#: common.opt:1846
 msgid "Turn on Redundant Extensions Elimination pass."
 msgstr "Slå på passet för eliminering av redundanta utökningar."
 
-#: common.opt:1846
+#: common.opt:1850
 msgid "Show column numbers in diagnostics, when available.  Default on"
 msgstr "Visa kolumnnummer i felmeddelanden, när de är tillgängliga.  Normalt på"
 
-#: common.opt:1850
+#: common.opt:1854
 msgid "Emit function prologues only before parts of the function that need it,"
 msgstr "Mata ut funktionsprologer bara före delar av funktionen som behöver det,"
 
-#: common.opt:1855
+#: common.opt:1859
 msgid "Disable optimizations observable by IEEE signaling NaNs"
 msgstr "Avaktivera optimeringar som kan observeras av IEEE signalerande NAN:ar"
 
-#: common.opt:1859
+#: common.opt:1863
 msgid "Disable floating point optimizations that ignore the IEEE signedness of zero"
 msgstr "Avaktivera flyttalsoptimeringar som ignorera IEEE:s tecken på noll"
 
-#: common.opt:1863
+#: common.opt:1867
 msgid "Convert floating point constants to single precision constants"
 msgstr "Konvertera flyttalskonstanter till konstanter med enkel precision"
 
-#: common.opt:1867
+#: common.opt:1871
 msgid "Split lifetimes of induction variables when loops are unrolled"
 msgstr "Dela livstiden på induktionsvariabler när slingor rullas ut"
 
-#: common.opt:1871
+#: common.opt:1875
 msgid "Generate discontiguous stack frames"
 msgstr "Generera osammanhängande stackramar"
 
-#: common.opt:1875
+#: common.opt:1879
 msgid "Split wide types into independent registers"
 msgstr "Dela upp breda typer i oberoende register"
 
-#: common.opt:1879
+#: common.opt:1883
 msgid "Apply variable expansion when loops are unrolled"
 msgstr "Tillämpa variabelexpansion när slingor rullas ut"
 
-#: common.opt:1883
+#: common.opt:1887
 msgid "-fstack-check=[no|generic|specific]\tInsert stack checking code into the program"
 msgstr "-fstack-check=[no|generic|specific]\tLägg in stackkontrollkod i programmet"
 
-#: common.opt:1887
+#: common.opt:1891
 msgid "Insert stack checking code into the program.  Same as -fstack-check=specific"
 msgstr "Lägg in stackkontrollkod i programmet.  Samma som -fstack-check=specific"
 
-#: common.opt:1894
+#: common.opt:1898
 msgid "-fstack-limit-register=<register>\tTrap if the stack goes past <register>"
 msgstr "-fstack-limit-register=<register>\tFånga om stacken går förbi <register>"
 
-#: common.opt:1898
+#: common.opt:1902
 msgid "-fstack-limit-symbol=<name>\tTrap if the stack goes past symbol <name>"
 msgstr "-fstack-limit-symbol=<namn>\tFånga om stacken går förbi symbolen <namn>"
 
-#: common.opt:1902
+#: common.opt:1906
 msgid "Use propolice as a stack protection method"
 msgstr "Använd propolice som en metod att skydda stacken"
 
-#: common.opt:1906
+#: common.opt:1910
 msgid "Use a stack protection method for every function"
 msgstr "Använd en metod att skydda stacken för varje funktion"
 
-#: common.opt:1910
+#: common.opt:1914
 msgid "Output stack usage information on a per-function basis"
 msgstr "Skriv ut information om stackanvändning för varje funktion"
 
-#: common.opt:1922
+#: common.opt:1926
 msgid "Assume strict aliasing rules apply"
 msgstr "Anta att strikta aliasregler gäller"
 
-#: common.opt:1926
+#: common.opt:1930
 msgid "Treat signed overflow as undefined"
 msgstr "Behandla spill med tecken som odefinierat"
 
-#: common.opt:1930
+#: common.opt:1934
 msgid "Implement __atomic operations via libcalls to legacy __sync functions"
 msgstr "Implementera __atomic-operationer med biblioteksanrop till äldre __sync-funktioner"
 
-#: common.opt:1934
+#: common.opt:1938
 msgid "Check for syntax errors, then stop"
 msgstr "Leta efter syntaxfel, stoppa sedan"
 
-#: common.opt:1938
+#: common.opt:1942
 msgid "Create data files needed by \"gcov\""
 msgstr "Skapa datafiler som behövs av ”gcov”"
 
-#: common.opt:1942
+#: common.opt:1946
 msgid "Perform jump threading optimizations"
 msgstr "Utför hopptrådningsoptimeringar"
 
-#: common.opt:1946
+#: common.opt:1950
 msgid "Report the time taken by each compiler pass"
 msgstr "Rapportera tiden som går åt för varje kompilatorpass"
 
-#: common.opt:1950
+#: common.opt:1954
 msgid "-ftls-model=[global-dynamic|local-dynamic|initial-exec|local-exec]\tSet the default thread-local storage code generation model"
 msgstr "-ftls-model=[global-dynamic|local-dynamic|initial-exec|local-exec]\tAnge normal kodgenereringsmodell för trådlokal lagring"
 
-#: common.opt:1953
+#: common.opt:1957
 #, c-format
 msgid "unknown TLS model %qs"
 msgstr "okänd TLS-modell %qs"
 
-#: common.opt:1969
+#: common.opt:1973
 msgid "Reorder top level functions, variables, and asms"
 msgstr "Ordna om toppnivåfunktioner, variabler och asm:ar"
 
-#: common.opt:1973
+#: common.opt:1977
 msgid "Perform superblock formation via tail duplication"
 msgstr "Utför superblockformering via svansduplicering"
 
-#: common.opt:1980
+#: common.opt:1984
 msgid "Assume floating-point operations can trap"
 msgstr "Anta att flyttalsoperationer kan utlösa fällor"
 
-#: common.opt:1984
+#: common.opt:1988
 msgid "Trap for signed overflow in addition, subtraction and multiplication"
 msgstr "Fånga teckenspill i addition, subtraktion och multiplikation"
 
-#: common.opt:1988
+#: common.opt:1992
 msgid "Enable SSA-CCP optimization on trees"
 msgstr "Aktivera SSA-CCP-optimering av träd"
 
-#: common.opt:1992
+#: common.opt:1996
 msgid "Enable SSA-BIT-CCP optimization on trees"
 msgstr "Aktivera SSA-BIT-CCP-optimering av träd"
 
-#: common.opt:2000
+#: common.opt:2004
 msgid "Enable loop header copying on trees"
 msgstr "Aktivera slinghuvdkopiering av träd"
 
-#: common.opt:2004
+#: common.opt:2008
 msgid "Enable coalescing of copy-related user variables that are inlined"
 msgstr "Aktivera sammanläggning av kopieringsrelaterade användarvariabler som är inline:ade"
 
-#: common.opt:2008
+#: common.opt:2012
 msgid "Enable coalescing of all copy-related user variables"
 msgstr "Aktivera sammanläggning av alla kopierelaterade användarvariabler"
 
-#: common.opt:2012
+#: common.opt:2016
 msgid "Replace SSA temporaries with better names in copies"
 msgstr "Ersätt SSA-temporärer med bättre namn i kopieringar"
 
-#: common.opt:2016
+#: common.opt:2020
 msgid "Enable copy propagation on trees"
 msgstr "Aktivera kopiepropagering i träd"
 
-#: common.opt:2024
+#: common.opt:2028
 msgid "Transform condition stores into unconditional ones"
 msgstr "Transformera villkorliga lagringar till ovillkorliga"
 
-#: common.opt:2028
+#: common.opt:2032
 msgid "Perform conversions of switch initializations."
 msgstr "Utför konvertering av switch-initieringar."
 
-#: common.opt:2032
+#: common.opt:2036
 msgid "Enable SSA dead code elimination optimization on trees"
 msgstr "Aktivera eliminering av död kod i SSA-optimeringen i träd"
 
-#: common.opt:2036
+#: common.opt:2040
 msgid "Enable dominator optimizations"
 msgstr "Aktivera dominatoroptimeringar"
 
-#: common.opt:2040
+#: common.opt:2044
 msgid "Enable tail merging on trees"
 msgstr "Aktivera svanssammanslagning av träd"
 
-#: common.opt:2044
+#: common.opt:2048
 msgid "Enable dead store elimination"
 msgstr "Aktivera eliminering av död lagring"
 
-#: common.opt:2048
+#: common.opt:2052
 msgid "Enable forward propagation on trees"
 msgstr "Aktivera framåtpropagering på träd"
 
-#: common.opt:2052
+#: common.opt:2056
 msgid "Enable Full Redundancy Elimination (FRE) on trees"
 msgstr "Aktivera fullständig överflödseliminering (FRE) i träd"
 
-#: common.opt:2056
+#: common.opt:2060
 msgid "Enable string length optimizations on trees"
 msgstr "Aktivera stränglängdsoptimering av träd"
 
-#: common.opt:2060
+#: common.opt:2064
 msgid "Enable loop distribution on trees"
 msgstr "Aktivera slingdistribution i träd"
 
-#: common.opt:2064
+#: common.opt:2068
 msgid "Enable loop distribution for patterns transformed into a library call"
 msgstr "Aktivera slingdistribution för mönster transformerade till biblioteksanrop"
 
-#: common.opt:2068
+#: common.opt:2072
 msgid "Enable loop invariant motion on trees"
 msgstr "Aktivera förflyttning av slingoberoende delar i träd"
 
-#: common.opt:2072
+#: common.opt:2076
 msgid "Enable loop interchange transforms.  Same as -floop-interchange"
 msgstr "Aktivera transformationen utbyte (interchange) i slingor.  Samma som -floop-interchange"
 
-#: common.opt:2076
+#: common.opt:2080
 msgid "Create canonical induction variables in loops"
 msgstr "Skapa kanoniska induktionsvariabler i slingor"
 
-#: common.opt:2080
+#: common.opt:2084
 msgid "Enable loop optimizations on tree level"
 msgstr "Aktivera slingoptimeringar på trädnivå"
 
-#: common.opt:2084
+#: common.opt:2088
 msgid "Enable automatic parallelization of loops"
 msgstr "Aktivera automatisk parallellisering av slingor"
 
-#: common.opt:2088
+#: common.opt:2092
 msgid "Enable hoisting loads from conditional pointers."
 msgstr "Aktivera lyftningslast från villkorliga pekare."
 
-#: common.opt:2092
+#: common.opt:2096
 msgid "Enable SSA-PRE optimization on trees"
 msgstr "Aktivera SSA-PRE-optimeringar i träd"
 
-#: common.opt:2096
+#: common.opt:2100
 msgid "In SSA-PRE optimization on trees, enable partial-partial redundancy elimination"
 msgstr "I SSA-PRE-optimering på träd, aktivera eliminering av partiell-partiell redundans"
 
-#: common.opt:2100
+#: common.opt:2104
 msgid "Perform function-local points-to analysis on trees."
 msgstr "Utför funktionslokala pekar-på-analyser i träd"
 
-#: common.opt:2104
+#: common.opt:2108
 msgid "Enable reassociation on tree level"
 msgstr "Aktivera återassociering på trädnivå"
 
-#: common.opt:2112
+#: common.opt:2116
 msgid "Enable SSA code sinking on trees"
 msgstr "Aktivera SSA-kodsänkning i träd"
 
-#: common.opt:2116
+#: common.opt:2120
 msgid "Perform straight-line strength reduction"
 msgstr "Utför rätlinjig styrkereduktion"
 
-#: common.opt:2120
+#: common.opt:2124
 msgid "Perform scalar replacement of aggregates"
 msgstr "Utför skalärersättning av aggregat"
 
-#: common.opt:2124
+#: common.opt:2128
 msgid "Replace temporary expressions in the SSA->normal pass"
 msgstr "Ersätt tillfälliga uttryck i passet SSA->normal"
 
-#: common.opt:2128
+#: common.opt:2132
 msgid "Perform live range splitting during the SSA->normal pass"
 msgstr "Utför livstidsuppdelning under passet SSA->normal"
 
-#: common.opt:2132
+#: common.opt:2136
 msgid "Perform Value Range Propagation on trees"
 msgstr "Utför propagering av värdeintervall i träd"
 
-#: common.opt:2136
+#: common.opt:2140
 msgid "Compile whole compilation unit at a time"
 msgstr "Kompilera en hel kompileringsenhet åt gången"
 
-#: common.opt:2140
+#: common.opt:2144
 msgid "Perform loop unrolling when iteration count is known"
 msgstr "Utför slingutrullning när iterationsantalet är känt"
 
-#: common.opt:2144
+#: common.opt:2148
 msgid "Perform loop unrolling for all loops"
 msgstr "Utför slingutrullning för alla slingor"
 
-#: common.opt:2151
+#: common.opt:2155
 msgid "Allow loop optimizations to assume that the loops behave in normal way"
 msgstr "Tillåt slingoptimeringar att anta att slingorna beter sig normalt"
 
 # Avhugget p.g.a. http://gcc.gnu.org/bugzilla/show_bug.cgi?id=34352
 # Hela meddelandet är översatt
-#: common.opt:2155
+#: common.opt:2159
 msgid "Allow optimization for floating-point arithmetic which may change the"
 msgstr "Tillåt optimeringar för flyttalsaritmetik som kan ändra resultatet av operationen på grund av avrundning"
 
-#: common.opt:2160
+#: common.opt:2164
 msgid "Same as -fassociative-math for expressions which include division."
 msgstr "Samma som -fassociative-math för uttryck som inkluderar division."
 
-#: common.opt:2168
+#: common.opt:2172
 msgid "Allow math optimizations that may violate IEEE or ISO standards"
 msgstr "Tillåt matematikoptimeringar som kan strida mot IEEE- eller ISO-standarder"
 
-#: common.opt:2172
+#: common.opt:2176
 msgid "Perform loop unswitching"
 msgstr "Utför slingavväxling"
 
-#: common.opt:2176
+#: common.opt:2180
 msgid "Just generate unwind tables for exception handling"
 msgstr "Generera bara upprullningstabeller för undantagshantering"
 
-#: common.opt:2180
+#: common.opt:2184
 msgid "Use the bfd linker instead of the default linker"
 msgstr "Använd bfd-länkaren istället för standardlänkaren"
 
-#: common.opt:2184
+#: common.opt:2188
 msgid "Use the gold linker instead of the default linker"
 msgstr "Använd gold-länkaren istället för standardlänkaren"
 
-#: common.opt:2196
+#: common.opt:2200
 msgid "Perform variable tracking"
 msgstr "Utför variabelspårning"
 
-#: common.opt:2204
+#: common.opt:2208
 msgid "Perform variable tracking by annotating assignments"
 msgstr "Utför variabelspårning genom att annotera tilldelningar"
 
-#: common.opt:2210
+#: common.opt:2214
 msgid "Toggle -fvar-tracking-assignments"
 msgstr "Växla -fvar-tracking-assignments"
 
-#: common.opt:2218
+#: common.opt:2222
 msgid "Perform variable tracking and also tag variables that are uninitialized"
 msgstr "Utför variabelspårning och tagga också variabler som är oinitierade"
 
-#: common.opt:2222
+#: common.opt:2226
 msgid "Enable loop vectorization on trees"
 msgstr "Aktivera slingvektorisering i träd"
 
-#: common.opt:2226
+#: common.opt:2230
 msgid "-ftree-vectorizer-verbose=<number>\tThis switch is deprecated. Use -fopt-info instead."
 msgstr "-ftree-vectorizer-verbose=<tal>\tDenna flagga bör undvikas.  Använd -fopt-info istället."
 
-#: common.opt:2230
+#: common.opt:2234
 msgid "Enable basic block vectorization (SLP) on trees"
 msgstr "Aktivera grundblocksvektorisering (SLP) i träd"
 
-#: common.opt:2234
+#: common.opt:2238
 msgid "Enable use of cost model in vectorization"
 msgstr "Aktivera användning av kostnadsmodell vid vektorisering"
 
-#: common.opt:2238
+#: common.opt:2242
 msgid "Enable loop versioning when doing loop vectorization on trees"
 msgstr "Aktivera slingversioner när slingvektorisering i träd görs"
 
-#: common.opt:2242
+#: common.opt:2246
 msgid "Enable copy propagation of scalar-evolution information."
 msgstr "Aktivera kopiepropagering av skalärutvecklingsinformation."
 
-#: common.opt:2252
+#: common.opt:2256
 msgid "Add extra commentary to assembler output"
 msgstr "Lägg till extra kommentarer till assemblerutdata"
 
-#: common.opt:2256
+#: common.opt:2260
 msgid "-fvisibility=[default|internal|hidden|protected]\tSet the default symbol visibility"
 msgstr "-fvisibility=[default|internal|hidden|protected]\tAnge standardvärde för symbolsynlighet"
 
-#: common.opt:2259
+#: common.opt:2263
 #, c-format
 msgid "unrecognized visibility value %qs"
 msgstr "okänt synlighetsvärde %qs"
 
-#: common.opt:2275
+#: common.opt:2279
 msgid "Use expression value profiles in optimizations"
 msgstr "Använd uttrycksvärdeprofiler i optimeringar"
 
-#: common.opt:2279
+#: common.opt:2283
 msgid "Construct webs and split unrelated uses of single variable"
 msgstr "Konstruera nät och dela orelaterade användningar av en enskild variabel"
 
-#: common.opt:2283
+#: common.opt:2287
 msgid "Enable conditional dead code elimination for builtin calls"
 msgstr "Aktivera villkorlig eliminering av död för inbyggda anrop"
 
-#: common.opt:2287
+#: common.opt:2291
 msgid "Perform whole program optimizations"
 msgstr "Utför optimering av hela program"
 
-#: common.opt:2291
+#: common.opt:2295
 msgid "Assume signed arithmetic overflow wraps around"
 msgstr "Anta att spill vid teckenaritmetik slår runt"
 
-#: common.opt:2295
+#: common.opt:2299
 msgid "Put zero initialized data in the bss section"
 msgstr "Lägg nollinitierad data i bss-sektionen"
 
-#: common.opt:2299
+#: common.opt:2303
 msgid "Generate debug information in default format"
 msgstr "Generera felsökningsinformation i standardformat"
 
-#: common.opt:2303
+#: common.opt:2307
 msgid "Generate debug information in COFF format"
 msgstr "Generera felsökningsinformation i COFF-format"
 
-#: common.opt:2307
+#: common.opt:2311
 msgid "Generate debug information in DWARF v2 (or later) format"
 msgstr "Generera felsökningsinformation i DWARF v2-format (eller senare)"
 
-#: common.opt:2311
+#: common.opt:2315
 msgid "Generate debug information in default extended format"
 msgstr "Generera felsökningsinformation i normalt utökat format"
 
-#: common.opt:2315
+#: common.opt:2319
 msgid "Don't generate DWARF pubnames and pubtypes sections."
 msgstr "Generera inte DWARF-setkionerna pubnames och pubtypes."
 
-#: common.opt:2319
+#: common.opt:2323
 msgid "Generate DWARF pubnames and pubtypes sections."
 msgstr "Generera DWARF-sektionerna pubnames och pubtypes."
 
-#: common.opt:2323
+#: common.opt:2327
 msgid "Don't record gcc command line switches in DWARF DW_AT_producer."
 msgstr "Notera inte gcc:s kommandoradsflaggor i DWARF DW_AT_producer."
 
-#: common.opt:2327
+#: common.opt:2331
 msgid "Record gcc command line switches in DWARF DW_AT_producer."
 msgstr "Notera gcc:s kommandoradsflaggor i DWARF DW_AT_producer."
 
-#: common.opt:2331
+#: common.opt:2335
 msgid "Don't generate debug information in separate .dwo files"
 msgstr "Generera inte felsökningsinformation i separata .dwo-filer"
 
-#: common.opt:2335
+#: common.opt:2339
 msgid "Generate debug information in separate .dwo files"
 msgstr "Generera felsökningsinformation i separata .dwo-filer"
 
-#: common.opt:2339
+#: common.opt:2343
 msgid "Generate debug information in STABS format"
 msgstr "Generera felsökningsinformation i STABS-format"
 
-#: common.opt:2343
+#: common.opt:2347
 msgid "Generate debug information in extended STABS format"
 msgstr "Generera felsökningsinformation i utökat STABS-format"
 
-#: common.opt:2347
+#: common.opt:2351
 msgid "Emit DWARF additions beyond selected version"
 msgstr "Mata ut DWARF-tillägg utöver vald version"
 
-#: common.opt:2351
+#: common.opt:2355
 msgid "Don't emit DWARF additions beyond selected version"
 msgstr "Mata inte ut DWARF-tillägg utöver vald version"
 
-#: common.opt:2355
+#: common.opt:2359
 msgid "Toggle debug information generation"
 msgstr "Växla generering av felsökningsinformation"
 
-#: common.opt:2359
+#: common.opt:2363
 msgid "Generate debug information in VMS format"
 msgstr "Generera felsökningsinformation i VMS-format"
 
-#: common.opt:2363
+#: common.opt:2367
 msgid "Generate debug information in XCOFF format"
 msgstr "Generera felsökningsinformation i XCOFF-format"
 
-#: common.opt:2367
+#: common.opt:2371
 msgid "Generate debug information in extended XCOFF format"
 msgstr "Generera felsökningsinformation i utökat XCOFF-format"
 
-#: common.opt:2374
+#: common.opt:2378
 msgid "-iplugindir=<dir>\tSet <dir> to be the default plugin directory"
 msgstr "-iplugindir=<kat>\tSätt <kat> att vara standardbibliotek för insticksmoduler"
 
-#: common.opt:2378
+#: common.opt:2382
 msgid "-imultiarch <dir>\tSet <dir> to be the multiarch include subdirectory"
 msgstr "-imultiarch <kat>\tSätt <kat> att vara inkluderingsunderbiblioteket för multiarkitekturer"
 
-#: common.opt:2400
+#: common.opt:2404
 msgid "-o <file>\tPlace output into <file>"
 msgstr "-o <fil>\tSkriv utdata i <fil>"
 
-#: common.opt:2404
+#: common.opt:2408
 msgid "Enable function profiling"
 msgstr "Aktivera funktionsprofilering"
 
-#: common.opt:2414
+#: common.opt:2418
 msgid "Like -pedantic but issue them as errors"
 msgstr "Som -pedantic men ange dem som fel"
 
-#: common.opt:2454
+#: common.opt:2458
 msgid "Do not display functions compiled or elapsed time"
 msgstr "Visa inte kompilerade funktioner eller tiden som förbrukats"
 
-#: common.opt:2486
+#: common.opt:2490
 msgid "Enable verbose output"
 msgstr "Aktivera utförlig utskrift"
 
-#: common.opt:2490
+#: common.opt:2494
 msgid "Display the compiler's version"
 msgstr "Visa kompilatorns version"
 
-#: common.opt:2494
+#: common.opt:2498
 msgid "Suppress warnings"
 msgstr "Undertryck varningar"
 
-#: common.opt:2504
+#: common.opt:2508
 msgid "Create a shared library"
 msgstr "Skapa ett delat bibliotek"
 
-#: common.opt:2543
+#: common.opt:2547
 msgid "Create a position independent executable"
 msgstr "Skapa ett positionsoberoende körbart program"
 
-#: go/gofrontend/expressions.cc:102 c-family/c-common.c:1777 cp/cvt.c:1149
+#: go/gofrontend/expressions.cc:102 c-family/c-common.c:1782 cp/cvt.c:1149
 #: cp/cvt.c:1395
 #, gcc-internal-format
 msgid "value computed is not used"
@@ -12652,7 +12669,7 @@
 msgstr "metoden %s%s%s är märkt go:nointerface"
 
 #. Warn about and ignore all others for now, but store them.
-#: attribs.c:426 c-family/c-common.c:8019 objc/objc-act.c:4952
+#: attribs.c:426 c-family/c-common.c:8041 objc/objc-act.c:4952
 #: objc/objc-act.c:6922 objc/objc-act.c:8109 objc/objc-act.c:8160
 #, gcc-internal-format
 msgid "%qE attribute directive ignored"
@@ -12850,7 +12867,7 @@
 
 #. All valid uses of __builtin_va_arg_pack () are removed during
 #. inlining.
-#: builtins.c:6025 expr.c:10184
+#: builtins.c:6025 expr.c:10185
 #, gcc-internal-format
 msgid "%Kinvalid use of %<__builtin_va_arg_pack ()%>"
 msgstr "%Kogiltigt användning av %<__builtin_va_arg_pack ()%>"
@@ -12937,17 +12954,17 @@
 msgid "function call has aggregate value"
 msgstr "funktionsanrop har sammansatt värde"
 
-#: cfgexpand.c:1238 function.c:971 varasm.c:1966
+#: cfgexpand.c:1238 function.c:971 varasm.c:1964
 #, gcc-internal-format
 msgid "size of variable %q+D is too large"
 msgstr "storleken på variabeln %q+D är för stor"
 
-#: cfgexpand.c:4487
+#: cfgexpand.c:4542
 #, gcc-internal-format
 msgid "stack protector not protecting local variables: variable length buffer"
 msgstr "stackskyddet skyddar inte lokala variabler: buffert med variabel längd"
 
-#: cfgexpand.c:4491
+#: cfgexpand.c:4546
 #, gcc-internal-format, gfc-internal-format
 msgid "stack protector not protecting function: all local arrays are less than %d bytes long"
 msgstr "stackskyddet skyddar inte funktioner: alla lokala vektorer är mindre än %d byte långa"
@@ -13247,162 +13264,162 @@
 msgid "%d exits recorded for loop %d (having %d exits)"
 msgstr "%d utgångar registrerade för slinga %d (som har %d utgångar)"
 
-#: cfgrtl.c:2092
+#: cfgrtl.c:2090
 #, gcc-internal-format, gfc-internal-format
 msgid "BB_RTL flag not set for block %d"
 msgstr "flaggan BB_RTL är inte satt för block %d"
 
-#: cfgrtl.c:2099
+#: cfgrtl.c:2097
 #, gcc-internal-format, gfc-internal-format
 msgid "insn %d basic block pointer is %d, should be %d"
 msgstr "instruktion %d grundblockspekare är %d, skall vara %d"
 
-#: cfgrtl.c:2110
+#: cfgrtl.c:2108
 #, gcc-internal-format, gfc-internal-format
 msgid "insn %d in header of bb %d has non-NULL basic block"
 msgstr "instruktion %d i huvud till gb %d har icke-NULL grundblock"
 
-#: cfgrtl.c:2118
+#: cfgrtl.c:2116
 #, gcc-internal-format, gfc-internal-format
 msgid "insn %d in footer of bb %d has non-NULL basic block"
 msgstr "instruktion %d i foten till gb %d har icke-NULL grundblock"
 
-#: cfgrtl.c:2141
+#: cfgrtl.c:2139
 #, gcc-internal-format
 msgid "verify_flow_info: REG_BR_PROB does not match cfg %wi %i"
 msgstr "verify_flow_info: REG_BR_PROB stämmer inte med cfg %wi %i"
 
-#: cfgrtl.c:2160
+#: cfgrtl.c:2158
 #, gcc-internal-format
 msgid "EDGE_CROSSING incorrectly set across same section"
 msgstr "EDGE_CROSSING felaktigt satt över samma sektion"
 
-#: cfgrtl.c:2165
+#: cfgrtl.c:2163
 #, gcc-internal-format, gfc-internal-format
 msgid "fallthru edge crosses section boundary in bb %i"
 msgstr "fall-igenom-båge korsar sektionsgräns i gb %i"
 
-#: cfgrtl.c:2171
+#: cfgrtl.c:2169
 #, gcc-internal-format, gfc-internal-format
 msgid "EH edge crosses section boundary in bb %i"
 msgstr "EH-båge korsar sektionsgräns gb %i"
 
-#: cfgrtl.c:2178
+#: cfgrtl.c:2176
 #, gcc-internal-format
 msgid "EDGE_CROSSING missing across section boundary"
 msgstr "EDGE_CROSSING saknas över sektionsgräns"
 
-#: cfgrtl.c:2205
+#: cfgrtl.c:2203
 #, gcc-internal-format, gfc-internal-format
 msgid "missing REG_EH_REGION note at the end of bb %i"
 msgstr "REG_EH_REGION-notering saknas i slutet av gb %i"
 
-#: cfgrtl.c:2210
+#: cfgrtl.c:2208
 #, gcc-internal-format, gfc-internal-format
 msgid "too many exception handling edges in bb %i"
 msgstr "för många undantagshanteringsbågar från gb %i"
 
-#: cfgrtl.c:2218
+#: cfgrtl.c:2216
 #, gcc-internal-format, gfc-internal-format
 msgid "too many outgoing branch edges from bb %i"
 msgstr "för många utgående bågar från gb %i"
 
-#: cfgrtl.c:2223
+#: cfgrtl.c:2221
 #, gcc-internal-format, gfc-internal-format
 msgid "fallthru edge after unconditional jump in bb %i"
 msgstr "fall igenom-båge efter ovillkorligt hopp i gb %i"
 
-#: cfgrtl.c:2228
+#: cfgrtl.c:2226
 #, gcc-internal-format, gfc-internal-format
 msgid "wrong number of branch edges after unconditional jump in bb %i"
 msgstr "fel antal förgreningsbågar efter ovillkorligt hopp i gb %i"
 
-#: cfgrtl.c:2235
+#: cfgrtl.c:2233
 #, gcc-internal-format, gfc-internal-format
 msgid "wrong amount of branch edges after conditional jump in bb %i"
 msgstr "fel antal förgreningsbågar efter villkorligt hopp i gb %i"
 
-#: cfgrtl.c:2241
+#: cfgrtl.c:2239
 #, gcc-internal-format, gfc-internal-format
 msgid "abnormal call edges for non-call insn in bb %i"
 msgstr "onormala anropsbågar för instruktion som inte är anrop i gb %i"
 
-#: cfgrtl.c:2246
+#: cfgrtl.c:2244
 #, gcc-internal-format, gfc-internal-format
 msgid "sibcall edges for non-call insn in bb %i"
 msgstr "syskonanropsbågar för instruktion som inte är anrop i gb %i"
 
-#: cfgrtl.c:2256
+#: cfgrtl.c:2254
 #, gcc-internal-format, gfc-internal-format
 msgid "abnormal edges for no purpose in bb %i"
 msgstr "onormala bågar utan syfte i gb %i"
 
-#: cfgrtl.c:2268
+#: cfgrtl.c:2266
 #, gcc-internal-format, gfc-internal-format
 msgid "insn %d inside basic block %d but block_for_insn is NULL"
 msgstr "instruktion %d inuti grundblock %d men block_for_inst är NULL"
 
-#: cfgrtl.c:2272
+#: cfgrtl.c:2270
 #, gcc-internal-format, gfc-internal-format
 msgid "insn %d inside basic block %d but block_for_insn is %i"
 msgstr "instruktion %d inuti grundblock %d men block_for_insn är %i"
 
-#: cfgrtl.c:2286 cfgrtl.c:2296
+#: cfgrtl.c:2284 cfgrtl.c:2294
 #, gcc-internal-format, gfc-internal-format
 msgid "NOTE_INSN_BASIC_BLOCK is missing for block %d"
 msgstr "NOTE_INSN_BASIC_BLOC saknas för block %d"
 
-#: cfgrtl.c:2309
+#: cfgrtl.c:2307
 #, gcc-internal-format, gfc-internal-format
 msgid "NOTE_INSN_BASIC_BLOCK %d in middle of basic block %d"
 msgstr "NOTE_INSN_BASIC_BLOCK %d mitt i grundblock %d"
 
-#: cfgrtl.c:2319
+#: cfgrtl.c:2317
 #, gcc-internal-format, gfc-internal-format
 msgid "in basic block %d:"
 msgstr "i grundblock %d:"
 
-#: cfgrtl.c:2371 cfgrtl.c:2461
+#: cfgrtl.c:2369 cfgrtl.c:2459
 #, gcc-internal-format, gfc-internal-format
 msgid "insn %d outside of basic blocks has non-NULL bb field"
 msgstr "instruktion %d utanför grundblock har ett icke-NULL gb-fält"
 
-#: cfgrtl.c:2379
+#: cfgrtl.c:2377
 #, gcc-internal-format, gfc-internal-format
 msgid "end insn %d for block %d not found in the insn stream"
 msgstr "end-instruktion %d för block %d finns inte i instruktionsströmmen"
 
-#: cfgrtl.c:2392
+#: cfgrtl.c:2390
 #, gcc-internal-format, gfc-internal-format
 msgid "insn %d is in multiple basic blocks (%d and %d)"
 msgstr "instruktion %d är i flera grundblock (%d och %d)"
 
-#: cfgrtl.c:2404
+#: cfgrtl.c:2402
 #, gcc-internal-format, gfc-internal-format
 msgid "head insn %d for block %d not found in the insn stream"
 msgstr "huvudinstruktion %d för block %d finns inte i instruktionsströmmen"
 
-#: cfgrtl.c:2421
+#: cfgrtl.c:2419
 #, gcc-internal-format, gfc-internal-format
 msgid "missing barrier after block %i"
 msgstr "barriär saknas efter block %i"
 
-#: cfgrtl.c:2437
+#: cfgrtl.c:2435
 #, gcc-internal-format, gfc-internal-format
 msgid "verify_flow_info: Incorrect blocks for fallthru %i->%i"
 msgstr "verify_flow_info: Felaktigt block för fall igenom %i->%i"
 
-#: cfgrtl.c:2446
+#: cfgrtl.c:2444
 #, gcc-internal-format, gfc-internal-format
 msgid "verify_flow_info: Incorrect fallthru %i->%i"
 msgstr "verify_flow_info: Felaktig fall igenom %i->%i"
 
-#: cfgrtl.c:2479
+#: cfgrtl.c:2477
 #, gcc-internal-format
 msgid "basic blocks not laid down consecutively"
 msgstr "grundblock inte utlagda i ordning"
 
-#: cfgrtl.c:2516
+#: cfgrtl.c:2514
 #, gcc-internal-format, gfc-internal-format
 msgid "number of bb notes in insn chain (%d) != n_basic_blocks (%d)"
 msgstr "antal gb-noter i instruktionskedjan (%d) != n_basic_blocks (%d)"
@@ -13672,7 +13689,7 @@
 msgid "no arguments"
 msgstr "inga argument"
 
-#: collect2.c:1284 opts.c:794
+#: collect2.c:1284 opts.c:797
 #, gcc-internal-format
 msgid "LTO support has not been enabled in this configuration"
 msgstr "LTO-stöd har inte aktiverats i denna konfiguration"
@@ -13727,12 +13744,12 @@
 msgid "cannot find '%s'"
 msgstr "kan inte hitta ”%s”"
 
-#: collect2.c:1921 collect2.c:2448 collect2.c:2644 gcc.c:2749
+#: collect2.c:1921 collect2.c:2448 collect2.c:2644 gcc.c:2750
 #, gcc-internal-format
 msgid "pex_init failed: %m"
 msgstr "pex_init misslyckades: %m"
 
-#: collect2.c:1930 collect2.c:2457 collect2.c:2652 gcc.c:7188
+#: collect2.c:1930 collect2.c:2457 collect2.c:2652 gcc.c:7191
 #, gcc-internal-format
 msgid "%s: %m"
 msgstr "%s: %m"
@@ -13972,7 +13989,7 @@
 msgid "global constructors not supported on this target"
 msgstr "globala konstruerare stödjs inte för denna målarkitektur"
 
-#: diagnostic.c:1145
+#: diagnostic.c:1148
 #, gcc-internal-format, gfc-internal-format
 msgid "in %s, at %s:%d"
 msgstr "i %s, vid %s:%d"
@@ -14017,22 +14034,22 @@
 msgid "non-delegitimized UNSPEC %s (%d) found in variable location"
 msgstr "odelegitimerad UNSPEC %s (%d) funnen på variabelplats"
 
-#: emit-rtl.c:2612
+#: emit-rtl.c:2616
 #, gcc-internal-format
 msgid "invalid rtl sharing found in the insn"
 msgstr "ogiltig rtl-delning hittad i instruktionen"
 
-#: emit-rtl.c:2614
+#: emit-rtl.c:2618
 #, gcc-internal-format
 msgid "shared rtx"
 msgstr "delad rtx"
 
-#: emit-rtl.c:2616
+#: emit-rtl.c:2620
 #, gcc-internal-format
 msgid "internal consistency failure"
 msgstr "internt konsistensfel"
 
-#: emit-rtl.c:3741
+#: emit-rtl.c:3749
 #, gcc-internal-format
 msgid "ICE: emit_insn used where emit_jump_insn needed:\n"
 msgstr "ICE: emit_insn använd där emit_jump_insn behövs:\n"
@@ -14042,57 +14059,57 @@
 msgid "abort in %s, at %s:%d"
 msgstr "avbrott i %s, vid %s:%d"
 
-#: except.c:2026
+#: except.c:2075
 #, gcc-internal-format
 msgid "argument of %<__builtin_eh_return_regno%> must be constant"
 msgstr "argumentet till %<__builtin_eh_return_regno%> måste vara konstant"
 
-#: except.c:2163
+#: except.c:2212
 #, gcc-internal-format
 msgid "__builtin_eh_return not supported on this target"
 msgstr "__builtin_eh_return stödjs inte på denna målarkitektur"
 
-#: except.c:3222 except.c:3247
+#: except.c:3271 except.c:3296
 #, gcc-internal-format, gfc-internal-format
 msgid "region_array is corrupted for region %i"
 msgstr "region_array är trasig för region %i"
 
-#: except.c:3235 except.c:3266
+#: except.c:3284 except.c:3315
 #, gcc-internal-format, gfc-internal-format
 msgid "lp_array is corrupted for lp %i"
 msgstr "lp_array är trasig för region %i"
 
-#: except.c:3252
+#: except.c:3301
 #, gcc-internal-format, gfc-internal-format
 msgid "outer block of region %i is wrong"
 msgstr "yttre block för region %i är fel"
 
-#: except.c:3257
+#: except.c:3306
 #, gcc-internal-format, gfc-internal-format
 msgid "negative nesting depth of region %i"
 msgstr "negativt nästningsdjup för region %i"
 
-#: except.c:3271
+#: except.c:3320
 #, gcc-internal-format, gfc-internal-format
 msgid "region of lp %i is wrong"
 msgstr "region för lp %i är fel"
 
-#: except.c:3298
+#: except.c:3347
 #, gcc-internal-format, gfc-internal-format
 msgid "tree list ends on depth %i"
 msgstr "trädlista slutar på djup %i"
 
-#: except.c:3303
+#: except.c:3352
 #, gcc-internal-format
 msgid "region_array does not match region_tree"
 msgstr "region_array stämmer inte med region_tree"
 
-#: except.c:3308
+#: except.c:3357
 #, gcc-internal-format
 msgid "lp_array does not match region_tree"
 msgstr "lp_array stämmer inte med region_tree"
 
-#: except.c:3315
+#: except.c:3364
 #, gcc-internal-format
 msgid "verify_eh_tree failed"
 msgstr "verify_eh_tree misslyckades"
@@ -14132,12 +14149,12 @@
 msgid "local frame unavailable (naked function?)"
 msgstr "lokal ram otillgänglig (naken funktion?)"
 
-#: expr.c:10191
+#: expr.c:10192
 #, gcc-internal-format
 msgid "%Kcall to %qs declared with attribute error: %s"
 msgstr "%Kanrop av %qs deklarerad med attributet error: %s"
 
-#: expr.c:10198
+#: expr.c:10199
 #, gcc-internal-format
 msgid "%Kcall to %qs declared with attribute warning: %s"
 msgstr "%K anrop av %qs deklarerad med attributet warning: %s"
@@ -14172,47 +14189,47 @@
 msgid "assuming signed overflow does not occur when negating a division"
 msgstr "antar att teckenspill inte förekommer vid negering av en division"
 
-#: fold-const.c:3437 fold-const.c:3449
+#: fold-const.c:3450 fold-const.c:3462
 #, gcc-internal-format, gfc-internal-format
 msgid "comparison is always %d due to width of bit-field"
 msgstr "jämförelsen är alltid %d på grund av bredd på bitfält"
 
-#: fold-const.c:4849 tree-ssa-reassoc.c:1943
+#: fold-const.c:4862 tree-ssa-reassoc.c:1944
 #, gcc-internal-format
 msgid "assuming signed overflow does not occur when simplifying range test"
 msgstr "antar att teckenspill inte förekommer vid förenkling av intervalltest"
 
-#: fold-const.c:5285 fold-const.c:5299
+#: fold-const.c:5298 fold-const.c:5312
 #, gcc-internal-format, gfc-internal-format
 msgid "comparison is always %d"
 msgstr "jämförelsen är alltid %d"
 
-#: fold-const.c:5432
+#: fold-const.c:5445
 #, gcc-internal-format
 msgid "%<or%> of unmatched not-equal tests is always 1"
 msgstr "%<or%> mellan omatchade olikhetstester är alltid 1"
 
-#: fold-const.c:5437
+#: fold-const.c:5450
 #, gcc-internal-format
 msgid "%<and%> of mutually exclusive equal-tests is always 0"
 msgstr "%<and%> mellan ömsesidigt uteslutande likhetstester är alltid 0"
 
-#: fold-const.c:8729
+#: fold-const.c:8742
 #, gcc-internal-format
 msgid "assuming signed overflow does not occur when reducing constant in comparison"
 msgstr "antar att teckenspill inte förekommer vid reduktion av konstant i jämförelse"
 
-#: fold-const.c:8887
+#: fold-const.c:8900
 #, gcc-internal-format
 msgid "assuming signed overflow does not occur when changing X +- C1 cmp C2 to X cmp C1 +- C2"
 msgstr "antar att teckenspill inte förekommer vid förenkling av X ± K1 jmf K2 till X jmf K1 ± K2"
 
-#: fold-const.c:9150
+#: fold-const.c:9163
 #, gcc-internal-format
 msgid "assuming signed overflow does not occur when combining constants around a comparison"
 msgstr "antar att teckenspill inte förekommer vid kombination av konstanter runt en jämförelse"
 
-#: fold-const.c:14564
+#: fold-const.c:14577
 #, gcc-internal-format
 msgid "fold check: original tree changed by fold"
 msgstr "vikningskontroll: originalträdet ändrat av vikning"
@@ -14237,142 +14254,142 @@
 msgid "argument %q+D might be clobbered by %<longjmp%> or %<vfork%>"
 msgstr "argumentet %q+D kan skrivas över av %<longjmp%> eller %<vfork%>"
 
-#: function.c:4631
+#: function.c:4620
 #, gcc-internal-format
 msgid "function returns an aggregate"
 msgstr "funktionen returnerar ett aggregat"
 
-#: function.c:4993
+#: function.c:4982
 #, gcc-internal-format
 msgid "unused parameter %q+D"
 msgstr "oanvänd parameter %q+D"
 
-#: gcc.c:1804 gcc.c:1824
+#: gcc.c:1805 gcc.c:1825
 #, gcc-internal-format, gfc-internal-format
 msgid "specs %%include syntax malformed after %ld characters"
 msgstr "specifikationers %%include-syntax felaktig efter %ld tecken"
 
-#: gcc.c:1850 gcc.c:1859 gcc.c:1869 gcc.c:1879
+#: gcc.c:1851 gcc.c:1860 gcc.c:1870 gcc.c:1880
 #, gcc-internal-format, gfc-internal-format
 msgid "specs %%rename syntax malformed after %ld characters"
 msgstr "specifikationers %%rename-syntax felaktig efter %ld tecken"
 
-#: gcc.c:1889
+#: gcc.c:1890
 #, gcc-internal-format, gfc-internal-format
 msgid "specs %s spec was not found to be renamed"
 msgstr "specifikationers %s-specifikation fanns inte när den skulle få nytt namn"
 
-#: gcc.c:1896
+#: gcc.c:1897
 #, gcc-internal-format
 msgid "%s: attempt to rename spec %qs to already defined spec %qs"
 msgstr "%s: försök att byta namn på specifikation %qs till redan definierad specifikation %qs"
 
-#: gcc.c:1917
+#: gcc.c:1918
 #, gcc-internal-format, gfc-internal-format
 msgid "specs unknown %% command after %ld characters"
 msgstr "specifikationer okänt %%-kommando efter %ld tecken"
 
-#: gcc.c:1928 gcc.c:1941
+#: gcc.c:1929 gcc.c:1942
 #, gcc-internal-format, gfc-internal-format
 msgid "specs file malformed after %ld characters"
 msgstr "specifikationsfil felaktig efter %ld tecken"
 
-#: gcc.c:1993
+#: gcc.c:1994
 #, gcc-internal-format
 msgid "spec file has no spec for linking"
 msgstr "specfilen har ingen spec för länkning"
 
-#: gcc.c:2538
+#: gcc.c:2539
 #, gcc-internal-format
 msgid "system path %qs is not absolute"
 msgstr "systemsökväg %qs är inte absolut"
 
-#: gcc.c:2626
+#: gcc.c:2627
 #, gcc-internal-format
 msgid "-pipe not supported"
 msgstr "-pipe stödjs inte"
 
-#: gcc.c:2788
+#: gcc.c:2789
 #, gcc-internal-format
 msgid "failed to get exit status: %m"
 msgstr "misslyckades att få slutstatus: %m"
 
-#: gcc.c:2794
+#: gcc.c:2795
 #, gcc-internal-format
 msgid "failed to get process times: %m"
 msgstr "kunde inte ta processtider: %m"
 
-#: gcc.c:2820
+#: gcc.c:2821
 #, gcc-internal-format, gfc-internal-format
 msgid "%s (program %s)"
 msgstr "%s (program %s)"
 
-#: gcc.c:3251 opts-common.c:986 opts-common.c:1058
+#: gcc.c:3252 opts-common.c:1019 opts-common.c:1091
 #, gcc-internal-format
 msgid "unrecognized command line option %qs"
 msgstr "okänd kommandoradsflagga %qs"
 
-#: gcc.c:3506
+#: gcc.c:3507
 #, gcc-internal-format
 msgid "%qs is an unknown -save-temps option"
 msgstr "%qs är en okänd flagga till -save-temps"
 
-#: gcc.c:3967
+#: gcc.c:3968
 #, gcc-internal-format
 msgid "-pipe ignored because -save-temps specified"
 msgstr "-pipe ignorerad eftersom -save-temps angivits"
 
-#: gcc.c:4055
+#: gcc.c:4056
 #, gcc-internal-format
 msgid "%<-x %s%> after last input file has no effect"
 msgstr "%<-x %s%> efter sista indatafilen har ingen effekt"
 
-#: gcc.c:4217
+#: gcc.c:4218
 #, gcc-internal-format
 msgid "unable to locate default linker script %qs in the library search paths"
 msgstr "kan inte lokalisera standardlänkskriptet %qs i bilblioteksökvägarna"
 
-#: gcc.c:4421
+#: gcc.c:4422
 #, gcc-internal-format
 msgid "switch %qs does not start with %<-%>"
 msgstr "flaggan %qs börjar inte med %<-%>"
 
-#: gcc.c:4424
+#: gcc.c:4425
 #, gcc-internal-format
 msgid "spec-generated switch is just %<-%>"
 msgstr "spec-genererad flagga är bara %<-%>"
 
-#: gcc.c:4515
+#: gcc.c:4516
 #, gcc-internal-format, gfc-internal-format
 msgid "could not open temporary response file %s"
 msgstr "det gick inte att öppna temporär svarsfil %s"
 
-#: gcc.c:4521
+#: gcc.c:4522
 #, gcc-internal-format, gfc-internal-format
 msgid "could not write to temporary response file %s"
 msgstr "det gick inte att skriva till temporär svarsfil %s"
 
-#: gcc.c:4527
+#: gcc.c:4528
 #, gcc-internal-format, gfc-internal-format
 msgid "could not close temporary response file %s"
 msgstr "det gick inte att stänga temporär svarsfil %s"
 
-#: gcc.c:4650
+#: gcc.c:4651
 #, gcc-internal-format
 msgid "spec %qs invalid"
 msgstr "specifikationen %qs är ogiltig"
 
-#: gcc.c:4799
+#: gcc.c:4800
 #, gcc-internal-format
 msgid "spec %qs has invalid %<%%0%c%>"
 msgstr "specifikation %qs har ogiltig %<%%0%c%>"
 
-#: gcc.c:5118
+#: gcc.c:5119
 #, gcc-internal-format
 msgid "spec %qs has invalid %<%%W%c%>"
 msgstr "specifikation %qs har ogiltig %<%%W%c%>"
 
-#: gcc.c:5140
+#: gcc.c:5141
 #, gcc-internal-format
 msgid "spec %qs has invalid %<%%x%c%>"
 msgstr "specifikation %qs har ogiltig %<%%x%c%>"
@@ -14380,220 +14397,220 @@
 #. Catch the case where a spec string contains something like
 #. '%{foo:%*}'.  i.e. there is no * in the pattern on the left
 #. hand side of the :.
-#: gcc.c:5341
+#: gcc.c:5342
 #, gcc-internal-format
 msgid "spec failure: %<%%*%> has not been initialized by pattern match"
 msgstr "specifikationsfel: %<%%*%> har inte initierats av en mönstermatchning"
 
-#: gcc.c:5384
+#: gcc.c:5385
 #, gcc-internal-format
 msgid "spec failure: unrecognized spec option %qc"
 msgstr "specifikationsfel: okänd specifikationsflagga %qc"
 
-#: gcc.c:5446
+#: gcc.c:5447
 #, gcc-internal-format
 msgid "unknown spec function %qs"
 msgstr "okänd specifikationsfunktion %qs"
 
-#: gcc.c:5476
+#: gcc.c:5477
 #, gcc-internal-format
 msgid "error in args to spec function %qs"
 msgstr "fel i argument till specifikationsfunktionen %qs"
 
-#: gcc.c:5527
+#: gcc.c:5528
 #, gcc-internal-format
 msgid "malformed spec function name"
 msgstr "felaktigt specifikationsfunktionsnamn"
 
 #. )
-#: gcc.c:5530
+#: gcc.c:5531
 #, gcc-internal-format
 msgid "no arguments for spec function"
 msgstr "inga argument till spec-funktion"
 
-#: gcc.c:5549
+#: gcc.c:5550
 #, gcc-internal-format
 msgid "malformed spec function arguments"
 msgstr "felaktiga specifikationsfunktionsargument"
 
-#: gcc.c:5810
+#: gcc.c:5811
 #, gcc-internal-format
 msgid "braced spec %qs is invalid at %qc"
 msgstr "klammerspecifikation %qs är ogiltig vid %qc"
 
-#: gcc.c:5898
+#: gcc.c:5899
 #, gcc-internal-format
 msgid "braced spec body %qs is invalid"
 msgstr "klammerspecifikationskropp %qs är ogiltig"
 
-#: gcc.c:6151
+#: gcc.c:6152
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: could not determine length of compare-debug file %s"
 msgstr "%s: det gick inte att avgöra längden på compare-debug-filen %s"
 
-#: gcc.c:6162
+#: gcc.c:6163
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: -fcompare-debug failure (length)"
 msgstr "%s: -fcompare-debug misslyckades (längd)"
 
-#: gcc.c:6172 gcc.c:6213
+#: gcc.c:6173 gcc.c:6214
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: could not open compare-debug file %s"
 msgstr "%s: det gick inte att öppna compare-debug-filen %s"
 
-#: gcc.c:6192 gcc.c:6229
+#: gcc.c:6193 gcc.c:6230
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: -fcompare-debug failure"
 msgstr "%s: -fcompare-debug misslyckades"
 
-#: gcc.c:6304
+#: gcc.c:6305
 #, gcc-internal-format
 msgid "atexit failed"
 msgstr "atexit misslyckades"
 
-#: gcc.c:6453
+#: gcc.c:6454
 #, gcc-internal-format
 msgid "spec failure: more than one arg to SYSROOT_SUFFIX_SPEC"
 msgstr "spec-fel: mer än ett argument till SYSROOT_SUFFIX_SPEC"
 
-#: gcc.c:6477
+#: gcc.c:6478
 #, gcc-internal-format
 msgid "spec failure: more than one arg to SYSROOT_HEADERS_SUFFIX_SPEC"
 msgstr "spec-fel: mer än ett argument till SYSROOT_HEADERS_SUFFIX_SPEC"
 
-#: gcc.c:6643
+#: gcc.c:6645
 #, gcc-internal-format
 msgid "unrecognized command line option %<-%s%>"
 msgstr "okänd kommandoradsflagga %<-%s%>"
 
 #. The error status indicates that only one set of fixed
 #. headers should be built.
-#: gcc.c:6729
+#: gcc.c:6731
 #, gcc-internal-format
 msgid "not configured with sysroot headers suffix"
 msgstr "ej konfigurerad med suffix för sysroot-huvuden"
 
-#: gcc.c:6812
+#: gcc.c:6814
 #, gcc-internal-format
 msgid "no input files"
 msgstr "inga indatafiler"
 
-#: gcc.c:6861
+#: gcc.c:6863
 #, gcc-internal-format
 msgid "cannot specify -o with -c, -S or -E with multiple files"
 msgstr "det går inte att ange -o med -c, -S eller -E med flera filer"
 
-#: gcc.c:6891
+#: gcc.c:6893
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: %s compiler not installed on this system"
 msgstr "%s: kompilatorn %s är inte installerad på detta system"
 
-#: gcc.c:6913
+#: gcc.c:6915
 #, gcc-internal-format
 msgid "recompiling with -fcompare-debug"
 msgstr "kompilerar om med -fcompare-debug"
 
-#: gcc.c:6929
+#: gcc.c:6931
 #, gcc-internal-format
 msgid "during -fcompare-debug recompilation"
 msgstr "under omkompilering med -fcompare-debug"
 
-#: gcc.c:6938
+#: gcc.c:6940
 #, gcc-internal-format
 msgid "comparing final insns dumps"
 msgstr "jämför slutliga instruktionsdumpar"
 
-#: gcc.c:7044
+#: gcc.c:7046
 #, gcc-internal-format, gfc-internal-format
 msgid "-fuse-linker-plugin, but %s not found"
 msgstr "-fuse-linker-plugin, men %s inte funnen"
 
-#: gcc.c:7076
+#: gcc.c:7079
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: linker input file unused because linking not done"
 msgstr "%s: infil till länkaren oanvänd eftersom ingen länkning gjordes"
 
-#: gcc.c:7117
+#: gcc.c:7120
 #, gcc-internal-format, gfc-internal-format
 msgid "language %s not recognized"
 msgstr "språk %s känns inte igen"
 
-#: gcc.c:7344
+#: gcc.c:7347
 #, gcc-internal-format
 msgid "multilib spec %qs is invalid"
 msgstr "multilib-specifikation %qs är ogiltig"
 
-#: gcc.c:7538
+#: gcc.c:7541
 #, gcc-internal-format
 msgid "multilib exclusions %qs is invalid"
 msgstr "multilib-undantag %qs är ogiltiga"
 
-#: gcc.c:7602
+#: gcc.c:7605
 #, gcc-internal-format
 msgid "multilib select %qs %qs is invalid"
 msgstr "multilib-val %qs %qs är ogiltigt"
 
-#: gcc.c:7758
+#: gcc.c:7761
 #, gcc-internal-format
 msgid "multilib select %qs is invalid"
 msgstr "multilib-val %qs är ogiltigt"
 
-#: gcc.c:7797
+#: gcc.c:7800
 #, gcc-internal-format
 msgid "multilib exclusion %qs is invalid"
 msgstr "multilib-undantag %qs är ogiltigt"
 
-#: gcc.c:8003
+#: gcc.c:8006
 #, gcc-internal-format
 msgid "environment variable %qs not defined"
 msgstr "omgivningsvariabeln %qs är inte definierad"
 
-#: gcc.c:8115 gcc.c:8120
+#: gcc.c:8118 gcc.c:8123
 #, gcc-internal-format
 msgid "invalid version number %qs"
 msgstr "ogiltigt versionsnummer %qs"
 
-#: gcc.c:8163
+#: gcc.c:8166
 #, gcc-internal-format, gfc-internal-format
 msgid "too few arguments to %%:version-compare"
 msgstr "för få argument till %%:version-compare"
 
-#: gcc.c:8169
+#: gcc.c:8172
 #, gcc-internal-format, gfc-internal-format
 msgid "too many arguments to %%:version-compare"
 msgstr "för många argument till %%:version-compare"
 
-#: gcc.c:8210
+#: gcc.c:8213
 #, gcc-internal-format
 msgid "unknown operator %qs in %%:version-compare"
 msgstr "okänd operator %qs i %%:version-compare"
 
-#: gcc.c:8333
+#: gcc.c:8336
 #, gcc-internal-format, gfc-internal-format
 msgid "too many arguments to %%:compare-debug-dump-opt"
 msgstr "för många argument till %%:comparedebug-dump-opt"
 
-#: gcc.c:8405
+#: gcc.c:8408
 #, gcc-internal-format, gfc-internal-format
 msgid "too many arguments to %%:compare-debug-self-opt"
 msgstr "för många argument till %%:compare-debug-self-opt"
 
-#: gcc.c:8440
+#: gcc.c:8443
 #, gcc-internal-format, gfc-internal-format
 msgid "too few arguments to %%:compare-debug-auxbase-opt"
 msgstr "för få argument till %%:compare-debug-auxbase-opt"
 
-#: gcc.c:8443
+#: gcc.c:8446
 #, gcc-internal-format, gfc-internal-format
 msgid "too many arguments to %%:compare-debug-auxbase-opt"
 msgstr "för många argument till %%:compare-debug-auxbase-opt"
 
-#: gcc.c:8450
+#: gcc.c:8453
 #, gcc-internal-format, gfc-internal-format
 msgid "argument to %%:compare-debug-auxbase-opt does not end in .gk"
 msgstr "argumentet till %%:compare-debug-auxbase-opt slutar inte i .gk"
 
-#: gcc.c:8524
+#: gcc.c:8527
 #, gcc-internal-format, gfc-internal-format
 msgid "too few arguments to %%:replace-extension"
 msgstr "för få argument till %%:replace-extension"
@@ -14614,13 +14631,13 @@
 msgid "can%'t write padding to PCH file: %m"
 msgstr "kan inte skriva utfyllnad till PCH-fil: %m"
 
-#: ggc-common.c:615 ggc-common.c:623 ggc-common.c:630 ggc-common.c:633
-#: ggc-common.c:643 ggc-common.c:646 ggc-page.c:2439
+#: ggc-common.c:681 ggc-common.c:689 ggc-common.c:696 ggc-common.c:699
+#: ggc-common.c:709 ggc-common.c:712 ggc-page.c:2439
 #, gcc-internal-format
 msgid "can%'t read PCH file: %m"
 msgstr "kan inte läsa PCH-fil: %m"
 
-#: ggc-common.c:638
+#: ggc-common.c:704
 #, gcc-internal-format
 msgid "had to relocate PCH"
 msgstr "behövde omlokalisera PCH"
@@ -14772,7 +14789,7 @@
 #. Fatal error here.  We do not want to support compiling ltrans units with
 #. different version of compiler or different flags than the WPA unit, so
 #. this should never happen.
-#: ipa-reference.c:1148
+#: ipa-reference.c:1146
 #, gcc-internal-format
 msgid "ipa reference summary is missing in ltrans unit"
 msgstr "ipa-referenssammanfattning saknas i ltrans-enhet"
@@ -14964,27 +14981,27 @@
 msgid "invalid branch to/from an OpenMP structured block"
 msgstr "ogiltig gren till/från OpenMP-strukturerat block"
 
-#: opts-common.c:997
+#: opts-common.c:1030
 #, gcc-internal-format
 msgid "command line option %qs is not supported by this configuration"
 msgstr "kommandoradsflaggan %qs stödjs inte av denna konfiguration"
 
-#: opts-common.c:1007
+#: opts-common.c:1040
 #, gcc-internal-format
 msgid "missing argument to %qs"
 msgstr "argument saknas till %qs"
 
-#: opts-common.c:1013
+#: opts-common.c:1046
 #, gcc-internal-format
 msgid "argument to %qs should be a non-negative integer"
 msgstr "argumentet till %qs skall vara ett ickenegativt heltal"
 
-#: opts-common.c:1028
+#: opts-common.c:1061
 #, gcc-internal-format
 msgid "unrecognized argument in option %qs"
 msgstr "okänt argument till flaggan %qs"
 
-#: opts-common.c:1044
+#: opts-common.c:1077
 #, gcc-internal-format
 msgid "valid arguments to %qs are: %s"
 msgstr "giltiga argument till %qs är: %s"
@@ -15040,137 +15057,137 @@
 msgid "%<-femit-struct-debug-detailed=dir:...%> must allow at least as much as %<-femit-struct-debug-detailed=ind:...%>"
 msgstr "%<-femit-struct-debug-detailed=kat:...%> måste tillåta åtminstone så mycket som %<-femit-struct-debug-detailed=ind:...%>"
 
-#: opts.c:542
+#: opts.c:544
 #, gcc-internal-format
 msgid "argument to %<-O%> should be a non-negative integer, %<g%>, %<s%> or %<fast%>"
 msgstr "argumentet till %<-O%> skall vara ett ickenegativt heltal, %<g%>, %<s%> eller %<fast%>"
 
-#: opts.c:669
+#: opts.c:672
 #, gcc-internal-format
 msgid "section anchors must be disabled when unit-at-a-time is disabled"
 msgstr "sektionsankare måste vara avaktiverade när unit-at-a-time är avaktiverat"
 
-#: opts.c:673
+#: opts.c:676
 #, gcc-internal-format
 msgid "toplevel reorder must be disabled when unit-at-a-time is disabled"
 msgstr "ordningsändring på toppnivå måste vara avaktiverat när unit-at-a-time är avaktiverat"
 
-#: opts.c:679
+#: opts.c:682
 #, gcc-internal-format
 msgid "transactional memory is not supported with non-call exceptions"
 msgstr "transaktionsminne stödjs inte i denna konfiguration"
 
-#: opts.c:694
+#: opts.c:697
 #, gcc-internal-format
 msgid "section anchors must be disabled when toplevel reorder is disabled"
 msgstr "sektionsankare måste vara avaktiverade när ordningsändring på toppnivå är avaktiverat"
 
-#: opts.c:729 config/darwin.c:3061 config/sh/sh.c:936
+#: opts.c:732 config/darwin.c:3061 config/sh/sh.c:933
 #, gcc-internal-format
 msgid "-freorder-blocks-and-partition does not work with exceptions on this architecture"
 msgstr "-freorder-blocks-and-partition fungerar inte med undantag på denna arkitektur"
 
-#: opts.c:744 config/sh/sh.c:944
+#: opts.c:747 config/sh/sh.c:941
 #, gcc-internal-format
 msgid "-freorder-blocks-and-partition does not support unwind info on this architecture"
 msgstr "-freorder-blocks-and-partition stödjer inte upprullningsinformation på denna arkitektur"
 
-#: opts.c:761 config/pa/pa.c:526
+#: opts.c:764 config/pa/pa.c:526
 #, gcc-internal-format
 msgid "-freorder-blocks-and-partition does not work on this architecture"
 msgstr "-freorder-blocks-and-partition fungerar inte på denna arkitektur"
 
-#: opts.c:797
+#: opts.c:800
 #, gcc-internal-format
 msgid "-fno-fat-lto-objects are supported only with linker plugin."
 msgstr "-fno-fat-lto-objects stödjs endast med insticksmodul för länkning."
 
-#: opts.c:805
+#: opts.c:808
 #, gcc-internal-format
 msgid "only one -flto-partition value can be specified"
 msgstr "bara ett värde för -flto-partition kan anges"
 
-#: opts.c:816
+#: opts.c:819
 #, gcc-internal-format
 msgid "%<-fsplit-stack%> is not supported by this compiler configuration"
 msgstr "%<-fsplit-stack%> stödjs inte av denna kompilatorkonfiguration"
 
-#: opts.c:1193
+#: opts.c:1196
 #, gcc-internal-format
 msgid "unrecognized include_flags 0x%x passed to print_specific_help"
 msgstr "okända include_flags 0x%x skickade till print_specific_help"
 
-#: opts.c:1373
+#: opts.c:1376
 #, gcc-internal-format
 msgid "--help argument %q.*s is ambiguous, please be more specific"
 msgstr "argumentet %q.*s till --help är tvetydigt, var mer precis"
 
-#: opts.c:1382
+#: opts.c:1385
 #, gcc-internal-format
 msgid "unrecognized argument to --help= option: %q.*s"
 msgstr "okänt argument till --help=-flagga: %q.*s"
 
-#: opts.c:1547
+#: opts.c:1550
 #, gcc-internal-format, gfc-internal-format
 msgid "structure alignment must be a small power of two, not %d"
 msgstr "postjustering måste vara två upphöjt till ett litet tal, inte %d"
 
-#: opts.c:1664
+#: opts.c:1667
 #, gcc-internal-format, gfc-internal-format
 msgid "unknown stack check parameter \"%s\""
 msgstr "okänd stackkontrollparameter ”%s”"
 
-#: opts.c:1701
+#: opts.c:1704
 #, gcc-internal-format, gfc-internal-format
 msgid "dwarf version %d is not supported"
 msgstr "dwarf-version %d stödjs inte"
 
-#: opts.c:1791
+#: opts.c:1794
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: --param arguments should be of the form NAME=VALUE"
 msgstr "%s: argument till --param skall ha formen NAMN=VÄRDE"
 
-#: opts.c:1797
+#: opts.c:1800
 #, gcc-internal-format
 msgid "invalid --param value %qs"
 msgstr "ogiltigt --param-värde %qs"
 
-#: opts.c:1915
+#: opts.c:1918
 #, gcc-internal-format
 msgid "target system does not support debug output"
 msgstr "målsystemet stödjer inte felsökningsutdata"
 
-#: opts.c:1924
+#: opts.c:1927
 #, gcc-internal-format, gfc-internal-format
 msgid "debug format \"%s\" conflicts with prior selection"
 msgstr "felsökningsformatet ”%s” står i konflikt med tidigare val"
 
-#: opts.c:1940
+#: opts.c:1943
 #, gcc-internal-format, gfc-internal-format
 msgid "unrecognised debug output level \"%s\""
 msgstr "okänd felsökningsnivå ”%s”"
 
-#: opts.c:1942
+#: opts.c:1945
 #, gcc-internal-format, gfc-internal-format
 msgid "debug output level %s is too high"
 msgstr "felsökningsnivå %s är för hög"
 
-#: opts.c:1962
+#: opts.c:1965
 #, gcc-internal-format
 msgid "getting core file size maximum limit: %m"
 msgstr "när gräns för maximal storlek på core-fil hämtades: %m"
 
-#: opts.c:1965
+#: opts.c:1968
 #, gcc-internal-format
 msgid "setting core file size limit to maximum: %m"
 msgstr "när gräns för maximal storlek på core-fil sattes: %m"
 
-#: opts.c:2010
+#: opts.c:2013
 #, gcc-internal-format, gfc-internal-format
 msgid "unrecognized gcc debugging option: %c"
 msgstr "ej igenkänd debuggningsflagga för gcc: %c"
 
-#: opts.c:2036
+#: opts.c:2039
 #, gcc-internal-format, gfc-internal-format
 msgid "-Werror=%s: no option -%s"
 msgstr "-Werror=%s: ingen flagga -%s"
@@ -15440,8 +15457,8 @@
 msgstr "det går inte att använda %qs som ett fast register"
 
 #: reginfo.c:750 config/ia64/ia64.c:5897 config/ia64/ia64.c:5904
-#: config/pa/pa.c:428 config/pa/pa.c:435 config/sh/sh.c:9362
-#: config/sh/sh.c:9369 config/spu/spu.c:4908 config/spu/spu.c:4915
+#: config/pa/pa.c:428 config/pa/pa.c:435 config/sh/sh.c:9359
+#: config/sh/sh.c:9366 config/spu/spu.c:4908 config/spu/spu.c:4915
 #, gcc-internal-format, gfc-internal-format
 msgid "unknown register name: %s"
 msgstr "okänt registernamn: %s"
@@ -15521,42 +15538,42 @@
 msgid "output operand is constant in %<asm%>"
 msgstr "utdataoperand är konstant i %<asm%>"
 
-#: rtl.c:738
+#: rtl.c:742
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL check: access of elt %d of '%s' with last elt %d in %s, at %s:%d"
 msgstr "RTL-kontroll: åtkomst av elt %d av ”%s” med sista elt %d i %s, vid %s:%d"
 
-#: rtl.c:748
+#: rtl.c:752
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL check: expected elt %d type '%c', have '%c' (rtx %s) in %s, at %s:%d"
 msgstr "RTL-kontroll: förväntade elt %d typ ”%c”, har ”%c” (rtx %s) i %s, vid %s:%d"
 
-#: rtl.c:758
+#: rtl.c:762
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL check: expected elt %d type '%c' or '%c', have '%c' (rtx %s) in %s, at %s:%d"
 msgstr "RTL-kontroll: förväntade elt %d typ ”%c” eller ”%c”, har ”%c” (rtx %s) i %s, vid %s:%d"
 
-#: rtl.c:767
+#: rtl.c:771
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL check: expected code '%s', have '%s' in %s, at %s:%d"
 msgstr "RTL-kontroll: förväntade kod ”%s”, har ”%s” i %s, vid %s:%d"
 
-#: rtl.c:777
+#: rtl.c:781
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL check: expected code '%s' or '%s', have '%s' in %s, at %s:%d"
 msgstr "RTL-kontroll: förväntade kod ”%s” eller ”%s”, har ”%s” i %s, vid %s:%d"
 
-#: rtl.c:804
+#: rtl.c:808
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL check: attempt to treat non-block symbol as a block symbol in %s, at %s:%d"
 msgstr "RTL-kontroll: försök att hantera icke-block-symbol som en blocksymbol i %s, vid %s:%d"
 
-#: rtl.c:814
+#: rtl.c:818
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL check: access of elt %d of vector with last elt %d in %s, at %s:%d"
 msgstr "RTL-kontroll: åtkomst av elt %d i vektor med sista elt %d i %s, vid %s:%d"
 
-#: rtl.c:825
+#: rtl.c:829
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL flag check: %s used with unexpected rtx code '%s' in %s, at %s:%d"
 msgstr "RTL-flaggkontroll: %s använt med oväntad rtx-kod ”%s” i %s, vid %s:%d"
@@ -16011,7 +16028,7 @@
 msgid "%<transaction_may_cancel_outer%> function call not within outer transaction or %<transaction_may_cancel_outer%>"
 msgstr "%<transaction_may_cancel_outer%>-funktionsanrop som inte är inuti en yttre transaktion eller %<transaction_may_cancel_outer%>"
 
-#: trans-mem.c:676 trans-mem.c:4569
+#: trans-mem.c:676 trans-mem.c:4570
 #, gcc-internal-format
 msgid "unsafe function call %qD within atomic transaction"
 msgstr "osäkert funktionsanrop av %qD inuti atomär transaktion"
@@ -16026,7 +16043,7 @@
 msgid "unsafe indirect function call within atomic transaction"
 msgstr "osäkert indirekt funktionsanrop inuti en atomär transaktion"
 
-#: trans-mem.c:694 trans-mem.c:4502
+#: trans-mem.c:694 trans-mem.c:4503
 #, gcc-internal-format
 msgid "unsafe function call %qD within %<transaction_safe%> function"
 msgstr "osäkert funktionsanrop av %qD inuti %<transaction_safe%>-funktion"
@@ -16041,7 +16058,7 @@
 msgid "unsafe indirect function call within %<transaction_safe%> function"
 msgstr "osäkert indirekt funktionsanrop inuti en %<transaction_safe%>-funktion"
 
-#: trans-mem.c:719 trans-mem.c:4541
+#: trans-mem.c:719 trans-mem.c:4542
 #, gcc-internal-format
 msgid "asm not allowed in atomic transaction"
 msgstr "asm är inte tillåtet i en atomär transaktion"
@@ -16076,7 +16093,7 @@
 msgid "outer transaction in %<transaction_safe%> function"
 msgstr "yttre transaktion i %<transaction_safe%>-funktion"
 
-#: trans-mem.c:4169
+#: trans-mem.c:4170
 #, gcc-internal-format
 msgid "%Kasm not allowed in %<transaction_safe%> function"
 msgstr "%Kasm är inte tillåtet i en %<transaction_safe%>-funktion"
@@ -16126,7 +16143,7 @@
 msgid "MODIFY_EXPR not expected while having tuples"
 msgstr "MODIFY_EXPR förväntades inte när man har tupler"
 
-#: tree-cfg.c:2613 tree-ssa.c:879
+#: tree-cfg.c:2613 tree-ssa.c:876
 #, gcc-internal-format
 msgid "address taken, but ADDRESSABLE bit not set"
 msgstr "adress tagen, men ADDRESSABLE-biten är inte satt"
@@ -16611,7 +16628,7 @@
 msgid "incompatible types in PHI argument %u"
 msgstr "inkompatibla typer i PHI-argument %u"
 
-#: tree-cfg.c:4433 tree-cfg.c:4727
+#: tree-cfg.c:4433 tree-cfg.c:4738
 #, gcc-internal-format
 msgid "verify_gimple failed"
 msgstr "verify_gimple misslyckades"
@@ -16626,144 +16643,144 @@
 msgid "location references block not in block tree"
 msgstr "platsreferensblock som inte är i blockträd"
 
-#: tree-cfg.c:4594
+#: tree-cfg.c:4605
 #, gcc-internal-format
 msgid "gimple_bb (phi) is set to a wrong basic block"
 msgstr "gimple_bb (phi) är satt till ett felaktigt grundblock"
 
-#: tree-cfg.c:4603
+#: tree-cfg.c:4614
 #, gcc-internal-format
 msgid "PHI node with location"
 msgstr "PHI-nod med plats"
 
-#: tree-cfg.c:4614 tree-cfg.c:4663
+#: tree-cfg.c:4625 tree-cfg.c:4674
 #, gcc-internal-format
 msgid "incorrect sharing of tree nodes"
 msgstr "felaktig delning av trädnoder"
 
-#: tree-cfg.c:4622
+#: tree-cfg.c:4633
 #, gcc-internal-format
 msgid "virtual PHI with argument locations"
 msgstr "virtuell PHI med argumentplatser"
 
-#: tree-cfg.c:4651
+#: tree-cfg.c:4662
 #, gcc-internal-format
 msgid "gimple_bb (stmt) is set to a wrong basic block"
 msgstr "gimple_bb (sats) är satt till ett felaktigt grundblock"
 
-#: tree-cfg.c:4687
+#: tree-cfg.c:4698
 #, gcc-internal-format
 msgid "in statement"
 msgstr "i sats"
 
-#: tree-cfg.c:4702
+#: tree-cfg.c:4713
 #, gcc-internal-format
 msgid "statement marked for throw, but doesn%'t"
 msgstr "sats markerad för att kasta, men gör inte det"
 
-#: tree-cfg.c:4709
+#: tree-cfg.c:4720
 #, gcc-internal-format
 msgid "statement marked for throw in middle of block"
 msgstr "sats markerad för att kasta i mitten av block"
 
-#: tree-cfg.c:4751
+#: tree-cfg.c:4762
 #, gcc-internal-format
 msgid "ENTRY_BLOCK has IL associated with it"
 msgstr "ENTRY_BLOCK har IL associerat med sig"
 
-#: tree-cfg.c:4757
+#: tree-cfg.c:4768
 #, gcc-internal-format
 msgid "EXIT_BLOCK has IL associated with it"
 msgstr "EXIT_BLOCK har IL associerat med sig"
 
-#: tree-cfg.c:4764
+#: tree-cfg.c:4775
 #, gcc-internal-format, gfc-internal-format
 msgid "fallthru to exit from bb %d"
 msgstr "fall igenom till utgång från gb %d"
 
-#: tree-cfg.c:4788
+#: tree-cfg.c:4799
 #, gcc-internal-format
 msgid "nonlocal label "
 msgstr "ickelokal etikett "
 
-#: tree-cfg.c:4797
+#: tree-cfg.c:4808
 #, gcc-internal-format
 msgid "EH landing pad label "
 msgstr "EH-landningsplattas etikett "
 
-#: tree-cfg.c:4806 tree-cfg.c:4815 tree-cfg.c:4840
+#: tree-cfg.c:4817 tree-cfg.c:4826 tree-cfg.c:4851
 #, gcc-internal-format
 msgid "label "
 msgstr "etikett "
 
-#: tree-cfg.c:4830
+#: tree-cfg.c:4841
 #, gcc-internal-format, gfc-internal-format
 msgid "control flow in the middle of basic block %d"
 msgstr "flödesstyrning mitt i grundblock %d"
 
 # bb -> basic block -> grundblock -> gb
-#: tree-cfg.c:4863
+#: tree-cfg.c:4874
 #, gcc-internal-format, gfc-internal-format
 msgid "fallthru edge after a control statement in bb %d"
 msgstr "fall igenom-båge efter styrsats i gb %d"
 
 # bb -> basic block -> grundblock -> gb
-#: tree-cfg.c:4876
+#: tree-cfg.c:4887
 #, gcc-internal-format, gfc-internal-format
 msgid "true/false edge after a non-GIMPLE_COND in bb %d"
 msgstr "sant/falskt-båge efter en icke-GIMPLE_COND i gb %d"
 
-#: tree-cfg.c:4899 tree-cfg.c:4921 tree-cfg.c:4938 tree-cfg.c:5007
+#: tree-cfg.c:4910 tree-cfg.c:4932 tree-cfg.c:4949 tree-cfg.c:5018
 #, gcc-internal-format, gfc-internal-format
 msgid "wrong outgoing edge flags at end of bb %d"
 msgstr "felaktiga utgående bågeflaggor vid slutet av gb %d"
 
-#: tree-cfg.c:4909
+#: tree-cfg.c:4920
 #, gcc-internal-format, gfc-internal-format
 msgid "explicit goto at end of bb %d"
 msgstr "uttrycklig goto vid slutet av gb %d"
 
-#: tree-cfg.c:4943
+#: tree-cfg.c:4954
 #, gcc-internal-format, gfc-internal-format
 msgid "return edge does not point to exit in bb %d"
 msgstr "returbåge pekar inte på utgång i gb %d"
 
-#: tree-cfg.c:4973
+#: tree-cfg.c:4984
 #, gcc-internal-format
 msgid "found default case not at the start of case vector"
 msgstr "hittade standardfall som inte var vid början av case-vektor"
 
-#: tree-cfg.c:4981
+#: tree-cfg.c:4992
 #, gcc-internal-format
 msgid "case labels not sorted: "
 msgstr "case-etiketter är inte sorterade: "
 
-#: tree-cfg.c:4998
+#: tree-cfg.c:5009
 #, gcc-internal-format, gfc-internal-format
 msgid "extra outgoing edge %d->%d"
 msgstr "extra utgående båge %d->%d"
 
-#: tree-cfg.c:5021
+#: tree-cfg.c:5032
 #, gcc-internal-format, gfc-internal-format
 msgid "missing edge %i->%i"
 msgstr "båge saknas %i->%i"
 
-#: tree-cfg.c:7803
+#: tree-cfg.c:7814
 #, gcc-internal-format
 msgid "%<noreturn%> function does return"
 msgstr "%<noreturn%>-funktion returnerar"
 
-#: tree-cfg.c:7823
+#: tree-cfg.c:7834
 #, gcc-internal-format
 msgid "control reaches end of non-void function"
 msgstr "flödet når slutet på en icke-void-funktion"
 
-#: tree-cfg.c:7963
+#: tree-cfg.c:7974
 #, gcc-internal-format
 msgid "ignoring return value of %qD, declared with attribute warn_unused_result"
 msgstr "ignorerar returvärdet av %qD, deklarerad med attributet warn_unused_result"
 
-#: tree-cfg.c:7968
+#: tree-cfg.c:7979
 #, gcc-internal-format
 msgid "ignoring return value of function declared with attribute warn_unused_result"
 msgstr "ignorerar returvärdet av funktion deklarerad med attributet warn_unused_result"
@@ -16778,122 +16795,122 @@
 msgid "in expansion of macro %qs"
 msgstr "i expansionen av makrot %qs"
 
-#: tree-eh.c:4368
+#: tree-eh.c:4396
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i has multiple EH edges"
 msgstr "BB %i har flera EH-bågar"
 
-#: tree-eh.c:4380
+#: tree-eh.c:4408
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i can not throw but has an EH edge"
 msgstr "BB %i kan inte kasta men har en EH-båge"
 
-#: tree-eh.c:4388
+#: tree-eh.c:4416
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i last statement has incorrectly set lp"
 msgstr "BB %i:s sista sats har felaktigt satt lp"
 
-#: tree-eh.c:4394
+#: tree-eh.c:4422
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i is missing an EH edge"
 msgstr "BB %i sakar en EH-båge"
 
-#: tree-eh.c:4400
+#: tree-eh.c:4428
 #, gcc-internal-format, gfc-internal-format
 msgid "Incorrect EH edge %i->%i"
 msgstr "Felaktig EH-båge %i->%i"
 
-#: tree-eh.c:4434 tree-eh.c:4453
+#: tree-eh.c:4462 tree-eh.c:4481
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i is missing an edge"
 msgstr "BB %i saknar en båge"
 
-#: tree-eh.c:4470
+#: tree-eh.c:4498
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i too many fallthru edges"
 msgstr "BB %i har för många fall-igenom-bågar"
 
-#: tree-eh.c:4479
+#: tree-eh.c:4507
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i has incorrect edge"
 msgstr "BB %i har felaktig båge"
 
-#: tree-eh.c:4485
+#: tree-eh.c:4513
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i has incorrect fallthru edge"
 msgstr "BB %i har felaktig fall-igenom-båge"
 
-#: tree-inline.c:3012
+#: tree-inline.c:3022
 #, gcc-internal-format
 msgid "function %q+F can never be copied because it receives a non-local goto"
 msgstr "funktion %q+F kan aldrig kopieras eftersom den tar emot ett icke-lokalt goto"
 
-#: tree-inline.c:3026
+#: tree-inline.c:3036
 #, gcc-internal-format
 msgid "function %q+F can never be copied because it saves address of local label in a static variable"
 msgstr "funktion %q+F kan aldrig kopieras eftersom den sparar adressen av en lokal etikett i en statisk variabel"
 
-#: tree-inline.c:3066
+#: tree-inline.c:3076
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it uses alloca (override using the always_inline attribute)"
 msgstr "funktion %q+F kan aldrig inline:as för att den använder alloca (åsidosätt genom att använda attributet always_inline)"
 
-#: tree-inline.c:3080
+#: tree-inline.c:3090
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it uses setjmp"
 msgstr "funktion %q+F kan aldrig inline:as eftersom den använder setjmp"
 
-#: tree-inline.c:3094
+#: tree-inline.c:3104
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it uses variable argument lists"
 msgstr "funktion %q+F kan aldrig inline:as eftersom den använder variabel argumentlista"
 
-#: tree-inline.c:3106
+#: tree-inline.c:3116
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it uses setjmp-longjmp exception handling"
 msgstr "funktion %q+F kan aldrig inline:as eftersom den använder setjmp-lonjgmp-undantagshantering"
 
-#: tree-inline.c:3114
+#: tree-inline.c:3124
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it uses non-local goto"
 msgstr "funktion %q+F kan aldrig inline:as eftersom den använder icke-lokala goto"
 
-#: tree-inline.c:3126
+#: tree-inline.c:3136
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it uses __builtin_return or __builtin_apply_args"
 msgstr "funktion %q+F kan aldrig inline:as eftersom den använder __builtin_return eller __builtin_apply_args"
 
-#: tree-inline.c:3146
+#: tree-inline.c:3156
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it contains a computed goto"
 msgstr "funktion %q+F kan aldrig inline:as eftersom den innehåller ett beräknat goto"
 
-#: tree-inline.c:3249
+#: tree-inline.c:3259
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it is suppressed using -fno-inline"
 msgstr "funktionen %q+F kan aldrig vara inline eftersom det stängs av av -fno-inline"
 
-#: tree-inline.c:3257
+#: tree-inline.c:3267
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it uses attributes conflicting with inlining"
 msgstr "funktionen %q+F kan aldrig vara inline eftersom den använder attribut som står i konflikt med inline"
 
-#: tree-inline.c:3842
+#: tree-inline.c:3852
 #, gcc-internal-format
 msgid "inlining failed in call to always_inline %q+F: %s"
 msgstr "inline:ing misslyckades i anrop av always_inline %q+F: %s"
 
-#: tree-inline.c:3844 tree-inline.c:3859
+#: tree-inline.c:3854 tree-inline.c:3869
 #, gcc-internal-format
 msgid "called from here"
 msgstr "anropad härifrån"
 
-#: tree-inline.c:3857
+#: tree-inline.c:3867
 #, gcc-internal-format
 msgid "inlining failed in call to %q+F: %s"
 msgstr "inline:ing misslyckades i anrop av %q+F: %s"
 
-#: tree-into-ssa.c:3209 tree-outof-ssa.c:774 tree-outof-ssa.c:831
+#: tree-into-ssa.c:3226 tree-outof-ssa.c:774 tree-outof-ssa.c:831
 #: tree-ssa-coalesce.c:934 tree-ssa-live.c:1282
 #, gcc-internal-format
 msgid "SSA corruption"
@@ -16924,6 +16941,16 @@
 msgid "unimplemented functionality"
 msgstr "oimplementerad funktionalitet"
 
+#: tree-ssa-loop-niter.c:2557
+#, gcc-internal-format
+msgid "iteration %E invokes undefined behavior"
+msgstr "iteration %E orsakar odefinierat beteende"
+
+#: tree-ssa-loop-niter.c:2559
+#, gcc-internal-format
+msgid "containing loop"
+msgstr "kringliggande slinga"
+
 #: tree-ssa-operands.c:975
 #, gcc-internal-format
 msgid "virtual definition of statement not up-to-date"
@@ -16959,142 +16986,142 @@
 msgid "stmt volatile flag not up-to-date"
 msgstr "satsens volatile-flagga är inte aktuell"
 
-#: tree-ssa-uninit.c:1943 tree-ssa.c:1668
+#: tree-ssa-uninit.c:1946 tree-ssa.c:1665
 #, gcc-internal-format
 msgid "%qD may be used uninitialized in this function"
 msgstr "%qD kan användas oinitierad i denna funktion"
 
-#: tree-ssa.c:625
+#: tree-ssa.c:622
 #, gcc-internal-format
 msgid "expected an SSA_NAME object"
 msgstr "förväntade ett SSA_NAME-objekt"
 
-#: tree-ssa.c:631
+#: tree-ssa.c:628
 #, gcc-internal-format
 msgid "found an SSA_NAME that had been released into the free pool"
 msgstr "fann ett SSA_NAME som hade släppts till den fria poolen"
 
-#: tree-ssa.c:638
+#: tree-ssa.c:635
 #, gcc-internal-format
 msgid "type mismatch between an SSA_NAME and its symbol"
 msgstr "typer stämmer inte mellan ett SSA_NAME och dess symbol"
 
-#: tree-ssa.c:644
+#: tree-ssa.c:641
 #, gcc-internal-format
 msgid "found a virtual definition for a GIMPLE register"
 msgstr "hittade en virtuell definition av ett GIMPLE-register"
 
-#: tree-ssa.c:650
+#: tree-ssa.c:647
 #, gcc-internal-format
 msgid "virtual SSA name for non-VOP decl"
 msgstr "virtuellt SSA-namn för icke-VOP-deklaration"
 
-#: tree-ssa.c:656
+#: tree-ssa.c:653
 #, gcc-internal-format
 msgid "found a real definition for a non-register"
 msgstr "hittade en verklig definition av ett icke-register"
 
-#: tree-ssa.c:663
+#: tree-ssa.c:660
 #, gcc-internal-format
 msgid "found a default name with a non-empty defining statement"
 msgstr "hittade ett standardnamn med en definierande sats som inte är tom"
 
-#: tree-ssa.c:693
+#: tree-ssa.c:690
 #, gcc-internal-format
 msgid "RESULT_DECL should be read only when DECL_BY_REFERENCE is set"
 msgstr "RESULT_DECL bör läsas endast när DECL_BY_REFERENCE är satt"
 
-#: tree-ssa.c:699
+#: tree-ssa.c:696
 #, gcc-internal-format, gfc-internal-format
 msgid "SSA_NAME created in two different blocks %i and %i"
 msgstr "SSA_NAME skapade i två olika block %i och %i"
 
-#: tree-ssa.c:708 tree-ssa.c:1020
+#: tree-ssa.c:705 tree-ssa.c:1017
 #, gcc-internal-format
 msgid "SSA_NAME_DEF_STMT is wrong"
 msgstr "SSA_NAME_DEF_STMT är fel"
 
-#: tree-ssa.c:760
+#: tree-ssa.c:757
 #, gcc-internal-format
 msgid "missing definition"
 msgstr "definition saknas"
 
-#: tree-ssa.c:766
+#: tree-ssa.c:763
 #, gcc-internal-format, gfc-internal-format
 msgid "definition in block %i does not dominate use in block %i"
 msgstr "definition i block %i dominerar användningen i block %i"
 
-#: tree-ssa.c:774
+#: tree-ssa.c:771
 #, gcc-internal-format, gfc-internal-format
 msgid "definition in block %i follows the use"
 msgstr "definition i block %i följer dess användning"
 
-#: tree-ssa.c:781
+#: tree-ssa.c:778
 #, gcc-internal-format
 msgid "SSA_NAME_OCCURS_IN_ABNORMAL_PHI should be set"
 msgstr "SSA_NAME_OCCURS_IN_ABNORMAL_PHI borde vara satt"
 
-#: tree-ssa.c:789
+#: tree-ssa.c:786
 #, gcc-internal-format
 msgid "no immediate_use list"
 msgstr "ingen immediate_use-lista"
 
-#: tree-ssa.c:801
+#: tree-ssa.c:798
 #, gcc-internal-format
 msgid "wrong immediate use list"
 msgstr "fel omedelbar användningslista"
 
-#: tree-ssa.c:835
+#: tree-ssa.c:832
 #, gcc-internal-format
 msgid "incoming edge count does not match number of PHI arguments"
 msgstr "inkommande bågantal stämmer inte med antalet PHI-argument"
 
-#: tree-ssa.c:849
+#: tree-ssa.c:846
 #, gcc-internal-format, gfc-internal-format
 msgid "PHI argument is missing for edge %d->%d"
 msgstr "PHI-argument saknas för bågen %i->%i"
 
-#: tree-ssa.c:858
+#: tree-ssa.c:855
 #, gcc-internal-format
 msgid "PHI argument is not SSA_NAME, or invariant"
 msgstr "PHI-argument är inte SSA_NAME eller invariant"
 
-#: tree-ssa.c:886
+#: tree-ssa.c:883
 #, gcc-internal-format, gfc-internal-format
 msgid "wrong edge %d->%d for PHI argument"
 msgstr "fel båge %d->%d för PHI-argument"
 
-#: tree-ssa.c:967
+#: tree-ssa.c:964
 #, gcc-internal-format, gfc-internal-format
 msgid "AUX pointer initialized for edge %d->%d"
 msgstr "AUX-pekare initierad för bågen %i->%i"
 
-#: tree-ssa.c:992
+#: tree-ssa.c:989
 #, gcc-internal-format
 msgid "stmt (%p) marked modified after optimization pass: "
 msgstr "sats (%p) markerad som modifierad efter optimeringspass: "
 
-#: tree-ssa.c:1049
+#: tree-ssa.c:1046
 #, gcc-internal-format
 msgid "verify_ssa failed"
 msgstr "verify_ssa misslyckades"
 
-#: tree-ssa.c:1631 varasm.c:322
+#: tree-ssa.c:1628 varasm.c:321
 #, gcc-internal-format
 msgid "%qD was declared here"
 msgstr "%qD deklarerades här"
 
-#: tree-ssa.c:1663
+#: tree-ssa.c:1660
 #, gcc-internal-format
 msgid "%qD is used uninitialized in this function"
 msgstr "%qD används oinitierad i denna funktion"
 
-#: tree-ssa.c:1700
+#: tree-ssa.c:1697
 #, gcc-internal-format
 msgid "%qE is used uninitialized in this function"
 msgstr "%qE används oinitierad i denna funktion"
 
-#: tree-ssa.c:1705
+#: tree-ssa.c:1702
 #, gcc-internal-format
 msgid "%qE may be used uninitialized in this function"
 msgstr "%qE kan användas oinitierad i denna funktion"
@@ -17214,24 +17241,24 @@
 msgid "%q+D redeclared without dllimport attribute: previous dllimport ignored"
 msgstr "%q+D omdeklarerades utan attributet dllimport: tidigare dllimport ignoreras"
 
-#: tree.c:5610 tree.c:5622 tree.c:5632 c-family/c-common.c:6380
-#: c-family/c-common.c:6399 c-family/c-common.c:6417 c-family/c-common.c:6445
-#: c-family/c-common.c:6473 c-family/c-common.c:6501 c-family/c-common.c:6517
-#: c-family/c-common.c:6536 c-family/c-common.c:6553 c-family/c-common.c:6577
-#: c-family/c-common.c:6600 c-family/c-common.c:6617 c-family/c-common.c:6645
-#: c-family/c-common.c:6666 c-family/c-common.c:6687 c-family/c-common.c:6714
-#: c-family/c-common.c:6745 c-family/c-common.c:6782 c-family/c-common.c:6809
-#: c-family/c-common.c:6869 c-family/c-common.c:6954 c-family/c-common.c:6984
-#: c-family/c-common.c:7038 c-family/c-common.c:7496 c-family/c-common.c:7514
-#: c-family/c-common.c:7576 c-family/c-common.c:7619 c-family/c-common.c:7690
-#: c-family/c-common.c:7818 c-family/c-common.c:7886 c-family/c-common.c:7944
-#: c-family/c-common.c:7992 c-family/c-common.c:8155 c-family/c-common.c:8176
-#: c-family/c-common.c:8288 c-family/c-common.c:8312 c-family/c-common.c:8619
-#: c-family/c-common.c:8642 c-family/c-common.c:8681 c-family/c-common.c:8759
-#: c-family/c-common.c:8906 config/darwin.c:1997 config/arm/arm.c:5119
-#: config/arm/arm.c:5147 config/arm/arm.c:5164 config/avr/avr.c:7789
-#: config/h8300/h8300.c:5463 config/h8300/h8300.c:5487 config/i386/i386.c:4965
-#: config/i386/i386.c:34737 config/ia64/ia64.c:737
+#: tree.c:5610 tree.c:5622 tree.c:5632 c-family/c-common.c:6385
+#: c-family/c-common.c:6404 c-family/c-common.c:6422 c-family/c-common.c:6450
+#: c-family/c-common.c:6478 c-family/c-common.c:6506 c-family/c-common.c:6522
+#: c-family/c-common.c:6537 c-family/c-common.c:6558 c-family/c-common.c:6575
+#: c-family/c-common.c:6599 c-family/c-common.c:6622 c-family/c-common.c:6639
+#: c-family/c-common.c:6667 c-family/c-common.c:6688 c-family/c-common.c:6709
+#: c-family/c-common.c:6736 c-family/c-common.c:6767 c-family/c-common.c:6804
+#: c-family/c-common.c:6831 c-family/c-common.c:6891 c-family/c-common.c:6976
+#: c-family/c-common.c:7006 c-family/c-common.c:7060 c-family/c-common.c:7518
+#: c-family/c-common.c:7536 c-family/c-common.c:7598 c-family/c-common.c:7641
+#: c-family/c-common.c:7712 c-family/c-common.c:7840 c-family/c-common.c:7908
+#: c-family/c-common.c:7966 c-family/c-common.c:8014 c-family/c-common.c:8177
+#: c-family/c-common.c:8198 c-family/c-common.c:8310 c-family/c-common.c:8334
+#: c-family/c-common.c:8641 c-family/c-common.c:8664 c-family/c-common.c:8703
+#: c-family/c-common.c:8781 c-family/c-common.c:8928 config/darwin.c:1997
+#: config/arm/arm.c:5119 config/arm/arm.c:5147 config/arm/arm.c:5164
+#: config/avr/avr.c:7789 config/h8300/h8300.c:5463 config/h8300/h8300.c:5487
+#: config/i386/i386.c:4965 config/i386/i386.c:34737 config/ia64/ia64.c:737
 #: config/rs6000/rs6000.c:24907 config/spu/spu.c:3743
 #: ada/gcc-interface/utils.c:6189 lto/lto-lang.c:222
 #, gcc-internal-format
@@ -17414,137 +17441,137 @@
 msgid "variable tracking size limit exceeded"
 msgstr "storleksgräns på variabelspårning överskriden"
 
-#: varasm.c:315
+#: varasm.c:314
 #, gcc-internal-format
 msgid "%+D causes a section type conflict"
 msgstr "%+D orsakar en sektionstypkonflikt"
 
-#: varasm.c:318
+#: varasm.c:317
 #, gcc-internal-format
 msgid "%+D causes a section type conflict with %D"
 msgstr "%+D orsakar en sektionstypkonflikt med %D"
 
-#: varasm.c:960
+#: varasm.c:959
 #, gcc-internal-format
 msgid "alignment of %q+D is greater than maximum object file alignment.  Using %d"
 msgstr "justeringen av %q+D är större än den objektfilers maximala justering.  Använder %d"
 
-#: varasm.c:1200 varasm.c:1209
+#: varasm.c:1198 varasm.c:1207
 #, gcc-internal-format
 msgid "register name not specified for %q+D"
 msgstr "inget registernamn angivet för %q+D"
 
-#: varasm.c:1211
+#: varasm.c:1209
 #, gcc-internal-format
 msgid "invalid register name for %q+D"
 msgstr "ogiltig registernamn för %q+D"
 
-#: varasm.c:1213
+#: varasm.c:1211
 #, gcc-internal-format
 msgid "data type of %q+D isn%'t suitable for a register"
 msgstr "datatyp %q+D passar inte för ett register"
 
-#: varasm.c:1216
+#: varasm.c:1214
 #, gcc-internal-format
 msgid "the register specified for %q+D cannot be accessed by the current target"
 msgstr "registret angivet för %q+D kan inte nås av det aktuella målet"
 
-#: varasm.c:1219
+#: varasm.c:1217
 #, gcc-internal-format
 msgid "the register specified for %q+D is not general enough to be used as a register variable"
 msgstr "registret angivet för %q+D är inte tillräckligt generellt för att användas som en registervariabel"
 
-#: varasm.c:1222
+#: varasm.c:1220
 #, gcc-internal-format
 msgid "register specified for %q+D isn%'t suitable for data type"
 msgstr "registret angivet för %q+D passar inte för datatypen"
 
-#: varasm.c:1232
+#: varasm.c:1230
 #, gcc-internal-format
 msgid "global register variable has initial value"
 msgstr "global registervariabel har startvärde"
 
-#: varasm.c:1236
+#: varasm.c:1234
 #, gcc-internal-format
 msgid "optimization may eliminate reads and/or writes to register variables"
 msgstr "optimering kan eliminera läsningar och/eller skrivningar till registervariabler"
 
-#: varasm.c:1274
+#: varasm.c:1272
 #, gcc-internal-format
 msgid "register name given for non-register variable %q+D"
 msgstr "registernamn angivet icke-registervariabel %q+D"
 
-#: varasm.c:1820
+#: varasm.c:1818
 #, gcc-internal-format
 msgid "thread-local COMMON data not implemented"
 msgstr "trådlokal COMMON-data är inte implementerat"
 
-#: varasm.c:1852
+#: varasm.c:1850
 #, gcc-internal-format
 msgid "requested alignment for %q+D is greater than implemented alignment of %wu"
 msgstr "begärd justering för %q+D är större än implementerad justering av %wu"
 
-#: varasm.c:1940 c/c-decl.c:4353
+#: varasm.c:1938 c/c-decl.c:4353
 #, gcc-internal-format
 msgid "storage size of %q+D isn%'t known"
 msgstr "lagringsstorlek på %q+D är okänd"
 
-#: varasm.c:4605
+#: varasm.c:4590
 #, gcc-internal-format
 msgid "initializer for integer/fixed-point value is too complicated"
 msgstr "initierare för heltals-/fixdecimalvärde är för komplicerad"
 
-#: varasm.c:4610
+#: varasm.c:4595
 #, gcc-internal-format
 msgid "initializer for floating value is not a floating constant"
 msgstr "initierare för flyttalsvärde är inte en flyttalskonstant"
 
-#: varasm.c:4918
+#: varasm.c:4903
 #, gcc-internal-format
 msgid "invalid initial value for member %qE"
 msgstr "ogiltigt startvärde för medlem %qE"
 
-#: varasm.c:5270
+#: varasm.c:5255
 #, gcc-internal-format
 msgid "weak declaration of %q+D must be public"
 msgstr "svagdeklaration av %q+D måste vara publik"
 
-#: varasm.c:5272
+#: varasm.c:5257
 #, gcc-internal-format
 msgid "weak declaration of %q+D not supported"
 msgstr "svagdeklaration av %q+D stödjs inte"
 
-#: varasm.c:5301 varasm.c:5598
+#: varasm.c:5286 varasm.c:5583
 #, gcc-internal-format
 msgid "only weak aliases are supported in this configuration"
 msgstr "bara svaga alias stödjs i denna konfiguration"
 
-#: varasm.c:5490
+#: varasm.c:5475
 #, gcc-internal-format
 msgid "weakref is not supported in this configuration"
 msgstr "weakref stödjs inte i denna konfiguration"
 
-#: varasm.c:5513 varasm.c:5595
+#: varasm.c:5498 varasm.c:5580
 #, gcc-internal-format
 msgid "ifunc is not supported in this configuration"
 msgstr "ifunc stödjs inte i denna konfiguration"
 
-#: varasm.c:5572
+#: varasm.c:5557
 #, gcc-internal-format
 msgid "weakref %q+D ultimately targets itself"
 msgstr "weakref %q+D är ytterst sitt eget mål"
 
-#: varasm.c:5581
+#: varasm.c:5566
 #, gcc-internal-format
 msgid "weakref %q+D must have static linkage"
 msgstr "weakref %q+D måste ha statisk länkklass"
 
-#: varasm.c:5588
+#: varasm.c:5573
 #, gcc-internal-format
 msgid "alias definitions not supported in this configuration"
 msgstr "aliasdefinitioner stödjs inte i denna konfiguration"
 
-#: varasm.c:5807 config/sol2.c:155 config/i386/winnt.c:254
+#: varasm.c:5792 config/sol2.c:155 config/i386/winnt.c:254
 #, gcc-internal-format
 msgid "visibility attribute not supported in this configuration; ignored"
 msgstr "synlighetsattribut stödjs inte för denna konfiguration, ignoreras"
@@ -17570,1313 +17597,1313 @@
 msgid "bytecode stream: tag %s is not in the expected range [%s, %s]"
 msgstr "bytekodström: taggen %s ligger inte i det förväntade intervallet [%s, %s]"
 
-#: c-family/c-common.c:911
+#: c-family/c-common.c:916
 #, gcc-internal-format
 msgid "%qD is not defined outside of function scope"
 msgstr "%qD är inte definierad utanför funktionsnivå"
 
-#: c-family/c-common.c:961
+#: c-family/c-common.c:966
 #, gcc-internal-format
 msgid "string length %qd is greater than the length %qd ISO C%d compilers are required to support"
 msgstr "stränglängden %qd är större än den längden %qd som ISO C%d kompilatorer skall stödja"
 
-#: c-family/c-common.c:1280 c/c-typeck.c:9864 cp/typeck.c:4158
+#: c-family/c-common.c:1285 c/c-typeck.c:9864 cp/typeck.c:4158
 #, gcc-internal-format
 msgid "left shift count is negative"
 msgstr "vänstershiftoperanden är negativ"
 
-#: c-family/c-common.c:1281 c/c-typeck.c:9812 cp/typeck.c:4112
+#: c-family/c-common.c:1286 c/c-typeck.c:9812 cp/typeck.c:4112
 #, gcc-internal-format
 msgid "right shift count is negative"
 msgstr "högershiftoperanden är negativ"
 
-#: c-family/c-common.c:1286 c/c-typeck.c:9871 cp/typeck.c:4165
+#: c-family/c-common.c:1291 c/c-typeck.c:9871 cp/typeck.c:4165
 #, gcc-internal-format
 msgid "left shift count >= width of type"
 msgstr "vänstershiftoperanden >= storleken på typen"
 
-#: c-family/c-common.c:1287 c/c-typeck.c:9823 cp/typeck.c:4119
+#: c-family/c-common.c:1292 c/c-typeck.c:9823 cp/typeck.c:4119
 #, gcc-internal-format
 msgid "right shift count >= width of type"
 msgstr "högershiftoperanden >= storleken på typen"
 
-#: c-family/c-common.c:1508 c-family/c-common.c:1520 cp/semantics.c:6865
+#: c-family/c-common.c:1513 c-family/c-common.c:1525 cp/semantics.c:6867
 #, gcc-internal-format
 msgid "overflow in constant expression"
 msgstr "spill i konstant uttryck"
 
-#: c-family/c-common.c:1543
+#: c-family/c-common.c:1548
 #, gcc-internal-format
 msgid "integer overflow in expression"
 msgstr "heltalsspill i uttryck"
 
-#: c-family/c-common.c:1548
+#: c-family/c-common.c:1553
 #, gcc-internal-format
 msgid "floating point overflow in expression"
 msgstr "flyttalsspill i uttryck"
 
-#: c-family/c-common.c:1552
+#: c-family/c-common.c:1557
 #, gcc-internal-format
 msgid "fixed-point overflow in expression"
 msgstr "fixdecimalspill i uttryck"
 
-#: c-family/c-common.c:1556
+#: c-family/c-common.c:1561
 #, gcc-internal-format
 msgid "vector overflow in expression"
 msgstr "vektorspill i uttryck"
 
-#: c-family/c-common.c:1562
+#: c-family/c-common.c:1567
 #, gcc-internal-format
 msgid "complex integer overflow in expression"
 msgstr "spill i komplext heltal i uttryck"
 
-#: c-family/c-common.c:1565
+#: c-family/c-common.c:1570
 #, gcc-internal-format
 msgid "complex floating point overflow in expression"
 msgstr "spill i komplext flyttal i uttryck"
 
-#: c-family/c-common.c:1608
+#: c-family/c-common.c:1613
 #, gcc-internal-format
 msgid "logical %<or%> applied to non-boolean constant"
 msgstr "logiskt %<or%> använt på en icke-boolesk konstant"
 
-#: c-family/c-common.c:1611
+#: c-family/c-common.c:1616
 #, gcc-internal-format
 msgid "logical %<and%> applied to non-boolean constant"
 msgstr "logiskt %<and%> använt på en icke-boolesk konstant"
 
-#: c-family/c-common.c:1675
+#: c-family/c-common.c:1680
 #, gcc-internal-format
 msgid "logical %<or%> of collectively exhaustive tests is always true"
 msgstr "logiskt %<or%> av tillsammans uttömmande tester är alltid sant"
 
-#: c-family/c-common.c:1679
+#: c-family/c-common.c:1684
 #, gcc-internal-format
 msgid "logical %<and%> of mutually exclusive tests is always false"
 msgstr "logiskt %<and%> mellan ömsesidigt uteslutande tester är alltid falskt"
 
-#: c-family/c-common.c:1811
+#: c-family/c-common.c:1816
 #, gcc-internal-format
 msgid "type-punning to incomplete type might break strict-aliasing rules"
 msgstr "typstampning till ofullständig typ kan bryta strikta aliasregler"
 
-#: c-family/c-common.c:1826
+#: c-family/c-common.c:1831
 #, gcc-internal-format
 msgid "dereferencing type-punned pointer will break strict-aliasing rules"
 msgstr "dereferering av en typstampad pekare kommer bryta strikta aliasregler"
 
-#: c-family/c-common.c:1833 c-family/c-common.c:1851
+#: c-family/c-common.c:1838 c-family/c-common.c:1856
 #, gcc-internal-format
 msgid "dereferencing type-punned pointer might break strict-aliasing rules"
 msgstr "dereferering av en typstampad pekare kan bryta strikta aliasregler"
 
-#: c-family/c-common.c:1985
+#: c-family/c-common.c:1990
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the destination; did you mean to remove the addressof?"
 msgstr "argumentet till %<sizeof%> i %qD-anrop är samma uttryck som destinationen; hade du tänkt att ta bort addressof?"
 
-#: c-family/c-common.c:1992
+#: c-family/c-common.c:1997
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the destination; did you mean to provide an explicit length?"
 msgstr "argumentet till %<sizeof%> i %qD call-anrop är samma uttryck som destinationen; hade du tänkt ange en explicit längd?"
 
-#: c-family/c-common.c:1997
+#: c-family/c-common.c:2002
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the destination; did you mean to dereference it?"
 msgstr "argumentet till %<sizeof%> i %qD-anropet är samma uttryck som destinationen; hade du tänkt dereferera det?"
 
-#: c-family/c-common.c:2009
+#: c-family/c-common.c:2014
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same pointer type %qT as the destination; expected %qT or an explicit length"
 msgstr "argumentet till %<sizeof%> i %qD-anrop är samma pekartyp %qT som destinationen; %qT eller en explicit längd förväntades"
 
-#: c-family/c-common.c:2025
+#: c-family/c-common.c:2030
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the source; did you mean to remove the addressof?"
 msgstr "argumentet till %<sizeof%> i %qD-anrop är samma uttryck som källan; hade du tänkt ta bort addressof?"
 
-#: c-family/c-common.c:2032
+#: c-family/c-common.c:2037
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the source; did you mean to provide an explicit length?"
 msgstr "argumentet till %<sizeof%> i %qD-anrop är samma uttryck som källan; hade du tänkt ange en explicit längd?"
 
-#: c-family/c-common.c:2037
+#: c-family/c-common.c:2042
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the source; did you mean to dereference it?"
 msgstr "argumentet till %<sizeof%> i %qD-anrop är samma uttryck som källan; hade du tänkt dereferera det?"
 
-#: c-family/c-common.c:2049
+#: c-family/c-common.c:2054
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same pointer type %qT as the source; expected %qT or an explicit length"
 msgstr "argumentet till %<sizeof%> i %qD-anrop är samma pekartyp %qT som källan; %qT eller en explicit längd förväntades"
 
-#: c-family/c-common.c:2065
+#: c-family/c-common.c:2070
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the first source; did you mean to remove the addressof?"
 msgstr "argumentet till %<sizeof%> i %qD-anrop är samma uttryck som den första källan; hade du tänkt ta bort addressof?"
 
-#: c-family/c-common.c:2072
+#: c-family/c-common.c:2077
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the first source; did you mean to provide an explicit length?"
 msgstr "argumentet till %<sizeof%> i %qD-anrop är samma uttryck som den första källan; hade du tänkt ange en explicit längd?"
 
-#: c-family/c-common.c:2077
+#: c-family/c-common.c:2082
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the first source; did you mean to dereference it?"
 msgstr "argumentet till %<sizeof%> i %qD-anrop är samma uttryck som den första källan; hade du tänkt dereferera det?"
 
-#: c-family/c-common.c:2089
+#: c-family/c-common.c:2094
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same pointer type %qT as the first source; expected %qT or an explicit length"
 msgstr "argumentet till %<sizeof%> i %qD-anrop är samma pekartyp %qT som den första källan; %qT eller en explicit längd förväntades"
 
-#: c-family/c-common.c:2105
+#: c-family/c-common.c:2110
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the second source; did you mean to remove the addressof?"
 msgstr "argumentet till %<sizeof%> i %qD-anrop är samma uttryck som den andra källan; hade du tänkt ta bort addressof?"
 
-#: c-family/c-common.c:2112
+#: c-family/c-common.c:2117
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the second source; did you mean to provide an explicit length?"
 msgstr "argumentet till %<sizeof%> i %qD-anrop är samma uttryck som den andra källan; hade du tänkt ange en explicit längd?"
 
-#: c-family/c-common.c:2117
+#: c-family/c-common.c:2122
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the second source; did you mean to dereference it?"
 msgstr "argumentet till %<sizeof%> i %qD-anrop är samma uttryck som den andra källan; hade du tänkt dereferera det?"
 
-#: c-family/c-common.c:2129
+#: c-family/c-common.c:2134
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same pointer type %qT as the second source; expected %qT or an explicit length"
 msgstr "argumentet till %<sizeof%> i %qD-anrop är samma pekartyp %qT som den andra källan; %qT eller en explicit längd förväntades"
 
-#: c-family/c-common.c:2161
+#: c-family/c-common.c:2166
 #, gcc-internal-format
 msgid "first argument of %q+D should be %<int%>"
 msgstr "första argumentet till %q+D skall vara %<int%>"
 
-#: c-family/c-common.c:2170
+#: c-family/c-common.c:2175
 #, gcc-internal-format
 msgid "second argument of %q+D should be %<char **%>"
 msgstr "andra argumentet till %q+D skall vara %<char **%>"
 
-#: c-family/c-common.c:2179
+#: c-family/c-common.c:2184
 #, gcc-internal-format
 msgid "third argument of %q+D should probably be %<char **%>"
 msgstr "tredje argumentet till %q+D skall förmodligen vara %<char **%>"
 
-#: c-family/c-common.c:2190
+#: c-family/c-common.c:2195
 #, gcc-internal-format
 msgid "%q+D takes only zero or two arguments"
 msgstr "%q+D tar bara noll eller två argument"
 
-#: c-family/c-common.c:2239
+#: c-family/c-common.c:2244
 #, gcc-internal-format
 msgid "use -flax-vector-conversions to permit conversions between vectors with differing element types or numbers of subparts"
 msgstr "använd -flax-vector-conversions för att tillåta konvertering mellan vektorer med olika elementtyper eller antal underdelar"
 
-#: c-family/c-common.c:2278
+#: c-family/c-common.c:2283
 #, gcc-internal-format
 msgid "__builtin_shuffle last argument must be an integer vector"
 msgstr "sista argumentet till __builtin_shuffle måste vara en heltalsvektor"
 
-#: c-family/c-common.c:2286
+#: c-family/c-common.c:2291
 #, gcc-internal-format
 msgid "__builtin_shuffle arguments must be vectors"
 msgstr "argumenten till __builtin_shuffle måste vara vektorer"
 
-#: c-family/c-common.c:2292
+#: c-family/c-common.c:2297
 #, gcc-internal-format
 msgid "__builtin_shuffle argument vectors must be of the same type"
 msgstr "argumentvektorerna till __builtin_shuffle måste ha samma typ"
 
-#: c-family/c-common.c:2302
+#: c-family/c-common.c:2307
 #, gcc-internal-format
 msgid "__builtin_shuffle number of elements of the argument vector(s) and the mask vector should be the same"
 msgstr "__builtin_shuffle antalet element i argumentvektorn och maskvektorn skall vara samma"
 
-#: c-family/c-common.c:2311
+#: c-family/c-common.c:2316
 #, gcc-internal-format
 msgid "__builtin_shuffle argument vector(s) inner type must have the same size as inner type of the mask"
 msgstr "__builtin_shuffle argumentvektorns inre typ måste ha samma storlek som den inre typen för masken"
 
-#: c-family/c-common.c:2505
+#: c-family/c-common.c:2510
 #, gcc-internal-format
 msgid "negative integer implicitly converted to unsigned type"
 msgstr "negativt heltal implicit konverterat till unsigned typ"
 
-#: c-family/c-common.c:2511
+#: c-family/c-common.c:2516
 #, gcc-internal-format
 msgid "conversion of unsigned constant value to negative integer"
 msgstr "konvertering av teckenlöst konstantvärde till negativt heltal"
 
-#: c-family/c-common.c:2605
+#: c-family/c-common.c:2610
 #, gcc-internal-format
 msgid "conversion to %qT from %qT may change the sign of the result"
 msgstr "konvertering till %qT från %qT kan ändra tecknet på resultatet"
 
-#: c-family/c-common.c:2674
+#: c-family/c-common.c:2679
 #, gcc-internal-format
 msgid "conversion to %qT from boolean expression"
 msgstr "konvertering till %qT från booleskt uttryck"
 
-#: c-family/c-common.c:2681
+#: c-family/c-common.c:2686
 #, gcc-internal-format
 msgid "conversion to %qT alters %qT constant value"
 msgstr "konvertering till %qT ändrar konstant %qT värde"
 
-#: c-family/c-common.c:2700
+#: c-family/c-common.c:2705
 #, gcc-internal-format
 msgid "conversion to %qT from %qT may alter its value"
 msgstr "konvertering till %qT från %qT kan ändra dess värde"
 
-#: c-family/c-common.c:2730
+#: c-family/c-common.c:2735
 #, gcc-internal-format
 msgid "large integer implicitly truncated to unsigned type"
 msgstr "stort heltal implicit trunkerat till unsigned typ"
 
-#: c-family/c-common.c:2736 c-family/c-common.c:2743 c-family/c-common.c:2751
+#: c-family/c-common.c:2741 c-family/c-common.c:2748 c-family/c-common.c:2756
 #, gcc-internal-format
 msgid "overflow in implicit constant conversion"
 msgstr "spill i implicit konstant konvertering"
 
-#: c-family/c-common.c:2923
+#: c-family/c-common.c:2928
 #, gcc-internal-format
 msgid "operation on %qE may be undefined"
 msgstr "operation på %qE kan vara odefinierad"
 
-#: c-family/c-common.c:3234
+#: c-family/c-common.c:3239
 #, gcc-internal-format
 msgid "case label does not reduce to an integer constant"
 msgstr "case-etikett reducerar inte till en heltalskonstant"
 
-#: c-family/c-common.c:3274
+#: c-family/c-common.c:3279
 #, gcc-internal-format
 msgid "case label value is less than minimum value for type"
 msgstr "case-etikettvärde är mindre än minsta värdet för sin typ"
 
-#: c-family/c-common.c:3282
+#: c-family/c-common.c:3287
 #, gcc-internal-format
 msgid "case label value exceeds maximum value for type"
 msgstr "case-etikettvärde överskrider det maximala värdet för sin typ"
 
-#: c-family/c-common.c:3290
+#: c-family/c-common.c:3295
 #, gcc-internal-format
 msgid "lower value in case label range less than minimum value for type"
 msgstr "undre gräns i case-etikettintervall underskrider minsta värdet för sin typ"
 
-#: c-family/c-common.c:3299
+#: c-family/c-common.c:3304
 #, gcc-internal-format
 msgid "upper value in case label range exceeds maximum value for type"
 msgstr "övre gräns i case-etikettintervall överskrider maximala värdet för sin typ"
 
-#: c-family/c-common.c:3378
+#: c-family/c-common.c:3383
 #, gcc-internal-format
 msgid "GCC cannot support operators with integer types and fixed-point types that have too many integral and fractional bits together"
 msgstr "GCC kan inte stödja operatorer med heltalstyper och fixdecimaltyper som har för många heltals- och decimalbitar tillsammans"
 
-#: c-family/c-common.c:3881
+#: c-family/c-common.c:3886
 #, gcc-internal-format
 msgid "invalid operands to binary %s (have %qT and %qT)"
 msgstr "ogiltiga operander till binär %s (har %qT och %qT)"
 
-#: c-family/c-common.c:4142
+#: c-family/c-common.c:4147
 #, gcc-internal-format
 msgid "comparison is always false due to limited range of data type"
 msgstr "jämförelsen är alltid falsk på grund av begränsat intervall för datatypen"
 
-#: c-family/c-common.c:4145
+#: c-family/c-common.c:4150
 #, gcc-internal-format
 msgid "comparison is always true due to limited range of data type"
 msgstr "jämförelsen är alltid sann på grund av begränsat intervall för datatypen"
 
-#: c-family/c-common.c:4230
+#: c-family/c-common.c:4235
 #, gcc-internal-format
 msgid "comparison of unsigned expression >= 0 is always true"
 msgstr "jämförelse med unsigned-uttryck >= 0 är alltid sant"
 
-#: c-family/c-common.c:4237
+#: c-family/c-common.c:4242
 #, gcc-internal-format
 msgid "comparison of unsigned expression < 0 is always false"
 msgstr "jämförelse med unsigned-uttryck < 0 är alltid falskt"
 
-#: c-family/c-common.c:4279
+#: c-family/c-common.c:4284
 #, gcc-internal-format
 msgid "pointer of type %<void *%> used in arithmetic"
 msgstr "pekare av typen %<void *%> använd i aritmetik"
 
-#: c-family/c-common.c:4285
+#: c-family/c-common.c:4290
 #, gcc-internal-format
 msgid "pointer to a function used in arithmetic"
 msgstr "pekare till funktion använd i aritmetik"
 
-#: c-family/c-common.c:4291
+#: c-family/c-common.c:4296
 #, gcc-internal-format
 msgid "pointer to member function used in arithmetic"
 msgstr "pekare till medlemsfunktion använd i aritmetik"
 
-#: c-family/c-common.c:4503
+#: c-family/c-common.c:4508
 #, gcc-internal-format
 msgid "the address of %qD will always evaluate as %<true%>"
 msgstr "adressen till %qD kommer alltid beräknas till %<true%>"
 
-#: c-family/c-common.c:4598 cp/semantics.c:592 cp/typeck.c:7906
+#: c-family/c-common.c:4603 cp/semantics.c:592 cp/typeck.c:7906
 #, gcc-internal-format
 msgid "suggest parentheses around assignment used as truth value"
 msgstr "föreslår parenteser runt tilldelning som används som sanningsvärde"
 
-#: c-family/c-common.c:4677 c/c-decl.c:3686 c/c-typeck.c:10883
+#: c-family/c-common.c:4682 c/c-decl.c:3686 c/c-typeck.c:10883
 #, gcc-internal-format
 msgid "invalid use of %<restrict%>"
 msgstr "ogiltigt användning av %<restrict%>"
 
-#: c-family/c-common.c:4870
+#: c-family/c-common.c:4875
 #, gcc-internal-format
 msgid "invalid application of %<sizeof%> to a function type"
 msgstr "ogiltig användning av %<sizeof%> på en funktionstyp"
 
-#: c-family/c-common.c:4880
+#: c-family/c-common.c:4885
 #, gcc-internal-format
 msgid "ISO C++ does not permit %<alignof%> applied to a function type"
 msgstr "ISO C++ tillåter inte %<alignof%> använt på en funktionstyp"
 
-#: c-family/c-common.c:4883
+#: c-family/c-common.c:4888
 #, gcc-internal-format
 msgid "ISO C does not permit %<_Alignof%> applied to a function type"
 msgstr "ISO C tillåter inte %<_Alignof%> använt på en funktionstyp"
 
-#: c-family/c-common.c:4894
+#: c-family/c-common.c:4899
 #, gcc-internal-format
 msgid "invalid application of %qs to a void type"
 msgstr "ogiltig användning av %qs på en void-typ"
 
-#: c-family/c-common.c:4903
+#: c-family/c-common.c:4908
 #, gcc-internal-format
 msgid "invalid application of %qs to incomplete type %qT"
 msgstr "ogiltig tillämpning av %qs på ofullständig typ %qT"
 
-#: c-family/c-common.c:4911
+#: c-family/c-common.c:4916
 #, gcc-internal-format
 msgid "invalid application of %qs to array type %qT of incomplete element type"
 msgstr "ogiltig tillämpning av %qs på vektortypen %qT med ofullständig elementtyp"
 
-#: c-family/c-common.c:4951
+#: c-family/c-common.c:4956
 #, gcc-internal-format
 msgid "%<__alignof%> applied to a bit-field"
 msgstr "%<__alignof%> tillämpad på ett bitfält"
 
-#: c-family/c-common.c:5664
+#: c-family/c-common.c:5669
 #, gcc-internal-format
 msgid "cannot disable built-in function %qs"
 msgstr "det går inte att avaktivera den inbyggda funktionen %qs"
 
-#: c-family/c-common.c:5855
+#: c-family/c-common.c:5860
 #, gcc-internal-format
 msgid "pointers are not permitted as case values"
 msgstr "pekare är inte tillåtna case-värden"
 
-#: c-family/c-common.c:5862
+#: c-family/c-common.c:5867
 #, gcc-internal-format
 msgid "range expressions in switch statements are non-standard"
 msgstr "intervalluttryck i switch-satser följer inte standarden"
 
-#: c-family/c-common.c:5888
+#: c-family/c-common.c:5893
 #, gcc-internal-format
 msgid "empty range specified"
 msgstr "tomt intervall angivet"
 
-#: c-family/c-common.c:5948
+#: c-family/c-common.c:5953
 #, gcc-internal-format
 msgid "duplicate (or overlapping) case value"
 msgstr "dubbla (eller överlappande) case-värden"
 
-#: c-family/c-common.c:5950
+#: c-family/c-common.c:5955
 #, gcc-internal-format
 msgid "this is the first entry overlapping that value"
 msgstr "detta är det första fallet som överlappar det värdet"
 
-#: c-family/c-common.c:5954
+#: c-family/c-common.c:5959
 #, gcc-internal-format
 msgid "duplicate case value"
 msgstr "upprepat case-värde"
 
-#: c-family/c-common.c:5955
+#: c-family/c-common.c:5960
 #, gcc-internal-format
 msgid "previously used here"
 msgstr "tidigare använt här"
 
-#: c-family/c-common.c:5959
+#: c-family/c-common.c:5964
 #, gcc-internal-format
 msgid "multiple default labels in one switch"
 msgstr "flera default-etiketter i en switch"
 
-#: c-family/c-common.c:5961
+#: c-family/c-common.c:5966
 #, gcc-internal-format
 msgid "this is the first default label"
 msgstr "detta är den första default-etiketten"
 
-#: c-family/c-common.c:6013
+#: c-family/c-common.c:6018
 #, gcc-internal-format
 msgid "case value %qs not in enumerated type"
 msgstr "case-värde %qs är inte i en uppräkningstyp"
 
-#: c-family/c-common.c:6018
+#: c-family/c-common.c:6023
 #, gcc-internal-format
 msgid "case value %qs not in enumerated type %qT"
 msgstr "case-värde %qs är inte i uppräkningstypen %qT"
 
-#: c-family/c-common.c:6077
+#: c-family/c-common.c:6082
 #, gcc-internal-format
 msgid "switch missing default case"
 msgstr "switch saknar default-fall"
 
-#: c-family/c-common.c:6149
+#: c-family/c-common.c:6154
 #, gcc-internal-format
 msgid "enumeration value %qE not handled in switch"
 msgstr "uppräkningsvärdet %qE hanteras inte i switch"
 
-#: c-family/c-common.c:6175
+#: c-family/c-common.c:6180
 #, gcc-internal-format
 msgid "taking the address of a label is non-standard"
 msgstr "att ta adressen av en etikett följer inte standarden"
 
-#: c-family/c-common.c:6369
+#: c-family/c-common.c:6374
 #, gcc-internal-format
 msgid "%qE attribute ignored for field of type %qT"
 msgstr "attributet %qE ignorerat för fält av typen %qT"
 
-#: c-family/c-common.c:6464 c-family/c-common.c:6492
+#: c-family/c-common.c:6469 c-family/c-common.c:6497
 #, gcc-internal-format
 msgid "%qE attribute conflicts with attribute %s"
 msgstr "attributet %qE står i konflikt attributet %s"
 
-#: c-family/c-common.c:6622 lto/lto-lang.c:227
+#: c-family/c-common.c:6644 lto/lto-lang.c:227
 #, gcc-internal-format
 msgid "%qE attribute has no effect on unit local functions"
 msgstr "attributet %qE har ingen effekt på enhetslokala funktioner"
 
-#: c-family/c-common.c:6776
+#: c-family/c-common.c:6798
 #, gcc-internal-format
 msgid "%qE attribute have effect only on public objects"
 msgstr "attributet %qE har bara effekt på publika objekt"
 
-#: c-family/c-common.c:6890
+#: c-family/c-common.c:6912
 #, gcc-internal-format
 msgid "destructor priorities are not supported"
 msgstr "destruerarprioriteter stödjs ej"
 
-#: c-family/c-common.c:6892
+#: c-family/c-common.c:6914
 #, gcc-internal-format
 msgid "constructor priorities are not supported"
 msgstr "konstruerarprioriteter stödjs ej"
 
-#: c-family/c-common.c:6910
+#: c-family/c-common.c:6932
 #, gcc-internal-format, gfc-internal-format
 msgid "destructor priorities from 0 to %d are reserved for the implementation"
 msgstr "destruerarprioriteter från 0 till %d är reserverade för implementationen"
 
-#: c-family/c-common.c:6915
+#: c-family/c-common.c:6937
 #, gcc-internal-format, gfc-internal-format
 msgid "constructor priorities from 0 to %d are reserved for the implementation"
 msgstr "konstruerarprioriteter från 0 till %d är reserverade för implementationen"
 
-#: c-family/c-common.c:6923
+#: c-family/c-common.c:6945
 #, gcc-internal-format, gfc-internal-format
 msgid "destructor priorities must be integers from 0 to %d inclusive"
 msgstr "destruerarprioriteter måste vara heltal från 0 till och med %d"
 
-#: c-family/c-common.c:6926
+#: c-family/c-common.c:6948
 #, gcc-internal-format, gfc-internal-format
 msgid "constructor priorities must be integers from 0 to %d inclusive"
 msgstr "konstruerarprioriteter måste vara heltal från 0 till och med %d"
 
-#: c-family/c-common.c:7082
+#: c-family/c-common.c:7104
 #, gcc-internal-format
 msgid "unknown machine mode %qE"
 msgstr "okänt maskinläge %qE"
 
-#: c-family/c-common.c:7111
+#: c-family/c-common.c:7133
 #, gcc-internal-format
 msgid "specifying vector types with __attribute__ ((mode)) is deprecated"
 msgstr "att ange vektortyper med __attribute__ ((sätt)) bör undvikas"
 
-#: c-family/c-common.c:7114
+#: c-family/c-common.c:7136
 #, gcc-internal-format
 msgid "use __attribute__ ((vector_size)) instead"
 msgstr "använd __attribute__ ((vector_size)) istället"
 
-#: c-family/c-common.c:7123
+#: c-family/c-common.c:7145
 #, gcc-internal-format
 msgid "unable to emulate %qs"
 msgstr "kan inte emulera %qs"
 
-#: c-family/c-common.c:7134
+#: c-family/c-common.c:7156
 #, gcc-internal-format
 msgid "invalid pointer mode %qs"
 msgstr "ogiltigt pekarläge %qs"
 
-#: c-family/c-common.c:7151
+#: c-family/c-common.c:7173
 #, gcc-internal-format
 msgid "signedness of type and machine mode %qs don%'t match"
 msgstr "tecken på typ och maskinläge %qs passar inte ihop"
 
-#: c-family/c-common.c:7162
+#: c-family/c-common.c:7184
 #, gcc-internal-format
 msgid "no data type for mode %qs"
 msgstr "ingen datatyp för läge %qs"
 
-#: c-family/c-common.c:7172
+#: c-family/c-common.c:7194
 #, gcc-internal-format
 msgid "cannot use mode %qs for enumeral types"
 msgstr "kan inte använda läge %qs för uppräkningstyper"
 
-#: c-family/c-common.c:7199
+#: c-family/c-common.c:7221
 #, gcc-internal-format
 msgid "mode %qs applied to inappropriate type"
 msgstr "läge %qs applicerat på olämplig typ"
 
-#: c-family/c-common.c:7231
+#: c-family/c-common.c:7253
 #, gcc-internal-format
 msgid "section attribute cannot be specified for local variables"
 msgstr "attributet ”section” kan inte anges för lokala variabler"
 
-#: c-family/c-common.c:7242 config/bfin/bfin.c:4737 config/bfin/bfin.c:4788
+#: c-family/c-common.c:7264 config/bfin/bfin.c:4737 config/bfin/bfin.c:4788
 #: config/bfin/bfin.c:4815 config/bfin/bfin.c:4828
 #, gcc-internal-format
 msgid "section of %q+D conflicts with previous declaration"
 msgstr "sektion %q+D står i konflikt med tidigare deklaration"
 
-#: c-family/c-common.c:7250
+#: c-family/c-common.c:7272
 #, gcc-internal-format
 msgid "section of %q+D cannot be overridden"
 msgstr "sektion i %q+D kan inte åsidosättas"
 
-#: c-family/c-common.c:7258
+#: c-family/c-common.c:7280
 #, gcc-internal-format
 msgid "section attribute not allowed for %q+D"
 msgstr "attributet ”section” är inte tillåten för %q+D"
 
-#: c-family/c-common.c:7265
+#: c-family/c-common.c:7287
 #, gcc-internal-format
 msgid "section attributes are not supported for this target"
 msgstr "attributet ”section” stödjs inte för denna målarkitektur"
 
-#: c-family/c-common.c:7284
+#: c-family/c-common.c:7306
 #, gcc-internal-format
 msgid "requested alignment is not an integer constant"
 msgstr "begärd minnesjustering är inte en heltalskonstant"
 
-#: c-family/c-common.c:7291
+#: c-family/c-common.c:7313
 #, gcc-internal-format
 msgid "requested alignment is not a power of 2"
 msgstr "begärd minnesjustering är inte en potens av 2"
 
-#: c-family/c-common.c:7296
+#: c-family/c-common.c:7318
 #, gcc-internal-format
 msgid "requested alignment is too large"
 msgstr "begärd minnesjustering är för stor"
 
-#: c-family/c-common.c:7379
+#: c-family/c-common.c:7401
 #, gcc-internal-format, gfc-internal-format
 msgid "requested alignment %d is larger than %d"
 msgstr "begärd minnesjustering %d är större än %d"
 
-#: c-family/c-common.c:7436
+#: c-family/c-common.c:7458
 #, gcc-internal-format
 msgid "alignment may not be specified for %q+D"
 msgstr "minnesjustering kan inte anges för %q+D"
 
-#: c-family/c-common.c:7454
+#: c-family/c-common.c:7476
 #, gcc-internal-format
 msgid "alignment for %q+D was previously specified as %d and may not be decreased"
 msgstr "justering för %q+D angavs tidigare som %d och får inte minska"
 
-#: c-family/c-common.c:7458
+#: c-family/c-common.c:7480
 #, gcc-internal-format
 msgid "alignment for %q+D must be at least %d"
 msgstr "justering för %q+D måste vara åtminstone %d"
 
-#: c-family/c-common.c:7483
+#: c-family/c-common.c:7505
 #, gcc-internal-format
 msgid "inline function %q+D declared weak"
 msgstr "inline-funktionen %q+D deklarerad svag"
 
-#: c-family/c-common.c:7488
+#: c-family/c-common.c:7510
 #, gcc-internal-format
 msgid "indirect function %q+D cannot be declared weak"
 msgstr "indirekt funktion %q+D kan inte deklareras svag"
 
-#: c-family/c-common.c:7525
+#: c-family/c-common.c:7547
 #, gcc-internal-format
 msgid "%q+D defined both normally and as %qE attribute"
 msgstr "%q+D är definierad både normalt och som ett attribut %qE"
 
-#: c-family/c-common.c:7533
+#: c-family/c-common.c:7555
 #, gcc-internal-format
 msgid "weak %q+D cannot be defined %qE"
 msgstr "svag %q+D kan inte definieras %qE"
 
-#: c-family/c-common.c:7550
+#: c-family/c-common.c:7572
 #, gcc-internal-format
 msgid "attribute %qE argument not a string"
 msgstr "argument till attribut %qE är inte en sträng"
 
-#: c-family/c-common.c:7626
+#: c-family/c-common.c:7648
 #, gcc-internal-format
 msgid "indirect function %q+D cannot be declared weakref"
 msgstr "indirekt funktion %q+D kan inte deklareras weakref"
 
-#: c-family/c-common.c:7648
+#: c-family/c-common.c:7670
 #, gcc-internal-format
 msgid "weakref attribute must appear before alias attribute"
 msgstr "attributet weakref måste vara före attributet alias"
 
-#: c-family/c-common.c:7677
+#: c-family/c-common.c:7699
 #, gcc-internal-format
 msgid "%qE attribute ignored on non-class types"
 msgstr "attributet %qE ignorerat typer som inte är klasser"
 
-#: c-family/c-common.c:7683
+#: c-family/c-common.c:7705
 #, gcc-internal-format
 msgid "%qE attribute ignored because %qT is already defined"
 msgstr "attributet %qE ignorerat för att %qT redan är definierat"
 
-#: c-family/c-common.c:7696
+#: c-family/c-common.c:7718
 #, gcc-internal-format
 msgid "visibility argument not a string"
 msgstr "synlighetsargumentet är inte en sträng"
 
-#: c-family/c-common.c:7708
+#: c-family/c-common.c:7730
 #, gcc-internal-format
 msgid "%qE attribute ignored on types"
 msgstr "attributet %qE ignorerat för typer"
 
-#: c-family/c-common.c:7724
+#: c-family/c-common.c:7746
 #, gcc-internal-format
 msgid "visibility argument must be one of \"default\", \"hidden\", \"protected\" or \"internal\""
 msgstr "visibility-argument måste vara ett av ”default”, ”hidden”, ”protected” eller ”internal”"
 
-#: c-family/c-common.c:7735
+#: c-family/c-common.c:7757
 #, gcc-internal-format
 msgid "%qD redeclared with different visibility"
 msgstr "%qD omdeklarerad med annan synlighet"
 
-#: c-family/c-common.c:7738 c-family/c-common.c:7742
+#: c-family/c-common.c:7760 c-family/c-common.c:7764
 #, gcc-internal-format
 msgid "%qD was declared %qs which implies default visibility"
 msgstr "%qD deklarerades %qs vilket medför standardsynlighet"
 
-#: c-family/c-common.c:7826
+#: c-family/c-common.c:7848
 #, gcc-internal-format
 msgid "tls_model argument not a string"
 msgstr "tls_model-argument är inte en sträng"
 
-#: c-family/c-common.c:7839
+#: c-family/c-common.c:7861
 #, gcc-internal-format
 msgid "tls_model argument must be one of \"local-exec\", \"initial-exec\", \"local-dynamic\" or \"global-dynamic\""
 msgstr "tls_model-argument måste vara ett av ”local-exec”, ”initial-exec”, ”local-dynamic” eller ”global-dynamic”"
 
-#: c-family/c-common.c:7859 c-family/c-common.c:7965 c-family/c-common.c:8950
+#: c-family/c-common.c:7881 c-family/c-common.c:7987 c-family/c-common.c:8970
 #: config/m32c/m32c.c:2926
 #, gcc-internal-format
 msgid "%qE attribute applies only to functions"
 msgstr "attributet %qE är bara tillämpligt på funktioner"
 
-#: c-family/c-common.c:7865 c-family/c-common.c:7971 c-family/c-common.c:8956
+#: c-family/c-common.c:7887 c-family/c-common.c:7993 c-family/c-common.c:8976
 #, gcc-internal-format
 msgid "can%'t set %qE attribute after definition"
 msgstr "kan inte sätta attributet %qE efter definitionen"
 
-#: c-family/c-common.c:7911
+#: c-family/c-common.c:7933
 #, gcc-internal-format
 msgid "alloc_size parameter outside range"
 msgstr "alloc_size-parameter utanför giltigt intervall"
 
-#: c-family/c-common.c:8029
+#: c-family/c-common.c:8051
 #, gcc-internal-format
 msgid "%qE attribute duplicated"
 msgstr "attributet %qE dubblerat"
 
-#: c-family/c-common.c:8031
+#: c-family/c-common.c:8053
 #, gcc-internal-format
 msgid "%qE attribute follows %qE"
 msgstr "attributet %qE följer %qE"
 
-#: c-family/c-common.c:8130
+#: c-family/c-common.c:8152
 #, gcc-internal-format
 msgid "type was previously declared %qE"
 msgstr "typen var tidigare deklarerad %qE"
 
-#: c-family/c-common.c:8183
+#: c-family/c-common.c:8205
 #, gcc-internal-format
 msgid "%qE argument not an identifier"
 msgstr "argument till %qE är inte en identifierare"
 
-#: c-family/c-common.c:8194
+#: c-family/c-common.c:8216
 #, gcc-internal-format
 msgid "%qD is not compatible with %qD"
 msgstr "%qD är inte kompatibel med %qD"
 
-#: c-family/c-common.c:8197
+#: c-family/c-common.c:8219
 #, gcc-internal-format
 msgid "transaction_wrap argument is not a function"
 msgstr "argumentet till transaction_wrap är inte en funktion"
 
-#: c-family/c-common.c:8245
+#: c-family/c-common.c:8267
 #, gcc-internal-format
 msgid "deprecated message is not a string"
 msgstr "deprecated-meddelande är inte en sträng"
 
-#: c-family/c-common.c:8286
+#: c-family/c-common.c:8308
 #, gcc-internal-format
 msgid "%qE attribute ignored for %qE"
 msgstr "attributet %qE ignorerat för %qE"
 
-#: c-family/c-common.c:8346
+#: c-family/c-common.c:8368
 #, gcc-internal-format
 msgid "invalid vector type for attribute %qE"
 msgstr "ogiltig vektortyp för attributet %qE"
 
-#: c-family/c-common.c:8352 ada/gcc-interface/utils.c:6307
+#: c-family/c-common.c:8374 ada/gcc-interface/utils.c:6307
 #: ada/gcc-interface/utils.c:6401
 #, gcc-internal-format
 msgid "vector size not an integral multiple of component size"
 msgstr "vektorstorleken är inte en hel multipel av komponentstorleken"
 
-#: c-family/c-common.c:8358 ada/gcc-interface/utils.c:6313
+#: c-family/c-common.c:8380 ada/gcc-interface/utils.c:6313
 #: ada/gcc-interface/utils.c:6407
 #, gcc-internal-format
 msgid "zero vector size"
 msgstr "vektorstorlek noll"
 
-#: c-family/c-common.c:8366 ada/gcc-interface/utils.c:6321
+#: c-family/c-common.c:8388 ada/gcc-interface/utils.c:6321
 #: ada/gcc-interface/utils.c:6414
 #, gcc-internal-format
 msgid "number of components of the vector not a power of two"
 msgstr "antal komponenter i vektorn inte en tvåpotens"
 
-#: c-family/c-common.c:8394 ada/gcc-interface/utils.c:6048
+#: c-family/c-common.c:8416 ada/gcc-interface/utils.c:6048
 #, gcc-internal-format
 msgid "nonnull attribute without arguments on a non-prototype"
 msgstr "attributet nonnull utan argument på en icke-prototyp"
 
-#: c-family/c-common.c:8408 ada/gcc-interface/utils.c:6062
+#: c-family/c-common.c:8430 ada/gcc-interface/utils.c:6062
 #, gcc-internal-format, gfc-internal-format
 msgid "nonnull argument has invalid operand number (argument %lu)"
 msgstr "argument till nonnull har ett ogiltigt värde (argument %lu)"
 
-#: c-family/c-common.c:8430 ada/gcc-interface/utils.c:6084
+#: c-family/c-common.c:8452 ada/gcc-interface/utils.c:6084
 #, gcc-internal-format, gfc-internal-format
 msgid "nonnull argument with out-of-range operand number (argument %lu, operand %lu)"
 msgstr "nonnull-argument med felaktigt operandnummer (argument %lu, operand %lu)"
 
-#: c-family/c-common.c:8438 ada/gcc-interface/utils.c:6093
+#: c-family/c-common.c:8460 ada/gcc-interface/utils.c:6093
 #, gcc-internal-format, gfc-internal-format
 msgid "nonnull argument references non-pointer operand (argument %lu, operand %lu)"
 msgstr "nonnull-argument refererar icke-pekar-operand (argument %lu, operand %lu)"
 
-#: c-family/c-common.c:8533
+#: c-family/c-common.c:8555
 #, gcc-internal-format
 msgid "not enough variable arguments to fit a sentinel"
 msgstr "inte tillräckligt med variabla argument för att få plats med en vaktpost"
 
-#: c-family/c-common.c:8547
+#: c-family/c-common.c:8569
 #, gcc-internal-format
 msgid "missing sentinel in function call"
 msgstr "vaktpost saknas i funktionsanrop"
 
-#: c-family/c-common.c:8588
+#: c-family/c-common.c:8610
 #, gcc-internal-format, gfc-internal-format
 msgid "null argument where non-null required (argument %lu)"
 msgstr "noll-argument där icke-noll krävs (argument %lu)"
 
-#: c-family/c-common.c:8653
+#: c-family/c-common.c:8675
 #, gcc-internal-format
 msgid "cleanup argument not an identifier"
 msgstr "argumentet till cleanup är inte en identifierare"
 
-#: c-family/c-common.c:8660
+#: c-family/c-common.c:8682
 #, gcc-internal-format
 msgid "cleanup argument not a function"
 msgstr "argumentet till cleanup är inte en funktion"
 
-#: c-family/c-common.c:8697
+#: c-family/c-common.c:8719
 #, gcc-internal-format
 msgid "%qE attribute requires prototypes with named arguments"
 msgstr "attributet %qE kräver prototyper med namngivna argument"
 
-#: c-family/c-common.c:8705
+#: c-family/c-common.c:8727
 #, gcc-internal-format
 msgid "%qE attribute only applies to variadic functions"
 msgstr "attributet %qE är bara tillämplig på funktioner med variabelt antal argument"
 
-#: c-family/c-common.c:8717 ada/gcc-interface/utils.c:6135
+#: c-family/c-common.c:8739 ada/gcc-interface/utils.c:6135
 #, gcc-internal-format
 msgid "requested position is not an integer constant"
 msgstr "den begärda positionen är inte en heltalskonstant"
 
-#: c-family/c-common.c:8725 ada/gcc-interface/utils.c:6142
+#: c-family/c-common.c:8747 ada/gcc-interface/utils.c:6142
 #, gcc-internal-format
 msgid "requested position is less than zero"
 msgstr "begärd position är mindre än noll"
 
-#: c-family/c-common.c:8843
+#: c-family/c-common.c:8865
 #, gcc-internal-format, gfc-internal-format
 msgid "bad option %s to optimize attribute"
 msgstr "felaktig flagga %s till optimize-attribut"
 
-#: c-family/c-common.c:8846
+#: c-family/c-common.c:8868
 #, gcc-internal-format, gfc-internal-format
 msgid "bad option %s to pragma attribute"
 msgstr "felaktig flagga %s till pragma-attribut"
 
-#: c-family/c-common.c:9075
+#: c-family/c-common.c:9095
 #, gcc-internal-format
 msgid "not enough arguments to function %qE"
 msgstr "inte tillräckligt med argument till funktionen %qE"
 
-#: c-family/c-common.c:9081 c-family/c-common.c:10007 c/c-typeck.c:2954
+#: c-family/c-common.c:9101 c-family/c-common.c:10027 c/c-typeck.c:2954
 #, gcc-internal-format
 msgid "too many arguments to function %qE"
 msgstr "för många argument till funktionen %qE"
 
-#: c-family/c-common.c:9111 c-family/c-common.c:9157
+#: c-family/c-common.c:9131 c-family/c-common.c:9177
 #, gcc-internal-format
 msgid "non-floating-point argument in call to function %qE"
 msgstr "argument som inte är flyttal i anrop till funktionen %qE"
 
-#: c-family/c-common.c:9134
+#: c-family/c-common.c:9154
 #, gcc-internal-format
 msgid "non-floating-point arguments in call to function %qE"
 msgstr "argument som inte är flyttal i anrop till funktionen %qE"
 
-#: c-family/c-common.c:9150
+#: c-family/c-common.c:9170
 #, gcc-internal-format
 msgid "non-const integer argument %u in call to function %qE"
 msgstr "heltalsargument %u som inte är konstant i anrop till funktionen %qE"
 
-#: c-family/c-common.c:9170
+#: c-family/c-common.c:9190
 #, gcc-internal-format
 msgid "non-integer argument 3 in call to function %qE"
 msgstr "argument 3 som inte är ett heltal i anrop till funktionen %qE"
 
-#: c-family/c-common.c:9496
+#: c-family/c-common.c:9516
 #, gcc-internal-format
 msgid "cannot apply %<offsetof%> to static data member %qD"
 msgstr "det går inte att använda %<offsetof%> på en statisk datamedlem %qD"
 
-#: c-family/c-common.c:9501
+#: c-family/c-common.c:9521
 #, gcc-internal-format
 msgid "cannot apply %<offsetof%> when %<operator[]%> is overloaded"
 msgstr "går inte att applicera %<offsetof%> när %<operator[]%> är överlagrad"
 
-#: c-family/c-common.c:9508
+#: c-family/c-common.c:9528
 #, gcc-internal-format
 msgid "cannot apply %<offsetof%> to a non constant address"
 msgstr "det går inte att använda %<offsetof%> på en icke-konstant adress"
 
-#: c-family/c-common.c:9521 cp/typeck.c:5289
+#: c-family/c-common.c:9541 cp/typeck.c:5289
 #, gcc-internal-format
 msgid "attempt to take address of bit-field structure member %qD"
 msgstr "försök att ta adressen till en medlemmen %qD i en bitfältspost"
 
-#: c-family/c-common.c:9573
+#: c-family/c-common.c:9593
 #, gcc-internal-format
 msgid "index %E denotes an offset greater than size of %qT"
 msgstr "index %E anger ett avstånd större än storleken på %qT"
 
-#: c-family/c-common.c:9613
+#: c-family/c-common.c:9633
 #, gcc-internal-format
 msgid "the omitted middle operand in ?: will always be %<true%>, suggest explicit middle operand"
 msgstr "de utelämnade mittoperanden i ?: kommer alltid att vara %<true%>, föreslår explicit mittoperand"
 
-#: c-family/c-common.c:9634
+#: c-family/c-common.c:9654
 #, gcc-internal-format
 msgid "assignment of member %qD in read-only object"
 msgstr "tilldelning av medlem %qD i endast läsbart objekt"
 
-#: c-family/c-common.c:9636
+#: c-family/c-common.c:9656
 #, gcc-internal-format
 msgid "increment of member %qD in read-only object"
 msgstr "ökning av medlem %qD i endast läsbart objekt"
 
-#: c-family/c-common.c:9638
+#: c-family/c-common.c:9658
 #, gcc-internal-format
 msgid "decrement of member %qD in read-only object"
 msgstr "minskning av medlem %qD i endast läsbart objekt"
 
-#: c-family/c-common.c:9640
+#: c-family/c-common.c:9660
 #, gcc-internal-format
 msgid "member %qD in read-only object used as %<asm%> output"
 msgstr "medlem %qD i endast läsbart objekt använt som %<asm%>-utdata"
 
-#: c-family/c-common.c:9644
+#: c-family/c-common.c:9664
 #, gcc-internal-format
 msgid "assignment of read-only member %qD"
 msgstr "tilldelning till endast läsbar medlem %qD"
 
-#: c-family/c-common.c:9645
+#: c-family/c-common.c:9665
 #, gcc-internal-format
 msgid "increment of read-only member %qD"
 msgstr "ökning av endast läsbar medlem %qD"
 
-#: c-family/c-common.c:9646
+#: c-family/c-common.c:9666
 #, gcc-internal-format
 msgid "decrement of read-only member %qD"
 msgstr "minskning av endast läsbar medlem %qD"
 
-#: c-family/c-common.c:9647
+#: c-family/c-common.c:9667
 #, gcc-internal-format
 msgid "read-only member %qD used as %<asm%> output"
 msgstr "endast läsbar medlem %qD använd som %<asm%>-utdata"
 
-#: c-family/c-common.c:9651
+#: c-family/c-common.c:9671
 #, gcc-internal-format
 msgid "assignment of read-only variable %qD"
 msgstr "tilldelning till endast läsbar variabel %qD"
 
-#: c-family/c-common.c:9652
+#: c-family/c-common.c:9672
 #, gcc-internal-format
 msgid "increment of read-only variable %qD"
 msgstr "ökning av endast läsbar variabel %qD"
 
-#: c-family/c-common.c:9653
+#: c-family/c-common.c:9673
 #, gcc-internal-format
 msgid "decrement of read-only variable %qD"
 msgstr "minskning av endast läsbar variabel %qD"
 
-#: c-family/c-common.c:9654
+#: c-family/c-common.c:9674
 #, gcc-internal-format
 msgid "read-only variable %qD used as %<asm%> output"
 msgstr "endast läsbar variabel %qD använd som %<asm%>-utdata"
 
-#: c-family/c-common.c:9657
+#: c-family/c-common.c:9677
 #, gcc-internal-format
 msgid "assignment of read-only parameter %qD"
 msgstr "tilldelning till endast läsbar parameter %qD"
 
-#: c-family/c-common.c:9658
+#: c-family/c-common.c:9678
 #, gcc-internal-format
 msgid "increment of read-only parameter %qD"
 msgstr "ökning av endast läsbar parameter %qD"
 
-#: c-family/c-common.c:9659
+#: c-family/c-common.c:9679
 #, gcc-internal-format
 msgid "decrement of read-only parameter %qD"
 msgstr "minskning av endast läsbar parameter %qD"
 
-#: c-family/c-common.c:9660
+#: c-family/c-common.c:9680
 #, gcc-internal-format
 msgid "read-only parameter %qD use as %<asm%> output"
 msgstr "endast läsbar parameter %qD använd som %<asm%>-utdata"
 
-#: c-family/c-common.c:9665
+#: c-family/c-common.c:9685
 #, gcc-internal-format
 msgid "assignment of read-only named return value %qD"
 msgstr "tilldelning av endast läsbart namngivet returvärde %qD"
 
-#: c-family/c-common.c:9667
+#: c-family/c-common.c:9687
 #, gcc-internal-format
 msgid "increment of read-only named return value %qD"
 msgstr "ökning av endast läsbart namngivet returvärde %qD"
 
-#: c-family/c-common.c:9669
+#: c-family/c-common.c:9689
 #, gcc-internal-format
 msgid "decrement of read-only named return value %qD"
 msgstr "minskning av endast läsbart namngivet returvärde %qD"
 
-#: c-family/c-common.c:9671
+#: c-family/c-common.c:9691
 #, gcc-internal-format
 msgid "read-only named return value %qD used as %<asm%>output"
 msgstr "endast läsbar namngiven returvariabel %qD använd som %<asm%>-utdata"
 
-#: c-family/c-common.c:9676
+#: c-family/c-common.c:9696
 #, gcc-internal-format
 msgid "assignment of function %qD"
 msgstr "tilldelning av funktion %qD"
 
-#: c-family/c-common.c:9677
+#: c-family/c-common.c:9697
 #, gcc-internal-format
 msgid "increment of function %qD"
 msgstr "ökning av funktion %qD"
 
-#: c-family/c-common.c:9678
+#: c-family/c-common.c:9698
 #, gcc-internal-format
 msgid "decrement of function %qD"
 msgstr "minskning av funktion %qD"
 
-#: c-family/c-common.c:9679
+#: c-family/c-common.c:9699
 #, gcc-internal-format
 msgid "function %qD used as %<asm%> output"
 msgstr "funktionen %qD använd som %<asm%>-utdata"
 
-#: c-family/c-common.c:9682 c/c-typeck.c:3902
+#: c-family/c-common.c:9702 c/c-typeck.c:3902
 #, gcc-internal-format
 msgid "assignment of read-only location %qE"
 msgstr "tilldelning till endast läsbar plats %qE"
 
-#: c-family/c-common.c:9683 c/c-typeck.c:3905
+#: c-family/c-common.c:9703 c/c-typeck.c:3905
 #, gcc-internal-format
 msgid "increment of read-only location %qE"
 msgstr "ökning av endast läsbar plats %qE"
 
-#: c-family/c-common.c:9684 c/c-typeck.c:3908
+#: c-family/c-common.c:9704 c/c-typeck.c:3908
 #, gcc-internal-format
 msgid "decrement of read-only location %qE"
 msgstr "minskning av endast läsbar plats %qE"
 
-#: c-family/c-common.c:9685
+#: c-family/c-common.c:9705
 #, gcc-internal-format
 msgid "read-only location %qE used as %<asm%> output"
 msgstr "endast läsbar plats %qE använd som %<asm%>-utdata"
 
-#: c-family/c-common.c:9699
+#: c-family/c-common.c:9719
 #, gcc-internal-format
 msgid "lvalue required as left operand of assignment"
 msgstr "l-värde krävs som vänstra operand i tilldelning"
 
-#: c-family/c-common.c:9702
+#: c-family/c-common.c:9722
 #, gcc-internal-format
 msgid "lvalue required as increment operand"
 msgstr "l-värde krävs som operand till ökning"
 
-#: c-family/c-common.c:9705
+#: c-family/c-common.c:9725
 #, gcc-internal-format
 msgid "lvalue required as decrement operand"
 msgstr "l-värde krävs som operand till minskning"
 
-#: c-family/c-common.c:9708
+#: c-family/c-common.c:9728
 #, gcc-internal-format
 msgid "lvalue required as unary %<&%> operand"
 msgstr "l-värde krävs som operand till unär %<&%>"
 
-#: c-family/c-common.c:9711
+#: c-family/c-common.c:9731
 #, gcc-internal-format
 msgid "lvalue required in asm statement"
 msgstr "l-värde krävs i asm-sats"
 
-#: c-family/c-common.c:9728
+#: c-family/c-common.c:9748
 #, gcc-internal-format
 msgid "invalid type argument (have %qT)"
 msgstr "ogiltigt typargument (har %qT)"
 
-#: c-family/c-common.c:9732
+#: c-family/c-common.c:9752
 #, gcc-internal-format
 msgid "invalid type argument of array indexing (have %qT)"
 msgstr "ogiltigt typargument i vektorindexering (har %qT)"
 
-#: c-family/c-common.c:9737
+#: c-family/c-common.c:9757
 #, gcc-internal-format
 msgid "invalid type argument of unary %<*%> (have %qT)"
 msgstr "ogiltigt typargument till unär %<*%> (har %qT)"
 
-#: c-family/c-common.c:9742
+#: c-family/c-common.c:9762
 #, gcc-internal-format
 msgid "invalid type argument of %<->%> (have %qT)"
 msgstr "ogiltigt typargument till %<->%> (har %qT)"
 
-#: c-family/c-common.c:9747
+#: c-family/c-common.c:9767
 #, gcc-internal-format
 msgid "invalid type argument of implicit conversion (have %qT)"
 msgstr "ogiltigt typargument till implicit konvertering (har %qT)"
 
-#: c-family/c-common.c:9877 cp/init.c:2373
+#: c-family/c-common.c:9897 cp/init.c:2373
 #, gcc-internal-format
 msgid "size of array is too large"
 msgstr "storleken på vektorn är för stor"
 
-#: c-family/c-common.c:9925 c-family/c-common.c:9981 c/c-typeck.c:3185
+#: c-family/c-common.c:9945 c-family/c-common.c:10001 c/c-typeck.c:3185
 #, gcc-internal-format
 msgid "too few arguments to function %qE"
 msgstr "för få argument till funktionen %qE"
 
-#: c-family/c-common.c:9942 config/mep/mep.c:6175 c/c-typeck.c:5687
+#: c-family/c-common.c:9962 config/mep/mep.c:6175 c/c-typeck.c:5687
 #, gcc-internal-format
 msgid "incompatible type for argument %d of %qE"
 msgstr "inkompatibel typ för argument %d av %qE"
 
-#: c-family/c-common.c:10074
+#: c-family/c-common.c:10094
 #, gcc-internal-format
 msgid "incorrect number of arguments to function %qE"
 msgstr "felaktigt antal argument till funktionen %qE"
 
-#: c-family/c-common.c:10082
+#: c-family/c-common.c:10102
 #, gcc-internal-format
 msgid "argument 1 of %qE must be a non-void pointer type"
 msgstr "argument 1 till %qE måste vara pekartyp som inte pekar på void"
 
-#: c-family/c-common.c:10091
+#: c-family/c-common.c:10111
 #, gcc-internal-format
 msgid "argument 1 of %qE must be a pointer to a constant size type"
 msgstr "argument 1 till %qE måste vara en pekare till en typ med konstant storlek"
 
-#: c-family/c-common.c:10102
+#: c-family/c-common.c:10122
 #, gcc-internal-format
 msgid "argument 1 of %qE must be a pointer to a nonzero size object"
 msgstr "argument 1 till %qE måste vara en pekare till ett objekt av storlek större än noll"
 
-#: c-family/c-common.c:10117
+#: c-family/c-common.c:10137
 #, gcc-internal-format
 msgid "argument %d of %qE must be a pointer type"
 msgstr "argument %d till %qE måste vara en pekartyp"
 
-#: c-family/c-common.c:10124
+#: c-family/c-common.c:10144
 #, gcc-internal-format
 msgid "size mismatch in argument %d of %qE"
 msgstr "storleken stämmer inte i argument %d till %qE"
 
-#: c-family/c-common.c:10140
+#: c-family/c-common.c:10160
 #, gcc-internal-format
 msgid "invalid memory model argument %d of %qE"
 msgstr "ogiltig minnesmodellsargument %d till %qE"
 
-#: c-family/c-common.c:10147
+#: c-family/c-common.c:10167
 #, gcc-internal-format
 msgid "non-integer memory model argument %d of %qE"
 msgstr "minnesmodellsargument %d som inte är heltal till %qE"
 
-#: c-family/c-common.c:10674
+#: c-family/c-common.c:10694
 #, gcc-internal-format
 msgid "array subscript has type %<char%>"
 msgstr "vektorindex har typen %<char%>"
 
-#: c-family/c-common.c:10709 c-family/c-common.c:10712
+#: c-family/c-common.c:10729 c-family/c-common.c:10732
 #, gcc-internal-format
 msgid "suggest parentheses around %<+%> inside %<<<%>"
 msgstr "föreslår parenteser runt %<+%> inuti %<<<%>"
 
-#: c-family/c-common.c:10715 c-family/c-common.c:10718
+#: c-family/c-common.c:10735 c-family/c-common.c:10738
 #, gcc-internal-format
 msgid "suggest parentheses around %<-%> inside %<<<%>"
 msgstr "föreslår parenteser runt %<-%> inuti %<<<%>"
 
-#: c-family/c-common.c:10724 c-family/c-common.c:10727
+#: c-family/c-common.c:10744 c-family/c-common.c:10747
 #, gcc-internal-format
 msgid "suggest parentheses around %<+%> inside %<>>%>"
 msgstr "föreslår parenteser runt %<+%> inuti %<>>%>"
 
-#: c-family/c-common.c:10730 c-family/c-common.c:10733
+#: c-family/c-common.c:10750 c-family/c-common.c:10753
 #, gcc-internal-format
 msgid "suggest parentheses around %<-%> inside %<>>%>"
 msgstr "föreslår parenteser runt %<-%> inuti %<>>%>"
 
-#: c-family/c-common.c:10739 c-family/c-common.c:10742
+#: c-family/c-common.c:10759 c-family/c-common.c:10762
 #, gcc-internal-format
 msgid "suggest parentheses around %<&&%> within %<||%>"
 msgstr "föreslår parenteser runt %<&&%> inuti %<||%>"
 
-#: c-family/c-common.c:10749 c-family/c-common.c:10753
+#: c-family/c-common.c:10769 c-family/c-common.c:10773
 #, gcc-internal-format
 msgid "suggest parentheses around arithmetic in operand of %<|%>"
 msgstr "föreslår parenteser runt aritmetik i operanden till %<|%>"
 
-#: c-family/c-common.c:10757 c-family/c-common.c:10760
+#: c-family/c-common.c:10777 c-family/c-common.c:10780
 #, gcc-internal-format
 msgid "suggest parentheses around comparison in operand of %<|%>"
 msgstr "föreslår parenteser runt jämförelse i operanden till %<|%>"
 
-#: c-family/c-common.c:10765
+#: c-family/c-common.c:10785
 #, gcc-internal-format
 msgid "suggest parentheses around operand of %<!%> or change %<|%> to %<||%> or %<!%> to %<~%>"
 msgstr "föreslår parenteser runt operanden till %<!%> eller ändra %<|%> till %<||%> eller %<!%> till %<~%>"
 
-#: c-family/c-common.c:10773 c-family/c-common.c:10777
+#: c-family/c-common.c:10793 c-family/c-common.c:10797
 #, gcc-internal-format
 msgid "suggest parentheses around arithmetic in operand of %<^%>"
 msgstr "föreslår parenteser runt aritmetik i operanden till %<^%>"
 
-#: c-family/c-common.c:10781 c-family/c-common.c:10784
+#: c-family/c-common.c:10801 c-family/c-common.c:10804
 #, gcc-internal-format
 msgid "suggest parentheses around comparison in operand of %<^%>"
 msgstr "föreslår parenteser runt jämförelse i operanden till %<^%>"
 
-#: c-family/c-common.c:10790 c-family/c-common.c:10793
+#: c-family/c-common.c:10810 c-family/c-common.c:10813
 #, gcc-internal-format
 msgid "suggest parentheses around %<+%> in operand of %<&%>"
 msgstr "föreslår parenteser runt %<+%> i operanden till %<&%>"
 
-#: c-family/c-common.c:10796 c-family/c-common.c:10799
+#: c-family/c-common.c:10816 c-family/c-common.c:10819
 #, gcc-internal-format
 msgid "suggest parentheses around %<-%> in operand of %<&%>"
 msgstr "föreslår parenteser runt %<-%> i operanden till %<&%>"
 
-#: c-family/c-common.c:10803 c-family/c-common.c:10806
+#: c-family/c-common.c:10823 c-family/c-common.c:10826
 #, gcc-internal-format
 msgid "suggest parentheses around comparison in operand of %<&%>"
 msgstr "föreslår parenteser runt jämförelser i operanden till %<&%>"
 
-#: c-family/c-common.c:10811
+#: c-family/c-common.c:10831
 #, gcc-internal-format
 msgid "suggest parentheses around operand of %<!%> or change %<&%> to %<&&%> or %<!%> to %<~%>"
 msgstr "föreslår parenteser runt operanden till %<!%> eller ändra %<&%> till %<&&%> eller %<!%> till %<~%>"
 
-#: c-family/c-common.c:10818 c-family/c-common.c:10821
+#: c-family/c-common.c:10838 c-family/c-common.c:10841
 #, gcc-internal-format
 msgid "suggest parentheses around comparison in operand of %<==%>"
 msgstr "föreslår parenteser runt jämförelse i operanden till %<==%>"
 
-#: c-family/c-common.c:10826 c-family/c-common.c:10829
+#: c-family/c-common.c:10846 c-family/c-common.c:10849
 #, gcc-internal-format
 msgid "suggest parentheses around comparison in operand of %<!=%>"
 msgstr "föreslår parenteser runt jämförelse i operanden till %<!=%>"
 
-#: c-family/c-common.c:10839 c-family/c-common.c:10845
+#: c-family/c-common.c:10859 c-family/c-common.c:10865
 #, gcc-internal-format
 msgid "comparisons like %<X<=Y<=Z%> do not have their mathematical meaning"
 msgstr "jämförelser som %<X<=Y<=Z%> har inte sin matematiska mening"
 
-#: c-family/c-common.c:10861
+#: c-family/c-common.c:10881
 #, gcc-internal-format
 msgid "label %q+D defined but not used"
 msgstr "etikett %q+D är definierad men inte använd"
 
-#: c-family/c-common.c:10863
+#: c-family/c-common.c:10883
 #, gcc-internal-format
 msgid "label %q+D declared but not defined"
 msgstr "etikett %q+D är deklarerad men inte definierad"
 
-#: c-family/c-common.c:10879
+#: c-family/c-common.c:10899
 #, gcc-internal-format
 msgid "division by zero"
 msgstr "division med noll"
 
-#: c-family/c-common.c:10911
+#: c-family/c-common.c:10931
 #, gcc-internal-format
 msgid "comparison between types %qT and %qT"
 msgstr "jämförelse mellan typer %qT och %qT"
 
-#: c-family/c-common.c:10962
+#: c-family/c-common.c:10982
 #, gcc-internal-format
 msgid "comparison between signed and unsigned integer expressions"
 msgstr "jämförelse mellan heltalsuttryck med och utan tecken"
 
-#: c-family/c-common.c:11013
+#: c-family/c-common.c:11033
 #, gcc-internal-format
 msgid "promoted ~unsigned is always non-zero"
 msgstr "befodrat ~unsigned är alltid skild från noll"
 
-#: c-family/c-common.c:11016
+#: c-family/c-common.c:11036
 #, gcc-internal-format
 msgid "comparison of promoted ~unsigned with constant"
 msgstr "jämförelse av befordrad ~unsigned med konstant"
 
-#: c-family/c-common.c:11026
+#: c-family/c-common.c:11046
 #, gcc-internal-format
 msgid "comparison of promoted ~unsigned with unsigned"
 msgstr "jämförelse av befordrad ~unsigned med unsigned"
 
-#: c-family/c-common.c:11204
+#: c-family/c-common.c:11224
 #, gcc-internal-format
 msgid "typedef %qD locally defined but not used"
 msgstr "typedef %q+D är lokalt definierad men inte använd"
 
-#: c-family/c-common.c:11443
+#: c-family/c-common.c:11463
 #, gcc-internal-format
 msgid "index value is out of bound"
 msgstr "indexvärdet är utanför gränsen"
 
-#: c-family/c-common.c:11481 c-family/c-common.c:11531
-#: c-family/c-common.c:11546
+#: c-family/c-common.c:11501 c-family/c-common.c:11551
+#: c-family/c-common.c:11566
 #, gcc-internal-format
 msgid "conversion of scalar %qT to vector %qT involves truncation"
 msgstr "konvertering av skalären %qT till vektorn %qT innebär avhuggning"
@@ -19498,37 +19525,37 @@
 msgid "can%'t write to %s: %m"
 msgstr "kan inte skriva till %s: %m"
 
-#: c-family/c-pch.c:191
+#: c-family/c-pch.c:193
 #, gcc-internal-format
 msgid "can%'t write %s: %m"
 msgstr "kan inte skriva %s: %m"
 
-#: c-family/c-pch.c:219 c-family/c-pch.c:260 c-family/c-pch.c:311
+#: c-family/c-pch.c:221 c-family/c-pch.c:262 c-family/c-pch.c:313
 #, gcc-internal-format
 msgid "can%'t read %s: %m"
 msgstr "kan inte läsa %s: %m"
 
-#: c-family/c-pch.c:417
+#: c-family/c-pch.c:419
 #, gcc-internal-format
 msgid "pch_preprocess pragma should only be used with -fpreprocessed"
 msgstr "pragmat pch_preprocess skall bara användas med -fpreprocessed"
 
-#: c-family/c-pch.c:418
+#: c-family/c-pch.c:420
 #, gcc-internal-format
 msgid "use #include instead"
 msgstr "använd #include istället"
 
-#: c-family/c-pch.c:424
+#: c-family/c-pch.c:426
 #, gcc-internal-format
 msgid "%s: couldn%'t open PCH file: %m"
 msgstr "%s: kunde inte öppna PCH-fil: %m"
 
-#: c-family/c-pch.c:429
+#: c-family/c-pch.c:431
 #, gcc-internal-format
 msgid "use -Winvalid-pch for more information"
 msgstr "använd -Winvalid-pch för mer information"
 
-#: c-family/c-pch.c:430
+#: c-family/c-pch.c:432
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: PCH file was invalid"
 msgstr "%s: PCH-fil var ogiltig"
@@ -20447,182 +20474,182 @@
 #: config/i386/i386.c:34639 config/i386/i386.c:34690 config/i386/i386.c:34762
 #: config/m68k/m68k.c:729 config/mcore/mcore.c:3046 config/mep/mep.c:3887
 #: config/mep/mep.c:3901 config/mep/mep.c:3975 config/rl78/rl78.c:480
-#: config/rs6000/rs6000.c:24833 config/rx/rx.c:2571 config/sh/sh.c:9515
-#: config/sh/sh.c:9533 config/sh/sh.c:9562 config/sh/sh.c:9644
-#: config/sh/sh.c:9667 config/spu/spu.c:3685 config/stormy16/stormy16.c:2207
+#: config/rs6000/rs6000.c:24833 config/rx/rx.c:2571 config/sh/sh.c:9512
+#: config/sh/sh.c:9530 config/sh/sh.c:9559 config/sh/sh.c:9641
+#: config/sh/sh.c:9664 config/spu/spu.c:3685 config/stormy16/stormy16.c:2207
 #: config/v850/v850.c:2082
 #, gcc-internal-format
 msgid "%qE attribute only applies to functions"
 msgstr "attributet %qE är bara tillämpligt på funktioner"
 
-#: config/arm/arm.c:19315
+#: config/arm/arm.c:19325
 #, gcc-internal-format
 msgid "unable to compute real location of stacked parameter"
 msgstr "kan inte beräkna verklig plats för stackparameter"
 
-#: config/arm/arm.c:21257
+#: config/arm/arm.c:21267
 #, gcc-internal-format
 msgid "argument must be a constant"
 msgstr "argumentet måste vara en konstant"
 
 #. @@@ better error message
-#: config/arm/arm.c:21632 config/arm/arm.c:21736
+#: config/arm/arm.c:21642 config/arm/arm.c:21746
 #, gcc-internal-format
 msgid "selector must be an immediate"
 msgstr "väljare måste vara en omedelbar"
 
-#: config/arm/arm.c:21640 config/arm/arm.c:21685 config/arm/arm.c:21743
-#: config/arm/arm.c:21752
+#: config/arm/arm.c:21650 config/arm/arm.c:21695 config/arm/arm.c:21753
+#: config/arm/arm.c:21762
 #, gcc-internal-format
 msgid "the range of selector should be in 0 to 7"
 msgstr "intervallet för väljaren skall vara inom 0 till 7"
 
-#: config/arm/arm.c:21645 config/arm/arm.c:21754
+#: config/arm/arm.c:21655 config/arm/arm.c:21764
 #, gcc-internal-format
 msgid "the range of selector should be in 0 to 3"
 msgstr "intervallet för väljaren skall vara inom 0 till 3"
 
-#: config/arm/arm.c:21650 config/arm/arm.c:21756
+#: config/arm/arm.c:21660 config/arm/arm.c:21766
 #, gcc-internal-format
 msgid "the range of selector should be in 0 to 1"
 msgstr "intervallet för väljaren skall vara inom 0 till 1"
 
-#: config/arm/arm.c:21822
+#: config/arm/arm.c:21832
 #, gcc-internal-format
 msgid "mask must be an immediate"
 msgstr "mask måste vara en omedelbar"
 
-#: config/arm/arm.c:21827
+#: config/arm/arm.c:21837
 #, gcc-internal-format
 msgid "the range of mask should be in 0 to 255"
 msgstr "intervallet för masken skall vara i 0 till 255"
 
-#: config/arm/arm.c:22015
+#: config/arm/arm.c:22025
 #, gcc-internal-format
 msgid "the range of count should be in 0 to 32.  please check the intrinsic _mm_rori_pi16 in code."
 msgstr "intervallet för antal skall vara inom 0 till 32.  kontrollera den inbyggda _mm_rori_pi16 i koden."
 
-#: config/arm/arm.c:22017
+#: config/arm/arm.c:22027
 #, gcc-internal-format
 msgid "the range of count should be in 0 to 32.  please check the intrinsic _mm_rori_pi32 in code."
 msgstr "intervallet för antal skall vara inom 0 till 32.  kontrollera den inbyggda _mm_rori_pi32 i koden."
 
-#: config/arm/arm.c:22019
+#: config/arm/arm.c:22029
 #, gcc-internal-format
 msgid "the range of count should be in 0 to 32.  please check the intrinsic _mm_ror_pi16 in code."
 msgstr "intervallet för antal skall vara inom 0 till 32.  kontrollera den inbyggda _mm_ror_pi16 i koden."
 
-#: config/arm/arm.c:22021
+#: config/arm/arm.c:22031
 #, gcc-internal-format
 msgid "the range of count should be in 0 to 32.  please check the intrinsic _mm_ror_pi32 in code."
 msgstr "intervallet för antal skall vara inom 0 till 32.  kontrollera den inbyggda _mm_ror_pi32 i koden."
 
-#: config/arm/arm.c:22027
+#: config/arm/arm.c:22037
 #, gcc-internal-format
 msgid "the range of count should be in 0 to 64.  please check the intrinsic _mm_rori_si64 in code."
 msgstr "intervallet för antal skall vara inom 0 till 64.  kontrollera den inbyggda _mm_rori_si64 i koden."
 
-#: config/arm/arm.c:22029
+#: config/arm/arm.c:22039
 #, gcc-internal-format
 msgid "the range of count should be in 0 to 64.  please check the intrinsic _mm_ror_si64 in code."
 msgstr "intervallet för antal skall vara inom 0 till 64.  kontrollera den inbyggda _mm_ror_si64 i koden."
 
-#: config/arm/arm.c:22034
+#: config/arm/arm.c:22044
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srli_pi16 in code."
 msgstr "antalet skall inte vara mindre än 0.  kontrollera den inbyggda _mm_srli_pi16 i koden."
 
-#: config/arm/arm.c:22036
+#: config/arm/arm.c:22046
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srli_pi32 in code."
 msgstr "antalet skall inte vara mindre än 0.  kontrollera den inbyggda _mm_srli_pi32 i koden."
 
-#: config/arm/arm.c:22038
+#: config/arm/arm.c:22048
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srli_si64 in code."
 msgstr "antalet skall inte vara mindre än 0.  kontrollera den inbyggda _mm_srli_si64 i koden."
 
-#: config/arm/arm.c:22040
+#: config/arm/arm.c:22050
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_slli_pi16 in code."
 msgstr "antalet skall inte vara mindre än 0.  kontrollera den inbyggda _mm_slli_pi16 i koden."
 
-#: config/arm/arm.c:22042
+#: config/arm/arm.c:22052
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_slli_pi32 in code."
 msgstr "antalet skall inte vara mindre än 0.  kontrollera den inbyggda _mm_slli_pi32 i koden."
 
-#: config/arm/arm.c:22044
+#: config/arm/arm.c:22054
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_slli_si64 in code."
 msgstr "antalet skall inte vara mindre än 0.  kontrollera den inbyggda _mm_slli_si64 i koden."
 
-#: config/arm/arm.c:22046
+#: config/arm/arm.c:22056
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srai_pi16 in code."
 msgstr "antalet skall inte vara mindre än 0.  kontrollera den inbyggda _mm_srai_pi16 i koden."
 
-#: config/arm/arm.c:22048
+#: config/arm/arm.c:22058
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srai_pi32 in code."
 msgstr "antalet skall inte vara mindre än 0.  kontrollera den inbyggda _mm_srai_pi32 i koden."
 
-#: config/arm/arm.c:22050
+#: config/arm/arm.c:22060
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srai_si64 in code."
 msgstr "antalet skall inte vara mindre än 0.  kontrollera den inbyggda _mm_srai_si64 i koden."
 
-#: config/arm/arm.c:22052
+#: config/arm/arm.c:22062
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srl_pi16 in code."
 msgstr "antalet skall inte vara mindre än 0.  kontrollera den inbyggda _mm_srl_pi16 i koden."
 
-#: config/arm/arm.c:22054
+#: config/arm/arm.c:22064
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srl_pi32 in code."
 msgstr "antalet skall inte vara mindre än 0.  kontrollera den inbyggda _mm_srl_pi32 i koden."
 
-#: config/arm/arm.c:22056
+#: config/arm/arm.c:22066
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srl_si64 in code."
 msgstr "antalet skall inte vara mindre än 0.  kontrollera den inbyggda _mm_srl_si64 i koden."
 
-#: config/arm/arm.c:22058
+#: config/arm/arm.c:22068
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_sll_pi16 in code."
 msgstr "antalet skall inte vara mindre än 0.  kontrollera den inbyggda _mm_sll_pi16 i koden."
 
-#: config/arm/arm.c:22060
+#: config/arm/arm.c:22070
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_sll_pi32 in code."
 msgstr "antalet skall inte vara mindre än 0.  kontrollera den inbyggda _mm_sll_pi32 i koden."
 
-#: config/arm/arm.c:22062
+#: config/arm/arm.c:22072
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_sll_si64 in code."
 msgstr "antalet skall inte vara mindre än 0.  kontrollera den inbyggda _mm_sll_si64 i koden."
 
-#: config/arm/arm.c:22064
+#: config/arm/arm.c:22074
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_sra_pi16 in code."
 msgstr "antalet skall inte vara mindre än 0.  kontrollera den inbyggda _mm_sra_pi16 i koden."
 
-#: config/arm/arm.c:22066
+#: config/arm/arm.c:22076
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_sra_pi32 in code."
 msgstr "antalet skall inte vara mindre än 0.  kontrollera den inbyggda _mm_sra_pi32 i koden."
 
-#: config/arm/arm.c:22068
+#: config/arm/arm.c:22078
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_sra_si64 in code."
 msgstr "antalet skall inte vara mindre än 0.  kontrollera den inbyggda _mm_sra_si64 i koden."
 
-#: config/arm/arm.c:22787
+#: config/arm/arm.c:22797
 #, gcc-internal-format
 msgid "no low registers available for popping high registers"
 msgstr "inga låga register tillgängliga för att poppa höga register"
 
-#: config/arm/arm.c:23012
+#: config/arm/arm.c:23022
 #, gcc-internal-format
 msgid "interrupt Service Routines cannot be coded in Thumb mode"
 msgstr "avbrottsservicerutiner kan inte kodas i Thumb-läge"
@@ -20762,22 +20789,27 @@
 msgid "MCU %qs supported for assembler only"
 msgstr "MCU %qs stödjs endast i assembler"
 
-#: config/avr/avr.c:11718
+#: config/avr/avr.c:10816
+#, gcc-internal-format
+msgid "conversion from address space %qs to address space %qs"
+msgstr "konvertering från adressrymd %qs till adressrymd %qs"
+
+#: config/avr/avr.c:11778
 #, gcc-internal-format, gfc-internal-format
 msgid "%s expects a compile time integer constant"
 msgstr "%s förväntar sig ett heltal konstant vid kompileringstillfället"
 
-#: config/avr/avr.c:11732
+#: config/avr/avr.c:11792
 #, gcc-internal-format, gfc-internal-format
 msgid "%s expects a compile time long integer constant as first argument"
 msgstr "%s förväntar sig ett långt heltal konstant vid kompileringstillfället som första argument"
 
-#: config/avr/avr.c:11760
+#: config/avr/avr.c:11820
 #, gcc-internal-format, gfc-internal-format
 msgid "rounding to %d bits has no effect for fixed-point value with %d fractional bits"
 msgstr "avrundning till %d bitar har ingen effekt för flyttalsvärde med %d decimalbitar"
 
-#: config/avr/avr.c:11769
+#: config/avr/avr.c:11829
 #, gcc-internal-format
 msgid "rounding result will always be 0"
 msgstr "avrundningsresultatet kommer alltid bli 0"
@@ -21691,13 +21723,13 @@
 msgid "%qE attribute requires a string constant argument"
 msgstr "attributet %qE kräver en strängkonstant som argument"
 
-#: config/ia64/ia64.c:5885 config/pa/pa.c:416 config/sh/sh.c:9351
+#: config/ia64/ia64.c:5885 config/pa/pa.c:416 config/sh/sh.c:9348
 #: config/spu/spu.c:4897
 #, gcc-internal-format
 msgid "value of -mfixed-range must have form REG1-REG2"
 msgstr "värdet av -mfixed-range måste ha formen REG1-REG2"
 
-#: config/ia64/ia64.c:5912 config/pa/pa.c:443 config/sh/sh.c:9377
+#: config/ia64/ia64.c:5912 config/pa/pa.c:443 config/sh/sh.c:9374
 #: config/spu/spu.c:4923
 #, gcc-internal-format, gfc-internal-format
 msgid "%s-%s is an empty range"
@@ -21769,7 +21801,7 @@
 msgstr "attributet %qE stödjs inte för denna målarkitekturen R8C"
 
 #. The argument must be a constant integer.
-#: config/m32c/m32c.c:2934 config/sh/sh.c:9570 config/sh/sh.c:9676
+#: config/m32c/m32c.c:2934 config/sh/sh.c:9567 config/sh/sh.c:9673
 #, gcc-internal-format
 msgid "%qE attribute argument not an integer constant"
 msgstr "argumentet till attribut %qE är inte en heltalskonstant"
@@ -22112,23 +22144,33 @@
 msgid "unexpected %d byte cop instruction"
 msgstr "oväntad %d-byte cop-instruktion"
 
-#: config/microblaze/microblaze.c:1311
+#: config/microblaze/microblaze.c:1676
 #, gcc-internal-format
 msgid "-fPIC/-fpic not supported for this target"
 msgstr "-fPIC/-fpic stödjs inte av denna målarkitektur"
 
-#: config/microblaze/microblaze.c:1323
+#: config/microblaze/microblaze.c:1688
 #, gcc-internal-format
 msgid "%qs is an invalid argument to -mcpu="
 msgstr "%qs är ett ogiltigt argument till -mcpu="
 
-#: config/microblaze/microblaze.c:1372
+#: config/microblaze/microblaze.c:1737
 #, gcc-internal-format
 msgid "-mxl-multiply-high can be used only with -mcpu=v6.00.a or greater"
 msgstr "-mxl-multiply-high kan bara användas med -mcpu=v6.00.a eller större"
 
-#: config/microblaze/microblaze.c:1384
+#: config/microblaze/microblaze.c:1753
 #, gcc-internal-format
+msgid "-mxl-reorder can be used only with -mcpu=v8.30.a or greater"
+msgstr "-mxl-multiply-high kan bara användas med -mcpu=v8.30.a eller större"
+
+#: config/microblaze/microblaze.c:1759
+#, gcc-internal-format
+msgid "-mxl-reorder requires -mxl-pattern-compare for -mcpu=v8.30.a"
+msgstr "-mxl-reorder behöver -mxl-pattern-compare för -mcpu=v8.30.a"
+
+#: config/microblaze/microblaze.c:1764
+#, gcc-internal-format
 msgid "-mxl-multiply-high requires -mno-xl-soft-mul"
 msgstr "-mxl-multiply-high kräver -mno-xl-soft-mul"
 
@@ -23048,9 +23090,9 @@
 msgstr "VSX- och SPE-instruktioner kan inte samexistera"
 
 #: config/rs6000/e500.h:41
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "64-bit SPE not supported"
-msgstr "64-bitars E500 stödjs inte"
+msgstr "64-bitars SPE stödjs inte"
 
 #: config/rs6000/e500.h:43
 #, gcc-internal-format
@@ -23142,9 +23184,9 @@
 msgstr "okänt styrregisternummer: %d - använder ”psw”"
 
 #: config/rx/rx.c:1350
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "multiple fast interrupt routines seen: %qE and %qE"
-msgstr "flera avbrottsattribut är inte tillåtet"
+msgstr "flera snabba avbrottsrutiner sedda: %qE och %qE"
 
 #: config/rx/rx.c:2452
 #, gcc-internal-format, gfc-internal-format
@@ -23236,63 +23278,63 @@
 msgid "%qs uses dynamic stack allocation"
 msgstr "%qs använder dynamisk stackallokering"
 
-#: config/sh/sh.c:906
+#: config/sh/sh.c:903
 #, gcc-internal-format
 msgid "ignoring -fschedule-insns because of exception handling bug"
 msgstr "ignorerar -fschedule-insns på grund av ett fel i undantagshanteringen"
 
-#: config/sh/sh.c:923
+#: config/sh/sh.c:920
 #, gcc-internal-format
 msgid "unwind tables currently require either a frame pointer or -maccumulate-outgoing-args for correctness"
 msgstr "utrullningstabeller kräver för närvarande antingen en rampekare eller -maccumulate-outgoing-args för att bli korrekt"
 
-#: config/sh/sh.c:8284
+#: config/sh/sh.c:8281
 #, gcc-internal-format
 msgid "__builtin_saveregs not supported by this subtarget"
 msgstr "__builtin_saveregs stödjs inte på denna målunderarkitektur"
 
-#: config/sh/sh.c:9439
+#: config/sh/sh.c:9436
 #, gcc-internal-format
 msgid "%qE attribute only applies to interrupt functions"
 msgstr "attributet %qE är bara tillämpligt på avbrottsfunktioner"
 
-#: config/sh/sh.c:9509
+#: config/sh/sh.c:9506
 #, gcc-internal-format
 msgid "%qE attribute is supported only for SH2A"
 msgstr "attributet %qE stödjs endast för SH2A"
 
-#: config/sh/sh.c:9539
+#: config/sh/sh.c:9536
 #, gcc-internal-format
 msgid "attribute interrupt_handler is not compatible with -m5-compact"
 msgstr "attributet interrupt_handler är inte kompatibelt -m5-compact"
 
-#: config/sh/sh.c:9556
+#: config/sh/sh.c:9553
 #, gcc-internal-format
 msgid "%qE attribute only applies to SH2A"
 msgstr "attributet %qE är bara tillämpligt på SH2A"
 
-#: config/sh/sh.c:9578
+#: config/sh/sh.c:9575
 #, gcc-internal-format
 msgid "%qE attribute argument should be between 0 to 255"
 msgstr "argument till attribut %qE skall vara mellan 0 och 255"
 
 #. The argument must be a constant string.
-#: config/sh/sh.c:9651
+#: config/sh/sh.c:9648
 #, gcc-internal-format
 msgid "%qE attribute argument not a string constant"
 msgstr "argument till attribut %qE är inte en strängkonstant"
 
-#: config/sh/sh.c:12341
+#: config/sh/sh.c:12338
 #, gcc-internal-format
 msgid "r0 needs to be available as a call-clobbered register"
 msgstr "r0 behöver vara tillgängligt som ett anropsöverskrivet register"
 
-#: config/sh/sh.c:12362
+#: config/sh/sh.c:12359
 #, gcc-internal-format
 msgid "need a second call-clobbered general purpose register"
 msgstr "behöver ett andra generellt anropsöverskrivet register"
 
-#: config/sh/sh.c:12370
+#: config/sh/sh.c:12367
 #, gcc-internal-format
 msgid "need a call-clobbered target register"
 msgstr "behöver ett anropsöverskrivet målregister"
@@ -23608,14 +23650,14 @@
 msgstr "felformaterat ”#pragma __extern_prefix”, ignorerar"
 
 #: config/vms/vms-c.c:312 config/vms/vms-c.c:332
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "malformed %<#pragma %s%>, ignoring"
-msgstr "felformaterat %<#pragma %s%>, ignoreras"
+msgstr "felformaterat %<#pragma %s%>, ignorerar"
 
 #: config/vms/vms-c.c:328
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "invalid constant in %<#pragma %s%>"
-msgstr "ogiltig konstant i %<#pragma pack%> - ignoreras"
+msgstr "ogiltig konstant i %<#pragma %s%>"
 
 #: config/xtensa/xtensa.c:2178
 #, gcc-internal-format
@@ -24032,7 +24074,7 @@
 msgstr "etikett %qD är definierad här"
 
 #: c/c-decl.c:3111 c/c-decl.c:3383 c/c-typeck.c:6979 cp/class.c:1339
-#: cp/class.c:2928
+#: cp/class.c:2932
 #, gcc-internal-format
 msgid "%qD declared here"
 msgstr "%qD är deklarerad här"
@@ -24200,7 +24242,7 @@
 msgid "variable %qD has initializer but incomplete type"
 msgstr "variabeln %qD har initierare men ofullständig typ"
 
-#: c/c-decl.c:4150 cp/decl.c:4529 cp/decl.c:12970
+#: c/c-decl.c:4150 cp/decl.c:4529 cp/decl.c:12961
 #, gcc-internal-format
 msgid "inline function %q+D given attribute noinline"
 msgstr "inline-funktionen %q+D har fått attributet noinline"
@@ -24335,7 +24377,7 @@
 msgid "variable length array %qE is used"
 msgstr "vektor %qE med variabel längd används"
 
-#: c/c-decl.c:4857 cp/decl.c:8274
+#: c/c-decl.c:4857 cp/decl.c:8277
 #, gcc-internal-format
 msgid "variable length array is used"
 msgstr "vektor med variabel längd används"
@@ -24420,7 +24462,7 @@
 msgid "storage class specified for unnamed parameter"
 msgstr "lagringsklass angiven för namnlös parameter"
 
-#: c/c-decl.c:5143 cp/decl.c:9283
+#: c/c-decl.c:5143 cp/decl.c:9279
 #, gcc-internal-format
 msgid "storage class specified for typename"
 msgstr "lagringsklass angiven för typnamn"
@@ -24569,7 +24611,7 @@
 msgid "function definition has qualified void return type"
 msgstr "funktionsdefinition som har kvalificerad void-returtyp"
 
-#: c/c-decl.c:5635 cp/decl.c:9411
+#: c/c-decl.c:5635 cp/decl.c:9407
 #, gcc-internal-format
 msgid "type qualifiers ignored on function return type"
 msgstr "typkvalificerare ignoreras för funktions returtyp"
@@ -24680,7 +24722,7 @@
 msgid "a member of a structure or union cannot have a variably modified type"
 msgstr "en medlem av an post eller union får inte ha variabel typ"
 
-#: c/c-decl.c:5915 cp/decl.c:8516
+#: c/c-decl.c:5915 cp/decl.c:8519
 #, gcc-internal-format
 msgid "variable or field %qE declared void"
 msgstr "variabel eller fält %qE deklarerad void"
@@ -25103,7 +25145,7 @@
 msgid "argument %qD doesn%'t match prototype"
 msgstr "argument %qD stämmer inte med prototypen"
 
-#: c/c-decl.c:8396 cp/decl.c:13848
+#: c/c-decl.c:8396 cp/decl.c:13839
 #, gcc-internal-format
 msgid "no return statement in function returning non-void"
 msgstr "ingen retursats i funktion som returnerar icke-void"
@@ -25171,7 +25213,7 @@
 msgid "two or more data types in declaration specifiers"
 msgstr "två eller fler datatyper i deklaration av specificerare"
 
-#: c/c-decl.c:8924 cp/parser.c:22803
+#: c/c-decl.c:8924 cp/parser.c:22807
 #, gcc-internal-format
 msgid "%<long long long%> is too long for GCC"
 msgstr "%<long long long%> är för långt för GCC"
@@ -25301,7 +25343,7 @@
 msgid "unknown type name %qE"
 msgstr "okänt typnamn %qE"
 
-#: c/c-parser.c:1484 c/c-parser.c:8618 cp/parser.c:28127
+#: c/c-parser.c:1484 c/c-parser.c:8618 cp/parser.c:28131
 #, gcc-internal-format
 msgid "expected declaration specifiers"
 msgstr "deklarationsspecificerare förväntades"
@@ -25311,7 +25353,7 @@
 msgid "expected %<;%>, identifier or %<(%>"
 msgstr "%<;%>, identifierare eller %<(%> förväntades"
 
-#: c/c-parser.c:1527 cp/parser.c:24553 cp/parser.c:24627
+#: c/c-parser.c:1527 cp/parser.c:24557 cp/parser.c:24631
 #, gcc-internal-format
 msgid "prefix attributes are ignored for methods"
 msgstr "prefixattribut ignoreras för metoder"
@@ -25359,7 +25401,7 @@
 msgid "ISO C90 does not support %<_Static_assert%>"
 msgstr "ISO C90 stödjer inte %<_Static_assert%>"
 
-#: c/c-parser.c:1860 c/c-parser.c:3388 c/c-parser.c:8673 cp/parser.c:27998
+#: c/c-parser.c:1860 c/c-parser.c:3388 c/c-parser.c:8673 cp/parser.c:28002
 #, gcc-internal-format
 msgid "expected string literal"
 msgstr "strängkonstant förväntades"
@@ -25391,13 +25433,13 @@
 #: c/c-parser.c:7409 c/c-parser.c:7417 c/c-parser.c:7446 c/c-parser.c:7459
 #: c/c-parser.c:7764 c/c-parser.c:7888 c/c-parser.c:8316 c/c-parser.c:8351
 #: c/c-parser.c:8404 c/c-parser.c:8457 c/c-parser.c:8473 c/c-parser.c:8519
-#: c/c-parser.c:8798 c/c-parser.c:9873 c/c-parser.c:10676 cp/parser.c:23013
-#: cp/parser.c:25397 cp/parser.c:25427 cp/parser.c:25497 cp/parser.c:27718
+#: c/c-parser.c:8798 c/c-parser.c:9873 c/c-parser.c:10676 cp/parser.c:23017
+#: cp/parser.c:25401 cp/parser.c:25431 cp/parser.c:25501 cp/parser.c:27722
 #, gcc-internal-format
 msgid "expected identifier"
 msgstr "identifierare förväntades"
 
-#: c/c-parser.c:2295 cp/parser.c:14837
+#: c/c-parser.c:2295 cp/parser.c:14839
 #, gcc-internal-format
 msgid "comma at end of enumerator list"
 msgstr "komma i slutet av uppräkningslista"
@@ -25726,77 +25768,77 @@
 msgid "no type or storage class may be specified here,"
 msgstr "ingen typ eller lagringsklass kan anges här,"
 
-#: c/c-parser.c:8320 c/c-parser.c:8377 cp/parser.c:25457
+#: c/c-parser.c:8320 c/c-parser.c:8377 cp/parser.c:25461
 #, gcc-internal-format
 msgid "unknown property attribute"
 msgstr "okänt egenskapsattribut"
 
-#: c/c-parser.c:8341 cp/parser.c:25417
+#: c/c-parser.c:8341 cp/parser.c:25421
 #, gcc-internal-format
 msgid "missing %<=%> (after %<getter%> attribute)"
 msgstr "%<=%> saknas (efter attributet %<getter%>)"
 
-#: c/c-parser.c:8344 cp/parser.c:25420
+#: c/c-parser.c:8344 cp/parser.c:25424
 #, gcc-internal-format
 msgid "missing %<=%> (after %<setter%> attribute)"
 msgstr "%<=%> saknas (efter attributet %<setter%>)"
 
-#: c/c-parser.c:8358 cp/parser.c:25435
+#: c/c-parser.c:8358 cp/parser.c:25439
 #, gcc-internal-format
 msgid "the %<setter%> attribute may only be specified once"
 msgstr "attributet %<setter%> kan bara anges en gång"
 
-#: c/c-parser.c:8363 cp/parser.c:25441
+#: c/c-parser.c:8363 cp/parser.c:25445
 #, gcc-internal-format
 msgid "setter name must terminate with %<:%>"
 msgstr "setter-namn måste avslutas med %<:%>"
 
-#: c/c-parser.c:8370 cp/parser.c:25449
+#: c/c-parser.c:8370 cp/parser.c:25453
 #, gcc-internal-format
 msgid "the %<getter%> attribute may only be specified once"
 msgstr "attributet %<getter%> kan bara anges en gång"
 
-#: c/c-parser.c:8556 cp/parser.c:28042
+#: c/c-parser.c:8556 cp/parser.c:28046
 #, gcc-internal-format
 msgid "%<#pragma omp barrier%> may only be used in compound statements"
 msgstr "%<#pragma omp barrier%> får bara användas i sammansatta satser"
 
-#: c/c-parser.c:8567 cp/parser.c:28057
+#: c/c-parser.c:8567 cp/parser.c:28061
 #, gcc-internal-format
 msgid "%<#pragma omp flush%> may only be used in compound statements"
 msgstr "%<#pragma omp flush%> får bara användas i sammansatta satser"
 
-#: c/c-parser.c:8578 cp/parser.c:28073
+#: c/c-parser.c:8578 cp/parser.c:28077
 #, gcc-internal-format
 msgid "%<#pragma omp taskwait%> may only be used in compound statements"
 msgstr "%<#pragma omp taskwait%> får bara användas i sammansatta satser"
 
-#: c/c-parser.c:8589 cp/parser.c:28089
+#: c/c-parser.c:8589 cp/parser.c:28093
 #, gcc-internal-format
 msgid "%<#pragma omp taskyield%> may only be used in compound statements"
 msgstr "%<#pragma omp taskyield%> får bara användas i sammansatta satser"
 
-#: c/c-parser.c:8602 cp/parser.c:28117
+#: c/c-parser.c:8602 cp/parser.c:28121
 #, gcc-internal-format
 msgid "%<#pragma omp section%> may only be used in %<#pragma omp sections%> construct"
 msgstr "%<#pragma omp section%> får bara användas i %<#pragma omp sections%>-konstruktion"
 
-#: c/c-parser.c:8608 cp/parser.c:28032
+#: c/c-parser.c:8608 cp/parser.c:28036
 #, gcc-internal-format
 msgid "%<#pragma GCC pch_preprocess%> must be first"
 msgstr "%<#pragma GCC pch_preprocess%> måste komma först"
 
-#: c/c-parser.c:8773 cp/parser.c:25705
+#: c/c-parser.c:8773 cp/parser.c:25709
 #, gcc-internal-format
 msgid "too many %qs clauses"
 msgstr "för många %qs-klausuler"
 
-#: c/c-parser.c:8875 cp/parser.c:25820
+#: c/c-parser.c:8875 cp/parser.c:25824
 #, gcc-internal-format
 msgid "collapse argument needs positive constant integer expression"
 msgstr "collapse-argument behöver ett positivt konstant heltalsuttryck"
 
-#: c/c-parser.c:8941 cp/parser.c:25871
+#: c/c-parser.c:8941 cp/parser.c:25875
 #, gcc-internal-format
 msgid "expected %<none%> or %<shared%>"
 msgstr "%<none%> eller %<shared%> förväntades"
@@ -25811,42 +25853,42 @@
 msgid "%<num_threads%> value must be positive"
 msgstr "%<num_threads%>-värdet måste vara positivt"
 
-#: c/c-parser.c:9192 cp/parser.c:26090
+#: c/c-parser.c:9192 cp/parser.c:26094
 #, gcc-internal-format
 msgid "expected %<+%>, %<*%>, %<-%>, %<&%>, %<^%>, %<|%>, %<&&%>, %<||%>, %<min%> or %<max%>"
 msgstr "%<+%>, %<*%>, %<-%>, %<&%>, %<^%>, %<|%>, %<&&%>, %<||%>, %<min%> eller %<max%> förväntades"
 
-#: c/c-parser.c:9281 cp/parser.c:26175
+#: c/c-parser.c:9281 cp/parser.c:26179
 #, gcc-internal-format
 msgid "schedule %<runtime%> does not take a %<chunk_size%> parameter"
 msgstr "%<runtime%>-schemaläggning tar ingen %<chunk_size%>-parameter"
 
-#: c/c-parser.c:9285 cp/parser.c:26178
+#: c/c-parser.c:9285 cp/parser.c:26182
 #, gcc-internal-format
 msgid "schedule %<auto%> does not take a %<chunk_size%> parameter"
 msgstr "%<auto%>-schemaläggning tar ingen %<chunk_size%>-parameter"
 
-#: c/c-parser.c:9303 cp/parser.c:26194
+#: c/c-parser.c:9303 cp/parser.c:26198
 #, gcc-internal-format
 msgid "invalid schedule kind"
 msgstr "ogiltig schedule-sort"
 
-#: c/c-parser.c:9431 cp/parser.c:26326
+#: c/c-parser.c:9431 cp/parser.c:26330
 #, gcc-internal-format
 msgid "expected %<#pragma omp%> clause"
 msgstr "förväntade %<#pragma omp%>-klausul"
 
-#: c/c-parser.c:9440 cp/parser.c:26335
+#: c/c-parser.c:9440 cp/parser.c:26339
 #, gcc-internal-format
 msgid "%qs is not valid for %qs"
 msgstr "%qs är inte giltigt för %qs"
 
-#: c/c-parser.c:9732 cp/parser.c:26619
+#: c/c-parser.c:9732 cp/parser.c:26623
 #, gcc-internal-format
 msgid "invalid form of %<#pragma omp atomic%>"
 msgstr "ogiltig form på %<#pragma omp atomic%>"
 
-#: c/c-parser.c:9772 c/c-parser.c:9790 cp/parser.c:26650 cp/parser.c:26667
+#: c/c-parser.c:9772 c/c-parser.c:9790 cp/parser.c:26654 cp/parser.c:26671
 #, gcc-internal-format
 msgid "invalid operator for %<#pragma omp atomic%>"
 msgstr "ogiltig operator för %<#pragma omp atomic%>"
@@ -25856,7 +25898,7 @@
 msgid "expected %<(%> or end of line"
 msgstr "%<(%> eller filslut förväntades"
 
-#: c/c-parser.c:9932 cp/parser.c:26939
+#: c/c-parser.c:9932 cp/parser.c:26943
 #, gcc-internal-format
 msgid "for statement expected"
 msgstr "for-sats förväntades"
@@ -25871,12 +25913,12 @@
 msgid "not enough perfectly nested loops"
 msgstr "inte tillräckligt med perfekt nästade slingor"
 
-#: c/c-parser.c:10119 cp/parser.c:27284
+#: c/c-parser.c:10119 cp/parser.c:27288
 #, gcc-internal-format
 msgid "collapsed loops not perfectly nested"
 msgstr "kollapsade slingor inte perfekt nästade"
 
-#: c/c-parser.c:10157 cp/parser.c:27125 cp/parser.c:27163 cp/pt.c:12692
+#: c/c-parser.c:10157 cp/parser.c:27129 cp/parser.c:27167 cp/pt.c:12687
 #, gcc-internal-format
 msgid "iteration variable %qD should not be firstprivate"
 msgstr "iterationsvariabel %qD får inte vara firstprivate"
@@ -25901,27 +25943,27 @@
 msgid "%<threadprivate%> %qE has incomplete type"
 msgstr "%<threadprivate%> %qE har ofullständig typ"
 
-#: c/c-parser.c:10823 cp/parser.c:27928
+#: c/c-parser.c:10823 cp/parser.c:27932
 #, gcc-internal-format
 msgid "%<__transaction_cancel%> without transactional memory support enabled"
 msgstr "%<__transaction_cancel%> utan att stöd för transaktionsminne är aktiverat"
 
-#: c/c-parser.c:10829 cp/parser.c:27934
+#: c/c-parser.c:10829 cp/parser.c:27938
 #, gcc-internal-format
 msgid "%<__transaction_cancel%> within a %<__transaction_relaxed%>"
 msgstr "%<__transaction_cancel%> inom en %<__transaction_relaxed%>"
 
-#: c/c-parser.c:10838 cp/parser.c:27943
+#: c/c-parser.c:10838 cp/parser.c:27947
 #, gcc-internal-format
 msgid "outer %<__transaction_cancel%> not within outer %<__transaction_atomic%>"
 msgstr "yttre %<__transaction_cancel%> som inte är inom en yttre %<__transaction_atomic%>"
 
-#: c/c-parser.c:10840 cp/parser.c:27946
+#: c/c-parser.c:10840 cp/parser.c:27950
 #, gcc-internal-format
 msgid "  or a %<transaction_may_cancel_outer%> function"
 msgstr "  eller en %<transaction_may_cancel_outer%>-funktion"
 
-#: c/c-parser.c:10846 cp/parser.c:27952
+#: c/c-parser.c:10846 cp/parser.c:27956
 #, gcc-internal-format
 msgid "%<__transaction_cancel%> not within %<__transaction_atomic%>"
 msgstr "%<__transaction_cancel%> inte inom %<__transaction_atomic%>"
@@ -26063,19 +26105,19 @@
 msgstr "deklarerad här"
 
 #: c/c-typeck.c:2746
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "called object %qE is not a function or function pointer"
-msgstr "anropat objekt %qE är inte en funktion"
+msgstr "anropat objekt %qE är inte en funktion eller funktionspekare"
 
 #: c/c-typeck.c:2751
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "called object %qD is not a function or function pointer"
-msgstr "anropat objekt %qE är inte en funktion"
+msgstr "anropat objekt %qD är inte en funktion eller funktionspekare"
 
 #: c/c-typeck.c:2757
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "called object is not a function or function pointer"
-msgstr "anropat objekt %qE är inte en funktion"
+msgstr "anropat objekt är inte en funktion eller funktionspekare"
 
 #. This situation leads to run-time undefined behavior.  We can't,
 #. therefore, simply error unless we can prove that all possible
@@ -26716,9 +26758,9 @@
 msgstr "initiering av medlem som är en flexibel vektor i nästat sammanhang"
 
 #: c/c-typeck.c:6975
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "missing initializer for field %qD of %qT"
-msgstr "initierare saknas för medlem %qD"
+msgstr "initierare saknas för fält %qD i %qT"
 
 #: c/c-typeck.c:7000
 #, gcc-internal-format
@@ -27163,24 +27205,24 @@
 msgstr "anrop av %<(%T) (%A)%> är tvetydigt"
 
 #: cp/call.c:4177
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "ambiguous overload for "
-msgstr "tvetydig överlagring för %qs i %<%s %E%>"
+msgstr "tvetydig överlagring för "
 
 #: cp/call.c:4178
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "no match for "
-msgstr "ingen matchning för %qs i %<%s %E%>"
+msgstr "ingen matchning för "
 
 #: cp/call.c:4181
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid " (operand types are %qT, %qT, and %qT)"
-msgstr "ogiltiga operander till binär %s (har %qT och %qT)"
+msgstr " (operandtyper är %qT, %qT och %qT)"
 
 #: cp/call.c:4183
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid " (operand types are %qT and %qT)"
-msgstr "ogiltiga operander till binär %s (har %qT och %qT)"
+msgstr " (operandtyper är %qT och %qT)"
 
 #: cp/call.c:4185
 #, gcc-internal-format
@@ -27188,54 +27230,54 @@
 msgstr " (operandtyp är %qT)"
 
 #: cp/call.c:4205
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "ternary %<operator?:%>"
-msgstr "%<operator%> förväntades"
+msgstr "treställig %<operator?:%>"
 
 #: cp/call.c:4209
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "ternary %<operator?:%> in %<%E ? %E : %E%>"
-msgstr "ingen matchning för treställig %<operator?:%> i %<%E ? %E : %E%>"
+msgstr "treställig %<operator?:%> i %<%E ? %E : %E%>"
 
 #: cp/call.c:4218 cp/call.c:4249 cp/call.c:4258
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%<operator%s%>"
-msgstr "%<operator%> förväntades"
+msgstr "%<operator%s%>"
 
 #: cp/call.c:4221
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%<operator%s%> in %<%E%s%>"
-msgstr "ingen matchning för %<operator%s%> i %<%E%s%>"
+msgstr "%<operator%s%> i %<%E%s%>"
 
 #: cp/call.c:4228
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%<operator[]%>"
-msgstr "%<operator%> förväntades"
+msgstr "%<operator[]%>"
 
 #: cp/call.c:4231
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%<operator[]%> in %<%E[%E]%>"
-msgstr "ingen matchning för %<operator[]%> i %<%E[%E]%>"
+msgstr "%<operator[]%> i %<%E[%E]%>"
 
 #: cp/call.c:4239
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%qs"
-msgstr "%s"
+msgstr "%qs"
 
 #: cp/call.c:4242
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%qs in %<%s %E%>"
-msgstr "ingen matchning för %qs i %<%s %E%>"
+msgstr "%qs i %<%s %E%>"
 
 #: cp/call.c:4252
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%<operator%s%> in %<%E %s %E%>"
-msgstr "ingen matchning för %<operator%s%> i %<%E %s %E%>"
+msgstr "%<operator%s%> i %<%E %s %E%>"
 
 #: cp/call.c:4261
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%<operator%s%> in %<%s%E%>"
-msgstr "ingen matchning för %<operator%s%> i %<%s%E%>"
+msgstr "%<operator%s%> i %<%s%E%>"
 
 #: cp/call.c:4359
 #, gcc-internal-format
@@ -27248,9 +27290,9 @@
 msgstr "åtminstone en operand i en vektorsvillkorsoperator måste vara en vektor"
 
 #: cp/call.c:4433
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "incompatible vector types in conditional expression: %qT, %qT and %qT"
-msgstr "uppräkningsmissmatch i villkorsuttryck: %qT kontra %qT"
+msgstr "inkompatibla vektortyper i villkorsuttryck: %qT, %qT och %qT"
 
 #: cp/call.c:4520
 #, gcc-internal-format
@@ -27434,9 +27476,9 @@
 msgstr "argument till funktionsanrop kan vara en kandidat för ett formatattribut"
 
 #: cp/call.c:6526
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "use of multiversioned function without a default"
-msgstr "standarddefinierad funktion %q+D med standardargument"
+msgstr "användning av multiversionsfunktion utan ett standardfall"
 
 #: cp/call.c:6745
 #, gcc-internal-format
@@ -27463,107 +27505,107 @@
 msgid "  (you can disable this with -fno-deduce-init-list)"
 msgstr "  (du kan avaktivera detta med -fno-deduce-init-list)"
 
-#: cp/call.c:7153
+#: cp/call.c:7156
 #, gcc-internal-format
 msgid "could not find class$ field in java interface type %qT"
 msgstr "kunde inte hitta class$-fält i java-gränssnittstyp %qT"
 
-#: cp/call.c:7414
+#: cp/call.c:7417
 #, gcc-internal-format
 msgid "call to non-function %qD"
 msgstr "anrop av icke-funktion %qD"
 
-#: cp/call.c:7459 cp/typeck.c:2680
+#: cp/call.c:7462 cp/typeck.c:2680
 #, gcc-internal-format
 msgid "cannot call constructor %<%T::%D%> directly"
 msgstr "kan inte anropa konstrueraren %<%T::%D%> direkt"
 
-#: cp/call.c:7461
+#: cp/call.c:7464
 #, gcc-internal-format
 msgid "  for a function-style cast, remove the redundant %<::%D%>"
 msgstr "  för en typkonvertering i funktionsstil, ta bort det överflödiga %<::%D%>"
 
-#: cp/call.c:7578
+#: cp/call.c:7581
 #, gcc-internal-format
 msgid "no matching function for call to %<%T::operator %T(%A)%#V%>"
 msgstr "ingen matchande funktion för anrop av %<%T::operator %T(%A)%#V%>"
 
-#: cp/call.c:7591
+#: cp/call.c:7594
 #, gcc-internal-format
 msgid "no matching function for call to %<%T::%s(%A)%#V%>"
 msgstr "ingen matchande funktion för anrop av %<%T::%s(%A)%#V%>"
 
-#: cp/call.c:7616
+#: cp/call.c:7619
 #, gcc-internal-format
 msgid "call of overloaded %<%s(%A)%> is ambiguous"
 msgstr "anrop av överlagrad %<%s(%A)%> är tvetydigt"
 
-#: cp/call.c:7645
+#: cp/call.c:7661
 #, gcc-internal-format
 msgid "cannot call member function %qD without object"
 msgstr "det går inte att anropa medlemsfunktion %qD utan ett objekt"
 
-#: cp/call.c:8410
+#: cp/call.c:8428
 #, gcc-internal-format
 msgid "passing %qT chooses %qT over %qT"
 msgstr "att skicka %qT väljer %qT framför %qT"
 
-#: cp/call.c:8412 cp/name-lookup.c:5552
+#: cp/call.c:8430 cp/name-lookup.c:5547
 #, gcc-internal-format
 msgid "  in call to %qD"
 msgstr "  i anrop till %qD"
 
-#: cp/call.c:8470
+#: cp/call.c:8488
 #, gcc-internal-format
 msgid "choosing %qD over %qD"
 msgstr "väljer %qD framför %qD"
 
-#: cp/call.c:8471
+#: cp/call.c:8489
 #, gcc-internal-format
 msgid "  for conversion from %qT to %qT"
 msgstr "  för konvertering från %qT till %qT"
 
-#: cp/call.c:8474
+#: cp/call.c:8492
 #, gcc-internal-format
 msgid "  because conversion sequence for the argument is better"
 msgstr "  för att konverteringssekvensen för argumentet är bättre"
 
-#: cp/call.c:8628
+#: cp/call.c:8646
 #, gcc-internal-format
 msgid "default argument mismatch in overload resolution"
 msgstr "standardargument stämmer inte överens i upplösning av överlagring"
 
-#: cp/call.c:8631
+#: cp/call.c:8649
 #, gcc-internal-format
 msgid " candidate 1: %q+#F"
 msgstr " kandidat 1: %q+#F"
 
-#: cp/call.c:8633
+#: cp/call.c:8651
 #, gcc-internal-format
 msgid " candidate 2: %q+#F"
 msgstr " kandidat 2: %q+#F"
 
-#: cp/call.c:8677
+#: cp/call.c:8695
 #, gcc-internal-format
 msgid "ISO C++ says that these are ambiguous, even though the worst conversion for the first is better than the worst conversion for the second:"
 msgstr "ISO C++ säger att dessa är tvetydiga, trots att den sämsta konverteringen för den första är bättre än den sämsta konverteringen för den andra:"
 
-#: cp/call.c:8841
+#: cp/call.c:8859
 #, gcc-internal-format
 msgid "could not convert %qE from %qT to %qT"
 msgstr "kunde inte konvertera %qE från %qT till %qT"
 
-#: cp/call.c:9034
+#: cp/call.c:9052
 #, gcc-internal-format
 msgid "a temporary bound to %qD only persists until the constructor exits"
 msgstr "en temporär bunden till %qD består endast tills konstrueraren avslutar"
 
-#: cp/call.c:9150
+#: cp/call.c:9168
 #, gcc-internal-format
 msgid "invalid initialization of non-const reference of type %qT from an rvalue of type %qT"
 msgstr "ogiltig initiering av icke konstant referens av typ %qT från ett r-värde av typ %qT"
 
-#: cp/call.c:9154
+#: cp/call.c:9172
 #, gcc-internal-format
 msgid "invalid initialization of reference of type %qT from expression of type %qT"
 msgstr "ogiltig initiering av referens av typ %qT från uttryck av typ %qT"
@@ -27584,14 +27626,14 @@
 msgstr "Javaklass %qT kan inte ha en implicit icketrivial destruerare"
 
 #: cp/class.c:1120
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%q#D inherited from %qT"
-msgstr "  %qT är inte härledd från %qT"
+msgstr "%q#D ärvd från %qT"
 
 #: cp/class.c:1123
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "conflicts with version inherited from %qT"
-msgstr "står i konflikt med tidigare deklaration här"
+msgstr "står i konflikt med tidigare ärvd från %qT"
 
 #: cp/class.c:1137
 #, gcc-internal-format
@@ -27634,9 +27676,9 @@
 msgstr "%qT har inte abi-etiketten %E som basen %qT har"
 
 #: cp/class.c:1331 cp/class.c:1341
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%qT declared here"
-msgstr "%qD är deklarerad här"
+msgstr "%qT är deklarerad här"
 
 #: cp/class.c:1336
 #, gcc-internal-format
@@ -27673,350 +27715,350 @@
 msgid "no unique final overrider for %qD in %qT"
 msgstr "ingen unik slutlig ersättare för %qD i %qT"
 
-#: cp/class.c:2648
+#: cp/class.c:2652
 #, gcc-internal-format
 msgid "%q+#D marked final, but is not virtual"
 msgstr "%q+#D är markerad final, men är inte virtuell"
 
-#: cp/class.c:2650
+#: cp/class.c:2654
 #, gcc-internal-format
 msgid "%q+#D marked override, but does not override"
 msgstr "%q+#D markerad override, men den åsidosätter inte"
 
 #. Here we know it is a hider, and no overrider exists.
-#: cp/class.c:2719
+#: cp/class.c:2723
 #, gcc-internal-format
 msgid "%q+D was hidden"
 msgstr "%q+D var dold"
 
-#: cp/class.c:2720
+#: cp/class.c:2724
 #, gcc-internal-format
 msgid "  by %q+D"
 msgstr "  av %q+D"
 
-#: cp/class.c:2763 cp/decl2.c:1365
+#: cp/class.c:2767 cp/decl2.c:1365
 #, gcc-internal-format
 msgid "%q+#D invalid; an anonymous union can only have non-static data members"
 msgstr "%q+#D ogiltig, en anonym union kan bara ha ickestatiska datamedlemmar"
 
-#: cp/class.c:2766
+#: cp/class.c:2770
 #, gcc-internal-format
 msgid "%q+#D invalid; an anonymous struct can only have non-static data members"
 msgstr "%q+#D ogiltig, en anonym post kan bara ha ickestatiska datamedlemmar"
 
-#: cp/class.c:2774 cp/decl2.c:1371
+#: cp/class.c:2778 cp/decl2.c:1371
 #, gcc-internal-format
 msgid "private member %q+#D in anonymous union"
 msgstr "privat medlem %q+#D i anonym union"
 
-#: cp/class.c:2776
+#: cp/class.c:2780
 #, gcc-internal-format
 msgid "private member %q+#D in anonymous struct"
 msgstr "privat medlem %q+#D i anonym post"
 
-#: cp/class.c:2781 cp/decl2.c:1373
+#: cp/class.c:2785 cp/decl2.c:1373
 #, gcc-internal-format
 msgid "protected member %q+#D in anonymous union"
 msgstr "skyddad medlem %q+#D i anonym union"
 
-#: cp/class.c:2783
+#: cp/class.c:2787
 #, gcc-internal-format
 msgid "protected member %q+#D in anonymous struct"
 msgstr "skyddad medlem %q+#D i anonym post"
 
-#: cp/class.c:2927
+#: cp/class.c:2931
 #, gcc-internal-format
 msgid "the ellipsis in %qD is not inherited"
 msgstr "ellipsen i %qD ärvs inte"
 
-#: cp/class.c:3103
+#: cp/class.c:3106
 #, gcc-internal-format
 msgid "bit-field %q+#D with non-integral type"
 msgstr "bitfält %q+#D har en icke-heltalstyp"
 
-#: cp/class.c:3119
+#: cp/class.c:3122
 #, gcc-internal-format
 msgid "bit-field %q+D width not an integer constant"
 msgstr "bredd för bitfältet %q+D inte en heltalskonstant"
 
-#: cp/class.c:3124
+#: cp/class.c:3127
 #, gcc-internal-format
 msgid "negative width in bit-field %q+D"
 msgstr "negativ bredd i bitfält %q+D"
 
-#: cp/class.c:3129
+#: cp/class.c:3132
 #, gcc-internal-format
 msgid "zero width for bit-field %q+D"
 msgstr "noll i bredd i bitfält %q+D"
 
-#: cp/class.c:3135
+#: cp/class.c:3138
 #, gcc-internal-format
 msgid "width of %q+D exceeds its type"
 msgstr "bredd på %q+D är större än dess typ"
 
-#: cp/class.c:3139
+#: cp/class.c:3142
 #, gcc-internal-format
 msgid "%q+D is too small to hold all values of %q#T"
 msgstr "%q+D är för liten för att få plats med alla värden hos %q#T"
 
-#: cp/class.c:3198
+#: cp/class.c:3201
 #, gcc-internal-format
 msgid "member %q+#D with constructor not allowed in union"
 msgstr "medlem %q+#D med konstruerare inte tillåten i union"
 
-#: cp/class.c:3201
+#: cp/class.c:3204
 #, gcc-internal-format
 msgid "member %q+#D with destructor not allowed in union"
 msgstr "medlem %q+#D med destruerare inte tillåten i union"
 
-#: cp/class.c:3203
+#: cp/class.c:3206
 #, gcc-internal-format
 msgid "member %q+#D with copy assignment operator not allowed in union"
 msgstr "medlem %q+#D med kopieringstilldelningsoperator inte tillåten i union"
 
-#: cp/class.c:3207
+#: cp/class.c:3210
 #, gcc-internal-format
 msgid "unrestricted unions only available with -std=c++11 or -std=gnu++11"
 msgstr "obegränsade unioner är endast tillgängliga med -std=c++11 eller -std=gnu++11"
 
-#: cp/class.c:3244
+#: cp/class.c:3247
 #, gcc-internal-format
 msgid "multiple fields in union %qT initialized"
 msgstr "flera fält i unionen %qT initierade"
 
-#: cp/class.c:3329
+#: cp/class.c:3332
 #, gcc-internal-format
 msgid "%q+D may not be static because it is a member of a union"
 msgstr "%q+D får inte vara statisk eftersom den är medlem av en union"
 
-#: cp/class.c:3334
+#: cp/class.c:3337
 #, gcc-internal-format
 msgid "%q+D may not have reference type %qT because it is a member of a union"
 msgstr "%q+D får inte ha referenstyp %qT eftersom den är en medlen av en union"
 
-#: cp/class.c:3345
+#: cp/class.c:3348
 #, gcc-internal-format
 msgid "field %q+D invalidly declared function type"
 msgstr "fält %q+D ogiltigt deklarerad funktionstyp"
 
-#: cp/class.c:3351
+#: cp/class.c:3354
 #, gcc-internal-format
 msgid "field %q+D invalidly declared method type"
 msgstr "fält %q+D ogiltigt deklarerad metodtyp"
 
-#: cp/class.c:3407
+#: cp/class.c:3410
 #, gcc-internal-format
 msgid "ignoring packed attribute because of unpacked non-POD field %q+#D"
 msgstr "ignorerar attributet packed på grund av opackat icke-POD-fält %q+#D"
 
-#: cp/class.c:3504
+#: cp/class.c:3507
 #, gcc-internal-format
 msgid "field %q+#D with same name as class"
 msgstr "fält %q+#D med samma namn som en klass"
 
-#: cp/class.c:3527
+#: cp/class.c:3530
 #, gcc-internal-format
 msgid "%q#T has pointer data members"
 msgstr "%q#T har pekardatamedlemmar"
 
-#: cp/class.c:3532
+#: cp/class.c:3535
 #, gcc-internal-format
 msgid "  but does not override %<%T(const %T&)%>"
 msgstr "  men ersätter inte %<%T(const %T&)%>"
 
-#: cp/class.c:3534
+#: cp/class.c:3537
 #, gcc-internal-format
 msgid "  or %<operator=(const %T&)%>"
 msgstr "  eller %<operator=(const %T&)%>"
 
-#: cp/class.c:3538
+#: cp/class.c:3541
 #, gcc-internal-format
 msgid "  but does not override %<operator=(const %T&)%>"
 msgstr "  men ersätter inte %<operator=(const %T&)%>"
 
-#: cp/class.c:4009
+#: cp/class.c:4012
 #, gcc-internal-format
 msgid "offset of empty base %qT may not be ABI-compliant and maychange in a future version of GCC"
 msgstr "förskjutning av tom bas %qT följer kanske inte ABI:et och kan ändras i en framtida version av GCC"
 
-#: cp/class.c:4136
+#: cp/class.c:4139
 #, gcc-internal-format
 msgid "class %qT will be considered nearly empty in a future version of GCC"
 msgstr "klass %qT kommer betraktas som nästan tom i en framtida version av GCC"
 
-#: cp/class.c:4218
+#: cp/class.c:4221
 #, gcc-internal-format
 msgid "initializer specified for non-virtual method %q+D"
 msgstr "initierare angiven för icke-virtuell metod %q+D"
 
-#: cp/class.c:4645
+#: cp/class.c:4648
 #, gcc-internal-format
 msgid "method overrides both %<transaction_pure%> and %qE methods"
 msgstr "metoden åsidosätter både metoderna %<transaction_pure%> och %qE"
 
-#: cp/class.c:4666
+#: cp/class.c:4669
 #, gcc-internal-format
 msgid "method declared %qE overriding %qE method"
 msgstr "metod deklarerad %qE åsidosätter %qE-metod"
 
-#: cp/class.c:5132 cp/semantics.c:5826
+#: cp/class.c:5135 cp/semantics.c:5828
 #, gcc-internal-format
 msgid "enclosing class of constexpr non-static member function %q+#D is not a literal type"
 msgstr "omslutande klass till constexpr icke-statisk medlemsfunktion %q+#D är inte en literal typ"
 
-#: cp/class.c:5157
+#: cp/class.c:5160
 #, gcc-internal-format
 msgid "%q+T is not literal because:"
 msgstr "%q+T är inte literal för att:"
 
-#: cp/class.c:5159
+#: cp/class.c:5162
 #, gcc-internal-format
 msgid "  %q+T has a non-trivial destructor"
 msgstr "  %q+T har en icke-trivial destruerare"
 
-#: cp/class.c:5164
+#: cp/class.c:5167
 #, gcc-internal-format
 msgid "  %q+T is not an aggregate, does not have a trivial default constructor, and has no constexpr constructor that is not a copy or move constructor"
 msgstr "  %q+T är inte ett aggregat, har inte en trivial standardkonstruerare och har ingen constexpr-konstruerare som inte är en kopierings- eller flyttningskonstruerare"
 
-#: cp/class.c:5200
+#: cp/class.c:5203
 #, gcc-internal-format
 msgid "  base class %qT of %q+T is non-literal"
 msgstr "  basklassen %qT till %q+T är inte literal"
 
-#: cp/class.c:5214
+#: cp/class.c:5217
 #, gcc-internal-format
 msgid "  non-static data member %q+D has non-literal type"
 msgstr "  den icke-statiska datamedlemmen %q+D har icke-literal typ"
 
-#: cp/class.c:5332
+#: cp/class.c:5335
 #, gcc-internal-format
 msgid "non-static reference %q+#D in class without a constructor"
 msgstr "icke-statisk referens %q+#D i klass utan en konstruerare"
 
-#: cp/class.c:5337
+#: cp/class.c:5340
 #, gcc-internal-format
 msgid "non-static const member %q+#D in class without a constructor"
 msgstr "icke-statisk const-medlem %q+#D i klass utan en konstruerare"
 
 #. If the function is defaulted outside the class, we just
 #. give the synthesis error.
-#: cp/class.c:5363
+#: cp/class.c:5366
 #, gcc-internal-format
 msgid "%q+D declared to take const reference, but implicit declaration would take non-const"
 msgstr "%q+D deklarerad att ta const-referens, men implicit deklaration skulle ta icke-const"
 
-#: cp/class.c:5587
+#: cp/class.c:5590
 #, gcc-internal-format
 msgid "offset of virtual base %qT is not ABI-compliant and may change in a future version of GCC"
 msgstr "förskjutning av virtuell bas %qT följer inte ABI:et och kan ändras i en framtida version av GCC"
 
-#: cp/class.c:5688
+#: cp/class.c:5691
 #, gcc-internal-format
 msgid "direct base %qT inaccessible in %qT due to ambiguity"
 msgstr "direkt bas %qT är oåtkomlig i %qT på grund av tvetydighet"
 
-#: cp/class.c:5700
+#: cp/class.c:5703
 #, gcc-internal-format
 msgid "virtual base %qT inaccessible in %qT due to ambiguity"
 msgstr "virtuell bas %qT är oåtkomlig i %qT på grund av tvetydighet"
 
-#: cp/class.c:5886
+#: cp/class.c:5889
 #, gcc-internal-format
 msgid "size assigned to %qT may not be ABI-compliant and may change in a future version of GCC"
 msgstr "storlek tilldelad till %qT följer kanske inte ABI:et och kan ändras i en framtida version av GCC"
 
-#: cp/class.c:5926
+#: cp/class.c:5929
 #, gcc-internal-format
 msgid "the offset of %qD may not be ABI-compliant and may change in a future version of GCC"
 msgstr "förskjutningen för %qD följer kanske inte ABI:et och kan ändras i en framtida version av GCC"
 
-#: cp/class.c:5954
+#: cp/class.c:5957
 #, gcc-internal-format
 msgid "offset of %q+D is not ABI-compliant and may change in a future version of GCC"
 msgstr "förskjutningen av %q+D följer inte ABI:et och kan ändras i en framtida version av GCC"
 
-#: cp/class.c:5964
+#: cp/class.c:5967
 #, gcc-internal-format
 msgid "%q+D contains empty classes which may cause base classes to be placed at different locations in a future version of GCC"
 msgstr "%q+D innehåller tomma klasser som kan få grundklasser att läggas på annan plats i en framtida version av GCC"
 
-#: cp/class.c:6052
+#: cp/class.c:6055
 #, gcc-internal-format
 msgid "layout of classes derived from empty class %qT may change in a future version of GCC"
 msgstr "utplaceringen av klasser härledda från en tom klass %qT kan ändras i en framtida version av GCC"
 
-#: cp/class.c:6220 cp/decl.c:12134 cp/parser.c:18856
+#: cp/class.c:6223 cp/decl.c:12125 cp/parser.c:18860
 #, gcc-internal-format
 msgid "redefinition of %q#T"
 msgstr "omdefinition av %q#T"
 
-#: cp/class.c:6369
+#: cp/class.c:6372
 #, gcc-internal-format
 msgid "%q#T has virtual functions and accessible non-virtual destructor"
 msgstr "%q#T har virtuella funktioner och åtkomlig ickevirtuell destruerare"
 
-#: cp/class.c:6395
+#: cp/class.c:6398
 #, gcc-internal-format
 msgid "type transparent %q#T does not have any fields"
 msgstr "typgenomskinliga %q#T har inga fält"
 
-#: cp/class.c:6401
+#: cp/class.c:6404
 #, gcc-internal-format
 msgid "type transparent class %qT has base classes"
 msgstr "den typgenomskinliga klassen %qT har basklasser"
 
-#: cp/class.c:6405
+#: cp/class.c:6408
 #, gcc-internal-format
 msgid "type transparent class %qT has virtual functions"
 msgstr "den typgenomskinliga klassen %qT har virtuella funktioner"
 
-#: cp/class.c:6411
+#: cp/class.c:6414
 #, gcc-internal-format
 msgid "type transparent %q#T cannot be made transparent because the type of the first field has a different ABI from the class overall"
 msgstr "typtransparenta %q#T kan inte göras transparent eftersom typen på första fältet har ett annat ABI än klassen som helhet"
 
-#: cp/class.c:6562
+#: cp/class.c:6565
 #, gcc-internal-format
 msgid "trying to finish struct, but kicked out due to previous parse errors"
 msgstr "försökte avsluta post, men hoppade ut på grund av tidigare parsningsfel"
 
-#: cp/class.c:7071
+#: cp/class.c:7074
 #, gcc-internal-format
 msgid "language string %<\"%E\"%> not recognized"
 msgstr "språksträng %<”%E”%> känns inte igen"
 
-#: cp/class.c:7160
+#: cp/class.c:7163
 #, gcc-internal-format
 msgid "cannot resolve overloaded function %qD based on conversion to type %qT"
 msgstr "det går inte att lösa upp överlagrad funktion %qD baserat på konvertering till typ %qT"
 
-#: cp/class.c:7280
+#: cp/class.c:7283
 #, gcc-internal-format
 msgid "no matches converting function %qD to type %q#T"
 msgstr "ingen match som konverterar funktionen %qD till typen %q#T"
 
-#: cp/class.c:7308
+#: cp/class.c:7311
 #, gcc-internal-format
 msgid "converting overloaded function %qD to type %q#T is ambiguous"
 msgstr "konvertering av överlagrad funktion %qD till typ %q#T är tvetydig"
 
-#: cp/class.c:7335
+#: cp/class.c:7338
 #, gcc-internal-format
 msgid "assuming pointer to member %qD"
 msgstr "antar pekare till medlem %qD"
 
-#: cp/class.c:7338
+#: cp/class.c:7341
 #, gcc-internal-format
 msgid "(a pointer to member can only be formed with %<&%E%>)"
 msgstr "(en pekare på medlem kan bara skapas med %<&%E%>)"
 
-#: cp/class.c:7413 cp/class.c:7447
+#: cp/class.c:7416 cp/class.c:7450
 #, gcc-internal-format
 msgid "not enough type information"
 msgstr "inte tillräcklig typinformation"
 
-#: cp/class.c:7430 cp/cvt.c:173 cp/cvt.c:199 cp/cvt.c:248
+#: cp/class.c:7433 cp/cvt.c:173 cp/cvt.c:199 cp/cvt.c:248
 #, gcc-internal-format
 msgid "cannot convert %qE from type %qT to type %qT"
 msgstr "kan inte konvertera %qE från typ %qT till typ %qT"
@@ -28026,12 +28068,12 @@
 #. A name N used in a class S shall refer to the same declaration
 #. in its context and when re-evaluated in the completed scope of
 #. S.
-#: cp/class.c:7742 cp/decl.c:1325
+#: cp/class.c:7745 cp/decl.c:1325
 #, gcc-internal-format
 msgid "declaration of %q#D"
 msgstr "deklaration av %q#D"
 
-#: cp/class.c:7743
+#: cp/class.c:7746
 #, gcc-internal-format
 msgid "changes meaning of %qD from %q+#D"
 msgstr "byter betydelse av %qD från %q+#D"
@@ -28102,9 +28144,9 @@
 msgstr "%q#T använt där %qT förväntades"
 
 #: cp/cvt.c:765
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "could not convert %qE from %<void%> to %<bool%>"
-msgstr "kunde inte konvertera %qE från %qT till %qT"
+msgstr "kunde inte konvertera %qE från %<void%> till %<bool%>"
 
 #: cp/cvt.c:816
 #, gcc-internal-format
@@ -28508,9 +28550,9 @@
 msgstr "tidigare deklaration av %q+#D här"
 
 #: cp/decl.c:1533
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "ambiguates old declaration with deduced return type"
-msgstr "gör gammal deklaration %q+#D tvetydig"
+msgstr "gör gammal deklaration med härledd returtyp tvetydig"
 
 #: cp/decl.c:1544
 #, gcc-internal-format
@@ -28874,14 +28916,14 @@
 msgstr "%<constexpr%> kan inte användas för typdeklarationer"
 
 #: cp/decl.c:4321
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "attribute ignored in explicit instantiation %q#T"
-msgstr "attribut ignoreras vid mallinstansiering"
+msgstr "attribut ignoreras i explicit instantiering av %q#T"
 
 #: cp/decl.c:4324
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "no attribute can be applied to an explicit instantiation"
-msgstr "attributet %qE kan bara användas på klassdefinitioner"
+msgstr "inget attribut kan användas på en explicit instantiering"
 
 #: cp/decl.c:4396
 #, gcc-internal-format
@@ -29053,9 +29095,9 @@
 msgstr "%qT har ingen icke-statisk medlem med namnet %qD"
 
 #: cp/decl.c:5226
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "invalid initializer for %q#D"
-msgstr "ogiltigt initierare för vektormedlem %q#D"
+msgstr "ogiltigt initierare för %q#D"
 
 #: cp/decl.c:5256
 #, gcc-internal-format
@@ -29158,233 +29200,233 @@
 msgid "function %q#D is initialized like a variable"
 msgstr "funktionen %q#D är initierad som en variabel"
 
-#: cp/decl.c:6883
+#: cp/decl.c:6886
 #, gcc-internal-format
 msgid "non-local variable %qD declared %<__thread%> needs dynamic initialization"
 msgstr "ickelokal variabel %qD deklarerad %<__thread%> behöver dynamisk initiering"
 
-#: cp/decl.c:6886
-#, fuzzy, gcc-internal-format
+#: cp/decl.c:6889
+#, gcc-internal-format
 msgid "non-local variable %qD declared %<__thread%> has a non-trivial destructor"
-msgstr "  %q+T har en icke-trivial destruerare"
+msgstr "den icke-lokala variabeln %qD deklarerad %<__thread%> har en icke-trivial destruerare"
 
-#: cp/decl.c:6892
+#: cp/decl.c:6895
 #, gcc-internal-format
 msgid "C++11 %<thread_local%> allows dynamic initialization and destruction"
 msgstr "C++11 %<thread_local%> tillåter dynamsik initialisering och destruktion"
 
-#: cp/decl.c:7119
+#: cp/decl.c:7122
 #, gcc-internal-format
 msgid "initializer fails to determine size of %qT"
 msgstr "initierare misslyckas med att bestämma storleken på %qT"
 
-#: cp/decl.c:7123
+#: cp/decl.c:7126
 #, gcc-internal-format
 msgid "array size missing in %qT"
 msgstr "vektorstorlek saknas i %qT"
 
-#: cp/decl.c:7126
+#: cp/decl.c:7129
 #, gcc-internal-format
 msgid "zero-size array %qT"
 msgstr "vektor med storlek noll %qT"
 
-#: cp/decl.c:7142
+#: cp/decl.c:7145
 #, gcc-internal-format
 msgid "destructor for alien class %qT cannot be a member"
 msgstr "destruerare för främmande class %qT kan inte vara en medlem"
 
-#: cp/decl.c:7144
+#: cp/decl.c:7147
 #, gcc-internal-format
 msgid "constructor for alien class %qT cannot be a member"
 msgstr "konstruerare för främmande klass %qT kan inte vara en medlem"
 
-#: cp/decl.c:7168
+#: cp/decl.c:7171
 #, gcc-internal-format
 msgid "%qD declared as a %<virtual%> variable"
 msgstr "%qD deklarerad som en %<virtual%>-variabel"
 
-#: cp/decl.c:7170
+#: cp/decl.c:7173
 #, gcc-internal-format
 msgid "%qD declared as an %<inline%> variable"
 msgstr "%qD deklarerad som en %<inline%>-variabel"
 
-#: cp/decl.c:7172
+#: cp/decl.c:7175
 #, gcc-internal-format
 msgid "%<const%> and %<volatile%> function specifiers on %qD invalid in variable declaration"
 msgstr "%<const%>- och %<volatile%>-funktionsspecificerare på %qD är ogiltiga i variabeldeklaration"
 
-#: cp/decl.c:7177
+#: cp/decl.c:7180
 #, gcc-internal-format
 msgid "%qD declared as a %<virtual%> parameter"
 msgstr "%qD deklarerad som en %<virtual%>-parameter"
 
-#: cp/decl.c:7179
+#: cp/decl.c:7182
 #, gcc-internal-format
 msgid "%qD declared as an %<inline%> parameter"
 msgstr "%qD deklarerad som en %<inline%>-parameter"
 
-#: cp/decl.c:7181
+#: cp/decl.c:7184
 #, gcc-internal-format
 msgid "%<const%> and %<volatile%> function specifiers on %qD invalid in parameter declaration"
 msgstr "%<const%>- och %<volatile%>-funktionsspecificerare på %qD är ogiltiga i parameterdeklaration"
 
-#: cp/decl.c:7186
+#: cp/decl.c:7189
 #, gcc-internal-format
 msgid "%qD declared as a %<virtual%> type"
 msgstr "%qD deklarerad som en %<virtual%>-typ"
 
-#: cp/decl.c:7188
+#: cp/decl.c:7191
 #, gcc-internal-format
 msgid "%qD declared as an %<inline%> type"
 msgstr "%qD deklarerad som en %<inline%>-typ"
 
-#: cp/decl.c:7190
+#: cp/decl.c:7193
 #, gcc-internal-format
 msgid "%<const%> and %<volatile%> function specifiers on %qD invalid in type declaration"
 msgstr "%<const%>- och %<volatile%>-funktionsspecificerare på %qD är ogiltiga i typdeklaration"
 
-#: cp/decl.c:7195
+#: cp/decl.c:7198
 #, gcc-internal-format
 msgid "%qD declared as a %<virtual%> field"
 msgstr "%qD deklarerat som ett %<virtual%>-fält"
 
-#: cp/decl.c:7197
+#: cp/decl.c:7200
 #, gcc-internal-format
 msgid "%qD declared as an %<inline%> field"
 msgstr "%qD deklarerat som ett %<inline%>-fält"
 
-#: cp/decl.c:7199
+#: cp/decl.c:7202
 #, gcc-internal-format
 msgid "%<const%> and %<volatile%> function specifiers on %qD invalid in field declaration"
 msgstr "%<const%>- och %<volatile%>-funktionsspecificerare på %qD är ogiltiga i fältdeklaration"
 
-#: cp/decl.c:7206
+#: cp/decl.c:7209
 #, gcc-internal-format
 msgid "%q+D declared as a friend"
 msgstr "%q+D deklarerad som en vän"
 
-#: cp/decl.c:7212
+#: cp/decl.c:7215
 #, gcc-internal-format
 msgid "%q+D declared with an exception specification"
 msgstr "%q+D deklarerad med en undantagsspecifikationer"
 
-#: cp/decl.c:7246
+#: cp/decl.c:7249
 #, gcc-internal-format
 msgid "definition of %qD is not in namespace enclosing %qT"
 msgstr "definitionen av %qD är inte i en namnrymd som innesluter %qT"
 
-#: cp/decl.c:7286
+#: cp/decl.c:7289
 #, gcc-internal-format
 msgid "static member function %q#D declared with type qualifiers"
 msgstr "statisk medlemsfunktion %q#D deklarerad med typkvalificerare"
 
-#: cp/decl.c:7385
+#: cp/decl.c:7388
 #, gcc-internal-format
 msgid "defining explicit specialization %qD in friend declaration"
 msgstr "definierar explicit specialisering %qD i vändeklaration"
 
 #. Something like `template <class T> friend void f<T>()'.
-#: cp/decl.c:7395
+#: cp/decl.c:7398
 #, gcc-internal-format
 msgid "invalid use of template-id %qD in declaration of primary template"
 msgstr "ogiltig användning av mall-id %qD i deklaration av primär mall"
 
-#: cp/decl.c:7425
+#: cp/decl.c:7428
 #, gcc-internal-format
 msgid "default arguments are not allowed in declaration of friend template specialization %qD"
 msgstr "standardargument är inte tillåtna i deklaration av vänmallspecialisering %qD"
 
-#: cp/decl.c:7433
+#: cp/decl.c:7436
 #, gcc-internal-format
 msgid "%<inline%> is not allowed in declaration of friend template specialization %qD"
 msgstr "%<inline%> är inte tillåtet i deklaration av vänmallspecialisering %qD"
 
-#: cp/decl.c:7475
+#: cp/decl.c:7478
 #, gcc-internal-format
 msgid "cannot declare %<::main%> to be a template"
 msgstr "det går inte att deklarera %<::main%> som en mall"
 
-#: cp/decl.c:7477
+#: cp/decl.c:7480
 #, gcc-internal-format
 msgid "cannot declare %<::main%> to be inline"
 msgstr "det går inte att deklarera %<::main%> som inline"
 
-#: cp/decl.c:7479
+#: cp/decl.c:7482
 #, gcc-internal-format
 msgid "cannot declare %<::main%> to be static"
 msgstr "det går inte att deklarera %<::main%> som static"
 
-#: cp/decl.c:7507
+#: cp/decl.c:7510
 #, gcc-internal-format
 msgid "anonymous type with no linkage used to declare function %q#D with linkage"
 msgstr "anonym typ utan länkklass används för att deklarera funktionen %q#D med länkklass"
 
-#: cp/decl.c:7511 cp/decl.c:7879 cp/decl2.c:3864
+#: cp/decl.c:7514 cp/decl.c:7882 cp/decl2.c:3864
 #, gcc-internal-format
 msgid "%q+#D does not refer to the unqualified type, so it is not used for linkage"
 msgstr "%+#D refererar inte till den okvalificerade typen, så den används int för länkklass"
 
-#: cp/decl.c:7517
+#: cp/decl.c:7520
 #, gcc-internal-format
 msgid "type %qT with no linkage used to declare function %q#D with linkage"
 msgstr "typen %qT utan någon länkklass använd för att deklarera funktionen %q#D med länkklass"
 
-#: cp/decl.c:7539
+#: cp/decl.c:7542
 #, gcc-internal-format
 msgid "static member function %qD cannot have cv-qualifier"
 msgstr "statisk medlemsfunktion %qD kan inte ha cv-kvalificerare"
 
-#: cp/decl.c:7540
+#: cp/decl.c:7543
 #, gcc-internal-format
 msgid "non-member function %qD cannot have cv-qualifier"
 msgstr "icke-medlemsfunktion %qD kan inte ha cv-kvalificerare"
 
-#: cp/decl.c:7556
+#: cp/decl.c:7559
 #, gcc-internal-format
 msgid "literal operator with C linkage"
 msgstr "literal operator med C-länkning"
 
-#: cp/decl.c:7565
+#: cp/decl.c:7568
 #, gcc-internal-format
 msgid "%qD has invalid argument list"
 msgstr "%qD har en ogiltig argumentlista"
 
-#: cp/decl.c:7573
+#: cp/decl.c:7576
 #, gcc-internal-format
 msgid "integer suffix %<%s%> shadowed by implementation"
 msgstr "heltalssuffixet %<%s%> skuggas av implementationen"
 
-#: cp/decl.c:7579
+#: cp/decl.c:7582
 #, gcc-internal-format
 msgid "floating point suffix %<%s%> shadowed by implementation"
 msgstr "flyttalssuffixet %<%s%> skuggas av implementationen"
 
-#: cp/decl.c:7585
+#: cp/decl.c:7588
 #, gcc-internal-format
 msgid "%qD must be a non-member function"
 msgstr "%qD måste vara en icke-medlems-funktion"
 
-#: cp/decl.c:7636
+#: cp/decl.c:7639
 #, gcc-internal-format
 msgid "%<::main%> must return %<int%>"
 msgstr "%<::main%> måste returnera %<int%>"
 
-#: cp/decl.c:7678
+#: cp/decl.c:7681
 #, gcc-internal-format
 msgid "definition of implicitly-declared %qD"
 msgstr "omdefinition av implicit deklarerad %qD"
 
-#: cp/decl.c:7683
+#: cp/decl.c:7686
 #, gcc-internal-format
 msgid "definition of explicitly-defaulted %q+D"
 msgstr "definition av explicit standarddefinierad %q+D"
 
-#: cp/decl.c:7684
+#: cp/decl.c:7687
 #, gcc-internal-format
 msgid "%q+#D explicitly defaulted here"
 msgstr "%q+#D explicit standarddefinierad här"
 
-#: cp/decl.c:7701 cp/decl2.c:738
+#: cp/decl.c:7704 cp/decl2.c:738
 #, gcc-internal-format
 msgid "no %q#D member function declared in class %qT"
 msgstr "ingen medlemsfunktion %q#D deklarerad i klassen %qT"
@@ -29393,884 +29435,879 @@
 #. no linkage can only be used to declare extern "C"
 #. entities.  Since it's not always an error in the
 #. ISO C++ 90 Standard, we only issue a warning.
-#: cp/decl.c:7876
+#: cp/decl.c:7879
 #, gcc-internal-format
 msgid "anonymous type with no linkage used to declare variable %q#D with linkage"
 msgstr "anonym typ utan länkklass används för att deklarera variabeln %q#D med länkklass"
 
-#: cp/decl.c:7885
+#: cp/decl.c:7888
 #, gcc-internal-format
 msgid "type %qT with no linkage used to declare variable %q#D with linkage"
 msgstr "typen %qT utan länkklass använd för att deklarera variabeln %q#D med länkklass"
 
-#: cp/decl.c:8008
+#: cp/decl.c:8011
 #, gcc-internal-format
 msgid "in-class initialization of static data member %q#D of incomplete type"
 msgstr "initiering i klassen av statisk datamedlem %q#D med icke literal typ"
 
-#: cp/decl.c:8012
+#: cp/decl.c:8015
 #, gcc-internal-format
 msgid "%<constexpr%> needed for in-class initialization of static data member %q#D of non-integral type"
 msgstr "%<constexpr%> behövs för initiering i klassen av statisk datamedlem med icke heltaltyp %q#D"
 
-#: cp/decl.c:8015
+#: cp/decl.c:8018
 #, gcc-internal-format
 msgid "in-class initialization of static data member %q#D of non-literal type"
 msgstr "initiering i klassen av statisk datamedlem med icke heltaltyp %q#D"
 
-#: cp/decl.c:8028
+#: cp/decl.c:8031
 #, gcc-internal-format
 msgid "invalid in-class initialization of static data member of non-integral type %qT"
 msgstr "ogiltig initiering i klassen av statisk datamedlem med icke heltaltyp %qT"
 
-#: cp/decl.c:8034
+#: cp/decl.c:8037
 #, gcc-internal-format
 msgid "ISO C++ forbids in-class initialization of non-const static member %qD"
 msgstr "ISO C++ förbjuder initiering inom klassen av icke-konstant statisk medlem %qD"
 
-#: cp/decl.c:8038
+#: cp/decl.c:8041
 #, gcc-internal-format
 msgid "ISO C++ forbids initialization of member constant %qD of non-integral type %qT"
 msgstr "ISO C++ förbjuder initiering av medlemskonstant %qD av icke heltalstyp %qT"
 
-#: cp/decl.c:8144 cp/decl.c:8172
+#: cp/decl.c:8147 cp/decl.c:8175
 #, gcc-internal-format
 msgid "size of array %qD has non-integral type %qT"
 msgstr "storlek på vektorn %qD av typen %qT är inte en heltalstyp"
 
-#: cp/decl.c:8147 cp/decl.c:8174
+#: cp/decl.c:8150 cp/decl.c:8177
 #, gcc-internal-format
 msgid "size of array has non-integral type %qT"
 msgstr "storlek på vektorn av typen %qT är inte en heltalstyp"
 
-#: cp/decl.c:8224
+#: cp/decl.c:8227
 #, gcc-internal-format
 msgid "size of array %qD is negative"
 msgstr "storleken på vektorn %qD är negativ"
 
-#: cp/decl.c:8226
+#: cp/decl.c:8229
 #, gcc-internal-format
 msgid "size of array is negative"
 msgstr "storleken på vektorn är negativ"
 
-#: cp/decl.c:8240
+#: cp/decl.c:8243
 #, gcc-internal-format
 msgid "ISO C++ forbids zero-size array %qD"
 msgstr "ISO C++ förbjuder vektor %qD med storlek noll"
 
-#: cp/decl.c:8242
+#: cp/decl.c:8245
 #, gcc-internal-format
 msgid "ISO C++ forbids zero-size array"
 msgstr "ISO C++ förbjuder vektor med storlek noll"
 
-#: cp/decl.c:8254
+#: cp/decl.c:8257
 #, gcc-internal-format
 msgid "size of array %qD is not an integral constant-expression"
 msgstr "storlek på vektorn %qD är inte ett konstantuttryck av heltalstyp"
 
-#: cp/decl.c:8257
+#: cp/decl.c:8260
 #, gcc-internal-format
 msgid "size of array is not an integral constant-expression"
 msgstr "storlek på vektorn är inte ett konstantuttryck av heltalstyp"
 
-#: cp/decl.c:8263
+#: cp/decl.c:8266
 #, gcc-internal-format
 msgid "ISO C++ forbids variable length array %qD"
 msgstr "ISO C++ förbjuder vektor %qD med variabel längd"
 
-#: cp/decl.c:8265
+#: cp/decl.c:8268
 #, gcc-internal-format
 msgid "ISO C++ forbids variable length array"
 msgstr "ISO C++ förbjuder vektor med variabel längd"
 
-#: cp/decl.c:8271
+#: cp/decl.c:8274
 #, gcc-internal-format
 msgid "variable length array %qD is used"
 msgstr "vektor %qD med variabel längd används"
 
-#: cp/decl.c:8323
+#: cp/decl.c:8326
 #, gcc-internal-format
 msgid "overflow in array dimension"
 msgstr "spill i vektordimension"
 
-#: cp/decl.c:8383
+#: cp/decl.c:8386
 #, gcc-internal-format
 msgid "declaration of %qD as array of %<auto%>"
 msgstr "deklaration av %qD som en vektor av %<auto%>"
 
-#: cp/decl.c:8391
+#: cp/decl.c:8394
 #, gcc-internal-format
 msgid "declaration of %qD as array of void"
 msgstr "deklaration av %qD som en vektor av void"
 
-#: cp/decl.c:8393
+#: cp/decl.c:8396
 #, gcc-internal-format
 msgid "creating array of void"
 msgstr "skapar vektor av void"
 
-#: cp/decl.c:8398
+#: cp/decl.c:8401
 #, gcc-internal-format
 msgid "declaration of %qD as array of functions"
 msgstr "deklaration av %qD som en vektor av funktioner"
 
-#: cp/decl.c:8400
+#: cp/decl.c:8403
 #, gcc-internal-format
 msgid "creating array of functions"
 msgstr "skapar vektor av funktioner"
 
-#: cp/decl.c:8405
+#: cp/decl.c:8408
 #, gcc-internal-format
 msgid "declaration of %qD as array of references"
 msgstr "deklaration av %qD som en vektor av referenser"
 
-#: cp/decl.c:8407
+#: cp/decl.c:8410
 #, gcc-internal-format
 msgid "creating array of references"
 msgstr "skapar vektor av referenser"
 
-#: cp/decl.c:8412
+#: cp/decl.c:8415
 #, gcc-internal-format
 msgid "declaration of %qD as array of function members"
 msgstr "deklaration av %qD som en vektor av funktionsmedlemmar"
 
-#: cp/decl.c:8414
+#: cp/decl.c:8417
 #, gcc-internal-format
 msgid "creating array of function members"
 msgstr "skapar vektor av funktionsmedlemmar"
 
-#: cp/decl.c:8428
+#: cp/decl.c:8431
 #, gcc-internal-format
 msgid "declaration of %qD as multidimensional array must have bounds for all dimensions except the first"
 msgstr "deklaration av %qD som flerdimensionell vektor måste ha gränser för alla dimensioner utom den första"
 
-#: cp/decl.c:8432
+#: cp/decl.c:8435
 #, gcc-internal-format
 msgid "multidimensional array must have bounds for all dimensions except the first"
 msgstr "flerdimensionell vektor måste ha gränser för alla dimensioner utom den första"
 
-#: cp/decl.c:8467
+#: cp/decl.c:8470
 #, gcc-internal-format
 msgid "return type specification for constructor invalid"
 msgstr "en returtypsspecifikation för konstruerare är ogiltig"
 
-#: cp/decl.c:8477
+#: cp/decl.c:8480
 #, gcc-internal-format
 msgid "return type specification for destructor invalid"
 msgstr "specifikation av returtyp för destruerare är ogiltigt"
 
-#: cp/decl.c:8490
+#: cp/decl.c:8493
 #, gcc-internal-format
 msgid "return type specified for %<operator %T%>"
 msgstr "returtyp angiven för %<operator %T%>"
 
-#: cp/decl.c:8512
+#: cp/decl.c:8515
 #, gcc-internal-format
 msgid "unnamed variable or field declared void"
 msgstr "namnlös variabel eller fält deklarerad void"
 
-#: cp/decl.c:8519
+#: cp/decl.c:8522
 #, gcc-internal-format
 msgid "variable or field declared void"
 msgstr "variabel eller fält deklarerad void"
 
-#: cp/decl.c:8720
+#: cp/decl.c:8722
 #, gcc-internal-format
 msgid "invalid use of qualified-name %<::%D%>"
 msgstr "ogiltigt användning av kvalificerat namn %<::%D%>"
 
-#: cp/decl.c:8723
+#: cp/decl.c:8725
 #, gcc-internal-format
 msgid "invalid use of qualified-name %<%T::%D%>"
 msgstr "ogiltig användning av kvalificerat namn %<%T::%D%>"
 
-#: cp/decl.c:8726
+#: cp/decl.c:8728
 #, gcc-internal-format
 msgid "invalid use of qualified-name %<%D::%D%>"
 msgstr "ogiltig användning av kvalificerat namn %<%D::%D%>"
 
-#: cp/decl.c:8735
+#: cp/decl.c:8737
 #, gcc-internal-format
 msgid "%q#T is not a class or a namespace"
 msgstr "%q#T är inte en klass eller namnrymd"
 
-#: cp/decl.c:8743
+#: cp/decl.c:8745
 #, gcc-internal-format
 msgid "type %qT is not derived from type %qT"
 msgstr "typ %qT är inte härledd från typen %qT"
 
-#: cp/decl.c:8759 cp/decl.c:8851 cp/decl.c:8860 cp/decl.c:10242
+#: cp/decl.c:8761 cp/decl.c:8853 cp/decl.c:8862 cp/decl.c:10238
 #, gcc-internal-format
 msgid "declaration of %qD as non-function"
 msgstr "deklaration av %qD som en icke-funktion"
 
-#: cp/decl.c:8765
+#: cp/decl.c:8767
 #, gcc-internal-format
 msgid "declaration of %qD as non-member"
 msgstr "deklaration av %qD som icke-medlem"
 
-#: cp/decl.c:8796
+#: cp/decl.c:8798
 #, gcc-internal-format
 msgid "declarator-id missing; using reserved word %qD"
 msgstr "deklarerar-id saknas, använder reserverat ord %qD"
 
-#: cp/decl.c:8843
+#: cp/decl.c:8845
 #, gcc-internal-format
 msgid "function definition does not declare parameters"
 msgstr "funktionsdefinition deklarerar inte parametrar"
 
-#: cp/decl.c:8868
+#: cp/decl.c:8870
 #, gcc-internal-format
 msgid "declaration of %qD as %<typedef%>"
 msgstr "deklaration av %qD som %<typedef%>"
 
-#: cp/decl.c:8873
+#: cp/decl.c:8875
 #, gcc-internal-format
 msgid "declaration of %qD as parameter"
 msgstr "deklaration av %qD som en parameter"
 
-#: cp/decl.c:8906
+#: cp/decl.c:8908
 #, gcc-internal-format
 msgid "%<constexpr%> cannot appear in a typedef declaration"
 msgstr "%<constexpr%> kan inte förekomma i en typedef-deklaration"
 
-#: cp/decl.c:8914
+#: cp/decl.c:8916
 #, gcc-internal-format
 msgid "two or more data types in declaration of %qs"
 msgstr "två eller fler datatyper i deklaration av %qs"
 
-#: cp/decl.c:8920
+#: cp/decl.c:8922
 #, gcc-internal-format
 msgid "conflicting specifiers in declaration of %qs"
 msgstr "motstridande specificerare i deklarationen av %qs"
 
-#: cp/decl.c:8992 cp/decl.c:8995 cp/decl.c:8998
+#: cp/decl.c:8994 cp/decl.c:8997 cp/decl.c:9000
 #, gcc-internal-format
 msgid "ISO C++ forbids declaration of %qs with no type"
 msgstr "ISO C++ förbjuder deklaration av %qs utan typ"
 
-#: cp/decl.c:9009
+#: cp/decl.c:9011
 #, gcc-internal-format
 msgid "%<__int128%> is not supported by this target"
 msgstr "%<__int128%> stödjs inte på denna målarkitektur"
 
-#: cp/decl.c:9014
+#: cp/decl.c:9016
 #, gcc-internal-format
 msgid "ISO C++ does not support %<__int128%> for %qs"
 msgstr "ISO C++ stödjer inte %<__int128%> för %qs"
 
-#: cp/decl.c:9035 cp/decl.c:9055
+#: cp/decl.c:9037 cp/decl.c:9057
 #, gcc-internal-format
 msgid "%<signed%> or %<unsigned%> invalid for %qs"
 msgstr "%<signed%> eller %<unsigned%> är ogiltigt för %qs"
 
-#: cp/decl.c:9037
+#: cp/decl.c:9039
 #, gcc-internal-format
 msgid "%<signed%> and %<unsigned%> specified together for %qs"
 msgstr "%<signed%> och %<unsigned%> givna tillsammans för %qs"
 
-#: cp/decl.c:9039
+#: cp/decl.c:9041
 #, gcc-internal-format
 msgid "%<long long%> invalid for %qs"
 msgstr "%<long long%> ogiltig för %qs"
 
-#: cp/decl.c:9041
+#: cp/decl.c:9043
 #, gcc-internal-format
 msgid "%<long%> invalid for %qs"
 msgstr "%<long%> ogiltig för %qs"
 
-#: cp/decl.c:9043
+#: cp/decl.c:9045
 #, gcc-internal-format
 msgid "%<short%> invalid for %qs"
 msgstr "%<short%> ogiltig för %qs"
 
-#: cp/decl.c:9045
+#: cp/decl.c:9047
 #, gcc-internal-format
 msgid "%<long%> or %<short%> invalid for %qs"
 msgstr "%<long%> eller %<short%> ogiltig för %qs"
 
-#: cp/decl.c:9047
+#: cp/decl.c:9049
 #, gcc-internal-format
 msgid "%<long%>, %<int%>, %<short%>, or %<char%> invalid for %qs"
 msgstr "%<long%>, %<int%>, %<short%> eller %<char%> ogiltig för %qs"
 
-#: cp/decl.c:9049
+#: cp/decl.c:9051
 #, gcc-internal-format
 msgid "%<long%> or %<short%> specified with char for %qs"
 msgstr "%<long%> eller %<short%> angiven med char för %qs"
 
-#: cp/decl.c:9051
+#: cp/decl.c:9053
 #, gcc-internal-format
 msgid "%<long%> and %<short%> specified together for %qs"
 msgstr "%<long%> och %<short%> angivna tillsammans för %qs"
 
-#: cp/decl.c:9057
+#: cp/decl.c:9059
 #, gcc-internal-format
 msgid "%<short%> or %<long%> invalid for %qs"
 msgstr "%<short%> eller %<long%> ogiltig för %qs"
 
-#: cp/decl.c:9065
+#: cp/decl.c:9067
 #, gcc-internal-format
 msgid "long, short, signed or unsigned used invalidly for %qs"
 msgstr "long, short, signed eller unsigned använd felaktigt för %qs"
 
-#: cp/decl.c:9133
+#: cp/decl.c:9135
 #, gcc-internal-format
 msgid "complex invalid for %qs"
 msgstr "complex ogiltig för %qs"
 
-#: cp/decl.c:9161
+#: cp/decl.c:9163
 #, gcc-internal-format
 msgid "qualifiers are not allowed on declaration of %<operator %T%>"
 msgstr "kvalificerare är inte tillåtna på deklaration av %<operator %T%>"
 
-#: cp/decl.c:9193
+#: cp/decl.c:9195
 #, gcc-internal-format
 msgid "member %qD cannot be declared both virtual and static"
 msgstr "medlem %qD kan inte deklareras både virtual och static"
 
-#: cp/decl.c:9201
+#: cp/decl.c:9206
 #, gcc-internal-format
-msgid "%<%T::%D%> is not a valid declarator"
-msgstr "%<%T::%D%> är inte en giltig deklarerare"
-
-#: cp/decl.c:9210
-#, gcc-internal-format
 msgid "typedef declaration invalid in parameter declaration"
 msgstr "typedef-deklaration ogiltig i parameterdeklaration"
 
-#: cp/decl.c:9215
+#: cp/decl.c:9211
 #, gcc-internal-format
 msgid "storage class specified for template parameter %qs"
 msgstr "lagringsklass angiven för mallparameter %qs"
 
-#: cp/decl.c:9221
+#: cp/decl.c:9217
 #, gcc-internal-format
 msgid "storage class specifiers invalid in parameter declarations"
 msgstr "specificerare av lagringsklass ogiltig i parameterdeklarationer"
 
-#: cp/decl.c:9227
+#: cp/decl.c:9223
 #, gcc-internal-format
 msgid "a parameter cannot be declared %<constexpr%>"
 msgstr "en parameter kan inte deklareras %<constexpr%>"
 
-#: cp/decl.c:9236
+#: cp/decl.c:9232
 #, gcc-internal-format
 msgid "%<virtual%> outside class declaration"
 msgstr "%<virtual%> utanför klassdeklaration"
 
-#: cp/decl.c:9254
+#: cp/decl.c:9250
 #, gcc-internal-format
 msgid "multiple storage classes in declaration of %qs"
 msgstr "flera lagringsklasser i deklaration av %qs"
 
-#: cp/decl.c:9277
+#: cp/decl.c:9273
 #, gcc-internal-format
 msgid "storage class specified for %qs"
 msgstr "lagringsklass angiven för %qs"
 
-#: cp/decl.c:9281
+#: cp/decl.c:9277
 #, gcc-internal-format
 msgid "storage class specified for parameter %qs"
 msgstr "lagringsklass angiven för parameter %qs"
 
-#: cp/decl.c:9294
+#: cp/decl.c:9290
 #, gcc-internal-format
 msgid "nested function %qs declared %<extern%>"
 msgstr "nästad funktion %qs är deklarerad %<extern%>"
 
-#: cp/decl.c:9298
+#: cp/decl.c:9294
 #, gcc-internal-format
 msgid "top-level declaration of %qs specifies %<auto%>"
 msgstr "toppnivådeklaration av %qs anger %<auto%>"
 
-#: cp/decl.c:9305
+#: cp/decl.c:9301
 #, gcc-internal-format
 msgid "function-scope %qs implicitly auto and declared %<__thread%>"
 msgstr "funktionsdefinitionsområde %qs implicit auto och deklarerat %<__thread%>"
 
-#: cp/decl.c:9317
+#: cp/decl.c:9313
 #, gcc-internal-format
 msgid "storage class specifiers invalid in friend function declarations"
 msgstr "ogiltig specificerare av lagringsklass i vänfunktionsdeklarationer"
 
-#: cp/decl.c:9427
+#: cp/decl.c:9423
 #, gcc-internal-format
 msgid "%qs declared as function returning a function"
 msgstr "%qs är deklarerad som en funktion som returnerar en funktion"
 
-#: cp/decl.c:9432
+#: cp/decl.c:9428
 #, gcc-internal-format
 msgid "%qs declared as function returning an array"
 msgstr "%qs är deklarerad som en funktion som returnerar en vektor"
 
-#: cp/decl.c:9438
-#, fuzzy, gcc-internal-format
+#: cp/decl.c:9434
+#, gcc-internal-format
 msgid "%qs declared as function returning an abstract class type"
-msgstr "%qs är deklarerad som en funktion som returnerar en vektor"
+msgstr "%qs är deklarerad som en funktion som returnerar en abstrakt klasstyp"
 
-#: cp/decl.c:9467
+#: cp/decl.c:9463
 #, gcc-internal-format
 msgid "%qs function uses %<auto%> type specifier without trailing return type"
 msgstr "funktionen %qs använder typspecificeraren %<auto%> utan avslutande returtyp"
 
-#: cp/decl.c:9473
+#: cp/decl.c:9469
 #, gcc-internal-format
 msgid "%qs function with trailing return type has %qT as its type rather than plain %<auto%>"
 msgstr "funktionen %qs med avslutande returtyp har %qT som sin typ istället för bara %<auto%>"
 
 #. Not using maybe_warn_cpp0x because this should
 #. always be an error.
-#: cp/decl.c:9484
+#: cp/decl.c:9480
 #, gcc-internal-format
 msgid "trailing return type only available with -std=c++11 or -std=gnu++11"
 msgstr "avslutande returtyp är endast tillgänglig med -std=c++11 eller -std=gnu++11"
 
-#: cp/decl.c:9487
+#: cp/decl.c:9483
 #, gcc-internal-format
 msgid "%qs function with trailing return type not declared with %<auto%> type specifier"
 msgstr "funktionen %qs med avslutande returtyp är inte deklarerad med typspecificeraren %<auto%>"
 
-#: cp/decl.c:9520
+#: cp/decl.c:9516
 #, gcc-internal-format
 msgid "destructor cannot be static member function"
 msgstr "destruerare kan inte vara en statisk medlemsfunktion"
 
-#: cp/decl.c:9521
+#: cp/decl.c:9517
 #, gcc-internal-format
 msgid "constructor cannot be static member function"
 msgstr "konstruerare kan inte vara en statisk medlemsfunktion"
 
-#: cp/decl.c:9525
+#: cp/decl.c:9521
 #, gcc-internal-format
 msgid "destructors may not be cv-qualified"
 msgstr "destruerare får inte vara cv-kvalificerade"
 
-#: cp/decl.c:9526
+#: cp/decl.c:9522
 #, gcc-internal-format
 msgid "constructors may not be cv-qualified"
 msgstr "konstruerare får inte vara cv-kvalificerade"
 
-#: cp/decl.c:9543
+#: cp/decl.c:9539
 #, gcc-internal-format
 msgid "constructors cannot be declared virtual"
 msgstr "konstruerare kan inte deklareras virtual"
 
-#: cp/decl.c:9556
+#: cp/decl.c:9552
 #, gcc-internal-format
 msgid "can%'t initialize friend function %qs"
 msgstr "det går inte att initiera vänfunktionen %qs"
 
 #. Cannot be both friend and virtual.
-#: cp/decl.c:9560
+#: cp/decl.c:9556
 #, gcc-internal-format
 msgid "virtual functions cannot be friends"
 msgstr "virtuella funktioner kan inte vara vänner"
 
-#: cp/decl.c:9564
+#: cp/decl.c:9560
 #, gcc-internal-format
 msgid "friend declaration not in class definition"
 msgstr "vändeklaration är inte i klassdefinition"
 
-#: cp/decl.c:9566
+#: cp/decl.c:9562
 #, gcc-internal-format
 msgid "can%'t define friend function %qs in a local class definition"
 msgstr "det går inte att definiera vänfunktion %qs i en lokal klassdefinition"
 
-#: cp/decl.c:9587
+#: cp/decl.c:9583
 #, gcc-internal-format
 msgid "destructors may not have parameters"
 msgstr "destruerare får inte ha parametrar"
 
-#: cp/decl.c:9613
+#: cp/decl.c:9609
 #, gcc-internal-format
 msgid "cannot declare pointer to %q#T"
 msgstr "det går inte att deklarera pekare till %q#T"
 
-#: cp/decl.c:9626 cp/decl.c:9633
+#: cp/decl.c:9622 cp/decl.c:9629
 #, gcc-internal-format
 msgid "cannot declare reference to %q#T"
 msgstr "det går inte att deklarera referens till %q#T"
 
-#: cp/decl.c:9635
+#: cp/decl.c:9631
 #, gcc-internal-format
 msgid "cannot declare pointer to %q#T member"
 msgstr "det går inte att deklarera pekare medlem av %q#T"
 
-#: cp/decl.c:9658
+#: cp/decl.c:9654
 #, gcc-internal-format
 msgid "cannot declare reference to qualified function type %qT"
 msgstr "det går inte att deklarera en referens till en kvalificerad funktionstyp %qT"
 
-#: cp/decl.c:9659
+#: cp/decl.c:9655
 #, gcc-internal-format
 msgid "cannot declare pointer to qualified function type %qT"
 msgstr "det går inte att deklarera en pekare till en kvalificerad funktionstyp %qT"
 
-#: cp/decl.c:9733
+#: cp/decl.c:9729
 #, gcc-internal-format
 msgid "cannot declare reference to %q#T, which is not a typedef or a template type argument"
 msgstr "det går inte att deklarera en referens till %q#T, som inte är ett typedef- eller ett malltypargument"
 
-#: cp/decl.c:9797
+#: cp/decl.c:9793
 #, gcc-internal-format
 msgid "both %<volatile%> and %<constexpr%> cannot be used here"
 msgstr "det går inte att använda både %<volatile%> och %<constexpr%> här"
 
-#: cp/decl.c:9809
+#: cp/decl.c:9805
 #, gcc-internal-format
 msgid "template-id %qD used as a declarator"
 msgstr "mall-id %qD använd som en deklarerare"
 
-#: cp/decl.c:9833
+#: cp/decl.c:9829
 #, gcc-internal-format
 msgid "member functions are implicitly friends of their class"
 msgstr "medlemsfunktioner är implicit vänner till sin klass"
 
-#: cp/decl.c:9838
+#: cp/decl.c:9834
 #, gcc-internal-format
 msgid "extra qualification %<%T::%> on member %qs"
 msgstr "extra kvalifikation %<%T::%> på medlem %qs"
 
-#: cp/decl.c:9868
+#: cp/decl.c:9864
 #, gcc-internal-format
 msgid "cannot define member function %<%T::%s%> within %<%T%>"
 msgstr "det går inte att definiera medlemsfunktion %<%T::%s%> inuti %<%T%>"
 
-#: cp/decl.c:9870
+#: cp/decl.c:9866
 #, gcc-internal-format
 msgid "cannot declare member function %<%T::%s%> within %<%T%>"
 msgstr "det går inte att deklarera medlemsfunktionen %<%T::%s%> inuti %<%T%>"
 
-#: cp/decl.c:9879
+#: cp/decl.c:9875
 #, gcc-internal-format
 msgid "cannot declare member %<%T::%s%> within %qT"
 msgstr "det går inte att deklarera medlem %<%T::%s%> inuti %qT"
 
-#: cp/decl.c:9912
+#: cp/decl.c:9908
 #, gcc-internal-format
 msgid "non-parameter %qs cannot be a parameter pack"
 msgstr "icke-parameter %qs kan inte vara ett parameterpaket"
 
-#: cp/decl.c:9922
+#: cp/decl.c:9918
 #, gcc-internal-format
 msgid "size of array %qs is too large"
 msgstr "storleken på vektorn %qs är för stor"
 
-#: cp/decl.c:9933
+#: cp/decl.c:9929
 #, gcc-internal-format
 msgid "data member may not have variably modified type %qT"
 msgstr "datamedlem får inte ha variabel typ %qT"
 
-#: cp/decl.c:9935
+#: cp/decl.c:9931
 #, gcc-internal-format
 msgid "parameter may not have variably modified type %qT"
 msgstr "parameter får inte ha variabel typ %qT"
 
 #. [dcl.fct.spec] The explicit specifier shall only be used in
 #. declarations of constructors within a class definition.
-#: cp/decl.c:9943
+#: cp/decl.c:9939
 #, gcc-internal-format
 msgid "only declarations of constructors can be %<explicit%>"
 msgstr "endast deklarationer av konstruerare kan vara %<explicit%>"
 
-#: cp/decl.c:9951
+#: cp/decl.c:9947
 #, gcc-internal-format
 msgid "non-member %qs cannot be declared %<mutable%>"
 msgstr "icke-medlem %qs kan inte deklareras %<mutable%>"
 
-#: cp/decl.c:9957
+#: cp/decl.c:9953
 #, gcc-internal-format
 msgid "non-object member %qs cannot be declared %<mutable%>"
 msgstr "icke-objektmedlem %qs kan inte deklareras %<mutable%>"
 
-#: cp/decl.c:9963
+#: cp/decl.c:9959
 #, gcc-internal-format
 msgid "function %qs cannot be declared %<mutable%>"
 msgstr "funktionen %qs kan inte deklareras %<mutable%>"
 
-#: cp/decl.c:9968
+#: cp/decl.c:9964
 #, gcc-internal-format
 msgid "static %qs cannot be declared %<mutable%>"
 msgstr "statiska %qs kan inte deklareras %<mutable%>"
 
-#: cp/decl.c:9973
+#: cp/decl.c:9969
 #, gcc-internal-format
 msgid "const %qs cannot be declared %<mutable%>"
 msgstr "const %qs kan inte deklareras %<mutable%>"
 
-#: cp/decl.c:9978
+#: cp/decl.c:9974
 #, gcc-internal-format
 msgid "reference %qs cannot be declared %<mutable%>"
 msgstr "referensen %qs kan inte deklareras %<mutable%>"
 
-#: cp/decl.c:10013
+#: cp/decl.c:10009
 #, gcc-internal-format
 msgid "typedef declared %<auto%>"
 msgstr "typedef deklarerad %<auto%>"
 
-#: cp/decl.c:10023
+#: cp/decl.c:10019
 #, gcc-internal-format
 msgid "typedef name may not be a nested-name-specifier"
 msgstr "typedef-namn får inte vara en nästad-namnspecificerare"
 
-#: cp/decl.c:10042
+#: cp/decl.c:10038
 #, gcc-internal-format
 msgid "ISO C++ forbids nested type %qD with same name as enclosing class"
 msgstr "ISO C++ förbjuder nästad typ %qD med samma namn som en omgivande klass"
 
-#: cp/decl.c:10143
+#: cp/decl.c:10139
 #, gcc-internal-format
 msgid "qualified function types cannot be used to declare static member functions"
 msgstr "kvalificerade funktiontyper kan inte användas för att deklarera statiska medlemsfunktioner"
 
-#: cp/decl.c:10145
+#: cp/decl.c:10141
 #, gcc-internal-format
 msgid "qualified function types cannot be used to declare free functions"
 msgstr "kvalificerade funktiontyper kan inte användas för att deklarera fria funktioner"
 
-#: cp/decl.c:10172
+#: cp/decl.c:10168
 #, gcc-internal-format
 msgid "type qualifiers specified for friend class declaration"
 msgstr "typkvalificerare angivna för vänklassdeklaration"
 
-#: cp/decl.c:10177
+#: cp/decl.c:10173
 #, gcc-internal-format
 msgid "%<inline%> specified for friend class declaration"
 msgstr "%<inline%> angivet för vänklassdeklaration"
 
-#: cp/decl.c:10185
+#: cp/decl.c:10181
 #, gcc-internal-format
 msgid "template parameters cannot be friends"
 msgstr "mallparametrar kan inte vara vänner"
 
-#: cp/decl.c:10187
+#: cp/decl.c:10183
 #, gcc-internal-format
 msgid "friend declaration requires class-key, i.e. %<friend class %T::%D%>"
 msgstr "vändeklaration kräver klassnyckel, d.v.s. %<friend class %T::%D%>"
 
-#: cp/decl.c:10191
+#: cp/decl.c:10187
 #, gcc-internal-format
 msgid "friend declaration requires class-key, i.e. %<friend %#T%>"
 msgstr "vändeklaration kräver klassnyckel, d.v.s. %<friend %#T%>"
 
-#: cp/decl.c:10204
+#: cp/decl.c:10200
 #, gcc-internal-format
 msgid "trying to make class %qT a friend of global scope"
 msgstr "försöker göra klassen %qT en vän med global räckvidd"
 
-#: cp/decl.c:10222
+#: cp/decl.c:10218
 #, gcc-internal-format
 msgid "invalid qualifiers on non-member function type"
 msgstr "ogiltiga kvalificerare på typ som inte är medlemsfunktion"
 
-#: cp/decl.c:10232
+#: cp/decl.c:10228
 #, gcc-internal-format
 msgid "abstract declarator %qT used as declaration"
 msgstr "abstrakt deklarerare %qT använd som deklaration"
 
-#: cp/decl.c:10261
+#: cp/decl.c:10257
 #, gcc-internal-format
 msgid "cannot use %<::%> in parameter declaration"
 msgstr "det går inte att använda %<::%> i parameterdeklaration"
 
-#: cp/decl.c:10265
+#: cp/decl.c:10261
 #, gcc-internal-format
 msgid "parameter declared %<auto%>"
 msgstr "parametern deklarerad %<auto%>"
 
-#: cp/decl.c:10308
+#: cp/decl.c:10304
 #, gcc-internal-format
 msgid "non-static data member declared %<auto%>"
 msgstr "ej statisk datamedlem deklarerad %<auto%>"
 
 #. Something like struct S { int N::j; };
-#: cp/decl.c:10330
+#: cp/decl.c:10326
 #, gcc-internal-format
 msgid "invalid use of %<::%>"
 msgstr "ogiltigt användning av %<::%>"
 
-#: cp/decl.c:10352
+#: cp/decl.c:10348
 #, gcc-internal-format
 msgid "declaration of function %qD in invalid context"
 msgstr "deklaration av funktionen %qD i ogiltig kontext"
 
-#: cp/decl.c:10361
+#: cp/decl.c:10357
 #, gcc-internal-format
 msgid "function %qD declared virtual inside a union"
 msgstr "funktionen %qD deklarerad virtuell inuti en union"
 
-#: cp/decl.c:10370
+#: cp/decl.c:10366
 #, gcc-internal-format
 msgid "%qD cannot be declared virtual, since it is always static"
 msgstr "%qD kan inte deklareras virtuell, eftersom den redan är statisk"
 
-#: cp/decl.c:10386
+#: cp/decl.c:10382
 #, gcc-internal-format
 msgid "expected qualified name in friend declaration for destructor %qD"
 msgstr "kvalificerat namn förväntades i vändeklaration för destruerare %qD"
 
-#: cp/decl.c:10393
+#: cp/decl.c:10389
 #, gcc-internal-format
 msgid "declaration of %qD as member of %qT"
 msgstr "deklaration av %qD som medlem av %qT"
 
-#: cp/decl.c:10399
+#: cp/decl.c:10395
 #, gcc-internal-format
 msgid "a destructor cannot be %<constexpr%>"
 msgstr "en destruerare kan inte vara %<constexpr%>"
 
-#: cp/decl.c:10405
+#: cp/decl.c:10401
 #, gcc-internal-format
 msgid "expected qualified name in friend declaration for constructor %qD"
 msgstr "kvalificerat namn förväntades i vändeklaration för konstruerare %qD"
 
-#: cp/decl.c:10451
+#: cp/decl.c:10447
 #, gcc-internal-format
 msgid "field %qD has incomplete type"
 msgstr "fält %qD har ofullständig typ"
 
-#: cp/decl.c:10453
+#: cp/decl.c:10449
 #, gcc-internal-format
 msgid "name %qT has incomplete type"
 msgstr "namnet %qT har ofullständig typ"
 
-#: cp/decl.c:10462
+#: cp/decl.c:10458
 #, gcc-internal-format
 msgid "  in instantiation of template %qT"
 msgstr "  i instansiering av mallen %qT"
 
-#: cp/decl.c:10471
+#: cp/decl.c:10467
 #, gcc-internal-format
 msgid "%qE is neither function nor member function; cannot be declared friend"
 msgstr "%qE är varken en funktion eller medlemsfunktion, kan inte deklareras som vän"
 
-#: cp/decl.c:10528
+#: cp/decl.c:10524
 #, gcc-internal-format
 msgid "constexpr static data member %qD must have an initializer"
 msgstr "statisk constexpr-datamedlemmen %qD måste ha en initierare"
 
-#: cp/decl.c:10537
+#: cp/decl.c:10533
 #, gcc-internal-format
 msgid "non-static data member %qE declared %<constexpr%>"
 msgstr "ickestatisk datamedlem %qE deklarerad %<constexpr%>"
 
-#: cp/decl.c:10587
+#: cp/decl.c:10583
 #, gcc-internal-format
 msgid "storage class %<auto%> invalid for function %qs"
 msgstr "lagringsklassen %<auto%> är ogiltig för funktionen %qs"
 
-#: cp/decl.c:10589
+#: cp/decl.c:10585
 #, gcc-internal-format
 msgid "storage class %<register%> invalid for function %qs"
 msgstr "lagringsklassen %<register%> är ogiltig för funktionen %qs"
 
-#: cp/decl.c:10593
+#: cp/decl.c:10589
 #, gcc-internal-format
 msgid "storage class %<__thread%> invalid for function %qs"
 msgstr "lagringsklassen %<__thread%> är ogiltig för funktionen %qs"
 
-#: cp/decl.c:10596
-#, fuzzy, gcc-internal-format
+#: cp/decl.c:10592
+#, gcc-internal-format
 msgid "storage class %<thread_local%> invalid for function %qs"
-msgstr "lagringsklassen %<__thread%> är ogiltig för funktionen %qs"
+msgstr "lagringsklassen %<thread_local%> är ogiltig för funktionen %qs"
 
-#: cp/decl.c:10601
+#: cp/decl.c:10597
 #, gcc-internal-format
 msgid "virt-specifiers in %qs not allowed outside a class definition"
 msgstr "virt-specificerare i %qs är inte tillåtet utanför en klassdefinition"
 
-#: cp/decl.c:10612
+#: cp/decl.c:10608
 #, gcc-internal-format
 msgid "%<static%> specified invalid for function %qs declared out of global scope"
 msgstr "specificerare %<static%> är ogiltigt för funktion %qs deklarerad utanför global räckvidd"
 
-#: cp/decl.c:10616
+#: cp/decl.c:10612
 #, gcc-internal-format
 msgid "%<inline%> specifier invalid for function %qs declared out of global scope"
 msgstr "specificerare %<inline%> är ogiltig för funktionen %qs deklarerad utanför global räckvidd"
 
-#: cp/decl.c:10624
+#: cp/decl.c:10620
 #, gcc-internal-format
 msgid "virtual non-class function %qs"
 msgstr "virtuell icke klassfunktion %qs"
 
-#: cp/decl.c:10631
+#: cp/decl.c:10627
 #, gcc-internal-format
 msgid "%qs defined in a non-class scope"
 msgstr "%qs definierad utan att vara i klassräckvidd"
 
-#: cp/decl.c:10632
+#: cp/decl.c:10628
 #, gcc-internal-format
 msgid "%qs declared in a non-class scope"
 msgstr "%qs deklarerad utan att vara i klassräckvidd"
 
-#: cp/decl.c:10660
+#: cp/decl.c:10655
 #, gcc-internal-format
 msgid "cannot declare member function %qD to have static linkage"
 msgstr "det går inte deklarera medlemsfunktionen %qD att ha statisk länkklass"
 
 #. FIXME need arm citation
-#: cp/decl.c:10667
+#: cp/decl.c:10662
 #, gcc-internal-format
 msgid "cannot declare static function inside another function"
 msgstr "kan inte deklarera en statisk funktion i en annan funktion"
 
-#: cp/decl.c:10697
+#: cp/decl.c:10692
 #, gcc-internal-format
 msgid "%<static%> may not be used when defining (as opposed to declaring) a static data member"
 msgstr "%<static%> får inte användas vid definition (till skillnad mot deklaration) av statisk datamedlem"
 
-#: cp/decl.c:10704
+#: cp/decl.c:10699
 #, gcc-internal-format
 msgid "static member %qD declared %<register%>"
 msgstr "statisk medlem %qD deklarerad %<register%>"
 
-#: cp/decl.c:10710
+#: cp/decl.c:10705
 #, gcc-internal-format
 msgid "cannot explicitly declare member %q#D to have extern linkage"
 msgstr "det går inte att deklarera medlem %q#D att ha extern länkklass"
 
-#: cp/decl.c:10717
+#: cp/decl.c:10712
 #, gcc-internal-format
 msgid "declaration of constexpr variable %qD is not a definition"
 msgstr "deklarationen av constexpr-variabeln %qD är inte en definition"
 
-#: cp/decl.c:10730
+#: cp/decl.c:10725
 #, gcc-internal-format
 msgid "%qs initialized and declared %<extern%>"
 msgstr "%qs initierad och deklarerad %<extern%>"
 
-#: cp/decl.c:10734
+#: cp/decl.c:10729
 #, gcc-internal-format
 msgid "%qs has both %<extern%> and initializer"
 msgstr "%qs har både %<extern%> och initierare"
 
-#: cp/decl.c:10880
+#: cp/decl.c:10874
 #, gcc-internal-format
 msgid "default argument %qE uses %qD"
 msgstr "standardargument %qE använder %qD"
 
-#: cp/decl.c:10882
+#: cp/decl.c:10876
 #, gcc-internal-format
 msgid "default argument %qE uses local variable %qD"
 msgstr "standardargument %qE använder lokal variabel %qD"
 
-#: cp/decl.c:10970
+#: cp/decl.c:10964
 #, gcc-internal-format
 msgid "parameter %qD has Java class type"
 msgstr "parametern %qD har Javaklasstyp"
 
-#: cp/decl.c:10998
+#: cp/decl.c:10992
 #, gcc-internal-format
 msgid "parameter %qD invalidly declared method type"
 msgstr "parameter %qD ogiltigt deklarerad metodtyp"
 
-#: cp/decl.c:11023
+#: cp/decl.c:11017
 #, gcc-internal-format
 msgid "parameter %qD includes pointer to array of unknown bound %qT"
 msgstr "parameter %qD inkluderar pekare till vektor %qT med okänd gräns"
 
-#: cp/decl.c:11025
+#: cp/decl.c:11019
 #, gcc-internal-format
 msgid "parameter %qD includes reference to array of unknown bound %qT"
 msgstr "parameter %qD inkluderar referens till vektor %qT med okänd gräns"
@@ -30290,168 +30327,168 @@
 #. or implicitly defined), there's no need to worry about their
 #. existence.  Theoretically, they should never even be
 #. instantiated, but that's hard to forestall.
-#: cp/decl.c:11279
+#: cp/decl.c:11273
 #, gcc-internal-format
 msgid "invalid constructor; you probably meant %<%T (const %T&)%>"
 msgstr "ogiltig konstruerare, du menade förmodligen %<%T (const %T&)%>"
 
-#: cp/decl.c:11401
+#: cp/decl.c:11395
 #, gcc-internal-format
 msgid "%qD may not be declared within a namespace"
 msgstr "%qD är kanske inte deklarerad i en namnrymd"
 
-#: cp/decl.c:11406
+#: cp/decl.c:11400
 #, gcc-internal-format
 msgid "%qD may not be declared as static"
 msgstr "%qD får inte deklareras som statisk"
 
-#: cp/decl.c:11432
+#: cp/decl.c:11426
 #, gcc-internal-format
 msgid "%qD must be a nonstatic member function"
 msgstr "%qD måste vara en icke-statisk medlemsfunktion"
 
-#: cp/decl.c:11441
+#: cp/decl.c:11435
 #, gcc-internal-format
 msgid "%qD must be either a non-static member function or a non-member function"
 msgstr "%qD måste vara antingen en medlemsfunktion som inte är statisk eller funktion som inte är medlem"
 
-#: cp/decl.c:11463
+#: cp/decl.c:11457
 #, gcc-internal-format
 msgid "%qD must have an argument of class or enumerated type"
 msgstr "%qD måste ha ett argument med klass- eller uppräkningstyp"
 
-#: cp/decl.c:11492
+#: cp/decl.c:11486
 #, gcc-internal-format
 msgid "conversion to a reference to void will never use a type conversion operator"
 msgstr "konvertering till en referens till void kommer aldrig använda en typkonverteringsoperator"
 
-#: cp/decl.c:11494
+#: cp/decl.c:11488
 #, gcc-internal-format
 msgid "conversion to void will never use a type conversion operator"
 msgstr "konvertering till void kommer aldrig använda en typkonverteringsoperator"
 
-#: cp/decl.c:11501
+#: cp/decl.c:11495
 #, gcc-internal-format
 msgid "conversion to a reference to the same type will never use a type conversion operator"
 msgstr "konvertering till en referens till samma typ kommer aldrig använda en typkonverteringsoperator"
 
-#: cp/decl.c:11503
+#: cp/decl.c:11497
 #, gcc-internal-format
 msgid "conversion to the same type will never use a type conversion operator"
 msgstr "konvertering till samma typ kommer aldrig använda en typkonverteringsoperator"
 
-#: cp/decl.c:11511
+#: cp/decl.c:11505
 #, gcc-internal-format
 msgid "conversion to a reference to a base class will never use a type conversion operator"
 msgstr "konvertering till en referens till en basklass kommer aldrig använda en typkonverteringsoperator"
 
-#: cp/decl.c:11513
+#: cp/decl.c:11507
 #, gcc-internal-format
 msgid "conversion to a base class will never use a type conversion operator"
 msgstr "konvertering till en basklass kommer aldrig använda en typkonverteringsoperator"
 
 #. 13.4.0.3
-#: cp/decl.c:11522
+#: cp/decl.c:11516
 #, gcc-internal-format
 msgid "ISO C++ prohibits overloading operator ?:"
 msgstr "ISO C++ förhindrar överlagring av operatorn ?:"
 
-#: cp/decl.c:11527
+#: cp/decl.c:11521
 #, gcc-internal-format
 msgid "%qD must not have variable number of arguments"
 msgstr "%qD får inte ha variabelt antal argument"
 
-#: cp/decl.c:11578
+#: cp/decl.c:11572
 #, gcc-internal-format
 msgid "postfix %qD must take %<int%> as its argument"
 msgstr "postfix %qD måste ta %<int%> som sitt argument"
 
-#: cp/decl.c:11581
+#: cp/decl.c:11575
 #, gcc-internal-format
 msgid "postfix %qD must take %<int%> as its second argument"
 msgstr "postfix %qD måste ta %<int%> som sitt andra argument"
 
-#: cp/decl.c:11589
+#: cp/decl.c:11583
 #, gcc-internal-format
 msgid "%qD must take either zero or one argument"
 msgstr "%qD måste ta antingen noll eller ett argument"
 
-#: cp/decl.c:11591
+#: cp/decl.c:11585
 #, gcc-internal-format
 msgid "%qD must take either one or two arguments"
 msgstr "%qD måste ta antingen ett eller två argument"
 
-#: cp/decl.c:11613
+#: cp/decl.c:11607
 #, gcc-internal-format
 msgid "prefix %qD should return %qT"
 msgstr "prefix %qD skall returnera %qT"
 
-#: cp/decl.c:11619
+#: cp/decl.c:11613
 #, gcc-internal-format
 msgid "postfix %qD should return %qT"
 msgstr "postfix %qD skall returnera %qT"
 
-#: cp/decl.c:11628
+#: cp/decl.c:11622
 #, gcc-internal-format
 msgid "%qD must take %<void%>"
 msgstr "%qD måste ta %<void%>"
 
-#: cp/decl.c:11630 cp/decl.c:11639
+#: cp/decl.c:11624 cp/decl.c:11633
 #, gcc-internal-format
 msgid "%qD must take exactly one argument"
 msgstr "%qD måste ta exakt ett argument"
 
-#: cp/decl.c:11641
+#: cp/decl.c:11635
 #, gcc-internal-format
 msgid "%qD must take exactly two arguments"
 msgstr "%qD måste ta exakt två argument"
 
-#: cp/decl.c:11650
+#: cp/decl.c:11644
 #, gcc-internal-format
 msgid "user-defined %qD always evaluates both arguments"
 msgstr "användardefinierad %qD beräknar alltid båda argumenten"
 
-#: cp/decl.c:11664
+#: cp/decl.c:11658
 #, gcc-internal-format
 msgid "%qD should return by value"
 msgstr "%qD skall returnera som värde"
 
-#: cp/decl.c:11675 cp/decl.c:11680
+#: cp/decl.c:11669 cp/decl.c:11674
 #, gcc-internal-format
 msgid "%qD cannot have default arguments"
 msgstr "%qD kan inte ha standardargument"
 
-#: cp/decl.c:11741
+#: cp/decl.c:11732
 #, gcc-internal-format
 msgid "using template type parameter %qT after %qs"
 msgstr "malltypparametern %qT används efter %qs"
 
-#: cp/decl.c:11764
+#: cp/decl.c:11755
 #, gcc-internal-format
 msgid "using alias template specialization %qT after %qs"
 msgstr "användning av aliasmallspecialisering %qT efter %qs"
 
-#: cp/decl.c:11767
+#: cp/decl.c:11758
 #, gcc-internal-format
 msgid "using typedef-name %qD after %qs"
 msgstr "typedef-namnet %qD används efter %qs"
 
-#: cp/decl.c:11769
+#: cp/decl.c:11760
 #, gcc-internal-format
 msgid "%qD has a previous declaration here"
 msgstr "%qD har en tidigare deklaration här"
 
-#: cp/decl.c:11777
+#: cp/decl.c:11768
 #, gcc-internal-format
 msgid "%qT referred to as %qs"
 msgstr "%qT refererad till som %qs"
 
-#: cp/decl.c:11778 cp/decl.c:11785
+#: cp/decl.c:11769 cp/decl.c:11776
 #, gcc-internal-format
 msgid "%q+T has a previous declaration here"
 msgstr "%q+T har en tidigare deklaration här"
 
-#: cp/decl.c:11784
+#: cp/decl.c:11775
 #, gcc-internal-format
 msgid "%qT referred to as enum"
 msgstr "%qT refererad till som enum"
@@ -30463,88 +30500,88 @@
 #. void f(class C);		// No template header here
 #.
 #. then the required template argument is missing.
-#: cp/decl.c:11799
+#: cp/decl.c:11790
 #, gcc-internal-format
 msgid "template argument required for %<%s %T%>"
 msgstr "mallargument krävs för %<%s %T%>"
 
-#: cp/decl.c:11849 cp/name-lookup.c:3069
+#: cp/decl.c:11840 cp/name-lookup.c:3062
 #, gcc-internal-format
 msgid "%qD has the same name as the class in which it is declared"
 msgstr "%qD har samma namn som klassen den är deklarerad i"
 
-#: cp/decl.c:11879 cp/name-lookup.c:2561 cp/name-lookup.c:3395
-#: cp/name-lookup.c:3440 cp/parser.c:5076 cp/parser.c:21175
+#: cp/decl.c:11870 cp/name-lookup.c:2561 cp/name-lookup.c:3390
+#: cp/name-lookup.c:3435 cp/parser.c:5076 cp/parser.c:21179
 #, gcc-internal-format
 msgid "reference to %qD is ambiguous"
 msgstr "referens till %qD är tvetydig"
 
-#: cp/decl.c:11994
+#: cp/decl.c:11985
 #, gcc-internal-format
 msgid "use of enum %q#D without previous declaration"
 msgstr "enum %q#D används utan tidigare deklaration"
 
-#: cp/decl.c:12015
+#: cp/decl.c:12006
 #, gcc-internal-format
 msgid "redeclaration of %qT as a non-template"
 msgstr "omdeklaration av %qT som en icke-mall"
 
-#: cp/decl.c:12016
+#: cp/decl.c:12007
 #, gcc-internal-format
 msgid "previous declaration %q+D"
 msgstr "tidigare deklaration %q+D"
 
-#: cp/decl.c:12157
+#: cp/decl.c:12148
 #, gcc-internal-format
 msgid "derived union %qT invalid"
 msgstr "härledd unionen %qT ogiltig"
 
-#: cp/decl.c:12166
+#: cp/decl.c:12157
 #, gcc-internal-format
 msgid "Java class %qT cannot have multiple bases"
 msgstr "Javaklass %qT kan inte ha flera baser"
 
-#: cp/decl.c:12177
+#: cp/decl.c:12168
 #, gcc-internal-format
 msgid "Java class %qT cannot have virtual bases"
 msgstr "Javaklass %qT kan inte ha virtuella baser"
 
-#: cp/decl.c:12197
+#: cp/decl.c:12188
 #, gcc-internal-format
 msgid "base type %qT fails to be a struct or class type"
 msgstr "bastyp %qT är ingen post- eller klasstyp"
 
-#: cp/decl.c:12230
+#: cp/decl.c:12221
 #, gcc-internal-format
 msgid "recursive type %qT undefined"
 msgstr "rekursiv typ %qT odefinierad"
 
-#: cp/decl.c:12232
+#: cp/decl.c:12223
 #, gcc-internal-format
 msgid "duplicate base type %qT invalid"
 msgstr "upprepat bastyp %qT ogiltig"
 
-#: cp/decl.c:12356
+#: cp/decl.c:12347
 #, gcc-internal-format
 msgid "scoped/unscoped mismatch in enum %q#T"
 msgstr "uppräkningstyp med/utan räckviddsbegränsning stämmer inte överens för enum %q#T"
 
-#: cp/decl.c:12359 cp/decl.c:12367 cp/decl.c:12379 cp/parser.c:14742
+#: cp/decl.c:12350 cp/decl.c:12358 cp/decl.c:12370 cp/parser.c:14744
 #, gcc-internal-format
 msgid "previous definition here"
 msgstr "tidigare definition här"
 
-#: cp/decl.c:12364
+#: cp/decl.c:12355
 #, gcc-internal-format
 msgid "underlying type mismatch in enum %q#T"
 msgstr "underliggande typ stämmer inte överens i enum %q#T"
 
-#: cp/decl.c:12376
+#: cp/decl.c:12367
 #, gcc-internal-format
 msgid "different underlying type in enum %q#T"
 msgstr "olika underliggande typ i enum %q#T"
 
-#: cp/decl.c:12443
+#: cp/decl.c:12434
 #, gcc-internal-format
 msgid "underlying type %<%T%> of %<%T%> must be an integral type"
 msgstr "underliggande typ %<%T%> till %<%T%> måste vara en heltalstyp"
@@ -30553,82 +30590,82 @@
 #.
 #. IF no integral type can represent all the enumerator values, the
 #. enumeration is ill-formed.
-#: cp/decl.c:12577
+#: cp/decl.c:12568
 #, gcc-internal-format
 msgid "no integral type can represent all of the enumerator values for %qT"
 msgstr "ingen heltalstyp kan representera alla uppräkningsvärdena i %qT"
 
-#: cp/decl.c:12718
+#: cp/decl.c:12709
 #, gcc-internal-format
 msgid "enumerator value for %qD is not an integer constant"
 msgstr "uppräkningsvärde för %qD är inte en heltalskonstant"
 
-#: cp/decl.c:12764
+#: cp/decl.c:12755
 #, gcc-internal-format
 msgid "incremented enumerator value is too large for %<unsigned long%>"
 msgstr "ökat uppräkningsvärde är för stort för %<unsigned long%>"
 
-#: cp/decl.c:12776
+#: cp/decl.c:12767
 #, gcc-internal-format
 msgid "overflow in enumeration values at %qD"
 msgstr "överspill i uppräkningsvärden vid %qD"
 
-#: cp/decl.c:12796
+#: cp/decl.c:12787
 #, gcc-internal-format
 msgid "enumerator value %E is too large for underlying type %<%T%>"
 msgstr "uppräkningsvärde %E är för stort för den underliggande typen %<%T%>"
 
-#: cp/decl.c:12886
+#: cp/decl.c:12877
 #, gcc-internal-format
 msgid "return type %q#T is incomplete"
 msgstr "returtypen %q#T är ofullständig"
 
-#: cp/decl.c:12888
+#: cp/decl.c:12879
 #, gcc-internal-format
 msgid "return type has Java class type %q#T"
 msgstr "returtypen har Javaklasstyp %q#T"
 
-#: cp/decl.c:13012 cp/typeck.c:8247
+#: cp/decl.c:13003 cp/typeck.c:8252
 #, gcc-internal-format
 msgid "%<operator=%> should return a reference to %<*this%>"
 msgstr "%<operator=%> skall returnera en referens till %<*this%>"
 
-#: cp/decl.c:13108
+#: cp/decl.c:13099
 #, gcc-internal-format
 msgid "no previous declaration for %q+D"
 msgstr "ingen tidigare deklaration av %q+D"
 
-#: cp/decl.c:13329
+#: cp/decl.c:13320
 #, gcc-internal-format
 msgid "invalid function declaration"
 msgstr "ogiltig funktionsdeklaration"
 
-#: cp/decl.c:13413
+#: cp/decl.c:13404
 #, gcc-internal-format
 msgid "parameter %qD declared void"
 msgstr "parameter %qD deklarerad void"
 
-#: cp/decl.c:13781
-#, fuzzy, gcc-internal-format
+#: cp/decl.c:13772
+#, gcc-internal-format
 msgid "no return statements in function returning %qT"
-msgstr "ingen retursats i funktion som returnerar icke-void"
+msgstr "inga retursatser i funktion som returnerar %qT"
 
-#: cp/decl.c:13783 cp/typeck.c:8135
-#, fuzzy, gcc-internal-format
+#: cp/decl.c:13774 cp/typeck.c:8135
+#, gcc-internal-format
 msgid "only plain %<auto%> return type can be deduced to %<void%>"
-msgstr "funktionsreturtyper är inte kompatibla på grund av %<volatile%>"
+msgstr "endast enkel returtyp %<auto%> kan härledas till %<void%>"
 
-#: cp/decl.c:13879
+#: cp/decl.c:13870
 #, gcc-internal-format
 msgid "parameter %q+D set but not used"
 msgstr "parametern %q+D sätts men används inte"
 
-#: cp/decl.c:13974
+#: cp/decl.c:13965
 #, gcc-internal-format
 msgid "invalid member function declaration"
 msgstr "ogiltig medlemsfunktionsdeklaration"
 
-#: cp/decl.c:13988
+#: cp/decl.c:13979
 #, gcc-internal-format
 msgid "%qD is already defined in class %qT"
 msgstr "%qD är redan definierad i klassen %qT"
@@ -30649,9 +30686,9 @@
 msgstr "ogiltiga typer %<%T[%T]%> för vektorindex"
 
 #: cp/decl2.c:439
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "deleting array %q#E"
-msgstr "raderar vektor %q#D"
+msgstr "raderar vektor %q#E"
 
 #: cp/decl2.c:445
 #, gcc-internal-format
@@ -30860,101 +30897,101 @@
 msgstr "användning av borttagen funktion %qD"
 
 #: cp/decl2.c:4537 cp/decl2.c:4594
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "use of %qD before deduction of %<auto%>"
-msgstr "typen på %qD sätts skönsmässigt till %<int%>"
+msgstr "använding av %qD före härledning av %<auto%>"
 
-#: cp/error.c:3327
+#: cp/error.c:3331
 #, gcc-internal-format
 msgid "extended initializer lists only available with -std=c++11 or -std=gnu++11"
 msgstr "utökade initierarlistor är endast tillgängliga med -std=c++11 eller -std=gnu++11"
 
-#: cp/error.c:3332
+#: cp/error.c:3336
 #, gcc-internal-format
 msgid "explicit conversion operators only available with -std=c++11 or -std=gnu++11"
 msgstr "explicita konverteringsoperatorer är endast tillgängliga med -std=c++11 eller -std=gnu++11"
 
-#: cp/error.c:3337
+#: cp/error.c:3341
 #, gcc-internal-format
 msgid "variadic templates only available with -std=c++11 or -std=gnu++11"
 msgstr "variadiska mallar är endast tillgängliga med -std=c++11 eller -std=gnu++11"
 
-#: cp/error.c:3342
+#: cp/error.c:3346
 #, gcc-internal-format
 msgid "lambda expressions only available with -std=c++11 or -std=gnu++11"
 msgstr "lambdauttryck är endast tillgängliga med -std=c++11 eller -std=gnu++11"
 
-#: cp/error.c:3347
+#: cp/error.c:3351
 #, gcc-internal-format
 msgid "C++0x auto only available with -std=c++11 or -std=gnu++11"
 msgstr "C++0x auto är endast tillgängligt med -std=c++11 eller -std=gnu++11"
 
-#: cp/error.c:3351
+#: cp/error.c:3355
 #, gcc-internal-format
 msgid "scoped enums only available with -std=c++11 or -std=gnu++11"
 msgstr "enum med räckvidd är endast tillgängliga med -std=c++11 eller -std=gnu++11"
 
-#: cp/error.c:3355
+#: cp/error.c:3359
 #, gcc-internal-format
 msgid "defaulted and deleted functions only available with -std=c++11 or -std=gnu++11"
 msgstr "standarddefinierade och raderade funktioner är endast tillgängliga med -std=c++11 eller -std=gnu++11"
 
-#: cp/error.c:3360
+#: cp/error.c:3364
 #, gcc-internal-format
 msgid "inline namespaces only available with -std=c++11 or -std=gnu++11"
 msgstr "inline-namnrymdet är endast tillgängliga med -std=c++11 eller -std=gnu++11"
 
-#: cp/error.c:3365
+#: cp/error.c:3369
 #, gcc-internal-format
 msgid "override controls (override/final) only available with -std=c++11 or -std=gnu++11"
 msgstr "styrning av åsidosättande (override/final) är endast tillgängliga med -std=c++11 eller -std=gnu++11"
 
-#: cp/error.c:3370
+#: cp/error.c:3374
 #, gcc-internal-format
 msgid "non-static data member initializers only available with -std=c++11 or -std=gnu++11"
 msgstr "initierare av datamedlemmar som inte är statiska är endast tillgängliga med -std=c++11 eller -std=gnu++11"
 
-#: cp/error.c:3375
+#: cp/error.c:3379
 #, gcc-internal-format
 msgid "user-defined literals only available with -std=c++11 or -std=gnu++11"
 msgstr "användardefinierade literaler är endast tillgängliga med -std=c++11 eller -std=gnu++11"
 
-#: cp/error.c:3380
+#: cp/error.c:3384
 #, gcc-internal-format
 msgid "delegating constructors only available with -std=c++11 or -std=gnu++11"
 msgstr "delegerande konstruerare är endast tillgängliga med -std=c++11 eller -std=gnu++11"
 
-#: cp/error.c:3385
-#, fuzzy, gcc-internal-format
+#: cp/error.c:3389
+#, gcc-internal-format
 msgid "inheriting constructors only available with -std=c++11 or -std=gnu++11"
-msgstr "delegerande konstruerare är endast tillgängliga med -std=c++11 eller -std=gnu++11"
+msgstr "ärvande konstruerare är endast tillgängliga med -std=c++11 eller -std=gnu++11"
 
-#: cp/error.c:3390
-#, fuzzy, gcc-internal-format
+#: cp/error.c:3394
+#, gcc-internal-format
 msgid "c++11 attributes only available with -std=c++11 or -std=gnu++11"
-msgstr "C++0x auto är endast tillgängligt med -std=c++11 eller -std=gnu++11"
+msgstr "c++11-attribut är endast tillgängligt med -std=c++11 eller -std=gnu++11"
 
-#: cp/error.c:3439
+#: cp/error.c:3443
 #, gcc-internal-format
 msgid "incomplete type %qT used in nested name specifier"
 msgstr "ofullständig typ %qT använd i nästad namnspecificerare"
 
-#: cp/error.c:3443
+#: cp/error.c:3447
 #, gcc-internal-format
 msgid "reference to %<%T::%D%> is ambiguous"
 msgstr "referens till %<%T::%D%> är tvetydig"
 
-#: cp/error.c:3448 cp/typeck.c:2260
+#: cp/error.c:3452 cp/typeck.c:2260
 #, gcc-internal-format
 msgid "%qD is not a member of %qT"
 msgstr "%qD har inte en medlem av %qT"
 
-#: cp/error.c:3452
+#: cp/error.c:3456
 #, gcc-internal-format
 msgid "%qD is not a member of %qD"
 msgstr "%qD är inte en medlem av %qD"
 
-#: cp/error.c:3457
+#: cp/error.c:3461
 #, gcc-internal-format
 msgid "%<::%D%> has not been declared"
 msgstr "%<::%D%> har inte deklarerats"
@@ -31007,14 +31044,14 @@
 msgstr "uttrycket %qE med abstrakt klasstyp %qT kan inte användas i throw-uttryck"
 
 #: cp/except.c:981
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "cannot declare catch parameter to be of abstract class type %qT"
-msgstr "det går inte att deklarera parametern %q+D att vara av abstrakt typ %qT"
+msgstr "det går inte att deklarera en fångstparametern att vara av abstrakt klasstyp %qT"
 
 #: cp/except.c:989
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "cannot declare catch parameter to be of rvalue reference type %qT"
-msgstr "det går inte att deklarera parametern %q+D att vara av abstrakt typ %qT"
+msgstr "det går inte att deklarera en fångstparameter att vara av rvalue-referenstyp %qT"
 
 #: cp/except.c:1075
 #, gcc-internal-format
@@ -31311,24 +31348,24 @@
 msgstr "oinitierad const-medlem i %q#T"
 
 #: cp/init.c:2254
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "integer overflow in array size"
-msgstr "heltalsspill i uttryck"
+msgstr "heltalsspill i vektorstorlek"
 
 #: cp/init.c:2264
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "array size in operator new must be constant"
-msgstr "Variabeln ”%s” vid %L i detta sammanhang måste vara en konstant"
+msgstr "vektorstorlek i operatorn new måste vara en konstant"
 
 #: cp/init.c:2278
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "variably modified type not allowed in operator new"
-msgstr "variabelt ändrat fält i filräckvidd"
+msgstr "variabelt ändrad typ inte tillåten i operatorn new"
 
 #: cp/init.c:2292
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "ISO C++ does not support variable-length array types"
-msgstr "ISO C stödjer inte mättning av typer"
+msgstr "ISO C++ stödjer inte vektortyper med variabel längd"
 
 #: cp/init.c:2300
 #, gcc-internal-format
@@ -31835,99 +31872,99 @@
 msgid "%qD not declared"
 msgstr "%qD inte deklarerad"
 
-#: cp/name-lookup.c:3218
+#: cp/name-lookup.c:3211
 #, gcc-internal-format
 msgid "using-declaration for non-member at class scope"
 msgstr "using-deklaration för icke-medlem vid klassräckvidd"
 
-#: cp/name-lookup.c:3225
+#: cp/name-lookup.c:3218
 #, gcc-internal-format
 msgid "%<%T::%D%> names destructor"
 msgstr "%<%T::%D%> namnger en destruerare"
 
-#: cp/name-lookup.c:3236
+#: cp/name-lookup.c:3231
 #, gcc-internal-format
 msgid "%<%T::%D%> names constructor in %qT"
 msgstr "%<%T::%D%> namnger konstruerare i %qT"
 
-#: cp/name-lookup.c:3287
+#: cp/name-lookup.c:3282
 #, gcc-internal-format
 msgid "no members matching %<%T::%D%> in %q#T"
 msgstr "inga medlemmar matchar %<%T::%D%> i %q#T"
 
-#: cp/name-lookup.c:3374
+#: cp/name-lookup.c:3369
 #, gcc-internal-format
 msgid "declaration of %qD not in a namespace surrounding %qD"
 msgstr "deklaration av %qD inte i namnrymd som omger %qD"
 
-#: cp/name-lookup.c:3382
+#: cp/name-lookup.c:3377
 #, gcc-internal-format
 msgid "explicit qualification in declaration of %qD"
 msgstr "explicit-kvalifikation i deklaration av %qD"
 
-#: cp/name-lookup.c:3465
+#: cp/name-lookup.c:3460
 #, gcc-internal-format
 msgid "%qD should have been declared inside %qD"
 msgstr "%qD borde ha deklarerats inuti %qD"
 
-#: cp/name-lookup.c:3509
+#: cp/name-lookup.c:3504
 #, gcc-internal-format
 msgid "%qD attribute requires a single NTBS argument"
 msgstr "attributet %qD kräver ett ensamt NTBS-argument"
 
-#: cp/name-lookup.c:3516
+#: cp/name-lookup.c:3511
 #, gcc-internal-format
 msgid "%qD attribute is meaningless since members of the anonymous namespace get local symbols"
 msgstr "attributet %qD är meningslöst eftersom medlemmar av den anonyma namnrymden får lokala symboler"
 
-#: cp/name-lookup.c:3524 cp/name-lookup.c:3936
+#: cp/name-lookup.c:3519 cp/name-lookup.c:3931
 #, gcc-internal-format
 msgid "%qD attribute directive ignored"
 msgstr "attributdirektivet %qD ignorerat"
 
-#: cp/name-lookup.c:3588
+#: cp/name-lookup.c:3583
 #, gcc-internal-format
 msgid "namespace alias %qD not allowed here, assuming %qD"
 msgstr "namnrymdsalias %qD inte tillåtet här, antar %qD"
 
-#: cp/name-lookup.c:3924
+#: cp/name-lookup.c:3919
 #, gcc-internal-format
 msgid "strong using only meaningful at namespace scope"
 msgstr "strong using är endast meningsfullt vid namnrymdsräckvidd"
 
-#: cp/name-lookup.c:3928
+#: cp/name-lookup.c:3923
 #, gcc-internal-format
 msgid "current namespace %qD does not enclose strongly used namespace %qD"
 msgstr "nuvarande namnrymd %qD innesluter inte den starkt använda namnrymden %qD"
 
-#: cp/name-lookup.c:4267
+#: cp/name-lookup.c:4262
 #, gcc-internal-format
 msgid "maximum limit of %d namespaces searched for %qE"
 msgstr "maxgräns på %d namnrymder sökta %qE"
 
-#: cp/name-lookup.c:4277
+#: cp/name-lookup.c:4272
 #, gcc-internal-format
 msgid "suggested alternative:"
 msgid_plural "suggested alternatives:"
 msgstr[0] "föreslaget alternativ:"
 msgstr[1] "föreslagna alternativ:"
 
-#: cp/name-lookup.c:4281
+#: cp/name-lookup.c:4276
 #, gcc-internal-format
 msgid "  %qE"
 msgstr "  %qE"
 
-#: cp/name-lookup.c:5551
+#: cp/name-lookup.c:5546
 #, gcc-internal-format
 msgid "argument dependent lookup finds %q+D"
 msgstr "argumentberoende uppslagning hittar %q+D"
 
-#: cp/name-lookup.c:6088
+#: cp/name-lookup.c:6083
 #, gcc-internal-format
 msgid "XXX entering pop_everything ()\n"
 msgstr "XXX går in i pop_everything ()\n"
 
-#: cp/name-lookup.c:6097
+#: cp/name-lookup.c:6092
 #, gcc-internal-format
 msgid "XXX leaving pop_everything ()\n"
 msgstr "XXX lämnar pop_everything ()\n"
@@ -32033,9 +32070,9 @@
 msgstr "%qT är inte en mall"
 
 #: cp/parser.c:2591
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%qE is not a class template"
-msgstr "%qE är inte en mall"
+msgstr "%qE är inte en klassmall"
 
 #: cp/parser.c:2593
 #, gcc-internal-format
@@ -32052,7 +32089,7 @@
 msgid "floating-point literal cannot appear in a constant-expression"
 msgstr "en flyttalsliteral får inte finnas i ett konstantuttryck"
 
-#: cp/parser.c:2633 cp/pt.c:13527
+#: cp/parser.c:2633 cp/pt.c:13522
 #, gcc-internal-format
 msgid "a cast to a type other than an integral or enumeration type cannot appear in a constant-expression"
 msgstr "en typomvandling till en annan typ än en heltals- eller uppräkningstyp kan inte förekomma i ett konstantuttryck"
@@ -32201,17 +32238,17 @@
 msgstr "kan inte hitta en teckenliteraloperator %qD med argumentet %qT"
 
 #: cp/parser.c:3682
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "integer literal exceeds range of %qT type"
-msgstr "flyttalskonstant överskrider intervallet för %qT"
+msgstr "heltalskonstant överskrider intervallet för typen %qT"
 
 #: cp/parser.c:3688
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "floating literal exceeds range of %qT type"
-msgstr "flyttalskonstant överskrider intervallet för %qT"
+msgstr "flyttalskonstant överskrider intervallet för typen %qT"
 
 #: cp/parser.c:3692
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "floating literal truncated to zero"
 msgstr "flyttalskonstant avkortas till noll"
 
@@ -32295,7 +32332,7 @@
 msgid "literal operator suffixes not preceded by %<_%> are reserved for future standardization"
 msgstr "literala operatorsuffix som inte föregås av %<_%> är reserverade för framtida standardisering"
 
-#: cp/parser.c:4857 cp/parser.c:16496
+#: cp/parser.c:4857 cp/parser.c:16498
 #, gcc-internal-format
 msgid "expected unqualified-id"
 msgstr "okvalificerat id förväntades"
@@ -32468,9 +32505,9 @@
 msgstr "standardargumentet angivet för lambdaparameter"
 
 #: cp/parser.c:8885
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "attributes at the beginning of statement are ignored"
-msgstr "attribut efter initierare inom parentes ignoreras"
+msgstr "attribut vid början av satser ignoreras"
 
 #: cp/parser.c:8913
 #, gcc-internal-format
@@ -32497,7 +32534,7 @@
 msgid "compound-statement in constexpr function"
 msgstr "sammansatt sats i en constexpr-funktion"
 
-#: cp/parser.c:9298 cp/parser.c:23016
+#: cp/parser.c:9298 cp/parser.c:23020
 #, gcc-internal-format
 msgid "expected selection-statement"
 msgstr "selektionssats förväntades"
@@ -32527,7 +32564,7 @@
 msgid "inconsistent begin/end types in range-based %<for%> statement: %qT and %qT"
 msgstr "inkonsistenta start-/sluttyper i intervallbaserat %<for%>-sats: %qT och %qT"
 
-#: cp/parser.c:9889 cp/parser.c:23019
+#: cp/parser.c:9889 cp/parser.c:23023
 #, gcc-internal-format
 msgid "expected iteration-statement"
 msgstr "iterationssats förväntades"
@@ -32543,12 +32580,12 @@
 msgid "ISO C++ forbids computed gotos"
 msgstr "ISO C++ förbjuder beräknade goto"
 
-#: cp/parser.c:10071 cp/parser.c:23022
+#: cp/parser.c:10071 cp/parser.c:23026
 #, gcc-internal-format
 msgid "expected jump-statement"
 msgstr "hoppsats förväntades"
 
-#: cp/parser.c:10203 cp/parser.c:19157
+#: cp/parser.c:10203 cp/parser.c:19161
 #, gcc-internal-format
 msgid "extra %<;%>"
 msgstr "extra %<;%>"
@@ -32585,7 +32622,7 @@
 msgid "class definition may not be declared a friend"
 msgstr "klassdefinition kan inte deklareras som en vän"
 
-#: cp/parser.c:11034 cp/parser.c:19551
+#: cp/parser.c:11034 cp/parser.c:19555
 #, gcc-internal-format
 msgid "templates may not be %<virtual%>"
 msgstr "mallar får inte vara %<virtual%>"
@@ -32606,9 +32643,9 @@
 msgstr "ogiltig användning av %<auto%> i konverteringsoperator"
 
 #: cp/parser.c:11471
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "use of %<auto%> in member template conversion operator can never be deduced"
-msgstr "ogiltig användning av %<auto%> i konverteringsoperator"
+msgstr "användning av %<auto%> i medlemsmallskonverteringsoperator kan aldrig vara härledd"
 
 #: cp/parser.c:11560
 #, gcc-internal-format
@@ -32666,12 +32703,12 @@
 msgid "keyword %<export%> not implemented, and will be ignored"
 msgstr "nyckelordet %<export%> är inte implementerat och kommer ignoreras"
 
-#: cp/parser.c:12317 cp/parser.c:12415 cp/parser.c:12522 cp/parser.c:17611
+#: cp/parser.c:12317 cp/parser.c:12415 cp/parser.c:12522 cp/parser.c:17613
 #, gcc-internal-format
 msgid "template parameter pack %qD cannot have a default argument"
 msgstr "mallparameterpaket %qD kan inte ha ett standardargument"
 
-#: cp/parser.c:12321 cp/parser.c:17619
+#: cp/parser.c:12321 cp/parser.c:17621
 #, gcc-internal-format
 msgid "template parameter pack cannot have a default argument"
 msgstr "mallparameterpaket kan inte ha ett standardargument"
@@ -32686,7 +32723,7 @@
 msgid "expected template-id"
 msgstr "mall-id förväntades"
 
-#: cp/parser.c:12658 cp/parser.c:22980
+#: cp/parser.c:12658 cp/parser.c:22984
 #, gcc-internal-format
 msgid "expected %<<%>"
 msgstr "%<<%> förväntades"
@@ -32702,9 +32739,9 @@
 msgstr "%<<:%> är en alternativ stavning av %<[%>.  Lägg in mellanrum mellan %<<%> och %<::%>"
 
 #: cp/parser.c:12673
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "(if you use %<-fpermissive%> or %<-std=c++11%>, or %<-std=gnu++11%> G++ will accept your code)"
-msgstr "(om du använder %<--fpermissive%> kommer G++ acceptera din kod)"
+msgstr "(om du använder %<-fpermissive%> eller %<-std=c++11%> eller %<-std=gnu++11%> kommer G++ acceptera din kod)"
 
 #: cp/parser.c:12750
 #, gcc-internal-format
@@ -32778,163 +32815,163 @@
 msgid "elaborated-type-specifier for a scoped enum must not use the %<%D%> keyword"
 msgstr "beräknad typspecifikation för en enum med räckvidd får inte använda nyckelordet %<%D%>"
 
-#: cp/parser.c:14355
+#: cp/parser.c:14357
 #, gcc-internal-format
 msgid "declaration %qD does not declare anything"
 msgstr "deklaration %qD deklarerar inte något"
 
-#: cp/parser.c:14441
+#: cp/parser.c:14443
 #, gcc-internal-format
 msgid "attributes ignored on uninstantiated type"
 msgstr "attributet ignorerat på oinstansierad typ"
 
-#: cp/parser.c:14445
+#: cp/parser.c:14447
 #, gcc-internal-format
 msgid "attributes ignored on template instantiation"
 msgstr "attribut ignoreras vid mallinstansiering"
 
-#: cp/parser.c:14450
+#: cp/parser.c:14452
 #, gcc-internal-format
 msgid "attributes ignored on elaborated-type-specifier that is not a forward declaration"
 msgstr "attribut ignoreras för bearbetade typspecificerare som inte är en framåtdeklaration"
 
-#: cp/parser.c:14584
+#: cp/parser.c:14586
 #, gcc-internal-format
 msgid "%qD is an enumeration template"
 msgstr "%qD är en uppräkningsmall"
 
-#: cp/parser.c:14592
+#: cp/parser.c:14594
 #, gcc-internal-format
 msgid "%qD is not an enumerator-name"
 msgstr "%qD är inte ett uppräkningsnamn"
 
-#: cp/parser.c:14655
+#: cp/parser.c:14657
 #, gcc-internal-format
 msgid "expected %<;%> or %<{%>"
 msgstr "%<;%> eller %<{%> förväntades"
 
-#: cp/parser.c:14703
+#: cp/parser.c:14705
 #, gcc-internal-format
 msgid "cannot add an enumerator list to a template instantiation"
 msgstr "det går inte att lägga till en uppräkningslista till en mallinstansiering"
 
-#: cp/parser.c:14712 cp/parser.c:18714
+#: cp/parser.c:14714 cp/parser.c:18718
 #, gcc-internal-format
 msgid "declaration of %qD in namespace %qD which does not enclose %qD"
 msgstr "deklaration av %qD i namnrymd %qD som inte innesluter %qD"
 
-#: cp/parser.c:14717 cp/parser.c:18719
+#: cp/parser.c:14719 cp/parser.c:18723
 #, gcc-internal-format
 msgid "declaration of %qD in %qD which does not enclose %qD"
 msgstr "deklaration av %qD i %qD som inte innesluter %qD"
 
-#: cp/parser.c:14740
+#: cp/parser.c:14742
 #, gcc-internal-format
 msgid "multiple definition of %q#T"
 msgstr "fler definitioner av %q#T"
 
-#: cp/parser.c:14767
+#: cp/parser.c:14769
 #, gcc-internal-format
 msgid "opaque-enum-specifier without name"
 msgstr "ogenomskinlig enum-specifikation utan namn"
 
-#: cp/parser.c:14770
+#: cp/parser.c:14772
 #, gcc-internal-format
 msgid "opaque-enum-specifier must use a simple identifier"
 msgstr "en ogenomskinlig enum-specifikation måste använda en enkel identifierare"
 
-#: cp/parser.c:14946
+#: cp/parser.c:14948
 #, gcc-internal-format
 msgid "%qD is not a namespace-name"
 msgstr "%qD är inte ett namnrymdsnamn"
 
-#: cp/parser.c:14947
+#: cp/parser.c:14949
 #, gcc-internal-format
 msgid "expected namespace-name"
 msgstr "namnrymdsnamn förväntades"
 
-#: cp/parser.c:15072
+#: cp/parser.c:15074
 #, gcc-internal-format
 msgid "%<namespace%> definition is not allowed here"
 msgstr "%<namespace%>-definition är inte tillåten här"
 
-#: cp/parser.c:15218
+#: cp/parser.c:15220
 #, gcc-internal-format
 msgid "a template-id may not appear in a using-declaration"
 msgstr "ett mall-id får inte förekomma i en using-deklaration"
 
-#: cp/parser.c:15258
+#: cp/parser.c:15260
 #, gcc-internal-format
 msgid "access declarations are deprecated in favour of using-declarations; suggestion: add the %<using%> keyword"
 msgstr "åtkomstdeklarationer bör undvikas till förmån för using-deklarationer; förslag: lägg till nyckelordet %<using%>"
 
-#: cp/parser.c:15323
+#: cp/parser.c:15325
 #, gcc-internal-format
 msgid "types may not be defined in alias template declarations"
 msgstr "typer får inte definieras i aliasmalldeklarationer"
 
-#: cp/parser.c:15787
+#: cp/parser.c:15789
 #, gcc-internal-format
 msgid "a function-definition is not allowed here"
 msgstr "en funktionsdefinition är inte tillåten här"
 
-#: cp/parser.c:15799
+#: cp/parser.c:15801
 #, gcc-internal-format
 msgid "an asm-specification is not allowed on a function-definition"
 msgstr "en asm-specifikation är inte tillåten på en funktionsdefinition"
 
-#: cp/parser.c:15803
+#: cp/parser.c:15805
 #, gcc-internal-format
 msgid "attributes are not allowed on a function-definition"
 msgstr "attribut är inte tillåtna vid en funktionsdefinition"
 
-#: cp/parser.c:15840
+#: cp/parser.c:15842
 #, gcc-internal-format
 msgid "expected constructor, destructor, or type conversion"
 msgstr "konstruerare, destruerare eller typkonvertering förväntades"
 
 #. Anything else is an error.
-#: cp/parser.c:15875 cp/parser.c:17782
+#: cp/parser.c:15877 cp/parser.c:17784
 #, gcc-internal-format
 msgid "expected initializer"
 msgstr "initierare förväntades"
 
-#: cp/parser.c:15895
+#: cp/parser.c:15897
 #, gcc-internal-format
 msgid "invalid type in declaration"
 msgstr "ogiltig typ i deklaration"
 
-#: cp/parser.c:15971
+#: cp/parser.c:15973
 #, gcc-internal-format
 msgid "initializer provided for function"
 msgstr "initierare angiven för funktion"
 
-#: cp/parser.c:16005
+#: cp/parser.c:16007
 #, gcc-internal-format
 msgid "attributes after parenthesized initializer ignored"
 msgstr "attribut efter initierare inom parentes ignoreras"
 
-#: cp/parser.c:16416
+#: cp/parser.c:16418
 #, gcc-internal-format
 msgid "array bound is not an integer constant"
 msgstr "vektorgräns är inte en heltalskonstant"
 
-#: cp/parser.c:16542
+#: cp/parser.c:16544
 #, gcc-internal-format
 msgid "cannot define member of dependent typedef %qT"
 msgstr "det går inte att definiera medlem av beroende typedef %qT"
 
-#: cp/parser.c:16546
+#: cp/parser.c:16548
 #, gcc-internal-format
 msgid "%<%T::%E%> is not a type"
 msgstr "%<%T::%E%> är inte en typ"
 
-#: cp/parser.c:16574
+#: cp/parser.c:16576
 #, gcc-internal-format
 msgid "invalid use of constructor as a template"
 msgstr "ogiltig användning av konstruerare som en mall"
 
-#: cp/parser.c:16576
+#: cp/parser.c:16578
 #, gcc-internal-format
 msgid "use %<%T::%D%> instead of %<%T::%D%> to name the constructor in a qualified name"
 msgstr "använd %<%T::%D%> istället för %<%T::%D%> för att namnge konstrueraren i ett kvalificerat namn"
@@ -32943,262 +32980,262 @@
 #. here because we do not have enough
 #. information about its original syntactic
 #. form.
-#: cp/parser.c:16593
+#: cp/parser.c:16595
 #, gcc-internal-format
 msgid "invalid declarator"
 msgstr "ogiltig deklarator"
 
-#: cp/parser.c:16660
+#: cp/parser.c:16662
 #, gcc-internal-format
 msgid "expected declarator"
 msgstr "deklarator förväntades"
 
-#: cp/parser.c:16763
+#: cp/parser.c:16765
 #, gcc-internal-format
 msgid "%qD is a namespace"
 msgstr "%qD är en namnrymd"
 
-#: cp/parser.c:16765
+#: cp/parser.c:16767
 #, gcc-internal-format
 msgid "cannot form pointer to member of non-class %q#T"
 msgstr "kan inte skapa en pekare till medlem av %q#T som inte är en klass"
 
-#: cp/parser.c:16786
+#: cp/parser.c:16788
 #, gcc-internal-format
 msgid "expected ptr-operator"
 msgstr "oväntad pekaroperator"
 
-#: cp/parser.c:16845
+#: cp/parser.c:16847
 #, gcc-internal-format
 msgid "duplicate cv-qualifier"
 msgstr "upprepade cv-kvalificerare"
 
-#: cp/parser.c:16903
+#: cp/parser.c:16905
 #, gcc-internal-format
 msgid "duplicate virt-specifier"
 msgstr "upprepade virt-specificerare"
 
-#: cp/parser.c:17065 cp/typeck2.c:448 cp/typeck2.c:1685
+#: cp/parser.c:17067 cp/typeck2.c:448 cp/typeck2.c:1685
 #, gcc-internal-format
 msgid "invalid use of %<auto%>"
 msgstr "ogiltigt användning av %<auto%>"
 
-#: cp/parser.c:17084
+#: cp/parser.c:17086
 #, gcc-internal-format
 msgid "types may not be defined in template arguments"
 msgstr "typer får inte definieras i mallargument"
 
-#: cp/parser.c:17165
+#: cp/parser.c:17167
 #, gcc-internal-format
 msgid "expected type-specifier"
 msgstr "typspecificerare förväntades"
 
-#: cp/parser.c:17407
+#: cp/parser.c:17409
 #, gcc-internal-format
 msgid "expected %<,%> or %<...%>"
 msgstr "%<,%> eller %<...%> förväntades"
 
-#: cp/parser.c:17464
+#: cp/parser.c:17466
 #, gcc-internal-format
 msgid "types may not be defined in parameter types"
 msgstr "typer får inte definieras i parametertyper"
 
-#: cp/parser.c:17590
+#: cp/parser.c:17592
 #, gcc-internal-format
 msgid "deprecated use of default argument for parameter of non-function"
 msgstr "användning av standardargument för parametrar till annat än funktioner bör undvikas"
 
-#: cp/parser.c:17594
+#: cp/parser.c:17596
 #, gcc-internal-format
 msgid "default arguments are only permitted for function parameters"
 msgstr "standardargument är endast tillåtna för funktionsparametrar"
 
-#: cp/parser.c:17613
+#: cp/parser.c:17615
 #, gcc-internal-format
 msgid "parameter pack %qD cannot have a default argument"
 msgstr "parameterpaket %qD kan inte ha ett standardargument"
 
-#: cp/parser.c:17621
+#: cp/parser.c:17623
 #, gcc-internal-format
 msgid "parameter pack cannot have a default argument"
 msgstr "parameterpaket kan inte ha ett standardargument"
 
-#: cp/parser.c:17910
+#: cp/parser.c:17914
 #, gcc-internal-format
 msgid "ISO C++ does not allow designated initializers"
 msgstr "ISO C++ tillåter inte designerade initierare"
 
-#: cp/parser.c:17924
+#: cp/parser.c:17928
 #, gcc-internal-format
 msgid "ISO C++ does not allow C99 designated initializers"
 msgstr "ISO C++ tillåter inte C99:s designerade initierare"
 
-#: cp/parser.c:18032 cp/parser.c:18157
+#: cp/parser.c:18036 cp/parser.c:18161
 #, gcc-internal-format
 msgid "expected class-name"
 msgstr "klassnamn förväntades"
 
-#: cp/parser.c:18337
+#: cp/parser.c:18341
 #, gcc-internal-format
 msgid "expected %<;%> after class definition"
 msgstr "%<;%> förväntades efter klassdefinition"
 
-#: cp/parser.c:18339
+#: cp/parser.c:18343
 #, gcc-internal-format
 msgid "expected %<;%> after struct definition"
 msgstr "%<;%> förväntades efter postdefinition"
 
-#: cp/parser.c:18341
+#: cp/parser.c:18345
 #, gcc-internal-format
 msgid "expected %<;%> after union definition"
 msgstr "%<;%> förväntades efter uniondefinition"
 
-#: cp/parser.c:18662
+#: cp/parser.c:18666
 #, gcc-internal-format
 msgid "expected %<{%> or %<:%>"
 msgstr "%<{%> eller %<:%> förväntades"
 
-#: cp/parser.c:18673
+#: cp/parser.c:18677
 #, gcc-internal-format
 msgid "cannot specify %<override%> for a class"
 msgstr "det går inte att ange %<override%> för en klass"
 
-#: cp/parser.c:18681
+#: cp/parser.c:18685
 #, gcc-internal-format
 msgid "global qualification of class name is invalid"
 msgstr "globala kvalificering av klassnamn är ogiltigt"
 
-#: cp/parser.c:18688
+#: cp/parser.c:18692
 #, gcc-internal-format
 msgid "qualified name does not name a class"
 msgstr "kvalificerat namn namnger inte en klass"
 
-#: cp/parser.c:18700
+#: cp/parser.c:18704
 #, gcc-internal-format
 msgid "invalid class name in declaration of %qD"
 msgstr "ogiltigt klassnamn i deklaration av %qD"
 
-#: cp/parser.c:18733
+#: cp/parser.c:18737
 #, gcc-internal-format
 msgid "extra qualification not allowed"
 msgstr "extra kvalifikation inte tillåten"
 
-#: cp/parser.c:18745
+#: cp/parser.c:18749
 #, gcc-internal-format
 msgid "an explicit specialization must be preceded by %<template <>%>"
 msgstr "en explicit specialisering måste föregås av %<template <>%>"
 
-#: cp/parser.c:18775
+#: cp/parser.c:18779
 #, gcc-internal-format
 msgid "function template %qD redeclared as a class template"
 msgstr "funktionsmall %qD omdeklarerad som en klassmall"
 
-#: cp/parser.c:18806
+#: cp/parser.c:18810
 #, gcc-internal-format
 msgid "could not resolve typename type"
 msgstr "det gick inte att lösa upp typnamnstyp"
 
-#: cp/parser.c:18858
+#: cp/parser.c:18862
 #, gcc-internal-format
 msgid "previous definition of %q+#T"
 msgstr "föregående definition av %q+#T"
 
-#: cp/parser.c:18939 cp/parser.c:23025
+#: cp/parser.c:18943 cp/parser.c:23029
 #, gcc-internal-format
 msgid "expected class-key"
 msgstr "klassnyckel förväntades"
 
-#: cp/parser.c:19177
+#: cp/parser.c:19181
 #, gcc-internal-format
 msgid "in C++03 a class-key must be used when declaring a friend"
 msgstr "i C++03 måste en klassnyckel användas när en vän deklareras"
 
-#: cp/parser.c:19195
+#: cp/parser.c:19199
 #, gcc-internal-format
 msgid "friend declaration does not name a class or function"
 msgstr "vändeklaration som inte namnger en klass eller funktion"
 
-#: cp/parser.c:19213
+#: cp/parser.c:19217
 #, gcc-internal-format
 msgid "a storage class on an anonymous aggregate in class scope is not allowed"
 msgstr "en lagringklass på ett anonymt aggregat i klassräckvidd tillåts inte"
 
-#: cp/parser.c:19418
+#: cp/parser.c:19422
 #, gcc-internal-format
 msgid "pure-specifier on function-definition"
 msgstr "pure-specificerare på funktionsdefinition"
 
-#: cp/parser.c:19462
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:19466
+#, gcc-internal-format
 msgid "stray %<,%> at end of member declaration"
-msgstr "%<;%> förväntades vid slutet av medlemsdeklaration"
+msgstr "överblivet %<,%> vid slutet av medlemsdeklaration"
 
-#: cp/parser.c:19474
+#: cp/parser.c:19478
 #, gcc-internal-format
 msgid "expected %<;%> at end of member declaration"
 msgstr "%<;%> förväntades vid slutet av medlemsdeklaration"
 
-#: cp/parser.c:19545
+#: cp/parser.c:19549
 #, gcc-internal-format
 msgid "invalid pure specifier (only %<= 0%> is allowed)"
 msgstr "ogiltig pure-specifiserare (endast %<= 0%> är tillåtet)"
 
-#: cp/parser.c:19580
+#: cp/parser.c:19584
 #, gcc-internal-format
 msgid "a brace-enclosed initializer is not allowed here"
 msgstr "en klammeromsluten initierare är inte tillåten här"
 
-#: cp/parser.c:19711
+#: cp/parser.c:19715
 #, gcc-internal-format
 msgid "%<virtual%> specified more than once in base-specified"
 msgstr "%<virtual%> anges mer än en gång i basspecificerade"
 
-#: cp/parser.c:19731
+#: cp/parser.c:19735
 #, gcc-internal-format
 msgid "more than one access specifier in base-specified"
 msgstr "mer än en åtkomstspecifikation i basspecificerade"
 
-#: cp/parser.c:19755
+#: cp/parser.c:19759
 #, gcc-internal-format
 msgid "keyword %<typename%> not allowed outside of templates"
 msgstr "nyckelordet %<typename%> är inte tillåtet utanför mallar"
 
-#: cp/parser.c:19758
+#: cp/parser.c:19762
 #, gcc-internal-format
 msgid "keyword %<typename%> not allowed in this context (the base class is implicitly a type)"
 msgstr "nyckelordet %<typename%> är inte tillåtet i detta sammanhang (basklassen är implicit en typ)"
 
-#: cp/parser.c:19851 cp/parser.c:19933
+#: cp/parser.c:19855 cp/parser.c:19937
 #, gcc-internal-format
 msgid "types may not be defined in an exception-specification"
 msgstr "typer får inte definieras i en undantagsspecifikation"
 
-#: cp/parser.c:19915
+#: cp/parser.c:19919
 #, gcc-internal-format
 msgid "dynamic exception specifications are deprecated in C++0x; use %<noexcept%> instead"
 msgstr "dynamiska undantagsspecifikationer undanbedes i C++0x, använd %<noexcept%> istället"
 
-#: cp/parser.c:20114
+#: cp/parser.c:20118
 #, gcc-internal-format
 msgid "types may not be defined in exception-declarations"
 msgstr "typer får inte definieras i undantagsdeklarationer"
 
-#: cp/parser.c:20665
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:20669
+#, gcc-internal-format
 msgid "expected an identifier for the attribute name"
-msgstr "identifierare eller %<(%> förväntades"
+msgstr "en identifierare förväntades som attributnamn"
 
-#: cp/parser.c:21334
+#: cp/parser.c:21338
 #, gcc-internal-format
 msgid "specializing member %<%T::%E%> requires %<template<>%> syntax"
 msgstr "specialisering av medlem %<%T::%E%> kräver %<template<>%>-syntax"
 
-#: cp/parser.c:21339
+#: cp/parser.c:21343
 #, gcc-internal-format
 msgid "invalid declaration of %<%T::%E%>"
 msgstr "ogiltig omdeklaration av %<%T::%E%>"
 
-#: cp/parser.c:21343
+#: cp/parser.c:21347
 #, gcc-internal-format
 msgid "too few template-parameter-lists"
 msgstr "för få mallparameterlistor"
@@ -33207,343 +33244,343 @@
 #. something like:
 #.
 #. template <class T> template <class U> void S::f();
-#: cp/parser.c:21350
+#: cp/parser.c:21354
 #, gcc-internal-format
 msgid "too many template-parameter-lists"
 msgstr "för många mallparameterlistor"
 
-#: cp/parser.c:21647
+#: cp/parser.c:21651
 #, gcc-internal-format
 msgid "named return values are no longer supported"
 msgstr "namngivna returvärden stödjs inte längre"
 
-#: cp/parser.c:21734
+#: cp/parser.c:21738
 #, gcc-internal-format
 msgid "invalid declaration of member template in local class"
 msgstr "ogiltig deklaration av medlemsmall i lokal klass"
 
-#: cp/parser.c:21743
+#: cp/parser.c:21747
 #, gcc-internal-format
 msgid "template with C linkage"
 msgstr "mall med C-länkning"
 
-#: cp/parser.c:21762
+#: cp/parser.c:21766
 #, gcc-internal-format
 msgid "invalid explicit specialization"
 msgstr "ogiltig explicit specifikation"
 
-#: cp/parser.c:21849
+#: cp/parser.c:21853
 #, gcc-internal-format
 msgid "literal operator template %qD has invalid parameter list.  Expected non-type template argument pack <char...>"
 msgstr "den literala operatormallen %qD har ogiltig parameterlista.  Ett mallargument som inte är en typ pack <char…> förväntades"
 
-#: cp/parser.c:21923
+#: cp/parser.c:21927
 #, gcc-internal-format
 msgid "template declaration of %<typedef%>"
 msgstr "malldeklaration av %<typedef%>"
 
-#: cp/parser.c:22000
+#: cp/parser.c:22004
 #, gcc-internal-format
 msgid "explicit template specialization cannot have a storage class"
 msgstr "explicit mallspecialisering kan inte ha en lagringsklass"
 
-#: cp/parser.c:22238
+#: cp/parser.c:22242
 #, gcc-internal-format
 msgid "%<>>%> should be %<> >%> within a nested template argument list"
 msgstr "%<>>%> skulle vara %<> >%> inuti en nästad mallargumentlista"
 
-#: cp/parser.c:22251
+#: cp/parser.c:22255
 #, gcc-internal-format
 msgid "spurious %<>>%>, use %<>%> to terminate a template argument list"
 msgstr "vilsekommet %<>>%>, använd %<>%> för att avsluta en mallargumentlista"
 
-#: cp/parser.c:22608
+#: cp/parser.c:22612
 #, gcc-internal-format
 msgid "%<sizeof...%> argument must be surrounded by parentheses"
 msgstr "argument till %<sizeof...%> måste omges av parenteser"
 
-#: cp/parser.c:22660
+#: cp/parser.c:22664
 #, gcc-internal-format
 msgid "invalid use of %qD in linkage specification"
 msgstr "ogiltig användning av %qD i länkklasspecifikation"
 
-#: cp/parser.c:22675
+#: cp/parser.c:22679
 #, gcc-internal-format
 msgid "%<__thread%> before %qD"
 msgstr "%<__thread%> före %qD"
 
-#: cp/parser.c:22809
+#: cp/parser.c:22813
 #, gcc-internal-format
 msgid "ISO C++ 1998 does not support %<long long%>"
 msgstr "ISO C++ 1998 stödjer inte %<long long%>"
 
-#: cp/parser.c:22817
+#: cp/parser.c:22821
 #, gcc-internal-format
 msgid "both %<__thread%> and %<thread_local%> specified"
 msgstr "både %<__thread%> och %<thread_local%> angivna"
 
-#: cp/parser.c:22819
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:22823
+#, gcc-internal-format
 msgid "duplicate %qD"
-msgstr "dubblerad %qE"
+msgstr "dubblerad %qD"
 
-#: cp/parser.c:22841
+#: cp/parser.c:22845
 #, gcc-internal-format
 msgid "duplicate %qs"
 msgstr "dubblerad %qs"
 
-#: cp/parser.c:22883
+#: cp/parser.c:22887
 #, gcc-internal-format
 msgid "expected %<new%>"
 msgstr "%<new%> förväntades"
 
-#: cp/parser.c:22886
+#: cp/parser.c:22890
 #, gcc-internal-format
 msgid "expected %<delete%>"
 msgstr "%<delete%> förväntades"
 
-#: cp/parser.c:22889
+#: cp/parser.c:22893
 #, gcc-internal-format
 msgid "expected %<return%>"
 msgstr "%<return%> förväntades"
 
-#: cp/parser.c:22895
+#: cp/parser.c:22899
 #, gcc-internal-format
 msgid "expected %<extern%>"
 msgstr "%<extern%> förväntades"
 
-#: cp/parser.c:22898
+#: cp/parser.c:22902
 #, gcc-internal-format
 msgid "expected %<static_assert%>"
 msgstr "%<static_assert%> förväntades"
 
-#: cp/parser.c:22901
+#: cp/parser.c:22905
 #, gcc-internal-format
 msgid "expected %<decltype%>"
 msgstr "%<decltype%> förväntades"
 
-#: cp/parser.c:22904
+#: cp/parser.c:22908
 #, gcc-internal-format
 msgid "expected %<operator%>"
 msgstr "%<operator%> förväntades"
 
-#: cp/parser.c:22907
+#: cp/parser.c:22911
 #, gcc-internal-format
 msgid "expected %<class%>"
 msgstr "%<class%> förväntades"
 
-#: cp/parser.c:22910
+#: cp/parser.c:22914
 #, gcc-internal-format
 msgid "expected %<template%>"
 msgstr "%<template%> förväntades"
 
-#: cp/parser.c:22913
+#: cp/parser.c:22917
 #, gcc-internal-format
 msgid "expected %<namespace%>"
 msgstr "%<namespace%> förväntades"
 
-#: cp/parser.c:22916
+#: cp/parser.c:22920
 #, gcc-internal-format
 msgid "expected %<using%>"
 msgstr "%<using%> förväntades"
 
-#: cp/parser.c:22919
+#: cp/parser.c:22923
 #, gcc-internal-format
 msgid "expected %<asm%>"
 msgstr "%<asm%> förväntades"
 
-#: cp/parser.c:22922
+#: cp/parser.c:22926
 #, gcc-internal-format
 msgid "expected %<try%>"
 msgstr "%<try%> förväntades"
 
-#: cp/parser.c:22925
+#: cp/parser.c:22929
 #, gcc-internal-format
 msgid "expected %<catch%>"
 msgstr "%<catch%> förväntades"
 
-#: cp/parser.c:22928
+#: cp/parser.c:22932
 #, gcc-internal-format
 msgid "expected %<throw%>"
 msgstr "%<throw%> förväntades"
 
-#: cp/parser.c:22931
+#: cp/parser.c:22935
 #, gcc-internal-format
 msgid "expected %<__label__%>"
 msgstr "%<__label__%> förväntades"
 
-#: cp/parser.c:22934
+#: cp/parser.c:22938
 #, gcc-internal-format
 msgid "expected %<@try%>"
 msgstr "%<@try%> förväntades"
 
-#: cp/parser.c:22937
+#: cp/parser.c:22941
 #, gcc-internal-format
 msgid "expected %<@synchronized%>"
 msgstr "%<synchronized%> förväntades"
 
-#: cp/parser.c:22940
+#: cp/parser.c:22944
 #, gcc-internal-format
 msgid "expected %<@throw%>"
 msgstr "%<@throw%> förväntades"
 
-#: cp/parser.c:22943
+#: cp/parser.c:22947
 #, gcc-internal-format
 msgid "expected %<__transaction_atomic%>"
 msgstr "%<__transaction_atomic%> förväntades"
 
-#: cp/parser.c:22946
+#: cp/parser.c:22950
 #, gcc-internal-format
 msgid "expected %<__transaction_relaxed%>"
 msgstr "%<__transaction _relaxed%> förväntades"
 
-#: cp/parser.c:22977
+#: cp/parser.c:22981
 #, gcc-internal-format
 msgid "expected %<::%>"
 msgstr "%<::%> förväntades"
 
-#: cp/parser.c:22989
+#: cp/parser.c:22993
 #, gcc-internal-format
 msgid "expected %<...%>"
 msgstr "%<...%> förväntades"
 
-#: cp/parser.c:22992
+#: cp/parser.c:22996
 #, gcc-internal-format
 msgid "expected %<*%>"
 msgstr "%<*%> förväntades"
 
-#: cp/parser.c:22995
+#: cp/parser.c:22999
 #, gcc-internal-format
 msgid "expected %<~%>"
 msgstr "%<~%> förväntades"
 
-#: cp/parser.c:23001
+#: cp/parser.c:23005
 #, gcc-internal-format
 msgid "expected %<:%> or %<::%>"
 msgstr "%<:%> eller %<::%> förväntades"
 
-#: cp/parser.c:23029
+#: cp/parser.c:23033
 #, gcc-internal-format
 msgid "expected %<class%>, %<typename%>, or %<template%>"
 msgstr "%<class%>, %<typename%> eller %<template%> förväntades"
 
-#: cp/parser.c:23267
+#: cp/parser.c:23271
 #, gcc-internal-format
 msgid "%qs tag used in naming %q#T"
 msgstr "%qs-tagg använd vid namngivning av %q#T"
 
-#: cp/parser.c:23272
+#: cp/parser.c:23276
 #, gcc-internal-format
 msgid "%q#T was previously declared here"
 msgstr "%q#T deklarerades tidigare här"
 
-#: cp/parser.c:23291
+#: cp/parser.c:23295
 #, gcc-internal-format
 msgid "%qD redeclared with different access"
 msgstr "%qD omdeklarerad med annan åtkomst"
 
-#: cp/parser.c:23312
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:23316
+#, gcc-internal-format
 msgid "in C++98 %<template%> (as a disambiguator) is only allowed within templates"
-msgstr "%<template%> (för att lösa upp tvetydighet) är endast tillåtet inuti mallar"
+msgstr "i C++98 är %<template%> (för att lösa upp tvetydighet) är endast tillåtet inuti mallar"
 
-#: cp/parser.c:23544
+#: cp/parser.c:23548
 #, gcc-internal-format
 msgid "file ends in default argument"
 msgstr "filen slutar i standardargument"
 
-#: cp/parser.c:23748 cp/parser.c:25010 cp/parser.c:25196
+#: cp/parser.c:23752 cp/parser.c:25014 cp/parser.c:25200
 #, gcc-internal-format
 msgid "misplaced %<@%D%> Objective-C++ construct"
 msgstr "felplacerad Objective-C++-konstruktion %<@%D%>"
 
-#: cp/parser.c:23870
+#: cp/parser.c:23874
 #, gcc-internal-format
 msgid "objective-c++ message argument(s) are expected"
 msgstr "objective-c++-meddelandeargument förväntades"
 
-#: cp/parser.c:23899
+#: cp/parser.c:23903
 #, gcc-internal-format
 msgid "%<@encode%> must specify a type as an argument"
 msgstr "%<@encode%> måste ange en typ som ett argument"
 
-#: cp/parser.c:24275
+#: cp/parser.c:24279
 #, gcc-internal-format
 msgid "invalid Objective-C++ selector name"
 msgstr "ogiltigt Objective-C++-selekterarnamn"
 
-#: cp/parser.c:24350 cp/parser.c:24368
+#: cp/parser.c:24354 cp/parser.c:24372
 #, gcc-internal-format
 msgid "objective-c++ method declaration is expected"
 msgstr "metodeklaration i objective-c++ förväntades"
 
-#: cp/parser.c:24362 cp/parser.c:24427
+#: cp/parser.c:24366 cp/parser.c:24431
 #, gcc-internal-format
 msgid "method attributes must be specified at the end"
 msgstr "metodattribut måste anges på slutet"
 
 # %qs blir "{" eller "}"
-#: cp/parser.c:24470
+#: cp/parser.c:24474
 #, gcc-internal-format
 msgid "stray %qs between Objective-C++ methods"
 msgstr "vilsekommet %qs mellan Objective-C++ metoder"
 
-#: cp/parser.c:24676 cp/parser.c:24683 cp/parser.c:24690
+#: cp/parser.c:24680 cp/parser.c:24687 cp/parser.c:24694
 #, gcc-internal-format
 msgid "invalid type for instance variable"
 msgstr "ogiltig typ för iterationsvariabel"
 
-#: cp/parser.c:24804
+#: cp/parser.c:24808
 #, gcc-internal-format
 msgid "identifier expected after %<@protocol%>"
 msgstr "identifierare förväntades efter %<@protocol%>"
 
-#: cp/parser.c:24975
+#: cp/parser.c:24979
 #, gcc-internal-format
 msgid "attributes may not be specified before the %<@%D%> Objective-C++ keyword"
 msgstr "attribut får inte anges före Objective-C++-nyckelordet %<@%D%>"
 
-#: cp/parser.c:24982
+#: cp/parser.c:24986
 #, gcc-internal-format
 msgid "prefix attributes are ignored before %<@%D%>"
 msgstr "prefixattribut ignoreras före %<@%D%>"
 
-#: cp/parser.c:25255 cp/parser.c:25262 cp/parser.c:25269
+#: cp/parser.c:25259 cp/parser.c:25266 cp/parser.c:25273
 #, gcc-internal-format
 msgid "invalid type for property"
 msgstr "ogiltigt typ på egenskap"
 
-#: cp/parser.c:27000
+#: cp/parser.c:27004
 #, gcc-internal-format
 msgid "parenthesized initialization is not allowed in OpenMP %<for%> loop"
 msgstr "initiering i parenteser är inte tillåtet i en OpenMP-%<for%>-slinga"
 
-#: cp/parser.c:27168 cp/pt.c:12695
+#: cp/parser.c:27172 cp/pt.c:12690
 #, gcc-internal-format
 msgid "iteration variable %qD should not be reduction"
 msgstr "iterationsvariabel %qD skall inte vara reduction"
 
-#: cp/parser.c:27238
+#: cp/parser.c:27242
 #, gcc-internal-format
 msgid "not enough collapsed for loops"
 msgstr "inte tillräcklig kollapsat för slingor"
 
-#: cp/parser.c:27796 cp/semantics.c:5105
+#: cp/parser.c:27800 cp/semantics.c:5105
 #, gcc-internal-format
 msgid "%<__transaction_relaxed%> without transactional memory support enabled"
 msgstr "%<__transaction_relaxed%> utan stöd för transaktionsminne aktiverat"
 
-#: cp/parser.c:27798 cp/semantics.c:5107
+#: cp/parser.c:27802 cp/semantics.c:5107
 #, gcc-internal-format
 msgid "%<__transaction_atomic%> without transactional memory support enabled"
 msgstr "%<__transaction_atomic%> utan stöd för transaktionsminne aktiverat"
 
-#: cp/parser.c:27995
+#: cp/parser.c:27999
 #, gcc-internal-format
 msgid "junk at end of %<#pragma GCC pch_preprocess%>"
 msgstr "skräp vid slutet av %<#pragma GCC pch_preprocess%>"
 
-#: cp/parser.c:28174
+#: cp/parser.c:28178
 #, gcc-internal-format
 msgid "inter-module optimizations not implemented for C++"
 msgstr "intermoduloptimeringar inte implementerade för C++"
@@ -33594,9 +33631,9 @@
 msgstr "namn på klass skuggar mallmallparameter %qD"
 
 #: cp/pt.c:823
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "specialization of alias template %qD"
-msgstr "partiell specialisering av aliasmall %qD"
+msgstr "specialisering av aliasmall %qD"
 
 #: cp/pt.c:826 cp/pt.c:957
 #, gcc-internal-format
@@ -33631,14 +33668,14 @@
 msgstr "specialisering av %qD efter instansiering"
 
 #: cp/pt.c:1747
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "candidate is: %#D"
-msgstr "kandidat är: %+#D"
+msgstr "kandidat är: %#D"
 
 #: cp/pt.c:1754
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%s %#D"
-msgstr "%s %+#D"
+msgstr "%s %#D"
 
 #: cp/pt.c:1848
 #, gcc-internal-format
@@ -33660,15 +33697,15 @@
 msgid "ambiguous template specialization %qD for %q+D"
 msgstr "tvetydig mallspecialisering %qD för %q+D"
 
-#: cp/pt.c:2273 cp/pt.c:17968
+#: cp/pt.c:2273 cp/pt.c:17964
 #, gcc-internal-format
 msgid "%qD is not a static data member of a class template"
 msgstr "%qD är inte en statisk datamedlem i en klassmall"
 
 #: cp/pt.c:2277
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "too many template headers for %D (should be %d)"
-msgstr "fel antal mallargument (%d, skulle vara %d)"
+msgstr "fel antal mallhuvuden för %D (skulle vara %d)"
 
 #: cp/pt.c:2281
 #, gcc-internal-format
@@ -33801,9 +33838,9 @@
 msgstr "partiell specialisering är inte mer specialiserad än huvudmallen eftersom den ersätter flera parametrar med en paketexpansion"
 
 #: cp/pt.c:4121
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "primary template here"
-msgstr "tidigare deklarerad här"
+msgstr "huvudmall här"
 
 #: cp/pt.c:4168
 #, gcc-internal-format
@@ -33989,9 +34026,9 @@
 msgstr "det måste vara adressen till en funktion med extern lagringsklass"
 
 #: cp/pt.c:5137
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "it must be the name of a function with external linkage"
-msgstr "det måste vara adressen till en funktion med extern lagringsklass"
+msgstr "det måste vara namnet på en funktion med extern lagringsklass"
 
 #: cp/pt.c:5145
 #, gcc-internal-format
@@ -34295,9 +34332,9 @@
 msgstr "argumentpaketlängder stämmer inte överens vid expansion av %<%E%>"
 
 #: cp/pt.c:9886
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "  when instantiating default argument for call to %D"
-msgstr "omdefinition av standardargument till %q#D"
+msgstr "  vid instantiering av standardargument för anrop av %D"
 
 #: cp/pt.c:10478
 #, gcc-internal-format
@@ -34317,252 +34354,252 @@
 #.
 #. is an attempt to declare a variable with function
 #. type.
-#: cp/pt.c:10656
+#: cp/pt.c:10651
 #, gcc-internal-format
 msgid "variable %qD has function type"
 msgstr "variabeln %qD har funktionstyp"
 
-#: cp/pt.c:10828
+#: cp/pt.c:10823
 #, gcc-internal-format
 msgid "invalid parameter type %qT"
 msgstr "ogiltig parametertyp %qT"
 
-#: cp/pt.c:10830
+#: cp/pt.c:10825
 #, gcc-internal-format
 msgid "in declaration %q+D"
 msgstr "i deklaration %q+D"
 
-#: cp/pt.c:10906
+#: cp/pt.c:10901
 #, gcc-internal-format
 msgid "function returning an array"
 msgstr "funktion som returnerar en vektor"
 
-#: cp/pt.c:10908
+#: cp/pt.c:10903
 #, gcc-internal-format
 msgid "function returning a function"
 msgstr "funktion som returnerar en funktion"
 
-#: cp/pt.c:10938
+#: cp/pt.c:10933
 #, gcc-internal-format
 msgid "creating pointer to member function of non-class type %qT"
 msgstr "skapar pekare till medlemsfunktion i typ %qT som inte är en klass"
 
-#: cp/pt.c:11503
+#: cp/pt.c:11498
 #, gcc-internal-format
 msgid "forming reference to void"
 msgstr "formar referens till void"
 
-#: cp/pt.c:11505
+#: cp/pt.c:11500
 #, gcc-internal-format
 msgid "forming pointer to reference type %qT"
 msgstr "formar pekare till en referenstyp %qT"
 
-#: cp/pt.c:11507
+#: cp/pt.c:11502
 #, gcc-internal-format
 msgid "forming reference to reference type %qT"
 msgstr "formar referens till en referenstyp %qT"
 
-#: cp/pt.c:11556
+#: cp/pt.c:11551
 #, gcc-internal-format
 msgid "creating pointer to member of non-class type %qT"
 msgstr "skapar pekare till medlem av typ %qT som inte är en klass"
 
-#: cp/pt.c:11562
+#: cp/pt.c:11557
 #, gcc-internal-format
 msgid "creating pointer to member reference type %qT"
 msgstr "skapar pekare till medlemsreferenstyp %qT"
 
-#: cp/pt.c:11568
+#: cp/pt.c:11563
 #, gcc-internal-format
 msgid "creating pointer to member of type void"
 msgstr "skapar pekare till medlem av typ void"
 
-#: cp/pt.c:11630
+#: cp/pt.c:11625
 #, gcc-internal-format
 msgid "creating array of %qT"
 msgstr "skapar vektor av %qT"
 
-#: cp/pt.c:11636
+#: cp/pt.c:11631
 #, gcc-internal-format
 msgid "creating array of %qT, which is an abstract class type"
 msgstr "skapar vektor av %qT, som är en abstrakt klasstyp"
 
-#: cp/pt.c:11665
+#: cp/pt.c:11660
 #, gcc-internal-format
 msgid "%qT is not a class, struct, or union type"
 msgstr "%qT är inte en klass-, post- eller unionstyp"
 
-#: cp/pt.c:11702
+#: cp/pt.c:11697
 #, gcc-internal-format
 msgid "%qT resolves to %qT, which is not an enumeration type"
 msgstr "%T slås upp till %qT som inte är en uppräkningstyp"
 
-#: cp/pt.c:11710
+#: cp/pt.c:11705
 #, gcc-internal-format
 msgid "%qT resolves to %qT, which is is not a class type"
 msgstr "%qT löses upp till %qT, som inte är en klasstyp"
 
-#: cp/pt.c:11827
+#: cp/pt.c:11822
 #, gcc-internal-format
 msgid "use of %qs in template"
 msgstr "användning av %qs i mall"
 
-#: cp/pt.c:11969
+#: cp/pt.c:11964
 #, gcc-internal-format
 msgid "qualifying type %qT does not match destructor name ~%qT"
 msgstr "kvalificerande typ %qT matchar inte destruerarnamnet ~%qT"
 
-#: cp/pt.c:11984
+#: cp/pt.c:11979
 #, gcc-internal-format
 msgid "dependent-name %qE is parsed as a non-type, but instantiation yields a type"
 msgstr "namnet %qE i den beroende tolkas som något annat än en typ, men instansiering ger en typ"
 
-#: cp/pt.c:11986
+#: cp/pt.c:11981
 #, gcc-internal-format
 msgid "say %<typename %E%> if a type is meant"
 msgstr "säg %<typename %E%> om en typ avses"
 
-#: cp/pt.c:12134
+#: cp/pt.c:12129
 #, gcc-internal-format
 msgid "using invalid field %qD"
 msgstr "användning av ogiltigt fält %qD"
 
-#: cp/pt.c:12502 cp/pt.c:13323
+#: cp/pt.c:12497 cp/pt.c:13318
 #, gcc-internal-format
 msgid "invalid use of pack expansion expression"
 msgstr "ogiltig användning av paketexpansionsuttryck"
 
-#: cp/pt.c:12506 cp/pt.c:13327
+#: cp/pt.c:12501 cp/pt.c:13322
 #, gcc-internal-format
 msgid "use %<...%> to expand argument pack"
 msgstr "använd %<...%>  för att expandera argumentpaket"
 
-#: cp/pt.c:13973
+#: cp/pt.c:13968
 #, gcc-internal-format
 msgid "%qD was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation"
 msgstr "%qD har inte deklarerats i denna räckvidd, och inga deklarationer hittades vid argumentberoende uppslagning vid instantieringspunkten"
 
-#: cp/pt.c:13982
+#: cp/pt.c:13977
 #, gcc-internal-format
 msgid "declarations in dependent base %qT are not found by unqualified lookup"
 msgstr "deklarationer i beroende bas %qT hittas inte av en okvalificerad uppslagning"
 
-#: cp/pt.c:13987
+#: cp/pt.c:13982
 #, gcc-internal-format
 msgid "use %<this->%D%> instead"
 msgstr "använd %<this->%D%> istället"
 
-#: cp/pt.c:13990
+#: cp/pt.c:13985
 #, gcc-internal-format
 msgid "use %<%T::%D%> instead"
 msgstr "använd %<%T::%D%> istället"
 
-#: cp/pt.c:13994
+#: cp/pt.c:13989
 #, gcc-internal-format
 msgid "%q+D declared here, later in the translation unit"
 msgstr "%q+D är deklarerad här, senare i översättningsenheten"
 
-#: cp/pt.c:14254
+#: cp/pt.c:14249
 #, gcc-internal-format
 msgid "%qT is not a class or namespace"
 msgstr "%qT är inte en klass eller namnrymd"
 
-#: cp/pt.c:14257
+#: cp/pt.c:14252
 #, gcc-internal-format
 msgid "%qD is not a class or namespace"
 msgstr "%qD är inte en klass eller namnrymd"
 
-#: cp/pt.c:14563
+#: cp/pt.c:14558
 #, gcc-internal-format
 msgid "%qT is/uses anonymous type"
 msgstr "%qT är/använder en anonym typ"
 
-#: cp/pt.c:14565
+#: cp/pt.c:14560
 #, gcc-internal-format
 msgid "template argument for %qD uses local type %qT"
 msgstr "mallargumentet för %qD använder lokal typ %qT"
 
-#: cp/pt.c:14575
+#: cp/pt.c:14570
 #, gcc-internal-format
 msgid "%qT is a variably modified type"
 msgstr "%qT är en variabel typ"
 
-#: cp/pt.c:14589
+#: cp/pt.c:14584
 #, gcc-internal-format
 msgid "integral expression %qE is not constant"
 msgstr "heltalsuttryck %qE är inte konstant"
 
-#: cp/pt.c:14607
+#: cp/pt.c:14602
 #, gcc-internal-format
 msgid "  trying to instantiate %qD"
 msgstr "  försöker instansiera %qD"
 
-#: cp/pt.c:17925
+#: cp/pt.c:17921
 #, gcc-internal-format
 msgid "ambiguous class template instantiation for %q#T"
 msgstr "tvetydig klassmallinstansiering av %q#T"
 
-#: cp/pt.c:17929
+#: cp/pt.c:17925
 #, gcc-internal-format
 msgid "%s %+#T"
 msgstr "%s %+#T"
 
-#: cp/pt.c:17953 cp/pt.c:18036
+#: cp/pt.c:17949 cp/pt.c:18032
 #, gcc-internal-format
 msgid "explicit instantiation of non-template %q#D"
 msgstr "explicit instansieringar av icke-mall %q#D"
 
-#: cp/pt.c:17974 cp/pt.c:18031
+#: cp/pt.c:17970 cp/pt.c:18027
 #, gcc-internal-format
 msgid "no matching template for %qD found"
 msgstr "det finns ingen matchande mall för %qD"
 
-#: cp/pt.c:17979
+#: cp/pt.c:17975
 #, gcc-internal-format
 msgid "type %qT for explicit instantiation %qD does not match declared type %qT"
 msgstr "typ %qT för explicit instansiering %qD stämmer inte med deklarerad typ %qT"
 
-#: cp/pt.c:17987
+#: cp/pt.c:17983
 #, gcc-internal-format
 msgid "explicit instantiation of %q#D"
 msgstr "explicit instansiering av %q#D"
 
-#: cp/pt.c:18023
+#: cp/pt.c:18019
 #, gcc-internal-format
 msgid "duplicate explicit instantiation of %q#D"
 msgstr "dubblerad explicit instansiering av %q#D"
 
-#: cp/pt.c:18046 cp/pt.c:18143
+#: cp/pt.c:18042 cp/pt.c:18139
 #, gcc-internal-format
 msgid "ISO C++ 1998 forbids the use of %<extern%> on explicit instantiations"
 msgstr "ISO C++ 1998 förbjuder användning av %<extern%> vid explicita instansieringar"
 
-#: cp/pt.c:18051 cp/pt.c:18160
+#: cp/pt.c:18047 cp/pt.c:18156
 #, gcc-internal-format
 msgid "storage class %qD applied to template instantiation"
 msgstr "lagringsklass %qD tillämpad på mallinstansiering"
 
-#: cp/pt.c:18119
+#: cp/pt.c:18115
 #, gcc-internal-format
 msgid "explicit instantiation of non-class template %qD"
 msgstr "explicit instansieringar av mallen %q#D som inte är en klass"
 
-#: cp/pt.c:18121
+#: cp/pt.c:18117
 #, gcc-internal-format
 msgid "explicit instantiation of non-template type %qT"
 msgstr "explicit instansieringar av icke-malltyp %qT"
 
-#: cp/pt.c:18130
+#: cp/pt.c:18126
 #, gcc-internal-format
 msgid "explicit instantiation of %q#T before definition of template"
 msgstr "explicit instansiering av %q#T före definitionen av mallen"
 
-#: cp/pt.c:18148
+#: cp/pt.c:18144
 #, gcc-internal-format
 msgid "ISO C++ forbids the use of %qE on explicit instantiations"
 msgstr "ISO C++ förbjuder användning av %qE vid explicita instansieringar"
 
-#: cp/pt.c:18194
+#: cp/pt.c:18190
 #, gcc-internal-format
 msgid "duplicate explicit instantiation of %q#T"
 msgstr "dubblerad explicit instansiering av %q#T"
@@ -34574,47 +34611,47 @@
 #. member function or static data member of a class template
 #. shall be present in every translation unit in which it is
 #. explicitly instantiated.
-#: cp/pt.c:18723
+#: cp/pt.c:18719
 #, gcc-internal-format
 msgid "explicit instantiation of %qD but no definition available"
 msgstr "explicit instansiering av %qD men ingen definition tillgänglig"
 
-#: cp/pt.c:18908
+#: cp/pt.c:18904
 #, gcc-internal-format
 msgid "template instantiation depth exceeds maximum of %d instantiating %q+D, possibly from virtual table generation (use -ftemplate-depth= to increase the maximum)"
 msgstr "mallinstansieringsdjupet överskrider maxvärdet på %d vid instansiering av %q+D, möjligen från generering av virtuell tabell (använd -ftemplate-depth= för att öka maxvärdet)"
 
-#: cp/pt.c:19288
+#: cp/pt.c:19284
 #, gcc-internal-format
 msgid "invalid template non-type parameter"
 msgstr "ogiltig mallparameter som inte är en typ"
 
-#: cp/pt.c:19290
+#: cp/pt.c:19286
 #, gcc-internal-format
 msgid "%q#T is not a valid type for a template non-type parameter"
 msgstr "%q#T är inte en giltig typ för en mallparameter som inte är en typ"
 
-#: cp/pt.c:20508
+#: cp/pt.c:20504
 #, gcc-internal-format
 msgid "deducing from brace-enclosed initializer list requires #include <initializer_list>"
 msgstr "härledning från klammeromgiven initierarlista kräver #include <initializer_list>"
 
-#: cp/pt.c:20579
-#, fuzzy, gcc-internal-format
+#: cp/pt.c:20575
+#, gcc-internal-format
 msgid "unable to deduce lambda return type from %qE"
-msgstr "kan inte härleda %qT från %qE"
+msgstr "kan inte härleda lambdareturtyp från %qE"
 
-#: cp/pt.c:20581
+#: cp/pt.c:20577
 #, gcc-internal-format
 msgid "unable to deduce %qT from %qE"
 msgstr "kan inte härleda %qT från %qE"
 
-#: cp/pt.c:20595
+#: cp/pt.c:20591
 #, gcc-internal-format
 msgid "inconsistent types %qT and %qT deduced for lambda return type"
 msgstr "inkonsistenta typer %qT och %qT härledda för lambda-returtypen"
 
-#: cp/pt.c:20599
+#: cp/pt.c:20595
 #, gcc-internal-format
 msgid "inconsistent deduction for %qT: %qT and then %qT"
 msgstr "inkonsistent härledning för %qT: %qT och sedan %qT"
@@ -34766,17 +34803,17 @@
 msgid "__label__ declarations are only allowed in function scopes"
 msgstr "__label__-deklarationer får bara förekomma på funktionsnivå"
 
-#: cp/semantics.c:1557
+#: cp/semantics.c:1558
 #, gcc-internal-format
 msgid "invalid use of member %q+D in static member function"
 msgstr "ogiltig användning av %q+D i en statisk medlemsfunktion"
 
-#: cp/semantics.c:1559
+#: cp/semantics.c:1560
 #, gcc-internal-format
 msgid "invalid use of non-static data member %q+D"
 msgstr "ogiltig användning av icke-statisk datamedlem %q+D"
 
-#: cp/semantics.c:1560
+#: cp/semantics.c:1561
 #, gcc-internal-format
 msgid "from this location"
 msgstr "härifrån"
@@ -34851,15 +34888,15 @@
 msgid "invalid base-class specification"
 msgstr "ogiltig basklasspecifikation"
 
-#: cp/semantics.c:3074 cp/semantics.c:9106
+#: cp/semantics.c:3074 cp/semantics.c:9123
 #, gcc-internal-format
 msgid "%qD is not captured"
 msgstr "%qD är inte fångad"
 
 #: cp/semantics.c:3080
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "use of local variable with automatic storage from containing function"
-msgstr "användning av %<auto%>-variabel från den kringliggande funktionen"
+msgstr "användning av lokal variabel med automatisk lagringsklass från en kringliggande funktion"
 
 #: cp/semantics.c:3081
 #, gcc-internal-format
@@ -34979,264 +35016,269 @@
 msgstr "skillnaden mellan %qE och %qD har inte heltalstyp"
 
 #. Report the error.
-#: cp/semantics.c:5224
+#: cp/semantics.c:5226
 #, gcc-internal-format, gfc-internal-format
 msgid "static assertion failed: %s"
 msgstr "statisk försäkran misslyckades: %s"
 
-#: cp/semantics.c:5227
+#: cp/semantics.c:5229
 #, gcc-internal-format
 msgid "non-constant condition for static assertion"
 msgstr "icke-konstant villkor i statisk deklaration"
 
-#: cp/semantics.c:5256
+#: cp/semantics.c:5258
 #, gcc-internal-format
 msgid "argument to decltype must be an expression"
 msgstr "argument till decltype måste vara ett uttryck"
 
-#: cp/semantics.c:5281
+#: cp/semantics.c:5283
 #, gcc-internal-format
 msgid "decltype cannot resolve address of overloaded function"
 msgstr "decltype kan inte lösa upp adressen till en överlagrad funktion"
 
-#: cp/semantics.c:5612
+#: cp/semantics.c:5614
 #, gcc-internal-format
 msgid "__is_convertible_to"
 msgstr "__is_convertible_to"
 
-#: cp/semantics.c:5730
+#: cp/semantics.c:5732
 #, gcc-internal-format
 msgid "the type %qT of constexpr variable %qD is not literal"
 msgstr "typen %qT för constexpr-variabeln %qD är inte en literal"
 
-#: cp/semantics.c:5800
+#: cp/semantics.c:5802
 #, gcc-internal-format
 msgid "invalid type for parameter %d of constexpr function %q+#D"
 msgstr "ogiltig typ för parameter %d till constexpr-funktion %q+#D"
 
-#: cp/semantics.c:5814
+#: cp/semantics.c:5816
 #, gcc-internal-format
 msgid "invalid return type %qT of constexpr function %q+D"
 msgstr "ogiltig returtyp %qT för constexpr-funktionen %q+D"
 
-#: cp/semantics.c:5836
+#: cp/semantics.c:5838
 #, gcc-internal-format
 msgid "%q#T has virtual base classes"
 msgstr "%q#T har virtuella basklasser"
 
-#: cp/semantics.c:6036
+#: cp/semantics.c:6038
 #, gcc-internal-format
 msgid "constexpr constructor does not have empty body"
 msgstr "constexpr-konstruerare har inte tom kropp"
 
-#: cp/semantics.c:6122
+#: cp/semantics.c:6124
 #, gcc-internal-format
 msgid "body of %<constexpr%> constructor cannot be a function-try-block"
 msgstr "kroppen av %<constexpr%>-konstruerare kan inte vara ett function-try-block"
 
-#: cp/semantics.c:6245
+#: cp/semantics.c:6247
 #, gcc-internal-format
 msgid "%<constexpr%> constructor for union %qT must initialize exactly one non-static data member"
 msgstr "%<constexpr%>-konstrueraren för unionen %qT måste initiera precis en icke statisk datamedlem"
 
-#: cp/semantics.c:6285
+#: cp/semantics.c:6287
 #, gcc-internal-format
 msgid "uninitialized member %qD in %<constexpr%> constructor"
 msgstr "oinitierad medlem %qD i %<constexpr%>-konstruerare"
 
-#: cp/semantics.c:6316
+#: cp/semantics.c:6318
 #, gcc-internal-format
 msgid "body of constexpr function %qD not a return-statement"
 msgstr "kroppen i constexpr-funktionen %qD är inte en retursats"
 
-#: cp/semantics.c:6371
+#: cp/semantics.c:6373
 #, gcc-internal-format
 msgid "%q+D is not usable as a constexpr function because:"
 msgstr "%q+D är inte användbar som en constexpr-funktion eftersom:"
 
-#: cp/semantics.c:6706
+#: cp/semantics.c:6708
 #, gcc-internal-format
 msgid "expression %qE does not designate a constexpr function"
 msgstr "uttrycket %qE anger inte en constexpr-funktion"
 
-#: cp/semantics.c:6720 cp/semantics.c:8360
+#: cp/semantics.c:6722 cp/semantics.c:8362
 #, gcc-internal-format
 msgid "call to non-constexpr function %qD"
 msgstr "anrop av icke-constexpr-funktion %qD"
 
 #. The definition of fun was somehow unsuitable.
-#: cp/semantics.c:6748
+#: cp/semantics.c:6750
 #, gcc-internal-format
 msgid "%qD called in a constant expression"
 msgstr "%qD anropad i ett konstant uttryck"
 
-#: cp/semantics.c:6752
+#: cp/semantics.c:6754
 #, gcc-internal-format
 msgid "%qD used before its definition"
 msgstr "%qD användes före sin definition"
 
-#: cp/semantics.c:6786
+#: cp/semantics.c:6788
 #, gcc-internal-format
 msgid "call has circular dependency"
 msgstr "anrop har cirkulärt beroende"
 
-#: cp/semantics.c:6794
+#: cp/semantics.c:6796
 #, gcc-internal-format, gfc-internal-format
 msgid "constexpr evaluation depth exceeds maximum of %d (use -fconstexpr-depth= to increase the maximum)"
 msgstr "beräkning av constexpr överskrider maxvärdet på %d (använd -fconstexpr-depth= för att öka maxvärdet)"
 
-#: cp/semantics.c:6858
+#: cp/semantics.c:6860
 #, gcc-internal-format
 msgid "%q+E is not a constant expression"
 msgstr "%q+E är inte ett konstant uttryck"
 
-#: cp/semantics.c:7004
+#: cp/semantics.c:7006
 #, gcc-internal-format
 msgid "array subscript out of bound"
 msgstr "vektorindex är utanför gränserna"
 
-#: cp/semantics.c:7050 cp/semantics.c:7110 cp/semantics.c:7804
+#: cp/semantics.c:7052 cp/semantics.c:7112 cp/semantics.c:7806
 #, gcc-internal-format
 msgid "%qE is not a constant expression"
 msgstr "%qE är inte ett konstant uttryck"
 
-#: cp/semantics.c:7056
+#: cp/semantics.c:7058
 #, gcc-internal-format
 msgid "mutable %qD is not usable in a constant expression"
 msgstr "muterbar %qD är inte användbart i ett konstant uttryck"
 
-#: cp/semantics.c:7071
+#: cp/semantics.c:7073
 #, gcc-internal-format
 msgid "accessing %qD member instead of initialized %qD member in constant expression"
 msgstr "använder medlem %qD istället för initierad medlem %qD i ett konstant uttryck"
 
-#: cp/semantics.c:7630
+#: cp/semantics.c:7632
 #, gcc-internal-format
 msgid "accessing value of %qE through a %qT glvalue in a constant expression"
 msgstr "använder värdet av %qE genom ett %qT-glvalue i ett konstant uttryck"
 
-#: cp/semantics.c:7665
+#: cp/semantics.c:7667
 #, gcc-internal-format
 msgid "the value of %qD is not usable in a constant expression"
 msgstr "värdet på %qD är inte användbart i ett konstant uttryck"
 
-#: cp/semantics.c:7672
+#: cp/semantics.c:7674
 #, gcc-internal-format
 msgid "%qD used in its own initializer"
 msgstr "%qD använd i sin egen initierare"
 
-#: cp/semantics.c:7677
+#: cp/semantics.c:7679
 #, gcc-internal-format
 msgid "%q#D is not const"
 msgstr "%q#D är inte const"
 
-#: cp/semantics.c:7680
+#: cp/semantics.c:7682
 #, gcc-internal-format
 msgid "%q#D is volatile"
 msgstr "%q+#D är volatile"
 
-#: cp/semantics.c:7684
+#: cp/semantics.c:7686
 #, gcc-internal-format
 msgid "%qD was not initialized with a constant expression"
 msgstr "%qD initierades inte med ett konstant uttryck"
 
-#: cp/semantics.c:7693
+#: cp/semantics.c:7695
 #, gcc-internal-format
 msgid "%qD was not declared %<constexpr%>"
 msgstr "%qD deklarerades inte %<constexpr%>"
 
-#: cp/semantics.c:7696
+#: cp/semantics.c:7698
 #, gcc-internal-format
 msgid "%qD does not have integral or enumeration type"
 msgstr "%qD har inte heltals- eller uppräkningstyp"
 
-#: cp/semantics.c:7792 cp/semantics.c:8492
+#: cp/semantics.c:7794 cp/semantics.c:8494
 #, gcc-internal-format
 msgid "use of the value of the object being constructed in a constant expression"
 msgstr "användning av värdet på objektet som konstrueras i ett konstant uttryck"
 
-#: cp/semantics.c:7820 cp/semantics.c:8630
+#: cp/semantics.c:7822 cp/semantics.c:8644
 #, gcc-internal-format
 msgid "temporary of non-literal type %qT in a constant expression"
 msgstr "temporär av den ej literala typen %qT i ett konstant uttryck"
 
-#: cp/semantics.c:8087 cp/semantics.c:8534 cp/semantics.c:8794
+#: cp/semantics.c:8089 cp/semantics.c:8536 cp/semantics.c:8811
 #, gcc-internal-format
 msgid "expression %qE is not a constant-expression"
 msgstr "uttrycket %qE är inte ett konstantuttryck"
 
-#: cp/semantics.c:8092
+#: cp/semantics.c:8094
 #, gcc-internal-format
 msgid "unexpected expression %qE of kind %s"
 msgstr "oväntat uttryck %qE av sorten %s"
 
-#: cp/semantics.c:8124
+#: cp/semantics.c:8126
 #, gcc-internal-format
 msgid "%qT cannot be the type of a complete constant expression because it has mutable sub-objects"
 msgstr "%qT kan inte vara typen på ett komplett konstantuttryck eftersom det har muterbara delobjekt"
 
-#: cp/semantics.c:8137
+#: cp/semantics.c:8139
 #, gcc-internal-format
 msgid "conversion from pointer type %qT to arithmetic type %qT in a constant-expression"
 msgstr "konvertering från pekartypen %qT till den aritmetiska typen %qT i ett konstant uttryck"
 
-#: cp/semantics.c:8308
+#: cp/semantics.c:8310
 #, gcc-internal-format
 msgid "expression %qE has side-effects"
 msgstr "uttrycket %qE har sidoeffekter"
 
-#: cp/semantics.c:8378
+#: cp/semantics.c:8380
 #, gcc-internal-format
 msgid "calling a member function of the object being constructed in a constant expression"
 msgstr "anrop av en medlemsfunktion i objektet som konstrueras i ett konstant uttryck"
 
-#: cp/semantics.c:8460
+#: cp/semantics.c:8462
 #, gcc-internal-format
 msgid "address-of an object %qE with thread local or automatic storage is not a constant expression"
 msgstr "adress-av på ett objekt %qE med trådlokal eller automatisk lagring är inte ett konstant uttryck"
 
-#: cp/semantics.c:8546
+#: cp/semantics.c:8548
 #, gcc-internal-format
 msgid "typeid-expression is not a constant expression because %qE is of polymorphic type"
 msgstr "typeid-uttryck är inte ett konstant uttryck eftersom %qE har polymorf typ"
 
-#: cp/semantics.c:8559
+#: cp/semantics.c:8561
 #, gcc-internal-format
 msgid "difference of two pointer expressions is not a constant expression"
 msgstr "skillnaden mellan två pekaruttryck är inte ett konstant uttryck"
 
-#: cp/semantics.c:8578
+#: cp/semantics.c:8580
 #, gcc-internal-format
 msgid "pointer comparison expression is not a constant expression"
 msgstr "pekarjämförelseuttryck är inte ett konstant uttryck"
 
-#: cp/semantics.c:8679
+#: cp/semantics.c:8619
 #, gcc-internal-format
+msgid "cast to non-integral type %qT in a constant expression"
+msgstr "typkonvertering till %qT som inte är en heltalstyp i ett konstant uttryck"
+
+#: cp/semantics.c:8695
+#, gcc-internal-format
 msgid "division by zero is not a constant-expression"
 msgstr "division med noll är inte ett konstantuttryck"
 
-#: cp/semantics.c:8802
+#: cp/semantics.c:8819
 #, gcc-internal-format
 msgid "non-constant array initialization"
 msgstr "ickekonstant vektorinitierare"
 
 # ast = abstract syntax tree
-#: cp/semantics.c:8811
+#: cp/semantics.c:8828
 #, gcc-internal-format, gfc-internal-format
 msgid "unexpected AST of kind %s"
 msgstr "oväntat AST av sorten %s"
 
-#: cp/semantics.c:9303
+#: cp/semantics.c:9320
 #, gcc-internal-format
 msgid "cannot capture %qE by reference"
 msgstr "det går inte att fånga %qE via referens"
 
-#: cp/semantics.c:9326
+#: cp/semantics.c:9343
 #, gcc-internal-format
 msgid "already captured %qD in lambda expression"
 msgstr "redan infångad %qD i lambdauttryck"
 
-#: cp/semantics.c:9472
+#: cp/semantics.c:9515
 #, gcc-internal-format
 msgid "%<this%> was not captured for this lambda function"
 msgstr "%<this%> fångades inte för denna lambdafunktion"
@@ -35246,82 +35288,82 @@
 msgid "%qV qualifiers cannot be applied to %qT"
 msgstr "%qV-kvalificerare kan inte tillämpas på %qT"
 
-#: cp/tree.c:3084
+#: cp/tree.c:3078
 #, gcc-internal-format
 msgid "%qE attribute can only be applied to Java class definitions"
 msgstr "attributet %qE kan bara användas på klassdefinitioner i Java"
 
-#: cp/tree.c:3113
+#: cp/tree.c:3107
 #, gcc-internal-format
 msgid "%qE attribute can only be applied to class definitions"
 msgstr "attributet %qE kan bara användas på klassdefinitioner"
 
-#: cp/tree.c:3119
+#: cp/tree.c:3113
 #, gcc-internal-format
 msgid "%qE is obsolete; g++ vtables are now COM-compatible by default"
 msgstr "%qE är föråldrad, g++-vtabeller är nu COM-kompatibla som standard"
 
-#: cp/tree.c:3143
+#: cp/tree.c:3137
 #, gcc-internal-format
 msgid "requested init_priority is not an integer constant"
 msgstr "begärd init_priority är inte en heltalskonstant"
 
-#: cp/tree.c:3164
+#: cp/tree.c:3158
 #, gcc-internal-format
 msgid "can only use %qE attribute on file-scope definitions of objects of class type"
 msgstr "det går bara att använda attributet %qE på definitioner av objekt- eller klasstyp med filräckvidd"
 
-#: cp/tree.c:3172
+#: cp/tree.c:3166
 #, gcc-internal-format
 msgid "requested init_priority is out of range"
 msgstr "begärd init_priority är utanför sitt intervall"
 
-#: cp/tree.c:3182
+#: cp/tree.c:3176
 #, gcc-internal-format
 msgid "requested init_priority is reserved for internal use"
 msgstr "begärt init_priority är reserverad för internt bruk"
 
-#: cp/tree.c:3193
+#: cp/tree.c:3187
 #, gcc-internal-format
 msgid "%qE attribute is not supported on this platform"
 msgstr "attributet %qE stödjs inte på denna plattform"
 
-#: cp/tree.c:3220
-#, fuzzy, gcc-internal-format
+#: cp/tree.c:3214
+#, gcc-internal-format
 msgid "redeclaration of %qD adds abi tag %E"
-msgstr "deklaration av %qD som medlem av %qT"
+msgstr "omdeklaration av %qD lägger till abi-taggen %E"
 
-#: cp/tree.c:3226
-#, fuzzy, gcc-internal-format
+#: cp/tree.c:3220
+#, gcc-internal-format
 msgid "previous declaration here"
-msgstr "tidigare deklaration av %q+#D här"
+msgstr "tidigare deklaration här"
 
-#: cp/tree.c:3243
-#, fuzzy, gcc-internal-format
+#: cp/tree.c:3237
+#, gcc-internal-format
 msgid "%qE attribute applied to non-class, non-enum type %qT"
-msgstr "attributet %qE ignorerat typer som inte är klasser"
+msgstr "attributet %qE använt på typen %qT som inte är en klass eller uppräkningstyp"
 
-#: cp/tree.c:3249
-#, fuzzy, gcc-internal-format
+#: cp/tree.c:3243
+#, gcc-internal-format
 msgid "%qE attribute applied to %qT after its definition"
-msgstr "ignorerar attribut använda på %qT efter dess definition"
+msgstr "attributet %qE använt på %qT efter dess definition"
 
-#: cp/tree.c:3271
-#, fuzzy, gcc-internal-format
+#: cp/tree.c:3265
+#, gcc-internal-format
 msgid "%qE attribute applied to non-function %qD"
-msgstr "attributet %qE är bara tillämpligt på funktioner"
+msgstr "attributet %qE tillämpat på %qD som inte är en funktion"
 
-#: cp/tree.c:3276
-#, fuzzy, gcc-internal-format
+#: cp/tree.c:3270
+#, gcc-internal-format
 msgid "%qE attribute applied to extern \"C\" function %qD"
-msgstr "attributet %qE är bara tillämpligt på funktioner"
+msgstr "attributet %qE tillämpat på extern \"C\"-funktionen %qD"
 
-#: cp/tree.c:3977
+#: cp/tree.c:3971
 #, gcc-internal-format
 msgid "zero as null pointer constant"
 msgstr "noll som en nollpekarkonstant"
 
-#: cp/tree.c:3990
+#: cp/tree.c:3984
 #, gcc-internal-format, gfc-internal-format
 msgid "lang_* check: failed in %s, at %s:%d"
 msgstr "lang_*-kontroll: misslyckades i %s, vid %s:%d"
@@ -35547,14 +35589,14 @@
 msgstr "%qE kan inte användas som en funktion"
 
 #: cp/typeck.c:3409
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%qD cannot be used as a function"
-msgstr "%qE kan inte användas som en funktion"
+msgstr "%qD kan inte användas som en funktion"
 
 #: cp/typeck.c:3412
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "expression cannot be used as a function"
-msgstr "%qE kan inte användas som en funktion"
+msgstr "uttryck kan inte användas som en funktion"
 
 #: cp/typeck.c:3461
 #, gcc-internal-format
@@ -35662,9 +35704,9 @@
 msgstr "ISO C++ förbjuder jämförelse mellan pekare och heltal"
 
 #: cp/typeck.c:4463 cp/typeck.c:4471
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "operand types are %qT and %qT"
-msgstr "ingen typ med namnet %q#T i %q#T"
+msgstr "operandtyper är %qT och %qT"
 
 #: cp/typeck.c:4538
 #, gcc-internal-format
@@ -35854,9 +35896,9 @@
 msgstr "reinterpret_cast från typ %qT till typ %qT slänger bort kvalificerare"
 
 #: cp/typeck.c:6063
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "useless cast to type %qT"
-msgstr "funktionell konvertering till vektortypen %qT"
+msgstr "oanvändbar konvertering till typen %qT"
 
 #: cp/typeck.c:6405
 #, gcc-internal-format
@@ -36076,28 +36118,33 @@
 msgstr "returnerar ett värde från en konstruerare"
 
 #. Give a helpful error message.
-#: cp/typeck.c:8133 cp/typeck.c:8172
+#: cp/typeck.c:8133 cp/typeck.c:8177
 #, gcc-internal-format
 msgid "return-statement with no value, in function returning %qT"
 msgstr "return-sats utan värde i funktion som returnerar %qT"
 
-#: cp/typeck.c:8191
+#: cp/typeck.c:8141
 #, gcc-internal-format
+msgid "returning initializer list"
+msgstr "returnerar en initierarlista"
+
+#: cp/typeck.c:8196
+#, gcc-internal-format
 msgid "return-statement with a value, in function returning 'void'"
 msgstr "return-sats med värde i funktion som returnerar ”void”"
 
-#: cp/typeck.c:8221
+#: cp/typeck.c:8226
 #, gcc-internal-format
 msgid "%<operator new%> must not return NULL unless it is declared %<throw()%> (or -fcheck-new is in effect)"
 msgstr "%<operator new%> får inte returnera NULL om den inte är deklarerad %<throw()%> (eller -fcheck-new är aktivt)"
 
 #. Make this a permerror because we used to accept it.
-#: cp/typeck.c:8789
+#: cp/typeck.c:8794
 #, gcc-internal-format
 msgid "using temporary as lvalue"
 msgstr "använder temporär som lvärde"
 
-#: cp/typeck.c:8791
+#: cp/typeck.c:8796
 #, gcc-internal-format
 msgid "using xvalue (rvalue reference) as lvalue"
 msgstr "hjälp xvärde (rvärdesreferens) som lvärde"
@@ -36409,9 +36456,9 @@
 msgstr "Konvertering av en oändlighet till inte-ett-tal vid %L till INTEGER"
 
 #: fortran/arith.c:904 fortran/arith.c:929
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Noninteger exponent in an initialization expression at %L"
-msgstr "Fortran 2003: Exponent som inte är heltal i ett initieringsuttryck vid %L"
+msgstr "Exponent som inte är heltal i ett initieringsuttryck vid %L"
 
 #: fortran/arith.c:915
 #, gcc-internal-format, gfc-internal-format
@@ -36544,7 +36591,7 @@
 #: fortran/array.c:470
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed-rank array at %C"
-msgstr "Vektor med förmodad ordning vid %C"
+msgstr "Vektor med antagen ordning vid %C"
 
 #: fortran/array.c:505
 #, gcc-internal-format, gfc-internal-format
@@ -36569,7 +36616,7 @@
 #: fortran/array.c:555 fortran/array.c:664
 #, gcc-internal-format, gfc-internal-format
 msgid "Bad specification for assumed size array at %C"
-msgstr "Felaktig specifikation för vektor med förmodad storlek vid %C"
+msgstr "Felaktig specifikation för vektor med antagen storlek vid %C"
 
 #: fortran/array.c:567 fortran/array.c:676
 #, gcc-internal-format, gfc-internal-format
@@ -36582,14 +36629,14 @@
 msgstr "Vektorspecifikation vid %C har mer än %d dimensioner"
 
 #: fortran/array.c:579
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Array specification at %C with more than 7 dimensions"
-msgstr "Vektorspecifikation vid %C har mer än %d dimensioner"
+msgstr "Vektorspecifikation vid %C med mer än 7 dimensioner"
 
 #: fortran/array.c:592
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Coarray declaration at %C"
-msgstr "Fortran 2008: Co-vektordeklaration vid %C"
+msgstr "Co-vektordeklaration vid %C"
 
 #: fortran/array.c:690
 #, gcc-internal-format, gfc-internal-format
@@ -36597,78 +36644,78 @@
 msgstr "Övre gränsen av sista co-vektordimensionen måste vara ”*” vid %C"
 
 #: fortran/array.c:758
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "The assumed-rank array '%s' at %L shall not have a codimension"
-msgstr "Co-vektorvariabeln ”%s” vid %L skall inte ha co-dimensioner med fördröjd form"
+msgstr "Vektorn ”%s” med antagen ordning vid %L skall inte ha en co-dimension"
 
 #: fortran/array.c:918
 #, gcc-internal-format, gfc-internal-format
 msgid "DO-iterator '%s' at %L is inside iterator of the same name"
 msgstr "DO-iterator ”%s” vid %L är inuti en iterator med samma namn"
 
-#: fortran/array.c:1010 fortran/array.c:1143
+#: fortran/array.c:1010 fortran/array.c:1154
 #, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in array constructor at %C"
 msgstr "Syntaxfel i vektorkonstruerare vid %C"
 
-#: fortran/array.c:1062
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/array.c:1063
+#, gcc-internal-format, gfc-internal-format
 msgid "[...] style array constructors at %C"
-msgstr "Fortran 2003: [...]-stils vektorkonstruerare vid %C"
+msgstr "[...]-stils vektorkonstruerare vid %C"
 
-#: fortran/array.c:1083
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/array.c:1085
+#, gcc-internal-format, gfc-internal-format
 msgid "Array constructor including type specification at %C"
-msgstr "Fortran 2003: Vektorkonstruerare med typspecifikation vid %C"
+msgstr "Vektorkonstruerare med typspecifikation vid %C"
 
-#: fortran/array.c:1089 fortran/match.c:3469
+#: fortran/array.c:1094 fortran/match.c:3469
 #, gcc-internal-format, gfc-internal-format
 msgid "Type-spec at %L cannot contain a deferred type parameter"
 msgstr "Typspecifikation vid %L kan inte innehålla ha en fördröjd typparameter"
 
-#: fortran/array.c:1105
+#: fortran/array.c:1116
 #, gcc-internal-format, gfc-internal-format
 msgid "Empty array constructor at %C is not allowed"
 msgstr "Tom vektorkonstruerare vid %C är inte tillåtet"
 
-#: fortran/array.c:1190
+#: fortran/array.c:1201
 #, gcc-internal-format, gfc-internal-format
 msgid "Element in %s array constructor at %L is %s"
 msgstr "Element i %s-vektorkonstruerare vid %L är %s"
 
-#: fortran/array.c:1518
+#: fortran/array.c:1529
 #, gcc-internal-format, gfc-internal-format
 msgid "Iterator step at %L cannot be zero"
 msgstr "Iteratorsteg vid %L kan inte vara noll"
 
 #. Problems occur when we get something like
 #. integer :: a(lots) = (/(i, i=1, lots)/)
-#: fortran/array.c:1655 fortran/expr.c:1535 fortran/trans-array.c:5370
+#: fortran/array.c:1666 fortran/expr.c:1535 fortran/trans-array.c:5370
 #, gcc-internal-format, gfc-internal-format
 msgid "The number of elements in the array constructor at %L requires an increase of the allowed %d upper limit.   See -fmax-array-constructor option"
 msgstr "Antalet element i vektorkonstrueraren vid %L kräver en ökning av den tillåtna övre gränsen %d.  Se flaggan -fmax-array-constructor"
 
-#: fortran/array.c:1826
+#: fortran/array.c:1837
 #, gcc-internal-format, gfc-internal-format
 msgid "AC-IMPLIED-DO initial expression references control variable at %L"
 msgstr "Initialt AC-IMPLIED-DO-uttryck refererar styrvariabel vid %L"
 
-#: fortran/array.c:1833
+#: fortran/array.c:1844
 #, gcc-internal-format, gfc-internal-format
 msgid "AC-IMPLIED-DO final expression references control variable at %L"
 msgstr "Slutligt AC-IMPLIED-DO-uttryck refererar styrvariabel vid %L"
 
-#: fortran/array.c:1840
+#: fortran/array.c:1851
 #, gcc-internal-format, gfc-internal-format
 msgid "AC-IMPLIED-DO step expression references control variable at %L"
 msgstr "AC-IMPLIED-DO-steguttryck refererar styrvariabel vid %L"
 
-#: fortran/array.c:1852
+#: fortran/array.c:1863
 #, gcc-internal-format, gfc-internal-format
 msgid "Array constructor value at %L shall not be unlimited polymorphic [F2008: C4106]"
 msgstr "Vektorkonstruerarvärde vid %L får inte vara obegränsat polymorft [F2008: C4106]"
 
-#: fortran/array.c:1935
+#: fortran/array.c:1946
 #, gcc-internal-format, gfc-internal-format
 msgid "Different CHARACTER lengths (%d/%d) in array constructor at %L"
 msgstr "Olika CHARACTER-längder (%d/%d) i vektorkonstruerare vid %L"
@@ -36880,9 +36927,9 @@
 msgstr "VALUE-argumentet till den inbyggda funktionen %s vid %L måste vara definierbart"
 
 #: fortran/check.c:1084
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Negative argument N at %L"
-msgstr "Utökning: Negativt argument N vid %L"
+msgstr "Negativt argument N vid %L"
 
 #: fortran/check.c:1256 fortran/check.c:1426
 #, gcc-internal-format, gfc-internal-format
@@ -36903,9 +36950,9 @@
 #: fortran/check.c:2148 fortran/check.c:2193 fortran/check.c:3411
 #: fortran/check.c:3545 fortran/check.c:3600 fortran/check.c:4139
 #: fortran/check.c:4268
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "'%s' intrinsic with KIND argument at %L"
-msgstr "Fortran 2003: inbyggd ”%s” vid KIND-argument vid %L"
+msgstr "inbyggd ”%s” vid KIND-argument vid %L"
 
 #: fortran/check.c:1367 fortran/check.c:1617
 #, gcc-internal-format, gfc-internal-format
@@ -36938,14 +36985,14 @@
 msgstr "”I” vid %L och ”J” vid %L kan inte båda vara literala BOZ-konstanter"
 
 #: fortran/check.c:1678
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "non-default INTEGER kind argument to %s intrinsic at %L"
-msgstr "GNU-utvidgning: INTEGER-sorts argument som inte är standardargument till inbyggd %s vid %L"
+msgstr "INTEGER-sorts argument som inte är standardargument till inbyggd %s vid %L"
 
 #: fortran/check.c:1738
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "COMPLEX argument '%s' argument of '%s' intrinsic at %L"
-msgstr "Fortran 2008: COMPLEX-argumentet ”%s” till inbyggd ”%s” vid %L"
+msgstr "COMPLEX-argumentet ”%s” till inbyggd ”%s” vid %L"
 
 #: fortran/check.c:1902
 #, gcc-internal-format, gfc-internal-format
@@ -36983,9 +37030,9 @@
 msgstr "”a%d”-argumentet till inbyggd ”%s” vid %L måste vara %s(%d)"
 
 #: fortran/check.c:2395
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "'%s' intrinsic with CHARACTER argument at %L"
-msgstr "Fortran 2003: inbyggd ”%s” med CHARACTER-argument vid %L"
+msgstr "inbyggd ”%s” med CHARACTER-argument vid %L"
 
 #: fortran/check.c:2402
 #, gcc-internal-format, gfc-internal-format
@@ -37018,14 +37065,14 @@
 msgstr "”%s”-argumentet till inbyggd ”%s” vid %L måste vara INTEGER"
 
 #: fortran/check.c:2746
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "The FROM argument to MOVE_ALLOC at %L shall not be coindexed"
-msgstr "argumentet ”%s” till inbyggd ”%s” vid %L skall inte vara co-indexerat"
+msgstr "Argumentet FROM till MOVE_ALLOC %L skall inte vara co-indexerat"
 
 #: fortran/check.c:2757
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "The TO argument to MOVE_ALLOC at %L shall not be coindexed"
-msgstr "argumentet ”%s” till inbyggd ”%s” vid %L skall inte vara co-indexerat"
+msgstr "Argumentet TO till MOVE_ALLOC %L skall inte vara co-indexerat"
 
 #: fortran/check.c:2764
 #, gcc-internal-format, gfc-internal-format
@@ -37033,14 +37080,14 @@
 msgstr "Argumentet TO i MOVE_ALLOC vid %L måste vara polymorft om FROM är polymorft"
 
 #: fortran/check.c:2775
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "The FROM and TO arguments of the MOVE_ALLOC intrinsic at %L must have the same rank %d/%d"
-msgstr "”%s”- och ”%s”-argumenten till inbyggd ”%s” vid %L måste ha samma ordning %d/%d"
+msgstr "Argumenten FROM och TO till den inbyggda MOVE_ALLOC vid %L måste ha samma ordning %d/%d"
 
 #: fortran/check.c:2784
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "The FROM and TO arguments of the MOVE_ALLOC intrinsic at %L must have the same corank %d/%d"
-msgstr "”%s”- och ”%s”-argumenten till inbyggd ”%s” vid %L måste ha samma ordning %d/%d"
+msgstr "Argumenten FROM och TO till den inbyggda MOVE_ALLOC vid %L måste ha samma co-ordning %d/%d"
 
 #: fortran/check.c:2816
 #, gcc-internal-format, gfc-internal-format
@@ -37053,9 +37100,9 @@
 msgstr "Argument ”%s” till inbyggd ”%s” vid %L måste vara en POINTER, ALLOCATABLE eller procedurpekare"
 
 #: fortran/check.c:2874
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "NULL intrinsic with allocatable MOLD at %L"
-msgstr "Fortran 2003: inbyggd NULL med KIND-argument vid %L"
+msgstr "Inbyggd NULL med allokerbar MOLD vid %L"
 
 #: fortran/check.c:2953 fortran/check.c:4215
 #, gcc-internal-format, gfc-internal-format
@@ -37123,9 +37170,9 @@
 msgstr "Utan utfyllnad finns det inte tillräckligt med element i inbyggda RESHAPE-källan vid %L för att stämma med formen"
 
 #: fortran/check.c:3344 fortran/check.c:3363
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "'%s' argument of '%s' intrinsic at %L cannot be of type %s"
-msgstr "”%s”-argumentet till inbyggd ”%s” vid %L måste vara %s"
+msgstr "Argumentet ”%s” till inbyggd ”%s” vid %L kan inte ha typen %s"
 
 #: fortran/check.c:3354 fortran/check.c:3373
 #, gcc-internal-format, gfc-internal-format
@@ -37133,19 +37180,19 @@
 msgstr "”%s”-argumentet till inbyggd ”%s” vid %L måste vara en utvidgningsvbar typ"
 
 #: fortran/check.c:3472
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "SELECTED_REAL_KIND with neither 'P' nor 'R' argument at %L"
-msgstr "Fortran 2008: SELECTED_REAL_KIND med varken ”P”- eller ”R”-argument vid %L"
+msgstr "SELECTED_REAL_KIND med varken ”P”- eller ”R”-argument vid %L"
 
 #: fortran/check.c:3503
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "'%s' intrinsic with RADIX argument at %L"
-msgstr "Fortran 2008: inbyggd ”%s” med RADIX-argument vid %L"
+msgstr "inbyggd ”%s” med RADIX-argument vid %L"
 
 #: fortran/check.c:3538
 #, gcc-internal-format, gfc-internal-format
 msgid "'source' argument of 'shape' intrinsic at %L must not be an assumed size array"
-msgstr "”source”-argumentet till inbyggd ”shape” vid %L får inte vara en vektor med förmodad storlek"
+msgstr "”source”-argumentet till inbyggd ”shape” vid %L får inte vara en vektor med antagen storlek"
 
 #: fortran/check.c:3615
 #, gcc-internal-format, gfc-internal-format
@@ -37158,9 +37205,9 @@
 msgstr "Argumentet ”%s” till inbyggd ”%s” vid %L måste vara en interoperabel dataenhet"
 
 #: fortran/check.c:3658
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "non double precision REAL argument to %s intrinsic at %L"
-msgstr "GNU-utvidgning: REAL-argument utan dubbel precision till inbyggd %s vid %L"
+msgstr "REAL-argument utan dubbel precision till inbyggd %s vid %L"
 
 #: fortran/check.c:3671
 #, gcc-internal-format, gfc-internal-format
@@ -37230,7 +37277,7 @@
 #: fortran/class.c:561
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed size polymorphic objects or components, such as that at %C, have not yet been implemented"
-msgstr "Polymorfa objekt eller komponenter med förmodad storlek, såsom den vid %C, har inte implementerats ännu"
+msgstr "Polymorfa objekt eller komponenter med antagen storlek, såsom den vid %C, har inte implementerats ännu"
 
 #. Since the extension field is 8 bit wide, we can only have
 #. up to 255 extension levels.
@@ -37290,9 +37337,9 @@
 msgstr "Dataelement ovanför övre vektorgräns vid %L"
 
 #: fortran/data.c:321 fortran/data.c:487
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "re-initialization of '%s' at %L"
-msgstr "Utökning: ominitiering av ”%s” vid %L"
+msgstr "ominitiering av ”%s” vid %L"
 
 #: fortran/decl.c:264
 #, gcc-internal-format, gfc-internal-format
@@ -37300,9 +37347,9 @@
 msgstr "Värdassocierad variabel ”%s” får inte finnas i DATA-sats vid %C"
 
 #: fortran/decl.c:271
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "initialization of common block variable '%s' in DATA statement at %C"
-msgstr "Utökning: initiering av common-blockvariabel ”%s” i DATA-sats vid %C"
+msgstr "initiering av common-blockvariabel ”%s” i DATA-sats vid %C"
 
 #: fortran/decl.c:382
 #, gcc-internal-format, gfc-internal-format
@@ -37325,9 +37372,9 @@
 msgstr "DATA-sats vid %C får inte förekomma i en PURE-procedur"
 
 #: fortran/decl.c:600
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "The assumed-rank array at %C shall not have a codimension"
-msgstr "Datamålet vid %L får inte ha co-index"
+msgstr "Vektorn med antagen ordning vid %C får inte ha en co-dimension"
 
 #: fortran/decl.c:668
 #, gcc-internal-format, gfc-internal-format
@@ -37335,9 +37382,9 @@
 msgstr "Felaktig INTENT-specifikation vid %C"
 
 #: fortran/decl.c:689
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "deferred type parameter at %C"
-msgstr "Fortran 2003: fördröjd typparameter vid %C"
+msgstr "fördröjd typparameter vid %C"
 
 #: fortran/decl.c:726
 #, gcc-internal-format, gfc-internal-format
@@ -37345,9 +37392,9 @@
 msgstr "Konflikt i attribut för funktionsargument vid %C"
 
 #: fortran/decl.c:753
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Old-style character length at %C"
-msgstr "Förlegad funktion: Gammaldags teckenlängd vid %C"
+msgstr "Gammaldags teckenlängd vid %C"
 
 #: fortran/decl.c:784
 #, gcc-internal-format, gfc-internal-format
@@ -37385,9 +37432,9 @@
 msgstr "Variabeln ”%s” vid %L är ett atrappargument till BIND(C)-proceduren ”%s” men är inte interoperativ med C eftersom den är polymorf"
 
 #: fortran/decl.c:1040
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L is a dummy argument of the BIND(C) procedure '%s' but may not be C interoperable"
-msgstr "Variabeln ”%s” vid %L är en parameter till BIND(C)-proceduren ”%s” men är kanske inte interoperativ med C"
+msgstr "Variabeln ”%s” vid %L är en attrapparameter till BIND(C)-proceduren ”%s” men är kanske inte interoperativ med C"
 
 #: fortran/decl.c:1055
 #, gcc-internal-format, gfc-internal-format
@@ -37410,14 +37457,14 @@
 msgstr "Variabeln ”%s” vid %L kan inte både ha attributet OPTIONAL och VALUE eftersom proceduren ”%s” är BIND(C)"
 
 #: fortran/decl.c:1094
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L with OPTIONAL attribute in procedure '%s' which is BIND(C)"
-msgstr "TS29113: Variabeln ”%s” vid %L med attributet OPTIONAL i proceduren ”%s” som är BIND(C)"
+msgstr "Variabeln ”%s” vid %L med attributet OPTIONAL i proceduren ”%s” som är BIND(C)"
 
 #: fortran/decl.c:1106
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-shape array '%s' at %L as dummy argument to the BIND(C) procedure '%s' at %L"
-msgstr "Vektorn ”%s” med förmodad form vid %L kan inte vara ett argument till proceduren ”%s” vid %L eftersom proceduren är BIND(C)"
+msgstr "Vektorn ”%s” med antagen form vid %L som attrappargument till BIND(C)-proceduren ”%s” vid %L"
 
 #: fortran/decl.c:1185
 #, gcc-internal-format, gfc-internal-format
@@ -37452,7 +37499,7 @@
 #: fortran/decl.c:1425
 #, gcc-internal-format, gfc-internal-format
 msgid "Can't initialize implied-shape array at %L with scalar"
-msgstr "Det går inte att initiera en vektor med förmodad form vid %L med en skalär"
+msgstr "Det går inte att initiera en vektor med antagen form vid %L med en skalär"
 
 #: fortran/decl.c:1443
 #, gcc-internal-format, gfc-internal-format
@@ -37490,9 +37537,9 @@
 msgstr "NULL()-initiering vid %C är tvetydig"
 
 #: fortran/decl.c:1719
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "NULL() initialization at %C may not have MOLD"
-msgstr "NULL()-initiering vid %C är tvetydig"
+msgstr "NULL()-initiering vid %C kan inte ha MOLD"
 
 #: fortran/decl.c:1736
 #, gcc-internal-format, gfc-internal-format
@@ -37505,9 +37552,9 @@
 msgstr "Fel i pekarinitiering vid %C"
 
 #: fortran/decl.c:1763
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "non-NULL pointer initialization at %C"
-msgstr "Fortran 2008: annan pekarinitiering än NULL vid %C"
+msgstr "annan pekarinitiering än NULL vid %C"
 
 #: fortran/decl.c:1786
 #, gcc-internal-format, gfc-internal-format
@@ -37517,12 +37564,12 @@
 #: fortran/decl.c:1853
 #, gcc-internal-format, gfc-internal-format
 msgid "Non-PARAMETER symbol '%s' at %L can't be implied-shape"
-msgstr "Icke-PARAMETER-symbolen ”%s” vid %L kan inte förmodad form"
+msgstr "Icke-PARAMETER-symbolen ”%s” vid %L kan inte ha antagen form"
 
 #: fortran/decl.c:1864
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Implied-shape array at %L"
-msgstr "Fortran 2008: Vektor med förmodad form vid %L"
+msgstr "Vektor med antagen form vid %L"
 
 #: fortran/decl.c:1928 fortran/decl.c:6509
 #, gcc-internal-format, gfc-internal-format
@@ -37530,9 +37577,9 @@
 msgstr "Dubblerad vektorspecifikation för Cray-utpekad vid vid %C"
 
 #: fortran/decl.c:1999
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Old-style initialization at %C"
-msgstr "Utökning: Gammaldags initiering vid %C"
+msgstr "Gammaldags initiering vid %C"
 
 #: fortran/decl.c:2014 fortran/decl.c:4963
 #, gcc-internal-format, gfc-internal-format
@@ -37610,9 +37657,9 @@
 msgstr "Syntaxfel i CHARACTER-deklaration vid %C"
 
 #: fortran/decl.c:2592
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "BYTE type at %C"
-msgstr "Utökning: BYTE-typ vid %C"
+msgstr "BYTE-typ vid %C"
 
 #: fortran/decl.c:2598
 #, gcc-internal-format, gfc-internal-format
@@ -37620,9 +37667,9 @@
 msgstr "BYTE-typ använd vid %C är inte tillgänglig på målmaskinen"
 
 #: fortran/decl.c:2620
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed type at %C is not allowed for components"
-msgstr "Värdesargument vid %L är inte tillåtet i denna kontext"
+msgstr "Förmodad typ vid %C är inte tillåtet för komponenter"
 
 #: fortran/decl.c:2623
 #, gcc-internal-format, gfc-internal-format
@@ -37631,19 +37678,19 @@
 
 #: fortran/decl.c:2646 fortran/decl.c:2677 fortran/decl.c:2707
 #: fortran/decl.c:2885
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "TYPE with intrinsic-type-spec at %C"
-msgstr "Fortran 2008: TYPE med inbyggd typspecifikation vid %C"
+msgstr "TYPE med inbyggd typspecifikation vid %C"
 
 #: fortran/decl.c:2702
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "DOUBLE COMPLEX at %C"
-msgstr "Utökning: DOUBLE COMPLEX vid %C"
+msgstr "DOUBLE COMPLEX vid %C"
 
 #: fortran/decl.c:2777
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "CLASS statement at %C"
-msgstr "Fortran 2003: CLASS-sats vid %C"
+msgstr "CLASS-sats vid %C"
 
 #: fortran/decl.c:2813 fortran/decl.c:2826 fortran/decl.c:3200
 #: fortran/decl.c:3208
@@ -37677,9 +37724,9 @@
 msgstr "IMPORT-sats vid %C endast tillåten inuti en INTERFACE-kropp"
 
 #: fortran/decl.c:3170
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "IMPORT statement at %C"
-msgstr "Tom IMPLICIT-sats vid %C"
+msgstr "IMPORT-sats vid %C"
 
 #: fortran/decl.c:3185
 #, gcc-internal-format, gfc-internal-format
@@ -37717,9 +37764,9 @@
 msgstr "Dubblerat %s-attribut vid %L"
 
 #: fortran/decl.c:3667
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ALLOCATABLE attribute at %C in a TYPE definition"
-msgstr "Fortran 2003: attributet ALLOCATABLE vid %C i en TYPE-definition"
+msgstr "Attributet ALLOCATABLE vid %C i en TYPE-definition"
 
 #: fortran/decl.c:3677
 #, gcc-internal-format, gfc-internal-format
@@ -37727,9 +37774,9 @@
 msgstr "Attribut vid %L är inte tillåtet i en TYPE-definition"
 
 #: fortran/decl.c:3695
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Attribute %s at %L in a TYPE definition"
-msgstr "Fortran 2003: Attribut %s vid %L i en TYPE-definition"
+msgstr "Attributet %s vid %L i en TYPE-definition"
 
 #: fortran/decl.c:3706
 #, gcc-internal-format, gfc-internal-format
@@ -37737,14 +37784,14 @@
 msgstr "%s-attribut vid %L är inte tillåtet utanför specifikationsdelen av en modul"
 
 #: fortran/decl.c:3721
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ASYNCHRONOUS attribute at %C"
-msgstr "Fortran 2003: ASYNCHRONOUS-attribut vid %C"
+msgstr "Attributet ASYNCHRONOUS vid %C"
 
 #: fortran/decl.c:3734
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "CONTIGUOUS attribute at %C"
-msgstr "Fortran 2008: CONTIGUOUS-attribut vid %C"
+msgstr "Attributet CONTIGUOUS vid %C"
 
 #: fortran/decl.c:3780 fortran/decl.c:6804
 #, gcc-internal-format, gfc-internal-format
@@ -37752,19 +37799,19 @@
 msgstr "PROTECTED vid %C är endast tillåtet i specifikation av en del av en modul"
 
 #: fortran/decl.c:3786
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "PROTECTED attribute at %C"
-msgstr "Fortran 2003: PROTECTED-attribut vid %C"
+msgstr "Attributet PROTECTED vid %C"
 
 #: fortran/decl.c:3817
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "VALUE attribute at %C"
-msgstr "Fortran 2003: VALUE-attribut vid %C"
+msgstr "Attributet VALUE vid %C"
 
 #: fortran/decl.c:3827
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "VOLATILE attribute at %C"
-msgstr "Fortran 2003: VOLATILE-attribut vid %C"
+msgstr "Attributet VOLATILE vid %C"
 
 #: fortran/decl.c:3873
 #, gcc-internal-format, gfc-internal-format
@@ -37846,9 +37893,9 @@
 msgstr "Syntaxfel i datadeklaration vid %C"
 
 #: fortran/decl.c:4411
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "IMPURE procedure at %C"
-msgstr "Fortran 2008: IMPURE-procedur vid %C"
+msgstr "IMPURE-procedur vid %C"
 
 #: fortran/decl.c:4424
 #, gcc-internal-format, gfc-internal-format
@@ -37881,9 +37928,9 @@
 msgstr "Oväntat skräp efter funktionsdeklaration vid %C"
 
 #: fortran/decl.c:4697 fortran/decl.c:5730
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "BIND(C) attribute at %L may not be specified for an internal procedure"
-msgstr "Fortran 2008: BIND(C)-attribut vid %L kan inte anges för en intern procedur"
+msgstr "Attributet BIND(C) vid %L kan inte anges för en intern procedur"
 
 #: fortran/decl.c:4901
 #, gcc-internal-format, gfc-internal-format
@@ -37921,9 +37968,9 @@
 msgstr "NOPASS eller explicit gränssnitt krävs vid %C"
 
 #: fortran/decl.c:5045
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Procedure pointer component at %C"
-msgstr "Fortran 2003: Procedurpekarkomponent vid %C"
+msgstr "Procedurpekarkomponent vid %C"
 
 #: fortran/decl.c:5111
 #, gcc-internal-format, gfc-internal-format
@@ -37936,14 +37983,14 @@
 msgstr "PROCEDURE vid %C måste vara i ett generiskt gränssnitt"
 
 #: fortran/decl.c:5138 fortran/decl.c:7311
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "double colon in MODULE PROCEDURE statement at %L"
-msgstr "Fortran 2008: dubbelkolon i MODULE PROCEDURE-sats vid %L"
+msgstr "dubbelkolon i MODULE PROCEDURE-sats vid %L"
 
 #: fortran/decl.c:5208
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "PROCEDURE statement at %C"
-msgstr "Fortran 2003: PROCEDURE-sats vid %C"
+msgstr "PROCEDURE-sats vid %C"
 
 #: fortran/decl.c:5276
 #, gcc-internal-format, gfc-internal-format
@@ -37952,15 +37999,15 @@
 
 #: fortran/decl.c:5300 fortran/decl.c:5304 fortran/decl.c:5508
 #: fortran/decl.c:5512 fortran/decl.c:5698 fortran/decl.c:5702
-#: fortran/symbol.c:1588
+#: fortran/symbol.c:1577
 #, gcc-internal-format, gfc-internal-format
 msgid "BIND(C) attribute at %L can only be used for variables or common blocks"
 msgstr "Attribut BIND(C) vid %L kan endast användas för variabler och common-block"
 
 #: fortran/decl.c:5420
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ENTRY statement at %C"
-msgstr "Tom IMPLICIT-sats vid %C"
+msgstr "ENTRY-sats vid %C"
 
 #: fortran/decl.c:5429
 #, gcc-internal-format, gfc-internal-format
@@ -38068,9 +38115,9 @@
 msgstr "Oväntad END-sats vid %C"
 
 #: fortran/decl.c:6102
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "END statement instead of %s statement at %L"
-msgstr "Fortran 2008: END-sats istället för %s-sats vid %L"
+msgstr "END-sats istället för %s-sats vid %L"
 
 #. We would have required END [something].
 #: fortran/decl.c:6110
@@ -38174,9 +38221,9 @@
 msgstr "Cray-pekardeklaration vid %C kräver flaggan -fcray-pointer"
 
 #: fortran/decl.c:6657
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "CONTIGUOUS statement at %C"
-msgstr "Fortran 2008: CONTIGUOUS-sats vid %C"
+msgstr "CONTIGUOUS-sats vid %C"
 
 #: fortran/decl.c:6755
 #, gcc-internal-format, gfc-internal-format
@@ -38189,9 +38236,9 @@
 msgstr "Åtkomstspecifikation för operatorn .%s. vid %C har redan angivits"
 
 #: fortran/decl.c:6810
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "PROTECTED statement at %C"
-msgstr "Fortran 2003: PROTECTED-sats vid %C"
+msgstr "PROTECTED-sats vid %C"
 
 #: fortran/decl.c:6850
 #, gcc-internal-format, gfc-internal-format
@@ -38254,9 +38301,9 @@
 msgstr "VALUE är inte tillåtet inuti BLOCK vid %C"
 
 #: fortran/decl.c:7108
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "VALUE statement at %C"
-msgstr "Fortran 2003: VALUE-sats vid %C"
+msgstr "VALUE-sats vid %C"
 
 #: fortran/decl.c:7148
 #, gcc-internal-format, gfc-internal-format
@@ -38264,9 +38311,9 @@
 msgstr "Syntaxfel i VALUE-sats vid %C"
 
 #: fortran/decl.c:7159
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "VOLATILE statement at %C"
-msgstr "Fortran 2003: VOLATILE-sats vid %C"
+msgstr "VOLATILE-sats vid %C"
 
 #: fortran/decl.c:7183
 #, gcc-internal-format, gfc-internal-format
@@ -38279,9 +38326,9 @@
 msgstr "Syntaxfel i VOLATILE-sats vid %C"
 
 #: fortran/decl.c:7220
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ASYNCHRONOUS statement at %C"
-msgstr "Fortran 2003: ASYNCHRONOUS-sats vid %C"
+msgstr "ASYNCHRONOUS-sats vid %C"
 
 #: fortran/decl.c:7262
 #, gcc-internal-format, gfc-internal-format
@@ -38334,9 +38381,9 @@
 msgstr "Härledd typ vid %C kan endast vara PUBLIC i specifikationsdelen av en modul"
 
 #: fortran/decl.c:7478
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ABSTRACT type at %C"
-msgstr "ABSTRACT typ ”%s” används vid %L"
+msgstr "ABSTRACT typ vid %C"
 
 #: fortran/decl.c:7543
 #, gcc-internal-format, gfc-internal-format
@@ -38364,9 +38411,9 @@
 msgstr "Cray-utpekad vid %C kan inte vara förmodat formad vektor"
 
 #: fortran/decl.c:7709
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ENUM and ENUMERATOR at %C"
-msgstr "Fortran 2003: ENUM och ENUMERATOR vid %C"
+msgstr "ENUM och ENUMERATOR vid %C"
 
 #: fortran/decl.c:7742
 #, gcc-internal-format, gfc-internal-format
@@ -38464,9 +38511,9 @@
 msgstr "Bindningsnamn förväntades vid %C"
 
 #: fortran/decl.c:8203
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "PROCEDURE list at %C"
-msgstr "Fortran 2008: PROCEDURE-lista vid %C"
+msgstr "PROCEDURE-lista vid %C"
 
 #: fortran/decl.c:8216
 #, gcc-internal-format, gfc-internal-format
@@ -38671,7 +38718,7 @@
 #: fortran/expr.c:2308
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed or deferred character length variable '%s'  in constant expression at %L"
-msgstr "Teckenlängdsvariabel ”%s” med förmodad eller fördröjd längd i konstant uttryck vid %L"
+msgstr "Teckenlängdsvariabel ”%s” med antagen eller fördröjd längd i konstant uttryck vid %L"
 
 #: fortran/expr.c:2374
 #, gcc-internal-format, gfc-internal-format
@@ -38679,9 +38726,9 @@
 msgstr "transformerande inbyggd ”%s” vid %L är inte tillåten i ett initieringsuttryck"
 
 #: fortran/expr.c:2405
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Evaluation of nonstandard initialization expression at %L"
-msgstr "Utökning: Beräkning av ett initieringuttryck utanför standarden vid %L"
+msgstr "Beräkning av ett initieringuttryck utanför standarden vid %L"
 
 #: fortran/expr.c:2461
 #, gcc-internal-format, gfc-internal-format
@@ -38701,12 +38748,12 @@
 #: fortran/expr.c:2528
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed size array '%s' at %L is not permitted in an initialization expression"
-msgstr "Vektor ”%s” med förmodad storlek vid %L är inte tillåten i ett initieringsuttryck"
+msgstr "Vektor ”%s” med antagen storlek vid %L är inte tillåten i ett initieringsuttryck"
 
 #: fortran/expr.c:2534
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed shape array '%s' at %L is not permitted in an initialization expression"
-msgstr "Vektor ”%s” med förmodad form vid %L är inte tillåten i ett initieringsuttryck"
+msgstr "Vektor ”%s” med antagen form vid %L är inte tillåten i ett initieringsuttryck"
 
 #: fortran/expr.c:2540
 #, gcc-internal-format, gfc-internal-format
@@ -38809,19 +38856,19 @@
 msgstr "NULL finns på högersidan i tilldelning vid %L"
 
 #: fortran/expr.c:3153
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "POINTER-valued function appears on right-hand side of assignment at %L"
 msgstr "POINTER-värd funktion förekommer på högersidan av tilldelning vid %L"
 
 #: fortran/expr.c:3163
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "BOZ literal at %L used to initialize non-integer variable '%s'"
-msgstr "Utökning: BOZ-literal vid %L används för att initiera icke-heltalsvariabeln ”%s”"
+msgstr "BOZ-literal vid %L används för att initiera icke-heltalsvariabeln ”%s”"
 
 #: fortran/expr.c:3169 fortran/resolve.c:9505
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "BOZ literal at %L outside a DATA statement and outside INT/REAL/DBLE/CMPLX"
-msgstr "Utökning: BOZ-literal vid %L utanför en DATA-sats och utanför INT/REAL/DBLE/CMPLX"
+msgstr "BOZ-literal vid %L utanför en DATA-sats och utanför INT/REAL/DBLE/CMPLX"
 
 #: fortran/expr.c:3179 fortran/resolve.c:9515
 #, gcc-internal-format, gfc-internal-format
@@ -38879,9 +38926,9 @@
 msgstr "Begränsningsspecifikation för ”%s” förväntades vid %L"
 
 #: fortran/expr.c:3336
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Bounds specification for '%s' in pointer assignment at %L"
-msgstr "Fortran 2003: Begränsningsspecifikation för ”%s” i pekartilldelning vid %L"
+msgstr "Begränsningsspecifikation för ”%s” i pekartilldelning vid %L"
 
 #: fortran/expr.c:3350
 #, gcc-internal-format, gfc-internal-format
@@ -38909,9 +38956,9 @@
 msgstr "Ogiltig procedurpekartilldelning vid %L"
 
 #: fortran/expr.c:3435
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Function result '%s' is invalid as proc-target in procedure pointer assignment at %L"
-msgstr "Satsfunktion ”%s” är ogiltigt i procedurpekartilldelning vid %L"
+msgstr "Funktionsresultatet ”%s” är ogiltigt i proc-mål i procedurpekartilldelning vid %L"
 
 #: fortran/expr.c:3443
 #, gcc-internal-format, gfc-internal-format
@@ -38929,14 +38976,14 @@
 msgstr "Intern procedur ”%s” är ogiltigt i procedurpekartilldelning vid %L"
 
 #: fortran/expr.c:3467
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Intrinsic '%s' at %L is invalid in procedure pointer assignment"
-msgstr "Intern procedur ”%s” är ogiltigt i procedurpekartilldelning vid %L"
+msgstr "Inbyggd ”%s” vid %L är ogiltigt i procedurpekartilldelning"
 
 #: fortran/expr.c:3475
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Nonintrinsic elemental procedure '%s' is invalid in procedure pointer assignment at %L"
-msgstr "Den ej inbyggda elementära proceduren ”%s” är ogiltigt i procedurpekartilldelning vid %L"
+msgstr "Den ej inbyggda elementära proceduren ”%s” är ogiltig i procedurpekartilldelning vid %L"
 
 #: fortran/expr.c:3498
 #, gcc-internal-format, gfc-internal-format
@@ -38979,9 +39026,9 @@
 msgstr "Målet för översättning av målet måste ha ording 1 eller vara enkelt sammanhängande vid %L"
 
 #: fortran/expr.c:3633
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Rank remapping target is not rank 1 at %L"
-msgstr "Fortran 2008: Målet för översättning av ordning är inte av ordning 1 vid %L"
+msgstr "Målet för översättning av ordning är inte av ordning 1 vid %L"
 
 #: fortran/expr.c:3658
 #, gcc-internal-format, gfc-internal-format
@@ -39014,19 +39061,19 @@
 msgstr "Datamålet vid %L får inte ha co-index"
 
 #: fortran/expr.c:3741
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Pointer at %L in pointer assignment might outlive the pointer target"
-msgstr "Måluttryck i pekartilldelning vid %L måste leverera ett pekarresultat"
+msgstr "Pekare vid %L i pekartilldelning kan överleva pekarmålet"
 
 #: fortran/expr.c:3806
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Pointer initialization target at %L must not be ALLOCATABLE"
-msgstr "Pekarinitieringsmål vid %L får inte vara ALLOCATABLE "
+msgstr "Pekarinitieringsmål vid %L får inte vara ALLOCATABLE"
 
 #: fortran/expr.c:3812
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Pointer initialization target at %L must have the TARGET attribute"
-msgstr "Målet för perkarinitieringen vid %C måste ha attributet TARGET"
+msgstr "Målet för perkarinitieringen vid %L måste ha attributet TARGET"
 
 #: fortran/expr.c:3827 fortran/resolve.c:1256
 #, gcc-internal-format, gfc-internal-format
@@ -39038,72 +39085,72 @@
 msgid "Procedure pointer initialization target at %L may not be a procedure pointer"
 msgstr "Procedurpekarinitieringsmål vid %L får inte vara en procedurpekare"
 
-#: fortran/expr.c:4692
+#: fortran/expr.c:4693
 #, gcc-internal-format, gfc-internal-format
 msgid "Fortran 2008: Pointer functions in variable definition context (%s) at %L"
 msgstr "Fortran 2008: Pekarfunktioner i variabeldefinitionssammanhang (%s) vid %L"
 
-#: fortran/expr.c:4700
+#: fortran/expr.c:4701
 #, gcc-internal-format, gfc-internal-format
 msgid "Non-variable expression in variable definition context (%s) at %L"
 msgstr "Icke variabelt uttryck i variabeldefinitionssammanhang (%s) vid %L"
 
-#: fortran/expr.c:4708
+#: fortran/expr.c:4709
 #, gcc-internal-format, gfc-internal-format
 msgid "Named constant '%s' in variable definition context (%s) at %L"
 msgstr "Namngiven konstant ”%s” i variabeldefinitionssammanhang (%s) vid %L"
 
-#: fortran/expr.c:4717
+#: fortran/expr.c:4718
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' in variable definition context (%s) at %L is not a variable"
 msgstr "”%s” i variabeldefinitionssammanhang (%s) vid %L är inte en variabel"
 
-#: fortran/expr.c:4728
+#: fortran/expr.c:4729
 #, gcc-internal-format, gfc-internal-format
 msgid "Non-POINTER in pointer association context (%s) at %L"
 msgstr "Icke-POINTER i pekarenassociationssammanhang (%s) vid %L"
 
-#: fortran/expr.c:4741
+#: fortran/expr.c:4742
 #, gcc-internal-format, gfc-internal-format
 msgid "LOCK_TYPE in variable definition context (%s) at %L"
 msgstr "LOCK_TYPE i variabeldefinitionssammanhang (%s) vid %L"
 
-#: fortran/expr.c:4770
+#: fortran/expr.c:4771
 #, gcc-internal-format, gfc-internal-format
 msgid "Dummy argument '%s' with INTENT(IN) in pointer association context (%s) at %L"
 msgstr "Attrappargument ”%s” med INTENT(IN) i pekarassociationssammanhang (%s) vid %L"
 
-#: fortran/expr.c:4778
+#: fortran/expr.c:4779
 #, gcc-internal-format, gfc-internal-format
 msgid "Dummy argument '%s' with INTENT(IN) in variable definition context (%s) at %L"
 msgstr "Attrappargument ”%s” med INTENT(IN) i variabeldefinitionssammanhang (%s) vid %L"
 
-#: fortran/expr.c:4791
+#: fortran/expr.c:4792
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' is PROTECTED and can not appear in a pointer association context (%s) at %L"
 msgstr "Variabeln ”%s” är PROTECTED och kan inte förekomma i ett pekarassociationssammanhang (%s) vid %L"
 
-#: fortran/expr.c:4799
+#: fortran/expr.c:4800
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' is PROTECTED and can not appear in a variable definition context (%s) at %L"
 msgstr "Variabeln ”%s” är PROTECTED och kan inte förekomma i ett variabeldefinitionssammanhang (%s) vid %L"
 
-#: fortran/expr.c:4811
+#: fortran/expr.c:4812
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' can not appear in a variable definition context (%s) at %L in PURE procedure"
 msgstr "Variabeln ”%s” kan inte förekomma i ett variabeldefinitionssammanhang (%s) vid %L"
 
-#: fortran/expr.c:4870
+#: fortran/expr.c:4871
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L associated to vector-indexed target can not be used in a variable definition context (%s)"
 msgstr "”%s” vid %L som är associerad med vektorindexeradt mål kan inte användas i ett variabeldefinitionssammanhang (%s)"
 
-#: fortran/expr.c:4874
+#: fortran/expr.c:4875
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L associated to expression can not be used in a variable definition context (%s)"
 msgstr "”%s” vid %L som är associerad med uttryck kan inte användas i ett variabeldefinitionssammanhang (%s)"
 
-#: fortran/expr.c:4886
+#: fortran/expr.c:4887
 #, gcc-internal-format, gfc-internal-format
 msgid "Associate-name '%s' can not appear in a variable definition context (%s) at %L because its target at %L can not, either"
 msgstr "Associationsnamn ”%s” kan inte förekomma i ett variabeldefinitionssammanhang (%s) vid %L eftersom dess mål vid %L inte heller kan"
@@ -39115,7 +39162,7 @@
 
 #: fortran/frontend-passes.c:518 fortran/trans-array.c:1041
 #: fortran/trans-array.c:5866 fortran/trans-array.c:7150
-#: fortran/trans-intrinsic.c:5445
+#: fortran/trans-intrinsic.c:5444
 #, gcc-internal-format, gfc-internal-format
 msgid "Creating array temporary at %L"
 msgstr "Skapar vektortemporär vid %L"
@@ -39126,24 +39173,24 @@
 msgstr "Tar bort anrop av funktionen ”%s” vid %L"
 
 #: fortran/frontend-passes.c:1474
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L set to undefined value inside loop  beginning at %L as INTENT(OUT) argument to subroutine '%s'"
-msgstr "Variabeln ”%s” vid %C får inte definieras om inuti slingan som börjar vid %L"
+msgstr "Variabeln ”%s” vid %L satt till odefinierad inuti en slinga som börjar vid %L är argument INTENT(OUT) till subrutin ”%s”"
 
 #: fortran/frontend-passes.c:1480
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L not definable inside loop beginning at %L as INTENT(INOUT) argument to subroutine '%s'"
-msgstr "Variabeln ”%s” vid %C får inte definieras om inuti slingan som börjar vid %L"
+msgstr "Variabeln ”%s” vid %L ej definierbar inuti slingan som börjar vid %L är argument INTENT(OUT) till subrutin ”%s”"
 
 #: fortran/frontend-passes.c:1544
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L set to undefined value inside loop beginning at %L as INTENT(OUT) argument to function '%s'"
-msgstr "Variabeln ”%s” vid %C får inte definieras om inuti slingan som börjar vid %L"
+msgstr "Variabeln ”%s” vid %L satt till odefinierad inuti slingan som börjar vid %L är argument INTENT(OUT) till funktionen ”%s”"
 
 #: fortran/frontend-passes.c:1550
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L not definable inside loop beginning at %L as INTENT(INOUT) argument to function '%s'"
-msgstr "Variabeln ”%s” vid %C får inte definieras om inuti slingan som börjar vid %L"
+msgstr "Variabeln ”%s” vid %L ej definierbar inuti slingan som börjar vid %L är argument INTENT(OUT) till funktionen ”%s”"
 
 #: fortran/gfortranspec.c:168
 #, gcc-internal-format
@@ -39171,9 +39218,9 @@
 msgstr "Attrapprocedur ”%s” vid %C kan inte ha generiskt gränssnitt"
 
 #: fortran/interface.c:254
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ABSTRACT INTERFACE at %C"
-msgstr "Fortran 2003: ABSTRACT INTERFACE vid %C"
+msgstr "ABSTRACT INTERFACE vid %C"
 
 #: fortran/interface.c:262
 #, gcc-internal-format, gfc-internal-format
@@ -39250,12 +39297,12 @@
 msgid "Second argument of defined assignment at %L must be INTENT(IN)"
 msgstr "Andra argumentet av definierad tilldelning vid %L måste vara INTENT(IN)"
 
-#: fortran/interface.c:723 fortran/resolve.c:14797
+#: fortran/interface.c:723 fortran/resolve.c:14799
 #, gcc-internal-format, gfc-internal-format
 msgid "First argument of operator interface at %L must be INTENT(IN)"
 msgstr "Första argumentet till operatorgränssnitt vid %L måste vara INTENT(IN)"
 
-#: fortran/interface.c:730 fortran/resolve.c:14815
+#: fortran/interface.c:730 fortran/resolve.c:14817
 #, gcc-internal-format, gfc-internal-format
 msgid "Second argument of operator interface at %L must be INTENT(IN)"
 msgstr "Andra argumentet till operatorgränssnitt vid %L måste vara INTENT(IN)"
@@ -39286,9 +39333,9 @@
 msgstr "I %s vid %L måste alla procedurerna vara FUNCTION eftersom det generiska namnet också är namnet på en härledd typ"
 
 #: fortran/interface.c:1491
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Internal procedure '%s' in %s at %L"
-msgstr "Fortran 2008: Intern procedur ”%s” i %s vid %L"
+msgstr "Intern procedur ”%s” i %s vid %L"
 
 #: fortran/interface.c:1548 fortran/interface.c:1552
 #, gcc-internal-format, gfc-internal-format
@@ -39306,9 +39353,9 @@
 msgstr "”%s” vid %L är inte en modulprocedur"
 
 #: fortran/interface.c:1804
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "The assumed-rank array at %L requires that the dummy argument '%s' has assumed-rank"
-msgstr "Vektor med underförstådd form vid %L måste vara ett attrappargument"
+msgstr "Vektor med antagen ordning vid %L kräver att attrappargumentet ”%s” har antagen ordning"
 
 #: fortran/interface.c:1809
 #, gcc-internal-format, gfc-internal-format
@@ -39336,7 +39383,7 @@
 msgstr "Gränssnitt stämmer inte överens i attrapprocedur ”%s” vid %L: %s"
 
 #: fortran/interface.c:1894
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Actual argument to contiguous pointer dummy '%s' at %L must be simply contiguous"
 msgstr "Aktuellt argument till sammanhängade pekareattrapp ”%s” vid %L måste vara enkelt sammanhängande"
 
@@ -39383,7 +39430,7 @@
 #: fortran/interface.c:2024
 #, gcc-internal-format, gfc-internal-format
 msgid "Dummy argument '%s' has to be a pointer or assumed-shape array without CONTIGUOUS attribute - as actual argument at %L is not simply contiguous and both are ASYNCHRONOUS or VOLATILE"
-msgstr "Attrappargument ”%s” måste vara en pekare eller vektor med förmodad form utan attributet CONTIGUOUS - eftersom det aktuella argumentet vid %L inte är enkelt sammanhängande och båda är ASYNCHRONOUS eller VOLATILE"
+msgstr "Attrappargument ”%s” måste vara en pekare eller vektor med antagen form utan attributet CONTIGUOUS - eftersom det aktuella argumentet vid %L inte är enkelt sammanhängande och båda är ASYNCHRONOUS eller VOLATILE"
 
 #: fortran/interface.c:2037
 #, gcc-internal-format, gfc-internal-format
@@ -39403,7 +39450,7 @@
 #: fortran/interface.c:2116
 #, gcc-internal-format, gfc-internal-format
 msgid "Element of assumed-shaped or pointer array passed to array dummy argument '%s' at %L"
-msgstr "Element av vektor med förmodad form eller pekare skickat till vektorattrappargument ”%s” vid %L"
+msgstr "Element av vektor med antagen form eller pekare skickat till vektorattrappargument ”%s” vid %L"
 
 #: fortran/interface.c:2128
 #, gcc-internal-format, gfc-internal-format
@@ -39453,7 +39500,7 @@
 #: fortran/interface.c:2525
 #, gcc-internal-format, gfc-internal-format
 msgid "Actual argument at %L to assumed-type dummy is of derived type with type-bound or FINAL procedures"
-msgstr "Aktuellt argument vid %L till atrapp med förmodad typ är av en härledd typ med typgräns eller FINAL-procedurer"
+msgstr "Aktuellt argument vid %L till attrapp med antagen typ är av en härledd typ med typgräns eller FINAL-procedurer"
 
 #: fortran/interface.c:2546
 #, gcc-internal-format, gfc-internal-format
@@ -39616,9 +39663,9 @@
 msgstr "Nyckelordsargument kräver explicit gränssnitt för proceduren ”%s” vid %L"
 
 #: fortran/interface.c:3171
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-type argument %s at %L requires an explicit interface"
-msgstr "Symbolen ”%s” vid %L har redan ett explicit gränssnitt"
+msgstr "Argumentet ”%s” med antagen typ vid %L kräver ett explicit gränssnitt"
 
 #: fortran/interface.c:3184
 #, gcc-internal-format, gfc-internal-format
@@ -39631,9 +39678,9 @@
 msgstr "MOLD-argumentet till NULL krävs vid %L"
 
 #: fortran/interface.c:3201
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-rank argument requires an explicit interface at %L"
-msgstr "Nyckelordsargument kräver explicit gränssnitt för proceduren ”%s” vid %L"
+msgstr "Argumentet med antagen ordning kräver ett explicit gränssnitt vid %L"
 
 #: fortran/interface.c:3238
 #, gcc-internal-format, gfc-internal-format
@@ -39651,9 +39698,9 @@
 msgstr "MOLD= krävs i NULL()-argument vid %L: Tvetydighet mellan de specifika funktionerna %s och %s"
 
 #: fortran/interface.c:3785
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Entity '%s' at %L is already present in the interface"
-msgstr "Entitet ”%s” vid %C finns redan i gränssnittet"
+msgstr "Entiteten ”%s” vid %L finns redan i gränssnittet"
 
 #: fortran/interface.c:3996
 #, gcc-internal-format, gfc-internal-format
@@ -39696,9 +39743,9 @@
 msgstr "”%s” vid %L åsidosätter en FUNCTION och måste också vara en FUNCTION"
 
 #: fortran/interface.c:4067
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Result mismatch for the overriding procedure '%s' at %L: %s"
-msgstr "Argument stämmer inte överens för den åsidosättande proceduren ”%s” vid %L: %s"
+msgstr "Resultaten stämmer inte överens för den åsidosättande proceduren ”%s” vid %L: %s"
 
 #: fortran/interface.c:4078
 #, gcc-internal-format, gfc-internal-format
@@ -39781,14 +39828,14 @@
 msgstr "Inbyggd ”%s” (är %s) används vid %L"
 
 #: fortran/intrinsic.c:4097
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Function '%s' as initialization expression at %L"
-msgstr "Fortran 2003: Funktion ”%s” som initieringsuttryck vid %L"
+msgstr "Funktionen ”%s” som initieringsuttryck vid %L"
 
 #: fortran/intrinsic.c:4173
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Elemental function as initialization expression with non-integer/non-character arguments at %L"
-msgstr "Fortran 2003: Elementär funktion som initieraruttryck med argument som inte är heltal/tecken vid %L"
+msgstr "Elementär funktion som initieraruttryck med argument som inte är heltal/tecken vid %L"
 
 #: fortran/intrinsic.c:4234
 #, gcc-internal-format, gfc-internal-format
@@ -39826,24 +39873,24 @@
 msgstr "Utökning: Tabulatortecken i format vid %C"
 
 #: fortran/io.c:455
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "DP format specifier not allowed at %C"
-msgstr "Fortran 2003: DP-formatspecificerare är inte tillåten vid %C"
+msgstr "DP-formatspecificerare är inte tillåten vid %C"
 
 #: fortran/io.c:462
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "DC format specifier not allowed at %C"
-msgstr "Fortran 2003: DC-formatspecificerare är inte tillåten vid %C"
+msgstr "DC-formatspecificerare är inte tillåten vid %C"
 
 #: fortran/io.c:651
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "X descriptor requires leading space count at %L"
-msgstr "Utökning: X-beskrivare kräver inledande utrymmesantal vid %L"
+msgstr "X-beskrivare kräver inledande utrymmesantal vid %L"
 
 #: fortran/io.c:681
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "$ descriptor at %L"
-msgstr "Utökning: $-beskrivare vid %L"
+msgstr "$-beskrivare vid %L"
 
 #: fortran/io.c:686
 #, gcc-internal-format, gfc-internal-format
@@ -39856,9 +39903,9 @@
 msgstr "Utökning: Positiv bredd saknas efter L-beskrivare vid %L"
 
 #: fortran/io.c:828
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "'G0' in format at %L"
-msgstr "Fortran 2008: ”G0” i format vid %L"
+msgstr "”G0” i format vid %L"
 
 #: fortran/io.c:856
 #, gcc-internal-format, gfc-internal-format
@@ -39881,9 +39928,9 @@
 msgstr "Formatspecificeraren H vid %L är en funktion borttagen i Fortran 95"
 
 #: fortran/io.c:1061 fortran/io.c:1124
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Missing comma at %L"
-msgstr "Utökning: Komma saknas vid %L"
+msgstr "Saknat komma vid %L"
 
 #: fortran/io.c:1143
 #, gcc-internal-format, gfc-internal-format
@@ -39941,9 +39988,9 @@
 msgstr "FORMAT-tagg vid %L måste ha typen standardsorts CHARACTER eller INTEGER"
 
 #: fortran/io.c:1409
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ASSIGNED variable in FORMAT tag at %L"
-msgstr "Borttagen funktion: ASSIGNED-variabel i FORMAT-tagg vid %L"
+msgstr "ASSIGNED-variabel i FORMAT-tagg vid %L"
 
 #: fortran/io.c:1415
 #, gcc-internal-format, gfc-internal-format
@@ -39956,19 +40003,19 @@
 msgstr "Skalär ”%s” i FORMAT-tagg vid %L är inte en ASSIGNED-variabel"
 
 #: fortran/io.c:1434
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Non-character in FORMAT tag at %L"
-msgstr "Utökning: Icke-tecken i FORMAT-tagg vid %L"
+msgstr "Icke-tecken i FORMAT-tagg vid %L"
 
 #: fortran/io.c:1440
 #, gcc-internal-format, gfc-internal-format
 msgid "Non-character assumed shape array element in FORMAT tag at %L"
-msgstr "Icke-teckens vektorelement med förmodad form i FORMAT-tagg vid %L"
+msgstr "Icke-teckens vektorelement med antagen form i FORMAT-tagg vid %L"
 
 #: fortran/io.c:1447
 #, gcc-internal-format, gfc-internal-format
 msgid "Non-character assumed size array element in FORMAT tag at %L"
-msgstr "Icke-teckens vektorelement med förmodad storlek i FORMAT-tagg vid %L"
+msgstr "Icke-teckens vektorelement med antagen storlek i FORMAT-tagg vid %L"
 
 #: fortran/io.c:1454
 #, gcc-internal-format, gfc-internal-format
@@ -39991,9 +40038,9 @@
 msgstr "%s-tagg vid %L måste vara skalär"
 
 #: fortran/io.c:1500
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "IOMSG tag at %L"
-msgstr "Fortran 2003: IOMSG-tagg vid %L"
+msgstr "IOMSG-tagg vid %L"
 
 #: fortran/io.c:1508
 #, gcc-internal-format, gfc-internal-format
@@ -40001,19 +40048,19 @@
 msgstr "Fortran 95 kräver standard-INTEGER i %s-tagg vid %L"
 
 #: fortran/io.c:1516
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Nondefault LOGICAL in %s tag at %L"
-msgstr "Fortran 2008: Icke-standard LOGICAL i %s-tagg vid %L"
+msgstr "Icke-standard LOGICAL i %s-tagg vid %L"
 
 #: fortran/io.c:1524
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "NEWUNIT specifier at %L"
-msgstr "UNIT inte angivet vid %L"
+msgstr "NEWUNIT-specificerare vid %L"
 
 #: fortran/io.c:1542
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "CONVERT tag at %L"
-msgstr "Utökning: CONVERT-tagg vid %L"
+msgstr "CONVERT-tagg vid %L"
 
 #: fortran/io.c:1728
 #, gcc-internal-format, gfc-internal-format
@@ -40021,9 +40068,9 @@
 msgstr "Fortran 2003: %s-specificerare i %s-sats vid %C har värdet ”%s”"
 
 #: fortran/io.c:1736 fortran/io.c:1763
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "%s specifier in %s statement at %C has value '%s'"
-msgstr "%s-specificerare i %s-sats vid %C har ogiltigt värde ”%s”"
+msgstr "%s-specificerare i %s-sats vid %C har värdet ”%s”"
 
 #: fortran/io.c:1755
 #, gcc-internal-format, gfc-internal-format
@@ -40056,34 +40103,34 @@
 msgstr "OPEN-sats vid %C måste ha antingen UNIT eller NEWUNIT angivet"
 
 #: fortran/io.c:1898
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ASYNCHRONOUS= at %C not allowed in Fortran 95"
-msgstr "Fortran 2003: ASYNCHRONOUS= vid %C är inte tillåtet i Fortran 95"
+msgstr "ASYNCHRONOUS= vid %C är inte tillåtet i Fortran 95"
 
 #: fortran/io.c:1916 fortran/io.c:3365
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "BLANK= at %C not allowed in Fortran 95"
-msgstr "Fortran 2003: BLANK= vid %C är inte tillåtet i Fortran 95"
+msgstr "BLANK= vid %C är inte tillåtet i Fortran 95"
 
 #: fortran/io.c:1934 fortran/io.c:3344
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "DECIMAL= at %C not allowed in Fortran 95"
-msgstr "Fortran 2003: DECIMAL= vid %C är inte tillåtet i Fortran 95"
+msgstr "DECIMAL= vid %C är inte tillåtet i Fortran 95"
 
 #: fortran/io.c:1966
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ENCODING= at %C not allowed in Fortran 95"
-msgstr "Fortran 2003: ENCODING= vid %C är inte tillåtet i Fortran 95"
+msgstr "ENCODING= vid %C är inte tillåtet i Fortran 95"
 
 #: fortran/io.c:2017 fortran/io.c:3407
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ROUND= at %C not allowed in Fortran 95"
-msgstr "Fortran 2003: ROUND= vid %C är inte tillåtet i Fortran 95"
+msgstr "ROUND= vid %C är inte tillåtet i Fortran 95"
 
 #: fortran/io.c:2037
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "SIGN= at %C not allowed in Fortran 95"
-msgstr "Fortran 2003: SIGN= vid %C är inte tillåtet i Fortran 95"
+msgstr "SIGN= vid %C är inte tillåtet i Fortran 95"
 
 #: fortran/io.c:2250
 #, gcc-internal-format, gfc-internal-format
@@ -40111,9 +40158,9 @@
 msgstr "UNIT-tal i sats vid %L måste vara ickenegativt"
 
 #: fortran/io.c:2483
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "FLUSH statement at %C"
-msgstr "Fortran 2003: FLUSH-sats vid %C"
+msgstr "FLUSH-sats vid %C"
 
 #: fortran/io.c:2539
 #, gcc-internal-format, gfc-internal-format
@@ -40176,9 +40223,9 @@
 msgstr "NAMELIST ”%s” i READ-sats vid %L innehåller symbolen ”%s” som inte får stå i ett variabeldefinitionssammanhang"
 
 #: fortran/io.c:2914
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Comma before i/o item list at %L"
-msgstr "Utökning: Komma före i/o-elementlista vid %L"
+msgstr "Komma före i/o-elementlista vid %L"
 
 #: fortran/io.c:2924
 #, gcc-internal-format, gfc-internal-format
@@ -40216,15 +40263,15 @@
 msgstr "Förväntade uttryck i %s-sats vid %C"
 
 #. A general purpose syntax error.
-#: fortran/io.c:3175 fortran/io.c:3774 fortran/gfortran.h:2496
+#: fortran/io.c:3175 fortran/io.c:3774 fortran/gfortran.h:2506
 #, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in %s statement at %C"
 msgstr "Syntaxfel i %s-sats vid %C"
 
 #: fortran/io.c:3260
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Internal file at %L with namelist"
-msgstr "Fortran 2003: Intern fil vid %L med namnlista"
+msgstr "Intern fil vid %L med namnlista"
 
 #: fortran/io.c:3318
 #, gcc-internal-format, gfc-internal-format
@@ -40232,14 +40279,14 @@
 msgstr "ASYNCHRONOUS=-specificerare vid %L måste vara ett initieringsuttryck"
 
 #: fortran/io.c:3386
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "PAD= at %C not allowed in Fortran 95"
-msgstr "Fortran 2003: PAD= vid %C är inte tillåtet i Fortran 95"
+msgstr "PAD= vid %C är inte tillåtet i Fortran 95"
 
 #: fortran/io.c:3452
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "DELIM= at %C not allowed in Fortran 95"
-msgstr "Fortran 2003: DELIM= vid %C är inte tillåtet i Fortran 95"
+msgstr "DELIM= vid %C är inte tillåtet i Fortran 95"
 
 #: fortran/io.c:3601
 #, gcc-internal-format, gfc-internal-format
@@ -40282,9 +40329,9 @@
 msgstr "INQUIRE-sats vid %L kräver en PENDING=-specificerare med ID=-specificeraren"
 
 #: fortran/io.c:4205
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "WAIT at %C not allowed in Fortran 95"
-msgstr "Fortran 2003: WAIT vid %C är inte tillåtet i Fortran 95"
+msgstr "WAIT vid %C är inte tillåtet i Fortran 95"
 
 #: fortran/io.c:4211
 #, gcc-internal-format, gfc-internal-format
@@ -40377,9 +40424,9 @@
 msgstr "Ogiltig form på PROGRAM-sats vid %C"
 
 #: fortran/match.c:1394 fortran/match.c:1475
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Arithmetic IF statement at %C"
-msgstr "Förlegad funktion: Aritmetisk IF-sats vid %C"
+msgstr "Aritmetisk IF-sats vid %C"
 
 #: fortran/match.c:1450
 #, gcc-internal-format, gfc-internal-format
@@ -40437,9 +40484,9 @@
 msgstr "Bildstyrningssats CRITICAL vid %C i DO CONCURRENT-block"
 
 #: fortran/match.c:1759
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "CRITICAL statement at %C"
-msgstr "Fortran 2008: CRITICAL-sats vid %C"
+msgstr "CRITICAL-sats vid %C"
 
 #: fortran/match.c:1771
 #, gcc-internal-format, gfc-internal-format
@@ -40492,9 +40539,9 @@
 msgstr "Syntaxfel i FORALL-iterator vid %C"
 
 #: fortran/match.c:2383
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "DO CONCURRENT construct at %C"
-msgstr "Fortran 2008: DO CONCURRENT-konstruktion vid %C"
+msgstr "DO CONCURRENT-konstruktion vid %C"
 
 #: fortran/match.c:2509
 #, gcc-internal-format, gfc-internal-format
@@ -40533,9 +40580,9 @@
 msgstr "CYCLE-sats vid %C är inte tillämpbar på icke-slingkonstruktionen ”%s”"
 
 #: fortran/match.c:2582
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "EXIT statement with no do-construct-name at %C"
-msgstr "Fortran 2008: EXIT-sats utan något do-konstruktionsnamn vid %C"
+msgstr "EXIT-sats utan något do-konstruktionsnamn vid %C"
 
 #: fortran/match.c:2588
 #, gcc-internal-format, gfc-internal-format
@@ -40588,14 +40635,14 @@
 msgstr "STOP-kod vid %L måste vara standard heltal KIND=%d"
 
 #: fortran/match.c:2773
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "PAUSE statement at %C"
-msgstr "Oväntad CASE-sats vid %C"
+msgstr "PAUSE-sats vid %C"
 
 #: fortran/match.c:2796
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ERROR STOP statement at %C"
-msgstr "Fortran 2008: ERROR STOP-sats vid %C"
+msgstr "ERROR STOP-sats vid %C"
 
 #: fortran/match.c:2822
 #, gcc-internal-format, gfc-internal-format
@@ -40630,14 +40677,14 @@
 msgstr "Överflödig ACQUIRED_LOCK-tagg funnen vid %L "
 
 #: fortran/match.c:2982
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "LOCK statement at %C"
-msgstr "Fortran 2008: LOCK-sats vid %C"
+msgstr "LOCK-sats vid %C"
 
 #: fortran/match.c:2993
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "UNLOCK statement at %C"
-msgstr "Fortran 2008: UNLOCK-sats vid %C"
+msgstr "UNLOCK-sats vid %C"
 
 #: fortran/match.c:3019
 #, gcc-internal-format, gfc-internal-format
@@ -40645,9 +40692,9 @@
 msgstr "Bildstyrsats SYNC vid %C i PURE-procedur"
 
 #: fortran/match.c:3026
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "SYNC statement at %C"
-msgstr "Fortran 2008: SYNC-sats vid %C"
+msgstr "SYNC-sats vid %C"
 
 #: fortran/match.c:3038
 #, gcc-internal-format, gfc-internal-format
@@ -40660,14 +40707,14 @@
 msgstr "Bildkontrollsatsen SYNC vid %C i DO CONCURRENT-block"
 
 #: fortran/match.c:3224
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ASSIGN statement at %C"
-msgstr "Borttagen funktion: ASSIGN-sats vid %C"
+msgstr "ASSIGN-sats vid %C"
 
 #: fortran/match.c:3270
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Assigned GOTO statement at %C"
-msgstr "Borttagen funktion: Tilldelad GOTO-sats vid %C"
+msgstr "Tilldelad GOTO-sats vid %C"
 
 #: fortran/match.c:3317 fortran/match.c:3370
 #, gcc-internal-format, gfc-internal-format
@@ -40675,9 +40722,9 @@
 msgstr "Satsetikettlistan i GOTO vid %C får inte vara tom"
 
 #: fortran/match.c:3380
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Computed GOTO at %C"
-msgstr "Förlegad funktion: Beräknat GOTO vid %C"
+msgstr "Beräknat GOTO vid %C"
 
 #: fortran/match.c:3453
 #, gcc-internal-format, gfc-internal-format
@@ -40685,9 +40732,9 @@
 msgstr "Fel i typspecifikation vid %L"
 
 #: fortran/match.c:3463
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "typespec in ALLOCATE at %L"
-msgstr "Fortran 2003: typspecifikation i ALLOCATE vid %L"
+msgstr "typspecifikation i ALLOCATE vid %L"
 
 #: fortran/match.c:3505
 #, gcc-internal-format, gfc-internal-format
@@ -40705,9 +40752,9 @@
 msgstr "ALLOCATE av co-vektor vid %C i CRITICAL-block"
 
 #: fortran/match.c:3557
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Allocate-object at %L is neither a data pointer nor an allocatable variable"
-msgstr "Allokeringsobjekt vid %L är inte en pekare på annat än procedur eller en allokerbar variabel"
+msgstr "Allokeringsobjekt vid %L är varken en datapekare eller en allokerbar variabel"
 
 #: fortran/match.c:3569
 #, gcc-internal-format, gfc-internal-format
@@ -40725,14 +40772,14 @@
 msgstr "Formspecifikation för allokerbar skalär vid %C"
 
 #: fortran/match.c:3628
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ERRMSG tag at %L"
-msgstr "Fortran 2003: ERRMSG-tagg vid %L"
+msgstr "ERRMSG-tagg vid %L"
 
 #: fortran/match.c:3652
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "SOURCE tag at %L"
-msgstr "Fortran 2003: SOURCE-tagg vid %L"
+msgstr "SOURCE-tagg vid %L"
 
 #: fortran/match.c:3659
 #, gcc-internal-format, gfc-internal-format
@@ -40745,14 +40792,14 @@
 msgstr "SOURCE-taggen vid %L står i konflikt med typespecifikationen vid %L"
 
 #: fortran/match.c:3672
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "SOURCE tag at %L with more than a single allocate object"
-msgstr "Fortran 2008: SOURCE-tagg vid %L med mer än ett ensamt allokeringsobjekt"
+msgstr "SOURCE-tagg vid %L med mer än ett ensamt allokeringsobjekt"
 
 #: fortran/match.c:3690
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "MOLD tag at %L"
-msgstr "Fortran 2008: MOLD-tagg vid %L"
+msgstr "MOLD-tagg vid %L"
 
 #: fortran/match.c:3697
 #, gcc-internal-format, gfc-internal-format
@@ -40775,9 +40822,9 @@
 msgstr "Allokeringsobjekt vid %L med en fördröjd typparameter behöver antingen en typspecifikation eller en SOURCE-tagg eller en MOLD-tagg"
 
 #: fortran/match.c:3750
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Unlimited polymorphic allocate-object at %L requires either a type-spec or SOURCE tag or a MOLD tag"
-msgstr "Allokeringsobjekt vid %L med en fördröjd typparameter behöver antingen en typspecifikation eller en SOURCE-tagg eller en MOLD-tagg"
+msgstr "Obegränsat polymorft allokeringsobjekt vid %L behöver en typspecifikation eller en SOURCE-tagg eller en MOLD-tagg"
 
 #: fortran/match.c:3812
 #, gcc-internal-format, gfc-internal-format
@@ -40800,14 +40847,14 @@
 msgstr "DEALLOCATE av co-vektor vid %C i CRITICAL-block"
 
 #: fortran/match.c:3928
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Allocate-object at %C is not a nonprocedure pointer nor an allocatable variable"
-msgstr "Allokeringsobjekt vid %C är inte en pekare på annat än procedur eller en allokerbar variabel"
+msgstr "Allokeringsobjekt vid %C är varken en pekare på annat än procedur eller en allokerbar variabel"
 
 #: fortran/match.c:3965
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ERRMSG at %L"
-msgstr "Fortran 2003: ERRMSG vid %L"
+msgstr "ERRMSG vid %L"
 
 #: fortran/match.c:4023
 #, gcc-internal-format, gfc-internal-format
@@ -40825,14 +40872,14 @@
 msgstr "Alternativ RETURN-sats vid %C är bara tillåten inuti en SUBROUTINE"
 
 #: fortran/match.c:4043
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Alternate RETURN at %C"
-msgstr "Förlegad funktion: Alternativt RETURN vid %C"
+msgstr "Alternativt RETURN vid %C"
 
 #: fortran/match.c:4073
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "RETURN statement in main program at %C"
-msgstr "Utökning: RETURN-sats i huvudprogram vid %C"
+msgstr "RETURN-sats i huvudprogram vid %C"
 
 #: fortran/match.c:4101
 #, gcc-internal-format, gfc-internal-format
@@ -40910,7 +40957,7 @@
 #: fortran/match.c:4669
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed size array '%s' in namelist '%s' at %C is not allowed"
-msgstr "Vektor ”%s” med underförstådd storlek i namnlistan ”%s” vid %C är inte tillåtet"
+msgstr "Vektor ”%s” med antagen storlek i namnlistan ”%s” vid %C är inte tillåtet"
 
 #: fortran/match.c:4803
 #, gcc-internal-format, gfc-internal-format
@@ -40943,9 +40990,9 @@
 msgstr "Satsfunktion vid %L är rekursiv"
 
 #: fortran/match.c:4989
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Statement function at %C"
-msgstr "Satsfunktion vid %L är rekursiv"
+msgstr "Satsfunktion vid %C"
 
 #: fortran/match.c:5074
 #, gcc-internal-format, gfc-internal-format
@@ -41029,9 +41076,9 @@
 msgstr "Utökning: Unär operator följer aritmetisk operator (använd parenteser) vid %C"
 
 #: fortran/module.c:554
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "module nature in USE statement at %C"
-msgstr "Fortran 2003: modulnatur i USE-sats vid %C"
+msgstr "modulnatur i USE-sats vid %C"
 
 #: fortran/module.c:566
 #, gcc-internal-format, gfc-internal-format
@@ -41044,9 +41091,9 @@
 msgstr "”::” förväntades efter modulnatur vid %C men fanns inte"
 
 #: fortran/module.c:590
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "\"USE :: module\" at %C"
-msgstr "Fortran 2003: ”USE :: module” vid %C"
+msgstr "”USE :: module” vid %C"
 
 #: fortran/module.c:649
 #, gcc-internal-format, gfc-internal-format
@@ -41054,9 +41101,9 @@
 msgstr "Generisk specifikation saknas i USE-sats vid %C"
 
 #: fortran/module.c:657
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Renaming operators in USE statements at %C"
-msgstr "Fortran 2003: Byter namn på operatorer i USE-sats vid %C"
+msgstr "Byter namn på operatorer i USE-sats vid %C"
 
 #: fortran/module.c:699
 #, gcc-internal-format, gfc-internal-format
@@ -41170,14 +41217,14 @@
 msgstr "Symbolen ”%s” refererad vid %L hittas inte i den inbyggda modulen ISO_FORTRAN_ENV"
 
 #: fortran/module.c:6143
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ISO_FORTRAN_ENV intrinsic module at %C"
-msgstr "Fortran 2003: inbyggd modul ISO_FORTRAN_ENV vid %C"
+msgstr "inbyggd modul ISO_FORTRAN_ENV vid %C"
 
 #: fortran/module.c:6156
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ISO_C_BINDING module at %C"
-msgstr "Fortran 2003: ISO_C_BINDING-modul vid %C"
+msgstr "ISO_C_BINDING-modul vid %C"
 
 #: fortran/module.c:6169
 #, gcc-internal-format, gfc-internal-format
@@ -41195,9 +41242,9 @@
 msgstr "Användning av ej inbyggd modul ”%s” vid %C står i konflikt med namn på inbyggd modul använd tidigare"
 
 #: fortran/module.c:6202
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "File '%s' opened at %C is not a GNU Fortran module file"
-msgstr "Filen ”%s” öppnad vid %C är inte en GFORTRAN-modulfil"
+msgstr "Filen ”%s” öppnad vid %C är inte en GNU Fortran-modulfil"
 
 #: fortran/module.c:6210
 #, gcc-internal-format, gfc-internal-format
@@ -41333,7 +41380,7 @@
 #: fortran/openmp.c:958
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed size array '%s' in COPYPRIVATE clause at %L"
-msgstr "Vektor ”%s” med underförstådd storlek i COPYPRIVATE-klausul vid %L"
+msgstr "Vektor ”%s” med antagen storlek i COPYPRIVATE-klausul vid %L"
 
 #: fortran/openmp.c:961
 #, gcc-internal-format, gfc-internal-format
@@ -41378,7 +41425,7 @@
 #: fortran/openmp.c:1005
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed size array '%s' in %s clause at %L"
-msgstr "Vektor ”%s” med underförstådd storlek i %s-klausul vid %L"
+msgstr "Vektor ”%s” med antagen storlek i %s-klausul vid %L"
 
 #: fortran/openmp.c:1010
 #, gcc-internal-format, gfc-internal-format
@@ -41716,24 +41763,24 @@
 msgstr "Komponenter i TYPE vid %C måste föregå CONTAINS"
 
 #: fortran/parse.c:1980
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Type-bound procedure at %C"
-msgstr "Fortran 2003: Typbunden procedur vid %C"
+msgstr "Typbunden procedur vid %C"
 
 #: fortran/parse.c:1989
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "GENERIC binding at %C"
-msgstr "Skräp efter GENERIC-bindning vid %C"
+msgstr "GENERIC-bindning vid %C"
 
 #: fortran/parse.c:1999
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "FINAL procedure declaration at %C"
-msgstr "Fortran 2003:  FINAL-procedurdeklaration vid %C"
+msgstr "FINAL-procedurdeklaration vid %C"
 
 #: fortran/parse.c:2011
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Derived type definition at %C with empty CONTAINS section"
-msgstr "Fortran 2003: Härledd typdefinition vid %C med tom CONTAINS-sektion"
+msgstr "Härledd typdefinition vid %C med tom CONTAINS-sektion"
 
 #: fortran/parse.c:2022 fortran/parse.c:2125
 #, gcc-internal-format, gfc-internal-format
@@ -41766,9 +41813,9 @@
 msgstr "FINAL-deklaration vid %C måste vara inuti CONTAINS"
 
 #: fortran/parse.c:2116
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Derived type definition at %C without components"
-msgstr "Fortran 2003: Härledd typdefinition vid %C utan komponenter"
+msgstr "Härledd typdefinition vid %C utan komponenter"
 
 #: fortran/parse.c:2132
 #, gcc-internal-format, gfc-internal-format
@@ -41791,9 +41838,9 @@
 msgstr "Dubblerad SEQUENCE-sats vid %C"
 
 #: fortran/parse.c:2170
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "CONTAINS block in derived type definition at %C"
-msgstr "Fortran 2003:  CONTAINS-block i härledd typdefinition vid %C"
+msgstr "CONTAINS-block i härledd typdefinition vid %C"
 
 #: fortran/parse.c:2258
 #, gcc-internal-format, gfc-internal-format
@@ -41926,19 +41973,19 @@
 msgstr "Slut på DO-sats utan block vid %C är sammanvävt med en annan DO-slinga"
 
 #: fortran/parse.c:3274
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Statement label in END CRITICAL at %C does not match CRITICAL label"
 msgstr "Satsetikett i END CRITICAL vid %C stämmer inte med CRITICAL-etikett"
 
 #: fortran/parse.c:3342
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "BLOCK construct at %C"
-msgstr "Fortran 2008: BLOCK-konstruktion vid %C"
+msgstr "BLOCK-konstruktion vid %C"
 
 #: fortran/parse.c:3372
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ASSOCIATE construct at %C"
-msgstr "Fortran 2003: ASSOCIATE-konstruktion vid %C"
+msgstr "ASSOCIATE-konstruktion vid %C"
 
 #: fortran/parse.c:3472
 #, gcc-internal-format, gfc-internal-format
@@ -41966,9 +42013,9 @@
 msgstr "%s-sats vid %C kan inte avsluta en DO-slinga utan block"
 
 #: fortran/parse.c:3833
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "DATA statement at %C after the first executable statement"
-msgstr "FORMAT-sats vid %L har inte en satsetikett"
+msgstr "DATA-sats vid %C efter den första körbara satsen"
 
 #: fortran/parse.c:4025
 #, gcc-internal-format, gfc-internal-format
@@ -41981,9 +42028,9 @@
 msgstr "Oväntad %s-sats i CONTAINS-sektion vid %C"
 
 #: fortran/parse.c:4105
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "CONTAINS statement without FUNCTION or SUBROUTINE statement at %C"
-msgstr "Fortran 2008: CONTAINS-sats utan FUNCTION- eller SUBROUTINE-sats vid %C"
+msgstr "CONTAINS-sats utan FUNCTION- eller SUBROUTINE-sats vid %C"
 
 #: fortran/parse.c:4182
 #, gcc-internal-format, gfc-internal-format
@@ -42034,9 +42081,9 @@
 msgstr "Heltal för stort för sin sort vid %C.  Denna kontroll kan avaktiveras med flaggan -fno-range-check"
 
 #: fortran/primary.c:270
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Hollerith constant at %C"
-msgstr "Utökning: Hollerithkonstant vid %C"
+msgstr "Hollerithkonstant vid %C"
 
 #: fortran/primary.c:282
 #, gcc-internal-format, gfc-internal-format
@@ -42054,9 +42101,9 @@
 msgstr "Ogiltig Hollerithkonstant vid %L innehåller ett brett tecken"
 
 #: fortran/primary.c:394
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Hexadecimal constant at %C uses non-standard syntax"
-msgstr "Utökning: Hexadecimal konstant vid %C använder icke-standardsyntax"
+msgstr "Hexadecimal konstant vid %C använder icke-standardsyntax"
 
 #: fortran/primary.c:404
 #, gcc-internal-format, gfc-internal-format
@@ -42069,9 +42116,9 @@
 msgstr "Otillåtet tecken i BOZ-konstant vid %C"
 
 #: fortran/primary.c:433
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "BOZ constant at %C uses non-standard postfix syntax"
-msgstr "Utökning: BOZ-konstant vid %C använder icke-standard postfixsyntax"
+msgstr "BOZ-konstant vid %C använder icke-standard postfixsyntax"
 
 #: fortran/primary.c:464
 #, gcc-internal-format, gfc-internal-format
@@ -42079,14 +42126,14 @@
 msgstr "För stort heltal för heltalssort %i vid %C"
 
 #: fortran/primary.c:470
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "BOZ used outside a DATA statement at %C"
-msgstr "Fortran 2003: BOZ använd utanför en DATA-sats vid %C"
+msgstr "BOZ använd utanför en DATA-sats vid %C"
 
 #: fortran/primary.c:561
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "exponent-letter 'q' in real-literal-constant at %C"
-msgstr "Ogiltig exponentbokstav ”q” i reell literal konstant vid %C"
+msgstr "exponentbokstav ”q” i reell literal konstant vid %C"
 
 #: fortran/primary.c:565
 #, gcc-internal-format, gfc-internal-format
@@ -42169,9 +42216,9 @@
 msgstr "Skalär PARAMETER krävs i komplex konstant vid %C"
 
 #: fortran/primary.c:1220
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "PARAMETER symbol in complex constant at %C"
-msgstr "PARAMETER-symbol förväntades i komplex konstant vid %C"
+msgstr "PARAMETER-symbol i komplex konstant vid %C"
 
 #: fortran/primary.c:1250
 #, gcc-internal-format, gfc-internal-format
@@ -42189,9 +42236,9 @@
 msgstr "Nyckelordet ”%s” vid %C har redan förekommit i den aktuella argumentlistan"
 
 #: fortran/primary.c:1649
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "argument list function at %C"
-msgstr "Okänd argumentlistefunktion vid %L"
+msgstr "argumentlistefunktion vid %C"
 
 #: fortran/primary.c:1718
 #, gcc-internal-format, gfc-internal-format
@@ -42219,14 +42266,14 @@
 msgstr "Co-vektorbeteckning vid %C men ”%s” är inte en co-vektor"
 
 #: fortran/primary.c:1916
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %C has no IMPLICIT type"
-msgstr "Symbolen  ”%s” vid %L har ingen IMPLICIT-typ"
+msgstr "Symbolen  ”%s” vid %C har ingen IMPLICIT-typ"
 
 #: fortran/primary.c:1922
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Unexpected '%%' for nonderived-type variable '%s' at %C"
-msgstr "Oväntat tecken i variabellista vid %C"
+msgstr "Oväntat ”%%” för variabel med icke härled typ ”%s” vid %C"
 
 #: fortran/primary.c:1940
 #, gcc-internal-format, gfc-internal-format
@@ -42249,9 +42296,9 @@
 msgstr "Co-indexerad procedurpekarkomponent vid %C"
 
 #: fortran/primary.c:2357
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Structure constructor with missing optional arguments at %C"
-msgstr "Fortran 2003: Postkonstruerare med saknade valfria argument vid %C"
+msgstr "Postkonstruerare med saknade valfria argument vid %C"
 
 #: fortran/primary.c:2365
 #, gcc-internal-format, gfc-internal-format
@@ -42264,9 +42311,9 @@
 msgstr "Det går inte att konstruera ABSTRACT typ ”%s” vid %L"
 
 #: fortran/primary.c:2433
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Structure constructor with named arguments at %C"
-msgstr "Fortran 2003: Postkonstruerare med namngivna argument vid %C"
+msgstr "Postkonstruerare med namngivna argument vid %C"
 
 #: fortran/primary.c:2449
 #, gcc-internal-format, gfc-internal-format
@@ -42349,29 +42396,29 @@
 msgstr "ABSTRACT typ ”%s” används vid %L"
 
 #: fortran/resolve.c:145
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Interface '%s' at %L is declared in a later PROCEDURE statement"
-msgstr "Gränssnitt ”%s”, använd av proceduren ”%s” vid %L, är deklarerad i en senare PROCEDURE-sats"
+msgstr "Gränssnitt ”%s” vid %L, är deklarerat i en senare PROCEDURE-sats"
 
 #: fortran/resolve.c:158
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Interface '%s' at %L may not be generic"
-msgstr "Gränssnitt ”%s” vid %C kan inte vara generiskt"
+msgstr "Gränssnitt ”%s” vid %L kan inte vara generiskt"
 
 #: fortran/resolve.c:165
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Interface '%s' at %L may not be a statement function"
-msgstr "Gränssnitt ”%s” vid %C kan inte vara en satsfunktion"
+msgstr "Gränssnitt ”%s” vid %L kan inte vara en satsfunktion"
 
 #: fortran/resolve.c:174
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Intrinsic procedure '%s' not allowed in PROCEDURE statement at %L"
-msgstr "Den inbyggda proceduren ”%s” är inte tillåten i PROCEDURE-sats vid %C"
+msgstr "Den inbyggda proceduren ”%s” är inte tillåten i PROCEDURE-sats vid %L"
 
 #: fortran/resolve.c:180
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Interface '%s' at %L must be explicit"
-msgstr "Gränssnitt ”%s” till procedur ”%s” vid %L måste vara explicit"
+msgstr "Gränssnitt ”%s” vid %L måste vara explicit"
 
 #: fortran/resolve.c:202
 #, gcc-internal-format, gfc-internal-format
@@ -42394,9 +42441,9 @@
 msgstr "Attrapprocedur ”%s” av PURE-procedur vid %L måste också vara PURE"
 
 #: fortran/resolve.c:385
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Argument '%s' of pure function '%s' at %L with VALUE attribute but without INTENT(IN)"
-msgstr "Fortran 2008: Argumentet ”%s” till pure-funktion ”%s” vid %L med attributet VALUE men utan INTENT(IN)"
+msgstr "Argumentet ”%s” till pure-funktion ”%s” vid %L med attributet VALUE men utan INTENT(IN)"
 
 #: fortran/resolve.c:390
 #, gcc-internal-format, gfc-internal-format
@@ -42404,9 +42451,9 @@
 msgstr "Argumentet ”%s” till pure-funktion ”%s” vid %L måste vara INTENT(IN) eller VALUE"
 
 #: fortran/resolve.c:398
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Argument '%s' of pure subroutine '%s' at %L with VALUE attribute but without INTENT"
-msgstr "Fortran 2008: Argument ”%s” till pure-subrutin ”%s” vid %L med attributet VALUE men utan INTENT"
+msgstr "Argument ”%s” till pure-subrutin ”%s” vid %L med attributet VALUE men utan INTENT"
 
 #: fortran/resolve.c:403
 #, gcc-internal-format, gfc-internal-format
@@ -42439,9 +42486,9 @@
 msgstr "Attrapprocedur ”%s” är inte tillåten i elementär procedur ”%s” vid %L"
 
 #: fortran/resolve.c:481
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Argument '%s' of elemental procedure '%s' at %L must have its INTENT specified or have the VALUE attribute"
-msgstr "Argumentet ”%s” till pure-subrutin ”%s” vid %L måste ha sitt INTENT angivet eller ha attributet VALUE"
+msgstr "Argumentet ”%s” till elementär subrutin ”%s” vid %L måste ha sitt INTENT angivet eller ha attributet VALUE"
 
 #: fortran/resolve.c:494
 #, gcc-internal-format, gfc-internal-format
@@ -42474,9 +42521,9 @@
 msgstr "Funktion %s vid %L har ingångar med vektorspecifikationer som ej stämmer överens"
 
 #: fortran/resolve.c:781
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Function %s at %L with entries returning variables of different string lengths"
-msgstr "Utökning: Funktion ”%s” vid %L med ingångar som returnerar variabler av olika stränglängder"
+msgstr "Funktionen ”%s” vid %L med ingångar som returnerar variabler av olika stränglängder"
 
 #: fortran/resolve.c:808
 #, gcc-internal-format, gfc-internal-format
@@ -42554,14 +42601,14 @@
 msgstr "COMMON-block ”%s” vid %L är också en inbyggd procedur"
 
 #: fortran/resolve.c:978
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "COMMON block '%s' at %L that is also a function result"
-msgstr "Fortran 2003: COMMON-block ”%s” vid %L som också är ett funktionsresultat"
+msgstr "COMMON-block ”%s” vid %L som också är ett funktionsresultat"
 
 #: fortran/resolve.c:983
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "COMMON block '%s' at %L that is also a global procedure"
-msgstr "Fortran 2003: COMMON-block ”%s” vid %L som också är en global procedur"
+msgstr "COMMON-block ”%s” vid %L som också är en global procedur"
 
 #: fortran/resolve.c:1047
 #, gcc-internal-format, gfc-internal-format
@@ -42659,9 +42706,9 @@
 msgstr "Inbyggd ”%s” vid %L får inte vara ett aktuellt argument"
 
 #: fortran/resolve.c:1742
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Internal procedure '%s' is used as actual argument at %L"
-msgstr "Fortran 2008: Den interna proceduren ”%s” används som aktuellt argument vid %L"
+msgstr "Den interna proceduren ”%s” används som aktuellt argument vid %L"
 
 #: fortran/resolve.c:1750
 #, gcc-internal-format, gfc-internal-format
@@ -42731,12 +42778,12 @@
 #: fortran/resolve.c:2266
 #, gcc-internal-format, gfc-internal-format
 msgid "Procedure '%s' at %L with assumed-shape dummy argument '%s' must have an explicit interface"
-msgstr "Proceduren ”%s” vid %L med attrappargument ”%s” med förmodad form måsta ha ett explicit gränssnitt"
+msgstr "Proceduren ”%s” vid %L med attrappargument ”%s” med antagen form måsta ha ett explicit gränssnitt"
 
 #: fortran/resolve.c:2275
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Procedure '%s' at %L with assumed-rank dummy argument '%s' must have an explicit interface"
-msgstr "Proceduren ”%s” vid %L med attrappargument ”%s” med förmodad form måsta ha ett explicit gränssnitt"
+msgstr "Proceduren ”%s” vid %L med attrappargument ”%s” med antagen ordning måste ha ett explicit gränssnitt"
 
 #: fortran/resolve.c:2283
 #, gcc-internal-format, gfc-internal-format
@@ -42754,9 +42801,9 @@
 msgstr "Proceduren ”%s” vid %L med polymorft attrappargument ”%s” måste ha ett explicit gränssnitt"
 
 #: fortran/resolve.c:2309
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Procedure '%s' at %L with assumed-type dummy argument '%s' must have an explicit interface"
-msgstr "Proceduren ”%s” vid %L med attrappargument ”%s” med förmodad form måsta ha ett explicit gränssnitt"
+msgstr "Proceduren ”%s” vid %L med attrappargument ”%s” med antagen typ måste ha ett explicit gränssnitt"
 
 #: fortran/resolve.c:2321
 #, gcc-internal-format, gfc-internal-format
@@ -42803,7 +42850,7 @@
 msgid "Unable to resolve the specific function '%s' at %L"
 msgstr "Kan inte slå upp den specifika funktionen ”%s” vid %L"
 
-#: fortran/resolve.c:2630 fortran/resolve.c:14732
+#: fortran/resolve.c:2630 fortran/resolve.c:14734
 #, gcc-internal-format, gfc-internal-format
 msgid "Function '%s' at %L has no IMPLICIT type"
 msgstr "Funktionen ”%s” vid %L har ingen IMPLICIT-typ"
@@ -42846,7 +42893,7 @@
 #: fortran/resolve.c:2965
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed-shape array '%s' at %L cannot be an argument to the procedure '%s' because it is not C interoperable"
-msgstr "Vektor ”%s” med förmodad form vid %L får inte vara ett argument till proceduren ”%s” eftersom den inte är C-interoperativ"
+msgstr "Vektor ”%s” med antagen form vid %L får inte vara ett argument till proceduren ”%s” eftersom den inte är C-interoperativ"
 
 #: fortran/resolve.c:2975
 #, gcc-internal-format, gfc-internal-format
@@ -42878,14 +42925,14 @@
 #. TODO: Update this error message to allow for procedure
 #. pointers once they are implemented.
 #: fortran/resolve.c:3056
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Argument '%s' to '%s' at %L must be a procedure"
-msgstr "Parameter ”%s” till ”%s” vid %L måste vara en procedur"
+msgstr "Argumentet ”%s” till ”%s” vid %L måste vara en procedur"
 
 #: fortran/resolve.c:3063
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Noninteroperable argument '%s' to '%s' at %L"
-msgstr "Aktuellt argument ”%s” saknas i anrop till ”%s” vid %L"
+msgstr "Ej interoperabelt argument ”%s” till ”%s” vid %L"
 
 #: fortran/resolve.c:3111
 #, gcc-internal-format, gfc-internal-format
@@ -42964,19 +43011,19 @@
 msgstr "Argumentet CPTR till C_F_POINTER vid %L skall ha typen C_PTR"
 
 #: fortran/resolve.c:3554
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Argument FPTR to C_F_POINTER at %L must not be polymorphic"
-msgstr "Aktuellt argument till ”%s” vid %L måste vara polymorft"
+msgstr "Argumentet FPTR till C_F_POINTER vid %L får inte vara polymorft"
 
 #: fortran/resolve.c:3568
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Missing SHAPE argument for call to %s at %L"
-msgstr "SHAPE-parameter saknas i anrop till %s vid %L"
+msgstr "SHAPE-argument saknas i anrop till %s vid %L"
 
 #: fortran/resolve.c:3575
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "SHAPE argument for call to %s at %L must be a rank 1 INTEGER array"
-msgstr "SHAPE-parameter för anrop till %s vid %L måste vara en INTEGER-VEKTOR av ordning 1"
+msgstr "SHAPE-argument för anrop till %s vid %L måste vara en INTEGER-vektor av ordning 1"
 
 #: fortran/resolve.c:3588
 #, gcc-internal-format, gfc-internal-format
@@ -43094,9 +43141,9 @@
 msgstr "Vektorindex vid %L måste ha INTEGER-typ, fann %s"
 
 #: fortran/resolve.c:4608
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "REAL array index at %L"
-msgstr "Utökning: REAL-vektorindex vid %L"
+msgstr "REAL-vektorindex vid %L"
 
 #: fortran/resolve.c:4647
 #, gcc-internal-format, gfc-internal-format
@@ -43164,9 +43211,9 @@
 msgstr "Två eller flera delreferenser med ordning skild från noll får inte anges vid %L"
 
 #: fortran/resolve.c:5234
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-type variable %s at %L may only be used as actual argument"
-msgstr "Vektor med underförstådd form vid %L måste vara ett attrappargument"
+msgstr "Variabeln %s med antagen typ vid %L får bara användas som ett aktuellt argument"
 
 #. FIXME: It doesn't work reliably as inquiry_argument is not set
 #. for all inquiry functions in resolve_function; the reason is
@@ -43178,9 +43225,9 @@
 msgstr "Variabel med antagen typ %s vid %L som aktuellt argument till en frågefunktion skall vara det första argumentet"
 
 #: fortran/resolve.c:5260
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-rank variable %s at %L may only be used as actual argument"
-msgstr "Vektor med underförstådd form vid %L måste vara ett attrappargument"
+msgstr "Variabeln %s med antagen ordning vid %L kan bara användas som ett aktuellt argument"
 
 #. FIXME: It doesn't work reliably as inquiry_argument is not set
 #. for all inquiry functions in resolve_function; the reason is
@@ -43192,14 +43239,14 @@
 msgstr "Variabel med antagen ordning %s vid %L som aktuellt argument till en frågefunktion skall vara det första argumentet"
 
 #: fortran/resolve.c:5282
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-type variable %s at %L shall not have a subobject reference"
-msgstr "Co-vektorvariabeln ”%s” vid %L skall inte ha co-dimensioner med fördröjd form"
+msgstr "Variabeln %s med antagen typ vid %L skall inte ha en subobjektreferens"
 
 #: fortran/resolve.c:5297
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-rank variable %s at %L shall not have a subobject reference"
-msgstr "Co-vektorvariabeln ”%s” vid %L skall inte ha co-dimensioner med fördröjd form"
+msgstr "Variabeln %s med antagen ordning vid %L skall inte ha en subobjektreferens"
 
 #: fortran/resolve.c:5384
 #, gcc-internal-format, gfc-internal-format
@@ -43263,9 +43310,9 @@
 msgstr "%s vid %L måste vara en skalär"
 
 #: fortran/resolve.c:6650
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "%s at %L must be integer"
-msgstr "”%s” vid %L måste vara ickenegativt"
+msgstr "%s vid %L måste vara ett heltal"
 
 #: fortran/resolve.c:6654 fortran/resolve.c:6661
 #, gcc-internal-format, gfc-internal-format
@@ -43457,9 +43504,9 @@
 msgstr "Argument till SELECT-sats vid %L kan inte vara %s"
 
 #: fortran/resolve.c:7977
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Argument of SELECT statement at %L must be a scalar expression"
-msgstr "Argument till SELECT-sats vid %L kan inte vara %s"
+msgstr "Argumentet till SELECT-satsen vid %L måste vara ett skalärt uttryck"
 
 #: fortran/resolve.c:7995 fortran/resolve.c:8003
 #, gcc-internal-format, gfc-internal-format
@@ -43507,9 +43554,9 @@
 msgstr "Selektorer skall vara polymorfiska i SELECT TYPE-sats vid %L"
 
 #: fortran/resolve.c:8371 fortran/resolve.c:8383
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Selector at %L must not be coindexed"
-msgstr "Associationsmålet vid %C får inte vara co-indexerat"
+msgstr "Selektorn vid %L får inte vara co-indexerad"
 
 #: fortran/resolve.c:8399
 #, gcc-internal-format, gfc-internal-format
@@ -43522,14 +43569,14 @@
 msgstr "Härledd typ ”%s” vid %L måste vara en utökning av ”%s”"
 
 #: fortran/resolve.c:8414
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Unexpected intrinsic type '%s' at %L"
-msgstr "Oväntad inbyggd NULL() vid %L till attrapp ”%s”"
+msgstr "Oväntad inbyggd typ ”%s” vid %L"
 
 #: fortran/resolve.c:8423
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "The type-spec at %L shall specify that each length type parameter is assumed"
-msgstr "Typspecifikation vid %L kan inte innehålla ha en fördröjd typparameter"
+msgstr "Typspecifikationen vid %L skall ange att varje längtypparameter är antagen"
 
 #: fortran/resolve.c:8618
 #, gcc-internal-format, gfc-internal-format
@@ -43570,7 +43617,7 @@
 #: fortran/resolve.c:8782
 #, gcc-internal-format, gfc-internal-format
 msgid "Data transfer element at %L cannot be a full reference to an assumed-size array"
-msgstr "Dataöverföringselement vid %L får inte vara en full referens till en vektor med förmodad storlek"
+msgstr "Dataöverföringselement vid %L får inte vara en full referens till en vektor med antagen storlek"
 
 #: fortran/resolve.c:8832
 #, gcc-internal-format, gfc-internal-format
@@ -43786,9 +43833,9 @@
 msgstr "Stränglängden vid %L är för stor"
 
 #: fortran/resolve.c:11084
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Allocatable array '%s' at %L must have a deferred shape or assumed rank"
-msgstr "Allokerbar vektor ”%s” vid %L måste ha en fördröjd form"
+msgstr "Den allokerbara vektorn ”%s” vid %L måste ha en fördröjd form eller antagen ordning"
 
 #: fortran/resolve.c:11088
 #, gcc-internal-format, gfc-internal-format
@@ -43796,9 +43843,9 @@
 msgstr "Skalärt objekt ”%s” vid %L får inte vara ALLOCATABLE"
 
 #: fortran/resolve.c:11096
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Array pointer '%s' at %L must have a deferred shape or assumed rank"
-msgstr "Vektorpekare ”%s” vid %L måste ha en fördröjd form"
+msgstr "Vektorpekaren ”%s” vid %L måste ha en fördröjd form eller antagen ordning"
 
 #: fortran/resolve.c:11106
 #, gcc-internal-format, gfc-internal-format
@@ -43821,9 +43868,9 @@
 msgstr "Typen ”%s” kan inte vara värdassocierad vid %L för att den blockeras av ett inkompatibelt objekt med samma namn deklarerat vid %L"
 
 #: fortran/resolve.c:11186
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Implied SAVE for module variable '%s' at %L, needed due to the default initialization"
-msgstr "Fortran 2008: Implicerad SAVE för modulvariabel ”%s” vid %L, behövs på grund av standardinitieringar"
+msgstr "Implicerad SAVE för modulvariabeln ”%s” vid %L, behövs på grund av standardinitieringar"
 
 #. The shape of a main program or module array needs to be
 #. constant.
@@ -43888,14 +43935,14 @@
 msgstr "Teckenvärd satsfunktion ”%s” vid %L måste ha konstant längd"
 
 #: fortran/resolve.c:11415
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "'%s' is of a PRIVATE type and cannot be a dummy argument of '%s', which is PUBLIC at %L"
-msgstr "Fortran 2003: ”%s” är av en PRIVATE-typ och kan inte vara ett attrappargument till ”%s”, som är PUBLIC vid %L"
+msgstr "”%s” är av en PRIVATE-typ och kan inte vara ett attrappargument till ”%s”, som är PUBLIC vid %L"
 
 #: fortran/resolve.c:11437 fortran/resolve.c:11461
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Procedure '%s' in PUBLIC interface '%s' at %L takes dummy arguments of '%s' which is PRIVATE"
-msgstr "Fortran 2003: Procedur ”%s” i PUBLIC-gränssnitt ”%s” vid %L tar attrappargument för ”%s” som är PRIVATE"
+msgstr "Proceduren ”%s” i PUBLIC-gränssnittet ”%s” vid %L tar attrappargument för ”%s” som är PRIVATE"
 
 #: fortran/resolve.c:11479
 #, gcc-internal-format, gfc-internal-format
@@ -43938,9 +43985,9 @@
 msgstr "CHARACTER(*)-funktion ”%s” vid %L kan inte vara rekursiv"
 
 #: fortran/resolve.c:11550
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "CHARACTER(*) function '%s' at %L"
-msgstr "CHARACTER(*)-funktion ”%s” vid %L kan inte vara pure"
+msgstr "CHARACTER(*)-funktionen ”%s” vid %L"
 
 #: fortran/resolve.c:11604
 #, gcc-internal-format, gfc-internal-format
@@ -44005,7 +44052,7 @@
 #: fortran/resolve.c:11731
 #, gcc-internal-format, gfc-internal-format
 msgid "Non-scalar FINAL procedure at %L should have assumed shape argument"
-msgstr "Ickeskalär FINAL-procedur vid %L skulle ha argument med förmodad form"
+msgstr "Ickeskalär FINAL-procedur vid %L skulle ha argument med antagen form"
 
 #: fortran/resolve.c:11753
 #, gcc-internal-format, gfc-internal-format
@@ -44189,9 +44236,9 @@
 msgstr "Teckenkomponent ”%s” av ”%s” vid %L med fördröjd längd måste vara en POINTER eller ALLOCATABLE"
 
 #: fortran/resolve.c:12808
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "the component '%s' is a PRIVATE type and cannot be a component of '%s', which is PUBLIC at %L"
-msgstr "Fortran 2003: komponenten ”%s” är en PRIVATE-typ och kan inte vara en komponent i ”%s”, som är PUBLIC vid %L"
+msgstr "komponenten ”%s” är en PRIVATE-typ och kan inte vara en komponent i ”%s”, som är PUBLIC vid %L"
 
 #: fortran/resolve.c:12816
 #, gcc-internal-format, gfc-internal-format
@@ -44213,417 +44260,417 @@
 msgid "Component '%s' with CLASS at %L must be allocatable or pointer"
 msgstr "Procedur ”%s” med CLASS vid %L måste vara allokerbar eller en pekare"
 
-#: fortran/resolve.c:12934
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:12936
+#, gcc-internal-format, gfc-internal-format
 msgid "Generic name '%s' of function '%s' at %L being the same name as derived type at %L"
-msgstr "Fortran 2003: Generiskt namn ”%s” på funktionen ”%s” vid %L är samma namn som den härledda typen vid %L"
+msgstr "Det generiska namnet ”%s” på funktionen ”%s” vid %L är samma namn som den härledda typen vid %L"
 
-#: fortran/resolve.c:12990
+#: fortran/resolve.c:12992
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed size array '%s' in namelist '%s' at %L is not allowed"
-msgstr "Vektor ”%s” med underförstådd storlek i namnlistan ”%s” vid %L är inte tillåtet"
+msgstr "Vektor ”%s” med antagen storlek i namnlistan ”%s” vid %L är inte tillåtet"
 
-#: fortran/resolve.c:12996
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:12998
+#, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST array object '%s' with assumed shape in namelist '%s' at %L"
-msgstr "Fortran 2003: NAMELIST-vektorobjekt ”%s” med förmodad form i namnlistan ”%s” vid %L"
+msgstr "NAMELIST-vektorobjektet ”%s” med antagen form i namnlistan ”%s” vid %L"
 
-#: fortran/resolve.c:13003
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13005
+#, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST array object '%s' with nonconstant shape in namelist '%s' at %L"
-msgstr "Fortran 2003: NAMELIST-vektorobjekt ”%s” med icke-konstant form in namnlista ”%s” vid %L"
+msgstr "NAMELIST-vektorobjektet ”%s” med icke-konstant form in namnlistan ”%s” vid %L"
 
-#: fortran/resolve.c:13012
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13014
+#, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST object '%s' with nonconstant character length in namelist '%s' at %L"
-msgstr "Fortran 2003: NAMELIST-vektorobjekt ”%s” med icke-konstant form i namnlistan ”%s” vid %L"
+msgstr "NAMELIST-vektorobjektet ”%s” med icke-konstant längd i namnlistanan ”%s” vid %L"
 
-#: fortran/resolve.c:13022
+#: fortran/resolve.c:13024
 #, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST object '%s' in namelist '%s' at %L is polymorphic and requires a defined input/output procedure"
 msgstr "NAMELIST-objekt ”%s” i namnlistan ”%s” vid %L är polymorf om och behöver en en definierad input/output-procedur"
 
-#: fortran/resolve.c:13032
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13034
+#, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST object '%s' in namelist '%s' at %L with ALLOCATABLE or POINTER components"
-msgstr "Fortran 2003: NAMELIST-objekt ”%s” i namnlistan ”%s” vid %L med ALLOCATABLE- eller POINTER-komponenter"
+msgstr "NAMELIST-objektet ”%s” i namnlistan ”%s” vid %L med ALLOCATABLE- eller POINTER-komponenter"
 
 #. FIXME: Once UDDTIO is implemented, the following can be
 #. removed.
-#: fortran/resolve.c:13040
+#: fortran/resolve.c:13042
 #, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST object '%s' in namelist '%s' at %L has ALLOCATABLE or POINTER components and thus requires a defined input/output procedure"
 msgstr "NAMELIST-objekt ”%s” i namnlistan ”%s” vid %L har ALLOCATABLE- eller POINTER-komponenter och behöver därför en definierad input/output-procedur"
 
-#: fortran/resolve.c:13057
+#: fortran/resolve.c:13059
 #, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST object '%s' was declared PRIVATE and cannot be member of PUBLIC namelist '%s' at %L"
 msgstr "NAMELIST-objekt ”%s” deklarerades PRIVATE och kan inte vara medlem av PUBLIC-namnlista ”%s” vid %L"
 
-#: fortran/resolve.c:13067
+#: fortran/resolve.c:13069
 #, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST object '%s' has use-associated PRIVATE components and cannot be member of namelist '%s' at %L"
 msgstr "NAMELIST-objekt ”%s” har användningsassociativa PRIVATE-komponenter och kan inte vara medlem av namnlistan ”%s” vid %L"
 
-#: fortran/resolve.c:13078
+#: fortran/resolve.c:13080
 #, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST object '%s' has PRIVATE components and cannot be a member of PUBLIC namelist '%s' at %L"
 msgstr "NAMELIST-objekt ”%s” har PRIVATE-komponenter och kan inte vara medlem av PUBLIC-namnlista ”%s” vid %L"
 
-#: fortran/resolve.c:13105
+#: fortran/resolve.c:13107
 #, gcc-internal-format, gfc-internal-format
 msgid "PROCEDURE attribute conflicts with NAMELIST attribute in '%s' at %L"
 msgstr "PROCEDURE-attribut i konflikt med NAMELIST-attribut i ”%s” vid %L"
 
-#: fortran/resolve.c:13124
+#: fortran/resolve.c:13126
 #, gcc-internal-format, gfc-internal-format
 msgid "Parameter array '%s' at %L cannot be automatic or of deferred shape"
 msgstr "Parametervektor ”%s” vid %L kan inte ha automatisk eller fördröjd form"
 
-#: fortran/resolve.c:13136
+#: fortran/resolve.c:13138
 #, gcc-internal-format, gfc-internal-format
 msgid "Implicitly typed PARAMETER '%s' at %L doesn't match a later IMPLICIT type"
 msgstr "Implicit typad PARAMETER ”%s” vid %L matchar inte en senare IMPLICIT-typ"
 
-#: fortran/resolve.c:13147
+#: fortran/resolve.c:13149
 #, gcc-internal-format, gfc-internal-format
 msgid "Incompatible derived type in PARAMETER at %L"
 msgstr "Inkompatibel härledd typ i PARAMETER vid %L"
 
-#: fortran/resolve.c:13230
+#: fortran/resolve.c:13232
 #, gcc-internal-format, gfc-internal-format
 msgid "PROTECTED attribute conflicts with EXTERNAL attribute at %L"
 msgstr "Attributet PROTECTED står i konflikt med attributet EXTERNAL vid %L"
 
-#: fortran/resolve.c:13233
+#: fortran/resolve.c:13235
 #, gcc-internal-format, gfc-internal-format
 msgid "PROCEDURE attribute conflicts with PROTECTED attribute at %L"
 msgstr "Attributet PROCEDURE står i konflikt med attributet PROTECTED vid %L"
 
-#: fortran/resolve.c:13322
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13324
+#, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L has the CONTIGUOUS attribute but is not an array pointer or an assumed-shape or assumed-rank array"
-msgstr "”%s” vid %L har attributet CONTIGUOUS, men är inte en vektorpekare eller en vektor med förmodad form"
+msgstr "”%s” vid %L har attributet CONTIGUOUS, men är inte en vektorpekare eller en vektor med antagen form eller antagen ordning"
 
-#: fortran/resolve.c:13340
+#: fortran/resolve.c:13342
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed size array at %L must be a dummy argument"
-msgstr "Vektor med underförstådd storlek vid %L måste vara ett attrappargument"
+msgstr "Vektor med antagen storlek vid %L måste vara ett attrappargument"
 
-#: fortran/resolve.c:13343
+#: fortran/resolve.c:13345
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed shape array at %L must be a dummy argument"
-msgstr "Vektor med underförstådd form vid %L måste vara ett attrappargument"
+msgstr "Vektor med antagen form vid %L måste vara ett attrappargument"
 
-#: fortran/resolve.c:13351
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13353
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-rank array at %L must be a dummy argument"
-msgstr "Vektor med underförstådd form vid %L måste vara ett attrappargument"
+msgstr "Vektor med antagen ordning vid %L måste vara ett attrappargument"
 
-#: fortran/resolve.c:13358
+#: fortran/resolve.c:13360
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed-rank array at %L may not have the VALUE or CODIMENSION attribute"
 msgstr "Vektor med antagen ordning vid %L kan inte ha attributet VALUE eller CODIMENSION"
 
-#: fortran/resolve.c:13371
+#: fortran/resolve.c:13373
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol at %L is not a DUMMY variable"
 msgstr "Symbol vid %L är inte en DUMMY-variabel"
 
-#: fortran/resolve.c:13377
+#: fortran/resolve.c:13379
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L cannot have the VALUE attribute because it is not a dummy argument"
 msgstr "”%s” vid %L kan inte ha attributet VALUE eftersom det inte är ett attrappargument"
 
-#: fortran/resolve.c:13387
+#: fortran/resolve.c:13389
 #, gcc-internal-format, gfc-internal-format
 msgid "Character dummy variable '%s' at %L with VALUE attribute must have constant length"
 msgstr "Teckenvärd attrappvariabel ”%s” vid %L med attributet VALUE måste ha konstant längd"
 
-#: fortran/resolve.c:13396
+#: fortran/resolve.c:13398
 #, gcc-internal-format, gfc-internal-format
 msgid "C interoperable character dummy variable '%s' at %L with VALUE attribute must have length one"
 msgstr "C-interoperativ teckenattrappvariabel ”%s” vid %L med attributet VALUE måste ha längd ett"
 
-#: fortran/resolve.c:13409 fortran/resolve.c:13522
+#: fortran/resolve.c:13411 fortran/resolve.c:13524
 #, gcc-internal-format, gfc-internal-format
 msgid "The derived type '%s' at %L is of type '%s', which has not been defined"
 msgstr "Den härledda typen ”%s” vid %L har typen ”%s”, som inte har definierats"
 
-#: fortran/resolve.c:13422
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13424
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed type of variable %s at %L is only permitted for dummy variables"
-msgstr "Vektor ”%s” med förmodad form vid %L är inte tillåten i ett initieringsuttryck"
+msgstr "Den antagna typen på variabeln %s vid %L är bara tillåten för attrappvariabler"
 
-#: fortran/resolve.c:13429
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13431
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-type variable %s at %L may not have the ALLOCATABLE, CODIMENSION, POINTER or VALUE attribute"
-msgstr "Variabeln ”%s” vid %L får inte ha både attributet ALLOCATABLE och BIND(C)"
+msgstr "Variabeln ”%s” med antagen typ vid %L får inte ha attributet ALLOCATABLE, CODIMENSION, POINTER eller VALUE"
 
-#: fortran/resolve.c:13436
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13438
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-type variable %s at %L may not have the INTENT(OUT) attribute"
-msgstr "Variabeln ”%s” vid %L får inte ha både attributet POINTER och BIND(C)"
+msgstr "Variabeln ”%s” med antagen typ vid %L får inte ha attributet INTENT(OUT)"
 
-#: fortran/resolve.c:13443
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13445
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-type variable %s at %L shall not be an explicit-shape array"
-msgstr "Slingvariabel vid %C får inte vara en co-vektor"
+msgstr "Variabeln %s med antagen typ vid %L får inte vara en vektor med explicit form"
 
-#: fortran/resolve.c:13468
+#: fortran/resolve.c:13470
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L cannot be BIND(C) because it is neither a COMMON block nor declared at the module level scope"
 msgstr "Variabel ”%s” vid %L kan inte vara BIND(C) eftersom den varken är ett COMMON-block eller deklarerad med räckvidd modulnivå"
 
-#: fortran/resolve.c:13548
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13550
+#, gcc-internal-format, gfc-internal-format
 msgid "PUBLIC %s '%s' at %L of PRIVATE derived type '%s'"
-msgstr "Fortran 2003: PUBLIC %s ”%s” vid %L har PRIVATE härledd typ ”%s”"
+msgstr "PUBLIC %s ”%s” vid %L har PRIVATE härledd typ ”%s”"
 
-#: fortran/resolve.c:13562
+#: fortran/resolve.c:13564
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable %s at %L of type LOCK_TYPE or with subcomponent of type LOCK_TYPE must be a coarray"
 msgstr "Variabeln %s vid %L av typen LOCK_TYPE eller med en delkomponent av typen LOCK_TYPE måste vara en co-vektor"
 
-#: fortran/resolve.c:13580
+#: fortran/resolve.c:13582
 #, gcc-internal-format, gfc-internal-format
 msgid "The INTENT(OUT) dummy argument '%s' at %L is ASSUMED SIZE and so cannot have a default initializer"
 msgstr "INTENT(OUT)-attrappargumentet ”%s” vid %L har ASSUMED SIZE och kan därför inte ha en standardinitierare"
 
-#: fortran/resolve.c:13592
+#: fortran/resolve.c:13594
 #, gcc-internal-format, gfc-internal-format
 msgid "Dummy argument '%s' at %L of LOCK_TYPE shall not be INTENT(OUT)"
 msgstr "Attrappargumentet ”%s” vid %L av LOCK_TYPE får inte vara INTENT(OUT)"
 
-#: fortran/resolve.c:13604
+#: fortran/resolve.c:13606
 #, gcc-internal-format, gfc-internal-format
 msgid "Function result '%s' at %L shall not be a coarray or have a coarray component"
 msgstr "Funktionsresultat ”%s” vid %L skall inte vara en co-vektor eller ha en co-vektorkomponent"
 
-#: fortran/resolve.c:13613
+#: fortran/resolve.c:13615
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L of TYPE(C_PTR) or TYPE(C_FUNPTR) shall not be a coarray"
 msgstr "Variabeln ”%s” vid %L av TYPE(C_PTR) eller TYPE(C_FUNPTR) får inte vara en co-vektor"
 
-#: fortran/resolve.c:13625
+#: fortran/resolve.c:13627
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L with coarray component shall be a nonpointer, nonallocatable scalar"
 msgstr "Variabeln ”%s” vid %L med co-vektorkomponent skall vara en skalär som inte är en pekare eller allokerbar"
 
-#: fortran/resolve.c:13640
+#: fortran/resolve.c:13642
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L is a coarray and is not ALLOCATABLE, SAVE nor a dummy argument"
 msgstr "Variabeln ”%s” vid %L är en co-vektor och är inte ALLOCATABLE, SAVE eller ett attrappargument"
 
-#: fortran/resolve.c:13648
+#: fortran/resolve.c:13650
 #, gcc-internal-format, gfc-internal-format
 msgid "Coarray variable '%s' at %L shall not have codimensions with deferred shape"
 msgstr "Co-vektorvariabeln ”%s” vid %L skall inte ha co-dimensioner med fördröjd form"
 
-#: fortran/resolve.c:13655
+#: fortran/resolve.c:13657
 #, gcc-internal-format, gfc-internal-format
 msgid "Allocatable coarray variable '%s' at %L must have deferred shape"
 msgstr "Allokerbar co-vektorvariabel ”%s” vid %L måste ha en fördröjd form"
 
-#: fortran/resolve.c:13667
+#: fortran/resolve.c:13669
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L is INTENT(OUT) and can thus not be an allocatable coarray or have coarray components"
 msgstr "Variabeln ”%s” vid %L är INTENT(OUT) och kan alltså inte vara en allokerbara co-vektor eller har co-vektorkomponenter"
 
-#: fortran/resolve.c:13676
+#: fortran/resolve.c:13678
 #, gcc-internal-format, gfc-internal-format
 msgid "Coarray dummy variable '%s' at %L not allowed in BIND(C) procedure '%s'"
 msgstr "Co-attrappvariabeln ”%s” vid %L är inte tillåten i BIND(C)-proceduren ”%s”"
 
-#: fortran/resolve.c:13692
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13694
+#, gcc-internal-format, gfc-internal-format
 msgid "LOGICAL dummy argument '%s' at %L with non-C_Bool kind in BIND(C) procedure '%s'"
-msgstr "Co-attrappvariabeln ”%s” vid %L är inte tillåten i BIND(C)-proceduren ”%s”"
+msgstr "LOGICAL-attrappargumentet ”%s” vid %L med icke-C_Bool-sort i BIND(C)-proceduren ”%s”"
 
-#: fortran/resolve.c:13698
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13700
+#, gcc-internal-format, gfc-internal-format
 msgid "LOGICAL result variable '%s' at %L with non-C_Bool kind in BIND(C) procedure '%s'"
-msgstr "Co-attrappvariabeln ”%s” vid %L är inte tillåten i BIND(C)-proceduren ”%s”"
+msgstr "LOGICAL-resultatvariabeln ”%s” vid %L med icke-C_Bool-sort i BIND(C)-proceduren ”%s”"
 
-#: fortran/resolve.c:13778
+#: fortran/resolve.c:13780
 #, gcc-internal-format, gfc-internal-format
 msgid "Threadprivate at %L isn't SAVEd"
 msgstr "Trådprivat vid %L är inte SAVE:ad"
 
-#: fortran/resolve.c:13871
+#: fortran/resolve.c:13873
 #, gcc-internal-format, gfc-internal-format
 msgid "BLOCK DATA element '%s' at %L must be in COMMON"
 msgstr "BLOCK DATA-element ”%s” vid %L måste vara i COMMON"
 
-#: fortran/resolve.c:13877
+#: fortran/resolve.c:13879
 #, gcc-internal-format, gfc-internal-format
 msgid "DATA array '%s' at %L must be specified in a previous declaration"
 msgstr "DATA-vektor ”%s” vid %L måste anges i en tidigare deklaration"
 
-#: fortran/resolve.c:13886
+#: fortran/resolve.c:13888
 #, gcc-internal-format, gfc-internal-format
 msgid "DATA element '%s' at %L cannot have a coindex"
 msgstr "DATA-elementet ”%s” vid %L kan inte ha ett co-index"
 
-#: fortran/resolve.c:13900
+#: fortran/resolve.c:13902
 #, gcc-internal-format, gfc-internal-format
 msgid "DATA element '%s' at %L is a pointer and so must be a full array"
 msgstr "DATA-element ”%s” vid %L är en pekare och måste då vara en fullständig vektor"
 
-#: fortran/resolve.c:13946
+#: fortran/resolve.c:13948
 #, gcc-internal-format, gfc-internal-format
 msgid "Nonconstant array section at %L in DATA statement"
 msgstr "Ickekonstant vektorsektion vid %L i DATA-sats."
 
-#: fortran/resolve.c:13959
+#: fortran/resolve.c:13961
 #, gcc-internal-format, gfc-internal-format
 msgid "DATA statement at %L has more variables than values"
 msgstr "DATA-sats vid %L har fler variabler än värden"
 
-#: fortran/resolve.c:14058
+#: fortran/resolve.c:14060
 #, gcc-internal-format, gfc-internal-format
 msgid "start of implied-do loop at %L could not be simplified to a constant value"
-msgstr "början av underförstådd do-slinga vid %L kan inte förenklas till ett konstant värde"
+msgstr "början av implicerad do-slinga vid %L kan inte förenklas till ett konstant värde"
 
-#: fortran/resolve.c:14066
+#: fortran/resolve.c:14068
 #, gcc-internal-format, gfc-internal-format
 msgid "end of implied-do loop at %L could not be simplified to a constant value"
-msgstr "slutet av underförstådd do-slinga vid %L kan inte förenklas till ett konstant värde"
+msgstr "slutet av implicerad do-slinga vid %L kan inte förenklas till ett konstant värde"
 
-#: fortran/resolve.c:14074
+#: fortran/resolve.c:14076
 #, gcc-internal-format, gfc-internal-format
 msgid "step of implied-do loop at %L could not be simplified to a constant value"
-msgstr "steget i underförstådd do-slinga vid %L kan inte förenklas till ett konstant värde"
+msgstr "steget i implicerad do-slinga vid %L kan inte förenklas till ett konstant värde"
 
-#: fortran/resolve.c:14199
+#: fortran/resolve.c:14201
 #, gcc-internal-format, gfc-internal-format
 msgid "DATA statement at %L has more values than variables"
 msgstr "DATA-sats vid %L har fler värden än variabler"
 
-#: fortran/resolve.c:14337
+#: fortran/resolve.c:14339
 #, gcc-internal-format, gfc-internal-format
 msgid "Label %d at %L defined but not used"
 msgstr "Etiketten %d vid %L är definierad men inte använd"
 
-#: fortran/resolve.c:14342
+#: fortran/resolve.c:14344
 #, gcc-internal-format, gfc-internal-format
 msgid "Label %d at %L defined but cannot be used"
 msgstr "Etiketten %d vid %L är definierad men kan inte användas"
 
-#: fortran/resolve.c:14426
+#: fortran/resolve.c:14428
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type variable '%s' at %L must have SEQUENCE attribute to be an EQUIVALENCE object"
 msgstr "Härledd typvariabel ”%s” vid %L måste ha attributet SEQUENCE för att vara ett EQUIVALENCE-objekt"
 
-#: fortran/resolve.c:14435
+#: fortran/resolve.c:14437
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type variable '%s' at %L cannot have ALLOCATABLE components to be an EQUIVALENCE object"
 msgstr "Härledd typvariabel ”%s” vid %L kan inte ha ALLOCATABLE-komponenter för att vara ett EQUIVALENCE-objekt"
 
-#: fortran/resolve.c:14443
+#: fortran/resolve.c:14445
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type variable '%s' at %L with default initialization cannot be in EQUIVALENCE with a variable in COMMON"
 msgstr "Härledd typvariabel ”%s” vid %L med standardinitiering kan inte vara i EQUIVALENCE med en variabel i COMMON"
 
-#: fortran/resolve.c:14459
+#: fortran/resolve.c:14461
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type variable '%s' at %L with pointer component(s) cannot be an EQUIVALENCE object"
 msgstr "Härledd typvariabel ”%s” vid %L med pekarkomponent(er) kan inte vara ett EQUIVALENCE-objekt"
 
-#: fortran/resolve.c:14562
+#: fortran/resolve.c:14564
 #, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in EQUIVALENCE statement at %L"
 msgstr "Syntaxfel i EQUIVALENCE-sats vid %L"
 
-#: fortran/resolve.c:14577
+#: fortran/resolve.c:14579
 #, gcc-internal-format, gfc-internal-format
 msgid "Either all or none of the objects in the EQUIVALENCE set at %L shall have the PROTECTED attribute"
 msgstr "Antingen alla eller inget av objekten i EQUIVALENCE-mängden vid %L kan ha attributet PROTECTED"
 
-#: fortran/resolve.c:14589
+#: fortran/resolve.c:14591
 #, gcc-internal-format, gfc-internal-format
 msgid "Common block member '%s' at %L cannot be an EQUIVALENCE object in the pure procedure '%s'"
 msgstr "Common-blockmedlem ”%s” vid %L kan inte vara ett EQUIVALENCE-objekt i den rena proceduren ”%s”"
 
-#: fortran/resolve.c:14598
+#: fortran/resolve.c:14600
 #, gcc-internal-format, gfc-internal-format
 msgid "Named constant '%s' at %L cannot be an EQUIVALENCE object"
 msgstr "Namngiven konstant ”%s” vid %L kan inte vara ett EQUIVALENCE-objekt"
 
-#: fortran/resolve.c:14677
+#: fortran/resolve.c:14679
 #, gcc-internal-format, gfc-internal-format
 msgid "Array '%s' at %L with non-constant bounds cannot be an EQUIVALENCE object"
 msgstr "Vektor ”%s” vid %L med icke-konstanta gränser kan inte vara ett EQUIVALENCE-objekt"
 
-#: fortran/resolve.c:14688
+#: fortran/resolve.c:14690
 #, gcc-internal-format, gfc-internal-format
 msgid "Structure component '%s' at %L cannot be an EQUIVALENCE object"
 msgstr "Postkomponent ”%s” vid %L kan inte vara ett EQUIVALENCE-objekt"
 
-#: fortran/resolve.c:14699
+#: fortran/resolve.c:14701
 #, gcc-internal-format, gfc-internal-format
 msgid "Substring at %L has length zero"
 msgstr "Delsträng vid %L har längden noll"
 
-#: fortran/resolve.c:14742
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:14744
+#, gcc-internal-format, gfc-internal-format
 msgid "PUBLIC function '%s' at %L of PRIVATE type '%s'"
-msgstr "Fortran 2003: PUBLIC-funktion ”%s” vid %L har PRIVATE typ ”%s”"
+msgstr "PUBLIC-funktionen ”%s” vid %L har PRIVATE typ ”%s”"
 
-#: fortran/resolve.c:14755
+#: fortran/resolve.c:14757
 #, gcc-internal-format, gfc-internal-format
 msgid "ENTRY '%s' at %L has no IMPLICIT type"
 msgstr "ENTRY ”%s” vid %L har ingen IMPLICIT-typ"
 
-#: fortran/resolve.c:14772
+#: fortran/resolve.c:14774
 #, gcc-internal-format, gfc-internal-format
 msgid "User operator procedure '%s' at %L must be a FUNCTION"
 msgstr "Användaroperatorprocedur ”%s” vid %L måste vara en FUNCTION"
 
-#: fortran/resolve.c:14782
+#: fortran/resolve.c:14784
 #, gcc-internal-format, gfc-internal-format
 msgid "User operator procedure '%s' at %L cannot be assumed character length"
 msgstr "Användaroperatorprocedur ”%s” vid %L får inte ha antagen teckenlängd"
 
-#: fortran/resolve.c:14790
+#: fortran/resolve.c:14792
 #, gcc-internal-format, gfc-internal-format
 msgid "User operator procedure '%s' at %L must have at least one argument"
 msgstr "Användaroperatorprocedur ”%s” vid %L måste ha åtminstone ett argument"
 
-#: fortran/resolve.c:14804
+#: fortran/resolve.c:14806
 #, gcc-internal-format, gfc-internal-format
 msgid "First argument of operator interface at %L cannot be optional"
 msgstr "Första argumentet till operatorgränssnitt vid %L får inte vara frivilligt"
 
-#: fortran/resolve.c:14822
+#: fortran/resolve.c:14824
 #, gcc-internal-format, gfc-internal-format
 msgid "Second argument of operator interface at %L cannot be optional"
 msgstr "Andra argumentet till operatorgränssnitt vid %L får inte vara valfritt"
 
-#: fortran/resolve.c:14829
+#: fortran/resolve.c:14831
 #, gcc-internal-format, gfc-internal-format
 msgid "Operator interface at %L must have, at most, two arguments"
 msgstr "Operatorgränssnitt vid %L måste ha, högst, två argument"
 
-#: fortran/resolve.c:14905
+#: fortran/resolve.c:14907
 #, gcc-internal-format, gfc-internal-format
 msgid "Contained procedure '%s' at %L of a PURE procedure must also be PURE"
 msgstr "Innesluten procedur ”%s” vid %L i en PURE-procedur måste också vara PURE"
 
 #: fortran/scanner.c:335
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Include directory \"%s\": %s"
-msgstr "ignorerar dubblerad katalog ”%s”\n"
+msgstr "Inkluderingskatalog ”%s”: %s"
 
 #: fortran/scanner.c:341
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Nonexistent include directory \"%s\""
-msgstr "ignorerar ej existerande katalog ”%s”\n"
+msgstr "Inkluderingskatalogen ”%s” finns inte"
 
 #: fortran/scanner.c:347
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "\"%s\" is not a directory"
-msgstr "%qD är inte en typ"
+msgstr "”%s” är inte en katalog"
 
 #: fortran/scanner.c:806
 #, gcc-internal-format, gfc-internal-format
@@ -44866,339 +44913,339 @@
 msgid "Character '%s' in string at %L cannot be converted into character kind %d"
 msgstr "Tecknet ”%s” i sträng vid %L kan inte konverteras till tecken av sort %d"
 
-#: fortran/symbol.c:134
+#: fortran/symbol.c:123
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate IMPLICIT NONE statement at %C"
 msgstr "Dubblerad IMPLICIT NONE-sats vid %C"
 
-#: fortran/symbol.c:174
+#: fortran/symbol.c:163
 #, gcc-internal-format, gfc-internal-format
 msgid "Letter '%c' already set in IMPLICIT statement at %C"
 msgstr "Tecknet ”%c” redan satt i IMPLICIT-sats vid %C"
 
-#: fortran/symbol.c:196
+#: fortran/symbol.c:185
 #, gcc-internal-format, gfc-internal-format
 msgid "Cannot specify IMPLICIT at %C after IMPLICIT NONE"
 msgstr "Det går inte att ange IMPLICIT vid %C efter IMPLICIT NONE"
 
-#: fortran/symbol.c:206
+#: fortran/symbol.c:195
 #, gcc-internal-format, gfc-internal-format
 msgid "Letter %c already has an IMPLICIT type at %C"
 msgstr "Tecknet %c har redan en IMPLICIT-typ vid %C"
 
-#: fortran/symbol.c:262
+#: fortran/symbol.c:251
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %L has no IMPLICIT type"
 msgstr "Symbolen  ”%s” vid %L har ingen IMPLICIT-typ"
 
 #. BIND(C) variables should not be implicitly declared.
-#: fortran/symbol.c:279
+#: fortran/symbol.c:268
 #, gcc-internal-format, gfc-internal-format
 msgid "Implicitly declared BIND(C) variable '%s' at %L may not be C interoperable"
 msgstr "Implicit deklarerad BIND(C)-variabel ”%s” vid %L får inte vara C-interoperativ"
 
 #. Dummy args to a BIND(C) routine may not be interoperable if
 #. they are implicitly typed.
-#: fortran/symbol.c:294
+#: fortran/symbol.c:283
 #, gcc-internal-format, gfc-internal-format
 msgid "Implicitly declared variable '%s' at %L may not be C interoperable but it is a dummy argument to the BIND(C) procedure '%s' at %L"
 msgstr "Implicit deklarerad variabel ”%s” vid %L får inte vara C-interoperativ men det är ett attrappargument till BIND(C)-proceduren ”%s” vid %L"
 
-#: fortran/symbol.c:335
+#: fortran/symbol.c:324
 #, gcc-internal-format, gfc-internal-format
 msgid "Function result '%s' at %L has no IMPLICIT type"
 msgstr "Funktionsresultat ”%s” vid %L har ingen IMPLICIT-typ"
 
-#: fortran/symbol.c:424
+#: fortran/symbol.c:413
 #, gcc-internal-format, gfc-internal-format
 msgid "%s attribute not allowed in BLOCK DATA program unit at %L"
 msgstr "%s-attribut är inte tillåtet i programenheten BLOCK DATA vid %L"
 
-#: fortran/symbol.c:448
+#: fortran/symbol.c:437
 #, gcc-internal-format, gfc-internal-format
 msgid "Namelist group name at %L cannot have the SAVE attribute"
 msgstr "Namnlistegruppnamnet vid %L kan inte ha attributet SAVE"
 
-#: fortran/symbol.c:482
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:471
+#, gcc-internal-format, gfc-internal-format
 msgid "Procedure pointer at %C"
-msgstr "Fortran 2003:  Procedurpekare vid %C"
+msgstr "Procedurpekare vid %C"
 
-#: fortran/symbol.c:644
+#: fortran/symbol.c:633
 #, gcc-internal-format, gfc-internal-format
 msgid "%s attribute applied to %s %s at %L"
 msgstr "%s-attribut applicerat på %s %s vid %L"
 
-#: fortran/symbol.c:651
+#: fortran/symbol.c:640
 #, gcc-internal-format, gfc-internal-format
 msgid "BIND(C) applied to %s %s at %L"
 msgstr "BIND(C) applicerat på %s %s vid %L"
 
-#: fortran/symbol.c:762 fortran/symbol.c:1485
+#: fortran/symbol.c:751 fortran/symbol.c:1474
 #, gcc-internal-format, gfc-internal-format
 msgid "%s attribute conflicts with %s attribute at %L"
 msgstr "%s-attribut i konflikt med %s-attribut vid %L"
 
-#: fortran/symbol.c:765
+#: fortran/symbol.c:754
 #, gcc-internal-format, gfc-internal-format
 msgid "%s attribute conflicts with %s attribute in '%s' at %L"
 msgstr "%s-attribut i konflikt med %s-attribut i ”%s” vid %L"
 
-#: fortran/symbol.c:773
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:762
+#, gcc-internal-format, gfc-internal-format
 msgid "%s attribute with %s attribute at %L"
-msgstr "%s-attribut i konflikt med %s-attribut vid %L"
+msgstr "%s-attribut med %s-attribut vid %L"
 
-#: fortran/symbol.c:779
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:768
+#, gcc-internal-format, gfc-internal-format
 msgid "%s attribute with %s attribute in '%s' at %L"
-msgstr "%s-attribut i konflikt med %s-attribut i ”%s” vid %L"
+msgstr "%s-attribut med %s-attribut i ”%s” vid %L"
 
-#: fortran/symbol.c:823
+#: fortran/symbol.c:812
 #, gcc-internal-format, gfc-internal-format
 msgid "Cannot change attributes of USE-associated symbol at %L"
 msgstr "Det går inte att ändra attribut på USE-associerad symbol vid %L"
 
-#: fortran/symbol.c:826
+#: fortran/symbol.c:815
 #, gcc-internal-format, gfc-internal-format
 msgid "Cannot change attributes of USE-associated symbol %s at %L"
 msgstr "Det går inte att ändra attribut på USE-associerad symbol %s vid %L"
 
-#: fortran/symbol.c:842
+#: fortran/symbol.c:831
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate %s attribute specified at %L"
 msgstr "Dubblerat %s-attribut angivna vid %L"
 
-#: fortran/symbol.c:884
+#: fortran/symbol.c:873
 #, gcc-internal-format, gfc-internal-format
 msgid "ALLOCATABLE specified outside of INTERFACE body at %L"
 msgstr "ALLOCATABLE angiven utanför INTERFACE-kropp vid %L"
 
-#: fortran/symbol.c:910
+#: fortran/symbol.c:899
 #, gcc-internal-format, gfc-internal-format
 msgid "CODIMENSION specified for '%s' outside its INTERFACE body at %L"
 msgstr "CODIMENSION angiven för ”%s” utanför dess INTERFACE-kropp vid %L"
 
-#: fortran/symbol.c:936
+#: fortran/symbol.c:925
 #, gcc-internal-format, gfc-internal-format
 msgid "DIMENSION specified for '%s' outside its INTERFACE body at %L"
 msgstr "DIMENSION angiven för ”%s” utanför dess INTERFACE-kropp vid %L"
 
-#: fortran/symbol.c:1066
+#: fortran/symbol.c:1055
 #, gcc-internal-format, gfc-internal-format
 msgid "Cray Pointee at %L appears in multiple pointer() statements"
 msgstr "Cray-utpekad vid %L förekommer i flera pointer()-satser"
 
-#: fortran/symbol.c:1085
+#: fortran/symbol.c:1074
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate PROTECTED attribute specified at %L"
 msgstr "Dubblerat PROTECTED-attribut angivet vid %L"
 
-#: fortran/symbol.c:1119
+#: fortran/symbol.c:1108
 #, gcc-internal-format, gfc-internal-format
 msgid "SAVE attribute at %L cannot be specified in a PURE procedure"
 msgstr "SAVE-attribut vid %L kan inte anges i en PURE-procedur"
 
-#: fortran/symbol.c:1130
+#: fortran/symbol.c:1119
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate SAVE attribute specified at %L"
 msgstr "Dubblerat SAVE-attribut angivet vid %L"
 
-#: fortran/symbol.c:1151
+#: fortran/symbol.c:1140
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate VALUE attribute specified at %L"
 msgstr "Dubblerat VALUE-attribut angivet vid %L"
 
-#: fortran/symbol.c:1171
+#: fortran/symbol.c:1160
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate VOLATILE attribute specified at %L"
 msgstr "Dubblerat VOLATILE-attribut angivet vid %L"
 
-#: fortran/symbol.c:1190
+#: fortran/symbol.c:1179
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate ASYNCHRONOUS attribute specified at %L"
 msgstr "Dubblerat ASYNCHRONOUS-attribut angivet vid %L"
 
-#: fortran/symbol.c:1481
+#: fortran/symbol.c:1470
 #, gcc-internal-format, gfc-internal-format
 msgid "%s attribute of '%s' conflicts with %s attribute at %L"
 msgstr "%s-attribut på ”%s” i konflikt med %s-attribut vid %L"
 
-#: fortran/symbol.c:1515
+#: fortran/symbol.c:1504
 #, gcc-internal-format, gfc-internal-format
 msgid "%s procedure at %L is already declared as %s procedure"
 msgstr "Proceduren ”%s” vid %L är redan deklarerad som %s-procedur"
 
-#: fortran/symbol.c:1550
+#: fortran/symbol.c:1539
 #, gcc-internal-format, gfc-internal-format
 msgid "INTENT (%s) conflicts with INTENT(%s) at %L"
 msgstr "INTENT (%s) står i konflikt med INTENT(%s) vid %L"
 
-#: fortran/symbol.c:1574
+#: fortran/symbol.c:1563
 #, gcc-internal-format, gfc-internal-format
 msgid "ACCESS specification at %L was already specified"
 msgstr "ACCESS-specifikation vid %L var redan angiven"
 
-#: fortran/symbol.c:1591
+#: fortran/symbol.c:1580
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate BIND attribute specified at %L"
 msgstr "Dubblerat BIND-attribut angivna vid %L"
 
-#: fortran/symbol.c:1598
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:1587
+#, gcc-internal-format, gfc-internal-format
 msgid "BIND(C) at %L"
-msgstr "Fortran 2003: BIND(C) vid %L"
+msgstr "BIND(C) vid %L"
 
-#: fortran/symbol.c:1615
+#: fortran/symbol.c:1604
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate EXTENDS attribute specified at %L"
 msgstr "Dubblerat EXTENDS-attribut angivet vid %L"
 
-#: fortran/symbol.c:1619
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:1608
+#, gcc-internal-format, gfc-internal-format
 msgid "EXTENDS at %L"
-msgstr "Fortran 2003: EXTENDS vid %L"
+msgstr "EXTENDS vid %L"
 
-#: fortran/symbol.c:1641
+#: fortran/symbol.c:1630
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %L already has an explicit interface"
 msgstr "Symbolen ”%s” vid %L har redan ett explicit gränssnitt"
 
-#: fortran/symbol.c:1648
+#: fortran/symbol.c:1637
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L has attributes specified outside its INTERFACE body"
 msgstr "”%s” vid %L har attribut angivna utanför dess INTERFACE-kropp"
 
-#: fortran/symbol.c:1682
+#: fortran/symbol.c:1671
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %L conflicts with symbol from module '%s', use-associated at %L"
 msgstr "Symbolen ”%s” vid %L står i konflikt med symbolen från modulen ”%s”, användningsassocierad vid %L"
 
-#: fortran/symbol.c:1686
+#: fortran/symbol.c:1675
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %L already has basic type of %s"
 msgstr "Symbolen ”%s” vid %L har redan grundtypen %s"
 
-#: fortran/symbol.c:1693
+#: fortran/symbol.c:1682
 #, gcc-internal-format, gfc-internal-format
 msgid "Procedure '%s' at %L may not have basic type of %s"
 msgstr "Procedur ”%s” vid %L får inte ha grundtypen %s"
 
-#: fortran/symbol.c:1705
+#: fortran/symbol.c:1694
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %L cannot have a type"
 msgstr "Symbolen ”%s” vid %L kan inte ha en typ"
 
-#: fortran/symbol.c:1874
+#: fortran/symbol.c:1863
 #, gcc-internal-format, gfc-internal-format
 msgid "Component '%s' at %C already declared at %L"
 msgstr "Komponenten ”%s” vid %C är redan deklarerad vid %L"
 
-#: fortran/symbol.c:1885
+#: fortran/symbol.c:1874
 #, gcc-internal-format, gfc-internal-format
 msgid "Component '%s' at %C already in the parent type at %L"
 msgstr "Komponenten ”%s” vid %C finns redan i föräldratypen vid %L"
 
-#: fortran/symbol.c:1970
+#: fortran/symbol.c:1959
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %C is ambiguous"
 msgstr "Symbolen ”%s” vid %C är tvetydig"
 
-#: fortran/symbol.c:2002
+#: fortran/symbol.c:1991
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type '%s' at %C is being used before it is defined"
 msgstr "Härledd typ ”%s” vid %C används före den är definierad"
 
-#: fortran/symbol.c:2040
+#: fortran/symbol.c:2029
 #, gcc-internal-format, gfc-internal-format
 msgid "Component '%s' at %C is a PRIVATE component of '%s'"
 msgstr "Komponent ”%s” vid %C är en PRIVATE-komponent i ”%s”"
 
-#: fortran/symbol.c:2058
+#: fortran/symbol.c:2047
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %C is not a member of the '%s' structure"
 msgstr "”%s” vid %C är inte en medlem av posten ”%s”"
 
-#: fortran/symbol.c:2196
+#: fortran/symbol.c:2186
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate statement label %d at %L and %L"
 msgstr "Dubblerad satsetikett %d vid %L och %L"
 
-#: fortran/symbol.c:2207
+#: fortran/symbol.c:2197
 #, gcc-internal-format, gfc-internal-format
 msgid "Label %d at %C already referenced as branch target"
 msgstr "Etikett %d vid %C är redan refererad som ett grenmål"
 
-#: fortran/symbol.c:2217
+#: fortran/symbol.c:2207
 #, gcc-internal-format, gfc-internal-format
 msgid "Label %d at %C already referenced as a format label"
 msgstr "Etiketten %d vid %C är redan refererad som en formatetikett"
 
-#: fortran/symbol.c:2223
+#: fortran/symbol.c:2213
 #, gcc-internal-format, gfc-internal-format
 msgid "DO termination statement which is not END DO or CONTINUE with label %d at %C"
 msgstr "DO avslutningssats som inte är END DO eller CONTINUE med etikett %d vid %C"
 
-#: fortran/symbol.c:2265
+#: fortran/symbol.c:2255
 #, gcc-internal-format, gfc-internal-format
 msgid "Label %d at %C previously used as a FORMAT label"
 msgstr "Etikett %d vid %C användes tidigare som en FORMAT-etikett"
 
-#: fortran/symbol.c:2274
+#: fortran/symbol.c:2264
 #, gcc-internal-format, gfc-internal-format
 msgid "Label %d at %C previously used as branch target"
 msgstr "Etikett %d vid %C användes tidigare som ett grenmål"
 
-#: fortran/symbol.c:2280
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:2270
+#, gcc-internal-format, gfc-internal-format
 msgid "Shared DO termination label %d at %C"
-msgstr "Avslutande namn förväntades vid %C"
+msgstr "Delad DO-avslutningsetikett %d vid %C"
 
-#: fortran/symbol.c:2600
+#: fortran/symbol.c:2590
 #, gcc-internal-format, gfc-internal-format
 msgid "Name '%s' at %C is an ambiguous reference to '%s' from module '%s'"
 msgstr "Namnet ”%s” vid %C är en tvetydig referens till ”%s” från modulen ”%s”"
 
-#: fortran/symbol.c:2603
+#: fortran/symbol.c:2593
 #, gcc-internal-format, gfc-internal-format
 msgid "Name '%s' at %C is an ambiguous reference to '%s' from current program unit"
 msgstr "Namnet ”%s” vid %C är en tvetydig referens till ”%s” från den aktuella programenheten"
 
 # Vad är "host associated"?
 #. Symbol is from another namespace.
-#: fortran/symbol.c:2788
+#: fortran/symbol.c:2808
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %C has already been host associated"
 msgstr "Symbolen ”%s” vid %C har redan blivit host-associerad"
 
-#: fortran/symbol.c:3665
+#: fortran/symbol.c:3793
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type '%s' declared at %L must have the BIND attribute to be C interoperable"
 msgstr "Härledd typ ”%s” deklarerad vid %L måste ha attributet BIND för att vara ett C-interoperativ"
 
-#: fortran/symbol.c:3683
+#: fortran/symbol.c:3811
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type '%s' with BIND(C) attribute at %L is empty, and may be inaccessible by the C companion processor"
 msgstr "Härledd typ ”%s” med attributet BIND(C) vid %L är tom, och kan vara otillgängliga av C-följeslagarprocessorn"
 
-#: fortran/symbol.c:3704
+#: fortran/symbol.c:3832
 #, gcc-internal-format, gfc-internal-format
 msgid "Component '%s' at %L cannot have the POINTER attribute because it is a member of the BIND(C) derived type '%s' at %L"
 msgstr "Komponent ”%s” vid %L får inte ha attributet POINTER eftersom det är en medlem av den BIND(C)-härledda typen ”%s” vid %L"
 
-#: fortran/symbol.c:3714
+#: fortran/symbol.c:3842
 #, gcc-internal-format, gfc-internal-format
 msgid "Procedure pointer component '%s' at %L cannot be a member of the BIND(C) derived type '%s' at %L"
 msgstr "Procedurpekarkomponenten ”%s” vid %L kan inte vara en medlem av den BIND(C)-härledda typen ”%s” vid %L"
 
-#: fortran/symbol.c:3725
+#: fortran/symbol.c:3853
 #, gcc-internal-format, gfc-internal-format
 msgid "Component '%s' at %L cannot have the ALLOCATABLE attribute because it is a member of the BIND(C) derived type '%s' at %L"
 msgstr "Komponent ”%s” vid %L får inte ha attributet ALLOCATABLE eftersom det är en medlem av den BIND(C)-härledda typen ”%s” vid %L"
 
 #. If the derived type is bind(c), all fields must be
 #. interop.
-#: fortran/symbol.c:3764
+#: fortran/symbol.c:3892
 #, gcc-internal-format, gfc-internal-format
 msgid "Component '%s' in derived type '%s' at %L may not be C interoperable, even though derived type '%s' is BIND(C)"
 msgstr "Komponent ”%s” i härledd typ ”%s” vid %L får inte vara C-interoperativ, trots att den härledda typen ”%s” är BIND(C)"
@@ -45206,22 +45253,22 @@
 #. If derived type is param to bind(c) routine, or to one
 #. of the iso_c_binding procs, it must be interoperable, so
 #. all fields must interop too.
-#: fortran/symbol.c:3773
+#: fortran/symbol.c:3901
 #, gcc-internal-format, gfc-internal-format
 msgid "Component '%s' in derived type '%s' at %L may not be C interoperable"
 msgstr "Komponent ”%s” i härledd typ ”%s” vid %L får inte vara C-interoperativ"
 
-#: fortran/symbol.c:3787
+#: fortran/symbol.c:3915
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type '%s' at %L cannot be declared with both PRIVATE and BIND(C) attributes"
 msgstr "Härledd typ ”%s” vid %L kan inte deklareras med både attributet PRIVATE och BIND(C)"
 
-#: fortran/symbol.c:3795
+#: fortran/symbol.c:3923
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type '%s' at %L cannot have the SEQUENCE attribute because it is BIND(C)"
 msgstr "Härledd typ ”%s” vid %L kan inte ha attributet SEQUENCE för att den är BIND(C)"
 
-#: fortran/symbol.c:4688 fortran/symbol.c:4694
+#: fortran/symbol.c:4816 fortran/symbol.c:4822
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' is used before it is typed at %L"
 msgstr "Symbolen ”%s” används före den har fått sin typ vid %L"
@@ -45332,57 +45379,57 @@
 msgid "intrinsic variable which isn't a procedure"
 msgstr "inbyggd variabel som inte är en procedur"
 
-#: fortran/trans-decl.c:3556 fortran/trans-decl.c:5433
+#: fortran/trans-decl.c:3556 fortran/trans-decl.c:5435
 #, gcc-internal-format, gfc-internal-format
 msgid "Return value of function '%s' at %L not set"
 msgstr "Returvärdet för funktionen ”%s” vid %L är inte satt"
 
-#: fortran/trans-decl.c:3883
+#: fortran/trans-decl.c:3885
 #, gcc-internal-format
 msgid "Deferred type parameter not yet supported"
 msgstr "Fördröjd typparameter stödjs inte ännu"
 
-#: fortran/trans-decl.c:4090
+#: fortran/trans-decl.c:4092
 #, gcc-internal-format, gfc-internal-format
 msgid "backend decl for module variable %s already exists"
 msgstr "bakändedeklaration för modulvariabel %s finns redan"
 
-#: fortran/trans-decl.c:4614
+#: fortran/trans-decl.c:4616
 #, gcc-internal-format, gfc-internal-format
 msgid "Dummy argument '%s' at %L was declared INTENT(OUT) but was not set"
 msgstr "Attrappargument ”%s” vid %L deklarerades INTENT(OUT) men sattes inte"
 
-#: fortran/trans-decl.c:4618
+#: fortran/trans-decl.c:4620
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived-type dummy argument '%s' at %L was declared INTENT(OUT) but was not set and does not have a default initializer"
 msgstr "Attrappargument med härledd typ ”%s” vid %L deklarerades INTENT(OUT) men sattes inte och har inte en standardinitierare"
 
-#: fortran/trans-decl.c:4627 fortran/trans-decl.c:4742
+#: fortran/trans-decl.c:4629 fortran/trans-decl.c:4744
 #, gcc-internal-format, gfc-internal-format
 msgid "Unused dummy argument '%s' at %L"
 msgstr "Oanvänt attrappargument ”%s” vid %L"
 
-#: fortran/trans-decl.c:4641
+#: fortran/trans-decl.c:4643
 #, gcc-internal-format, gfc-internal-format
 msgid "Unused module variable '%s' which has been explicitly imported at %L"
 msgstr "Oanvänd modulvariabel ”%s” som uttryckligen har importerats vid %L"
 
-#: fortran/trans-decl.c:4649
+#: fortran/trans-decl.c:4651
 #, gcc-internal-format, gfc-internal-format
 msgid "Unused variable '%s' declared at %L"
 msgstr "Oanvänd variabel ”%s” deklarerad vid %L"
 
-#: fortran/trans-decl.c:4697
+#: fortran/trans-decl.c:4699
 #, gcc-internal-format, gfc-internal-format
 msgid "Unused parameter '%s' declared at %L"
 msgstr "Oanvänd parameter ”%s” deklarerad vid %L"
 
-#: fortran/trans-decl.c:4700
+#: fortran/trans-decl.c:4702
 #, gcc-internal-format, gfc-internal-format
 msgid "Unused parameter '%s' which has been explicitly imported at %L"
 msgstr "Oanvänd parameter ”%s” som uttryckligen har importerats vid %L"
 
-#: fortran/trans-decl.c:4715
+#: fortran/trans-decl.c:4717
 #, gcc-internal-format, gfc-internal-format
 msgid "Return value '%s' of function '%s' declared at %L not set"
 msgstr "Returvärdet ”%s” för funktionen ”%s” deklarerad vid %L är inte satt"
@@ -45418,12 +45465,12 @@
 msgid "'dim' argument of %s intrinsic at %L is not a valid dimension index"
 msgstr "”dim”-argumentet till inbyggd ”%s” vid %L är inte ett giltigt dimensionsindex"
 
-#: fortran/trans-io.c:2032
+#: fortran/trans-io.c:2034
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type '%s' at %L has PRIVATE components"
 msgstr "Härledd typ ”%s” vid %L har PRIVATE-komponenter"
 
-#: fortran/trans-io.c:2183
+#: fortran/trans-io.c:2185
 #, gcc-internal-format, gfc-internal-format
 msgid "Bad IO basetype (%d)"
 msgstr "Felaktig IO-bastyp (%d)"
@@ -45892,9 +45939,9 @@
 msgstr "ogiltig upplösning i upplösningsfilen"
 
 #: lto/lto.c:2228
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "resolution sub id %wx not in object file"
-msgstr "upplösnings-under-id"
+msgstr "upplösnings-under-id %wx är inte en objektfil"
 
 #: lto/lto.c:2335
 #, gcc-internal-format, gfc-internal-format
@@ -46885,335 +46932,3 @@
 #, gcc-internal-format
 msgid "creating selector for nonexistent method %qE"
 msgstr "skapar selektor för icke existerande metod %qE"
-
-#~ msgid "%s:not a gcov graph file\n"
-#~ msgstr "%s:inte en gcov-graffil\n"
-
-#~ msgid "Unexpected type..."
-#~ msgstr "Oväntad typ ..."
-
-#~ msgid "Select fraction of the maximal count of repetitions of basic block in program given basic block needs to have to be considered hot"
-#~ msgstr "Välj andel av det maximala antalet repetitioner av grundblock i program som givet grundblock måste ha för att anses hett"
-
-#~ msgid "Minimum number of virtual mappings to consider switching to full virtual renames"
-#~ msgstr "Minsta antalet virtuella avbildningar för att beakta övergång till fullständig virtuell omnamning"
-
-#~ msgid "Ratio between virtual mappings and virtual symbols to do full virtual renames"
-#~ msgstr "Förhållande mellan virtuella avbildningar och virtuella symboler för att göra fullständig virtuell omnamning"
-
-#~ msgid "operand is neither a constant nor a condition code, invalid operand code 'C'"
-#~ msgstr "operand är varken en konstant eller en villkorskod, ogiltig operandkod ”C”"
-
-#~ msgid "operand is neither a constant nor a condition code, invalid operand code 'F'"
-#~ msgstr "operand är varken en konstant eller en villkorskod, ogiltig operandkod ”F”"
-
-#~ msgid "operand is neither a constant nor a condition code, invalid operand code 'c'"
-#~ msgstr "operand är varken en konstant eller en villkorskod, ogiltig operandkod ”c”"
-
-#~ msgid "operand is neither a constant nor a condition code, invalid operand code 'f'"
-#~ msgstr "operand är varken en konstant eller en villkorskod, ogiltig operandkod ”f”"
-
-#~ msgid "mips_debugger_offset called with non stack/frame/arg pointer"
-#~ msgstr "mips_debugger_offset anropad med en icke-stack/ram/arg-pekare"
-
-#~ msgid "invalid %%c value"
-#~ msgstr "ogiltigt %%c-värde"
-
-#~ msgid "-I <dir>.\tAdd <dir> to the end of the main source path"
-#~ msgstr "-I <kat>.\tLägg till <kat> till slutet av huvudkällkodssökvägen"
-
-#~ msgid "Do not look for source files in standard path"
-#~ msgstr "Titta inte efter källkodsfiler i standardsökvägen"
-
-#~ msgid "Assume GAS"
-#~ msgstr "Antag GAS"
-
-#~ msgid "Do not assume GAS"
-#~ msgstr "Antag inte GAS"
-
-#~ msgid "Use POWER instruction set"
-#~ msgstr "Använd instruktionsuppsättning för POWER"
-
-#~ msgid "Do not use POWER instruction set"
-#~ msgstr "Använd inte instruktionsuppsättning för POWER"
-
-#~ msgid "Use POWER2 instruction set"
-#~ msgstr "Använd instruktionsuppsättning för POWER2"
-
-#~ msgid "Use PowerPC instruction set"
-#~ msgstr "Använd instruktionsuppsättning för PowerPC"
-
-#~ msgid "Use new mnemonics for PowerPC architecture"
-#~ msgstr "Använd nya mnemonics för PowerPC-arkitektur"
-
-#~ msgid "Use old mnemonics for PowerPC architecture"
-#~ msgstr "Använd gamla mnemonics för PowerPC-arkitektur"
-
-#~ msgid "Throttle unrolling to avoid thrashing target registers unless the unroll benefit outweighs this"
-#~ msgstr "Begränsa utrullning för att undvika att skriva sönder målregister om inte utrullningenfördelen överväger detta"
-
-#~ msgid "Enable the use of the fused floating point multiply-accumulate operation"
-#~ msgstr "Möjliggör användning av de sammanslagna flyttalsinstruktionerna multiplikation-ackumulering"
-
-#~ msgid "Use software atomic sequences supported by kernel"
-#~ msgstr "Använd atomära programvarusekvenser som stödjs av kärnan"
-
-#~ msgid "Cirrus: Place NOPs to avoid invalid instruction combinations"
-#~ msgstr "Cirrus: Placera NOP:ar för att undvika ogiltiga instruktionskombinationer"
-
-#~ msgid "Ignore dllimport attribute for functions"
-#~ msgstr "Ignorera attributet dllimport för funktioner"
-
-#~ msgid "Use rjmp/rcall (limited range) on >8K devices"
-#~ msgstr "Använd rjmp/rcall (begränsat intervall) på enheter >8k"
-
-#~ msgid "Support Green Hills ABI"
-#~ msgstr "Stöd Green Hills ABI"
-
-#~ msgid "Reduce the size of object files"
-#~ msgstr "Reducera storleken på objektfiler"
-
-#~ msgid "Enable Loop Flattening transformation"
-#~ msgstr "Aktivera slingtillplattningstransformation"
-
-# Avhugget p.g.a. http://gcc.gnu.org/bugzilla/show_bug.cgi?id=34352
-# Hela meddelandet är översatt
-#~ msgid "Perform matrix layout flattening and transposing based"
-#~ msgstr "Utför tillplattning och transponering av matriser baserat på profileringsinformation"
-
-#~ msgid "bad size for make"
-#~ msgstr "felaktig storlek för make"
-
-#~ msgid "bad capacity when making slice"
-#~ msgstr "felaktig kapacitet när en skiva görs"
-
-#~ msgid "declaration of %q+D shadows a global declaration"
-#~ msgstr "deklaration av %q+D skuggar en global deklaration"
-
-#~ msgid "missing initializer"
-#~ msgstr "initierare saknas"
-
-#~ msgid "too many eh edges %i"
-#~ msgstr "för många eh-bågar %i"
-
-#~ msgid "unrecognized option %<-%s%>"
-#~ msgstr "okänd flagga %<-%s%>"
-
-#~ msgid "can%'t seek PCH file: %m"
-#~ msgstr "kan inte söka i PCH-fil: %m"
-
-#~ msgid "the file is not in OpenScop format"
-#~ msgstr "filen är inte i OpenScop-format"
-
-#~ msgid "the language is not recognized"
-#~ msgstr "språket känns inte igen"
-
-#~ msgid "parameters number in the scop file is different from the internal scop parameter number"
-#~ msgstr "parameternummer i scop-filen skiljer sig från de interna scop-parameternumren"
-
-#~ msgid "number of statements in the OpenScop file does not match the graphite internal statements number"
-#~ msgstr "antal satser i OpenScop-filen stämmer inte med graphites interna satsantal"
-
-#~ msgid "can%'t open %s for reading: %m"
-#~ msgstr "det går inte att öppna %s för läsning: %m"
-
-#~ msgid "the graphite file read for scop %d does not contain a legal transform"
-#~ msgstr "läsningen av graphite-filen för scop %d innehåller inte en giltig transform"
-
-#~ msgid "cannot find LTO varpool in %s"
-#~ msgstr "det går inte att hitta LTO-varpool %s"
-
-#~ msgid "use of memory input without lvalue in asm operand %d is deprecated"
-#~ msgstr "användning av minnesindata utan l-värde i asm-operand %d bör undvikas"
-
-#~ msgid "-ffunction-sections disabled; it makes profiling impossible"
-#~ msgstr "-ffunction-sections avslaget, det gör profilering omöjlig"
-
-#~ msgid "excess def operand for stmt"
-#~ msgstr "överskjutande definitionsoperand för sats"
-
-#~ msgid "def operand missing for stmt"
-#~ msgstr "definitionsoperand saknas för sats"
-
-#~ msgid "vector %s %s domain error, in %s at %s:%u"
-#~ msgstr "vektor %s %s-domänfel i %s vid %s:%u"
-
-#~ msgid "%qs is not a valid output file"
-#~ msgstr "%qs är inte en giltigt utfil"
-
-#~ msgid "can%'t seek in %s: %m"
-#~ msgstr "kan inte söka i %s: %m"
-
-#~ msgid "malformed #pragma extern_prefix, ignored"
-#~ msgstr "felformaterat #pragma extern_prefix, ignoreras"
-
-#~ msgid "junk at end of %<#pragma extern_prefix%>"
-#~ msgstr "skräp vid slutet av %<#pragma extern_prefix%>"
-
-#~ msgid "#pragma extern_prefix not supported on this target"
-#~ msgstr "#pragma extern_prefix stödjs inte på denna målarkitektur"
-
-#~ msgid "internal and protected visibility attributes not supported in this configuration; ignored"
-#~ msgstr "synlighetsattributen internal och protected stödjs inte för denna konfiguration, ignoreras"
-
-#~ msgid "FPA is unsupported in the AAPCS"
-#~ msgstr "FPA stödjs inte i AAPCS"
-
-#~ msgid "iWMMXt and hardware floating point"
-#~ msgstr "iWMMXt och hårdvaruflyttal"
-
-#~ msgid "Thumb-2 iWMMXt"
-#~ msgstr "Thumb-2 iWMMXt"
-
-#~ msgid "the mangling of %<va_list%> has changed in GCC 4.4"
-#~ msgstr "manglingen av %<va_list%> har ändrats i GCC 4.4"
-
-#~ msgid "static variable %q+D is marked dllimport"
-#~ msgstr "statisk variabel %q+D är markerad som dllimport"
-
-#~ msgid "that particular -g option is invalid with -maout and -melinux"
-#~ msgstr "den speciella flaggan -g är ogiltig med -maout och -melinux"
-
-#~ msgid "-maix64 and POWER architecture are incompatible"
-#~ msgstr "-maix64 och POWER-arkitekturen är inkompatibla"
-
-#~ msgid "-m64 not supported in this configuration"
-#~ msgstr "-m64 stödjs inte i denna konfiguration"
-
-#~ msgid "ambiguous overload for ternary %<operator?:%> in %<%E ? %E : %E%>"
-#~ msgstr "tvetydig överlagring för treställig %<operator?:%> i %<%E ? %E : %E%>"
-
-#~ msgid "ambiguous overload for %<operator%s%> in %<%E%s%>"
-#~ msgstr "tvetydig överlagring för %<operator%s%> i %<%E%s%>"
-
-#~ msgid "ambiguous overload for %<operator[]%> in %<%E[%E]%>"
-#~ msgstr "tvetydig överlagring för %<operator[]%> i %<%E[%E]%>"
-
-#~ msgid "ambiguous overload for %<operator%s%> in %<%E %s %E%>"
-#~ msgstr "tvetydig överlagring för %<operator%s%> i %<%E %s %E%>"
-
-#~ msgid "ambiguous overload for %<operator%s%> in %<%s%E%>"
-#~ msgstr "tvetydig överlagring för %<operator%s%> i %<%s%E%>"
-
-#~ msgid "%q+D declared to take non-const reference cannot be defaulted in the class body"
-#~ msgstr "%q+D deklarerad att ta icke-const-referens kan inte standarddefinieras i klasskroppen"
-
-#~ msgid "template header not allowed in member definition of explicitly specialized class"
-#~ msgstr "mallhuvud inte tillåtet i medlemsdefinition av explicit specialiserad klass"
-
-#~ msgid "%qD cannot be thread-local because it has non-trivial type %qT"
-#~ msgstr "%qD kan inte vara trådlokal för den har ej trivial typ %qT"
-
-#~ msgid "%qD is thread-local and so cannot be dynamically initialized"
-#~ msgstr "%qD är trådlokal och kan därför inte initieras dynamiskt"
-
-#~ msgid "default argument for %q#D has type %qT"
-#~ msgstr "standardargumentet för %q#D har typen %qT"
-
-#~ msgid "default argument for parameter of type %qT has type %qT"
-#~ msgstr "standardargumentet för parameter av typen %qT har typen %qT"
-
-#~ msgid "%<%T::%D%> names constructor"
-#~ msgstr "%<%T::%D%> namnger en konstruerare"
-
-#~ msgid "variable %q#D with %<auto%> type used in its own initializer"
-#~ msgstr "variabeln %q#D med %<auto%>-typ använd i sin egen initierare"
-
-#~ msgid "Fortran 2008: Array specification at %C with more than 7 dimensions"
-#~ msgstr "Fortran 2008: Vektorspecifikation vid %C har mer än 7 dimensioner"
-
-#~ msgid "the '%s' and '%s' arguments of '%s' intrinsic at %L must be of the same kind %d/%d"
-#~ msgstr "”%s”- och ”%s”-argumenten till inbyggd ”%s” vid %L måste ha samma sort %d/%d"
-
-#~ msgid "'%s' argument of '%s' intrinsic at %L must be of a derived type"
-#~ msgstr "”%s”-argumentet till inbyggd ”%s” vid %L måste vara en härledd typ"
-
-#~ msgid "Deferred-shape array '%s' at %L cannot be an argument to the procedure '%s' at %L because the procedure is BIND(C)"
-#~ msgstr "Vektorn ”%s” med fördröjd form vid %L kan inte vara ett argument till proceduren ”%s” vid %L eftersom proceduren är BIND(C)"
-
-#~ msgid "The type of '%s' at %C has not been declared within the interface"
-#~ msgstr "Typen på ”%s” vid %C har inte deklarerats inuti gränssnittet"
-
-#~ msgid "Unlimited polymorphism at %C not yet supported"
-#~ msgstr "Obegränsad polymorfism vid %C stödjs inte ännu"
-
-#~ msgid "Fortran 2003: IMPORT statement at %C"
-#~ msgstr "Fortran 2003: IMPORT-sats vid %C"
-
-#~ msgid "Fortran 2003: ABSTRACT type at %C"
-#~ msgstr "Fortran 2003: ABSTRACT typ vid %C"
-
-#~ msgid "Pointer initialization target at %C must not be ALLOCATABLE "
-#~ msgstr "Pekarinitieringens mål vid %C får inte vara ALLOCATABLE "
-
-#~ msgid "Pointer initialization target at %C must have the SAVE attribute"
-#~ msgstr "Målet för pekarinitieringen vid %C måste ha attributet SAVE"
-
-#~ msgid "Unexpected type in truthvalue_conversion"
-#~ msgstr "Oväntad typ i truthvalue_conversion"
-
-#~ msgid "Procedure argument at %L is INTENT(IN) while interface specifies INTENT(%s)"
-#~ msgstr "Procedurargument vid %L är INTENT(IN) medan gränssnitt anger INTENT(%s)"
-
-#~ msgid "Procedure argument at %L is local to a PURE procedure and is passed to an INTENT(%s) argument"
-#~ msgstr "Procedurargument vid %L är lokalt i en PURE-procedur och skickas till ett INTENT(%s)-argument"
-
-#~ msgid "'%s' at %L and the overridden FUNCTION should have matching result types and ranks"
-#~ msgstr "”%s” vid %L och den åsidosatta FUNCTION skall ha överensstämmande resultattyper och ordningar"
-
-#~ msgid "Character length mismatch between '%s' at '%L' and overridden FUNCTION"
-#~ msgstr "Teckenlängd stämmer mellan ”%s” vid %L och åsidosatt FUNCTION"
-
-#~ msgid "Possible character length mismatch between '%s' at '%L' and overridden FUNCTION"
-#~ msgstr "Möjligt att teckenlängden inte stämmer mellan ”%s” vid ”%L” och åsidosatt FUNCTION"
-
-#~ msgid "Fortran 2008: NEWUNIT specifier at %L"
-#~ msgstr "Fortran 2008: NEWUNIT-specificerare vid %L"
-
-#~ msgid "Deleted feature: PAUSE statement at %C"
-#~ msgstr "Borttagen funktion: PAUSE-sats vid %C"
-
-#~ msgid "Obsolescent feature: Statement function at %C"
-#~ msgstr "Förlegad funktion: Satsfunktion vid %C"
-
-#~ msgid "Parse error when checking module version for file '%s' opened at %C"
-#~ msgstr "Tolkningsfel vid kontroll av modulversion för filen ”%s” öppnad vid %C"
-
-#~ msgid "Wrong module version '%s' (expected '%s') for file '%s' opened at %C"
-#~ msgstr "Fel modulversion ”%s” (”%s” förväntades) för filen ”%s” öppnad vid %C"
-
-#~ msgid "Fortran 2003:  GENERIC binding at %C"
-#~ msgstr "Fortran 2003:  GENERIC-bindning vid %C"
-
-#~ msgid "Fortran 2003: PARAMETER symbol in complex constant at %C"
-#~ msgstr "Fortran 2003: PARAMETER-symbol i komplex konstant vid %C"
-
-#~ msgid "Extension: argument list function at %C"
-#~ msgstr "Utökning: argumentlistefunktionen vid %C"
-
-#~ msgid "Argument '%s' of elemental procedure '%s' at %L must have its INTENT specified"
-#~ msgstr "Argumentet ”%s” till den elementära proceduren ”%s” vid %L måste ha sitt INTENT angivet"
-
-#~ msgid "Parameter '%s' to '%s' at %L must be BIND(C)"
-#~ msgstr "Parameter ”%s” till ”%s” vid %L måste vara BIND(C)"
-
-#~ msgid "Deleted feature: %s at %L must be integer"
-#~ msgstr "Borttagen funktion: %s vid %L måste vara ett heltal"
-
-#~ msgid "Obsolescent feature: CHARACTER(*) function '%s' at %L"
-#~ msgstr "Förlegad funktion: CHARACTER(*)-funktion ”%s” vid %L"
-
-#~ msgid "Interface '%s', used by procedure pointer component '%s' at %L, is declared in a later PROCEDURE statement"
-#~ msgstr "Gränssnitt ”%s”, använt av procedurpekarkomponenten ”%s” vid %L, är deklarerat i en senare PROCEDURE-sats"
-
-#~ msgid "Interface '%s' of procedure pointer component '%s' at %L must be explicit"
-#~ msgstr "Gränssnitt ”%s” till procedurpekarkomponent ”%s” vid %L måste vara explicit"
-
-#~ msgid "Fortran 2003: %s attribute with %s attribute at %L"
-#~ msgstr "Fortran 2003: attribut %s med attribut %s vid %L"
-
-#~ msgid "Fortran 2003: %s attribute with %s attribute in '%s' at %L"
-#~ msgstr "Fortran 2003: attribut %s med attribut %s i ”%s” vid %L"
-
-#~ msgid "Extension: Symbol '%s' is used before it is typed at %L"
-#~ msgstr "Utökning: Symbolen ”%s” används före den fått sin typ vid %L"
Index: gcc/po/de.po
===================================================================
--- gcc/po/de.po	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/po/de.po	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -6,10 +6,10 @@
 # Roland Stigge <stigge@antcom.de>, 2003, 2004, 2005, 2006, 2007, 2008, 2010, 2011, 2012, 2013.
 msgid ""
 msgstr ""
-"Project-Id-Version: gcc 4.8-b20130224\n"
+"Project-Id-Version: gcc 4.8.0\n"
 "Report-Msgid-Bugs-To: http://gcc.gnu.org/bugs.html\n"
-"POT-Creation-Date: 2013-02-24 01:09+0000\n"
-"PO-Revision-Date: 2013-03-09 18:08+0200\n"
+"POT-Creation-Date: 2013-03-15 17:42+0000\n"
+"PO-Revision-Date: 2013-04-17 22:18+0200\n"
 "Last-Translator: Roland Stigge <stigge@antcom.de>\n"
 "Language-Team: German <translation-team-de@lists.sourceforge.net>\n"
 "Language: de\n"
@@ -18,19 +18,19 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
 
-#: cfgrtl.c:2320
+#: cfgrtl.c:2318
 msgid "flow control insn inside a basic block"
 msgstr "Flusskontrollbefehl innerhalb eines Basis-Blockes"
 
-#: cfgrtl.c:2448
+#: cfgrtl.c:2446
 msgid "wrong insn in the fallthru edge"
 msgstr "falscher Befehl in »fallthru«-Kante"
 
-#: cfgrtl.c:2502
+#: cfgrtl.c:2500
 msgid "insn outside basic block"
 msgstr "Befehl außerhalb eines Basis-Blockes"
 
-#: cfgrtl.c:2509
+#: cfgrtl.c:2507
 msgid "return not followed by barrier"
 msgstr "»return« nicht gefolgt von Sperre"
 
@@ -137,7 +137,7 @@
 msgid "%s:%d: confused by earlier errors, bailing out\n"
 msgstr "%s:%d: durch frühere Fehler verwirrt, Abbruch\n"
 
-#: diagnostic.c:1126
+#: diagnostic.c:1129
 #, c-format
 msgid "Internal compiler error: Error reporting routines re-entered.\n"
 msgstr "Interner Compilerfehler: Fehlerbehandlungsroutinen doppelt betreten.\n"
@@ -200,12 +200,12 @@
 msgid "invalid expression as operand"
 msgstr "ungültiger Ausdruck als Operand"
 
-#: gcc.c:1402
+#: gcc.c:1403
 #, c-format
 msgid "Using built-in specs.\n"
 msgstr "Es werden eingebaute Spezifikationen verwendet.\n"
 
-#: gcc.c:1599
+#: gcc.c:1600
 #, c-format
 msgid ""
 "Setting spec %s to '%s'\n"
@@ -214,22 +214,22 @@
 "Spezifikation %s wird auf '%s' gesetzt\n"
 "\n"
 
-#: gcc.c:1708
+#: gcc.c:1709
 #, c-format
 msgid "Reading specs from %s\n"
 msgstr "Lesen der Spezifikationen von %s\n"
 
-#: gcc.c:1833
+#: gcc.c:1834
 #, c-format
 msgid "could not find specs file %s\n"
 msgstr "Spezifikationsdatei %s konnte nicht gefunden werden\n"
 
-#: gcc.c:1902
+#: gcc.c:1903
 #, c-format
 msgid "rename spec %s to %s\n"
 msgstr "Spezifikation wird von %s nach %s umbenannt\n"
 
-#: gcc.c:1904
+#: gcc.c:1905
 #, c-format
 msgid ""
 "spec is '%s'\n"
@@ -238,14 +238,14 @@
 "Spezifikation ist '%s'\n"
 "\n"
 
-#: gcc.c:2337
+#: gcc.c:2338
 #, c-format
 msgid "%s\n"
 msgstr "%s\n"
 
 # can we use j/n here, too?
 # 2002-04-23 18:57:43 CEST -ke-
-#: gcc.c:2704
+#: gcc.c:2705
 #, c-format
 msgid ""
 "\n"
@@ -254,77 +254,77 @@
 "\n"
 "Fortfahren? (y oder n) "
 
-#: gcc.c:2844
+#: gcc.c:2845
 #, c-format
 msgid "# %s %.2f %.2f\n"
 msgstr "# %s %.2f %.2f\n"
 
-#: gcc.c:3047
+#: gcc.c:3048
 #, c-format
 msgid "Usage: %s [options] file...\n"
 msgstr "Aufruf: %s [Optionen] Datei...\n"
 
-#: gcc.c:3048
+#: gcc.c:3049
 msgid "Options:\n"
 msgstr "Optionen:\n"
 
-#: gcc.c:3050
+#: gcc.c:3051
 msgid "  -pass-exit-codes         Exit with highest error code from a phase\n"
 msgstr "  -pass-exit-codes         Ende mit höchstem Rückgabe-Code einer Phase\n"
 
-#: gcc.c:3051
+#: gcc.c:3052
 msgid "  --help                   Display this information\n"
 msgstr "  --help                   Diese Informationen anzeigen\n"
 
-#: gcc.c:3052
+#: gcc.c:3053
 msgid "  --target-help            Display target specific command line options\n"
 msgstr "  --target-help            Zielspezifische Kommandozeilenoptionen anzeigen\n"
 
-#: gcc.c:3053
+#: gcc.c:3054
 msgid "  --help={common|optimizers|params|target|warnings|[^]{joined|separate|undocumented}}[,...]\n"
 msgstr "  --help={common|optimizers|params|target|warnings|[^]{joined|separate|undocumented}}[,...]\n"
 
-#: gcc.c:3054
+#: gcc.c:3055
 msgid "                           Display specific types of command line options\n"
 msgstr "                           Spezifische Typen der Kommandozeilenoptionen anzeigen\n"
 
-#: gcc.c:3056
+#: gcc.c:3057
 msgid "  (Use '-v --help' to display command line options of sub-processes)\n"
 msgstr "  ('-v --help' zum Anzeigen der Kommandozeilenoptionen von Subprozessen verwenden)\n"
 
-#: gcc.c:3057
+#: gcc.c:3058
 msgid "  --version                Display compiler version information\n"
 msgstr "  --version                Compilerversionsinformation anzeigen\n"
 
-#: gcc.c:3058
+#: gcc.c:3059
 msgid "  -dumpspecs               Display all of the built in spec strings\n"
 msgstr "  -dumpspecs               Alle eingebauten Spezifikationszeichenketten anzeigen\n"
 
-#: gcc.c:3059
+#: gcc.c:3060
 msgid "  -dumpversion             Display the version of the compiler\n"
 msgstr "  -dumpversion             Compilerversion anzeigen\n"
 
-#: gcc.c:3060
+#: gcc.c:3061
 msgid "  -dumpmachine             Display the compiler's target processor\n"
 msgstr "  -dumpmachine             Zielprozessor des Compilers anzeigen\n"
 
-#: gcc.c:3061
+#: gcc.c:3062
 msgid "  -print-search-dirs       Display the directories in the compiler's search path\n"
 msgstr "  -print-search-dirs       Verzeichnisse im Suchpfad des Compilers anzeigen\n"
 
-#: gcc.c:3062
+#: gcc.c:3063
 msgid "  -print-libgcc-file-name  Display the name of the compiler's companion library\n"
 msgstr "  -print-libgcc-file-name  Name der Begleitbibliothek des Compilers anzeigen\n"
 
-#: gcc.c:3063
+#: gcc.c:3064
 msgid "  -print-file-name=<lib>   Display the full path to library <lib>\n"
 msgstr "  -print-file-name=<lib>   Vollen Pfad zur Bibliothek <lib> anzeigen\n"
 
-#: gcc.c:3064
+#: gcc.c:3065
 msgid "  -print-prog-name=<prog>  Display the full path to compiler component <prog>\n"
 msgstr "  -print-prog-name=<prog>  Vollen Pfad zur Compilerkomponente <prog> anzeigen\n"
 
-#: gcc.c:3065
+#: gcc.c:3066
 msgid ""
 "  -print-multiarch         Display the target's normalized GNU triplet, used as\n"
 "                           a component in the library path\n"
@@ -332,11 +332,11 @@
 "  -print-multiarch         Normalisiertes GNU-Tripel für das Ziel anzeigen,\n"
 "                           als Komponente im Bibliothekspfad verwendet\n"
 
-#: gcc.c:3068
+#: gcc.c:3069
 msgid "  -print-multi-directory   Display the root directory for versions of libgcc\n"
 msgstr "  -print-multi-directory   Wurzelverzeichnis für Versionen von libgcc anzeigen\n"
 
-#: gcc.c:3069
+#: gcc.c:3070
 msgid ""
 "  -print-multi-lib         Display the mapping between command line options and\n"
 "                           multiple library search directories\n"
@@ -344,53 +344,53 @@
 "  -print-multi-lib         Abbildung zwischen Kommandozeilenoptionen und\n"
 "                           mehreren Suchverzeichnissen für Bibliotheken anzeigen\n"
 
-#: gcc.c:3072
+#: gcc.c:3073
 msgid "  -print-multi-os-directory Display the relative path to OS libraries\n"
 msgstr ""
 "  -print-multi-os-directory Relativen Pfad zu Betriebssystembibliotheken\n"
 "                            anzeigen\n"
 
-#: gcc.c:3073
+#: gcc.c:3074
 msgid "  -print-sysroot           Display the target libraries directory\n"
 msgstr "  -print-sysroot           Verzeichnis der Ziel-Bibliotheken anzeigen\n"
 
-#: gcc.c:3074
+#: gcc.c:3075
 msgid "  -print-sysroot-headers-suffix Display the sysroot suffix used to find headers\n"
 msgstr "  -print-sysroot-headers-suffix Den für Headersuche verwendeten sysroot-Suffix anzeigen\n"
 
-#: gcc.c:3075
+#: gcc.c:3076
 msgid "  -Wa,<options>            Pass comma-separated <options> on to the assembler\n"
 msgstr "  -Wa,<Optionen>           Komma-getrennte <Optionen> an Assembler übergeben\n"
 
-#: gcc.c:3076
+#: gcc.c:3077
 msgid "  -Wp,<options>            Pass comma-separated <options> on to the preprocessor\n"
 msgstr "  -Wp,<Optionen>           Komma-getrennte <Optionen> an Präprozessor übergeben\n"
 
-#: gcc.c:3077
+#: gcc.c:3078
 msgid "  -Wl,<options>            Pass comma-separated <options> on to the linker\n"
 msgstr "  -Wl,<Optionen>           Komma-getrennte <Optionen> an Linker übergeben\n"
 
-#: gcc.c:3078
+#: gcc.c:3079
 msgid "  -Xassembler <arg>        Pass <arg> on to the assembler\n"
 msgstr "  -Xassembler <arg>        <arg> an den Assembler übergeben\n"
 
-#: gcc.c:3079
+#: gcc.c:3080
 msgid "  -Xpreprocessor <arg>     Pass <arg> on to the preprocessor\n"
 msgstr "  -Xpreprocessor <arg>     <arg> an den Präprozessor übergeben\n"
 
-#: gcc.c:3080
+#: gcc.c:3081
 msgid "  -Xlinker <arg>           Pass <arg> on to the linker\n"
 msgstr "  -Xlinker <arg>           <arg> an den Linker übergeben\n"
 
-#: gcc.c:3081
+#: gcc.c:3082
 msgid "  -save-temps              Do not delete intermediate files\n"
 msgstr "  -save-temps              Temporäre Dateien nicht löschen\n"
 
-#: gcc.c:3082
+#: gcc.c:3083
 msgid "  -save-temps=<arg>        Do not delete intermediate files\n"
 msgstr "  -save-temps=<arg>        Temporäre Dateien nicht löschen\n"
 
-#: gcc.c:3083
+#: gcc.c:3084
 msgid ""
 "  -no-canonical-prefixes   Do not canonicalize paths when building relative\n"
 "                           prefixes to other gcc components\n"
@@ -398,25 +398,25 @@
 "  -no-canonical-prefixes   Pfade beim Erzeugen relativer Präfixe zu anderen\n"
 "                           GCC-Komponenten nicht kanonisieren\n"
 
-#: gcc.c:3086
+#: gcc.c:3087
 msgid "  -pipe                    Use pipes rather than intermediate files\n"
 msgstr "  -pipe                    Pipes statt temporärer Dateien verwenden\n"
 
-#: gcc.c:3087
+#: gcc.c:3088
 msgid "  -time                    Time the execution of each subprocess\n"
 msgstr "  -time                    Zeit für Ausführung jedes Subprozesses stoppen\n"
 
-#: gcc.c:3088
+#: gcc.c:3089
 msgid "  -specs=<file>            Override built-in specs with the contents of <file>\n"
 msgstr ""
 "  -specs=<Datei>           Eingebaute Spezifikationen mit Inhalt der <Datei>\n"
 "                           überschreiben\n"
 
-#: gcc.c:3089
+#: gcc.c:3090
 msgid "  -std=<standard>          Assume that the input sources are for <standard>\n"
 msgstr "  -std=<Standard>          Annehmen, dass die Eingabequellen für <Standard> sind\n"
 
-#: gcc.c:3090
+#: gcc.c:3091
 msgid ""
 "  --sysroot=<directory>    Use <directory> as the root directory for headers\n"
 "                           and libraries\n"
@@ -424,47 +424,47 @@
 "  --sysroot=<Verzeichnis>  <Verzeichnis> als Root-Verzeichnis für Header und\n"
 "                           Bibliotheken verwenden\n"
 
-#: gcc.c:3093
+#: gcc.c:3094
 msgid "  -B <directory>           Add <directory> to the compiler's search paths\n"
 msgstr "  -B <Verzeichnis>         <Verzeichnis> zum Suchpfad des Compilers hinzufügen\n"
 
-#: gcc.c:3094
+#: gcc.c:3095
 msgid "  -v                       Display the programs invoked by the compiler\n"
 msgstr "  -v                       Vom Compiler aufgerufene Programme anzeigen\n"
 
-#: gcc.c:3095
+#: gcc.c:3096
 msgid "  -###                     Like -v but options quoted and commands not executed\n"
 msgstr ""
 "  -###                     Wie -v, aber mit zitierten Optionen und nicht\n"
 "                           ausgeführten Befehlen\n"
 
-#: gcc.c:3096
+#: gcc.c:3097
 msgid "  -E                       Preprocess only; do not compile, assemble or link\n"
 msgstr ""
 "  -E                       Nur Präprozessor, kein Compiler, Assembler oder\n"
 "                           Binder\n"
 
-#: gcc.c:3097
+#: gcc.c:3098
 msgid "  -S                       Compile only; do not assemble or link\n"
 msgstr "  -S                       Nur kompilieren, nicht assemblieren oder binden\n"
 
-#: gcc.c:3098
+#: gcc.c:3099
 msgid "  -c                       Compile and assemble, but do not link\n"
 msgstr "  -c                       Nur kompilieren und assemblieren, aber nicht binden\n"
 
-#: gcc.c:3099
+#: gcc.c:3100
 msgid "  -o <file>                Place the output into <file>\n"
 msgstr "  -o <Datei>               Ausgabe in <Datei> schreiben\n"
 
-#: gcc.c:3100
+#: gcc.c:3101
 msgid "  -pie                     Create a position independent executable\n"
 msgstr "  -pie                     Eine lageunabhängige ausführbare Datei erzeugen\n"
 
-#: gcc.c:3101
+#: gcc.c:3102
 msgid "  -shared                  Create a shared library\n"
 msgstr "  -shared                  Eine Shared Library erzeugen\n"
 
-#: gcc.c:3102
+#: gcc.c:3103
 msgid ""
 "  -x <language>            Specify the language of the following input files\n"
 "                           Permissible languages include: c c++ assembler none\n"
@@ -477,7 +477,7 @@
 "                           verhalten, die Sprache aufgrund der Dateinamens-\n"
 "                           erweiterung zu vermuten\n"
 
-#: gcc.c:3109
+#: gcc.c:3110
 #, c-format
 msgid ""
 "\n"
@@ -491,27 +491,27 @@
 " Um andere Optionen an diese Prozesse zu übergeben, müssen die Optionen\n"
 " -W<Buchstabe> verwendet werden.\n"
 
-#: gcc.c:5364
+#: gcc.c:5365
 #, c-format
 msgid "Processing spec (%s), which is '%s'\n"
 msgstr "Spezifikation (%s) wird verarbeitet, welche »%s« ist\n"
 
-#: gcc.c:6649
+#: gcc.c:6651
 #, c-format
 msgid "install: %s%s\n"
 msgstr "installiere: %s%s\n"
 
-#: gcc.c:6652
+#: gcc.c:6654
 #, c-format
 msgid "programs: %s\n"
 msgstr "Programme: %s\n"
 
-#: gcc.c:6654
+#: gcc.c:6656
 #, c-format
 msgid "libraries: %s\n"
 msgstr "Bibliotheken: %s\n"
 
-#: gcc.c:6738
+#: gcc.c:6740
 #, c-format
 msgid ""
 "\n"
@@ -522,16 +522,16 @@
 "folgenden Hinweise; Fehler in der deutschen Übersetzung sind an\n"
 "translation-team-de@lists.sourceforge.net zu melden:\n"
 
-#: gcc.c:6754
+#: gcc.c:6756
 #, c-format
 msgid "%s %s%s\n"
 msgstr "%s %s%s\n"
 
-#: gcc.c:6757 gcov.c:491 fortran/gfortranspec.c:303 java/jcf-dump.c:1230
+#: gcc.c:6759 gcov.c:491 fortran/gfortranspec.c:303 java/jcf-dump.c:1230
 msgid "(C)"
 msgstr "(C)"
 
-#: gcc.c:6758 java/jcf-dump.c:1231
+#: gcc.c:6760 java/jcf-dump.c:1231
 #, c-format
 msgid ""
 "This is free software; see the source for copying conditions.  There is NO\n"
@@ -542,32 +542,32 @@
 "gibt KEINE Garantie; auch nicht für MARKTGÄNGIGKEIT oder FÜR SPEZIELLE ZWECKE.\n"
 "\n"
 
-#: gcc.c:6775
+#: gcc.c:6777
 #, c-format
 msgid "Target: %s\n"
 msgstr "Ziel: %s\n"
 
-#: gcc.c:6776
+#: gcc.c:6778
 #, c-format
 msgid "Configured with: %s\n"
 msgstr "Konfiguriert mit: %s\n"
 
-#: gcc.c:6790
+#: gcc.c:6792
 #, c-format
 msgid "Thread model: %s\n"
 msgstr "Thread-Modell: %s\n"
 
-#: gcc.c:6801
+#: gcc.c:6803
 #, c-format
 msgid "gcc version %s %s\n"
 msgstr "gcc-Version %s %s\n"
 
-#: gcc.c:6804
+#: gcc.c:6806
 #, c-format
 msgid "gcc driver version %s %sexecuting gcc version %s\n"
 msgstr "gcc-Treiberversion %s %s führt GCC-Version %s aus\n"
 
-#: gcc.c:7058
+#: gcc.c:7061
 #, c-format
 msgid ""
 "\n"
@@ -580,7 +580,7 @@
 "==============\n"
 "\n"
 
-#: gcc.c:7059
+#: gcc.c:7062
 #, c-format
 msgid ""
 "Use \"-Wl,OPTION\" to pass \"OPTION\" to the linker.\n"
@@ -589,7 +589,7 @@
 "»-Wl,OPTION« verwenden, um »OPTION« an den Linker zu übergeben.\n"
 "\n"
 
-#: gcc.c:8276
+#: gcc.c:8279
 #, c-format
 msgid ""
 "Assembler options\n"
@@ -600,7 +600,7 @@
 "=================\n"
 "\n"
 
-#: gcc.c:8277
+#: gcc.c:8280
 #, c-format
 msgid ""
 "Use \"-Wa,OPTION\" to pass \"OPTION\" to the assembler.\n"
@@ -1030,17 +1030,17 @@
 msgid "ignoring nonexistent directory \"%s\"\n"
 msgstr "nicht vorhandenes Verzeichnis »%s« wird ignoriert\n"
 
-#: incpath.c:363
+#: incpath.c:374
 #, c-format
 msgid "#include \"...\" search starts here:\n"
 msgstr "#include \"...\" - Suche beginnt hier:\n"
 
-#: incpath.c:367
+#: incpath.c:378
 #, c-format
 msgid "#include <...> search starts here:\n"
 msgstr "#include <...> - Suche beginnt hier:\n"
 
-#: incpath.c:372
+#: incpath.c:383
 #, c-format
 msgid "End of search list.\n"
 msgstr "Ende der Suchliste.\n"
@@ -1071,44 +1071,44 @@
 msgid "At top level:"
 msgstr "Auf höchster Ebene:"
 
-#: langhooks.c:400 cp/error.c:3038
+#: langhooks.c:400 cp/error.c:3042
 #, c-format
 msgid "In member function %qs"
 msgstr "In Elementfunktion %qs"
 
-#: langhooks.c:404 cp/error.c:3041
+#: langhooks.c:404 cp/error.c:3045
 #, c-format
 msgid "In function %qs"
 msgstr "In Funktion %qs"
 
-#: langhooks.c:455 cp/error.c:2991
+#: langhooks.c:455 cp/error.c:2995
 #, c-format
 msgid "    inlined from %qs at %s:%d:%d"
 msgstr "    eingefügt von %qs bei %s:%d:%d"
 
-#: langhooks.c:460 cp/error.c:2996
+#: langhooks.c:460 cp/error.c:3000
 #, c-format
 msgid "    inlined from %qs at %s:%d"
 msgstr "    eingefügt von %qs bei %s:%d"
 
-#: langhooks.c:466 cp/error.c:3002
+#: langhooks.c:466 cp/error.c:3006
 #, c-format
 msgid "    inlined from %qs"
 msgstr "    eingefügt von %qs"
 
-#: loop-iv.c:3029 tree-ssa-loop-niter.c:1924
+#: loop-iv.c:3029 tree-ssa-loop-niter.c:1925
 msgid "assuming that the loop is not infinite"
 msgstr "es wird angenommen, dass es sich nicht um eine Endlosschleife handelt"
 
-#: loop-iv.c:3030 tree-ssa-loop-niter.c:1925
+#: loop-iv.c:3030 tree-ssa-loop-niter.c:1926
 msgid "cannot optimize possibly infinite loops"
 msgstr "mögliche Endlosscheife kann nicht optimiert werden"
 
-#: loop-iv.c:3038 tree-ssa-loop-niter.c:1929
+#: loop-iv.c:3038 tree-ssa-loop-niter.c:1930
 msgid "assuming that the loop counter does not overflow"
 msgstr "es wird angenommen, dass die Schleifen-Zählvariable nicht überläuft"
 
-#: loop-iv.c:3039 tree-ssa-loop-niter.c:1930
+#: loop-iv.c:3039 tree-ssa-loop-niter.c:1931
 msgid "cannot optimize loop, the loop counter may overflow"
 msgstr "Schleife kann nicht optimiert werden, Schleifen-Zählvariable könnte überlaufen"
 
@@ -1164,7 +1164,7 @@
 #: lto-wrapper.c:430
 #, c-format
 msgid "Option %s not used consistently in all LTO input files"
-msgstr ""
+msgstr "Option %s nicht konsistent in allen LTO-Eingabedateien verwendet"
 
 #: lto-wrapper.c:461
 #, c-format
@@ -1186,78 +1186,78 @@
 msgid "This switch lacks documentation"
 msgstr "Dieser Schalter ist undokumentiert"
 
-#: opts.c:1015
+#: opts.c:1018
 msgid "[default]"
 msgstr "[Standard]"
 
-#: opts.c:1026
+#: opts.c:1029
 msgid "[enabled]"
 msgstr "[eingeschaltet]"
 
-#: opts.c:1026
+#: opts.c:1029
 msgid "[disabled]"
 msgstr "[ausgeschaltet]"
 
-#: opts.c:1045
+#: opts.c:1048
 #, c-format
 msgid " No options with the desired characteristics were found\n"
 msgstr " Keine Optionen mit den gewünschten Eigenschaften gefunden\n"
 
-#: opts.c:1054
+#: opts.c:1057
 #, c-format
 msgid " None found.  Use --help=%s to show *all* the options supported by the %s front-end\n"
 msgstr " Nichts gefunden. --help=%s verwenden, um *alle* vom Frontend %s unterstützten Optionen anzuzeigen\n"
 
-#: opts.c:1060
+#: opts.c:1063
 #, c-format
 msgid " All options with the desired characteristics have already been displayed\n"
 msgstr " Alle Optionen mit den gewünschten Eigenschaften wurden bereits angezeigt\n"
 
-#: opts.c:1155
+#: opts.c:1158
 msgid "The following options are target specific"
 msgstr "Die folgenden Optionen sind zielspezifisch"
 
-#: opts.c:1158
+#: opts.c:1161
 msgid "The following options control compiler warning messages"
 msgstr "Die folgenden Optionen steuern Warnmeldungen des Compilers"
 
-#: opts.c:1161
+#: opts.c:1164
 msgid "The following options control optimizations"
 msgstr "Die folgenden Optionen steuern Optimierungen"
 
-#: opts.c:1164 opts.c:1203
+#: opts.c:1167 opts.c:1206
 msgid "The following options are language-independent"
 msgstr "Die folgenden Optionen sind sprach-unabhängig"
 
-#: opts.c:1167
+#: opts.c:1170
 msgid "The --param option recognizes the following as parameters"
 msgstr "Die Option »--param« erkennt die folgenden Parameter"
 
-#: opts.c:1173
+#: opts.c:1176
 msgid "The following options are specific to just the language "
 msgstr "Die folgenden Optionen sind nur spezifisch für die Sprache "
 
-#: opts.c:1175
+#: opts.c:1178
 msgid "The following options are supported by the language "
 msgstr "Die folgenden Optionen werden von der Sprache unterstützt "
 
-#: opts.c:1186
+#: opts.c:1189
 msgid "The following options are not documented"
 msgstr "Die folgenden Optionen sind nicht dokumentiert"
 
-#: opts.c:1188
+#: opts.c:1191
 msgid "The following options take separate arguments"
 msgstr "Die folgenden Optionen verwenden separate Argumente"
 
-#: opts.c:1190
+#: opts.c:1193
 msgid "The following options take joined arguments"
 msgstr "Die folgenden Optionen verwenden gemeinsame Argumente"
 
-#: opts.c:1201
+#: opts.c:1204
 msgid "The following options are language-related"
 msgstr "Die folgenden Optionen sind sprachbezogen"
 
-#: opts.c:2078
+#: opts.c:2081
 msgid "enabled by default"
 msgstr "standardmäßig aktiviert"
 
@@ -1535,7 +1535,7 @@
 
 #: params.def:49
 msgid "The minimal estimated speedup allowing inliner to ignore inline-insns-single and inline-isnsns-auto"
-msgstr ""
+msgstr "Kleinste voraussichtliche Beschleunigung, die Inlinern erlaubt, inline-insns-single und inline-isnsns-auto zu ignorieren"
 
 #: params.def:66
 msgid "The maximum number of instructions in a single function eligible for inlining"
@@ -1735,7 +1735,7 @@
 
 #: params.def:368
 msgid "A basic block profile count is considered hot if it contributes to the given permillage of the entire profiled execution"
-msgstr ""
+msgstr "Ein Basisblock-Profilzähler wird als heiß betrachtet, wenn es zum angegebenen Promilleanteil zum Gesamtprofil beiträgt"
 
 #: params.def:373
 msgid "Select fraction of the maximal frequency of executions of basic block in function given basic block needs to have to be considered hot"
@@ -1907,7 +1907,7 @@
 
 #: params.def:625
 msgid "The minimum probability an edge must have for the scheduler to save its state across it."
-msgstr ""
+msgstr "Kleinste Wahrscheinlichkeit einer Kante, sodass bei der Planung ihr Zustand gesichert wird"
 
 #: params.def:630
 msgid "The maximum size of the lookahead window of selective scheduling"
@@ -2047,7 +2047,7 @@
 
 #: params.def:875
 msgid "Max. size of loc list for which reverse ops should be added"
-msgstr ""
+msgstr "Maximalgröße der Loc-List, bei der Umkehrungsoperationen hinzugefügt werden sollen"
 
 #: params.def:882
 msgid "The minimum UID to be used for a nondebug insn"
@@ -2071,11 +2071,11 @@
 
 #: params.def:912
 msgid "Maximum number of aggregate content items for a parameter in jump functions and lattices"
-msgstr ""
+msgstr "Höchstzahl der zusammengesetzten enthaltenen Elemente für einen Parameter in Sprungfunktionen und Gittern"
 
 #: params.def:918
 msgid "Compile-time bonus IPA-CP assigns to candidates which make loop bounds or strides known."
-msgstr ""
+msgstr "Bonus-IPA-CP-Zuweisungen zur Laufzeit an Kandidaten, die Schleifengrenzen oder Schritte bekannt machen"
 
 #: params.def:926
 msgid "Number of partitions the program should be split to"
@@ -2131,11 +2131,11 @@
 
 #: params.def:1007
 msgid "Which -fsched-pressure algorithm to apply"
-msgstr ""
+msgstr "Anzuwendender Algorithmus für -fsched-pressure"
 
 #: params.def:1013
 msgid "Maximum length of candidate scans for straight-line strength reduction"
-msgstr ""
+msgstr "Maximallänge von Kandidatenprüfungen für Stärkereduktion in geraden Linien"
 
 #: c-family/c-format.c:345
 msgid "format"
@@ -2446,7 +2446,7 @@
 msgid "<return-value>"
 msgstr "<Rückgabewert>"
 
-#: c-family/c-pretty-print.c:2147 cp/error.c:1818 cp/error.c:2764
+#: c-family/c-pretty-print.c:2147 cp/error.c:1818 cp/error.c:2768
 msgid "<unknown>"
 msgstr "<unbekannt>"
 
@@ -2464,7 +2464,7 @@
 msgid "incompatible floating point / vector register operand for '%%%c'"
 msgstr "unverträglicher Gleitkomma- / Vektorregisteroperand für »%%%c«"
 
-#: config/aarch64/aarch64.c:3399 config/arm/arm.c:18223
+#: config/aarch64/aarch64.c:3399 config/arm/arm.c:18233
 #, c-format
 msgid "missing operand"
 msgstr "fehlender Operand"
@@ -2568,33 +2568,34 @@
 msgid "invalid %%xn code"
 msgstr "ungültiger %%xn-Code"
 
-#: config/arm/arm.c:17560 config/arm/arm.c:17578
+#: config/arm/arm.c:15438 config/arm/arm.c:15463 config/arm/arm.c:15473
+#: config/arm/arm.c:15482 config/arm/arm.c:15490
 #, c-format
+msgid "invalid shift operand"
+msgstr "ungültiger Schiebeoperand"
+
+#: config/arm/arm.c:17576 config/arm/arm.c:17594
+#, c-format
 msgid "predicated Thumb instruction"
 msgstr "angegebene Thumb-Anweisung"
 
-#: config/arm/arm.c:17566
+#: config/arm/arm.c:17582
 #, c-format
 msgid "predicated instruction in conditional sequence"
 msgstr "angegebene Anweisung in bedingter Sequenz"
 
-#: config/arm/arm.c:17697 config/arm/arm.c:17710
+#: config/arm/arm.c:17713 config/arm/arm.c:17726
 #, c-format
 msgid "Unsupported operand for code '%c'"
 msgstr "Operand für Code »%c« nicht unterstützt"
 
-#: config/arm/arm.c:17748
-#, c-format
-msgid "invalid shift operand"
-msgstr "ungültiger Schiebeoperand"
-
-#: config/arm/arm.c:17805 config/arm/arm.c:17827 config/arm/arm.c:17837
-#: config/arm/arm.c:17847 config/arm/arm.c:17857 config/arm/arm.c:17896
-#: config/arm/arm.c:17914 config/arm/arm.c:17939 config/arm/arm.c:17954
-#: config/arm/arm.c:17981 config/arm/arm.c:17988 config/arm/arm.c:18006
-#: config/arm/arm.c:18013 config/arm/arm.c:18021 config/arm/arm.c:18042
-#: config/arm/arm.c:18049 config/arm/arm.c:18174 config/arm/arm.c:18181
-#: config/arm/arm.c:18204 config/arm/arm.c:18211 config/bfin/bfin.c:1439
+#: config/arm/arm.c:17815 config/arm/arm.c:17837 config/arm/arm.c:17847
+#: config/arm/arm.c:17857 config/arm/arm.c:17867 config/arm/arm.c:17906
+#: config/arm/arm.c:17924 config/arm/arm.c:17949 config/arm/arm.c:17964
+#: config/arm/arm.c:17991 config/arm/arm.c:17998 config/arm/arm.c:18016
+#: config/arm/arm.c:18023 config/arm/arm.c:18031 config/arm/arm.c:18052
+#: config/arm/arm.c:18059 config/arm/arm.c:18184 config/arm/arm.c:18191
+#: config/arm/arm.c:18214 config/arm/arm.c:18221 config/bfin/bfin.c:1439
 #: config/bfin/bfin.c:1446 config/bfin/bfin.c:1453 config/bfin/bfin.c:1460
 #: config/bfin/bfin.c:1469 config/bfin/bfin.c:1476 config/bfin/bfin.c:1483
 #: config/bfin/bfin.c:1490
@@ -2602,22 +2603,22 @@
 msgid "invalid operand for code '%c'"
 msgstr "ungültiger Operand für Code »%c«"
 
-#: config/arm/arm.c:17909
+#: config/arm/arm.c:17919
 #, c-format
 msgid "instruction never executed"
 msgstr "Anweisung wird niemals ausgeführt"
 
 #. Former Maverick support, removed after GCC-4.7.
-#: config/arm/arm.c:17930
+#: config/arm/arm.c:17940
 #, c-format
 msgid "obsolete Maverick format code '%c'"
 msgstr "veralteter Maverick-Formatcode »%c«"
 
-#: config/arm/arm.c:20988
+#: config/arm/arm.c:20998
 msgid "function parameters cannot have __fp16 type"
 msgstr "Funktionsparameter können nicht Typ __fp16 haben"
 
-#: config/arm/arm.c:20998
+#: config/arm/arm.c:21008
 msgid "functions cannot return __fp16 type"
 msgstr "Funktionen können nicht Typ __fp16 zurückgeben"
 
@@ -2652,7 +2653,7 @@
 
 #: config/avr/avr.c:2234
 #, c-format
-msgid "Unsupported code '%c'for fixed-point:"
+msgid "Unsupported code '%c' for fixed-point:"
 msgstr "Code »%c« für Festkomma nicht unterstützt:"
 
 #: config/avr/avr.c:2243
@@ -2699,8 +2700,8 @@
 msgstr "ungültiger const_double-Operand"
 
 #: config/cris/cris.c:580 config/moxie/moxie.c:111 final.c:3311 final.c:3313
-#: fold-const.c:270 gcc.c:4712 gcc.c:4726 loop-iv.c:3031 loop-iv.c:3040
-#: rtl-error.c:102 toplev.c:332 tree-ssa-loop-niter.c:1933 tree-vrp.c:6783
+#: fold-const.c:270 gcc.c:4713 gcc.c:4727 loop-iv.c:3031 loop-iv.c:3040
+#: rtl-error.c:102 toplev.c:332 tree-ssa-loop-niter.c:1934 tree-vrp.c:6783
 #: cp/typeck.c:5618 java/expr.c:389 lto/lto-object.c:189 lto/lto-object.c:287
 #: lto/lto-object.c:344 lto/lto-object.c:368
 #, gcc-internal-format, gfc-internal-format
@@ -3041,8 +3042,8 @@
 msgid "invalid operation on %<__fpreg%>"
 msgstr "ungültige Operation auf %<__fpreg%>"
 
-#: config/iq2000/iq2000.c:3132 config/tilegx/tilegx.c:5205
-#: config/tilepro/tilepro.c:4695
+#: config/iq2000/iq2000.c:3132 config/tilegx/tilegx.c:5203
+#: config/tilepro/tilepro.c:4693
 #, c-format
 msgid "invalid %%P operand"
 msgstr "ungültiger %%P-Operand"
@@ -3057,20 +3058,20 @@
 msgid "invalid use of %%d, %%x, or %%X"
 msgstr "ungültige Verwendung von %%d, %%x oder %%X"
 
-#: config/lm32/lm32.c:521
+#: config/lm32/lm32.c:518
 #, c-format
 msgid "only 0.0 can be loaded as an immediate"
 msgstr "nur 0.0 kann als Immediate geladen werden"
 
-#: config/lm32/lm32.c:591
+#: config/lm32/lm32.c:588
 msgid "bad operand"
 msgstr "Ungültiger Operand"
 
-#: config/lm32/lm32.c:603
+#: config/lm32/lm32.c:600
 msgid "can't use non gp relative absolute address"
 msgstr "Nicht-GP-relative absolute Adresse kann nicht verwendet werden"
 
-#: config/lm32/lm32.c:607
+#: config/lm32/lm32.c:604
 msgid "invalid addressing mode"
 msgstr "ungültiger Adressierungsmodus"
 
@@ -3139,36 +3140,36 @@
 msgid "invalid %%L code"
 msgstr "ungültiger %%L-Code"
 
-#: config/microblaze/microblaze.c:1760
+#: config/microblaze/microblaze.c:2156
 #, c-format
 msgid "unknown punctuation '%c'"
 msgstr "unbekanntes Zeichen »%c«"
 
-#: config/microblaze/microblaze.c:1769
+#: config/microblaze/microblaze.c:2165
 #, c-format
 msgid "null pointer"
 msgstr "Null-Zeiger"
 
-#: config/microblaze/microblaze.c:1804
+#: config/microblaze/microblaze.c:2200
 #, c-format
 msgid "PRINT_OPERAND, invalid insn for %%C"
 msgstr "PRINT_OPERAND, ungültiger Befehl für %%C"
 
-#: config/microblaze/microblaze.c:1833
+#: config/microblaze/microblaze.c:2229
 #, c-format
 msgid "PRINT_OPERAND, invalid insn for %%N"
 msgstr "PRINT_OPERAND, ungültiger Befehl für %%N"
 
-#: config/microblaze/microblaze.c:1853 config/microblaze/microblaze.c:2014
+#: config/microblaze/microblaze.c:2249 config/microblaze/microblaze.c:2420
 msgid "insn contains an invalid address !"
 msgstr "Befehl enthält eine ungültige Adresse!"
 
-#: config/microblaze/microblaze.c:1867 config/microblaze/microblaze.c:2054
+#: config/microblaze/microblaze.c:2264 config/microblaze/microblaze.c:2479
 #: config/xtensa/xtensa.c:2443
 msgid "invalid address"
 msgstr "ungültige Adresse"
 
-#: config/microblaze/microblaze.c:1966
+#: config/microblaze/microblaze.c:2363
 #, c-format
 msgid "letter %c was found & insn was not CONST_INT"
 msgstr "Buchstabe %c gefunden und Befehl war nicht CONST_INT"
@@ -3449,25 +3450,25 @@
 msgid "invalid operand for code: '%c'"
 msgstr "ungültiger Operand für Code: »%c«"
 
-#: config/sh/sh.c:1204
+#: config/sh/sh.c:1201
 #, c-format
 msgid "invalid operand to %%R"
 msgstr "ungültiger Operand für %%R"
 
-#: config/sh/sh.c:1231
+#: config/sh/sh.c:1228
 #, c-format
 msgid "invalid operand to %%S"
 msgstr "ungültiger Operand für %%S"
 
-#: config/sh/sh.c:9775
+#: config/sh/sh.c:9772
 msgid "created and used with different architectures / ABIs"
 msgstr "erzeugt und mit anderen Architekturen / ABIs verwendet"
 
-#: config/sh/sh.c:9777
+#: config/sh/sh.c:9774
 msgid "created and used with different ABIs"
 msgstr "erzeugt und mit anderen ABIs verwendet"
 
-#: config/sh/sh.c:9779
+#: config/sh/sh.c:9776
 msgid "created and used with different endianness"
 msgstr "erzeugt und mit anderer Bytereihenfolge verwendet"
 
@@ -3486,13 +3487,13 @@
 msgid "invalid %%B operand"
 msgstr "ungültiger %%B-Operand"
 
-#: config/sparc/sparc.c:8508 config/tilegx/tilegx.c:4988
-#: config/tilepro/tilepro.c:4498
+#: config/sparc/sparc.c:8508 config/tilegx/tilegx.c:4986
+#: config/tilepro/tilepro.c:4496
 #, c-format
 msgid "invalid %%C operand"
 msgstr "ungültiger %%C-Operand"
 
-#: config/sparc/sparc.c:8525 config/tilegx/tilegx.c:5021
+#: config/sparc/sparc.c:8525 config/tilegx/tilegx.c:5019
 #, c-format
 msgid "invalid %%D operand"
 msgstr "ungültiger %%D-Operand"
@@ -3537,87 +3538,87 @@
 msgid "xstormy16_print_operand: unknown code"
 msgstr "xstormy16_print_operand: unbekannter Code"
 
-#: config/tilegx/tilegx.c:4973 config/tilepro/tilepro.c:4483
+#: config/tilegx/tilegx.c:4971 config/tilepro/tilepro.c:4481
 #, c-format
 msgid "invalid %%c operand"
 msgstr "ungültiger %%c-Operand"
 
-#: config/tilegx/tilegx.c:5004
+#: config/tilegx/tilegx.c:5002
 #, c-format
 msgid "invalid %%d operand"
 msgstr "ungültiger %%d-Operand"
 
-#: config/tilegx/tilegx.c:5101
+#: config/tilegx/tilegx.c:5099
 #, c-format
 msgid "invalid %%H specifier"
 msgstr "ungültiger %%H-Spezifizierer"
 
-#: config/tilegx/tilegx.c:5143 config/tilepro/tilepro.c:4512
+#: config/tilegx/tilegx.c:5141 config/tilepro/tilepro.c:4510
 #, c-format
 msgid "invalid %%h operand"
 msgstr "ungültiger %%h-Operand"
 
-#: config/tilegx/tilegx.c:5155 config/tilepro/tilepro.c:4576
+#: config/tilegx/tilegx.c:5153 config/tilepro/tilepro.c:4574
 #, c-format
 msgid "invalid %%I operand"
 msgstr "ungültiger %%I-Operand"
 
-#: config/tilegx/tilegx.c:5169 config/tilepro/tilepro.c:4590
+#: config/tilegx/tilegx.c:5167 config/tilepro/tilepro.c:4588
 #, c-format
 msgid "invalid %%i operand"
 msgstr "ungültiger %%i-Operand"
 
-#: config/tilegx/tilegx.c:5192 config/tilepro/tilepro.c:4613
+#: config/tilegx/tilegx.c:5190 config/tilepro/tilepro.c:4611
 #, c-format
 msgid "invalid %%j operand"
 msgstr "ungültiger %%j-Operand"
 
-#: config/tilegx/tilegx.c:5223
+#: config/tilegx/tilegx.c:5221
 #, c-format
 msgid "invalid %%%c operand"
 msgstr "ungültiger %%%c-Operand"
 
-#: config/tilegx/tilegx.c:5238 config/tilepro/tilepro.c:4727
+#: config/tilegx/tilegx.c:5236 config/tilepro/tilepro.c:4725
 #, c-format
 msgid "invalid %%N operand"
 msgstr "ungültiger %%N-Operand"
 
-#: config/tilegx/tilegx.c:5282
+#: config/tilegx/tilegx.c:5280
 #, c-format
 msgid "invalid operand for 'r' specifier"
 msgstr "ungültiger Operand für Spezifizierer »r«"
 
-#: config/tilegx/tilegx.c:5307 config/tilepro/tilepro.c:4809
+#: config/tilegx/tilegx.c:5305 config/tilepro/tilepro.c:4807
 #, c-format
 msgid "unable to print out operand yet; code == %d (%c)"
 msgstr "Operand kann noch nicht ausgegeben werden; Code == %d (%c)"
 
-#: config/tilepro/tilepro.c:4548
+#: config/tilepro/tilepro.c:4546
 #, c-format
 msgid "invalid %%H operand"
 msgstr "ungültiger %%H-Operand"
 
-#: config/tilepro/tilepro.c:4652
+#: config/tilepro/tilepro.c:4650
 #, c-format
 msgid "invalid %%L operand"
 msgstr "ungültiger %%L-Operand"
 
-#: config/tilepro/tilepro.c:4712
+#: config/tilepro/tilepro.c:4710
 #, c-format
 msgid "invalid %%M operand"
 msgstr "ungültiger %%M-Operand"
 
-#: config/tilepro/tilepro.c:4755
+#: config/tilepro/tilepro.c:4753
 #, c-format
 msgid "invalid %%t operand"
 msgstr "ungültiger %%t-Operand"
 
-#: config/tilepro/tilepro.c:4762
+#: config/tilepro/tilepro.c:4760
 #, c-format
 msgid "invalid %%t operand '"
 msgstr "ungültiger %%t-Operand '"
 
-#: config/tilepro/tilepro.c:4783
+#: config/tilepro/tilepro.c:4781
 #, c-format
 msgid "invalid %%r operand"
 msgstr "ungültiger %%r-Operand"
@@ -3685,7 +3686,7 @@
 msgid "({anonymous})"
 msgstr "({anonym})"
 
-#: c/c-parser.c:943 cp/parser.c:23010
+#: c/c-parser.c:943 cp/parser.c:23014
 #, gcc-internal-format
 msgid "expected end of line"
 msgstr "Zeilenende erwartet"
@@ -3695,8 +3696,8 @@
 #: c/c-parser.c:7357 c/c-parser.c:7392 c/c-parser.c:7423 c/c-parser.c:7470
 #: c/c-parser.c:7651 c/c-parser.c:8419 c/c-parser.c:8489 c/c-parser.c:8532
 #: c/c-parser.c:9810 c/c-parser.c:9825 c/c-parser.c:9834 c/c-parser.c:9979
-#: c/c-parser.c:10018 c/c-parser.c:2500 c/c-parser.c:7644 cp/parser.c:22423
-#: cp/parser.c:22956
+#: c/c-parser.c:10018 c/c-parser.c:2500 c/c-parser.c:7644 cp/parser.c:22427
+#: cp/parser.c:22960
 #, gcc-internal-format
 msgid "expected %<;%>"
 msgstr "%<;%> erwartet"
@@ -3708,13 +3709,13 @@
 #: c/c-parser.c:6703 c/c-parser.c:6727 c/c-parser.c:7942 c/c-parser.c:8014
 #: c/c-parser.c:8841 c/c-parser.c:8862 c/c-parser.c:8912 c/c-parser.c:9065
 #: c/c-parser.c:9144 c/c-parser.c:9228 c/c-parser.c:9942 c/c-parser.c:10766
-#: c/c-parser.c:8985 c/c-parser.c:9010 cp/parser.c:20794 cp/parser.c:22959
+#: c/c-parser.c:8985 c/c-parser.c:9010 cp/parser.c:20798 cp/parser.c:22963
 #, gcc-internal-format
 msgid "expected %<(%>"
 msgstr "%<(%> erwartet"
 
 #: c/c-parser.c:1843 c/c-parser.c:6389 c/c-parser.c:6427 c/c-parser.c:6555
-#: cp/parser.c:22421 cp/parser.c:22974
+#: cp/parser.c:22425 cp/parser.c:22978
 #, gcc-internal-format
 msgid "expected %<,%>"
 msgstr "%<,%> erwartet"
@@ -3730,15 +3731,15 @@
 #: c/c-parser.c:7736 c/c-parser.c:7757 c/c-parser.c:7965 c/c-parser.c:8018
 #: c/c-parser.c:8391 c/c-parser.c:8844 c/c-parser.c:8865 c/c-parser.c:8943
 #: c/c-parser.c:9072 c/c-parser.c:9209 c/c-parser.c:9292 c/c-parser.c:9870
-#: c/c-parser.c:9987 c/c-parser.c:10029 c/c-parser.c:10775 cp/parser.c:20816
-#: cp/parser.c:23004
+#: c/c-parser.c:9987 c/c-parser.c:10029 c/c-parser.c:10775 cp/parser.c:20820
+#: cp/parser.c:23008
 #, gcc-internal-format
 msgid "expected %<)%>"
 msgstr "%<)%> erwartet"
 
 #: c/c-parser.c:3095 c/c-parser.c:3911 c/c-parser.c:3945 c/c-parser.c:5228
 #: c/c-parser.c:6491 c/c-parser.c:6760 c/c-parser.c:6878 c/c-parser.c:10678
-#: c/c-parser.c:10680 cp/parser.c:22968
+#: c/c-parser.c:10680 cp/parser.c:22972
 #, gcc-internal-format
 msgid "expected %<]%>"
 msgstr "%<]%> erwartet"
@@ -3747,25 +3748,25 @@
 msgid "expected %<;%>, %<,%> or %<)%>"
 msgstr "%<;%>, %<,%> oder %<)%> erwartet"
 
-#: c/c-parser.c:3774 c/c-parser.c:9826 cp/parser.c:22962 cp/parser.c:24780
+#: c/c-parser.c:3774 c/c-parser.c:9826 cp/parser.c:22966 cp/parser.c:24784
 #, gcc-internal-format
 msgid "expected %<}%>"
 msgstr "%<}%> erwartet"
 
 #: c/c-parser.c:4064 c/c-parser.c:7985 c/c-parser.c:10272 c/c-parser.c:2318
-#: c/c-parser.c:2521 c/c-parser.c:7539 cp/parser.c:14644 cp/parser.c:22965
+#: c/c-parser.c:2521 c/c-parser.c:7539 cp/parser.c:14646 cp/parser.c:22969
 #, gcc-internal-format
 msgid "expected %<{%>"
 msgstr "%<{%> erwartet"
 
 #: c/c-parser.c:4283 c/c-parser.c:4292 c/c-parser.c:5135 c/c-parser.c:5469
 #: c/c-parser.c:7750 c/c-parser.c:8125 c/c-parser.c:8182 c/c-parser.c:9198
-#: cp/parser.c:22998 cp/parser.c:24001
+#: cp/parser.c:23002 cp/parser.c:24005
 #, gcc-internal-format
 msgid "expected %<:%>"
 msgstr "%<:%> erwartet"
 
-#: c/c-parser.c:4831 cp/parser.c:22892
+#: c/c-parser.c:4831 cp/parser.c:22896
 #, gcc-internal-format
 msgid "expected %<while%>"
 msgstr "%<while%> erwartet"
@@ -3774,34 +3775,34 @@
 msgid "expected %<.%>"
 msgstr "%<.%> erwartet"
 
-#: c/c-parser.c:7210 c/c-parser.c:7242 c/c-parser.c:7482 cp/parser.c:24564
-#: cp/parser.c:24638
+#: c/c-parser.c:7210 c/c-parser.c:7242 c/c-parser.c:7482 cp/parser.c:24568
+#: cp/parser.c:24642
 #, gcc-internal-format
 msgid "expected %<@end%>"
 msgstr "%<@end%> erwartet"
 
-#: c/c-parser.c:7899 cp/parser.c:22983
+#: c/c-parser.c:7899 cp/parser.c:22987
 #, gcc-internal-format
 msgid "expected %<>%>"
 msgstr "%<>%> erwartet"
 
-#: c/c-parser.c:9296 cp/parser.c:23007
+#: c/c-parser.c:9296 cp/parser.c:23011
 #, gcc-internal-format
 msgid "expected %<,%> or %<)%>"
 msgstr "%<,%> oder %<)%> erwartet"
 
 #: c/c-parser.c:9549 c/c-parser.c:9580 c/c-parser.c:9816 c/c-parser.c:9968
-#: c/c-parser.c:3968 cp/parser.c:22986
+#: c/c-parser.c:3968 cp/parser.c:22990
 #, gcc-internal-format
 msgid "expected %<=%>"
 msgstr "%<=%> erwartet"
 
-#: c/c-parser.c:10329 c/c-parser.c:10319 cp/parser.c:27421
+#: c/c-parser.c:10329 c/c-parser.c:10319 cp/parser.c:27425
 #, gcc-internal-format
 msgid "expected %<#pragma omp section%> or %<}%>"
 msgstr "%<#pragma omp section%> oder %<}%> erwartet"
 
-#: c/c-parser.c:10666 cp/parser.c:22971
+#: c/c-parser.c:10666 cp/parser.c:22975
 #, gcc-internal-format
 msgid "expected %<[%>"
 msgstr "%<[%> erwartet"
@@ -3810,11 +3811,11 @@
 msgid "(anonymous)"
 msgstr "(anonym)"
 
-#: cp/call.c:8680
+#: cp/call.c:8698
 msgid "candidate 1:"
 msgstr "Kandidat 1:"
 
-#: cp/call.c:8681
+#: cp/call.c:8699
 msgid "candidate 2:"
 msgstr "Kandidat 2:"
 
@@ -3822,7 +3823,7 @@
 msgid "<unnamed>"
 msgstr "<unbenannt>"
 
-#: cp/cxx-pretty-print.c:2149
+#: cp/cxx-pretty-print.c:2153
 msgid "template-parameter-"
 msgstr "Template-Parameter-"
 
@@ -3902,7 +3903,7 @@
 msgid "<declaration error>"
 msgstr "<Deklarationsfehler>"
 
-#: cp/error.c:1445 cp/error.c:2855
+#: cp/error.c:1445 cp/error.c:2859
 msgid "with"
 msgstr "mit"
 
@@ -3924,107 +3925,111 @@
 msgid "<unparsed>"
 msgstr "<nicht-analysiert>"
 
-#: cp/error.c:2504
+#: cp/error.c:2498
+msgid "<lambda>"
+msgstr "<lambda>"
+
+#: cp/error.c:2508
 msgid "<expression error>"
 msgstr "<Ausdrucksfehler>"
 
-#: cp/error.c:2518
+#: cp/error.c:2522
 msgid "<unknown operator>"
 msgstr "<unbekannter Operator>"
 
-#: cp/error.c:2807
+#: cp/error.c:2811
 msgid "{unknown}"
 msgstr "{unbekannt}"
 
-#: cp/error.c:2922
+#: cp/error.c:2926
 msgid "At global scope:"
 msgstr "Im globalen Gültigkeitsbereich:"
 
-#: cp/error.c:3028
+#: cp/error.c:3032
 #, c-format
 msgid "In static member function %qs"
 msgstr "In statischer Elementfunktion %qs"
 
-#: cp/error.c:3030
+#: cp/error.c:3034
 #, c-format
 msgid "In copy constructor %qs"
 msgstr "In Copy-Konstruktor %qs"
 
-#: cp/error.c:3032
+#: cp/error.c:3036
 #, c-format
 msgid "In constructor %qs"
 msgstr "In Konstruktor %qs"
 
-#: cp/error.c:3034
+#: cp/error.c:3038
 #, c-format
 msgid "In destructor %qs"
 msgstr "In Destruktor %qs"
 
-#: cp/error.c:3036
+#: cp/error.c:3040
 msgid "In lambda function"
 msgstr "In Lambda-Funktion"
 
-#: cp/error.c:3056
+#: cp/error.c:3060
 #, c-format
 msgid "%s: In substitution of %qS:\n"
 msgstr "%s: In Ersetzung von %qS:\n"
 
-#: cp/error.c:3057
+#: cp/error.c:3061
 msgid "%s: In instantiation of %q#D:\n"
 msgstr "%s: In Instanziierung von %q#D:\n"
 
-#: cp/error.c:3080
+#: cp/error.c:3084
 #, c-format
 msgid "%s:%d:%d:   "
 msgstr "%s:%d:%d:   "
 
-#: cp/error.c:3083
+#: cp/error.c:3087
 #, c-format
 msgid "%s:%d:   "
 msgstr "%s:%d:   "
 
-#: cp/error.c:3091
+#: cp/error.c:3095
 #, c-format
 msgid "recursively required by substitution of %qS\n"
 msgstr "rekursiv erforderlich durch Ersetzung von %qS\n"
 
-#: cp/error.c:3092
+#: cp/error.c:3096
 #, c-format
 msgid "required by substitution of %qS\n"
 msgstr "erforderlich durch Ersetzung von %qS\n"
 
-#: cp/error.c:3097
+#: cp/error.c:3101
 msgid "recursively required from %q#D\n"
 msgstr "rekursiv erfordert von %q#D\n"
 
-#: cp/error.c:3098
+#: cp/error.c:3102
 msgid "required from %q#D\n"
 msgstr "erfordert durch %q#D\n"
 
-#: cp/error.c:3105
+#: cp/error.c:3109
 msgid "recursively required from here"
 msgstr "rekursiv erfordert von hier"
 
-#: cp/error.c:3106
+#: cp/error.c:3110
 msgid "required from here"
 msgstr "von hier erfordert"
 
-#: cp/error.c:3158
+#: cp/error.c:3162
 #, c-format
 msgid "%s:%d:%d:   [ skipping %d instantiation contexts, use -ftemplate-backtrace-limit=0 to disable ]\n"
 msgstr "%s:%d:%d:   [ %d Instanziierungskontexte werden übersprungen, -ftemplate-backtrace-limit=0 zum Deaktivieren verwenden ]\n"
 
-#: cp/error.c:3163
+#: cp/error.c:3167
 #, c-format
 msgid "%s:%d:   [ skipping %d instantiation contexts, use -ftemplate-backtrace-limit=0 to disable ]\n"
 msgstr "%s:%d:   [ %d Instanziierungskontexte werden übersprungen, -ftemplate-backtrace-limit=0 zum Deaktivieren verwenden ]\n"
 
-#: cp/error.c:3227
+#: cp/error.c:3231
 #, c-format
 msgid "%s:%d:%d:   in constexpr expansion of %qs"
 msgstr "%s:%d:%d:   in constexpr-Ersetzung von %qs"
 
-#: cp/error.c:3231
+#: cp/error.c:3235
 #, c-format
 msgid "%s:%d:   in constexpr expansion of %qs"
 msgstr "%s:%d:   in constexpr-Ersetzung von %qs"
@@ -4033,7 +4038,7 @@
 msgid "candidates are:"
 msgstr "Kandidaten sind:"
 
-#: cp/pt.c:17926 cp/call.c:3290
+#: cp/pt.c:17922 cp/call.c:3290
 #, gcc-internal-format
 msgid "candidate is:"
 msgid_plural "candidates are:"
@@ -4562,12 +4567,12 @@
 msgid "Integer overflow when calculating the amount of memory to allocate"
 msgstr "Ganzzahlüberlauf bei der Berechnung des zu reservierenden Speichers"
 
-#: fortran/trans-decl.c:4842
+#: fortran/trans-decl.c:4844
 #, c-format
 msgid "Actual string length does not match the declared one for dummy argument '%s' (%ld/%ld)"
 msgstr "Effektive Zeichenkettenlänge passt nicht zur deklarierten für Scheinargument »%s« (%ld/%ld)"
 
-#: fortran/trans-decl.c:4850
+#: fortran/trans-decl.c:4852
 #, c-format
 msgid "Actual string length is shorter than the declared one for dummy argument '%s' (%ld/%ld)"
 msgstr "Effektive Zeichenkettenlänge ist kürzer als die deklarierte für Scheinargument »%s« (%ld/%ld)"
@@ -4582,12 +4587,12 @@
 msgid "Unequal character lengths (%ld/%ld) in %s"
 msgstr "Ungleiche Zeichenlängen (%ld/%ld) in %s"
 
-#: fortran/trans-intrinsic.c:6157
+#: fortran/trans-intrinsic.c:6156
 #, c-format
 msgid "Argument NCOPIES of REPEAT intrinsic is negative (its value is %ld)"
 msgstr "Argument NCOPIES des intrinsischen REPEAT ist negativ (sein Wert ist %ld)"
 
-#: fortran/trans-intrinsic.c:6189
+#: fortran/trans-intrinsic.c:6188
 msgid "Argument NCOPIES of REPEAT intrinsic is too large"
 msgstr "Argument NCOPIES des intrinsischen REPEAT ist zu groß"
 
@@ -4819,7 +4824,7 @@
 msgid "objc-cpp-output is deprecated; please use objective-c-cpp-output instead"
 msgstr "objc-cpp-output ist veraltet; bitte stattdessen objective-c-cpp-output verwenden"
 
-#: java/jvspec.c:79 ada/gcc-interface/lang-specs.h:33 gcc.c:844
+#: java/jvspec.c:79 ada/gcc-interface/lang-specs.h:33 gcc.c:845
 msgid "-pg and -fomit-frame-pointer are incompatible"
 msgstr "-pg und -fomit-frame-pointer sind unverträglich"
 
@@ -4879,7 +4884,7 @@
 msgid "consider using '-pg' instead of '-p' with gprof(1)"
 msgstr "evtl. »-pg« statt »-p« mit gprof(1) verwendet"
 
-#: config/sh/sh.h:360 config/sh/sh.h:363
+#: config/sh/sh.h:363 config/sh/sh.h:366
 msgid "SH2a does not support little-endian"
 msgstr "SH2a unterstützt nicht Little-Endian"
 
@@ -4944,7 +4949,7 @@
 msgstr "Die Option -shared wird derzeit nicht für VAX ELF unterstützt"
 
 #: config/i386/mingw-w64.h:82 config/i386/mingw32.h:115
-#: config/i386/cygwin.h:113
+#: config/i386/cygwin.h:109
 msgid "shared and mdll are not compatible"
 msgstr "shared und mdll sind unverträglich"
 
@@ -4984,23 +4989,23 @@
 msgid "profiling not supported with -mg"
 msgstr "Profiling wird mit -mg nicht unterstützt"
 
-#: gcc.c:704
+#: gcc.c:705
 msgid "-fuse-linker-plugin is not supported in this configuration"
 msgstr "-fuse-linker-plugin wird in dieser Konfiguration nicht unterstützt"
 
-#: gcc.c:718
+#: gcc.c:719
 msgid "cannot specify -static with -fsanitize=address"
-msgstr ""
+msgstr "-static kann nicht mit -fsanitize=Adresse angegeben werden"
 
-#: gcc.c:720
+#: gcc.c:721
 msgid "-fsanitize=thread linking must be done with -pie or -shared"
-msgstr ""
+msgstr "Bindung mit -fsanitize=Thread muss mit -pie oder -shared erfolgen"
 
-#: gcc.c:1012
+#: gcc.c:1013
 msgid "GNU C no longer supports -traditional without -E"
 msgstr "GNU C unterstützt nicht mehr -traditional ohne -E"
 
-#: gcc.c:1021
+#: gcc.c:1022
 msgid "-E or -x required when input is from standard input"
 msgstr "-E oder -x benötigt, wenn die Eingabe von der Standardeingabe kommt"
 
@@ -5040,7 +5045,7 @@
 
 #: fortran/lang.opt:214
 msgid "Warn if the type of a variable might be not interoperable with C"
-msgstr ""
+msgstr "Bei Unverträglichkeit eines Variablentyps mit C warnen"
 
 #: fortran/lang.opt:218
 msgid "Warn about truncated character expressions"
@@ -5048,13 +5053,13 @@
 
 #: fortran/lang.opt:222
 msgid "Warn about equality comparisons involving REAL or COMPLEX expressions"
-msgstr ""
+msgstr "Bei Prüfung auf Gleichheit mit REAL- oder COMPLEX-Ausdrücken warnen"
 
 #: fortran/lang.opt:230
 msgid "Warn about most implicit conversions"
 msgstr "Bei den meisten impliziten Umwandlungen warnen"
 
-#: fortran/lang.opt:234 common.opt:542
+#: fortran/lang.opt:234 common.opt:546
 msgid "Print extra (possibly unwanted) warnings"
 msgstr "Zusätzliche (möglicherweise ungewollte) Warnungen ausgeben"
 
@@ -5198,9 +5203,9 @@
 msgid "Allow dollar signs in entity names"
 msgstr "Dollarzeichen in Entity-Namen erlauben"
 
-#: fortran/lang.opt:394 config/alpha/alpha.opt:31 common.opt:656
-#: common.opt:830 common.opt:834 common.opt:838 common.opt:842 common.opt:1227
-#: common.opt:1360 common.opt:1364
+#: fortran/lang.opt:394 config/alpha/alpha.opt:31 common.opt:660
+#: common.opt:834 common.opt:838 common.opt:842 common.opt:846 common.opt:1231
+#: common.opt:1364 common.opt:1368
 msgid "Does nothing. Preserved for backward compatibility."
 msgstr "Tut nichts. Für Rückwärtskompatibilität erhalten."
 
@@ -5434,7 +5439,7 @@
 #: c-family/c.opt:70 c-family/c.opt:73 c-family/c.opt:76 c-family/c.opt:79
 #: c-family/c.opt:175 c-family/c.opt:178 c-family/c.opt:216 c-family/c.opt:220
 #: c-family/c.opt:232 c-family/c.opt:1253 c-family/c.opt:1261
-#: config/darwin.opt:53 common.opt:300 common.opt:303 common.opt:2399
+#: config/darwin.opt:53 common.opt:300 common.opt:303 common.opt:2403
 #, c-format
 msgid "missing filename after %qs"
 msgstr "fehlender Dateiname hinter %qs"
@@ -5529,7 +5534,7 @@
 
 #: c-family/c.opt:261
 msgid "Warn if a subobject has an abi_tag attribute that the complete object type does not have"
-msgstr ""
+msgstr "Bei Subobjekt mit Attribut abi_tag warnen, das das Gesamtobjekt nicht hat"
 
 #: c-family/c.opt:268
 msgid "Warn about suspicious uses of memory addresses"
@@ -5689,7 +5694,7 @@
 
 #: c-family/c.opt:447
 msgid "Warn about C++11 inheriting constructors when the base has a variadic constructor"
-msgstr ""
+msgstr "Bei vererbten Konstruktoren in C++11 warnen, wenn die Basisklasse variadischen Konstruktor hat"
 
 #: c-family/c.opt:451
 msgid "Warn when there is a cast to a pointer from an integer of a different size"
@@ -5709,7 +5714,7 @@
 
 #: c-family/c.opt:467
 msgid "Warn when a string or character literal is followed by a ud-suffix which does not begin with an underscore."
-msgstr ""
+msgstr "Warnen, wenn Zeichenkette oder Zeichenliteral gefolgt von UD-Suffix auftritt, der nicht mit Unterstrich anfängt"
 
 #: c-family/c.opt:471
 msgid "Warn when a logical operator is suspiciously always evaluating to true or false"
@@ -6028,7 +6033,7 @@
 
 #: c-family/c.opt:844
 msgid "Where shorter, use canonicalized paths to systems headers."
-msgstr ""
+msgstr "Falls kürzer, offizielle Pfade zu System-Headers verwenden"
 
 #: c-family/c.opt:848
 msgid "Check the return value of new"
@@ -6039,9 +6044,9 @@
 msgstr "Verschiedene Typen für die Argumente des »?«-Operators erlauben"
 
 #: c-family/c.opt:856 c-family/c.opt:876 c-family/c.opt:1074
-#: config/sh/sh.opt:209 common.opt:949 common.opt:1135 common.opt:1439
-#: common.opt:1713 common.opt:1749 common.opt:1834 common.opt:1838
-#: common.opt:1914 common.opt:1996 common.opt:2020 common.opt:2108
+#: config/sh/sh.opt:213 common.opt:953 common.opt:1139 common.opt:1443
+#: common.opt:1717 common.opt:1753 common.opt:1838 common.opt:1842
+#: common.opt:1918 common.opt:2000 common.opt:2024 common.opt:2112
 msgid "Does nothing.  Preserved for backward compatibility."
 msgstr "Tut nichts. Für Rückwärtskompatibilität erhalten."
 
@@ -6076,11 +6081,11 @@
 
 #: c-family/c.opt:888
 msgid "Write all declarations as Ada code transitively"
-msgstr ""
+msgstr "Alle Deklarationen in Ada-Code transitiv schreiben"
 
 #: c-family/c.opt:892
 msgid "Write all declarations as Ada code for the given file only"
-msgstr ""
+msgstr "Alle Deklarationen in Ada-Code nur für angegebene Datei schreiben"
 
 #: c-family/c.opt:899
 msgid "Generate code to check exception specifications"
@@ -6100,7 +6105,7 @@
 
 #: c-family/c.opt:918
 msgid "Support dynamic initialization of thread-local variables in a different translation unit"
-msgstr ""
+msgstr "Dynamische Initialisierung thread-lokaler Variablen in anderer Übersetzungseinheit unterstützen"
 
 #: c-family/c.opt:925
 msgid "Scope of for-init-statement variables is local to the loop"
@@ -6360,7 +6365,7 @@
 
 #: c-family/c.opt:1245
 msgid "Interpret imaginary, fixed-point, or other gnu number suffix as the corresponding"
-msgstr ""
+msgstr "Imaginäre, Festkomma, oder andere GNU-Zahlenpräfixe als korrespondierend interpretieren"
 
 #: c-family/c.opt:1250
 msgid "-idirafter <dir>\tAdd <dir> to the end of the system include path"
@@ -6560,7 +6565,7 @@
 
 #: go/lang.opt:66
 msgid "-fgo-relative-import-path=<path> Treat a relative import as relative to path"
-msgstr ""
+msgstr "-fgo-relative-import-path=<Pfad> Relativen Import als relativ zum Pfad behandeln"
 
 #: go/lang.opt:70
 msgid "Functions which return values must end with return statements"
@@ -6576,11 +6581,11 @@
 
 #: config/vms/vms.opt:35
 msgid "Use VMS exit codes instead of posix ones"
-msgstr ""
+msgstr "Exitcodes von VMS statt POSIX verwenden"
 
 #: config/vms/vms.opt:39
 msgid "-mpointer-size=[no,32,short,64,long]\tSet the default pointer size"
-msgstr ""
+msgstr "-mpointer-size=[no,32,short,64,long]\tStandardgröße für Zeiger setzen"
 
 #: config/vms/vms.opt:42
 #, c-format
@@ -7052,11 +7057,11 @@
 
 #: config/aarch64/aarch64.opt:28
 msgid "The possible TLS dialects:"
-msgstr ""
+msgstr "Mögliche TLS-Dialekte:"
 
 #: config/aarch64/aarch64.opt:40
 msgid "The code model option names for -mcmodel:"
-msgstr ""
+msgstr "Codemodell-Optionsnamen für -mcmodel:"
 
 #: config/aarch64/aarch64.opt:64 config/arm/arm.opt:94
 #: config/microblaze/microblaze.opt:60
@@ -7201,7 +7206,7 @@
 msgstr "Frühere Stop-Bit-Platzierung für bessere Planung einschalten"
 
 #: config/ia64/ia64.opt:114 config/spu/spu.opt:72 config/pa/pa.opt:58
-#: config/sh/sh.opt:261
+#: config/sh/sh.opt:265
 msgid "Specify range of registers to make fixed"
 msgstr "Bereich der zu fixierenden Register angeben"
 
@@ -7417,7 +7422,7 @@
 
 #: config/epiphany/epiphany.opt:108
 msgid "A floatig point to integer truncation may be replaced with rounding to save mode switching"
-msgstr ""
+msgstr "Abschneiden von Gleitkomma zu Ganzzahl darf durch Rundung ersetzt werden, um Modusumschaltung zu verhindern"
 
 #: config/epiphany/epiphany.opt:112
 msgid "Vectorize for double-word operations."
@@ -7497,11 +7502,11 @@
 
 #: config/h8300/h8300.opt:66
 msgid "Push extended registers on stack in monitor functions"
-msgstr ""
+msgstr "In Überwachungsfunktionen erweiterte Register auf Stack sichern"
 
 #: config/h8300/h8300.opt:70
 msgid "Do not push extended registers on stack in monitor functions"
-msgstr ""
+msgstr "In Überwachungsfunktionen erweiterte Register nicht auf Stack sichern"
 
 #: config/pdp11/pdp11.opt:23
 msgid "Generate code for an 11/10"
@@ -7630,7 +7635,7 @@
 
 #: config/i386/cygming.opt:58
 msgid "Put relocated read-only data into .data section."
-msgstr ""
+msgstr "Umgelagerte Nur-Lese-Daten in .data-Abschnitt legen"
 
 #: config/i386/mingw.opt:29
 msgid "Warn about none ISO msvcrt scanf/printf width extensions"
@@ -7669,7 +7674,7 @@
 msgid "Use 64-bit long double"
 msgstr "64-bit long double verwenden"
 
-#: config/i386/i386.opt:98 config/sh/sh.opt:205
+#: config/i386/i386.opt:98 config/sh/sh.opt:209
 msgid "Reserve space for outgoing arguments in the function prologue"
 msgstr "Platz für Ausgabeargumente in Funktionsprolog reservieren"
 
@@ -7723,9 +7728,8 @@
 msgstr "Angegebenen Adressierungsmodus verwenden"
 
 #: config/i386/i386.opt:175
-#, fuzzy
 msgid "Known address mode (for use with the -maddress-mode= option):"
-msgstr "Bekannte Codemodelle (für Verwendung mit Option -mcmodel=):"
+msgstr "Bekannter Adressmodus (für Verwendung mit Option -maddress-mode=):"
 
 #: config/i386/i386.opt:184
 msgid "%<-mcpu=%> is deprecated; use %<-mtune=%> or %<-march=%> instead"
@@ -7873,9 +7877,8 @@
 msgstr "Befehl vzeroupper erzeugen vor Übergabe der Abarbeitung aus"
 
 #: config/i386/i386.opt:421
-#, fuzzy
 msgid "Do dispatch scheduling if processor is bdver1 or bdver2 or bdver3 and Haifa scheduling"
-msgstr "Bericht-Planung durchführen, wenn Prozessor bdver1 oder bdver2 und Haifa-Planung"
+msgstr "Bericht-Planung durchführen, wenn Prozessor bdver1, bdver2, oder bdver3 und Haifa-Planung"
 
 #: config/i386/i386.opt:426
 msgid "Use 128-bit AVX instructions instead of 256-bit AVX instructions in the auto-vectorizer."
@@ -7987,36 +7990,31 @@
 
 #: config/i386/i386.opt:540
 msgid "Support Hardware Lock Elision prefixes"
-msgstr ""
+msgstr "Präfixe für Hardware-Lock-Auslassung unterstützen"
 
 #: config/i386/i386.opt:544
-#, fuzzy
 msgid "Support RDSEED instruction"
-msgstr "keine Unterstützung für Induktion"
+msgstr "Anweisung RDSEED unterstützen"
 
 #: config/i386/i386.opt:548
-#, fuzzy
 msgid "Support PREFETCHW instruction"
-msgstr "keine Unterstützung für Induktion"
+msgstr "Anweisung PREFETCHW unterstützen"
 
 #: config/i386/i386.opt:552
-#, fuzzy
 msgid "Support flag-preserving add-carry instructions"
-msgstr "Codeerzeugung von crc32-Befehlen unterstützen."
+msgstr "Flag-erhaltende Add-Carry-Anweisungen unterstützen."
 
 #: config/i386/i386.opt:556
 msgid "Support FXSAVE and FXRSTOR instructions"
-msgstr ""
+msgstr "Anweisungen FXSAVE und FXRSTOR unterstützen"
 
 #: config/i386/i386.opt:560
-#, fuzzy
 msgid "Support XSAVE and XRSTOR instructions"
-msgstr "Aufrufe zwischen Thumb- und ARM-Befehlssätzen unterstützen"
+msgstr "Anweisungen XSAVE und XRSTOR unterstützen"
 
 #: config/i386/i386.opt:564
-#, fuzzy
 msgid "Support XSAVEOPT instruction"
-msgstr "Eingebaute MMX-Funktionen unterstützen"
+msgstr "Anweisung XSAVEOPT unterstützen"
 
 #: config/i386/i386.opt:568
 msgid "Support TBM built-in functions and code generation"
@@ -8079,9 +8077,8 @@
 msgstr "Nicht ausgerichtetes 32-Byte AVX-Speichern auftrennen"
 
 #: config/i386/i386.opt:628
-#, fuzzy
 msgid "Support RTM built-in functions and code generation"
-msgstr "Eingebaute TBM-Funktionen und Codeerzeugung unterstützen"
+msgstr "Eingebaute RTM-Funktionen und Codeerzeugung unterstützen"
 
 #: config/pa/pa64-hpux.opt:23
 msgid "Assume code will be linked by GNU ld"
@@ -8185,9 +8182,8 @@
 msgstr "Backend-Fehlersuche einschalten"
 
 #: config/v850/v850.opt:41
-#, fuzzy
 msgid "Do not use the callt instruction (default)"
-msgstr "Den callt-Befehl nicht verwenden"
+msgstr "Die callt-Anweisung nicht verwenden (Standard)"
 
 #: config/v850/v850.opt:45
 msgid "Reuse r30 on a per function basis"
@@ -8250,52 +8246,44 @@
 msgstr "Für v850e2v3-Prozessor übersetzen"
 
 #: config/v850/v850.opt:117
-#, fuzzy
 msgid "Compile for the v850e3v5 processor"
-msgstr "Für v850e-Prozessor übersetzen"
+msgstr "Für v850e3v5-Prozessor übersetzen"
 
 #: config/v850/v850.opt:124
-#, fuzzy
 msgid "Enable v850e3v5 loop instructions"
-msgstr "Clip-Befehle einschalten"
+msgstr "Schleifenbefehle für v850e3v5 einschalten"
 
 #: config/v850/v850.opt:128
 msgid "Set the max size of data eligible for the ZDA area"
 msgstr "Maximalgröße der für den ZDA-Bereich geeigneten Daten setzen"
 
 #: config/v850/v850.opt:135
-#, fuzzy
 msgid "Enable relaxing in the assembler"
-msgstr "Verträglichkeit mit ic960-Assembler einschalten"
+msgstr "Lockerung im Assembler einschalten"
 
 #: config/v850/v850.opt:139
-#, fuzzy
 msgid "Prohibit PC relative jumps"
-msgstr "PC-relative Funktionsaufrufe verbieten"
+msgstr "PC-relative Sprünge verbieten"
 
 #: config/v850/v850.opt:143
-#, fuzzy
 msgid "Inhibit the use of hardware floating point instructions"
-msgstr "Verwendung aller Hardware-Gleitkommabefehle verhindern"
+msgstr "Verwendung von Hardware-Gleitkommaanweisungen unterdrücken"
 
 #: config/v850/v850.opt:147
-#, fuzzy
 msgid "Allow the use of hardware floating point instructions for V850E2V3 and up"
-msgstr "Verwendung von Hardware-Gleitkomma-ABI und -befehlen erlauben"
+msgstr "Verwendung von Hardware-Gleitkommaanweisungen für V850E2V3 und aufwärts erlauben"
 
 #: config/v850/v850.opt:151
-#, fuzzy
 msgid "Enable support for the RH850 ABI.  This is the default"
-msgstr "Verwendung des RX-FPU-Befehls einschalten. Dies ist Standard."
+msgstr "Unterstützung für RH850 ABI einschalten. Dies ist der Standard."
 
 #: config/v850/v850.opt:155
-#, fuzzy
 msgid "Enable support for the old GCC ABI"
-msgstr "Unterstützung für große Objekte einschalten"
+msgstr "Unterstützung für altes GCC ABI einschalten"
 
 #: config/v850/v850.opt:159
 msgid "Support alignments of up to 64-bits"
-msgstr ""
+msgstr "Ausrichtungen von bis zu 64 Bits unterstützen"
 
 #: config/g.opt:27
 msgid "-G<number>\tPut global and static data smaller than <number> bytes into a special section (on some targets)"
@@ -8397,6 +8385,10 @@
 msgid "The device has no SPH special function register. This option will be overridden by the compiler driver with the correct setting if presence/absence of SPH can be deduced from -mmcu=MCU."
 msgstr "Das Gerät hat kein Spezialfunktionsregister SPH. Diese Option wird vom Compilertreiber mit dem korrekten Wert überschrieben, wenn An-/Abwesenheit von SPH von -mmcu=MCU abgeleitet werden kann."
 
+#: config/avr/avr.opt:80
+msgid "Warn if the address space of an address is change."
+msgstr "Warnen, wenn sich Adressraum einer Adresse ändert"
+
 #: config/m32r/m32r.opt:34
 msgid "Compile for the m32rx"
 msgstr "Für m32rx übersetzen"
@@ -8747,9 +8739,8 @@
 msgstr "Visuelle Befehlssatzerweiterungen Version 3.0 für UltraSPARC verwenden"
 
 #: config/sparc/sparc.opt:78
-#, fuzzy
 msgid "Use UltraSPARC Compare-and-Branch extensions"
-msgstr "Multiplizier-Addier-Erweiterungen für UltraSPARC verwenden"
+msgstr "Vergleich-und-Sprung-Erweiterungen für UltraSPARC verwenden"
 
 #: config/sparc/sparc.opt:82
 msgid "Use UltraSPARC Fused Multiply-Add extensions"
@@ -9378,9 +9369,8 @@
 msgstr "Maximalgröße der globalen und statischen Variable, die in kleine Datenbereiche gelegt werden."
 
 #: config/rx/rx.opt:90
-#, fuzzy
 msgid "Generate assembler output that is compatible with the Renesas AS100 assembler.  This may restrict some of the compiler's capabilities.  The default is to generate GAS compatible syntax."
-msgstr "Assemblerausgabe erzeugen, die mit Renesas AS100-Assembler verträglich ist. Dies schränkt einige Kompilerfähigkeiten ein. Standard: GAS-verträgliche Syntax"
+msgstr "Assemblerausgabe erzeugen, die mit Renesas AS100-Assembler verträglich ist. Dies schränkt einige Kompilerfähigkeiten ein. Standard: GAS-verträgliche Syntax."
 
 #: config/rx/rx.opt:96
 msgid "Enable linker relaxation."
@@ -9404,15 +9394,15 @@
 
 #: config/rx/rx.opt:126
 msgid "Warn when multiple, different, fast interrupt handlers are in the compilation unit."
-msgstr ""
+msgstr "Warnen, wenn mehrere unterschiedliche schnelle Interruptbehandlungsroutinen in Übersetzungseinheit sind"
 
 #: config/rx/rx.opt:130
 msgid "Enable the use of the old, broken, ABI where all stacked function arguments are aligned to 32-bits."
-msgstr ""
+msgstr "Verwendung des alten, defekten ABI, wobei alle Funktionsargumente auf dem Stack auf 32 Bits ausgerichtet sind"
 
 #: config/rx/rx.opt:134
 msgid "Enable the use the standard RX ABI where all stacked function arguments are naturally aligned.  This is the default."
-msgstr ""
+msgstr "Verwendung des Standard-RX-ABI, wobei alle Funktionsargumente auf dem Stack natürlich ausgerichtet sind. (Voreinstellung.)"
 
 #: config/fused-madd.opt:22
 msgid "%<-mfused-madd%> is deprecated; use %<-ffp-contract=%> instead"
@@ -9447,64 +9437,68 @@
 msgstr "Verwendet die Software-Multiplikationsemulation (Vorgabe)"
 
 #: config/microblaze/microblaze.opt:72
+msgid "Use reorder instructions (swap and byte reversed load/store) (default)"
+msgstr "Umverteilungsbefehle verwenden (Austausch und umgekehrte Bytereihenfolge beim Laden/Speichern, Voreinstellung)"
+
+#: config/microblaze/microblaze.opt:76
 msgid "Use the software emulation for divides (default)"
 msgstr "Verwendet die Softwareemulation für Divisionen (Vorgabe)"
 
-#: config/microblaze/microblaze.opt:76
+#: config/microblaze/microblaze.opt:80
 msgid "Use the hardware barrel shifter instead of emulation"
 msgstr "Verwendet den Hardware-Berrelshifter statt der Emulation"
 
-#: config/microblaze/microblaze.opt:80
+#: config/microblaze/microblaze.opt:84
 msgid "Use pattern compare instructions"
 msgstr "Verwendet Mustervergleichsbefehle"
 
-#: config/microblaze/microblaze.opt:83
+#: config/microblaze/microblaze.opt:87
 #, c-format
 msgid "%qs is deprecated; use -fstack-check"
 msgstr "%qs ist veraltet; stattdessen -fstack-check verwenden"
 
-#: config/microblaze/microblaze.opt:84
+#: config/microblaze/microblaze.opt:88
 msgid "Check for stack overflow at runtime"
 msgstr "Zur Laufzeit auf Stapelüberlauf prüfen"
 
-#: config/microblaze/microblaze.opt:88 config/iq2000/iq2000.opt:65
+#: config/microblaze/microblaze.opt:92 config/iq2000/iq2000.opt:65
 msgid "Use GP relative sdata/sbss sections"
 msgstr "Relative GP sdata/sbss-Abschnitte verwenden"
 
-#: config/microblaze/microblaze.opt:91
+#: config/microblaze/microblaze.opt:95
 #, c-format
 msgid "%qs is deprecated; use -fno-zero-initialized-in-bss"
 msgstr "%qs ist veraltet; stattdessen -fno-zero-initialized-in-bss verwenden"
 
-#: config/microblaze/microblaze.opt:92
+#: config/microblaze/microblaze.opt:96
 msgid "Clear the BSS to zero and place zero initialized in BSS"
 msgstr "BSS komplett löschen und mit Null initialisierte Werte in BSS plazieren"
 
-#: config/microblaze/microblaze.opt:96
+#: config/microblaze/microblaze.opt:100
 msgid "Use multiply high instructions for high part of 32x32 multiply"
 msgstr "Verwendet »multiply high«-Befehle für den oberen Teil einer 32x32 Multiplikation"
 
-#: config/microblaze/microblaze.opt:100
+#: config/microblaze/microblaze.opt:104
 msgid "Use hardware floating point conversion instructions"
 msgstr "Hardware-Gleitkommakonvertierungbefehle verwenden"
 
-#: config/microblaze/microblaze.opt:104
+#: config/microblaze/microblaze.opt:108
 msgid "Use hardware floating point square root instruction"
 msgstr "Verwendet Hardware-Gleitkomma-Wurzel-Instruktion"
 
-#: config/microblaze/microblaze.opt:108
+#: config/microblaze/microblaze.opt:112
 msgid "Description for mxl-mode-executable"
 msgstr "Beschreibung für mxl-mode-executable"
 
-#: config/microblaze/microblaze.opt:112
+#: config/microblaze/microblaze.opt:116
 msgid "Description for mxl-mode-xmdstub"
 msgstr "Beschreibung für mxl-mode-xmdstub"
 
-#: config/microblaze/microblaze.opt:116
+#: config/microblaze/microblaze.opt:120
 msgid "Description for mxl-mode-bootstrap"
 msgstr "Beschreibung für mxl-mode-bootstrap"
 
-#: config/microblaze/microblaze.opt:120
+#: config/microblaze/microblaze.opt:124
 msgid "Description for mxl-mode-novectors"
 msgstr "Beschreibung für mxl-mode-novectors"
 
@@ -9826,15 +9820,15 @@
 
 #: config/cris/cris.opt:180
 msgid "Emit traps as \"break 8\", default for CRIS v3 and up.  If disabled, calls to abort() are used."
-msgstr ""
+msgstr "Traps als »break 8« ausgeben, voreingestellt für CRIS v3 und aufwärts. Wenn ausgeschaltet, werden Aufrufe von abort() verwendet."
 
 #: config/cris/cris.opt:184
 msgid "Emit checks causing \"break 8\" instructions to execute when applying atomic builtins on misaligned memory"
-msgstr ""
+msgstr "Prüfungen ausgeben, die bei Anwendung atomarer eingebauter Operationen auf unausgerichtetem Speicher zu »break 8«-Anweisungen führen"
 
 #: config/cris/cris.opt:188
 msgid "Handle atomic builtins that may be applied to unaligned data by calling library functions. Overrides -mtrap-unaligned-atomic."
-msgstr ""
+msgstr "Bibliotheksfunktionen aufrufen, wenn atomare eingebaute Operationen auf unausgerichteten Speicher angewendet werden können. Hebt -mtrap-unaligned-atomic auf."
 
 #: config/sh/superh.opt:6
 msgid "Board name [and memory region]."
@@ -9844,300 +9838,297 @@
 msgid "Runtime name."
 msgstr "Laufzeitname."
 
-#: config/sh/sh.opt:44
+#: config/sh/sh.opt:48
 msgid "Generate SH1 code"
 msgstr "SH1-Code erzeugen"
 
-#: config/sh/sh.opt:48
+#: config/sh/sh.opt:52
 msgid "Generate SH2 code"
 msgstr "SH2-Code erzeugen"
 
-#: config/sh/sh.opt:52
+#: config/sh/sh.opt:56
 msgid "Generate default double-precision SH2a-FPU code"
 msgstr "Standard SH2a-FPU-Code mit doppelter Genauigkeit erzeugen"
 
-#: config/sh/sh.opt:56
+#: config/sh/sh.opt:60
 msgid "Generate SH2a FPU-less code"
 msgstr "FPU-freien SH2a-Code erzeugen"
 
-#: config/sh/sh.opt:60
+#: config/sh/sh.opt:64
 msgid "Generate default single-precision SH2a-FPU code"
 msgstr "Standard SH2a-FPU-Code mit einfacher Genauigkeit erzeugen"
 
-#: config/sh/sh.opt:64
+#: config/sh/sh.opt:68
 msgid "Generate only single-precision SH2a-FPU code"
 msgstr "SH2a-FPU-Code nur mit einfacher Genauigkeit erzeugen"
 
-#: config/sh/sh.opt:68
+#: config/sh/sh.opt:72
 msgid "Generate SH2e code"
 msgstr "SH2e-Code erzeugen"
 
-#: config/sh/sh.opt:72
+#: config/sh/sh.opt:76
 msgid "Generate SH3 code"
 msgstr "SH3-Code erzeugen"
 
-#: config/sh/sh.opt:76
+#: config/sh/sh.opt:80
 msgid "Generate SH3e code"
 msgstr "SH3e-Code erzeugen"
 
-#: config/sh/sh.opt:80
+#: config/sh/sh.opt:84
 msgid "Generate SH4 code"
 msgstr "SH4-Code erzeugen"
 
-#: config/sh/sh.opt:84
+#: config/sh/sh.opt:88
 msgid "Generate SH4-100 code"
 msgstr "SH4-100-Code erzeugen"
 
-#: config/sh/sh.opt:88
+#: config/sh/sh.opt:92
 msgid "Generate SH4-200 code"
 msgstr "SH4-200-Code erzeugen"
 
-#: config/sh/sh.opt:94
+#: config/sh/sh.opt:98
 msgid "Generate SH4-300 code"
 msgstr "SH4-300-Code erzeugen"
 
-#: config/sh/sh.opt:98
+#: config/sh/sh.opt:102
 msgid "Generate SH4 FPU-less code"
 msgstr "FPU-freien SH4-Code erzeugen"
 
-#: config/sh/sh.opt:102
+#: config/sh/sh.opt:106
 msgid "Generate SH4-100 FPU-less code"
 msgstr "FPU-freien SH4-100-Code erzeugen"
 
-#: config/sh/sh.opt:106
+#: config/sh/sh.opt:110
 msgid "Generate SH4-200 FPU-less code"
 msgstr "FPU-freien SH4-200-Code erzeugen"
 
-#: config/sh/sh.opt:110
+#: config/sh/sh.opt:114
 msgid "Generate SH4-300 FPU-less code"
 msgstr "FPU-freien SH4-300-Code erzeugen"
 
-#: config/sh/sh.opt:114
+#: config/sh/sh.opt:118
 msgid "Generate code for SH4 340 series (MMU/FPU-less)"
 msgstr "Code für Serie SH4 340 erzeugen (ohne MMU/FPU)"
 
-#: config/sh/sh.opt:119
+#: config/sh/sh.opt:123
 msgid "Generate code for SH4 400 series (MMU/FPU-less)"
 msgstr "Code für Serie SH4 400 erzeugen (ohne MMU/FPU)"
 
-#: config/sh/sh.opt:124
+#: config/sh/sh.opt:128
 msgid "Generate code for SH4 500 series (FPU-less)."
 msgstr "Code für Serie SH4 500 erzeugen (ohne FPU)"
 
-#: config/sh/sh.opt:129
+#: config/sh/sh.opt:133
 msgid "Generate default single-precision SH4 code"
 msgstr "Standard SH4-Code mit einfacher Genauigkeit erzeugen"
 
-#: config/sh/sh.opt:133
+#: config/sh/sh.opt:137
 msgid "Generate default single-precision SH4-100 code"
 msgstr "Standard SH4-100-Code mit einfacher Genauigkeit erzeugen"
 
-#: config/sh/sh.opt:137
+#: config/sh/sh.opt:141
 msgid "Generate default single-precision SH4-200 code"
 msgstr "Standard SH4-200-Code mit einfacher Genauigkeit erzeugen"
 
-#: config/sh/sh.opt:141
+#: config/sh/sh.opt:145
 msgid "Generate default single-precision SH4-300 code"
 msgstr "Standard SH4-300-Code mit einfacher Genauigkeit erzeugen"
 
-#: config/sh/sh.opt:145
+#: config/sh/sh.opt:149
 msgid "Generate only single-precision SH4 code"
 msgstr "SH4-Code nur mit einfacher Genauigkeit erzeugen"
 
-#: config/sh/sh.opt:149
+#: config/sh/sh.opt:153
 msgid "Generate only single-precision SH4-100 code"
 msgstr "SH4-100-Code nur mit einfacher Genauigkeit erzeugen"
 
-#: config/sh/sh.opt:153
+#: config/sh/sh.opt:157
 msgid "Generate only single-precision SH4-200 code"
 msgstr "SH4-200-Code nur mit einfacher Genauigkeit erzeugen"
 
-#: config/sh/sh.opt:157
+#: config/sh/sh.opt:161
 msgid "Generate only single-precision SH4-300 code"
 msgstr "SH4-300-Code nur mit einfacher Genauigkeit erzeugen"
 
-#: config/sh/sh.opt:161
+#: config/sh/sh.opt:165
 msgid "Generate SH4a code"
 msgstr "SH4a-Code erzeugen"
 
-#: config/sh/sh.opt:165
+#: config/sh/sh.opt:169
 msgid "Generate SH4a FPU-less code"
 msgstr "FPU-freien SH4a-Code erzeugen"
 
-#: config/sh/sh.opt:169
+#: config/sh/sh.opt:173
 msgid "Generate default single-precision SH4a code"
 msgstr "Standard SH4a-Code mit einfacher Genauigkeit erzeugen"
 
-#: config/sh/sh.opt:173
+#: config/sh/sh.opt:177
 msgid "Generate only single-precision SH4a code"
 msgstr "SH4a-Code nur mit einfacher Genauigkeit erzeugen"
 
-#: config/sh/sh.opt:177
+#: config/sh/sh.opt:181
 msgid "Generate SH4al-dsp code"
 msgstr "SH4al-dsp-Code erzeugen"
 
-#: config/sh/sh.opt:181
+#: config/sh/sh.opt:185
 msgid "Generate 32-bit SHmedia code"
 msgstr "32-Bit SHmedia-Code erzeugen"
 
-#: config/sh/sh.opt:185
+#: config/sh/sh.opt:189
 msgid "Generate 32-bit FPU-less SHmedia code"
 msgstr "FPU-freien 32-Bit SHmedia-Code erzeugen"
 
-#: config/sh/sh.opt:189
+#: config/sh/sh.opt:193
 msgid "Generate 64-bit SHmedia code"
 msgstr "64-Bit SHmedia-Code erzeugen"
 
-#: config/sh/sh.opt:193
+#: config/sh/sh.opt:197
 msgid "Generate 64-bit FPU-less SHmedia code"
 msgstr "FPU-freien 64-Bit SHmedia-Code erzeugen"
 
-#: config/sh/sh.opt:197
+#: config/sh/sh.opt:201
 msgid "Generate SHcompact code"
 msgstr "SHcompact-Code erzeugen"
 
-#: config/sh/sh.opt:201
+#: config/sh/sh.opt:205
 msgid "Generate FPU-less SHcompact code"
 msgstr "FPU-freien SHcompact-Code erzeugen"
 
-#: config/sh/sh.opt:213
+#: config/sh/sh.opt:217
 msgid "Generate code in big endian mode"
 msgstr "Code im »Big Endian«-Modus erzeugen"
 
-#: config/sh/sh.opt:217
+#: config/sh/sh.opt:221
 msgid "Generate 32-bit offsets in switch tables"
 msgstr "32-Bit-Versatz in switch-Tabellen erzeugen"
 
-#: config/sh/sh.opt:221
+#: config/sh/sh.opt:225
 msgid "Generate bit instructions"
 msgstr "Bit-Befehle erzeugen"
 
-#: config/sh/sh.opt:225
+#: config/sh/sh.opt:229
 msgid "Cost to assume for a branch insn"
 msgstr "Für Sprungbefehl anzunehmende Kosten"
 
-#: config/sh/sh.opt:229
+#: config/sh/sh.opt:233
 msgid "Assume that zero displacement conditional branches are fast"
-msgstr ""
+msgstr "Annehmen, dass bedingte Sprünge mit Weite Null schnell sind"
 
-#: config/sh/sh.opt:233
+#: config/sh/sh.opt:237
 msgid "Enable cbranchdi4 pattern"
 msgstr "cbranchdi4-Muster einschalten"
 
-#: config/sh/sh.opt:237
+#: config/sh/sh.opt:241
 msgid "Emit cmpeqdi_t pattern even when -mcbranchdi is in effect."
 msgstr "cmpeqdi_t-Muster ausgeben, sogar wenn -mcbranchdi aktiv ist."
 
-#: config/sh/sh.opt:241
+#: config/sh/sh.opt:245
 msgid "Enable SH5 cut2 workaround"
 msgstr "SH5-cut2-Workaround einschalten"
 
-#: config/sh/sh.opt:245
+#: config/sh/sh.opt:249
 msgid "Align doubles at 64-bit boundaries"
 msgstr "Doubles auf 64-Bit-Grenzen ausrichten"
 
-#: config/sh/sh.opt:249
+#: config/sh/sh.opt:253
 msgid "Division strategy, one of: call, call2, fp, inv, inv:minlat, inv20u, inv20l, inv:call, inv:call2, inv:fp, call-div1, call-fp, call-table"
 msgstr "Divisionsstrategie, eine von: call, call2, fp, inv, inv:minlat, inv20u, inv20l, inv:call, inv:call2, inv:fp call-div1 call-fp, call-table"
 
-#: config/sh/sh.opt:253
+#: config/sh/sh.opt:257
 msgid "Specify name for 32 bit signed division function"
 msgstr "Namen für vorzeichenbehaftete 32-Bit Divisionsfunktion angeben"
 
-#: config/sh/sh.opt:257
+#: config/sh/sh.opt:261
 msgid "Enable the use of 64-bit floating point registers in fmov instructions.  See -mdalign if 64-bit alignment is required."
 msgstr "Verwendung von 64-Bit Gleitkommaregistern in FMOV-Befehlen aktivieren. Siehe auch -mdalign, wenn 64-Bit-Ausrichtung benötigt wird."
 
-#: config/sh/sh.opt:265
+#: config/sh/sh.opt:269
 msgid "Cost to assume for gettr insn"
 msgstr "Für gettr Befehl anzunehmende Kosten"
 
-#: config/sh/sh.opt:269 config/sh/sh.opt:319
+#: config/sh/sh.opt:273 config/sh/sh.opt:323
 msgid "Follow Renesas (formerly Hitachi) / SuperH calling conventions"
 msgstr "Renesas(vormals Hitachi)/SuperH-Aufrufkonventionen folgen"
 
-#: config/sh/sh.opt:273
+#: config/sh/sh.opt:277
 msgid "Increase the IEEE compliance for floating-point comparisons"
 msgstr "IEEE-Befolgung für Gleitkommavergleiche erhöhen"
 
-#: config/sh/sh.opt:277
+#: config/sh/sh.opt:281
 msgid "Enable the use of the indexed addressing mode for SHmedia32/SHcompact"
 msgstr "Verwendung des indizierten Addressierungsmodus für SHmedia32/SHcompact einschalten"
 
-#: config/sh/sh.opt:281
+#: config/sh/sh.opt:285
 msgid "inline code to invalidate instruction cache entries after setting up nested function trampolines"
 msgstr "Code inline einbetten, um Befehlscache nach dem Aufsetzen verschachtelter Funktionstrampolines zu verwerfen"
 
-#: config/sh/sh.opt:285
+#: config/sh/sh.opt:289
 msgid "Assume symbols might be invalid"
 msgstr "Annehmen, dass Symbole ungültig seien können"
 
-#: config/sh/sh.opt:289
+#: config/sh/sh.opt:293
 msgid "Annotate assembler instructions with estimated addresses"
 msgstr "Assemblerbefehle mit geschätzten Adressen kommentieren"
 
-#: config/sh/sh.opt:293
+#: config/sh/sh.opt:297
 msgid "Generate code in little endian mode"
 msgstr "Code im »Little Endian«-Modus erzeugen"
 
-#: config/sh/sh.opt:297
+#: config/sh/sh.opt:301
 msgid "Mark MAC register as call-clobbered"
 msgstr "MAC-Register als Aufruf-zerstört markieren"
 
-#: config/sh/sh.opt:303
+#: config/sh/sh.opt:307
 msgid "Make structs a multiple of 4 bytes (warning: ABI altered)"
 msgstr "Structs Vielfache von 4 Bytes machen (Warnung: ABI geändert)"
 
-#: config/sh/sh.opt:307
+#: config/sh/sh.opt:311
 msgid "Emit function-calls using global offset table when generating PIC"
 msgstr "Bei PIC-Erzeugung Funktionsaufrufe ausgeben, die die globale Offsettabelle verwenden"
 
-#: config/sh/sh.opt:311
+#: config/sh/sh.opt:315
 msgid "Assume pt* instructions won't trap"
 msgstr "Annehmen, dass pt*-Befehle nicht abgefangen werden (»trap«)"
 
-#: config/sh/sh.opt:315
+#: config/sh/sh.opt:319
 msgid "Shorten address references during linking"
 msgstr "Beim Binden Adressreferenzen verkürzen"
 
-#: config/sh/sh.opt:323
+#: config/sh/sh.opt:327
 msgid "Deprecated.  Use -matomic= instead to select the atomic model"
-msgstr ""
+msgstr "Veraltet. Stattdessen -matomic= verwenden, um atomares Modell zu verwenden"
 
-#: config/sh/sh.opt:327
-#, fuzzy
+#: config/sh/sh.opt:331
 msgid "Specify the model for atomic operations"
-msgstr "Code für eingebaute atomare Operationen erzeugen"
+msgstr "Das Modell für atomare Operationen angeben"
 
-#: config/sh/sh.opt:331
+#: config/sh/sh.opt:335
 msgid "Use tas.b instruction for __atomic_test_and_set"
-msgstr ""
+msgstr "Anweisung tas.b für __atomic_test_and_set verwenden"
 
-#: config/sh/sh.opt:335
+#: config/sh/sh.opt:339
 msgid "Deprecated.  Use -Os instead"
 msgstr "Veraltet. Stattdessen -Os verwenden"
 
-#: config/sh/sh.opt:339
+#: config/sh/sh.opt:343
 msgid "Cost to assume for a multiply insn"
 msgstr "Für einen Multiplikationsbefehl anzunehmende Kosten"
 
-#: config/sh/sh.opt:343
+#: config/sh/sh.opt:347
 msgid "Don't generate privileged-mode only code; implies -mno-inline-ic_invalidate if the inline code would not work in user mode."
 msgstr "Keinen Code nur für privilegierten Modus erzeugen; impliziert -mno-inline-ic_invalidate, wenn der »inline«-Code nicht im Usermodus funktionieren würde"
 
-#: config/sh/sh.opt:349
+#: config/sh/sh.opt:353
 msgid "Pretend a branch-around-a-move is a conditional move."
 msgstr "Vorgeben, dass Sprung-um-Sprung ein bedingter Sprung ist"
 
-#: config/sh/sh.opt:353
-#, fuzzy
+#: config/sh/sh.opt:357
 msgid "Enable the use of the fsca instruction"
-msgstr "Verwendung der kurzen Ladebefehle einschalten"
+msgstr "Verwendung der Anweisung fsca einschalten"
 
-#: config/sh/sh.opt:357
-#, fuzzy
+#: config/sh/sh.opt:361
 msgid "Enable the use of the fsrra instruction"
-msgstr "Verwendung der kurzen Ladebefehle einschalten"
+msgstr "Verwendung der Anweisung fsrra einschalten"
 
 #: config/fr30/fr30.opt:23
 msgid "Assume small address space"
@@ -10456,9 +10447,8 @@
 msgstr "Verwendung aller Gleitkommaoperationen verhindern"
 
 #: config/mips/mips.opt:274
-#, fuzzy
 msgid "Use MCU instructions"
-msgstr "MIPS-3D-Befehle verwenden"
+msgstr "MCU-Anweisungen verwenden"
 
 #: config/mips/mips.opt:278
 msgid "Do not use a cache-flushing function before calling stack trampolines"
@@ -10553,9 +10543,8 @@
 msgstr "Mit 64-Bit Longs und Zeigern kompilieren"
 
 #: config/tilegx/tilegx.opt:45
-#, fuzzy
 msgid "Use given TILE-Gx code model"
-msgstr "Gegebenes x86-64-Codemodell verwenden"
+msgstr "Gegebenes Codemodell TILE-Gx verwenden"
 
 #: java/lang.opt:122
 msgid "Warn if deprecated empty statements are found"
@@ -10710,9 +10699,8 @@
 msgstr "Optimiert auf Geschwindigkeit unter Missachtung genauer Standardkonformität"
 
 #: common.opt:453
-#, fuzzy
 msgid "Optimize for debugging experience rather than speed or size"
-msgstr "Auf Größe statt Geschwindigkeit optimieren"
+msgstr "Auf Fehlersuchmöglichkeiten statt Geschwindigkeit oder Größe optimieren"
 
 #: common.opt:493
 msgid "This switch is deprecated; use -Wextra instead"
@@ -10723,1555 +10711,1545 @@
 msgstr "Bei zurückgegebenen Strukturen, Unions oder Feldern warnen"
 
 #: common.opt:510
+msgid "Warn if a loop with constant number of iterations triggers undefined behavior"
+msgstr "Warnen, wenn Schleife mit konstanter Anzahl von Durchläufen zu undefiniertem Verhalten führt"
+
+#: common.opt:514
 msgid "Warn if an array is accessed out of bounds"
 msgstr "Warnen, wenn auf ein Feld außerhalb der Grenzen zugegriffen wird"
 
-#: common.opt:514
+#: common.opt:518
 msgid "Warn about inappropriate attribute usage"
 msgstr "Bei unpassender Attributverwendung warnen"
 
-#: common.opt:518
+#: common.opt:522
 msgid "Warn about pointer casts which increase alignment"
 msgstr "Warnen, wenn Zeigerumwandlungen die Ausrichtung vergrößern"
 
-#: common.opt:522
+#: common.opt:526
 msgid "Warn when a #warning directive is encountered"
 msgstr "Warnen, wenn eine #warning-Anweisung verwendet wird"
 
-#: common.opt:526
+#: common.opt:530
 msgid "Warn about uses of __attribute__((deprecated)) declarations"
 msgstr "Bei Verwendungen von Deklarationen mit __attribute__((deprecated)) warnen"
 
-#: common.opt:530
+#: common.opt:534
 msgid "Warn when an optimization pass is disabled"
 msgstr "Warnen, wenn ein Optimierungsdurchgang ausgeschaltet ist"
 
-#: common.opt:534
+#: common.opt:538
 msgid "Treat all warnings as errors"
 msgstr "Alle Warnungen als Fehler behandeln"
 
-#: common.opt:538
+#: common.opt:542
 msgid "Treat specified warning as error"
 msgstr "Angegebene Warnung als Fehler behandeln"
 
-#: common.opt:546
+#: common.opt:550
 msgid "Exit on the first error occurred"
 msgstr "Beim ersten auftretenden Fehler beenden"
 
-#: common.opt:550
+#: common.opt:554
 msgid "-Wframe-larger-than=<number>\tWarn if a function's stack frame requires more than <number> bytes"
 msgstr "-Wframe-larger-than=<Anzahl>\tWarnen, wenn der Stapelrahmen einer Funktion mehr als <Anzahl> Bytes benötigt"
 
-#: common.opt:554
+#: common.opt:558
 msgid "Warn when attempting to free a non-heap object"
 msgstr "Beim Versuch der Freigabe eines Nicht-Heap-Objektes warnen"
 
-#: common.opt:558
+#: common.opt:562
 msgid "Warn when an inlined function cannot be inlined"
 msgstr "Warnen, wenn eine inline-Funktion nicht als solche erzeugt werden kann"
 
-#: common.opt:562
+#: common.opt:566
 msgid "Warn when an atomic memory model parameter is known to be outside the valid range."
 msgstr "Warnen, wenn ein Parameter des atomaren Speichermodells erkennbar außerhalb des Wertebereiches ist"
 
-#: common.opt:569
+#: common.opt:573
 msgid "-Wlarger-than=<number>\tWarn if an object is larger than <number> bytes"
 msgstr "-Wlarger-than=<Anzahl>\tWarnen, wenn ein Objekt größer als <Anzahl> Bytes ist"
 
-#: common.opt:573
+#: common.opt:577
 msgid "Warn if the loop cannot be optimized due to nontrivial assumptions."
 msgstr "Warnen, wenn Schleife wegen nichttrivialer Annahmen nicht optimiert werden kann."
 
-#: common.opt:580
+#: common.opt:584
 msgid "Warn about overflow in arithmetic expressions"
 msgstr "Bei Überlauf in arithmetischen Ausdrücken warnen"
 
-#: common.opt:584
+#: common.opt:588
 msgid "Warn when the packed attribute has no effect on struct layout"
 msgstr "Warnen, wenn das »packed«-Attribut keine Auswirkung auf Strukturanordnung hat"
 
-#: common.opt:588
+#: common.opt:592
 msgid "Warn when padding is required to align structure members"
 msgstr "Warnen, wenn Auffüllen benötigt wird, um Strukturelemente auszurichten"
 
-#: common.opt:592
+#: common.opt:596
 msgid "Issue warnings needed for strict compliance to the standard"
 msgstr "Für strikte Standardbefolgung benötigte Warnungen ausgeben"
 
-#: common.opt:596
+#: common.opt:600
 msgid "Warn when one local variable shadows another"
 msgstr "Warnen, wenn eine lokale Variable eine andere überdeckt"
 
-#: common.opt:600
+#: common.opt:604
 msgid "Warn when not issuing stack smashing protection for some reason"
 msgstr "Warnen, wenn Stackzerstörungsschutz nicht ausgegeben wird"
 
-#: common.opt:604
+#: common.opt:608
 msgid "Warn if stack usage might be larger than specified amount"
 msgstr "Warnen, wenn Stapelverwendung den angegebenen Betrag überschreitet"
 
-#: common.opt:608 common.opt:612
+#: common.opt:612 common.opt:616
 msgid "Warn about code which might break strict aliasing rules"
 msgstr "Bei Code warnen, der strict-aliasing-Regeln verletzen könnte"
 
-#: common.opt:616 common.opt:620
+#: common.opt:620 common.opt:624
 msgid "Warn about optimizations that assume that signed overflow is undefined"
 msgstr "Bei Optimierungen, die annehmen, dass vorzeichenbehafteter Überlauf undefiniert ist, warnen"
 
-#: common.opt:624
+#: common.opt:628
 msgid "Warn about functions which might be candidates for __attribute__((const))"
 msgstr "Bei Funktionen, die Kandidaten für __attribute__((const)) sein könnten, warnen"
 
-#: common.opt:628
+#: common.opt:632
 msgid "Warn about functions which might be candidates for __attribute__((pure))"
 msgstr "Bei Funktionen, die Kandidaten für __attribute__((pure)) sein könnten, warnen"
 
-#: common.opt:632
+#: common.opt:636
 msgid "Warn about functions which might be candidates for __attribute__((noreturn))"
 msgstr "Bei Funktionen, die Kandidaten für __attribute__((noreturn)) sind, warnen"
 
-#: common.opt:636
+#: common.opt:640
 msgid "Do not suppress warnings from system headers"
 msgstr "Nicht Warnungen von System-Headern unterdrücken"
 
-#: common.opt:640
+#: common.opt:644
 msgid "Warn whenever a trampoline is generated"
 msgstr "Warnen, wenn ein Trampolin generiert wird"
 
-#: common.opt:644
+#: common.opt:648
 msgid "Warn if a comparison is always true or always false due to the limited range of the data type"
 msgstr "Warnen, wenn ein Vergleich durch beschränkten Wertebereich des Datentyps stets »wahr« oder »unwahr« ist"
 
-#: common.opt:648
+#: common.opt:652
 msgid "Warn about uninitialized automatic variables"
 msgstr "Bei nicht initialisierten automatischen Variablen warnen"
 
-#: common.opt:652
+#: common.opt:656
 msgid "Warn about maybe uninitialized automatic variables"
 msgstr "Bei möglicherweise nicht initialisierten automatischen Variablen warnen"
 
-#: common.opt:660
+#: common.opt:664
 msgid "Enable all -Wunused- warnings"
 msgstr "Alle -Wunused- Warnungen einschalten"
 
-#: common.opt:664
+#: common.opt:668
 msgid "Warn when a function parameter is only set, otherwise unused"
 msgstr "Warnen, wenn ein Funktionsparameter zwar gesetzt aber nicht verwendet wird"
 
-#: common.opt:668
+#: common.opt:672
 msgid "Warn when a variable is only set, otherwise unused"
 msgstr "Warnen, wenn eine Variable zwar gesetzt aber nicht verwendet wird"
 
-#: common.opt:672
+#: common.opt:676
 msgid "Warn when a function is unused"
 msgstr "Warnen, wenn eine Funktion ungenutzt bleibt"
 
-#: common.opt:676
+#: common.opt:680
 msgid "Warn when a label is unused"
 msgstr "Warnen, wenn eine Marke ungenutzt bleibt"
 
-#: common.opt:680
+#: common.opt:684
 msgid "Warn when a function parameter is unused"
 msgstr "Warnen, wenn ein Funktionsparameter nicht verwendet wird"
 
-#: common.opt:684
+#: common.opt:688
 msgid "Warn when an expression value is unused"
 msgstr "Warnen, wenn ein Ausdruckswert nicht verwendet wird"
 
-#: common.opt:688
+#: common.opt:692
 msgid "Warn when a variable is unused"
 msgstr "Warnen, wenn eine Variable nicht verwendet wird"
 
-#: common.opt:692
+#: common.opt:696
 msgid "Warn in case profiles in -fprofile-use do not match"
 msgstr "Warnen, wenn Profile in -fprofile-use nicht zueinander passen"
 
-#: common.opt:696
+#: common.opt:700
 msgid "Warn when a vector operation is compiled outside the SIMD"
 msgstr "Warnen, wenn Vektoroperation außerhalb von SIMD kompiliert wird"
 
-#: common.opt:712
+#: common.opt:716
 msgid "-aux-info <file>\tEmit declaration information into <file>"
 msgstr "-aux-info <Datei>\tDeklarationsinformationen in <Datei> ausgeben"
 
-#: common.opt:731
+#: common.opt:735
 msgid "-d<letters>\tEnable dumps from specific passes of the compiler"
 msgstr "-d<Buchstaben>\tAusgaben von bestimmten Durchläufen des Kompilers einschalten"
 
-#: common.opt:735
+#: common.opt:739
 msgid "-dumpbase <file>\tSet the file basename to be used for dumps"
 msgstr "-dumpbase <Datei>\tDen Basis-Dateinamen für Ausgaben setzen"
 
-#: common.opt:739
+#: common.opt:743
 msgid "-dumpdir <dir>\tSet the directory name to be used for dumps"
 msgstr "-dumpdir <verzeichnis>\tDen Basis-verzeichnisnamen für Ausgaben setzen"
 
-#: common.opt:798
+#: common.opt:802
 msgid "Aggressively optimize loops using language constraints"
-msgstr ""
+msgstr "Agressive Schleifenoptimierungen mit Zwangsbedingungen der Sprache"
 
-#: common.opt:802
+#: common.opt:806
 msgid "Align the start of functions"
 msgstr "Funktionsanfänge ausrichten"
 
-#: common.opt:809
+#: common.opt:813
 msgid "Align labels which are only reached by jumping"
 msgstr "Marken ausrichten, die nur mit Sprüngen erreicht werden können"
 
-#: common.opt:816
+#: common.opt:820
 msgid "Align all labels"
 msgstr "Alle Marken ausrichten"
 
-#: common.opt:823
+#: common.opt:827
 msgid "Align the start of loops"
 msgstr "Schleifenanfänge ausrichten"
 
-#: common.opt:846
+#: common.opt:850
 msgid "Enable AddressSanitizer, a memory error detector"
-msgstr ""
+msgstr "AddressSanitizer einschalten, findet Speicherfehler"
 
-#: common.opt:850
+#: common.opt:854
 msgid "Enable ThreadSanitizer, a data race detector"
-msgstr ""
+msgstr "ThreadSanitizer einschalten, findet Daten-Races"
 
-#: common.opt:854
+#: common.opt:858
 msgid "Generate unwind tables that are exact at each instruction boundary"
 msgstr "Abwicklungstabellen erzeugen, die genau an jeder Befehlsgrenze liegen"
 
-#: common.opt:858
+#: common.opt:862
 msgid "Generate auto-inc/dec instructions"
 msgstr "auto-inc/dec-Befehle erzeugen"
 
-#: common.opt:866
+#: common.opt:870
 msgid "Generate code to check bounds before indexing arrays"
 msgstr "Code zur Überprüfung der Grenzen vor Feldindizierung erzeugen"
 
-#: common.opt:870
+#: common.opt:874
 msgid "Replace add, compare, branch with branch on count register"
 msgstr "Addieren, Vergleichen, Verzweigen mit Verzweigung anhand des Zählregisters ersetzen"
 
-#: common.opt:874
+#: common.opt:878
 msgid "Use profiling information for branch probabilities"
 msgstr "Profilierungsinformationen für Verzweigungswahrscheinlichkeiten verwenden"
 
-#: common.opt:878
+#: common.opt:882
 msgid "Perform branch target load optimization before prologue / epilogue threading"
 msgstr "Ladeoptimierungen für Sprungziele vor Prolog/Epilog-Behandlung ausführen"
 
-#: common.opt:882
+#: common.opt:886
 msgid "Perform branch target load optimization after prologue / epilogue threading"
 msgstr "Ladeoptimierung für Sprungziele nach Prolog/Epilog-Behandlung ausführen"
 
-#: common.opt:886
+#: common.opt:890
 msgid "Restrict target load migration not to re-use registers in any basic block"
 msgstr "In Basis-Blöcken keine Register bei der Ziel-Lade-Bewegung wiederverwenden"
 
-#: common.opt:890
+#: common.opt:894
 msgid "-fcall-saved-<register>\tMark <register> as being preserved across functions"
 msgstr "-fcall-saved-<Register>\t<Register> als über Funktionsgrenzen hinweg reserviert markieren"
 
-#: common.opt:894
+#: common.opt:898
 msgid "-fcall-used-<register>\tMark <register> as being corrupted by function calls"
 msgstr "-fcall-used-<Register>\t<Register> als durch Funktionsaufrufe beschädigt markieren"
 
-#: common.opt:901
+#: common.opt:905
 msgid "Save registers around function calls"
 msgstr "Register bei Funktionsaufrufen sichern"
 
-#: common.opt:905
+#: common.opt:909
 msgid "Compare the results of several data dependence analyzers."
 msgstr "Die Ergebnisse mehrerer Datenabhängigkeitsanalysen vergleichen."
 
-#: common.opt:909
+#: common.opt:913
 msgid "Looks for opportunities to reduce stack adjustments and stack references."
 msgstr "Sucht Möglichkeiten, Stack-Anpassungen und Stack-Referenzen zu reduzieren."
 
-#: common.opt:913
+#: common.opt:917
 msgid "Do not put uninitialized globals in the common section"
 msgstr "Keine uninitialisierten globalen Symbole in gemeinsamen Abschnitt legen"
 
-#: common.opt:921
+#: common.opt:925
 msgid "-fcompare-debug[=<opts>]\tCompile with and without e.g. -gtoggle, and compare the final-insns dump"
 msgstr "-fcompare-debug[=<Optionen>]\tMit und ohne z.B. -gtoggle kompilieren, und den Dump der finalen Anweisungen vergleichen"
 
-#: common.opt:925
+#: common.opt:929
 msgid "Run only the second compilation of -fcompare-debug"
 msgstr "Nur die zweite Kompilierung von -fcompare-debug laufen lassen"
 
-#: common.opt:929
+#: common.opt:933
 msgid "Perform comparison elimination after register allocation has finished"
 msgstr "Beseitigung von Vergleichen nach Registerreservierung durchführen"
 
-#: common.opt:933
+#: common.opt:937
 msgid "Do not perform optimizations increasing noticeably stack usage"
 msgstr "Keine Optimierungen durchführen, die die Stackverwendung deutlich erhöhen"
 
-#: common.opt:937
+#: common.opt:941
 msgid "Perform a register copy-propagation optimization pass"
 msgstr "Optimierungsdurchlauf zur Kopierübertragung von Registern durchführen"
 
-#: common.opt:941
+#: common.opt:945
 msgid "Perform cross-jumping optimization"
 msgstr "Optimierung zum Kreuzsprung durchführen"
 
-#: common.opt:945
+#: common.opt:949
 msgid "When running CSE, follow jumps to their targets"
 msgstr "Beim Durchlaufen von CSE: Sprüngen zu ihren Zielen folgen"
 
-#: common.opt:953
+#: common.opt:957
 msgid "Omit range reduction step when performing complex division"
 msgstr "Schritt zur Bereichsverkleinerung auslassen, wenn komplexe Division durchgeführt wird"
 
-#: common.opt:957
+#: common.opt:961
 msgid "Complex multiplication and division follow Fortran rules"
 msgstr "Komplexe Multiplikation und Division folgen Fortran-Regeln"
 
-#: common.opt:961
+#: common.opt:965
 msgid "Place data items into their own section"
 msgstr "Datenstücke in ihren eigenen Abschnitt legen"
 
-#: common.opt:965
+#: common.opt:969
 msgid "List all available debugging counters with their limits and counts."
 msgstr "Alle verfügbaren Fehleranalysezähler mit ihren Grenzen und Werten auflisten."
 
-#: common.opt:969
+#: common.opt:973
 msgid "-fdbg-cnt=<counter>:<limit>[,<counter>:<limit>,...]\tSet the debug counter limit.   "
 msgstr "-fdbg-cnt=<Zähler>:<Grenze>[,<Zähler>:<Grenze>,...]\tGrenze des Fehlersuchzählers setzen."
 
-#: common.opt:973
+#: common.opt:977
 msgid "Map one directory name to another in debug information"
 msgstr "In Fehlersuchinfo einen Verzeichnisnamen auf einen anderen abbilden"
 
-#: common.opt:977
+#: common.opt:981
 msgid "Output .debug_types section when using DWARF v4 debuginfo."
 msgstr ".debug_types-Abschnitt ausgeben, wenn DWARF v4-Debuginfo verwendet wird"
 
-#: common.opt:983
+#: common.opt:987
 msgid "Defer popping functions args from stack until later"
 msgstr "Zurückholen der Funktionsargumente vom Stapel bis auf weiteres hinauszögern"
 
-#: common.opt:987
+#: common.opt:991
 msgid "Attempt to fill delay slots of branch instructions"
 msgstr "Versuch, die Verzögerungsschlitze der Sprungbefehle auszufüllen"
 
-#: common.opt:991
+#: common.opt:995
 msgid "Delete dead instructions that may throw exceptions"
-msgstr ""
+msgstr "Unerreichbare Befehle löschen, die Ausnahmen werfen können"
 
-#: common.opt:995
+#: common.opt:999
 msgid "Delete useless null pointer checks"
 msgstr "Unnötige Nullzeigerprügungen löschen"
 
-#: common.opt:999
+#: common.opt:1003
 msgid "Try to convert virtual calls to direct ones."
 msgstr "Versuchen, virtuelle Sprünge in direkte umzuwandeln."
 
-#: common.opt:1003
+#: common.opt:1007
 msgid "-fdiagnostics-show-location=[once|every-line]\tHow often to emit source location at the beginning of line-wrapped diagnostics"
 msgstr "-fdiagnostics-show-location=[once|every-line]\tWie oft soll Stelle im Quelltext beim Anfang von zeilenumgebrochener Diagnose ausgegeben werden"
 
-#: common.opt:1020
+#: common.opt:1024
 msgid "Show the source line with a caret indicating the column"
-msgstr ""
+msgstr "Quellzeile mit Einschaltungszeichen anzeigen, um die Spalte zu kennzeichnen"
 
-#: common.opt:1024
+#: common.opt:1028
 msgid "Amend appropriate diagnostic messages with the command line option that controls them"
 msgstr "Die geeignete Diagnosemeldung mit der Kommandozeilenoption erweitern, die sie steuert"
 
-#: common.opt:1028
+#: common.opt:1032
 msgid "-fdisable-[tree|rtl|ipa]-<pass>=range1+range2 disables an optimization pass"
 msgstr "-fdisable-[tree|rtl|ipa]-<Durchgang>=range1+range2 schaltet einen Optimierungsdurchgang aus"
 
-#: common.opt:1032
+#: common.opt:1036
 msgid "-fenable-[tree|rtl|ipa]-<pass>=range1+range2 enables an optimization pass"
 msgstr "-fenable-[tree|rtl|ipa]-<Durchgang>=range1+range2 schaltet einen Optimierungsdurchgang ein"
 
-#: common.opt:1036
+#: common.opt:1040
 msgid "-fdump-<type>\tDump various compiler internals to a file"
 msgstr "-fdump-<type>\tVerschiedene compilerinterne Informationen in eine Datei abziehen"
 
-#: common.opt:1043
+#: common.opt:1047
 msgid "-fdump-final-insns=filename\tDump to filename the insns at the end of translation"
 msgstr "-fdump-final-insns=<Datei>\tDie Befehle am Ende der Übersetzung in Datei abziehen"
 
-#: common.opt:1047
+#: common.opt:1051
 msgid "-fdump-go-spec=filename\tWrite all declarations to file as Go code"
 msgstr "-fdump-go-spec=<Datei>\tAlle Deklarationen als Go-Code in <Datei> schreiben"
 
-#: common.opt:1051
+#: common.opt:1055
 msgid "Suppress output of addresses in debugging dumps"
 msgstr "Ausgabe von Adressen in Fehlersuch-Auszügen unterdrücken"
 
-#: common.opt:1055
+#: common.opt:1059
 msgid "Dump optimization passes"
 msgstr "Optimierungsdurchläufe ausgeben"
 
-#: common.opt:1059
+#: common.opt:1063
 msgid "Suppress output of instruction numbers, line number notes and addresses in debugging dumps"
 msgstr "Ausgabe von Befehlszahlen, Zeilennummernangaben und Adressen in Fehlersuch-Auszügen unterdrücken"
 
-#: common.opt:1063
+#: common.opt:1067
 msgid "Suppress output of previous and next insn numbers in debugging dumps"
 msgstr "Ausgabe der vorigen und nächsten Befehlszahlen in Fehlersuch-Auszügen unterdrücken"
 
-#: common.opt:1067
+#: common.opt:1071
 msgid "Enable CFI tables via GAS assembler directives."
 msgstr "CFI-Tabellen über GAS-Assembler-Anweisungen einschalten"
 
-#: common.opt:1071
+#: common.opt:1075
 msgid "Perform early inlining"
 msgstr "Frühes Inlining durchführen"
 
-#: common.opt:1075
+#: common.opt:1079
 msgid "Perform DWARF2 duplicate elimination"
 msgstr "DWARF2-Wiederholungsbeseitigung durchführen"
 
-#: common.opt:1079
+#: common.opt:1083
 msgid "Perform interprocedural reduction of aggregates"
 msgstr "Zwischenprozedurale Reduktion von Aggregaten durchführen"
 
-#: common.opt:1083 common.opt:1087
+#: common.opt:1087 common.opt:1091
 msgid "Perform unused type elimination in debug info"
 msgstr "Beseitigung ungenutzter Typen in Info zur Fehlersuche durchführen"
 
-#: common.opt:1091
+#: common.opt:1095
 msgid "Do not suppress C++ class debug information."
 msgstr "Keine Fehlersuchinformationen für C++-Klassen unterdrücken"
 
-#: common.opt:1095
+#: common.opt:1099
 msgid "Enable exception handling"
 msgstr "Ausnahmebehandlung einschalten"
 
-#: common.opt:1099
+#: common.opt:1103
 msgid "Perform a number of minor, expensive optimizations"
 msgstr "Eine Reihe kleiner, aber teurer, Optimierungen durchführen"
 
-#: common.opt:1103
+#: common.opt:1107
 msgid "-fexcess-precision=[fast|standard]\tSpecify handling of excess floating-point precision"
 msgstr "-fexcess-precision=[fast|standard]\tBehandlung überschüssiger Gleitkommagenauigkeit bestimmen"
 
-#: common.opt:1106
+#: common.opt:1110
 #, c-format
 msgid "unknown excess precision style %qs"
 msgstr "unbekannte Art überschüssiger Genauigkeit %qs"
 
-#: common.opt:1119
+#: common.opt:1123
 msgid "Output lto objects containing both the intermediate language and binary output."
 msgstr "LTO-Objekte ausgeben, die sowohl Zwischensprache als auch Binärausgabe enthalten"
 
-#: common.opt:1123
+#: common.opt:1127
 msgid "Assume no NaNs or infinities are generated"
 msgstr "Annahme, dass keine NaNs oder Unendlichkeiten erzeugt werden"
 
-#: common.opt:1127
+#: common.opt:1131
 msgid "-ffixed-<register>\tMark <register> as being unavailable to the compiler"
 msgstr "-ffixed-<Register>\t<Register> als für den Compiler nicht verfügbar markieren"
 
-#: common.opt:1131
+#: common.opt:1135
 msgid "Don't allocate floats and doubles in extended-precision registers"
 msgstr "Keine floats und doubles in Registern erweiterter Genauigkeit reservieren"
 
-#: common.opt:1139
+#: common.opt:1143
 msgid "Perform a forward propagation pass on RTL"
 msgstr "Schritt zur Vorwärts-Übertragung auf RTL durchführen"
 
-#: common.opt:1143
+#: common.opt:1147
 msgid "-ffp-contract=[off|on|fast] Perform floating-point expression contraction."
 msgstr "-ffp-contract=[off|on|fast] Schrumpfung von Gleitkommaausdrücken durchführen"
 
-#: common.opt:1146
+#: common.opt:1150
 #, c-format
 msgid "unknown floating point contraction style %qs"
 msgstr "unbekannte Art der Gleitkomma-Kürzung %qs"
 
-#: common.opt:1163
+#: common.opt:1167
 msgid "Allow function addresses to be held in registers"
 msgstr "Vorhalten von Funktionsadressen in Registern erlauben"
 
-#: common.opt:1167
+#: common.opt:1171
 msgid "Place each function into its own section"
 msgstr "Jede Funktion in ihren eigenen Abschnitt platzieren"
 
-#: common.opt:1171
+#: common.opt:1175
 msgid "Perform global common subexpression elimination"
 msgstr "Beseitigung globaler gemeinsamer Teilausdrücke durchführen"
 
-#: common.opt:1175
+#: common.opt:1179
 msgid "Perform enhanced load motion during global common subexpression elimination"
 msgstr "Erweiterte Ladebewegung während Beseitigung globaler gemeinsamer Teilausdrücke durchführen"
 
-#: common.opt:1179
+#: common.opt:1183
 msgid "Perform store motion after global common subexpression elimination"
 msgstr "Speicherbewegung nach Beseitigung globaler gemeinsamer Teilausdrücke durchführen"
 
-#: common.opt:1183
+#: common.opt:1187
 msgid "Perform redundant load after store elimination in global common subexpression"
 msgstr "Beseitigung überflüssigen Ladens nach dem Abspeichern in globalem gemeinsamem Teilausdruck durchführen"
 
-#: common.opt:1188
+#: common.opt:1192
 msgid "Perform global common subexpression elimination after register allocation"
 msgstr "Beseitigung globaler gemeinsamer Teilausdrücke nach Registerreservierung durchführen"
 
-#: common.opt:1194
+#: common.opt:1198
 msgid "Enable in and out of Graphite representation"
 msgstr "Ein- und Ausgabe der Graphite-Repräsentierung einschalten"
 
-#: common.opt:1198
+#: common.opt:1202
 msgid "Enable Graphite Identity transformation"
 msgstr "Transformation der Graphite Identität einschalten"
 
-#: common.opt:1202
-#, fuzzy
+#: common.opt:1206
 msgid "Enable hoisting adjacent loads to encourage generating conditional move"
-msgstr "Herausziehen von Ladeoperationen aus bedingten Zeigern einschalten"
+msgstr "Herausziehen aufeinanderfolgender Ladeoperationen einschalten, um Erzeugung bedingter Kopieroperationen zu fördern"
 
-#: common.opt:1207
+#: common.opt:1211
 msgid "Mark all loops as parallel"
 msgstr "Alle Schleifen als parallel markieren"
 
-#: common.opt:1211
+#: common.opt:1215
 msgid "Enable Loop Strip Mining transformation"
 msgstr "Transformation des Loop Strip Mining einschalten"
 
-#: common.opt:1215
+#: common.opt:1219
 msgid "Enable Loop Interchange transformation"
 msgstr "Transformation des Loop Interchange einschalten"
 
-#: common.opt:1219
+#: common.opt:1223
 msgid "Enable Loop Blocking transformation"
 msgstr "Transformation des Loop Blocking einschalten"
 
-#: common.opt:1223
+#: common.opt:1227
 msgid "Enable support for GNU transactional memory"
 msgstr "Unterstützung für GNU-Transaktionsspeicher einschalten"
 
-#: common.opt:1231
+#: common.opt:1235
 msgid "Enable the ISL based loop nest optimizer"
-msgstr ""
+msgstr "ISL-basierten Optimierer für Schleifenschachtelungen einschalten"
 
-#: common.opt:1235
+#: common.opt:1239
 msgid "Force bitfield accesses to match their type width"
 msgstr "Bitfeld-Zugriffe zwingen, zu ihrer Typbreite zu passen"
 
-#: common.opt:1239
+#: common.opt:1243
 msgid "Enable guessing of branch probabilities"
 msgstr "Erraten der Sprungwahrscheinlichkeiten einschalten"
 
-#: common.opt:1247
+#: common.opt:1251
 msgid "Process #ident directives"
 msgstr "#ident-Anweisungen verarbeiten"
 
-#: common.opt:1251
+#: common.opt:1255
 msgid "Perform conversion of conditional jumps to branchless equivalents"
 msgstr "Umwandlung bedingter Sprünge in zweiglose Äquivalente durchführen"
 
-#: common.opt:1255
+#: common.opt:1259
 msgid "Perform conversion of conditional jumps to conditional execution"
 msgstr "Umwandlung bedingter Sprünge in bedingte Ausführung durchführen"
 
-#: common.opt:1259
+#: common.opt:1263
 msgid "-fstack-reuse=[all|named_vars|none] Set stack reuse level for local variables."
-msgstr ""
+msgstr "-fstack-reuse=[all|named_vars|none] Stufe der Stack-Wiederverwendung für lokale Variablen setzen"
 
-#: common.opt:1262
-#, fuzzy, c-format
+#: common.opt:1266
+#, c-format
 msgid "unknown Stack Reuse Level %qs"
-msgstr "Unbekannte Architektur »%s«"
+msgstr "Unbekannte Stufe %qs für Stack-Wiederverwendung"
 
-#: common.opt:1275
+#: common.opt:1279
 msgid "Convert conditional jumps in innermost loops to branchless equivalents"
 msgstr "Umwandlung bedingter Sprünge in innersten Schleifen in zweiglose Äquivalente durchführen"
 
-#: common.opt:1279
+#: common.opt:1283
 msgid "Also if-convert conditional jumps containing memory writes"
 msgstr "Ebenso if-umwandeln bedingter Sprünge, die Speicherschreiboperationen enthalten"
 
-#: common.opt:1287
+#: common.opt:1291
 msgid "Do not generate .size directives"
 msgstr "Keine .size-Anweisungen erzeugen"
 
-#: common.opt:1291
+#: common.opt:1295
 msgid "Perform indirect inlining"
 msgstr "Indirektes Inlining durchführen"
 
-#: common.opt:1297
+#: common.opt:1301
 msgid "Enable inlining of function declared \"inline\", disabling disables all inlining"
 msgstr "Aktivieren des Inlining von »inline«-Funktionen, ansonsten wird jegliches Inlining deaktiviert"
 
-#: common.opt:1301
+#: common.opt:1305
 msgid "Integrate functions into their callers when code size is known not to grow"
 msgstr "Funktionen in ihre Aufrufer einfügen, wenn Codegröße als nicht wachsend bekannt ist"
 
-#: common.opt:1305
+#: common.opt:1309
 msgid "Integrate functions not declared \"inline\" into their callers when profitable"
 msgstr "Nicht als »inline« deklarierte Funktionen in ihre Aufrufer einfügen, wenn gewinnbringend"
 
-#: common.opt:1309
+#: common.opt:1313
 msgid "Integrate functions only required by their single caller"
 msgstr "Nur an einer Stelle aufgerufene Funktionen in ihre Aufrufer einfügen"
 
-#: common.opt:1316
+#: common.opt:1320
 msgid "-finline-limit=<number>\tLimit the size of inlined functions to <number>"
 msgstr "-finline-limit=<Zahl>\tGröße von »inline«-Funktionen auf <Zahl> beschränken"
 
-#: common.opt:1320
+#: common.opt:1324
 msgid "Inline __atomic operations when a lock free instruction sequence is available."
 msgstr "__atomic-Operationen »inline« erzeugen, wenn Lock-freie Befehlssequenz verfügbar ist"
 
-#: common.opt:1324
+#: common.opt:1328
 msgid "Instrument function entry and exit with profiling calls"
 msgstr "Ein- und Austritte von Funktionen beim Profilieren von Aufrufen verwenden"
 
-#: common.opt:1328
+#: common.opt:1332
 msgid "-finstrument-functions-exclude-function-list=name,...  Do not instrument listed functions"
 msgstr "-finstrument-functions-exclude-function-list=name,...  Aufgezählte Funktionen nicht verwenden"
 
-#: common.opt:1332
+#: common.opt:1336
 msgid "-finstrument-functions-exclude-file-list=filename,...  Do not instrument functions listed in files"
 msgstr "-finstrument-functions-exclude-file-list=filename,...  In Dateien aufgezählte Funktionen nicht verwenden"
 
-#: common.opt:1336
+#: common.opt:1340
 msgid "Perform Interprocedural constant propagation"
 msgstr "Zwischenprozedurale Konstantenweitergabe durchführen"
 
-#: common.opt:1340
+#: common.opt:1344
 msgid "Perform cloning to make Interprocedural constant propagation stronger"
 msgstr "Kopien erzeugen, um zwischenprozedurale Konstantenweitergabe zu verstärken"
 
-#: common.opt:1344
+#: common.opt:1348
 msgid "Perform interprocedural profile propagation"
 msgstr "Zwischenprozedurale Profilweitergabe durchführen"
 
-#: common.opt:1348
+#: common.opt:1352
 msgid "Perform interprocedural points-to analysis"
 msgstr "Zwischenprozedurale Zeigeranalyse durchführen"
 
-#: common.opt:1352
+#: common.opt:1356
 msgid "Discover pure and const functions"
 msgstr "Reine und konstante Funktionen entdecken"
 
-#: common.opt:1356
+#: common.opt:1360
 msgid "Discover readonly and non addressable static variables"
 msgstr "Nur-lese und nicht-adressierbare statische Variablen entdecken"
 
-#: common.opt:1368
+#: common.opt:1372
 msgid "-fira-algorithm=[CB|priority] Set the used IRA algorithm"
 msgstr "-fira-algorithm=[CB|priority] Verwendeten IRA-Algorithmus setzen"
 
-#: common.opt:1371
+#: common.opt:1375
 #, c-format
 msgid "unknown IRA algorithm %qs"
 msgstr "unbekannter IRA-Algorithmus %qs"
 
-#: common.opt:1381
+#: common.opt:1385
 msgid "-fira-region=[one|all|mixed] Set regions for IRA"
 msgstr "-fira-region=[one|all|mixed] Regionen für IRA setzen"
 
-#: common.opt:1384
+#: common.opt:1388
 #, c-format
 msgid "unknown IRA region %qs"
 msgstr "unbekannte IRA-Region %qs"
 
-#: common.opt:1397 common.opt:1402
+#: common.opt:1401 common.opt:1406
 msgid "Use IRA based register pressure calculation"
 msgstr "IRA-basierte Registerdruckkalkulation verwenden"
 
-#: common.opt:1407
+#: common.opt:1411
 msgid "Share slots for saving different hard registers."
 msgstr "Schlitze gemeinsam verwenden, um verschiedene harte Register zu sichern."
 
-#: common.opt:1411
+#: common.opt:1415
 msgid "Share stack slots for spilled pseudo-registers."
 msgstr "Stack-Schlitze für übergelaufene Pseudo-Register gemeinsam verwenden."
 
-#: common.opt:1415
+#: common.opt:1419
 msgid "-fira-verbose=<number>\tControl IRA's level of diagnostic messages."
 msgstr "-fira-verbose=<Zahl<\tStufe der IRA Diagnosemeldungen steuern."
 
-#: common.opt:1419
+#: common.opt:1423
 msgid "Optimize induction variables on trees"
 msgstr "Induktionsvariablen auf Bäumen optimieren"
 
-#: common.opt:1423
+#: common.opt:1427
 msgid "Use jump tables for sufficiently large switch statements"
 msgstr "Sprungtabellen für hinreichend große switch-Anweisungen verwenden"
 
-#: common.opt:1427
+#: common.opt:1431
 msgid "Generate code for functions even if they are fully inlined"
 msgstr "Code für Funktionen erzeugen, auch wenn sie vollständig »inline« sind"
 
-#: common.opt:1431
+#: common.opt:1435
 msgid "Emit static const variables even if they are not used"
 msgstr "Statische konstante Variablen erzeugen, auch wenn sie nicht verwendet werden"
 
-#: common.opt:1435
+#: common.opt:1439
 msgid "Give external symbols a leading underscore"
 msgstr "Externen Symbolen einen führenden Unterstrich geben"
 
-#: common.opt:1443
+#: common.opt:1447
 msgid "Enable link-time optimization."
 msgstr "Optimierungen zur Linkzeit einschalten"
 
-#: common.opt:1447
+#: common.opt:1451
 msgid "Link-time optimization with number of parallel jobs or jobserver."
 msgstr "Optimierungen zur Linkzeit mit Anzahl paralleler Jobs oder Jobserver."
 
-#: common.opt:1451
-#, fuzzy
+#: common.opt:1455
 msgid "Partition symbols and vars at linktime based on object files they originate from"
-msgstr "Funktionen und Variablen zum Linkzeitpunkt aufgrund ihrer Objektdatei-Herkunft partitionieren"
+msgstr "Symbole und Variablen zum Linkzeitpunkt aufgrund ihrer Objektdatei-Herkunft partitionieren"
 
-#: common.opt:1455
+#: common.opt:1459
 msgid "Partition functions and vars at linktime into approximately same sized buckets"
 msgstr "Funktionen und Variablen zum Linkzeitpunkt in ungefähr gleich große Gruppen partitionieren"
 
-#: common.opt:1459
-#, fuzzy
+#: common.opt:1463
 msgid "Put every symbol into separate partition"
-msgstr "Zeichendaten in gesonderten Zeichenabschnitt legen"
+msgstr "Jedes Symbol in gesonderten Abschnitt legen"
 
-#: common.opt:1463
+#: common.opt:1467
 msgid "Disable partioning and streaming"
 msgstr "Partitionierung und Streaming ausschalten"
 
-#: common.opt:1468
+#: common.opt:1472
 msgid "-flto-compression-level=<number>\tUse zlib compression level <number> for IL"
 msgstr "-flto-compression-level=<Stufe>\tZlib Kompressionsstufe <Stufe> für IL verwenden"
 
-#: common.opt:1472
+#: common.opt:1476
 msgid "Report various link-time optimization statistics"
 msgstr "Verschiedene Statistiken über Linkzeit-Optimierung ausgeben"
 
-#: common.opt:1476
+#: common.opt:1480
 msgid "Set errno after built-in math functions"
 msgstr "Nach eingebauten Mathematikfunktionen errno setzen"
 
-#: common.opt:1480
+#: common.opt:1484
 msgid "-fmax-errors=<number>\tMaximum number of errors to report"
 msgstr "-fmax-errors=<Anzahl>\tHöchstzahl der zu meldenden Fehler"
 
-#: common.opt:1484
+#: common.opt:1488
 msgid "Report on permanent memory allocation"
 msgstr "Über dauerhafte Speicherreservierung berichten"
 
-#: common.opt:1488
-#, fuzzy
+#: common.opt:1492
 msgid "Report on permanent memory allocation in WPA only"
-msgstr "Über dauerhafte Speicherreservierung berichten"
+msgstr "Nur in WPA über dauerhafte Speicherreservierung berichten"
 
-#: common.opt:1495
+#: common.opt:1499
 msgid "Attempt to merge identical constants and constant variables"
 msgstr "Versuchen, identische Konstanten und konstante Variablen zu verschmelzen"
 
-#: common.opt:1499
+#: common.opt:1503
 msgid "Attempt to merge identical constants across compilation units"
 msgstr "Versuchen, identische Konstanten über Übersetzungseinheiten hinweg zu verschmelzen"
 
-#: common.opt:1503
+#: common.opt:1507
 msgid "Attempt to merge identical debug strings across compilation units"
 msgstr "Versuchen, identische Zeichenketten zur Fehlersuche über Übersetzungseinheiten hinweg zu verschmelzen"
 
-#: common.opt:1507
+#: common.opt:1511
 msgid "-fmessage-length=<number>\tLimit diagnostics to <number> characters per line.  0 suppresses line-wrapping"
 msgstr "-fmessage-length=<Anzahl>\tDiagnosemeldungen auf <Anzahl> Zeichen pro Zeile beschränken. 0 unterdrückt Zeilenumbruch"
 
-#: common.opt:1511
+#: common.opt:1515
 msgid "Perform SMS based modulo scheduling before the first scheduling pass"
 msgstr "SMS-basierte modulo-Planung vor erstem Planungsdurchlauf durchführen"
 
-#: common.opt:1515
+#: common.opt:1519
 msgid "Perform SMS based modulo scheduling with register moves allowed"
 msgstr "SMS-basierte modulo-Planung mit erlaubten Register-Bewegungen durchführen"
 
-#: common.opt:1519
+#: common.opt:1523
 msgid "Move loop invariant computations out of loops"
 msgstr "Berechnung der Schleifeninvarianten außerhalb der Schleifen legen"
 
-#: common.opt:1523
+#: common.opt:1527
 msgid "Use the RTL dead code elimination pass"
 msgstr "Den RTL-Schritt zur Entfernung toten Codes verwenden"
 
-#: common.opt:1527
+#: common.opt:1531
 msgid "Use the RTL dead store elimination pass"
 msgstr "Den RTL-Schritt zur Entfernung toter Speicherbereiche verwenden"
 
-#: common.opt:1531
+#: common.opt:1535
 msgid "Enable/Disable the traditional scheduling in loops that already passed modulo scheduling"
 msgstr "Traditionelle Planung in Schleifen, die bereits Modulo-Planung unterzogen wurden, einschalten/ausschalten"
 
-#: common.opt:1535
+#: common.opt:1539
 msgid "Support synchronous non-call exceptions"
 msgstr "Synchrone Nicht-Aufruf-Ausnahmen unterstützen"
 
-#: common.opt:1539
+#: common.opt:1543
 msgid "When possible do not generate stack frames"
 msgstr "Wenn möglich, keine Stapelrahmen erzeugen"
 
-#: common.opt:1543
-#, fuzzy
+#: common.opt:1547
 msgid "Enable all optimization info dumps on stderr"
-msgstr "Schleifenoptimierungen auf Baumebene einschalten"
+msgstr "Alle Informationen über Optimierungen auf stderr einschalten"
 
-#: common.opt:1547
+#: common.opt:1551
 msgid "-fopt-info[-<type>=filename]\tDump compiler optimization details"
-msgstr ""
+msgstr "-fopt-info[-<Typ>=Dateiname]\tOptimierungsdetails des Compilers ausgeben"
 
-#: common.opt:1551
+#: common.opt:1555
 msgid "Do the full register move optimization pass"
 msgstr "Den vollständigen Optimierungsdurchlauf für Registerbewegungen durchführen"
 
-#: common.opt:1555
+#: common.opt:1559
 msgid "Optimize sibling and tail recursive calls"
 msgstr "Geschwister- und endrekursive Aufrufe optimieren"
 
-#: common.opt:1559
+#: common.opt:1563
 msgid "Perform partial inlining"
 msgstr "Teilweises Inlining durchführen"
 
-#: common.opt:1563 common.opt:1567
+#: common.opt:1567 common.opt:1571
 msgid "Report on memory allocation before interprocedural optimization"
 msgstr "Über Speicherbelegung vor zwischenprozeduraler Optimierung berichten"
 
-#: common.opt:1571
+#: common.opt:1575
 msgid "Pack structure members together without holes"
 msgstr "Strukturelemente ohne Lücken zusammenpacken"
 
-#: common.opt:1575
+#: common.opt:1579
 msgid "-fpack-struct=<number>\tSet initial maximum structure member alignment"
 msgstr "-fpack-struct=<Zahl>\tAnfängliche größte Ausrichtung für Strukturelemente festlegen"
 
-#: common.opt:1579
+#: common.opt:1583
 msgid "Return small aggregates in memory, not registers"
 msgstr "Kleine Aggregate über Speicher, nicht Register, zurückgeben"
 
-#: common.opt:1583
+#: common.opt:1587
 msgid "Perform loop peeling"
 msgstr "Schleifen-Schälung durchführen"
 
-#: common.opt:1587
+#: common.opt:1591
 msgid "Enable machine specific peephole optimizations"
 msgstr "Maschinenspezifische Guckloch-Optimierungen einschalten"
 
-#: common.opt:1591
+#: common.opt:1595
 msgid "Enable an RTL peephole pass before sched2"
 msgstr "Einen RTL-Guckloch-Durchlauf vor sched2 einschalten"
 
-#: common.opt:1595
+#: common.opt:1599
 msgid "Generate position-independent code if possible (large mode)"
 msgstr "Wenn möglich, lageunabhängigen Code erzeugen (large mode)"
 
-#: common.opt:1599
+#: common.opt:1603
 msgid "Generate position-independent code for executables if possible (large mode)"
 msgstr "Wenn möglich, lageunabhängigen Code für ausführbare Dateien erzeugen (large mode)"
 
-#: common.opt:1603
+#: common.opt:1607
 msgid "Generate position-independent code if possible (small mode)"
 msgstr "Wenn möglich, positionsunabhängigen Code erzeugen (small mode)"
 
-#: common.opt:1607
+#: common.opt:1611
 msgid "Generate position-independent code for executables if possible (small mode)"
 msgstr "Wenn möglich, positionsunabhängigen Code für ausführbare Dateien erzeugen (small mode)"
 
-#: common.opt:1611
+#: common.opt:1615
 msgid "Specify a plugin to load"
 msgstr "Zu ladendes Plugin angeben"
 
-#: common.opt:1615
+#: common.opt:1619
 msgid "-fplugin-arg-<name>-<key>[=<value>]\tSpecify argument <key>=<value> for plugin <name>"
 msgstr "-fplugin-arg-<Name>-<Schlüssel>[=<Wert>]\tArgument <Schlüssel>=<Wert> für Plugin <Name> angeben"
 
-#: common.opt:1619
+#: common.opt:1623
 msgid "Run predictive commoning optimization."
 msgstr "Vorhersehende vereinheitlichende Optimierung durchlaufen."
 
-#: common.opt:1623
+#: common.opt:1627
 msgid "Generate prefetch instructions, if available, for arrays in loops"
 msgstr "Wenn verfügbar, Prefetch-Befehle für Felder in Schleifen erzeugen"
 
-#: common.opt:1627
+#: common.opt:1631
 msgid "Enable basic program profiling code"
 msgstr "Einfachen Programm-Profilierungscode einschalten"
 
-#: common.opt:1631
+#: common.opt:1635
 msgid "Insert arc-based program profiling code"
 msgstr "Arc-basierten Programm-Profilierungscode einfügen"
 
-#: common.opt:1635
+#: common.opt:1639
 msgid "Set the top-level directory for storing the profile data."
 msgstr "Übergeordnetes Verzeichnis zum Speichern der Profildaten setzen"
 
-#: common.opt:1640
+#: common.opt:1644
 msgid "Enable correction of flow inconsistent profile data input"
 msgstr "Korrektur fluss-unstimmiger Profildateneingabe einschalten"
 
-#: common.opt:1644
+#: common.opt:1648
 msgid "Enable common options for generating profile info for profile feedback directed optimizations"
 msgstr "Allgemeine Optionen zum Erzeugen von Profil-Info für Profil-Feedback-gerichtete Optimierungen einschalten"
 
-#: common.opt:1648
+#: common.opt:1652
 msgid "Enable common options for generating profile info for profile feedback directed optimizations, and set -fprofile-dir="
 msgstr "Allgemeine Optionen zum Erzeugen von Profil-Info für Profil-Feedback-gerichtete Optimierungen einschalten, und -fprofile-dir= setzen"
 
-#: common.opt:1652
+#: common.opt:1656
 msgid "Enable common options for performing profile feedback directed optimizations"
 msgstr "Allgemeine Optionen zum Durchführen von Profil-Feedback-gerichteten Optimierungen einschalten"
 
-#: common.opt:1656
+#: common.opt:1660
 msgid "Enable common options for performing profile feedback directed optimizations, and set -fprofile-dir="
 msgstr "Allgemeine Optionen zum Durchführen von Profil-Feedback-gerichteten Optimierungen einschalten, und -fprofile-dir= setzen"
 
-#: common.opt:1660
+#: common.opt:1664
 msgid "Insert code to profile values of expressions"
 msgstr "Code in Profilwerte von Ausdrücken einfügen"
 
-#: common.opt:1664
-#, fuzzy
+#: common.opt:1668
 msgid "Report on consistency of profile"
-msgstr "internes Konsistenzproblem"
+msgstr "Über Konsistenz des Profils berichten"
 
-#: common.opt:1671
+#: common.opt:1675
 msgid "-frandom-seed=<string>\tMake compile reproducible using <string>"
 msgstr "-frandom-seed=<Zeichenkette>\tÜbersetzung mit <Zeichenkette> reproduzierbar machen"
 
-#: common.opt:1681
+#: common.opt:1685
 msgid "Record gcc command line switches in the object file."
 msgstr "GCC-Kommandozeilenschalter in Objektdateien aufzeichnen."
 
-#: common.opt:1685
+#: common.opt:1689
 msgid "Return small aggregates in registers"
 msgstr "Kleine Aggregate über Register zurückgeben"
 
-#: common.opt:1689
+#: common.opt:1693
 msgid "Enables a register move optimization"
 msgstr "Eine Registerbewegungsoptimierung einschalten"
 
-#: common.opt:1693
+#: common.opt:1697
 msgid "Perform a register renaming optimization pass"
 msgstr "Einen Optimierungsdurchgang zur Registerumbenennung durchführen"
 
-#: common.opt:1697
+#: common.opt:1701
 msgid "Reorder basic blocks to improve code placement"
 msgstr "Basisblöcke umsortieren, um Codeplatzierung zu verbessern"
 
-#: common.opt:1701
+#: common.opt:1705
 msgid "Reorder basic blocks and partition into hot and cold sections"
 msgstr "Basisblöcke und Partition in heiße und kalte Abschnitte umordnen"
 
-#: common.opt:1705
+#: common.opt:1709
 msgid "Reorder functions to improve code placement"
 msgstr "Funktionen umsortieren, um Codeplatzierung zu verbessern"
 
-#: common.opt:1709
+#: common.opt:1713
 msgid "Add a common subexpression elimination pass after loop optimizations"
 msgstr "Einen gemeinsamen Durchlauf zur Entfernung von Teilausdrücken nach Schleifenoptimierungen hinzufügen"
 
-#: common.opt:1717
+#: common.opt:1721
 msgid "Disable optimizations that assume default FP rounding behavior"
 msgstr "Optimierungen, die Standard-Rundungsverhalten für Gleitkomma annehmen, ausschalten"
 
-#: common.opt:1721
+#: common.opt:1725
 msgid "Enable scheduling across basic blocks"
 msgstr "Planung über Basisblöcke hinaus einschalten"
 
-#: common.opt:1725
+#: common.opt:1729
 msgid "Enable register pressure sensitive insn scheduling"
 msgstr "Registerdruckempfindliche Befehlsplanung einschalten"
 
-#: common.opt:1729
+#: common.opt:1733
 msgid "Allow speculative motion of non-loads"
 msgstr "Spekulative Bewegung beim Nicht-Laden erlauben"
 
-#: common.opt:1733
+#: common.opt:1737
 msgid "Allow speculative motion of some loads"
 msgstr "Spekulative Bewegung bei einigen Ladeoperationen erlauben"
 
-#: common.opt:1737
+#: common.opt:1741
 msgid "Allow speculative motion of more loads"
 msgstr "Spekulative Bewegung bei mehr Ladeoperationen erlauben"
 
-#: common.opt:1741
+#: common.opt:1745
 msgid "-fsched-verbose=<number>\tSet the verbosity level of the scheduler"
 msgstr "-fsched-verbose=<Stufe>\tStufe der Wortfülle des Planers angeben"
 
-#: common.opt:1745
+#: common.opt:1749
 msgid "If scheduling post reload, do superblock scheduling"
 msgstr "Wenn Planung nach dem Neuladen, dann Superblock-Planung"
 
-#: common.opt:1753
+#: common.opt:1757
 msgid "Reschedule instructions before register allocation"
 msgstr "Befehle vor Registerbelegung neu planen"
 
-#: common.opt:1757
+#: common.opt:1761
 msgid "Reschedule instructions after register allocation"
 msgstr "Befehle nach Registerbelegung neu planen"
 
-#: common.opt:1764
+#: common.opt:1768
 msgid "Schedule instructions using selective scheduling algorithm"
 msgstr "Befehle mit selektivem Planungs-Algorithmus einplanen"
 
-#: common.opt:1768
+#: common.opt:1772
 msgid "Run selective scheduling after reload"
 msgstr "Ausgewählte Planung nach Neuladen laufen lassen"
 
-#: common.opt:1772
+#: common.opt:1776
 msgid "Perform software pipelining of inner loops during selective scheduling"
 msgstr "Während selektiver Planung Software-Pipelining innerer Schleifen durchführen"
 
-#: common.opt:1776
+#: common.opt:1780
 msgid "Perform software pipelining of outer loops during selective scheduling"
 msgstr "Während selektiver Planung Software-Pipelining äußerer Schleifen durchführen"
 
-#: common.opt:1780
+#: common.opt:1784
 msgid "Reschedule pipelined regions without pipelining"
 msgstr "Regionen mit Pipelining ohne Pipelining neu planen"
 
-#: common.opt:1786
+#: common.opt:1790
 msgid "Allow premature scheduling of queued insns"
 msgstr "Nicht ausgereifte Planung von eingereihten Befehlen erlauben"
 
-#: common.opt:1790
+#: common.opt:1794
 msgid "-fsched-stalled-insns=<number>\tSet number of queued insns that can be prematurely scheduled"
 msgstr "-fsched-stalled-insns=<Anzahl>\tAnzahl der eingereihten Befehle setzen, die unausgereift geplant werden können"
 
-#: common.opt:1798
+#: common.opt:1802
 msgid "Set dependence distance checking in premature scheduling of queued insns"
 msgstr "Prüfung der Abhängigkeitsentfernung in nicht ausgereifter Planung von eingereihten Befehlen setzen"
 
-#: common.opt:1802
+#: common.opt:1806
 msgid "-fsched-stalled-insns-dep=<number>\tSet dependence distance checking in premature scheduling of queued insns"
 msgstr "-fsched-stalled-insns-dep=<Zahl>\tPrüfung der Abhängigkeitsentfernung in nicht ausgereifter Planung von eingereihten Befehlen setzen"
 
-#: common.opt:1806
+#: common.opt:1810
 msgid "Enable the group heuristic in the scheduler"
 msgstr "Gruppenheuristik im Planer einschalten"
 
-#: common.opt:1810
+#: common.opt:1814
 msgid "Enable the critical path heuristic in the scheduler"
 msgstr "Critical-Path-Heuristik im Planer einschalten"
 
-#: common.opt:1814
+#: common.opt:1818
 msgid "Enable the speculative instruction heuristic in the scheduler"
 msgstr "Heuristik für spekulative Befehle im Planer einschalten"
 
-#: common.opt:1818
+#: common.opt:1822
 msgid "Enable the rank heuristic in the scheduler"
 msgstr "Rang-Heuristik im Planer einschalten"
 
-#: common.opt:1822
+#: common.opt:1826
 msgid "Enable the last instruction heuristic in the scheduler"
 msgstr "Heuristik für letzte Befehle im Planer einschalten"
 
-#: common.opt:1826
+#: common.opt:1830
 msgid "Enable the dependent count heuristic in the scheduler"
 msgstr "Abhängige Zähl-Heuristik bei Planung einschalten"
 
-#: common.opt:1830
+#: common.opt:1834
 msgid "Access data in the same section from shared anchor points"
 msgstr "Auf Daten im gleichen Abschnitt von gemeinsam benutzten Ankerpunkten zugreifen"
 
-#: common.opt:1842
+#: common.opt:1846
 msgid "Turn on Redundant Extensions Elimination pass."
 msgstr "Redundante Erweiterungsentfernung einschalten"
 
-#: common.opt:1846
+#: common.opt:1850
 msgid "Show column numbers in diagnostics, when available.  Default on"
 msgstr "Spaltenzahlen in Diagnose zeigen, wenn verfügbar. Standard: Ein"
 
-#: common.opt:1850
+#: common.opt:1854
 msgid "Emit function prologues only before parts of the function that need it,"
 msgstr "Funktionsprologe nur vor Teilen der Funktion erzeugen, die diese benötigt"
 
-#: common.opt:1855
+#: common.opt:1859
 msgid "Disable optimizations observable by IEEE signaling NaNs"
 msgstr "Von IEEE-Signalisierungs-NaNs wahrnehmbare Optimierungen ausschalten"
 
-#: common.opt:1859
+#: common.opt:1863
 msgid "Disable floating point optimizations that ignore the IEEE signedness of zero"
 msgstr "Gleitkommaoptimierungen ausschalten, die die IEEE-Vorzeichenbehaftung von Null nicht beachten"
 
-#: common.opt:1863
+#: common.opt:1867
 msgid "Convert floating point constants to single precision constants"
 msgstr "Gleitkommakonstanten in Konstanten einfacher Genauigkeit umwandeln"
 
-#: common.opt:1867
+#: common.opt:1871
 msgid "Split lifetimes of induction variables when loops are unrolled"
 msgstr "Lebensdauer von Induktionsvariablen aufteilen, wenn Schleifen abgerollt werden"
 
-#: common.opt:1871
+#: common.opt:1875
 msgid "Generate discontiguous stack frames"
 msgstr "Nicht zusammenhängende Stack-Rahmen erzeugen"
 
-#: common.opt:1875
+#: common.opt:1879
 msgid "Split wide types into independent registers"
 msgstr "Breite Typen in unabhängige Register aufteilen"
 
-#: common.opt:1879
+#: common.opt:1883
 msgid "Apply variable expansion when loops are unrolled"
 msgstr "Variablenerweiterung anwenden, wenn Schleifen abgerollt werden"
 
-#: common.opt:1883
+#: common.opt:1887
 msgid "-fstack-check=[no|generic|specific]\tInsert stack checking code into the program"
 msgstr "-fstack-check=[no|generic|specific]\tStapelprüfung in das Programm einfügen"
 
-#: common.opt:1887
+#: common.opt:1891
 msgid "Insert stack checking code into the program.  Same as -fstack-check=specific"
 msgstr "Stapelprüfung in das Programm einfügen. Dasselbe wie -fstack-check=specific"
 
-#: common.opt:1894
+#: common.opt:1898
 msgid "-fstack-limit-register=<register>\tTrap if the stack goes past <register>"
 msgstr "-fstack-limit-register=<Register>\tWenn der Stapel über <Register> hinausgeht, abfangen (»trap«)"
 
-#: common.opt:1898
+#: common.opt:1902
 msgid "-fstack-limit-symbol=<name>\tTrap if the stack goes past symbol <name>"
 msgstr "-fstack-limit-symbol=<Name>\tWenn der Stapel über das Symbol <Name> hinausgeht, abfangen (»trap«)"
 
-#: common.opt:1902
+#: common.opt:1906
 msgid "Use propolice as a stack protection method"
 msgstr "Propolice als Stapelschutzmethode verwenden"
 
-#: common.opt:1906
+#: common.opt:1910
 msgid "Use a stack protection method for every function"
 msgstr "Eine Stapelschutzmethode für jede Funktion verwenden"
 
-#: common.opt:1910
+#: common.opt:1914
 msgid "Output stack usage information on a per-function basis"
 msgstr "Information über Stapelbenutzung auf Funktionsbasis ausgeben"
 
-#: common.opt:1922
+#: common.opt:1926
 msgid "Assume strict aliasing rules apply"
 msgstr "Annehmen, dass strenge Alias-Regeln gelten"
 
-#: common.opt:1926
+#: common.opt:1930
 msgid "Treat signed overflow as undefined"
 msgstr "Vorzeichenbehafteten Überlauf als undefiniert behandeln"
 
-#: common.opt:1930
+#: common.opt:1934
 msgid "Implement __atomic operations via libcalls to legacy __sync functions"
-msgstr ""
+msgstr "__atomic-Operationen über Bibliotheksaufrufe alter __sync-Funktionen durchführen"
 
-#: common.opt:1934
+#: common.opt:1938
 msgid "Check for syntax errors, then stop"
 msgstr "Auf Syntaxfehler prüfen und anhalten"
 
-#: common.opt:1938
+#: common.opt:1942
 msgid "Create data files needed by \"gcov\""
 msgstr "Von »gcov« benötigte Dateien anlegen"
 
-#: common.opt:1942
+#: common.opt:1946
 msgid "Perform jump threading optimizations"
 msgstr "Sprung-Threading-Optimierungen durchführen"
 
-#: common.opt:1946
+#: common.opt:1950
 msgid "Report the time taken by each compiler pass"
 msgstr "Benötigte Zeit für jeden Compilerdurchlauf ausgeben"
 
-#: common.opt:1950
+#: common.opt:1954
 msgid "-ftls-model=[global-dynamic|local-dynamic|initial-exec|local-exec]\tSet the default thread-local storage code generation model"
 msgstr "-ftls-model=[global-dynamic|local-dynamic|initial-exec|local-exec]\tDas standardmäßige Codeerzeugungsmodell für Thread-lokalen Speicher angeben"
 
-#: common.opt:1953
+#: common.opt:1957
 #, c-format
 msgid "unknown TLS model %qs"
 msgstr "unbekanntes TLS-Modell %qs"
 
-#: common.opt:1969
+#: common.opt:1973
 msgid "Reorder top level functions, variables, and asms"
 msgstr "Funktionen, Variablen und asms höchster Ebene umordnen"
 
-#: common.opt:1973
+#: common.opt:1977
 msgid "Perform superblock formation via tail duplication"
 msgstr "Superblockerzeugung über Ende-Vervielfältigung durchführen"
 
-#: common.opt:1980
+#: common.opt:1984
 msgid "Assume floating-point operations can trap"
 msgstr "Annehmen, dass Gleitkommaoperationen abgefangen werden können (»trap«)"
 
-#: common.opt:1984
+#: common.opt:1988
 msgid "Trap for signed overflow in addition, subtraction and multiplication"
 msgstr "Vorzeichenbehafteten Überlauf in Addition, Subtraktion und Multiplikation abfangen (»trap«)"
 
-#: common.opt:1988
+#: common.opt:1992
 msgid "Enable SSA-CCP optimization on trees"
 msgstr "SSA-CCP-Optimierungen auf Bäumen einschalten"
 
-#: common.opt:1992
+#: common.opt:1996
 msgid "Enable SSA-BIT-CCP optimization on trees"
 msgstr "SSA-BIT-CCP-Optimierungen auf Bäumen einschalten"
 
-#: common.opt:2000
+#: common.opt:2004
 msgid "Enable loop header copying on trees"
 msgstr "Kopieren des Schleifenkopfes auf Bäumen einschalten"
 
-#: common.opt:2004
-#, fuzzy
+#: common.opt:2008
 msgid "Enable coalescing of copy-related user variables that are inlined"
-msgstr "Variablenverfolgung durchführen und auch Variablen markieren, die uninitialisiert sind"
+msgstr "Verbinden kopierbezogener »inline«-Benutzervariablen einschalten"
 
-#: common.opt:2008
+#: common.opt:2012
 msgid "Enable coalescing of all copy-related user variables"
-msgstr ""
+msgstr "Verbinden kopierbezogener Benutzervariablen einschalten"
 
-#: common.opt:2012
+#: common.opt:2016
 msgid "Replace SSA temporaries with better names in copies"
 msgstr "Vorübergehende SSA-Speicherbereiche in Kopien mit besseren Namen ersetzen"
 
-#: common.opt:2016
+#: common.opt:2020
 msgid "Enable copy propagation on trees"
 msgstr "Kopieweitergabe auf Bäumen einschalten"
 
-#: common.opt:2024
+#: common.opt:2028
 msgid "Transform condition stores into unconditional ones"
 msgstr "Bedingte Speicherbefehle in unbedingte umwandeln"
 
-#: common.opt:2028
+#: common.opt:2032
 msgid "Perform conversions of switch initializations."
 msgstr "Umwandlungen von »switch«-Initialisierungen durchführen."
 
-#: common.opt:2032
+#: common.opt:2036
 msgid "Enable SSA dead code elimination optimization on trees"
 msgstr "Beseitigungsoptimierung für toten SSA-Code auf Bäumen einschalten"
 
-#: common.opt:2036
+#: common.opt:2040
 msgid "Enable dominator optimizations"
 msgstr "Beherrscher-Optimierungen einschalten"
 
-#: common.opt:2040
+#: common.opt:2044
 msgid "Enable tail merging on trees"
 msgstr "Enden-Zusammenfassung auf Bäumen einschalten"
 
-#: common.opt:2044
+#: common.opt:2048
 msgid "Enable dead store elimination"
 msgstr "Entfernung toter Speicherbereiche einschalten"
 
-#: common.opt:2048
+#: common.opt:2052
 msgid "Enable forward propagation on trees"
 msgstr "Vorwärts-Übertragung auf Bäumen einschalten"
 
-#: common.opt:2052
+#: common.opt:2056
 msgid "Enable Full Redundancy Elimination (FRE) on trees"
 msgstr "Vollständige Redundanzentfernung (FRE) auf Bäumen einschalten"
 
-#: common.opt:2056
+#: common.opt:2060
 msgid "Enable string length optimizations on trees"
 msgstr "Zeichenkettenlängen-Optimierungen auf Bäumen einschalten"
 
-#: common.opt:2060
+#: common.opt:2064
 msgid "Enable loop distribution on trees"
 msgstr "Schleifenverteilung auf Bäumen einschalten"
 
-#: common.opt:2064
+#: common.opt:2068
 msgid "Enable loop distribution for patterns transformed into a library call"
 msgstr "Schleifenverteilung für in Bibliotheksaufruf umgewandelte Muster einschalten"
 
-#: common.opt:2068
+#: common.opt:2072
 msgid "Enable loop invariant motion on trees"
 msgstr "Bewegung der Schleifeninvariante auf Bäumen einschalten"
 
-#: common.opt:2072
+#: common.opt:2076
 msgid "Enable loop interchange transforms.  Same as -floop-interchange"
 msgstr "Umwandlungen mit Schleifenaustausch einschalten. Das Gleiche wie -floop-interchange"
 
-#: common.opt:2076
+#: common.opt:2080
 msgid "Create canonical induction variables in loops"
 msgstr "Kanonische Induktionsvariablen in Schleifen erzeugen"
 
-#: common.opt:2080
+#: common.opt:2084
 msgid "Enable loop optimizations on tree level"
 msgstr "Schleifenoptimierungen auf Baumebene einschalten"
 
-#: common.opt:2084
+#: common.opt:2088
 msgid "Enable automatic parallelization of loops"
 msgstr "Automatische Parallelisierung von Schleifen einschalten"
 
-#: common.opt:2088
+#: common.opt:2092
 msgid "Enable hoisting loads from conditional pointers."
 msgstr "Herausziehen von Ladeoperationen aus bedingten Zeigern einschalten"
 
-#: common.opt:2092
+#: common.opt:2096
 msgid "Enable SSA-PRE optimization on trees"
 msgstr "SSA-PRE-Optimierungen auf Bäumen einschalten"
 
-#: common.opt:2096
+#: common.opt:2100
 msgid "In SSA-PRE optimization on trees, enable partial-partial redundancy elimination"
-msgstr ""
+msgstr "In SSA-PRE-Optimierungen auf Bäumen Teils-Teils-Redundanz eliminieren"
 
-#: common.opt:2100
+#: common.opt:2104
 msgid "Perform function-local points-to analysis on trees."
 msgstr "Funktionslokale Analyse von Zeigerzielen auf Bäumen durchführen."
 
-#: common.opt:2104
+#: common.opt:2108
 msgid "Enable reassociation on tree level"
 msgstr "Neuverbindung auf Baumebene einschalten"
 
-#: common.opt:2112
+#: common.opt:2116
 msgid "Enable SSA code sinking on trees"
 msgstr "SSA-Codeversenkung auf Bäumen einschalten"
 
-#: common.opt:2116
+#: common.opt:2120
 msgid "Perform straight-line strength reduction"
-msgstr ""
+msgstr "Stärkereduktion gerader Strecken durchführen"
 
-#: common.opt:2120
+#: common.opt:2124
 msgid "Perform scalar replacement of aggregates"
 msgstr "Skalarersetzung von Aggregaten durchführen"
 
-#: common.opt:2124
+#: common.opt:2128
 msgid "Replace temporary expressions in the SSA->normal pass"
 msgstr "Vorübergehende Ausdrücke im SSA-Normaldurchlauf ersetzen"
 
-#: common.opt:2128
+#: common.opt:2132
 msgid "Perform live range splitting during the SSA->normal pass"
 msgstr "Lebensdaueraufteilung während des SSA-Normaldurchlaufs durchführen"
 
-#: common.opt:2132
+#: common.opt:2136
 msgid "Perform Value Range Propagation on trees"
 msgstr "Wertebereichsweitergabe auf Bäumen durchführen"
 
-#: common.opt:2136
+#: common.opt:2140
 msgid "Compile whole compilation unit at a time"
 msgstr "Ganze Übersetzungseinheit auf einmal übersetzen"
 
-#: common.opt:2140
+#: common.opt:2144
 msgid "Perform loop unrolling when iteration count is known"
 msgstr "Schleifenabwicklung durchführen, wenn Anzahl der Wiederholungen bekannt ist"
 
-#: common.opt:2144
+#: common.opt:2148
 msgid "Perform loop unrolling for all loops"
 msgstr "Schleifenabwicklung für alle Schleifen durchführen"
 
-#: common.opt:2151
+#: common.opt:2155
 msgid "Allow loop optimizations to assume that the loops behave in normal way"
 msgstr "Bei Schleifenoptimierungen annehmen, dass sich die Schleifen normal verhalten"
 
-#: common.opt:2155
+#: common.opt:2159
 msgid "Allow optimization for floating-point arithmetic which may change the"
 msgstr "Optimierung für Gleitkommaarithmetik erlauben, bei möglicher Änderung von"
 
-#: common.opt:2160
+#: common.opt:2164
 msgid "Same as -fassociative-math for expressions which include division."
 msgstr "Das gleiche wie -fassociative-math für Ausdrücke, die Division enthalten."
 
-#: common.opt:2168
+#: common.opt:2172
 msgid "Allow math optimizations that may violate IEEE or ISO standards"
 msgstr "Mathematische Optimierungen erlauben, die IEEE- oder ISO-Standards verletzen könnten"
 
-#: common.opt:2172
+#: common.opt:2176
 msgid "Perform loop unswitching"
 msgstr "Schleifenausschaltung durchführen"
 
-#: common.opt:2176
+#: common.opt:2180
 msgid "Just generate unwind tables for exception handling"
 msgstr "Einfach Abwicklungstabellen für Ausnahmebehandlung erzeugen"
 
-#: common.opt:2180
-#, fuzzy
+#: common.opt:2184
 msgid "Use the bfd linker instead of the default linker"
-msgstr "Verwendet den Hardware-Berrelshifter statt der Emulation"
+msgstr "BFD-Linker statt Standardlinker verwenden"
 
-#: common.opt:2184
-#, fuzzy
+#: common.opt:2188
 msgid "Use the gold linker instead of the default linker"
-msgstr "Verwendet den Hardware-Berrelshifter statt der Emulation"
+msgstr "Gold-Linker statt Standardlinker verwenden"
 
-#: common.opt:2196
+#: common.opt:2200
 msgid "Perform variable tracking"
 msgstr "Variablenverfolgung durchführen"
 
-#: common.opt:2204
+#: common.opt:2208
 msgid "Perform variable tracking by annotating assignments"
 msgstr "Variablenverfolgung durch Zuweisungsanmerkungen durchführen"
 
-#: common.opt:2210
+#: common.opt:2214
 msgid "Toggle -fvar-tracking-assignments"
 msgstr "-fvar-tracking-assignments umschalten"
 
-#: common.opt:2218
+#: common.opt:2222
 msgid "Perform variable tracking and also tag variables that are uninitialized"
 msgstr "Variablenverfolgung durchführen und auch Variablen markieren, die uninitialisiert sind"
 
-#: common.opt:2222
+#: common.opt:2226
 msgid "Enable loop vectorization on trees"
 msgstr "Schleifenvektorisierung auf Bäumen einschalten"
 
-#: common.opt:2226
-#, fuzzy
+#: common.opt:2230
 msgid "-ftree-vectorizer-verbose=<number>\tThis switch is deprecated. Use -fopt-info instead."
-msgstr "-ftree-vectorizer-verbose=<Zahl>\tStufe der Wortfülle des Vektorisierers setzen"
+msgstr "-ftree-vectorizer-verbose=<Zahl>\tVeralteter Schalter. Stattdessen -fopt-info verwenden."
 
-#: common.opt:2230
+#: common.opt:2234
 msgid "Enable basic block vectorization (SLP) on trees"
 msgstr "Vektorisierung von Basisblöcken (SLP) auf Bäumen einschalten"
 
-#: common.opt:2234
+#: common.opt:2238
 msgid "Enable use of cost model in vectorization"
 msgstr "Verwendung des Kostenmodells in Vektorisierung einschalten"
 
-#: common.opt:2238
+#: common.opt:2242
 msgid "Enable loop versioning when doing loop vectorization on trees"
 msgstr "Schleifenversionierung bei Schleifenvektorisierung auf Bäumen einschalten"
 
-#: common.opt:2242
+#: common.opt:2246
 msgid "Enable copy propagation of scalar-evolution information."
 msgstr "Kopieweitergabe von Informationen über Skalar-Evolution einschalten."
 
-#: common.opt:2252
+#: common.opt:2256
 msgid "Add extra commentary to assembler output"
 msgstr "Zusätzlichen Kommentar an Assemblerausgabe anfügen"
 
-#: common.opt:2256
+#: common.opt:2260
 msgid "-fvisibility=[default|internal|hidden|protected]\tSet the default symbol visibility"
 msgstr "-fvisibility=[default|internal|hidden|protected]\tStandard-Symbolsichtbarkeit setzen"
 
-#: common.opt:2259
+#: common.opt:2263
 #, c-format
 msgid "unrecognized visibility value %qs"
 msgstr "unbekannter Sichtbarkeitswert %qs"
 
-#: common.opt:2275
+#: common.opt:2279
 msgid "Use expression value profiles in optimizations"
 msgstr "Profile von Ausdruckswerten in Optimierungen verwenden"
 
-#: common.opt:2279
+#: common.opt:2283
 msgid "Construct webs and split unrelated uses of single variable"
 msgstr "Netze konstruieren und nicht zusammenhängende Verwendungen einzelner Variablen aufteilen"
 
-#: common.opt:2283
+#: common.opt:2287
 msgid "Enable conditional dead code elimination for builtin calls"
 msgstr "Beseitigung von bedingt totem Code für Aufrufe eingebauter Funktionen einschalten"
 
-#: common.opt:2287
+#: common.opt:2291
 msgid "Perform whole program optimizations"
 msgstr "Gesamtprogrammoptimierung durchführen"
 
-#: common.opt:2291
+#: common.opt:2295
 msgid "Assume signed arithmetic overflow wraps around"
 msgstr "Annehmen, dass vorzeichenbehaftete arithmetische Überläufe regulär überschlagen"
 
-#: common.opt:2295
+#: common.opt:2299
 msgid "Put zero initialized data in the bss section"
 msgstr "Null-initialisierte Daten in den bss-Abschnitt legen"
 
-#: common.opt:2299
+#: common.opt:2303
 msgid "Generate debug information in default format"
 msgstr "Fehlersuchinformationen im Standardformat erzeugen"
 
-#: common.opt:2303
+#: common.opt:2307
 msgid "Generate debug information in COFF format"
 msgstr "Fehlersuchinformationen im COFF-Format erzeugen"
 
-#: common.opt:2307
+#: common.opt:2311
 msgid "Generate debug information in DWARF v2 (or later) format"
 msgstr "Fehlersuchinformationen im DWARFv2-Format (oder neuer) erzeugen"
 
-#: common.opt:2311
+#: common.opt:2315
 msgid "Generate debug information in default extended format"
 msgstr "Fehlersuchinformationen im erweiterten Standardformat erzeugen"
 
-#: common.opt:2315
-#, fuzzy
+#: common.opt:2319
 msgid "Don't generate DWARF pubnames and pubtypes sections."
-msgstr "Keine verschmolzenen Multiplizier-/Addier-Befehle erzeugen"
+msgstr "Keine DWARF-Abschnitte für Pubnames und Pubtypes erzeugen"
 
-#: common.opt:2319
+#: common.opt:2323
 msgid "Generate DWARF pubnames and pubtypes sections."
-msgstr ""
+msgstr "DWARF-Abschnitte für Pubnames und Pubtypes erzeugen"
 
-#: common.opt:2323
+#: common.opt:2327
 msgid "Don't record gcc command line switches in DWARF DW_AT_producer."
 msgstr "GCC-Kommandozeilenschalter nicht in DWARF DW_AT_producer aufzeichnen."
 
-#: common.opt:2327
+#: common.opt:2331
 msgid "Record gcc command line switches in DWARF DW_AT_producer."
 msgstr "GCC-Kommandozeilenschalter in DWARF DW_AT_producer aufzeichnen."
 
-#: common.opt:2331
-#, fuzzy
+#: common.opt:2335
 msgid "Don't generate debug information in separate .dwo files"
-msgstr "Fehlersuchinformationen im Standardformat erzeugen"
+msgstr "Keine Fehlersuchinformationen in eigenen .dwo-Dateien erzeugen"
 
-#: common.opt:2335
-#, fuzzy
+#: common.opt:2339
 msgid "Generate debug information in separate .dwo files"
-msgstr "Fehlersuchinformationen im Standardformat erzeugen"
+msgstr "Fehlersuchinformationen in eigenen .dwo-Dateien erzeugen"
 
-#: common.opt:2339
+#: common.opt:2343
 msgid "Generate debug information in STABS format"
 msgstr "Fehlersuchinformationen im STABS-Format erzeugen"
 
-#: common.opt:2343
+#: common.opt:2347
 msgid "Generate debug information in extended STABS format"
 msgstr "Fehlersuchinformationen im erweiterten STABS-Format erzeugen"
 
-#: common.opt:2347
+#: common.opt:2351
 msgid "Emit DWARF additions beyond selected version"
 msgstr "DWARF-Ergänzungen über gewählte Version hinaus ausgeben"
 
-#: common.opt:2351
+#: common.opt:2355
 msgid "Don't emit DWARF additions beyond selected version"
 msgstr "Keine DWARF-Ergänzungen über gewählte Version hinaus ausgeben"
 
-#: common.opt:2355
+#: common.opt:2359
 msgid "Toggle debug information generation"
 msgstr "Erzeugung von Fehlersuchinformationen umschalten"
 
-#: common.opt:2359
+#: common.opt:2363
 msgid "Generate debug information in VMS format"
 msgstr "Fehlersuchinformationen im VMS-Format erzeugen"
 
-#: common.opt:2363
+#: common.opt:2367
 msgid "Generate debug information in XCOFF format"
 msgstr "Fehlersuchinformationen im XCOFF-Format erzeugen"
 
-#: common.opt:2367
+#: common.opt:2371
 msgid "Generate debug information in extended XCOFF format"
 msgstr "Fehlersuchinformationen im erweiterten XCOFF-Format erzeugen"
 
-#: common.opt:2374
+#: common.opt:2378
 msgid "-iplugindir=<dir>\tSet <dir> to be the default plugin directory"
 msgstr "-iplugindir=<Verz>\t<Verz> als Standard-Plugin-Verzeichnis setzen"
 
-#: common.opt:2378
-#, fuzzy
+#: common.opt:2382
 msgid "-imultiarch <dir>\tSet <dir> to be the multiarch include subdirectory"
-msgstr "-imultilib <Verzeichnis>\t<Verzeichnis> als Multilib-include-Verzeichnis setzen"
+msgstr "-imultiarch <Verzeichnis>\t<Verzeichnis> als Multiarch-include-Verzeichnis setzen"
 
-#: common.opt:2400
+#: common.opt:2404
 msgid "-o <file>\tPlace output into <file>"
 msgstr "-o <Datei>\tAusgabe in <Datei> schreiben"
 
-#: common.opt:2404
+#: common.opt:2408
 msgid "Enable function profiling"
 msgstr "Funktionsprofilierung einschalten"
 
-#: common.opt:2414
+#: common.opt:2418
 msgid "Like -pedantic but issue them as errors"
 msgstr "Wie -pedantic, aber als Fehler ausgeben"
 
-#: common.opt:2454
+#: common.opt:2458
 msgid "Do not display functions compiled or elapsed time"
 msgstr "Nicht übersetzte Funktionen oder gestoppte Zeit ausgeben"
 
-#: common.opt:2486
+#: common.opt:2490
 msgid "Enable verbose output"
 msgstr "Wortreiche Ausgabe einschalten"
 
-#: common.opt:2490
+#: common.opt:2494
 msgid "Display the compiler's version"
 msgstr "Compiler-Version anzeigen"
 
-#: common.opt:2494
+#: common.opt:2498
 msgid "Suppress warnings"
 msgstr "Warnungen unterdrücken"
 
-#: common.opt:2504
+#: common.opt:2508
 msgid "Create a shared library"
 msgstr "Shared Library erzeugen"
 
-#: common.opt:2543
+#: common.opt:2547
 msgid "Create a position independent executable"
 msgstr "Eine lageunabhängige ausführbare Datei erzeugen"
 
-#: go/gofrontend/expressions.cc:102 c-family/c-common.c:1777 cp/cvt.c:1149
+#: go/gofrontend/expressions.cc:102 c-family/c-common.c:1782 cp/cvt.c:1149
 #: cp/cvt.c:1395
 #, gcc-internal-format
 msgid "value computed is not used"
@@ -12307,9 +12285,8 @@
 msgstr "Zeiger erwartet"
 
 #: go/gofrontend/expressions.cc:5610
-#, fuzzy
 msgid "invalid comparison of nil with nil"
-msgstr "ungültiger Vergleichscode in GIMPLE-Bedingung"
+msgstr "ungültiger Vergleich von nil mit nil"
 
 #: go/gofrontend/expressions.cc:5616 go/gofrontend/expressions.cc:5634
 msgid "incompatible types in binary expression"
@@ -12369,7 +12346,7 @@
 
 #: go/gofrontend/expressions.cc:6920
 msgid "len larger than cap"
-msgstr ""
+msgstr "Länge größer als Cap"
 
 #: go/gofrontend/expressions.cc:6932
 msgid "too many arguments to make"
@@ -12462,7 +12439,7 @@
 
 #: go/gofrontend/expressions.cc:9832 go/gofrontend/expressions.cc:10242
 msgid "inverted slice range"
-msgstr ""
+msgstr "umgekehrter Scheibenbereich"
 
 #: go/gofrontend/expressions.cc:9846
 msgid "slice of unaddressable value"
@@ -12501,7 +12478,6 @@
 msgstr "ungültiges Empfangen auf Nur-Sende-Kanal"
 
 #: go/gofrontend/parse.cc:2982
-#, fuzzy
 msgid "parentheses required around this composite literal to avoid parsing ambiguity"
 msgstr "Um dieses zusammengesetzte Literal sind Klammern erforderlich, um Mehrdeutigkeit zu vermeiden"
 
@@ -12587,7 +12563,6 @@
 msgstr "ungültiger Vergleich eines nicht-vergleichbaren Feldes"
 
 #: go/gofrontend/types.cc:627
-#, fuzzy
 msgid "multiple-value function call in single-value context"
 msgstr "Funktionsaufruf mit mehreren Werten in Kontext mit einem Wert"
 
@@ -12665,26 +12640,26 @@
 msgstr "fehlende Methode %s%s%s"
 
 #: go/gofrontend/types.cc:6966
-#, fuzzy, c-format
+#, c-format
 msgid "method %s%s%s requires a pointer receiver"
-msgstr "Methode %s%s%s erfordert einen Zeiger"
+msgstr "Methode %s%s%s erfordert einen Zeigerempfänger"
 
 #: go/gofrontend/types.cc:6984
-#, fuzzy, c-format
+#, c-format
 msgid "method %s%s%s is marked go:nointerface"
-msgstr "Methode %s%s%s erfordert einen Zeiger"
+msgstr "Methode %s%s%s ist als go:nointerface gekennzeichnet"
 
 #. Warn about and ignore all others for now, but store them.
-#: attribs.c:426 c-family/c-common.c:8019 objc/objc-act.c:4952
+#: attribs.c:426 c-family/c-common.c:8041 objc/objc-act.c:4952
 #: objc/objc-act.c:6922 objc/objc-act.c:8109 objc/objc-act.c:8160
 #, gcc-internal-format
 msgid "%qE attribute directive ignored"
 msgstr "Attribut-Anweisung %qE ignoriert"
 
 #: attribs.c:430
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%<%E::%E%> scoped attribute directive ignored"
-msgstr "Attribut-Anweisung %qE ignoriert"
+msgstr "Attribut-Anweisung im Bereich %<%E::%E%> ignoriert"
 
 #: attribs.c:439
 #, gcc-internal-format
@@ -12695,14 +12670,14 @@
 #. type-specifier, outside of the definition of, a class
 #. type.  Ignore it.
 #: attribs.c:452
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "attribute ignored"
-msgstr "Attribut %qE wird ignoriert"
+msgstr "Attribut wird ignoriert"
 
 #: attribs.c:454
 #, gcc-internal-format
 msgid "an attribute that appertains to a type-specifier is ignored"
-msgstr ""
+msgstr "ein Attribut, das sich auf eine Typspezifizierung bezieht, wird ignoriert"
 
 #: attribs.c:471
 #, gcc-internal-format
@@ -12819,7 +12794,7 @@
 #: builtins.c:5296
 #, gcc-internal-format
 msgid "Unknown architecture specifier in memory model to builtin."
-msgstr ""
+msgstr "Unbekannte Architekturspezifikation in Speichermodell für eingebaute Funktion"
 
 #: builtins.c:5303
 #, gcc-internal-format
@@ -12862,18 +12837,18 @@
 msgstr "nicht-ganzzahliges Argument 1 für __atomic_is_lock_free"
 
 #: builtins.c:5764
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "__builtin_thread_pointer is not supported on this target"
-msgstr "__builtin_eh_return für dieses Ziel nicht unterstützt"
+msgstr "__builtin_thread_pointer wird für dieses Ziel nicht unterstützt"
 
 #: builtins.c:5784
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "__builtin_set_thread_pointer is not supported on this target"
-msgstr "__builtin_eh_return für dieses Ziel nicht unterstützt"
+msgstr "__builtin_set_thread_pointer wird für dieses Ziel nicht unterstützt"
 
 #. All valid uses of __builtin_va_arg_pack () are removed during
 #. inlining.
-#: builtins.c:6025 expr.c:10184
+#: builtins.c:6025 expr.c:10185
 #, gcc-internal-format
 msgid "%Kinvalid use of %<__builtin_va_arg_pack ()%>"
 msgstr "%Kungültige Verwendung von %<__builtin_va_arg_pack ()%>"
@@ -12960,17 +12935,17 @@
 msgid "function call has aggregate value"
 msgstr "Funktionsaufruf hat zusammengesetzten Wert"
 
-#: cfgexpand.c:1238 function.c:971 varasm.c:1966
+#: cfgexpand.c:1238 function.c:971 varasm.c:1964
 #, gcc-internal-format
 msgid "size of variable %q+D is too large"
 msgstr "Größe der Variablen %q+D ist zu hoch"
 
-#: cfgexpand.c:4487
+#: cfgexpand.c:4542
 #, gcc-internal-format
 msgid "stack protector not protecting local variables: variable length buffer"
 msgstr "Stack-Schutz schützt nicht lokale Variablen: Puffer variabler Größe"
 
-#: cfgexpand.c:4491
+#: cfgexpand.c:4546
 #, gcc-internal-format, gfc-internal-format
 msgid "stack protector not protecting function: all local arrays are less than %d bytes long"
 msgstr "Stack-Schutz schützt nicht Funktion: Alle lokalen Felder sind kleiner als %d Bytes"
@@ -13051,9 +13026,9 @@
 msgstr "verify_flow_info gescheitert"
 
 #: cfghooks.c:293
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "%s does not support dump_bb_for_graph"
-msgstr "%s unterstützt nicht duplicate_block"
+msgstr "%s unterstützt nicht dump_bb_for_graph"
 
 #: cfghooks.c:330
 #, gcc-internal-format, gfc-internal-format
@@ -13156,24 +13131,24 @@
 msgstr "Größe der Schleife %d sollte %d sein, nicht %d"
 
 #: cfgloop.c:1363
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "loop with header %d not in loop tree"
-msgstr "Kopieren des Schleifenkopfes auf Bäumen einschalten"
+msgstr "Schleife mit Kopf %d nicht in Schleifenbaum"
 
 #: cfgloop.c:1380
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "bb %d does not belong to loop %d"
 msgstr "BB %d gehört nicht zur Schleife %d"
 
 #: cfgloop.c:1392
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "bb %d has father loop %d, should be loop %d"
-msgstr "Größe der Schleife %d sollte %d sein, nicht %d"
+msgstr "BB %d hat Vaterschleife %d, sollte Schleife %d sein"
 
 #: cfgloop.c:1409
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "loop %d%'s header is not a loop header"
-msgstr "Kopf der Schleife %d hat nicht genau 2 Einträge"
+msgstr "Kopf der Schleife %d ist kein Schleifenkopf"
 
 #: cfgloop.c:1415
 #, gcc-internal-format
@@ -13181,14 +13156,14 @@
 msgstr "Kopf der Schleife %d hat nicht genau 2 Einträge"
 
 #: cfgloop.c:1422
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "loop %d%'s latch does not have an edge to its header"
-msgstr "Falle der Schleife %d hat nicht den Kopf als Nachfolger"
+msgstr "Falle der Schleife %d hat keine Kante zu ihrem Kopf"
 
 #: cfgloop.c:1427
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "loop %d%'s latch is not dominated by its header"
-msgstr "Falle der Schleife %d hat nicht den Kopf als Nachfolger"
+msgstr "Falle der Schleife %d wird nicht durch ihren Kopf bestimmt"
 
 #: cfgloop.c:1435
 #, gcc-internal-format
@@ -13270,162 +13245,162 @@
 msgid "%d exits recorded for loop %d (having %d exits)"
 msgstr "%d Ausgänge für Schleife %d (mit %d Ausgängen) aufgezeichnet"
 
-#: cfgrtl.c:2092
+#: cfgrtl.c:2090
 #, gcc-internal-format, gfc-internal-format
 msgid "BB_RTL flag not set for block %d"
 msgstr "Kennzeichen BB_RTL ist für Block %d nicht gesetzt"
 
-#: cfgrtl.c:2099
+#: cfgrtl.c:2097
 #, gcc-internal-format, gfc-internal-format
 msgid "insn %d basic block pointer is %d, should be %d"
 msgstr "Basisblockzeiger des Befehls %d ist %d, sollte %d sein"
 
-#: cfgrtl.c:2110
+#: cfgrtl.c:2108
 #, gcc-internal-format, gfc-internal-format
 msgid "insn %d in header of bb %d has non-NULL basic block"
 msgstr "Befehl %d im Kopf des Basisblockes %d hat Nicht-NULL als Basisblock"
 
-#: cfgrtl.c:2118
+#: cfgrtl.c:2116
 #, gcc-internal-format, gfc-internal-format
 msgid "insn %d in footer of bb %d has non-NULL basic block"
 msgstr "Befehl %d am Ende des Basisblocks %d hat Nicht-NULL als Basisblock"
 
-#: cfgrtl.c:2141
+#: cfgrtl.c:2139
 #, gcc-internal-format
 msgid "verify_flow_info: REG_BR_PROB does not match cfg %wi %i"
 msgstr "verify_flow_info: REG_BR_PROB passt nicht zu cfg %wi %i"
 
-#: cfgrtl.c:2160
+#: cfgrtl.c:2158
 #, gcc-internal-format
 msgid "EDGE_CROSSING incorrectly set across same section"
 msgstr "EDGE_CROSSING falsch gesetzt im selben Abschnitt"
 
-#: cfgrtl.c:2165
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: cfgrtl.c:2163
+#, gcc-internal-format, gfc-internal-format
 msgid "fallthru edge crosses section boundary in bb %i"
-msgstr "Fall-Through-Kante überschreitet Abschnittsgrenze (bb %i)"
+msgstr "Fall-Through-Kante überschreitet Abschnittsgrenze in BB %i"
 
-#: cfgrtl.c:2171
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: cfgrtl.c:2169
+#, gcc-internal-format, gfc-internal-format
 msgid "EH edge crosses section boundary in bb %i"
-msgstr "EH-Kante überschneidet Abschnittsgrenze (bb %i)"
+msgstr "EH-Kante überschneidet Abschnittsgrenze in BB %i"
 
-#: cfgrtl.c:2178
+#: cfgrtl.c:2176
 #, gcc-internal-format
 msgid "EDGE_CROSSING missing across section boundary"
 msgstr "EDGE_CROSSING fehlt bei Übertretung von Abschnittsgrenze"
 
-#: cfgrtl.c:2205
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: cfgrtl.c:2203
+#, gcc-internal-format, gfc-internal-format
 msgid "missing REG_EH_REGION note at the end of bb %i"
 msgstr "fehlender Vermerk von REG_EH_REGION am Ende vom bb %i"
 
-#: cfgrtl.c:2210
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: cfgrtl.c:2208
+#, gcc-internal-format, gfc-internal-format
 msgid "too many exception handling edges in bb %i"
-msgstr "zu viele abgehende Zweig-Kanten vom bb %i"
+msgstr "zu viele Ausnahmebehandlungskanten in BB %i"
 
-#: cfgrtl.c:2218
+#: cfgrtl.c:2216
 #, gcc-internal-format, gfc-internal-format
 msgid "too many outgoing branch edges from bb %i"
 msgstr "zu viele abgehende Zweig-Kanten vom bb %i"
 
-#: cfgrtl.c:2223
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: cfgrtl.c:2221
+#, gcc-internal-format, gfc-internal-format
 msgid "fallthru edge after unconditional jump in bb %i"
-msgstr "Fallthru-Kante nach unbedingtem Sprung %i"
+msgstr "Fallthru-Kante nach bedingungslosem Sprung in BB %i"
 
-#: cfgrtl.c:2228
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: cfgrtl.c:2226
+#, gcc-internal-format, gfc-internal-format
 msgid "wrong number of branch edges after unconditional jump in bb %i"
-msgstr "falsche Anzahl der Zweig-Kanten nach unbedingtem Sprung %i"
+msgstr "falsche Anzahl der Zweig-Kanten nach unbedingtem Sprung in BB %i"
 
-#: cfgrtl.c:2235
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: cfgrtl.c:2233
+#, gcc-internal-format, gfc-internal-format
 msgid "wrong amount of branch edges after conditional jump in bb %i"
-msgstr "falsche Summe der Zweig-Kanten nach bedingtem Sprung %i"
+msgstr "falsche Anzahl der Zweig-Kanten nach bedingtem Sprung in BB %i"
 
-#: cfgrtl.c:2241
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: cfgrtl.c:2239
+#, gcc-internal-format, gfc-internal-format
 msgid "abnormal call edges for non-call insn in bb %i"
-msgstr "Ruf-Kanten für Nicht-Aufruf-Befehl im bb %i"
+msgstr "unpassende Ruf-Kanten für Nicht-Aufruf-Anweisung in BB %i"
 
-#: cfgrtl.c:2246
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: cfgrtl.c:2244
+#, gcc-internal-format, gfc-internal-format
 msgid "sibcall edges for non-call insn in bb %i"
-msgstr "Ruf-Kanten für Nicht-Aufruf-Befehl im bb %i"
+msgstr "Sibcall-Kanten für Nicht-Aufruf-Befehl in BB %i"
 
-#: cfgrtl.c:2256
+#: cfgrtl.c:2254
 #, gcc-internal-format, gfc-internal-format
 msgid "abnormal edges for no purpose in bb %i"
-msgstr "abnormale Kanten ohne Zweck in bb %i"
+msgstr "abnormale Kanten ohne Zweck in BB %i"
 
-#: cfgrtl.c:2268
+#: cfgrtl.c:2266
 #, gcc-internal-format, gfc-internal-format
 msgid "insn %d inside basic block %d but block_for_insn is NULL"
 msgstr "Befehl %d innerhalb des Basis-Blockes %d, aber block_for_insn ist NULL"
 
-#: cfgrtl.c:2272
+#: cfgrtl.c:2270
 #, gcc-internal-format, gfc-internal-format
 msgid "insn %d inside basic block %d but block_for_insn is %i"
 msgstr "Befehl %d innerhalb des Basis-Blockes %d, aber block_for_insn ist %i"
 
-#: cfgrtl.c:2286 cfgrtl.c:2296
+#: cfgrtl.c:2284 cfgrtl.c:2294
 #, gcc-internal-format, gfc-internal-format
 msgid "NOTE_INSN_BASIC_BLOCK is missing for block %d"
 msgstr "NOTE_INSN_BASIC_BLOCK fehlt für Block %d"
 
-#: cfgrtl.c:2309
+#: cfgrtl.c:2307
 #, gcc-internal-format, gfc-internal-format
 msgid "NOTE_INSN_BASIC_BLOCK %d in middle of basic block %d"
 msgstr "NOTE_INSN_BASIC_BLOCK %d in der Mitte des Basis-Blocks %d"
 
-#: cfgrtl.c:2319
+#: cfgrtl.c:2317
 #, gcc-internal-format, gfc-internal-format
 msgid "in basic block %d:"
 msgstr "im Basis-Block %d:"
 
-#: cfgrtl.c:2371 cfgrtl.c:2461
+#: cfgrtl.c:2369 cfgrtl.c:2459
 #, gcc-internal-format, gfc-internal-format
 msgid "insn %d outside of basic blocks has non-NULL bb field"
 msgstr "Befehl %d außerhalb eines Basis-Blockes hat Nicht-NULL als Basisblockfeld"
 
-#: cfgrtl.c:2379
+#: cfgrtl.c:2377
 #, gcc-internal-format, gfc-internal-format
 msgid "end insn %d for block %d not found in the insn stream"
 msgstr "Ende-Befehl %d für Block %d nicht im Befehlsstrom gefunden"
 
-#: cfgrtl.c:2392
+#: cfgrtl.c:2390
 #, gcc-internal-format, gfc-internal-format
 msgid "insn %d is in multiple basic blocks (%d and %d)"
 msgstr "Befehl %d ist in mehreren Basisblöcken (%d und %d)"
 
-#: cfgrtl.c:2404
+#: cfgrtl.c:2402
 #, gcc-internal-format, gfc-internal-format
 msgid "head insn %d for block %d not found in the insn stream"
 msgstr "Kopf-Befehl %d für Block %d nicht im Befehlsstrom gefunden"
 
-#: cfgrtl.c:2421
+#: cfgrtl.c:2419
 #, gcc-internal-format, gfc-internal-format
 msgid "missing barrier after block %i"
 msgstr "fehlende Sperre nach Block %i"
 
-#: cfgrtl.c:2437
+#: cfgrtl.c:2435
 #, gcc-internal-format, gfc-internal-format
 msgid "verify_flow_info: Incorrect blocks for fallthru %i->%i"
 msgstr "verify_flow_info: Falsche Blöcke für »fallthru« %i->%i"
 
-#: cfgrtl.c:2446
+#: cfgrtl.c:2444
 #, gcc-internal-format, gfc-internal-format
 msgid "verify_flow_info: Incorrect fallthru %i->%i"
 msgstr "verify_flow_info: Falsches »fallthru« %i->%i"
 
-#: cfgrtl.c:2479
+#: cfgrtl.c:2477
 #, gcc-internal-format
 msgid "basic blocks not laid down consecutively"
 msgstr "Basis-Blöcke sind nicht fortlaufend"
 
-#: cfgrtl.c:2516
+#: cfgrtl.c:2514
 #, gcc-internal-format, gfc-internal-format
 msgid "number of bb notes in insn chain (%d) != n_basic_blocks (%d)"
 msgstr "Anzahl der bb-Vermerke in Befehlskette (%d) != n_basic_blocks (%d)"
@@ -13461,9 +13436,9 @@
 msgstr "Ausführungszähler ist negativ"
 
 #: cgraph.c:2328
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "inline clone in same comdat group list"
-msgstr "Knoten ist allein in einer Comdat-Gruppe"
+msgstr "»inline«-Clone in gleicher Comdat-Gruppenliste"
 
 #: cgraph.c:2333
 #, gcc-internal-format
@@ -13476,9 +13451,9 @@
 msgstr "Inline-Kopie mit Adresse genommen"
 
 #: cgraph.c:2343
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "inline clone is forced to output"
-msgstr "Inline-Kopie erforderlich"
+msgstr "Ausgabe für Inline-Kopie erzwungen"
 
 #: cgraph.c:2350
 #, gcc-internal-format, gfc-internal-format
@@ -13653,12 +13628,12 @@
 #: cgraphunit.c:1125
 #, gcc-internal-format
 msgid "%q+D alias in between function and variable is not supported"
-msgstr ""
+msgstr "Alias %q+D zwischen Funktion und Variable wird nicht unterstützt"
 
 #: cgraphunit.c:1127
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%q+D aliased declaration"
-msgstr "%q+D vor Deklaration verwendet"
+msgstr "Alias-Deklaration %q+D"
 
 #: cgraphunit.c:1199
 #, gcc-internal-format
@@ -13695,7 +13670,7 @@
 msgid "no arguments"
 msgstr "Keine Argumente"
 
-#: collect2.c:1284 opts.c:794
+#: collect2.c:1284 opts.c:797
 #, gcc-internal-format
 msgid "LTO support has not been enabled in this configuration"
 msgstr "LTO-Unterstützung wurde in dieser Konfiguration nicht aktiviert"
@@ -13750,12 +13725,12 @@
 msgid "cannot find '%s'"
 msgstr "»%s« kann nicht gefunden werden"
 
-#: collect2.c:1921 collect2.c:2448 collect2.c:2644 gcc.c:2749
+#: collect2.c:1921 collect2.c:2448 collect2.c:2644 gcc.c:2750
 #, gcc-internal-format
 msgid "pex_init failed: %m"
 msgstr "pex_init gescheitert: %m"
 
-#: collect2.c:1930 collect2.c:2457 collect2.c:2652 gcc.c:7188
+#: collect2.c:1930 collect2.c:2457 collect2.c:2652 gcc.c:7191
 #, gcc-internal-format
 msgid "%s: %m"
 msgstr "%s: %m"
@@ -13995,7 +13970,7 @@
 msgid "global constructors not supported on this target"
 msgstr "globale Konstruktoren werden für dieses Ziel nicht unterstützt"
 
-#: diagnostic.c:1145
+#: diagnostic.c:1148
 #, gcc-internal-format, gfc-internal-format
 msgid "in %s, at %s:%d"
 msgstr "in %s, bei %s:%d"
@@ -14021,14 +13996,14 @@
 msgstr "unbekannte Option %q.*s in %<-fdump-%s%> wird ignoriert"
 
 #: dumpfile.c:831
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "unknown option %q.*s in %<-fopt-info-%s%>"
-msgstr "unbekannte Option %q.*s in %<-fdump-%s%> wird ignoriert"
+msgstr "unbekannte Option %q.*s in %<-fopt-info-%s%>"
 
 #: dumpfile.c:862
 #, gcc-internal-format
 msgid "ignoring possibly conflicting option %<-fopt-info-%s%>"
-msgstr ""
+msgstr "möglicherweise in Konflikt stehende Option %<-fopt-info-%s%> wird ignoriert"
 
 #: dwarf2out.c:1034
 #, gcc-internal-format
@@ -14040,22 +14015,22 @@
 msgid "non-delegitimized UNSPEC %s (%d) found in variable location"
 msgstr "Nicht-Delegitimiertes UNSPEC %s (%d) am Variablenort gefunden"
 
-#: emit-rtl.c:2612
+#: emit-rtl.c:2616
 #, gcc-internal-format
 msgid "invalid rtl sharing found in the insn"
 msgstr "ungültige gemeinsame rtl-Benutzung in Befehl gefunden"
 
-#: emit-rtl.c:2614
+#: emit-rtl.c:2618
 #, gcc-internal-format
 msgid "shared rtx"
 msgstr "Gemeinsames rtx"
 
-#: emit-rtl.c:2616
+#: emit-rtl.c:2620
 #, gcc-internal-format
 msgid "internal consistency failure"
 msgstr "internes Konsistenzproblem"
 
-#: emit-rtl.c:3741
+#: emit-rtl.c:3749
 #, gcc-internal-format
 msgid "ICE: emit_insn used where emit_jump_insn needed:\n"
 msgstr "ICE: emit_insn verwendet, wo emit_jump_insn erforderlich:\n"
@@ -14065,57 +14040,57 @@
 msgid "abort in %s, at %s:%d"
 msgstr "Abbruch in %s, bei %s:%d"
 
-#: except.c:2026
+#: except.c:2075
 #, gcc-internal-format
 msgid "argument of %<__builtin_eh_return_regno%> must be constant"
 msgstr "Argument für »__builtin_eh_return_regno« muss konstant sein"
 
-#: except.c:2163
+#: except.c:2212
 #, gcc-internal-format
 msgid "__builtin_eh_return not supported on this target"
 msgstr "__builtin_eh_return für dieses Ziel nicht unterstützt"
 
-#: except.c:3222 except.c:3247
+#: except.c:3271 except.c:3296
 #, gcc-internal-format, gfc-internal-format
 msgid "region_array is corrupted for region %i"
 msgstr "region_array ist für Region %i beschädigt"
 
-#: except.c:3235 except.c:3266
+#: except.c:3284 except.c:3315
 #, gcc-internal-format, gfc-internal-format
 msgid "lp_array is corrupted for lp %i"
 msgstr "lp_array ist für lp %i beschädigt"
 
-#: except.c:3252
+#: except.c:3301
 #, gcc-internal-format, gfc-internal-format
 msgid "outer block of region %i is wrong"
 msgstr "äußerer Block der Region %i ist falsch"
 
-#: except.c:3257
+#: except.c:3306
 #, gcc-internal-format, gfc-internal-format
 msgid "negative nesting depth of region %i"
 msgstr "negative Verschachtelungstiefe der Region %i"
 
-#: except.c:3271
+#: except.c:3320
 #, gcc-internal-format, gfc-internal-format
 msgid "region of lp %i is wrong"
 msgstr "Region von lp %i ist falsch"
 
-#: except.c:3298
+#: except.c:3347
 #, gcc-internal-format, gfc-internal-format
 msgid "tree list ends on depth %i"
 msgstr "Baumliste endet bei Tiefe %i"
 
-#: except.c:3303
+#: except.c:3352
 #, gcc-internal-format
 msgid "region_array does not match region_tree"
 msgstr "region_array passt nicht zum region_tree"
 
-#: except.c:3308
+#: except.c:3357
 #, gcc-internal-format
 msgid "lp_array does not match region_tree"
 msgstr "lp_array passt nicht zum region_tree"
 
-#: except.c:3315
+#: except.c:3364
 #, gcc-internal-format
 msgid "verify_eh_tree failed"
 msgstr "verify_eh_tree gescheitert"
@@ -14155,12 +14130,12 @@
 msgid "local frame unavailable (naked function?)"
 msgstr "lokaler Rahmen nicht verfügbar (nackte Funktion?)"
 
-#: expr.c:10191
+#: expr.c:10192
 #, gcc-internal-format
 msgid "%Kcall to %qs declared with attribute error: %s"
 msgstr "%KAufruf von %qs mit Attributfehler deklariert: %s"
 
-#: expr.c:10198
+#: expr.c:10199
 #, gcc-internal-format
 msgid "%Kcall to %qs declared with attribute warning: %s"
 msgstr "%KAufruf von %qs mit Attributwarnung deklariert: %s"
@@ -14195,47 +14170,47 @@
 msgid "assuming signed overflow does not occur when negating a division"
 msgstr "Annahme, dass vorzeichenbehafteter Überlauf nicht auftritt, wenn Division negiert wird"
 
-#: fold-const.c:3437 fold-const.c:3449
+#: fold-const.c:3450 fold-const.c:3462
 #, gcc-internal-format, gfc-internal-format
 msgid "comparison is always %d due to width of bit-field"
 msgstr "Vergleich ist immer %d wegen Breite des Bitfeldes"
 
-#: fold-const.c:4849 tree-ssa-reassoc.c:1943
+#: fold-const.c:4862 tree-ssa-reassoc.c:1944
 #, gcc-internal-format
 msgid "assuming signed overflow does not occur when simplifying range test"
 msgstr "Annahme, dass vorzeichenbehafteter Überlauf nicht auftritt, wenn Bereichsprüfung vereinfacht wird"
 
-#: fold-const.c:5285 fold-const.c:5299
+#: fold-const.c:5298 fold-const.c:5312
 #, gcc-internal-format, gfc-internal-format
 msgid "comparison is always %d"
 msgstr "Vergleich ist immer %d"
 
-#: fold-const.c:5432
+#: fold-const.c:5445
 #, gcc-internal-format
 msgid "%<or%> of unmatched not-equal tests is always 1"
 msgstr "»oder« nicht passender Ungleichheits-Tests ist immer 1"
 
-#: fold-const.c:5437
+#: fold-const.c:5450
 #, gcc-internal-format
 msgid "%<and%> of mutually exclusive equal-tests is always 0"
 msgstr "»und« sich gegenseitig ausschließender Gleichheits-Tests ist immer 0"
 
-#: fold-const.c:8729
+#: fold-const.c:8742
 #, gcc-internal-format
 msgid "assuming signed overflow does not occur when reducing constant in comparison"
 msgstr "Annahme, dass vorzeichenbehafteter Überlauf nicht auftritt, wenn Konstante in Vergleich verringert wird"
 
-#: fold-const.c:8887
+#: fold-const.c:8900
 #, gcc-internal-format
 msgid "assuming signed overflow does not occur when changing X +- C1 cmp C2 to X cmp C1 +- C2"
 msgstr "Annahme, dass vorzeichenbehafteter Überlauf nicht auftritt, wenn »X +- C1 cmp C2« in »X cmp C1 +- C2« geändert wird"
 
-#: fold-const.c:9150
+#: fold-const.c:9163
 #, gcc-internal-format
 msgid "assuming signed overflow does not occur when combining constants around a comparison"
 msgstr "Annahme, dass vorzeichenbehafteter Überlauf nicht auftritt, wenn Konstanten um einen Vergleich kombiniert werden"
 
-#: fold-const.c:14564
+#: fold-const.c:14577
 #, gcc-internal-format
 msgid "fold check: original tree changed by fold"
 msgstr "Faltungstest: ursprünglicher Baum durch Faltung geändert"
@@ -14260,142 +14235,142 @@
 msgid "argument %q+D might be clobbered by %<longjmp%> or %<vfork%>"
 msgstr "Argument %q+D könnte von »longjmp« oder »vfork« zerstört werden"
 
-#: function.c:4631
+#: function.c:4620
 #, gcc-internal-format
 msgid "function returns an aggregate"
 msgstr "Funktion gibt Aggregat zurück"
 
-#: function.c:4993
+#: function.c:4982
 #, gcc-internal-format
 msgid "unused parameter %q+D"
 msgstr "unbenutzter Parameter %q+D"
 
-#: gcc.c:1804 gcc.c:1824
+#: gcc.c:1805 gcc.c:1825
 #, gcc-internal-format, gfc-internal-format
 msgid "specs %%include syntax malformed after %ld characters"
 msgstr "falsche %%include-Syntax für Spezifikationen nach %ld Zeichen"
 
-#: gcc.c:1850 gcc.c:1859 gcc.c:1869 gcc.c:1879
+#: gcc.c:1851 gcc.c:1860 gcc.c:1870 gcc.c:1880
 #, gcc-internal-format, gfc-internal-format
 msgid "specs %%rename syntax malformed after %ld characters"
 msgstr "falsche %%rename-Syntax für Spezifikationen nach %ld Zeichen"
 
-#: gcc.c:1889
+#: gcc.c:1890
 #, gcc-internal-format, gfc-internal-format
 msgid "specs %s spec was not found to be renamed"
 msgstr "keine %s-Spezifikation zum Umbenennen gefunden"
 
-#: gcc.c:1896
+#: gcc.c:1897
 #, gcc-internal-format
 msgid "%s: attempt to rename spec %qs to already defined spec %qs"
 msgstr "%s: Versuch, Spezifikation %qs in bereits definierte Spezifikation %qs umzubenennen"
 
-#: gcc.c:1917
+#: gcc.c:1918
 #, gcc-internal-format, gfc-internal-format
 msgid "specs unknown %% command after %ld characters"
 msgstr "Spezifikation: unbekannter %%-Befehl nach %ld Zeichen"
 
-#: gcc.c:1928 gcc.c:1941
+#: gcc.c:1929 gcc.c:1942
 #, gcc-internal-format, gfc-internal-format
 msgid "specs file malformed after %ld characters"
 msgstr "Fehler in Spezifikationsdatei nach %ld Zeichen"
 
-#: gcc.c:1993
+#: gcc.c:1994
 #, gcc-internal-format
 msgid "spec file has no spec for linking"
 msgstr "Spezifikationsdatei hat keine Spezifikation zum Binden"
 
-#: gcc.c:2538
+#: gcc.c:2539
 #, gcc-internal-format
 msgid "system path %qs is not absolute"
 msgstr "System-Pfad %qs ist nicht absolut"
 
-#: gcc.c:2626
+#: gcc.c:2627
 #, gcc-internal-format
 msgid "-pipe not supported"
 msgstr "-pipe wird nicht unterstützt"
 
-#: gcc.c:2788
+#: gcc.c:2789
 #, gcc-internal-format
 msgid "failed to get exit status: %m"
 msgstr "Ende-Status konnte nicht ermittelt werden: %m"
 
-#: gcc.c:2794
+#: gcc.c:2795
 #, gcc-internal-format
 msgid "failed to get process times: %m"
 msgstr "Verarbeitungszeiten konnten nicht ermittelt werden: %m"
 
-#: gcc.c:2820
+#: gcc.c:2821
 #, gcc-internal-format, gfc-internal-format
 msgid "%s (program %s)"
 msgstr "%s (Programm %s)"
 
-#: gcc.c:3251 opts-common.c:986 opts-common.c:1058
+#: gcc.c:3252 opts-common.c:1019 opts-common.c:1091
 #, gcc-internal-format
 msgid "unrecognized command line option %qs"
 msgstr "nicht erkannte Kommandozeilenoption %qs"
 
-#: gcc.c:3506
+#: gcc.c:3507
 #, gcc-internal-format
 msgid "%qs is an unknown -save-temps option"
 msgstr "%qs ist eine unbekannte Option für -save-temps"
 
-#: gcc.c:3967
+#: gcc.c:3968
 #, gcc-internal-format
 msgid "-pipe ignored because -save-temps specified"
 msgstr "-pipe ignoriert, da -save-temps angegeben"
 
-#: gcc.c:4055
+#: gcc.c:4056
 #, gcc-internal-format
 msgid "%<-x %s%> after last input file has no effect"
 msgstr "%<-x %s%> hinter letzter Eingabedatei hat keine Wirkung"
 
-#: gcc.c:4217
+#: gcc.c:4218
 #, gcc-internal-format
 msgid "unable to locate default linker script %qs in the library search paths"
 msgstr "Standard-Linkerscript %qs kann nicht in den Bibliotheks-Suchpfaden gefunden werden"
 
-#: gcc.c:4421
+#: gcc.c:4422
 #, gcc-internal-format
 msgid "switch %qs does not start with %<-%>"
 msgstr "Schalter %qs beginnt nicht mit %<-%>"
 
-#: gcc.c:4424
+#: gcc.c:4425
 #, gcc-internal-format
 msgid "spec-generated switch is just %<-%>"
 msgstr "aus Spezifikation erzeugtes switch ist nur %<-%>"
 
-#: gcc.c:4515
+#: gcc.c:4516
 #, gcc-internal-format, gfc-internal-format
 msgid "could not open temporary response file %s"
 msgstr "temporäre Antwortdatei %s konnte nicht geöffnet werden"
 
-#: gcc.c:4521
+#: gcc.c:4522
 #, gcc-internal-format, gfc-internal-format
 msgid "could not write to temporary response file %s"
 msgstr "in temporäre Antwortdatei %s konnte nicht geschrieben werden"
 
-#: gcc.c:4527
+#: gcc.c:4528
 #, gcc-internal-format, gfc-internal-format
 msgid "could not close temporary response file %s"
 msgstr "temporäre Antwortdatei %s konnte nicht geschlossen werden"
 
-#: gcc.c:4650
+#: gcc.c:4651
 #, gcc-internal-format
 msgid "spec %qs invalid"
 msgstr "Spezifikation %qs ist ungültig"
 
-#: gcc.c:4799
+#: gcc.c:4800
 #, gcc-internal-format
 msgid "spec %qs has invalid %<%%0%c%>"
 msgstr "Spezifikation %qs hat ungültiges %<%%0%c%>"
 
-#: gcc.c:5118
+#: gcc.c:5119
 #, gcc-internal-format
 msgid "spec %qs has invalid %<%%W%c%>"
 msgstr "Spezifikation %qs hat ungültiges %<%%W%c%>"
 
-#: gcc.c:5140
+#: gcc.c:5141
 #, gcc-internal-format
 msgid "spec %qs has invalid %<%%x%c%>"
 msgstr "Spezifikation %qs hat ungültiges %<%%x%c%>"
@@ -14403,223 +14378,223 @@
 #. Catch the case where a spec string contains something like
 #. '%{foo:%*}'.  i.e. there is no * in the pattern on the left
 #. hand side of the :.
-#: gcc.c:5341
+#: gcc.c:5342
 #, gcc-internal-format
 msgid "spec failure: %<%%*%> has not been initialized by pattern match"
 msgstr "Spezifikationsfehler: %<%%*%> wurde nicht durch Mustererkennung initialisiert"
 
-#: gcc.c:5384
+#: gcc.c:5385
 #, gcc-internal-format
 msgid "spec failure: unrecognized spec option %qc"
 msgstr "Spezifikationsfehler: nicht erkannte Spezifikationsoption »%c«"
 
-#: gcc.c:5446
+#: gcc.c:5447
 #, gcc-internal-format
 msgid "unknown spec function %qs"
 msgstr "unbekannte Spezifikationsfunktion %qs"
 
-#: gcc.c:5476
+#: gcc.c:5477
 #, gcc-internal-format
 msgid "error in args to spec function %qs"
 msgstr "Fehler in Argumenten für Spezifikationsfunktion %qs"
 
-#: gcc.c:5527
+#: gcc.c:5528
 #, gcc-internal-format
 msgid "malformed spec function name"
 msgstr "schlechter Name für Spezifikationsfunktion"
 
 #. )
-#: gcc.c:5530
+#: gcc.c:5531
 #, gcc-internal-format
 msgid "no arguments for spec function"
 msgstr "keine Argumente für Spezifikationsfunktion"
 
-#: gcc.c:5549
+#: gcc.c:5550
 #, gcc-internal-format
 msgid "malformed spec function arguments"
 msgstr "schlechte Argumente für Spezifikationsfunktion"
 
-#: gcc.c:5810
+#: gcc.c:5811
 #, gcc-internal-format
 msgid "braced spec %qs is invalid at %qc"
 msgstr "geschweift geklammerte Spezifikation %qs ist bei %qc ungültig"
 
-#: gcc.c:5898
+#: gcc.c:5899
 #, gcc-internal-format
 msgid "braced spec body %qs is invalid"
 msgstr "geschweift geklammerter Spezifikationskörper %qs ist ungültig"
 
-#: gcc.c:6151
+#: gcc.c:6152
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: could not determine length of compare-debug file %s"
 msgstr "%s: Größe der Vergleichs-Prüfdatei %s konnte nicht ermittelt werden"
 
-#: gcc.c:6162
+#: gcc.c:6163
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: -fcompare-debug failure (length)"
 msgstr "%s: Fehlschlag von -fcompare-debug (Länge)"
 
-#: gcc.c:6172 gcc.c:6213
+#: gcc.c:6173 gcc.c:6214
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: could not open compare-debug file %s"
 msgstr "%s: Vergleichs-Prüfdatei %s konnte nicht geöffnet werden"
 
-#: gcc.c:6192 gcc.c:6229
+#: gcc.c:6193 gcc.c:6230
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: -fcompare-debug failure"
 msgstr "%s: Fehlschlag von -fcompare-debug"
 
-#: gcc.c:6304
+#: gcc.c:6305
 #, gcc-internal-format
 msgid "atexit failed"
 msgstr "atexit gescheitert"
 
-#: gcc.c:6453
+#: gcc.c:6454
 #, gcc-internal-format
 msgid "spec failure: more than one arg to SYSROOT_SUFFIX_SPEC"
 msgstr "Spezifikationsfehler: mehr als ein Argument für SYSROOT_SUFFIX_SPEC"
 
-#: gcc.c:6477
+#: gcc.c:6478
 #, gcc-internal-format
 msgid "spec failure: more than one arg to SYSROOT_HEADERS_SUFFIX_SPEC"
 msgstr "Spezifikationsfehler: mehr als ein Argument für SYSROOT_HEADERS_SUFFIX_SPEC"
 
-#: gcc.c:6643
-#, fuzzy, gcc-internal-format
+#: gcc.c:6645
+#, gcc-internal-format
 msgid "unrecognized command line option %<-%s%>"
-msgstr "nicht erkannte Kommandozeilenoption %<-fdump-%s%>"
+msgstr "nicht erkannte Kommandozeilenoption %<-%s%>"
 
 #. The error status indicates that only one set of fixed
 #. headers should be built.
-#: gcc.c:6729
+#: gcc.c:6731
 #, gcc-internal-format
 msgid "not configured with sysroot headers suffix"
 msgstr "nicht mit sysroot-Header-Suffix konfiguriert"
 
-#: gcc.c:6812
+#: gcc.c:6814
 #, gcc-internal-format
 msgid "no input files"
 msgstr "keine Eingabedateien"
 
-#: gcc.c:6861
+#: gcc.c:6863
 #, gcc-internal-format
 msgid "cannot specify -o with -c, -S or -E with multiple files"
 msgstr "-o kann nicht mit -c, -S oder -E mit mehreren Dateien angegeben werden"
 
-#: gcc.c:6891
+#: gcc.c:6893
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: %s compiler not installed on this system"
 msgstr "%s: %s-Compiler ist auf diesem System nicht installiert"
 
-#: gcc.c:6913
+#: gcc.c:6915
 #, gcc-internal-format
 msgid "recompiling with -fcompare-debug"
 msgstr "Neuübersetzung mit -fcompare-debug"
 
-#: gcc.c:6929
+#: gcc.c:6931
 #, gcc-internal-format
 msgid "during -fcompare-debug recompilation"
 msgstr "während Neuübersetzung mit -fcompare-debug"
 
-#: gcc.c:6938
+#: gcc.c:6940
 #, gcc-internal-format
 msgid "comparing final insns dumps"
 msgstr "Vergleich der endgültigen Answeisungslisten"
 
-#: gcc.c:7044
+#: gcc.c:7046
 #, gcc-internal-format, gfc-internal-format
 msgid "-fuse-linker-plugin, but %s not found"
 msgstr "-fuse-linker-plugin, aber %s nicht gefunden"
 
-#: gcc.c:7076
+#: gcc.c:7079
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: linker input file unused because linking not done"
 msgstr "%s: Eingabedateien des Binders unbenutzt, da keine Bindung geschieht"
 
-#: gcc.c:7117
+#: gcc.c:7120
 #, gcc-internal-format, gfc-internal-format
 msgid "language %s not recognized"
 msgstr "Sprache %s nicht erkannt"
 
-#: gcc.c:7344
+#: gcc.c:7347
 #, gcc-internal-format
 msgid "multilib spec %qs is invalid"
 msgstr "Multilib-Spezifikation %qs ist ungültig"
 
-#: gcc.c:7538
+#: gcc.c:7541
 #, gcc-internal-format
 msgid "multilib exclusions %qs is invalid"
 msgstr "Multilib-Ausschlüsse %qs sind ungültig"
 
-#: gcc.c:7602
-#, fuzzy, gcc-internal-format
+#: gcc.c:7605
+#, gcc-internal-format
 msgid "multilib select %qs %qs is invalid"
-msgstr "Multilib-select %qs ist ungültig"
+msgstr "Multilib-select %qs %qs ist ungültig"
 
-#: gcc.c:7758
+#: gcc.c:7761
 #, gcc-internal-format
 msgid "multilib select %qs is invalid"
 msgstr "Multilib-select %qs ist ungültig"
 
-#: gcc.c:7797
+#: gcc.c:7800
 #, gcc-internal-format
 msgid "multilib exclusion %qs is invalid"
 msgstr "Multilib-Ausschluss %qs ist ungültig"
 
-#: gcc.c:8003
+#: gcc.c:8006
 #, gcc-internal-format
 msgid "environment variable %qs not defined"
 msgstr "Umgebungsvariable %qs nicht definiert"
 
-#: gcc.c:8115 gcc.c:8120
+#: gcc.c:8118 gcc.c:8123
 #, gcc-internal-format
 msgid "invalid version number %qs"
 msgstr "ungültige Versionsnummer %qs"
 
-#: gcc.c:8163
+#: gcc.c:8166
 #, gcc-internal-format, gfc-internal-format
 msgid "too few arguments to %%:version-compare"
 msgstr "zu wenige Argumente für %%:version-compare"
 
-#: gcc.c:8169
+#: gcc.c:8172
 #, gcc-internal-format, gfc-internal-format
 msgid "too many arguments to %%:version-compare"
 msgstr "zu viele Argumente für %%:version-compare"
 
-#: gcc.c:8210
+#: gcc.c:8213
 #, gcc-internal-format
 msgid "unknown operator %qs in %%:version-compare"
 msgstr "unbekannter Operator %qs in %%:version-compare"
 
-#: gcc.c:8333
+#: gcc.c:8336
 #, gcc-internal-format, gfc-internal-format
 msgid "too many arguments to %%:compare-debug-dump-opt"
 msgstr "zu viele Argumente für %%:version-compare"
 
-#: gcc.c:8405
+#: gcc.c:8408
 #, gcc-internal-format, gfc-internal-format
 msgid "too many arguments to %%:compare-debug-self-opt"
 msgstr "zu viele Argumente für %%:compare-debug-self-opt"
 
-#: gcc.c:8440
+#: gcc.c:8443
 #, gcc-internal-format, gfc-internal-format
 msgid "too few arguments to %%:compare-debug-auxbase-opt"
 msgstr "zu wenige Argumente für %%:compare-debug-auxbase-opt"
 
-#: gcc.c:8443
+#: gcc.c:8446
 #, gcc-internal-format, gfc-internal-format
 msgid "too many arguments to %%:compare-debug-auxbase-opt"
 msgstr "zu viele Argumente für %%:compare-debug-auxbase-opt"
 
-#: gcc.c:8450
+#: gcc.c:8453
 #, gcc-internal-format, gfc-internal-format
 msgid "argument to %%:compare-debug-auxbase-opt does not end in .gk"
 msgstr "Argument für %%:compare-debug-auxbase-opt endet nicht mit .pk"
 
-#: gcc.c:8524
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: gcc.c:8527
+#, gcc-internal-format, gfc-internal-format
 msgid "too few arguments to %%:replace-extension"
-msgstr "zu wenige Argumente für Funktion"
+msgstr "zu wenige Argumente für %%:replace-extension"
 
 #: ggc-common.c:456 ggc-common.c:464 ggc-common.c:538 ggc-common.c:557
 #: ggc-page.c:2311 ggc-page.c:2342 ggc-page.c:2349
@@ -14637,13 +14612,13 @@
 msgid "can%'t write padding to PCH file: %m"
 msgstr "Auffüllung für PCH-Datei kann nicht geschrieben werden: %m"
 
-#: ggc-common.c:615 ggc-common.c:623 ggc-common.c:630 ggc-common.c:633
-#: ggc-common.c:643 ggc-common.c:646 ggc-page.c:2439
+#: ggc-common.c:681 ggc-common.c:689 ggc-common.c:696 ggc-common.c:699
+#: ggc-common.c:709 ggc-common.c:712 ggc-page.c:2439
 #, gcc-internal-format
 msgid "can%'t read PCH file: %m"
 msgstr "PCH-Datei kann nicht gelesen werden: %m"
 
-#: ggc-common.c:638
+#: ggc-common.c:704
 #, gcc-internal-format
 msgid "had to relocate PCH"
 msgstr "PCH musste verschoben werden"
@@ -14795,7 +14770,7 @@
 #. Fatal error here.  We do not want to support compiling ltrans units with
 #. different version of compiler or different flags than the WPA unit, so
 #. this should never happen.
-#: ipa-reference.c:1148
+#: ipa-reference.c:1146
 #, gcc-internal-format
 msgid "ipa reference summary is missing in ltrans unit"
 msgstr "IPA-Referenzzusammenfassung fehlt in ltrans-Einheit"
@@ -14816,14 +14791,14 @@
 msgstr "inkonsistente Operandenbedingungen in einem %<asm%>"
 
 #: lra-constraints.c:3438
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Maximum number of LRA constraint passes is achieved (%d)\n"
-msgstr "Höchstzahl von bedingten Speicherpaaren, die ausgegeben werden können"
+msgstr "Höchstzahl der Durchläufe für LRA-Bedingungen ist erreicht (%d)\n"
 
 #: lra-constraints.c:3537
 #, gcc-internal-format, gfc-internal-format
 msgid "Max. number of generated reload insns per insn is achieved (%d)\n"
-msgstr ""
+msgstr "Höchstzahl der erzeugten Neuladeanweisungen pro Anweisung ist erreicht (%d)\n"
 
 #: lto-cgraph.c:976
 #, gcc-internal-format, gfc-internal-format
@@ -14987,27 +14962,27 @@
 msgid "invalid branch to/from an OpenMP structured block"
 msgstr "ungültiger Zweig zu/von strukturiertem OpenMP-Block"
 
-#: opts-common.c:997
+#: opts-common.c:1030
 #, gcc-internal-format
 msgid "command line option %qs is not supported by this configuration"
 msgstr "Kommandozeilenoption %qs wird von dieser Konfiguration nicht unterstützt"
 
-#: opts-common.c:1007
+#: opts-common.c:1040
 #, gcc-internal-format
 msgid "missing argument to %qs"
 msgstr "fehlendes Argument für %qs"
 
-#: opts-common.c:1013
+#: opts-common.c:1046
 #, gcc-internal-format
 msgid "argument to %qs should be a non-negative integer"
 msgstr "Argument von %qs sollte eine nicht-negative Ganzzahl sein"
 
-#: opts-common.c:1028
+#: opts-common.c:1061
 #, gcc-internal-format
 msgid "unrecognized argument in option %qs"
 msgstr "nicht erkanntes Kommandozeilenargument in Option %qs"
 
-#: opts-common.c:1044
+#: opts-common.c:1077
 #, gcc-internal-format
 msgid "valid arguments to %qs are: %s"
 msgstr "gültige Argumente für %qs sind: %s"
@@ -15034,9 +15009,9 @@
 msgstr "nicht erkannte Kommandozeilenoption %<-fdump-%s%>"
 
 #: opts-global.c:394
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "unrecognized command line option %<-fopt-info-%s%>"
-msgstr "nicht erkannte Kommandozeilenoption %<-fdump-%s%>"
+msgstr "nicht erkannte Kommandozeilenoption %<-fopt-info-%s%>"
 
 #: opts-global.c:415 opts-global.c:423
 #, gcc-internal-format
@@ -15063,137 +15038,137 @@
 msgid "%<-femit-struct-debug-detailed=dir:...%> must allow at least as much as %<-femit-struct-debug-detailed=ind:...%>"
 msgstr "%<-femit-struct-debug-detailed=dir:...%> muss zumindest so viel wie %<-femit-struct-debug-detailed=ind:...%> erlauben"
 
-#: opts.c:542
-#, fuzzy, gcc-internal-format
+#: opts.c:544
+#, gcc-internal-format
 msgid "argument to %<-O%> should be a non-negative integer, %<g%>, %<s%> or %<fast%>"
-msgstr "Argument von %qs sollte eine nicht-negative Ganzzahl sein"
+msgstr "Argument von %<-O%> sollte eine nicht-negative Ganzzahl, %<g%>, %<s%> oder %<fast%> sein"
 
-#: opts.c:669
+#: opts.c:672
 #, gcc-internal-format
 msgid "section anchors must be disabled when unit-at-a-time is disabled"
 msgstr "Abschnittsanker müssen ausgeschaltet sein, wenn »unit-at-a-time« ausgeschaltet ist"
 
-#: opts.c:673
+#: opts.c:676
 #, gcc-internal-format
 msgid "toplevel reorder must be disabled when unit-at-a-time is disabled"
 msgstr "Toplevel-Neuordnung muss ausgeschaltet sein, wenn »unit-at-a-time« ausgeschaltet ist"
 
-#: opts.c:679
+#: opts.c:682
 #, gcc-internal-format
 msgid "transactional memory is not supported with non-call exceptions"
 msgstr "transaktionsbasierter Speicher wird von Nicht-Aufruf-Ausnahmen nicht unterstützt"
 
-#: opts.c:694
+#: opts.c:697
 #, gcc-internal-format
 msgid "section anchors must be disabled when toplevel reorder is disabled"
 msgstr "Abschnittsanker müssen ausgeschaltet sein, wenn Toplevel-Neuordnung ausgeschaltet ist"
 
-#: opts.c:729 config/darwin.c:3061 config/sh/sh.c:936
+#: opts.c:732 config/darwin.c:3061 config/sh/sh.c:933
 #, gcc-internal-format
 msgid "-freorder-blocks-and-partition does not work with exceptions on this architecture"
 msgstr "-freorder-blocks-and-partition funktioniert auf dieser Architektur nicht mit Ausnahmen"
 
-#: opts.c:744 config/sh/sh.c:944
+#: opts.c:747 config/sh/sh.c:941
 #, gcc-internal-format
 msgid "-freorder-blocks-and-partition does not support unwind info on this architecture"
 msgstr "-freorder-blocks-and-partition unterstützt auf dieser Architektur nicht Unwind-Info"
 
-#: opts.c:761 config/pa/pa.c:526
+#: opts.c:764 config/pa/pa.c:526
 #, gcc-internal-format
 msgid "-freorder-blocks-and-partition does not work on this architecture"
 msgstr "-freorder-blocks-and-partition funktioniert auf dieser Architektur nicht"
 
-#: opts.c:797
+#: opts.c:800
 #, gcc-internal-format
 msgid "-fno-fat-lto-objects are supported only with linker plugin."
 msgstr "-fno-fat-lto-objects werden nur mit Linker-Plugin unterstützt"
 
-#: opts.c:805
+#: opts.c:808
 #, gcc-internal-format
 msgid "only one -flto-partition value can be specified"
 msgstr "für -flto-partition kann nur ein Wert angegeben werden"
 
-#: opts.c:816
+#: opts.c:819
 #, gcc-internal-format
 msgid "%<-fsplit-stack%> is not supported by this compiler configuration"
 msgstr "%<-fsplit-stack%> wird von dieser Compilerkonfiguration nicht unterstützt"
 
-#: opts.c:1193
+#: opts.c:1196
 #, gcc-internal-format
 msgid "unrecognized include_flags 0x%x passed to print_specific_help"
 msgstr "nicht erkanntes include_flags 0x%x an print_specific_help weitergegeben"
 
-#: opts.c:1373
+#: opts.c:1376
 #, gcc-internal-format
 msgid "--help argument %q.*s is ambiguous, please be more specific"
 msgstr "Argument %q.*s für --help ist mehrdeutig, bitte präzisieren"
 
-#: opts.c:1382
+#: opts.c:1385
 #, gcc-internal-format
 msgid "unrecognized argument to --help= option: %q.*s"
 msgstr "Argument %q.*s für Option --help= nicht erkannt"
 
-#: opts.c:1547
+#: opts.c:1550
 #, gcc-internal-format, gfc-internal-format
 msgid "structure alignment must be a small power of two, not %d"
 msgstr "Strukturausrichtung muss eine kleine Zweierpotenz sein, nicht %d"
 
-#: opts.c:1664
+#: opts.c:1667
 #, gcc-internal-format, gfc-internal-format
 msgid "unknown stack check parameter \"%s\""
 msgstr "unbekannter Stack-Überprüfungsparameter \"%s\""
 
-#: opts.c:1701
+#: opts.c:1704
 #, gcc-internal-format, gfc-internal-format
 msgid "dwarf version %d is not supported"
 msgstr "Dwarf-Version %d wird nicht unterstützt"
 
-#: opts.c:1791
+#: opts.c:1794
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: --param arguments should be of the form NAME=VALUE"
 msgstr "%s: »--param«-Argumente sollten von der Form NAME=VALUE sein"
 
-#: opts.c:1797
+#: opts.c:1800
 #, gcc-internal-format
 msgid "invalid --param value %qs"
 msgstr "ungültiger Wert für --param: %qs"
 
-#: opts.c:1915
+#: opts.c:1918
 #, gcc-internal-format
 msgid "target system does not support debug output"
 msgstr "Zielsystem unterstützt keine Testausgaben"
 
-#: opts.c:1924
+#: opts.c:1927
 #, gcc-internal-format, gfc-internal-format
 msgid "debug format \"%s\" conflicts with prior selection"
 msgstr "Testformat »%s« steht in Konflikt mit vorheriger Auswahl"
 
-#: opts.c:1940
+#: opts.c:1943
 #, gcc-internal-format, gfc-internal-format
 msgid "unrecognised debug output level \"%s\""
 msgstr "Testausgabestufe »%s« nicht erkannt"
 
-#: opts.c:1942
+#: opts.c:1945
 #, gcc-internal-format, gfc-internal-format
 msgid "debug output level %s is too high"
 msgstr "Testausgabestufe »%s« ist zu groß"
 
-#: opts.c:1962
+#: opts.c:1965
 #, gcc-internal-format
 msgid "getting core file size maximum limit: %m"
 msgstr "Kern-Dateigrößenlimit wird geholt: %m"
 
-#: opts.c:1965
+#: opts.c:1968
 #, gcc-internal-format
 msgid "setting core file size limit to maximum: %m"
 msgstr "Kern-Dateigrößenlimit wird gesetzt: %m"
 
-#: opts.c:2010
+#: opts.c:2013
 #, gcc-internal-format, gfc-internal-format
 msgid "unrecognized gcc debugging option: %c"
 msgstr "GCC-Debuggingoption nicht erkannt: %c"
 
-#: opts.c:2036
+#: opts.c:2039
 #, gcc-internal-format, gfc-internal-format
 msgid "-Werror=%s: no option -%s"
 msgstr "-Werror=%s: Keine Option -%s"
@@ -15463,8 +15438,8 @@
 msgstr "%qs kann nicht als ein festes Register verwendet werden"
 
 #: reginfo.c:750 config/ia64/ia64.c:5897 config/ia64/ia64.c:5904
-#: config/pa/pa.c:428 config/pa/pa.c:435 config/sh/sh.c:9362
-#: config/sh/sh.c:9369 config/spu/spu.c:4908 config/spu/spu.c:4915
+#: config/pa/pa.c:428 config/pa/pa.c:435 config/sh/sh.c:9359
+#: config/sh/sh.c:9366 config/spu/spu.c:4908 config/spu/spu.c:4915
 #, gcc-internal-format, gfc-internal-format
 msgid "unknown register name: %s"
 msgstr "unbekannter Registername: %s"
@@ -15544,42 +15519,42 @@
 msgid "output operand is constant in %<asm%>"
 msgstr "Ausgabeoperand ist in %<asm%> konstant"
 
-#: rtl.c:738
+#: rtl.c:742
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL check: access of elt %d of '%s' with last elt %d in %s, at %s:%d"
 msgstr "RTL-Überprüfung: Zugriff von Elt %d von »%s« mit letztem Elt %d in %s, bei %s:%d"
 
-#: rtl.c:748
+#: rtl.c:752
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL check: expected elt %d type '%c', have '%c' (rtx %s) in %s, at %s:%d"
 msgstr "RTL-Überprüfung: Elt-%d-Typ %c erwartet, haben Typ %c (rtx %s) in %s, bei %s:%d"
 
-#: rtl.c:758
+#: rtl.c:762
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL check: expected elt %d type '%c' or '%c', have '%c' (rtx %s) in %s, at %s:%d"
 msgstr "RTL-Überprüfung: Elt-%d-Typ %c oder %c erwartet, haben Typ %c (rtx %s) in %s, bei %s:%d"
 
-#: rtl.c:767
+#: rtl.c:771
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL check: expected code '%s', have '%s' in %s, at %s:%d"
 msgstr "RTL-Überprüfung: Code »%s« erwartet, haben »%s« in %s, bei %s:%d"
 
-#: rtl.c:777
+#: rtl.c:781
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL check: expected code '%s' or '%s', have '%s' in %s, at %s:%d"
 msgstr "RTL-Überprüfung: Code »%s« oder »%s« erwartet, haben »%s« in %s, bei %s:%d"
 
-#: rtl.c:804
+#: rtl.c:808
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL check: attempt to treat non-block symbol as a block symbol in %s, at %s:%d"
 msgstr "RTL-Überprüfung: Versuch, Nicht-Blocksymbol als Blocksymbol in %s bei %s:%d zu verwenden"
 
-#: rtl.c:814
+#: rtl.c:818
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL check: access of elt %d of vector with last elt %d in %s, at %s:%d"
 msgstr "RTL-Überprüfung: Zugriff von Elt %d von Vektor mit letztem Elt %d in %s, bei %s:%d"
 
-#: rtl.c:825
+#: rtl.c:829
 #, gcc-internal-format, gfc-internal-format
 msgid "RTL flag check: %s used with unexpected rtx code '%s' in %s, at %s:%d"
 msgstr "RTL-Kennzeichenüberprüfung: %s mit unerwartetem RTX-Code »%s« in %s bei %s:%d verwendet"
@@ -15760,39 +15735,39 @@
 msgstr "%D nach Referenzierung in Assemblierung umbenannt"
 
 #: symtab.c:586
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "function symbol is not function"
-msgstr "Funktion gibt eine Funktion"
+msgstr "Funktionssymbol ist keine Funktion"
 
 #: symtab.c:594
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "variable symbol is not variable"
-msgstr "Feld ist nicht adressierbar"
+msgstr "Variablensymbol ist keine Variable"
 
 #: symtab.c:600
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "node has unknown type"
-msgstr "Knoten hat falsche Clone-Liste"
+msgstr "Knoten hat unbekannten Typ"
 
 #: symtab.c:607
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "node not found in symtab decl hashtable"
-msgstr "Knoten in cgraph_hash nicht gefunden"
+msgstr "Knoten in Hashtabelle der Symtab-Deklarationen nicht gefunden"
 
 #: symtab.c:615
 #, gcc-internal-format
 msgid "assembler name hash list corrupted"
-msgstr ""
+msgstr "Namen-Hashliste des Assemblers ist beschädigt"
 
 #: symtab.c:628
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "node not found in symtab assembler name hash"
-msgstr "Knoten in cgraph_hash nicht gefunden"
+msgstr "Knoten in Namen-Hashliste des Assemblers nicht gefunden"
 
 #: symtab.c:635
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "double linked list of assembler names corrupted"
-msgstr "doppelt verkettete Liste des Clones ist beschädigt"
+msgstr "doppelt verkettete Liste der Assembler-Namen ist beschädigt"
 
 #: symtab.c:643
 #, gcc-internal-format
@@ -15802,7 +15777,7 @@
 #: symtab.c:648
 #, gcc-internal-format
 msgid "mixing different types of symbol in same comdat groups is not supported"
-msgstr ""
+msgstr "Mischen unterschiedlicher Symboltypen in gleichen Comdat-Gruppen wird nicht unterstützt"
 
 #: symtab.c:653
 #, gcc-internal-format
@@ -15815,9 +15790,9 @@
 msgstr "same_comdat_group ist keine ringförmige Liste"
 
 #: symtab.c:686
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "verify_symtab_node failed"
-msgstr "verify_cgraph gescheitert"
+msgstr "verify_symtab_node gescheitert"
 
 #: targhooks.c:165
 #, gcc-internal-format
@@ -15915,9 +15890,9 @@
 msgstr "dieses Ziel unterstützt nicht %qs"
 
 #: toplev.c:1255
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "Graphite loop optimizations cannot be used (-fgraphite, -fgraphite-identity, -floop-block, -floop-interchange, -floop-strip-mine, -floop-parallelize-all, and -ftree-loop-linear)"
-msgstr "Graphite-Schleifenoptimierungen können nicht verwendet werden (-fgraphite, -fgraphite-identity, -floop-block, -floop-flatten, -floop-interchange, -floop-strip-mine, -floop-parallelize-all und -ftree-loop-linear)"
+msgstr "Graphite-Schleifenoptimierungen können nicht verwendet werden (-fgraphite, -fgraphite-identity, -floop-block, -floop-interchange, -floop-strip-mine, -floop-parallelize-all und -ftree-loop-linear)"
 
 #: toplev.c:1262
 #, gcc-internal-format
@@ -16010,9 +15985,9 @@
 msgstr "Abwicklungstabellen erfordern derzeit einen Rahmenzeiger für Korrektheit"
 
 #: toplev.c:1547
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "-fsanitize=address not supported for this target"
-msgstr "-fdata-sections wird für dieses Ziel nicht unterstützt"
+msgstr "-fsanitize=Adresse wird für dieses Ziel nicht unterstützt"
 
 #: toplev.c:1808
 #, gcc-internal-format
@@ -16034,7 +16009,7 @@
 msgid "%<transaction_may_cancel_outer%> function call not within outer transaction or %<transaction_may_cancel_outer%>"
 msgstr "Funktionsaufruf von %<transaction_may_cancel_outer%> nicht innerhalb von äußerer Transaktion oder %<transaction_may_cancel_outer%>"
 
-#: trans-mem.c:676 trans-mem.c:4569
+#: trans-mem.c:676 trans-mem.c:4570
 #, gcc-internal-format
 msgid "unsafe function call %qD within atomic transaction"
 msgstr "unsicherer Funktionsaufruf %qD innerhalb von atomarer Transaktion"
@@ -16049,7 +16024,7 @@
 msgid "unsafe indirect function call within atomic transaction"
 msgstr "unsicherer indirekter Funktionsaufruf innerhalb von atomarer Transaktion"
 
-#: trans-mem.c:694 trans-mem.c:4502
+#: trans-mem.c:694 trans-mem.c:4503
 #, gcc-internal-format
 msgid "unsafe function call %qD within %<transaction_safe%> function"
 msgstr "unsicherer Funktionsaufruf %qD innerhalb von %<transaction_safe%>-Funktion"
@@ -16064,7 +16039,7 @@
 msgid "unsafe indirect function call within %<transaction_safe%> function"
 msgstr "unsicherer indirekter Funktionsaufruf innerhalb von %<transaction_safe%>-Funktion"
 
-#: trans-mem.c:719 trans-mem.c:4541
+#: trans-mem.c:719 trans-mem.c:4542
 #, gcc-internal-format
 msgid "asm not allowed in atomic transaction"
 msgstr "in atomarer Transaktion ist kein asm erlaubt"
@@ -16099,7 +16074,7 @@
 msgid "outer transaction in %<transaction_safe%> function"
 msgstr "äußere Transaktion in %<transaction_safe%>-Funktion"
 
-#: trans-mem.c:4169
+#: trans-mem.c:4170
 #, gcc-internal-format
 msgid "%Kasm not allowed in %<transaction_safe%> function"
 msgstr "%Kasm in %<transaction_safe%>-Funktion ist nicht erlaubt"
@@ -16149,7 +16124,7 @@
 msgid "MODIFY_EXPR not expected while having tuples"
 msgstr "MODIFY_EXPR nicht erwartet während es Tupel gibt"
 
-#: tree-cfg.c:2613 tree-ssa.c:879
+#: tree-cfg.c:2613 tree-ssa.c:876
 #, gcc-internal-format
 msgid "address taken, but ADDRESSABLE bit not set"
 msgstr "Adresse genommen, aber ADDRESSABLE-Bit nicht gesetzt"
@@ -16340,9 +16315,9 @@
 msgstr "Vergleichsoperandentypen passen nicht"
 
 #: tree-cfg.c:3172
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "vector comparison returning a boolean"
-msgstr "ungültiger Ergebnistyp in Vektorvergleich"
+msgstr "Vektorvergleich gibt Boolean zurück"
 
 #: tree-cfg.c:3186
 #, gcc-internal-format
@@ -16507,7 +16482,7 @@
 #: tree-cfg.c:3817
 #, gcc-internal-format
 msgid "non-decl LHS in clobber statement"
-msgstr ""
+msgstr "nicht deklariertes LHS in zerstörender Anweisung"
 
 #: tree-cfg.c:3833
 #, gcc-internal-format
@@ -16527,17 +16502,17 @@
 #: tree-cfg.c:3933 tree-cfg.c:3951 tree-cfg.c:3965
 #, gcc-internal-format
 msgid "incorrect type of vector CONSTRUCTOR elements"
-msgstr ""
+msgstr "falscher Typ der Elemente eines Vektorkonstruktors"
 
 #: tree-cfg.c:3942 tree-cfg.c:3958
 #, gcc-internal-format
 msgid "incorrect number of vector CONSTRUCTOR elements"
-msgstr ""
+msgstr "falsche Anzahl der Elemente eines Vektorkonstruktors"
 
 #: tree-cfg.c:3974
 #, gcc-internal-format
 msgid "vector CONSTRUCTOR with non-NULL element index"
-msgstr ""
+msgstr "Elementindex in Vektorkonstruktor ist nicht Null"
 
 #: tree-cfg.c:4035
 #, gcc-internal-format
@@ -16560,39 +16535,39 @@
 msgstr "ungültiger Operand für switch-Anweisung"
 
 #: tree-cfg.c:4101
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "non-integral type switch statement"
-msgstr "ungültiger Operand für switch-Anweisung"
+msgstr "switch-Anweisung ohne eingebauten Typ"
 
 #: tree-cfg.c:4109
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "invalid default case label in switch statement"
-msgstr "%<default%>-Marke nicht innerhalb einer switch-Anweisung"
+msgstr "ungültige %<default%>-Marke in switch-Anweisung"
 
 #: tree-cfg.c:4121
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "invalid case label in switch statement"
-msgstr "case-Marke nicht innerhalb einer switch-Anweisung"
+msgstr "ungültige »case«-Marke in switch-Anweisung"
 
 #: tree-cfg.c:4128
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "invalid case range in switch statement"
-msgstr "ungültiger Operand für switch-Anweisung"
+msgstr "ungültiger »case«-Bereich in switch-Anweisung"
 
 #: tree-cfg.c:4138
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "type mismatch for case label in switch statement"
-msgstr "case-Marke nicht innerhalb einer switch-Anweisung"
+msgstr "unpassender Typ für »case«-Marke in switch-Anweisung"
 
 #: tree-cfg.c:4148
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "type precision mismatch in switch statement"
-msgstr "case-Marke nicht innerhalb einer switch-Anweisung"
+msgstr "unpassende Präzision für Typ in switch-Anweisung"
 
 #: tree-cfg.c:4157
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "case labels not sorted in switch statement"
-msgstr "case-Marke nicht innerhalb einer switch-Anweisung"
+msgstr "unsortierte case-Marken in switch-Anweisung"
 
 #: tree-cfg.c:4202
 #, gcc-internal-format
@@ -16634,7 +16609,7 @@
 msgid "incompatible types in PHI argument %u"
 msgstr "inkompatible Typen in PHI-Argument %u"
 
-#: tree-cfg.c:4433 tree-cfg.c:4727
+#: tree-cfg.c:4433 tree-cfg.c:4738
 #, gcc-internal-format
 msgid "verify_gimple failed"
 msgstr "verify_gimple gescheitert"
@@ -16647,274 +16622,274 @@
 #: tree-cfg.c:4511
 #, gcc-internal-format
 msgid "location references block not in block tree"
-msgstr ""
+msgstr "An diesem Ort wird Block referenziert, der nicht im Baum der Blöcke ist"
 
-#: tree-cfg.c:4594
+#: tree-cfg.c:4605
 #, gcc-internal-format
 msgid "gimple_bb (phi) is set to a wrong basic block"
 msgstr "gimple_bb (phi) wird auf falschen Basisblock gesetzt"
 
-#: tree-cfg.c:4603
-#, fuzzy, gcc-internal-format
+#: tree-cfg.c:4614
+#, gcc-internal-format
 msgid "PHI node with location"
-msgstr "von dieser Stelle"
+msgstr "PHI-Knoten mit Ortsangabe"
 
-#: tree-cfg.c:4614 tree-cfg.c:4663
+#: tree-cfg.c:4625 tree-cfg.c:4674
 #, gcc-internal-format
 msgid "incorrect sharing of tree nodes"
 msgstr "falscher gemeinsame Verwendung von Baumknoten"
 
-#: tree-cfg.c:4622
+#: tree-cfg.c:4633
 #, gcc-internal-format
 msgid "virtual PHI with argument locations"
-msgstr ""
+msgstr "virtuelles PHI mit Stellenangaben für Argumente"
 
-#: tree-cfg.c:4651
+#: tree-cfg.c:4662
 #, gcc-internal-format
 msgid "gimple_bb (stmt) is set to a wrong basic block"
 msgstr "gimple_bb (stmt) ist auf falschen Basisblock gesetzt"
 
-#: tree-cfg.c:4687
+#: tree-cfg.c:4698
 #, gcc-internal-format
 msgid "in statement"
 msgstr "in Anweisung"
 
-#: tree-cfg.c:4702
+#: tree-cfg.c:4713
 #, gcc-internal-format
 msgid "statement marked for throw, but doesn%'t"
 msgstr "Anweisung für throw markiert, tut es jedoch nicht"
 
-#: tree-cfg.c:4709
+#: tree-cfg.c:4720
 #, gcc-internal-format
 msgid "statement marked for throw in middle of block"
 msgstr "Anweisung für throw inmitten eines Blockes markiert"
 
-#: tree-cfg.c:4751
+#: tree-cfg.c:4762
 #, gcc-internal-format
 msgid "ENTRY_BLOCK has IL associated with it"
 msgstr "ENTRY_BLOCK hat zugehörige IL"
 
-#: tree-cfg.c:4757
+#: tree-cfg.c:4768
 #, gcc-internal-format
 msgid "EXIT_BLOCK has IL associated with it"
 msgstr "EXIT_BLOCK hat zugehörige IL"
 
-#: tree-cfg.c:4764
+#: tree-cfg.c:4775
 #, gcc-internal-format, gfc-internal-format
 msgid "fallthru to exit from bb %d"
 msgstr "Fallthru zum Austritt von bb %d"
 
-#: tree-cfg.c:4788
+#: tree-cfg.c:4799
 #, gcc-internal-format
 msgid "nonlocal label "
 msgstr "nichtlokale Marke "
 
-#: tree-cfg.c:4797
+#: tree-cfg.c:4808
 #, gcc-internal-format
 msgid "EH landing pad label "
 msgstr "EH Landefeld-Marke "
 
-#: tree-cfg.c:4806 tree-cfg.c:4815 tree-cfg.c:4840
+#: tree-cfg.c:4817 tree-cfg.c:4826 tree-cfg.c:4851
 #, gcc-internal-format
 msgid "label "
 msgstr "Marke "
 
-#: tree-cfg.c:4830
+#: tree-cfg.c:4841
 #, gcc-internal-format, gfc-internal-format
 msgid "control flow in the middle of basic block %d"
 msgstr "Kontrollfluss inmitten des Basis-Blockes %d"
 
-#: tree-cfg.c:4863
+#: tree-cfg.c:4874
 #, gcc-internal-format, gfc-internal-format
 msgid "fallthru edge after a control statement in bb %d"
 msgstr "Fallthru-Kante hinter einer Kontrollanweisung in bb %d"
 
-#: tree-cfg.c:4876
+#: tree-cfg.c:4887
 #, gcc-internal-format, gfc-internal-format
 msgid "true/false edge after a non-GIMPLE_COND in bb %d"
 msgstr "Wahr/Falsch-Kante hinter einer Nicht-GIMPLE_COND in bb %d"
 
-#: tree-cfg.c:4899 tree-cfg.c:4921 tree-cfg.c:4938 tree-cfg.c:5007
+#: tree-cfg.c:4910 tree-cfg.c:4932 tree-cfg.c:4949 tree-cfg.c:5018
 #, gcc-internal-format, gfc-internal-format
 msgid "wrong outgoing edge flags at end of bb %d"
 msgstr "Falsche ausgehende Kantenmarken am Ende des bb %d"
 
-#: tree-cfg.c:4909
+#: tree-cfg.c:4920
 #, gcc-internal-format, gfc-internal-format
 msgid "explicit goto at end of bb %d"
 msgstr "Explizites Goto am Ende von bb %d"
 
-#: tree-cfg.c:4943
+#: tree-cfg.c:4954
 #, gcc-internal-format, gfc-internal-format
 msgid "return edge does not point to exit in bb %d"
 msgstr "Return-Kante zeigt nicht auf Ausgang in bb %d"
 
-#: tree-cfg.c:4973
+#: tree-cfg.c:4984
 #, gcc-internal-format
 msgid "found default case not at the start of case vector"
 msgstr "Standard-Fall nicht am Anfang des case-Vektors gefunden"
 
-#: tree-cfg.c:4981
+#: tree-cfg.c:4992
 #, gcc-internal-format
 msgid "case labels not sorted: "
 msgstr "Case-Marken nicht sortiert: "
 
-#: tree-cfg.c:4998
+#: tree-cfg.c:5009
 #, gcc-internal-format, gfc-internal-format
 msgid "extra outgoing edge %d->%d"
 msgstr "Zusätzliche ausgehende Kante %d->%d"
 
-#: tree-cfg.c:5021
+#: tree-cfg.c:5032
 #, gcc-internal-format, gfc-internal-format
 msgid "missing edge %i->%i"
 msgstr "Fehlende Kante %i->%i"
 
-#: tree-cfg.c:7803
+#: tree-cfg.c:7814
 #, gcc-internal-format
 msgid "%<noreturn%> function does return"
 msgstr "%<noreturn%>-Funktion kehrt zurück"
 
-#: tree-cfg.c:7823
+#: tree-cfg.c:7834
 #, gcc-internal-format
 msgid "control reaches end of non-void function"
 msgstr "Kontrollfluss erreicht Ende von Nicht-void-Funktion"
 
-#: tree-cfg.c:7963
+#: tree-cfg.c:7974
 #, gcc-internal-format
 msgid "ignoring return value of %qD, declared with attribute warn_unused_result"
 msgstr "Der Rückgabewert von %qD, der mit dem Attribut warn_unused_result deklariert wurde, wird ignoriert"
 
-#: tree-cfg.c:7968
+#: tree-cfg.c:7979
 #, gcc-internal-format
 msgid "ignoring return value of function declared with attribute warn_unused_result"
 msgstr "Rückgabewert der mit dem Attribut warn_unused_result definierten Funktion wird ignoriert"
 
 #: tree-diagnostic.c:202
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "in definition of macro %qs"
-msgstr "Redefinition von %q+D"
+msgstr "in Dedefinition des Makros %qs"
 
 #: tree-diagnostic.c:219
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "in expansion of macro %qs"
-msgstr "schlechtes existierendes Makro »%s«"
+msgstr "bei Substitution des Makros %qs"
 
-#: tree-eh.c:4368
+#: tree-eh.c:4396
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i has multiple EH edges"
 msgstr "BB %i hat mehrere EH-Kanten"
 
-#: tree-eh.c:4380
+#: tree-eh.c:4408
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i can not throw but has an EH edge"
 msgstr "BB %i kann nicht werfen, hat aber eine EH-Kante"
 
-#: tree-eh.c:4388
+#: tree-eh.c:4416
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i last statement has incorrectly set lp"
 msgstr "BB %i: letzte Anweisung hat falsch gesetztes LP"
 
-#: tree-eh.c:4394
+#: tree-eh.c:4422
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i is missing an EH edge"
 msgstr "dem BB %i fehlt eine EH-Kante"
 
-#: tree-eh.c:4400
+#: tree-eh.c:4428
 #, gcc-internal-format, gfc-internal-format
 msgid "Incorrect EH edge %i->%i"
 msgstr "falsche EH-Kante %i->%i"
 
-#: tree-eh.c:4434 tree-eh.c:4453
+#: tree-eh.c:4462 tree-eh.c:4481
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i is missing an edge"
 msgstr "dem BB %i fehlt eine Kante"
 
-#: tree-eh.c:4470
+#: tree-eh.c:4498
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i too many fallthru edges"
 msgstr "BB %i hat zu viele »fallthru«-Kanten"
 
-#: tree-eh.c:4479
+#: tree-eh.c:4507
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i has incorrect edge"
 msgstr "BB %i hat falsche Kante"
 
-#: tree-eh.c:4485
+#: tree-eh.c:4513
 #, gcc-internal-format, gfc-internal-format
 msgid "BB %i has incorrect fallthru edge"
 msgstr "BB %i hat falsche »fallthru«-Kante"
 
-#: tree-inline.c:3012
+#: tree-inline.c:3022
 #, gcc-internal-format
 msgid "function %q+F can never be copied because it receives a non-local goto"
 msgstr "Funktion %q+F kann nie kopiert werden, da sie ein nichtlokales »goto« empfängt"
 
-#: tree-inline.c:3026
+#: tree-inline.c:3036
 #, gcc-internal-format
 msgid "function %q+F can never be copied because it saves address of local label in a static variable"
 msgstr "Funktion %q+F kann nie kopiert werden, da sie die Adresse einer lokalen Marke in statischer Variablen speichert"
 
-#: tree-inline.c:3066
+#: tree-inline.c:3076
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it uses alloca (override using the always_inline attribute)"
 msgstr "die Funktion %q+F kann nie »inline« sein, da sie alloca verwendet (zum Aufheben: Attribut »always_inline« verwenden)"
 
-#: tree-inline.c:3080
+#: tree-inline.c:3090
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it uses setjmp"
 msgstr "die Funktion %q+F kann nie »inline« sein, da sie setjmp verwendet"
 
-#: tree-inline.c:3094
+#: tree-inline.c:3104
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it uses variable argument lists"
 msgstr "die Funktion %q+F kann nie »inline« sein, da sie eine variable Argumentliste verwendet"
 
-#: tree-inline.c:3106
+#: tree-inline.c:3116
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it uses setjmp-longjmp exception handling"
 msgstr "die Funktion %q+F kann nie »inline« sein, da sie »setjmp-longjmp«-Ausnahmebehandlung verwendet"
 
-#: tree-inline.c:3114
+#: tree-inline.c:3124
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it uses non-local goto"
 msgstr "die Funktion %q+F kann nie »inline« sein, da sie ein nichtlokales »goto« enthält"
 
-#: tree-inline.c:3126
+#: tree-inline.c:3136
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it uses __builtin_return or __builtin_apply_args"
 msgstr "die Funktion %q+F kann nie »inline« sein, da sie __builtin_return oder __builtin_apply_args verwendet"
 
-#: tree-inline.c:3146
+#: tree-inline.c:3156
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it contains a computed goto"
 msgstr "die Funktion %q+F kann nie »inline« sein, da sie ein berechnetes »goto« enthält"
 
-#: tree-inline.c:3249
+#: tree-inline.c:3259
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it is suppressed using -fno-inline"
 msgstr "Funktion %q+F kann nie inline sein, da dies mit -fno-inline unterdrückt wird"
 
-#: tree-inline.c:3257
+#: tree-inline.c:3267
 #, gcc-internal-format
 msgid "function %q+F can never be inlined because it uses attributes conflicting with inlining"
 msgstr "Funktion %q+F kann nie inline sein, da sie mit inline in Konflikt stehende Attribute hat"
 
-#: tree-inline.c:3842
+#: tree-inline.c:3852
 #, gcc-internal-format
 msgid "inlining failed in call to always_inline %q+F: %s"
 msgstr "»inline« beim Aufruf von always_inline %q+F gescheitert: %s"
 
-#: tree-inline.c:3844 tree-inline.c:3859
+#: tree-inline.c:3854 tree-inline.c:3869
 #, gcc-internal-format
 msgid "called from here"
 msgstr "von hier aufgerufen"
 
-#: tree-inline.c:3857
+#: tree-inline.c:3867
 #, gcc-internal-format
 msgid "inlining failed in call to %q+F: %s"
 msgstr "»inline« beim Aufruf von %q+F gescheitert: %s"
 
-#: tree-into-ssa.c:3209 tree-outof-ssa.c:774 tree-outof-ssa.c:831
+#: tree-into-ssa.c:3226 tree-outof-ssa.c:774 tree-outof-ssa.c:831
 #: tree-ssa-coalesce.c:934 tree-ssa-live.c:1282
 #, gcc-internal-format
 msgid "SSA corruption"
@@ -16945,6 +16920,16 @@
 msgid "unimplemented functionality"
 msgstr "nicht implementierte Funktionalität"
 
+#: tree-ssa-loop-niter.c:2557
+#, gcc-internal-format
+msgid "iteration %E invokes undefined behavior"
+msgstr "Durchlauf %E führt zu undefiniertem Verhalten"
+
+#: tree-ssa-loop-niter.c:2559
+#, gcc-internal-format
+msgid "containing loop"
+msgstr "enthaltene Schleife"
+
 #: tree-ssa-operands.c:975
 #, gcc-internal-format
 msgid "virtual definition of statement not up-to-date"
@@ -16980,142 +16965,142 @@
 msgid "stmt volatile flag not up-to-date"
 msgstr "volatile-Kennzeichen für Anweisung nicht aktuell"
 
-#: tree-ssa-uninit.c:1943 tree-ssa.c:1668
+#: tree-ssa-uninit.c:1946 tree-ssa.c:1665
 #, gcc-internal-format
 msgid "%qD may be used uninitialized in this function"
 msgstr "%qD könnte in dieser Funktion uninitialisiert verwendet werden"
 
-#: tree-ssa.c:625
+#: tree-ssa.c:622
 #, gcc-internal-format
 msgid "expected an SSA_NAME object"
 msgstr "SSA_NAME-Objekt erwartet"
 
-#: tree-ssa.c:631
+#: tree-ssa.c:628
 #, gcc-internal-format
 msgid "found an SSA_NAME that had been released into the free pool"
 msgstr "SSA_NAME gefunden, das bereits in den Frei-Bereich geschoben wurde"
 
-#: tree-ssa.c:638
+#: tree-ssa.c:635
 #, gcc-internal-format
 msgid "type mismatch between an SSA_NAME and its symbol"
 msgstr "Unpassende Typen für SSA_NAME und sein Symbol"
 
-#: tree-ssa.c:644
+#: tree-ssa.c:641
 #, gcc-internal-format
 msgid "found a virtual definition for a GIMPLE register"
 msgstr "virtuelle Definition für ein GIMPLE-Register gefunden"
 
-#: tree-ssa.c:650
+#: tree-ssa.c:647
 #, gcc-internal-format
 msgid "virtual SSA name for non-VOP decl"
 msgstr "virtueller SSA-Name für Nicht-VOP-Deklaration"
 
-#: tree-ssa.c:656
+#: tree-ssa.c:653
 #, gcc-internal-format
 msgid "found a real definition for a non-register"
 msgstr "reale Definition für Nicht-Register gefunden"
 
-#: tree-ssa.c:663
+#: tree-ssa.c:660
 #, gcc-internal-format
 msgid "found a default name with a non-empty defining statement"
 msgstr "Standardname mit nichtleerer Definitionsanweisung gefunden"
 
-#: tree-ssa.c:693
+#: tree-ssa.c:690
 #, gcc-internal-format
 msgid "RESULT_DECL should be read only when DECL_BY_REFERENCE is set"
 msgstr "RESULT_DECL sollte nur gelesen werden, wenn DECL_BY_REFERENCE gesetzt ist"
 
-#: tree-ssa.c:699
+#: tree-ssa.c:696
 #, gcc-internal-format, gfc-internal-format
 msgid "SSA_NAME created in two different blocks %i and %i"
 msgstr "SSA_NAME in zwei verschiedenen Blöcken (%i und %i) erzeugt"
 
-#: tree-ssa.c:708 tree-ssa.c:1020
+#: tree-ssa.c:705 tree-ssa.c:1017
 #, gcc-internal-format
 msgid "SSA_NAME_DEF_STMT is wrong"
 msgstr "SSA_NAME_DEF_STMT ist falsch"
 
-#: tree-ssa.c:760
+#: tree-ssa.c:757
 #, gcc-internal-format
 msgid "missing definition"
 msgstr "Fehlende Definition"
 
-#: tree-ssa.c:766
+#: tree-ssa.c:763
 #, gcc-internal-format, gfc-internal-format
 msgid "definition in block %i does not dominate use in block %i"
 msgstr "Definition in Block %i herrscht nicht vor in Block %i"
 
-#: tree-ssa.c:774
+#: tree-ssa.c:771
 #, gcc-internal-format, gfc-internal-format
 msgid "definition in block %i follows the use"
 msgstr "Definition in Block %i folgt der Verwendung"
 
-#: tree-ssa.c:781
+#: tree-ssa.c:778
 #, gcc-internal-format
 msgid "SSA_NAME_OCCURS_IN_ABNORMAL_PHI should be set"
 msgstr "SSA_NAME_OCCURS_IN_ABNORMAL_PHI sollte gesetzt sein"
 
-#: tree-ssa.c:789
+#: tree-ssa.c:786
 #, gcc-internal-format
 msgid "no immediate_use list"
 msgstr "Keine Liste zur sofortigen Verwendung"
 
-#: tree-ssa.c:801
+#: tree-ssa.c:798
 #, gcc-internal-format
 msgid "wrong immediate use list"
 msgstr "Falsche Liste zur sofortigen Verwendung"
 
-#: tree-ssa.c:835
+#: tree-ssa.c:832
 #, gcc-internal-format
 msgid "incoming edge count does not match number of PHI arguments"
 msgstr "Eingehende Kantenzahl passt nicht zur Anzahl der PHI-Argumente"
 
-#: tree-ssa.c:849
+#: tree-ssa.c:846
 #, gcc-internal-format, gfc-internal-format
 msgid "PHI argument is missing for edge %d->%d"
 msgstr "PHI-Argument fehlt für Kante %d->%d"
 
-#: tree-ssa.c:858
+#: tree-ssa.c:855
 #, gcc-internal-format
 msgid "PHI argument is not SSA_NAME, or invariant"
 msgstr "PHI-Argument ist kein SSA_NAME, oder invariant"
 
-#: tree-ssa.c:886
+#: tree-ssa.c:883
 #, gcc-internal-format, gfc-internal-format
 msgid "wrong edge %d->%d for PHI argument"
 msgstr "Falsche Kante %d->%d für PHI-Argument"
 
-#: tree-ssa.c:967
+#: tree-ssa.c:964
 #, gcc-internal-format, gfc-internal-format
 msgid "AUX pointer initialized for edge %d->%d"
 msgstr "AUX-Zeiger für Kante %d->%d initialisiert"
 
-#: tree-ssa.c:992
+#: tree-ssa.c:989
 #, gcc-internal-format
 msgid "stmt (%p) marked modified after optimization pass: "
 msgstr "Anweisung (%p) nach Optimierungsdurchgang als geändert markiert: "
 
-#: tree-ssa.c:1049
+#: tree-ssa.c:1046
 #, gcc-internal-format
 msgid "verify_ssa failed"
 msgstr "verify_ssa gescheitert"
 
-#: tree-ssa.c:1631 varasm.c:322
+#: tree-ssa.c:1628 varasm.c:321
 #, gcc-internal-format
 msgid "%qD was declared here"
 msgstr "%qD wurde hier deklariert"
 
-#: tree-ssa.c:1663
+#: tree-ssa.c:1660
 #, gcc-internal-format
 msgid "%qD is used uninitialized in this function"
 msgstr "%qD wird in dieser Funktion uninitialisiert verwendet"
 
-#: tree-ssa.c:1700
+#: tree-ssa.c:1697
 #, gcc-internal-format
 msgid "%qE is used uninitialized in this function"
 msgstr "%qE wird in dieser Funktion uninitialisiert verwendet"
 
-#: tree-ssa.c:1705
+#: tree-ssa.c:1702
 #, gcc-internal-format
 msgid "%qE may be used uninitialized in this function"
 msgstr "%qE könnte in dieser Funktion uninitialisiert verwendet werden"
@@ -17161,9 +17146,9 @@
 msgstr "Vektoroperation wird mit einzelner skalarer Operation ausgeweitet"
 
 #: tree-vect-generic.c:909
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "vector condition will be expanded piecewise"
-msgstr "Vektoroperation wird stückweise ausgeweitet"
+msgstr "Vektorbedingung wird stückweise ausgeweitet"
 
 #: tree-vect-generic.c:1218
 #, gcc-internal-format
@@ -17235,24 +17220,24 @@
 msgid "%q+D redeclared without dllimport attribute: previous dllimport ignored"
 msgstr "%qD ohne Attribut »dllimport« redeklariert: vorheriges »dllimport« ignoriert"
 
-#: tree.c:5610 tree.c:5622 tree.c:5632 c-family/c-common.c:6380
-#: c-family/c-common.c:6399 c-family/c-common.c:6417 c-family/c-common.c:6445
-#: c-family/c-common.c:6473 c-family/c-common.c:6501 c-family/c-common.c:6517
-#: c-family/c-common.c:6536 c-family/c-common.c:6553 c-family/c-common.c:6577
-#: c-family/c-common.c:6600 c-family/c-common.c:6617 c-family/c-common.c:6645
-#: c-family/c-common.c:6666 c-family/c-common.c:6687 c-family/c-common.c:6714
-#: c-family/c-common.c:6745 c-family/c-common.c:6782 c-family/c-common.c:6809
-#: c-family/c-common.c:6869 c-family/c-common.c:6954 c-family/c-common.c:6984
-#: c-family/c-common.c:7038 c-family/c-common.c:7496 c-family/c-common.c:7514
-#: c-family/c-common.c:7576 c-family/c-common.c:7619 c-family/c-common.c:7690
-#: c-family/c-common.c:7818 c-family/c-common.c:7886 c-family/c-common.c:7944
-#: c-family/c-common.c:7992 c-family/c-common.c:8155 c-family/c-common.c:8176
-#: c-family/c-common.c:8288 c-family/c-common.c:8312 c-family/c-common.c:8619
-#: c-family/c-common.c:8642 c-family/c-common.c:8681 c-family/c-common.c:8759
-#: c-family/c-common.c:8906 config/darwin.c:1997 config/arm/arm.c:5119
-#: config/arm/arm.c:5147 config/arm/arm.c:5164 config/avr/avr.c:7789
-#: config/h8300/h8300.c:5463 config/h8300/h8300.c:5487 config/i386/i386.c:4965
-#: config/i386/i386.c:34737 config/ia64/ia64.c:737
+#: tree.c:5610 tree.c:5622 tree.c:5632 c-family/c-common.c:6385
+#: c-family/c-common.c:6404 c-family/c-common.c:6422 c-family/c-common.c:6450
+#: c-family/c-common.c:6478 c-family/c-common.c:6506 c-family/c-common.c:6522
+#: c-family/c-common.c:6537 c-family/c-common.c:6558 c-family/c-common.c:6575
+#: c-family/c-common.c:6599 c-family/c-common.c:6622 c-family/c-common.c:6639
+#: c-family/c-common.c:6667 c-family/c-common.c:6688 c-family/c-common.c:6709
+#: c-family/c-common.c:6736 c-family/c-common.c:6767 c-family/c-common.c:6804
+#: c-family/c-common.c:6831 c-family/c-common.c:6891 c-family/c-common.c:6976
+#: c-family/c-common.c:7006 c-family/c-common.c:7060 c-family/c-common.c:7518
+#: c-family/c-common.c:7536 c-family/c-common.c:7598 c-family/c-common.c:7641
+#: c-family/c-common.c:7712 c-family/c-common.c:7840 c-family/c-common.c:7908
+#: c-family/c-common.c:7966 c-family/c-common.c:8014 c-family/c-common.c:8177
+#: c-family/c-common.c:8198 c-family/c-common.c:8310 c-family/c-common.c:8334
+#: c-family/c-common.c:8641 c-family/c-common.c:8664 c-family/c-common.c:8703
+#: c-family/c-common.c:8781 c-family/c-common.c:8928 config/darwin.c:1997
+#: config/arm/arm.c:5119 config/arm/arm.c:5147 config/arm/arm.c:5164
+#: config/avr/avr.c:7789 config/h8300/h8300.c:5463 config/h8300/h8300.c:5487
+#: config/i386/i386.c:4965 config/i386/i386.c:34737 config/ia64/ia64.c:737
 #: config/rs6000/rs6000.c:24907 config/spu/spu.c:3743
 #: ada/gcc-interface/utils.c:6189 lto/lto-lang.c:222
 #, gcc-internal-format
@@ -17434,137 +17419,137 @@
 msgid "variable tracking size limit exceeded"
 msgstr "Grenze zur Variablenverfolgung überschritten"
 
-#: varasm.c:315
+#: varasm.c:314
 #, gcc-internal-format
 msgid "%+D causes a section type conflict"
 msgstr "%+D löst einen Abschnittstypkonflikt aus"
 
-#: varasm.c:318
+#: varasm.c:317
 #, gcc-internal-format
 msgid "%+D causes a section type conflict with %D"
 msgstr "%+D löst einen Abschnittstypkonflikt mit %D aus"
 
-#: varasm.c:960
+#: varasm.c:959
 #, gcc-internal-format
 msgid "alignment of %q+D is greater than maximum object file alignment.  Using %d"
 msgstr "Ausrichtung von %q+D ist größer als maximale Objektdateiausrichtung. %d verwendet"
 
-#: varasm.c:1200 varasm.c:1209
+#: varasm.c:1198 varasm.c:1207
 #, gcc-internal-format
 msgid "register name not specified for %q+D"
 msgstr "für %q+D wurde kein Registername angegeben"
 
-#: varasm.c:1211
+#: varasm.c:1209
 #, gcc-internal-format
 msgid "invalid register name for %q+D"
 msgstr "ungültiger Registername für %q+D"
 
-#: varasm.c:1213
+#: varasm.c:1211
 #, gcc-internal-format
 msgid "data type of %q+D isn%'t suitable for a register"
 msgstr "Datentyp von %q+D ist nicht für Register geeignet"
 
-#: varasm.c:1216
+#: varasm.c:1214
 #, gcc-internal-format
 msgid "the register specified for %q+D cannot be accessed by the current target"
 msgstr "für %q+D angegebenes Register kann vom aktuellen Ziel nicht zugegriffen werden"
 
-#: varasm.c:1219
+#: varasm.c:1217
 #, gcc-internal-format
 msgid "the register specified for %q+D is not general enough to be used as a register variable"
 msgstr "für %q+D angegebenes Register ist nicht allgemein genug, um als eine Registervariable verwendet zu werden"
 
-#: varasm.c:1222
+#: varasm.c:1220
 #, gcc-internal-format
 msgid "register specified for %q+D isn%'t suitable for data type"
 msgstr "für %q+D angegebenes Register eignet sich nicht für Datentyp"
 
-#: varasm.c:1232
+#: varasm.c:1230
 #, gcc-internal-format
 msgid "global register variable has initial value"
 msgstr "globale Registervariable hat Anfangswert"
 
-#: varasm.c:1236
+#: varasm.c:1234
 #, gcc-internal-format
 msgid "optimization may eliminate reads and/or writes to register variables"
 msgstr "Optimierung kann Lese- und/oder Schreiboperationen auf Registervariablen entfernen"
 
-#: varasm.c:1274
+#: varasm.c:1272
 #, gcc-internal-format
 msgid "register name given for non-register variable %q+D"
 msgstr "Registername für Nicht-Registervariable %q+D angegeben"
 
-#: varasm.c:1820
+#: varasm.c:1818
 #, gcc-internal-format
 msgid "thread-local COMMON data not implemented"
 msgstr "Thread-lokale COMMON-Daten nicht implementiert"
 
-#: varasm.c:1852
+#: varasm.c:1850
 #, gcc-internal-format
 msgid "requested alignment for %q+D is greater than implemented alignment of %wu"
 msgstr "angeforderte Ausrichtung für %q+D ist größer als die implementierte Ausrichtung von %wu"
 
-#: varasm.c:1940 c/c-decl.c:4353
+#: varasm.c:1938 c/c-decl.c:4353
 #, gcc-internal-format
 msgid "storage size of %q+D isn%'t known"
 msgstr "Speichergröße von %q+D ist unbekannt"
 
-#: varasm.c:4605
+#: varasm.c:4590
 #, gcc-internal-format
 msgid "initializer for integer/fixed-point value is too complicated"
 msgstr "Initialisierung für Ganzzahl-/Gleitkommazahlwert ist zu kompliziert"
 
-#: varasm.c:4610
+#: varasm.c:4595
 #, gcc-internal-format
 msgid "initializer for floating value is not a floating constant"
 msgstr "Initialisierung für Gleitkommawert ist keine Gleitkommakonstante"
 
-#: varasm.c:4918
+#: varasm.c:4903
 #, gcc-internal-format
 msgid "invalid initial value for member %qE"
 msgstr "ungültiger Anfangswert für Element %qE"
 
-#: varasm.c:5270
+#: varasm.c:5255
 #, gcc-internal-format
 msgid "weak declaration of %q+D must be public"
 msgstr "schwache Deklaration von %q+D muss öffentlich sein"
 
-#: varasm.c:5272
+#: varasm.c:5257
 #, gcc-internal-format
 msgid "weak declaration of %q+D not supported"
 msgstr "schwache Deklaration von %q+D wird nicht unterstützt"
 
-#: varasm.c:5301 varasm.c:5598
+#: varasm.c:5286 varasm.c:5583
 #, gcc-internal-format
 msgid "only weak aliases are supported in this configuration"
 msgstr "in dieser Konfiguration werden nur schwache Aliase unterstützt"
 
-#: varasm.c:5490
+#: varasm.c:5475
 #, gcc-internal-format
 msgid "weakref is not supported in this configuration"
 msgstr "weakref wird in dieser Konfiguration nicht unterstützt"
 
-#: varasm.c:5513 varasm.c:5595
+#: varasm.c:5498 varasm.c:5580
 #, gcc-internal-format
 msgid "ifunc is not supported in this configuration"
 msgstr "ifunc wird in dieser Konfiguration nicht unterstützt"
 
-#: varasm.c:5572
+#: varasm.c:5557
 #, gcc-internal-format
 msgid "weakref %q+D ultimately targets itself"
 msgstr "weakref %q+D zielt letztendlich auf sich selbst ab"
 
-#: varasm.c:5581
+#: varasm.c:5566
 #, gcc-internal-format
 msgid "weakref %q+D must have static linkage"
 msgstr "schwache Referenz %q+D muss statische Bindung haben"
 
-#: varasm.c:5588
+#: varasm.c:5573
 #, gcc-internal-format
 msgid "alias definitions not supported in this configuration"
 msgstr "Alias-Definitionen werden in dieser Konfiguration nicht unterstützt"
 
-#: varasm.c:5807 config/sol2.c:155 config/i386/winnt.c:254
+#: varasm.c:5792 config/sol2.c:155 config/i386/winnt.c:254
 #, gcc-internal-format
 msgid "visibility attribute not supported in this configuration; ignored"
 msgstr "Sichtbarkeitsattribute werden in dieser Konfiguration nicht unterstützt; ignoriert"
@@ -17590,1316 +17575,1316 @@
 msgid "bytecode stream: tag %s is not in the expected range [%s, %s]"
 msgstr "Bytecode-Strom: Marke %s ist nicht im erwarteten Wertebereich [%s, %s]"
 
-#: c-family/c-common.c:911
+#: c-family/c-common.c:916
 #, gcc-internal-format
 msgid "%qD is not defined outside of function scope"
 msgstr "%qD ist außerhalb des Funktionsgültigkeitsbereiches nicht definiert"
 
-#: c-family/c-common.c:961
+#: c-family/c-common.c:966
 #, gcc-internal-format
 msgid "string length %qd is greater than the length %qd ISO C%d compilers are required to support"
 msgstr "Zeichenkettenlänge %qd ist größer als die Länge %qd, die von ISO-C%d-Compilern unterstützt werden muss"
 
-#: c-family/c-common.c:1280 c/c-typeck.c:9864 cp/typeck.c:4158
+#: c-family/c-common.c:1285 c/c-typeck.c:9864 cp/typeck.c:4158
 #, gcc-internal-format
 msgid "left shift count is negative"
 msgstr "Links-Schiebe-Weite ist negativ"
 
-#: c-family/c-common.c:1281 c/c-typeck.c:9812 cp/typeck.c:4112
+#: c-family/c-common.c:1286 c/c-typeck.c:9812 cp/typeck.c:4112
 #, gcc-internal-format
 msgid "right shift count is negative"
 msgstr "Rechts-Schiebe-Weite ist negativ"
 
-#: c-family/c-common.c:1286 c/c-typeck.c:9871 cp/typeck.c:4165
+#: c-family/c-common.c:1291 c/c-typeck.c:9871 cp/typeck.c:4165
 #, gcc-internal-format
 msgid "left shift count >= width of type"
 msgstr "Links-Schiebe-Weite >= Breite des Typs"
 
-#: c-family/c-common.c:1287 c/c-typeck.c:9823 cp/typeck.c:4119
+#: c-family/c-common.c:1292 c/c-typeck.c:9823 cp/typeck.c:4119
 #, gcc-internal-format
 msgid "right shift count >= width of type"
 msgstr "Rechts-Schiebe-Weite >= Breite des Typs"
 
-#: c-family/c-common.c:1508 c-family/c-common.c:1520 cp/semantics.c:6865
+#: c-family/c-common.c:1513 c-family/c-common.c:1525 cp/semantics.c:6867
 #, gcc-internal-format
 msgid "overflow in constant expression"
 msgstr "Überlauf in Konstanten-Ausdruck"
 
-#: c-family/c-common.c:1543
+#: c-family/c-common.c:1548
 #, gcc-internal-format
 msgid "integer overflow in expression"
 msgstr "Ganzzahlüberlauf in Ausdruck"
 
-#: c-family/c-common.c:1548
+#: c-family/c-common.c:1553
 #, gcc-internal-format
 msgid "floating point overflow in expression"
 msgstr "Gleitkommaüberlauf in Ausdruck"
 
-#: c-family/c-common.c:1552
+#: c-family/c-common.c:1557
 #, gcc-internal-format
 msgid "fixed-point overflow in expression"
 msgstr "Festkommaüberlauf in Ausdruck"
 
-#: c-family/c-common.c:1556
+#: c-family/c-common.c:1561
 #, gcc-internal-format
 msgid "vector overflow in expression"
 msgstr "Vektorüberlauf in Ausdruck"
 
-#: c-family/c-common.c:1562
+#: c-family/c-common.c:1567
 #, gcc-internal-format
 msgid "complex integer overflow in expression"
 msgstr "komplexer Ganzzahlüberlauf in Ausdruck"
 
-#: c-family/c-common.c:1565
+#: c-family/c-common.c:1570
 #, gcc-internal-format
 msgid "complex floating point overflow in expression"
 msgstr "komplexer Gleitkommaüberlauf in Ausdruck"
 
-#: c-family/c-common.c:1608
+#: c-family/c-common.c:1613
 #, gcc-internal-format
 msgid "logical %<or%> applied to non-boolean constant"
 msgstr "Logisches %<or%> auf Nicht-Boolesche Konstante angewandt"
 
-#: c-family/c-common.c:1611
+#: c-family/c-common.c:1616
 #, gcc-internal-format
 msgid "logical %<and%> applied to non-boolean constant"
 msgstr "logisches %<und%> auf nicht-boolsche Konstante angewendet"
 
-#: c-family/c-common.c:1675
+#: c-family/c-common.c:1680
 #, gcc-internal-format
 msgid "logical %<or%> of collectively exhaustive tests is always true"
 msgstr "logisches %<oder%> gemeinsam erschöpfender Tests ist immer »wahr«"
 
-#: c-family/c-common.c:1679
+#: c-family/c-common.c:1684
 #, gcc-internal-format
 msgid "logical %<and%> of mutually exclusive tests is always false"
 msgstr "logisches %<und%> sich gegenseitig ausschließender Tests ist immer »falsch«"
 
-#: c-family/c-common.c:1811
+#: c-family/c-common.c:1816
 #, gcc-internal-format
 msgid "type-punning to incomplete type might break strict-aliasing rules"
 msgstr "Type-Punning auf unvollständigen Typen kann strict-aliasing-Regeln verletzen"
 
-#: c-family/c-common.c:1826
+#: c-family/c-common.c:1831
 #, gcc-internal-format
 msgid "dereferencing type-punned pointer will break strict-aliasing rules"
 msgstr "Dereferenzierung eines Type-Pun-Zeigers verletzt strict-aliasing-Regeln"
 
-#: c-family/c-common.c:1833 c-family/c-common.c:1851
+#: c-family/c-common.c:1838 c-family/c-common.c:1856
 #, gcc-internal-format
 msgid "dereferencing type-punned pointer might break strict-aliasing rules"
 msgstr "Dereferenzierung eines Type-Pun-Zeigers könnte strict-aliasing-Regeln verletzen"
 
-#: c-family/c-common.c:1985
+#: c-family/c-common.c:1990
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the destination; did you mean to remove the addressof?"
-msgstr ""
+msgstr "Argument für %<sizeof%> in Aufruf von %qD ist der gleiche Ausdruck wie das Ziel; sollte addressof entfernt werden?"
 
-#: c-family/c-common.c:1992
+#: c-family/c-common.c:1997
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the destination; did you mean to provide an explicit length?"
-msgstr ""
+msgstr "Argument für %<sizeof%> in Aufruf von %qD ist der gleiche Ausdruck wie das Ziel; sollte ausdrückliche Länge angegeben werden?"
 
-#: c-family/c-common.c:1997
+#: c-family/c-common.c:2002
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the destination; did you mean to dereference it?"
-msgstr ""
+msgstr "Argument für %<sizeof%> in Aufruf von %qD ist der gleiche Ausdruck wie das Ziel; sollte es dereferenziert werden?"
 
-#: c-family/c-common.c:2009
+#: c-family/c-common.c:2014
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same pointer type %qT as the destination; expected %qT or an explicit length"
-msgstr ""
+msgstr "Argument für %<sizeof%> in Aufruf von %qD ist vom gleichen Zeigertyp %qT wie das Ziel; %qT oder ausdrückliche Länge erwartet"
 
-#: c-family/c-common.c:2025
+#: c-family/c-common.c:2030
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the source; did you mean to remove the addressof?"
-msgstr ""
+msgstr "Argument für %<sizeof%> in Aufruf von %qD ist der gleiche Ausdruck wie die Quelle; sollte addressof entfernt werden?"
 
-#: c-family/c-common.c:2032
+#: c-family/c-common.c:2037
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the source; did you mean to provide an explicit length?"
-msgstr ""
+msgstr "Argument für %<sizeof%> in Aufruf von %qD ist der gleiche Ausdruck wie die Quelle; sollte ausdrückliche Länge angegeben werden?"
 
-#: c-family/c-common.c:2037
+#: c-family/c-common.c:2042
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the source; did you mean to dereference it?"
-msgstr ""
+msgstr "Argument für %<sizeof%> in Aufruf von %qD ist der gleiche Ausdruck wie die Quelle; sollte es dereferenziert werden?"
 
-#: c-family/c-common.c:2049
+#: c-family/c-common.c:2054
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same pointer type %qT as the source; expected %qT or an explicit length"
-msgstr ""
+msgstr "Argument für %<sizeof%> in Aufruf von %qD ist vom gleichen Zeigertyp %qT wie die Quelle; %qT oder ausdrückliche Länge erwartet"
 
-#: c-family/c-common.c:2065
+#: c-family/c-common.c:2070
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the first source; did you mean to remove the addressof?"
-msgstr ""
+msgstr "Argument für %<sizeof%> in Aufruf von %qD ist der gleiche Ausdruck wie die erste Quelle; sollte addressof entfernt werden?"
 
-#: c-family/c-common.c:2072
+#: c-family/c-common.c:2077
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the first source; did you mean to provide an explicit length?"
-msgstr ""
+msgstr "Argument für %<sizeof%> in Aufruf von %qD ist der gleiche Ausdruck wie die erste Quelle; sollte ausdrückliche Länge angegeben werden?"
 
-#: c-family/c-common.c:2077
+#: c-family/c-common.c:2082
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the first source; did you mean to dereference it?"
-msgstr ""
+msgstr "Argument für %<sizeof%> in Aufruf von %qD ist der gleiche Ausdruck wie die erste Quelle; sollte es dereferenziert werden?"
 
-#: c-family/c-common.c:2089
+#: c-family/c-common.c:2094
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same pointer type %qT as the first source; expected %qT or an explicit length"
-msgstr ""
+msgstr "Argument für %<sizeof%> in Aufruf von %qD ist vom gleichen Zeigertyp %qT wie die erste Quelle; %qT oder ausdrückliche Länge erwartet"
 
-#: c-family/c-common.c:2105
+#: c-family/c-common.c:2110
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the second source; did you mean to remove the addressof?"
-msgstr ""
+msgstr "Argument für %<sizeof%> in Aufruf von %qD ist der gleiche Ausdruck wie die zweite Quelle; sollte addressof entfernt werden?"
 
-#: c-family/c-common.c:2112
+#: c-family/c-common.c:2117
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the second source; did you mean to provide an explicit length?"
-msgstr ""
+msgstr "Argument für %<sizeof%> in Aufruf von %qD ist der gleiche Ausdruck wie die zweite Quelle; sollte ausdrückliche Länge angegeben werden?"
 
-#: c-family/c-common.c:2117
+#: c-family/c-common.c:2122
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same expression as the second source; did you mean to dereference it?"
-msgstr ""
+msgstr "Argument für %<sizeof%> in Aufruf von %qD ist der gleiche Ausdruck wie die zweite Quelle; sollte es dereferenziert werden?"
 
-#: c-family/c-common.c:2129
+#: c-family/c-common.c:2134
 #, gcc-internal-format
 msgid "argument to %<sizeof%> in %qD call is the same pointer type %qT as the second source; expected %qT or an explicit length"
-msgstr ""
+msgstr "Argument für %<sizeof%> in Aufruf von %qD ist vom gleichen Zeigertyp %qT wie die zweite Quelle; %qT oder ausdrückliche Länge erwartet"
 
-#: c-family/c-common.c:2161
+#: c-family/c-common.c:2166
 #, gcc-internal-format
 msgid "first argument of %q+D should be %<int%>"
 msgstr "erstes Argument von %q+D sollte %<int%> sein"
 
-#: c-family/c-common.c:2170
+#: c-family/c-common.c:2175
 #, gcc-internal-format
 msgid "second argument of %q+D should be %<char **%>"
 msgstr "zweites Argument von %q+D sollte %<char **%> sein"
 
-#: c-family/c-common.c:2179
+#: c-family/c-common.c:2184
 #, gcc-internal-format
 msgid "third argument of %q+D should probably be %<char **%>"
 msgstr "drittes Argument von %q+D sollte wahrscheinlich %<char **%> sein"
 
-#: c-family/c-common.c:2190
+#: c-family/c-common.c:2195
 #, gcc-internal-format
 msgid "%q+D takes only zero or two arguments"
 msgstr "%q+D benötigt entweder null oder zwei Argumente"
 
-#: c-family/c-common.c:2239
+#: c-family/c-common.c:2244
 #, gcc-internal-format
 msgid "use -flax-vector-conversions to permit conversions between vectors with differing element types or numbers of subparts"
 msgstr "-flax-vector-conversions verwenden, um Umwandlung zwischen Vektoren mit unterschiedlichen Elementtypen oder Anzahl der Teile zu erlauben"
 
-#: c-family/c-common.c:2278
+#: c-family/c-common.c:2283
 #, gcc-internal-format
 msgid "__builtin_shuffle last argument must be an integer vector"
 msgstr "Das letzte Argument von __builtin_shuffle muss Ganzzahlvektor sein"
 
-#: c-family/c-common.c:2286
+#: c-family/c-common.c:2291
 #, gcc-internal-format
 msgid "__builtin_shuffle arguments must be vectors"
 msgstr "Argumente für __builtin_shuffle müssen Vektoren sein"
 
-#: c-family/c-common.c:2292
+#: c-family/c-common.c:2297
 #, gcc-internal-format
 msgid "__builtin_shuffle argument vectors must be of the same type"
 msgstr "Vektorargumente von __builtin_shuffle müssen gleichen Typ haben"
 
-#: c-family/c-common.c:2302
+#: c-family/c-common.c:2307
 #, gcc-internal-format
 msgid "__builtin_shuffle number of elements of the argument vector(s) and the mask vector should be the same"
 msgstr "Anzahl der Elemente des/der Argumentvektors/en und des Maskenvektors für __builtin_shuffle sollten gleich sein"
 
-#: c-family/c-common.c:2311
+#: c-family/c-common.c:2316
 #, gcc-internal-format
 msgid "__builtin_shuffle argument vector(s) inner type must have the same size as inner type of the mask"
 msgstr "Innere Typen des/der Argumentvektors/en und Maske von __builtin_shuffle müssen gleiche Größe haben"
 
-#: c-family/c-common.c:2505
+#: c-family/c-common.c:2510
 #, gcc-internal-format
 msgid "negative integer implicitly converted to unsigned type"
 msgstr "Negative Ganzzahl implizit in vorzeichenlosen Typen konvertiert"
 
-#: c-family/c-common.c:2511
+#: c-family/c-common.c:2516
 #, gcc-internal-format
 msgid "conversion of unsigned constant value to negative integer"
 msgstr "Umwandlung eines vorzeichenlosen konstanten Wertes in negative Ganzzahl"
 
-#: c-family/c-common.c:2605
+#: c-family/c-common.c:2610
 #, gcc-internal-format
 msgid "conversion to %qT from %qT may change the sign of the result"
 msgstr "Umwandlung in %qT von %qT könnte das Vorzeichen des Ergebnisses ändern"
 
-#: c-family/c-common.c:2674
+#: c-family/c-common.c:2679
 #, gcc-internal-format
 msgid "conversion to %qT from boolean expression"
 msgstr "Umwandlung in %qT aus boolschem Ausdruck"
 
-#: c-family/c-common.c:2681
+#: c-family/c-common.c:2686
 #, gcc-internal-format
 msgid "conversion to %qT alters %qT constant value"
 msgstr "Umformung in %qT ändert konstanten Wert von %qT"
 
-#: c-family/c-common.c:2700
+#: c-family/c-common.c:2705
 #, gcc-internal-format
 msgid "conversion to %qT from %qT may alter its value"
 msgstr "Umwandlung in %qT von %qT könnte den Wert ändern"
 
-#: c-family/c-common.c:2730
+#: c-family/c-common.c:2735
 #, gcc-internal-format
 msgid "large integer implicitly truncated to unsigned type"
 msgstr "Große Ganzzahl implizit auf vorzeichenlosen Typen abgeschnitten"
 
-#: c-family/c-common.c:2736 c-family/c-common.c:2743 c-family/c-common.c:2751
+#: c-family/c-common.c:2741 c-family/c-common.c:2748 c-family/c-common.c:2756
 #, gcc-internal-format
 msgid "overflow in implicit constant conversion"
 msgstr "Überlauf in impliziter Konstantenkonvertierung"
 
-#: c-family/c-common.c:2923
+#: c-family/c-common.c:2928
 #, gcc-internal-format
 msgid "operation on %qE may be undefined"
 msgstr "Operation auf %qE könnte undefiniert sein"
 
-#: c-family/c-common.c:3234
+#: c-family/c-common.c:3239
 #, gcc-internal-format
 msgid "case label does not reduce to an integer constant"
 msgstr "case-Marke reduziert nicht auf Ganzzahlkonstante"
 
-#: c-family/c-common.c:3274
+#: c-family/c-common.c:3279
 #, gcc-internal-format
 msgid "case label value is less than minimum value for type"
 msgstr "case-Marke ist kleiner als Minimalwert des Typs"
 
-#: c-family/c-common.c:3282
+#: c-family/c-common.c:3287
 #, gcc-internal-format
 msgid "case label value exceeds maximum value for type"
 msgstr "case-Marke überschreitet Maximalwert des Typs"
 
-#: c-family/c-common.c:3290
+#: c-family/c-common.c:3295
 #, gcc-internal-format
 msgid "lower value in case label range less than minimum value for type"
 msgstr "Unterer Wert in case-Marken-Bereich ist kleiner als der Minimalwert des Typs"
 
-#: c-family/c-common.c:3299
+#: c-family/c-common.c:3304
 #, gcc-internal-format
 msgid "upper value in case label range exceeds maximum value for type"
 msgstr "Oberer Wert in case-Marken-Bereich überschreitet den Maximalwert des Typs"
 
-#: c-family/c-common.c:3378
+#: c-family/c-common.c:3383
 #, gcc-internal-format
 msgid "GCC cannot support operators with integer types and fixed-point types that have too many integral and fractional bits together"
 msgstr "GCC kann keine Operatoren mit Ganzzahl- und Festkommatypen unterstützen, die zusammen zu viele Ganzzahl- und Bruch-Bits haben"
 
-#: c-family/c-common.c:3881
+#: c-family/c-common.c:3886
 #, gcc-internal-format
 msgid "invalid operands to binary %s (have %qT and %qT)"
 msgstr "Ungültige Operanden für binäres %s (haben %qT und %qT)"
 
-#: c-family/c-common.c:4142
+#: c-family/c-common.c:4147
 #, gcc-internal-format
 msgid "comparison is always false due to limited range of data type"
 msgstr "Vergleich ist durch beschränkten Wertebereich des Datentyps stets »unwahr«"
 
-#: c-family/c-common.c:4145
+#: c-family/c-common.c:4150
 #, gcc-internal-format
 msgid "comparison is always true due to limited range of data type"
 msgstr "Vergleich ist durch beschränkten Wertebereich des Datentyps stets »wahr«"
 
-#: c-family/c-common.c:4230
+#: c-family/c-common.c:4235
 #, gcc-internal-format
 msgid "comparison of unsigned expression >= 0 is always true"
 msgstr "Vergleich eines vorzeichenlosen Ausdrucks >= 0 ist stets »wahr«"
 
-#: c-family/c-common.c:4237
+#: c-family/c-common.c:4242
 #, gcc-internal-format
 msgid "comparison of unsigned expression < 0 is always false"
 msgstr "Vergleich eines vorzeichenlosen Ausdrucks < 0 ist stets »unwahr«"
 
-#: c-family/c-common.c:4279
+#: c-family/c-common.c:4284
 #, gcc-internal-format
 msgid "pointer of type %<void *%> used in arithmetic"
 msgstr "Zeiger auf Typen %<void *%> in Arithmetik verwendet"
 
-#: c-family/c-common.c:4285
+#: c-family/c-common.c:4290
 #, gcc-internal-format
 msgid "pointer to a function used in arithmetic"
 msgstr "Zeiger auf Funktion in Arithmetik verwendet"
 
-#: c-family/c-common.c:4291
+#: c-family/c-common.c:4296
 #, gcc-internal-format
 msgid "pointer to member function used in arithmetic"
 msgstr "Zeiger auf Elementfunktion in Arithmetik verwendet"
 
-#: c-family/c-common.c:4503
+#: c-family/c-common.c:4508
 #, gcc-internal-format
 msgid "the address of %qD will always evaluate as %<true%>"
 msgstr "Die Adresse von %qD wird immer zu %<wahr%> auswerten"
 
-#: c-family/c-common.c:4598 cp/semantics.c:592 cp/typeck.c:7906
+#: c-family/c-common.c:4603 cp/semantics.c:592 cp/typeck.c:7906
 #, gcc-internal-format
 msgid "suggest parentheses around assignment used as truth value"
 msgstr "Um Zuweisung, die als Wahrheitswert verwendet wird, werden Klammern empfohlen"
 
-#: c-family/c-common.c:4677 c/c-decl.c:3686 c/c-typeck.c:10883
+#: c-family/c-common.c:4682 c/c-decl.c:3686 c/c-typeck.c:10883
 #, gcc-internal-format
 msgid "invalid use of %<restrict%>"
 msgstr "Ungültige Verwendung von %<restrict%>"
 
-#: c-family/c-common.c:4870
+#: c-family/c-common.c:4875
 #, gcc-internal-format
 msgid "invalid application of %<sizeof%> to a function type"
 msgstr "Ungültige Anwendung von %<sizeof%> auf einen Funktionstypen"
 
-#: c-family/c-common.c:4880
+#: c-family/c-common.c:4885
 #, gcc-internal-format
 msgid "ISO C++ does not permit %<alignof%> applied to a function type"
 msgstr "ISO-C++ erlaubt kein auf Funktionstypen angewendetes %<alignof%>"
 
-#: c-family/c-common.c:4883
+#: c-family/c-common.c:4888
 #, gcc-internal-format
 msgid "ISO C does not permit %<_Alignof%> applied to a function type"
 msgstr "ISO-C erlaubt kein auf Funktionstypen angewendetes %<_Alignof%>"
 
-#: c-family/c-common.c:4894
+#: c-family/c-common.c:4899
 #, gcc-internal-format
 msgid "invalid application of %qs to a void type"
 msgstr "Ungültige Anwendung von %qs auf einen void-Typen"
 
-#: c-family/c-common.c:4903
+#: c-family/c-common.c:4908
 #, gcc-internal-format
 msgid "invalid application of %qs to incomplete type %qT"
 msgstr "Ungültige Anwendung von %qs auf unvollständigen Typen %qT"
 
-#: c-family/c-common.c:4911
+#: c-family/c-common.c:4916
 #, gcc-internal-format
 msgid "invalid application of %qs to array type %qT of incomplete element type"
 msgstr "Ungültige Anwendung von %qs auf Feldtyp %qT mit unvollständigem Elementtyp"
 
-#: c-family/c-common.c:4951
+#: c-family/c-common.c:4956
 #, gcc-internal-format
 msgid "%<__alignof%> applied to a bit-field"
 msgstr "%<__alignof%> auf Bitfeld angewandt"
 
-#: c-family/c-common.c:5664
+#: c-family/c-common.c:5669
 #, gcc-internal-format
 msgid "cannot disable built-in function %qs"
 msgstr "Eingebaute Funktion %qs kann nicht abgeschaltet werden"
 
-#: c-family/c-common.c:5855
+#: c-family/c-common.c:5860
 #, gcc-internal-format
 msgid "pointers are not permitted as case values"
 msgstr "Zeiger sind nicht als case-Werte zugelassen"
 
-#: c-family/c-common.c:5862
+#: c-family/c-common.c:5867
 #, gcc-internal-format
 msgid "range expressions in switch statements are non-standard"
 msgstr "Wertebereichsausdrücke in switch-Anweisungen sind nicht standardkonform"
 
-#: c-family/c-common.c:5888
+#: c-family/c-common.c:5893
 #, gcc-internal-format
 msgid "empty range specified"
 msgstr "Leerer Wertebereich angegeben"
 
-#: c-family/c-common.c:5948
+#: c-family/c-common.c:5953
 #, gcc-internal-format
 msgid "duplicate (or overlapping) case value"
 msgstr "Doppelte (oder sich überschneidende) case-Werte"
 
-#: c-family/c-common.c:5950
+#: c-family/c-common.c:5955
 #, gcc-internal-format
 msgid "this is the first entry overlapping that value"
 msgstr "Dies ist der erste Eintrag, der diesen Wert überschneidet"
 
-#: c-family/c-common.c:5954
+#: c-family/c-common.c:5959
 #, gcc-internal-format
 msgid "duplicate case value"
 msgstr "Doppelter case-Wert"
 
-#: c-family/c-common.c:5955
+#: c-family/c-common.c:5960
 #, gcc-internal-format
 msgid "previously used here"
 msgstr "Bereits hier verwendet"
 
-#: c-family/c-common.c:5959
+#: c-family/c-common.c:5964
 #, gcc-internal-format
 msgid "multiple default labels in one switch"
 msgstr "Mehrere Standardmarken in einem »switch«"
 
-#: c-family/c-common.c:5961
+#: c-family/c-common.c:5966
 #, gcc-internal-format
 msgid "this is the first default label"
 msgstr "Dies ist die erste Standardmarke"
 
-#: c-family/c-common.c:6013
+#: c-family/c-common.c:6018
 #, gcc-internal-format
 msgid "case value %qs not in enumerated type"
 msgstr "case-Wert %qs nicht in Aufzählungstyp"
 
-#: c-family/c-common.c:6018
+#: c-family/c-common.c:6023
 #, gcc-internal-format
 msgid "case value %qs not in enumerated type %qT"
 msgstr "case-Wert %qs nicht in Aufzählungstyp %qT"
 
-#: c-family/c-common.c:6077
+#: c-family/c-common.c:6082
 #, gcc-internal-format
 msgid "switch missing default case"
 msgstr "Die Standardfallbehandlung in switch fehlt"
 
-#: c-family/c-common.c:6149
+#: c-family/c-common.c:6154
 #, gcc-internal-format
 msgid "enumeration value %qE not handled in switch"
 msgstr "Aufzählungswert %qE wird nicht von switch behandelt"
 
-#: c-family/c-common.c:6175
+#: c-family/c-common.c:6180
 #, gcc-internal-format
 msgid "taking the address of a label is non-standard"
 msgstr "Das Ermitteln der Adresse einer Marke ist nicht standardkonform"
 
-#: c-family/c-common.c:6369
+#: c-family/c-common.c:6374
 #, gcc-internal-format
 msgid "%qE attribute ignored for field of type %qT"
 msgstr "Attribut %qE ignoriert für Feld vom Typ %qT"
 
-#: c-family/c-common.c:6464 c-family/c-common.c:6492
+#: c-family/c-common.c:6469 c-family/c-common.c:6497
 #, gcc-internal-format
 msgid "%qE attribute conflicts with attribute %s"
 msgstr "Attribut %qE steht mit Attribut %s in Konflikt"
 
-#: c-family/c-common.c:6622 lto/lto-lang.c:227
+#: c-family/c-common.c:6644 lto/lto-lang.c:227
 #, gcc-internal-format
 msgid "%qE attribute has no effect on unit local functions"
 msgstr "Attribut %qE wirkt sich nicht auf einheits-lokale Funktionen aus"
 
-#: c-family/c-common.c:6776
+#: c-family/c-common.c:6798
 #, gcc-internal-format
 msgid "%qE attribute have effect only on public objects"
 msgstr "Attribut %qE wirkt sich nur auf öffentliche Objekte aus"
 
-#: c-family/c-common.c:6890
+#: c-family/c-common.c:6912
 #, gcc-internal-format
 msgid "destructor priorities are not supported"
 msgstr "Destruktorprioritäten werden nicht unterstützt"
 
-#: c-family/c-common.c:6892
+#: c-family/c-common.c:6914
 #, gcc-internal-format
 msgid "constructor priorities are not supported"
 msgstr "Konstruktorprioritäten werden nicht unterstützt"
 
-#: c-family/c-common.c:6910
+#: c-family/c-common.c:6932
 #, gcc-internal-format, gfc-internal-format
 msgid "destructor priorities from 0 to %d are reserved for the implementation"
 msgstr "Destruktorprioritäten von 0 bis %d sind für die Implementierung vorbehalten"
 
-#: c-family/c-common.c:6915
+#: c-family/c-common.c:6937
 #, gcc-internal-format, gfc-internal-format
 msgid "constructor priorities from 0 to %d are reserved for the implementation"
 msgstr "Konstruktorprioritäten von 0 bis %d sind für die Implementierung vorbehalten"
 
-#: c-family/c-common.c:6923
+#: c-family/c-common.c:6945
 #, gcc-internal-format, gfc-internal-format
 msgid "destructor priorities must be integers from 0 to %d inclusive"
 msgstr "Destruktorprioritäten müssen Ganzzahlen von 0 bis einschließlich %d sein"
 
-#: c-family/c-common.c:6926
+#: c-family/c-common.c:6948
 #, gcc-internal-format, gfc-internal-format
 msgid "constructor priorities must be integers from 0 to %d inclusive"
 msgstr "Konstruktorprioritäten müssen Ganzzahlen von 0 bis einschließlich %d sein"
 
-#: c-family/c-common.c:7082
+#: c-family/c-common.c:7104
 #, gcc-internal-format
 msgid "unknown machine mode %qE"
 msgstr "Unbekannter Maschinenzustand %qE"
 
-#: c-family/c-common.c:7111
+#: c-family/c-common.c:7133
 #, gcc-internal-format
 msgid "specifying vector types with __attribute__ ((mode)) is deprecated"
 msgstr "Angabe von Vektortypen mit __attribute__ ((Modus)) ist veraltet"
 
-#: c-family/c-common.c:7114
+#: c-family/c-common.c:7136
 #, gcc-internal-format
 msgid "use __attribute__ ((vector_size)) instead"
 msgstr "Stattdessen __attribute__ ((Vektorgröße)) verwenden"
 
-#: c-family/c-common.c:7123
+#: c-family/c-common.c:7145
 #, gcc-internal-format
 msgid "unable to emulate %qs"
 msgstr "%qs kann nicht emuliert werden"
 
-#: c-family/c-common.c:7134
+#: c-family/c-common.c:7156
 #, gcc-internal-format
 msgid "invalid pointer mode %qs"
 msgstr "Ungültiger Zeigermodus %qs"
 
-#: c-family/c-common.c:7151
+#: c-family/c-common.c:7173
 #, gcc-internal-format
 msgid "signedness of type and machine mode %qs don%'t match"
 msgstr "Vorzeicheneigenschaft des Typen und Maschinenmodus %qs passen nicht zusammen"
 
-#: c-family/c-common.c:7162
+#: c-family/c-common.c:7184
 #, gcc-internal-format
 msgid "no data type for mode %qs"
 msgstr "Kein Datentyp für Zustand %qs"
 
-#: c-family/c-common.c:7172
+#: c-family/c-common.c:7194
 #, gcc-internal-format
 msgid "cannot use mode %qs for enumeral types"
 msgstr "Modus %qs kann nicht für Aufzählungstypen verwendet werden"
 
-#: c-family/c-common.c:7199
+#: c-family/c-common.c:7221
 #, gcc-internal-format
 msgid "mode %qs applied to inappropriate type"
 msgstr "Modus %qs auf unpassenden Typen angewendet"
 
-#: c-family/c-common.c:7231
+#: c-family/c-common.c:7253
 #, gcc-internal-format
 msgid "section attribute cannot be specified for local variables"
 msgstr "Abschnitts-Attribut kann nicht für lokale Variablen angegeben werden"
 
-#: c-family/c-common.c:7242 config/bfin/bfin.c:4737 config/bfin/bfin.c:4788
+#: c-family/c-common.c:7264 config/bfin/bfin.c:4737 config/bfin/bfin.c:4788
 #: config/bfin/bfin.c:4815 config/bfin/bfin.c:4828
 #, gcc-internal-format
 msgid "section of %q+D conflicts with previous declaration"
 msgstr "Abschnitt von %q+D in Konflikt mit vorheriger Deklaration"
 
-#: c-family/c-common.c:7250
+#: c-family/c-common.c:7272
 #, gcc-internal-format
 msgid "section of %q+D cannot be overridden"
 msgstr "Abschnitt von %q+D kann nicht aufgehoben werden"
 
-#: c-family/c-common.c:7258
+#: c-family/c-common.c:7280
 #, gcc-internal-format
 msgid "section attribute not allowed for %q+D"
 msgstr "Abschnitts-Attribut nicht erlaubt für %q+D"
 
-#: c-family/c-common.c:7265
+#: c-family/c-common.c:7287
 #, gcc-internal-format
 msgid "section attributes are not supported for this target"
 msgstr "Abschnitts-Attribute werden für dieses Ziel nicht unterstützt"
 
-#: c-family/c-common.c:7284
+#: c-family/c-common.c:7306
 #, gcc-internal-format
 msgid "requested alignment is not an integer constant"
 msgstr "Verlangte Ausrichtung ist keine Ganzzahlkonstante"
 
-#: c-family/c-common.c:7291
+#: c-family/c-common.c:7313
 #, gcc-internal-format
 msgid "requested alignment is not a power of 2"
 msgstr "Verlangte Ausrichtung ist keine Zweierpotenz"
 
-#: c-family/c-common.c:7296
+#: c-family/c-common.c:7318
 #, gcc-internal-format
 msgid "requested alignment is too large"
 msgstr "Verlangte Ausrichtung ist zu groß"
 
-#: c-family/c-common.c:7379
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: c-family/c-common.c:7401
+#, gcc-internal-format, gfc-internal-format
 msgid "requested alignment %d is larger than %d"
-msgstr "Verlangte Ausrichtung ist zu groß"
+msgstr "verlangte Ausrichtung %d ist größer als %d"
 
-#: c-family/c-common.c:7436
+#: c-family/c-common.c:7458
 #, gcc-internal-format
 msgid "alignment may not be specified for %q+D"
 msgstr "Für %q+D darf keine Ausrichtung angegeben werden"
 
-#: c-family/c-common.c:7454
+#: c-family/c-common.c:7476
 #, gcc-internal-format
 msgid "alignment for %q+D was previously specified as %d and may not be decreased"
 msgstr "Ausrichtung für %q+D wurde zuvor als %d angegeben und kann nicht verringert werden"
 
-#: c-family/c-common.c:7458
+#: c-family/c-common.c:7480
 #, gcc-internal-format
 msgid "alignment for %q+D must be at least %d"
 msgstr "Ausrichtung für %q+D muss mindestens %d sein"
 
-#: c-family/c-common.c:7483
+#: c-family/c-common.c:7505
 #, gcc-internal-format
 msgid "inline function %q+D declared weak"
 msgstr "»inline«-Funktion %q+D als »schwach« deklariert"
 
-#: c-family/c-common.c:7488
+#: c-family/c-common.c:7510
 #, gcc-internal-format
 msgid "indirect function %q+D cannot be declared weak"
 msgstr "indirekte Funktion %q+D kann nicht als »schwach« deklariert werden"
 
-#: c-family/c-common.c:7525
+#: c-family/c-common.c:7547
 #, gcc-internal-format
 msgid "%q+D defined both normally and as %qE attribute"
 msgstr "%q+D sowohl normal als auch als Attribut %qE definiert"
 
-#: c-family/c-common.c:7533
+#: c-family/c-common.c:7555
 #, gcc-internal-format
 msgid "weak %q+D cannot be defined %qE"
 msgstr "schwaches %q+D kann nicht als %qE definiert werden"
 
-#: c-family/c-common.c:7550
+#: c-family/c-common.c:7572
 #, gcc-internal-format
 msgid "attribute %qE argument not a string"
 msgstr "Attributargument von %qE ist keine Zeichenkette"
 
-#: c-family/c-common.c:7626
+#: c-family/c-common.c:7648
 #, gcc-internal-format
 msgid "indirect function %q+D cannot be declared weakref"
 msgstr "indirekte Funktion %q+D kann nicht als »weakref« deklariert werden"
 
-#: c-family/c-common.c:7648
+#: c-family/c-common.c:7670
 #, gcc-internal-format
 msgid "weakref attribute must appear before alias attribute"
 msgstr "Attribut weakref muss vor Attribut alias auftreten"
 
-#: c-family/c-common.c:7677
+#: c-family/c-common.c:7699
 #, gcc-internal-format
 msgid "%qE attribute ignored on non-class types"
 msgstr "Attribut %qE ignoriert für Nicht-Klassen-Typen"
 
-#: c-family/c-common.c:7683
+#: c-family/c-common.c:7705
 #, gcc-internal-format
 msgid "%qE attribute ignored because %qT is already defined"
 msgstr "Attribut %qE ignoriert, da %qT bereits definiert ist"
 
-#: c-family/c-common.c:7696
+#: c-family/c-common.c:7718
 #, gcc-internal-format
 msgid "visibility argument not a string"
 msgstr "Sichtbarkeitsargument ist keine Zeichenkette"
 
-#: c-family/c-common.c:7708
+#: c-family/c-common.c:7730
 #, gcc-internal-format
 msgid "%qE attribute ignored on types"
 msgstr "Attribut %qE für Typen ignoriert"
 
-#: c-family/c-common.c:7724
+#: c-family/c-common.c:7746
 #, gcc-internal-format
 msgid "visibility argument must be one of \"default\", \"hidden\", \"protected\" or \"internal\""
 msgstr "Sichtbarkeitsargument muss »default«, »hidden«, »protected« oder »internal« sein"
 
-#: c-family/c-common.c:7735
+#: c-family/c-common.c:7757
 #, gcc-internal-format
 msgid "%qD redeclared with different visibility"
 msgstr "%qD mit anderer Sichtbarkeit redeklariert"
 
-#: c-family/c-common.c:7738 c-family/c-common.c:7742
+#: c-family/c-common.c:7760 c-family/c-common.c:7764
 #, gcc-internal-format
 msgid "%qD was declared %qs which implies default visibility"
 msgstr "%qD wurde als %qs deklariert, was Standardsichtbarkeit bedeutet"
 
-#: c-family/c-common.c:7826
+#: c-family/c-common.c:7848
 #, gcc-internal-format
 msgid "tls_model argument not a string"
 msgstr "Argument für tls_model ist keine Zeichenkette"
 
-#: c-family/c-common.c:7839
+#: c-family/c-common.c:7861
 #, gcc-internal-format
 msgid "tls_model argument must be one of \"local-exec\", \"initial-exec\", \"local-dynamic\" or \"global-dynamic\""
 msgstr "Argument für tls_model muss »local-exec«, »initial-exec«, »local-dynamic« oder »global-dynamic« sein"
 
-#: c-family/c-common.c:7859 c-family/c-common.c:7965 c-family/c-common.c:8950
+#: c-family/c-common.c:7881 c-family/c-common.c:7987 c-family/c-common.c:8970
 #: config/m32c/m32c.c:2926
 #, gcc-internal-format
 msgid "%qE attribute applies only to functions"
 msgstr "Attribut %qE kann nur auf Funktionen angewandt werden"
 
-#: c-family/c-common.c:7865 c-family/c-common.c:7971 c-family/c-common.c:8956
+#: c-family/c-common.c:7887 c-family/c-common.c:7993 c-family/c-common.c:8976
 #, gcc-internal-format
 msgid "can%'t set %qE attribute after definition"
 msgstr "Attribut %qE kann nicht nach der Definition gesetzt werden"
 
-#: c-family/c-common.c:7911
+#: c-family/c-common.c:7933
 #, gcc-internal-format
 msgid "alloc_size parameter outside range"
 msgstr "Parameter alloc_size außerhalb des Wertebereiches"
 
-#: c-family/c-common.c:8029
+#: c-family/c-common.c:8051
 #, gcc-internal-format
 msgid "%qE attribute duplicated"
 msgstr "doppeltes Attribut %qE"
 
-#: c-family/c-common.c:8031
+#: c-family/c-common.c:8053
 #, gcc-internal-format
 msgid "%qE attribute follows %qE"
 msgstr "Attribut %qE folgt auf %qE"
 
-#: c-family/c-common.c:8130
+#: c-family/c-common.c:8152
 #, gcc-internal-format
 msgid "type was previously declared %qE"
 msgstr "Typ war vorher als %qE deklariert"
 
-#: c-family/c-common.c:8183
+#: c-family/c-common.c:8205
 #, gcc-internal-format
 msgid "%qE argument not an identifier"
 msgstr "Argument %qE ist kein Bezeichner"
 
-#: c-family/c-common.c:8194
+#: c-family/c-common.c:8216
 #, gcc-internal-format
 msgid "%qD is not compatible with %qD"
 msgstr "%qD ist mit %qD unverträglich"
 
-#: c-family/c-common.c:8197
+#: c-family/c-common.c:8219
 #, gcc-internal-format
 msgid "transaction_wrap argument is not a function"
 msgstr "Argument für transaction_wrap ist keine Funktion"
 
-#: c-family/c-common.c:8245
+#: c-family/c-common.c:8267
 #, gcc-internal-format
 msgid "deprecated message is not a string"
 msgstr "Veraltete Meldung ist keine Zeichenkette"
 
-#: c-family/c-common.c:8286
+#: c-family/c-common.c:8308
 #, gcc-internal-format
 msgid "%qE attribute ignored for %qE"
 msgstr "Attribut %qE ignoriert für %qE"
 
-#: c-family/c-common.c:8346
+#: c-family/c-common.c:8368
 #, gcc-internal-format
 msgid "invalid vector type for attribute %qE"
 msgstr "Ungültiger Vektortyp für Attribut %qE"
 
-#: c-family/c-common.c:8352 ada/gcc-interface/utils.c:6307
+#: c-family/c-common.c:8374 ada/gcc-interface/utils.c:6307
 #: ada/gcc-interface/utils.c:6401
 #, gcc-internal-format
 msgid "vector size not an integral multiple of component size"
 msgstr "Vektorgröße kein ganzzahliges Vielfaches der Komponentengröße"
 
-#: c-family/c-common.c:8358 ada/gcc-interface/utils.c:6313
+#: c-family/c-common.c:8380 ada/gcc-interface/utils.c:6313
 #: ada/gcc-interface/utils.c:6407
 #, gcc-internal-format
 msgid "zero vector size"
 msgstr "Vektorgröße Null"
 
-#: c-family/c-common.c:8366 ada/gcc-interface/utils.c:6321
+#: c-family/c-common.c:8388 ada/gcc-interface/utils.c:6321
 #: ada/gcc-interface/utils.c:6414
 #, gcc-internal-format
 msgid "number of components of the vector not a power of two"
 msgstr "Komponentenanzahl des Vektors ist keine Zweierpotenz"
 
-#: c-family/c-common.c:8394 ada/gcc-interface/utils.c:6048
+#: c-family/c-common.c:8416 ada/gcc-interface/utils.c:6048
 #, gcc-internal-format
 msgid "nonnull attribute without arguments on a non-prototype"
 msgstr "Nicht-Null-Attribut ohne Argumente für einen Nicht-Prototyp"
 
-#: c-family/c-common.c:8408 ada/gcc-interface/utils.c:6062
+#: c-family/c-common.c:8430 ada/gcc-interface/utils.c:6062
 #, gcc-internal-format, gfc-internal-format
 msgid "nonnull argument has invalid operand number (argument %lu)"
 msgstr "Nicht-Null-Argument hat ungültige Operandenzahl (Argument %lu)"
 
-#: c-family/c-common.c:8430 ada/gcc-interface/utils.c:6084
+#: c-family/c-common.c:8452 ada/gcc-interface/utils.c:6084
 #, gcc-internal-format, gfc-internal-format
 msgid "nonnull argument with out-of-range operand number (argument %lu, operand %lu)"
 msgstr "Nicht-Null-Argument mit Operandenzahl außerhalb des Wertebereiches (Argument %lu, Operand %lu)"
 
-#: c-family/c-common.c:8438 ada/gcc-interface/utils.c:6093
+#: c-family/c-common.c:8460 ada/gcc-interface/utils.c:6093
 #, gcc-internal-format, gfc-internal-format
 msgid "nonnull argument references non-pointer operand (argument %lu, operand %lu)"
 msgstr "Nicht-Null-Argument referenziert Nicht-Zeiger-Operanden (Argument %lu, Operand %lu)"
 
-#: c-family/c-common.c:8533
+#: c-family/c-common.c:8555
 #, gcc-internal-format
 msgid "not enough variable arguments to fit a sentinel"
 msgstr "Zu wenige variable Argumente, um zu einem Wächter zu passen"
 
-#: c-family/c-common.c:8547
+#: c-family/c-common.c:8569
 #, gcc-internal-format
 msgid "missing sentinel in function call"
 msgstr "Wächter in Funktionsaufruf fehlt"
 
-#: c-family/c-common.c:8588
+#: c-family/c-common.c:8610
 #, gcc-internal-format, gfc-internal-format
 msgid "null argument where non-null required (argument %lu)"
 msgstr "Null-Argument, wo Nicht-Null erwartet (Argument %lu)"
 
-#: c-family/c-common.c:8653
+#: c-family/c-common.c:8675
 #, gcc-internal-format
 msgid "cleanup argument not an identifier"
 msgstr "Argument für cleanup ist kein Bezeichner"
 
-#: c-family/c-common.c:8660
+#: c-family/c-common.c:8682
 #, gcc-internal-format
 msgid "cleanup argument not a function"
 msgstr "Argument für cleanup ist keine Funktion"
 
-#: c-family/c-common.c:8697
+#: c-family/c-common.c:8719
 #, gcc-internal-format
 msgid "%qE attribute requires prototypes with named arguments"
 msgstr "Attribut %qE benötigt Prototypen mit benannten Argumenten"
 
-#: c-family/c-common.c:8705
+#: c-family/c-common.c:8727
 #, gcc-internal-format
 msgid "%qE attribute only applies to variadic functions"
 msgstr "Attribut %qE gilt nur für variadische Funktionen"
 
-#: c-family/c-common.c:8717 ada/gcc-interface/utils.c:6135
+#: c-family/c-common.c:8739 ada/gcc-interface/utils.c:6135
 #, gcc-internal-format
 msgid "requested position is not an integer constant"
 msgstr "Angeforderte Position ist keine Ganzzahlkonstante"
 
-#: c-family/c-common.c:8725 ada/gcc-interface/utils.c:6142
+#: c-family/c-common.c:8747 ada/gcc-interface/utils.c:6142
 #, gcc-internal-format
 msgid "requested position is less than zero"
 msgstr "Angeforderte Position ist kleiner als Null"
 
-#: c-family/c-common.c:8843
+#: c-family/c-common.c:8865
 #, gcc-internal-format, gfc-internal-format
 msgid "bad option %s to optimize attribute"
 msgstr "schlechte Option %s für Attribut »optimize«"
 
-#: c-family/c-common.c:8846
+#: c-family/c-common.c:8868
 #, gcc-internal-format, gfc-internal-format
 msgid "bad option %s to pragma attribute"
 msgstr "schlechte Option %s für Attribut »pragma«"
 
-#: c-family/c-common.c:9075
+#: c-family/c-common.c:9095
 #, gcc-internal-format
 msgid "not enough arguments to function %qE"
 msgstr "Zu wenige Argumente für Funktion %qE"
 
-#: c-family/c-common.c:9081 c-family/c-common.c:10007 c/c-typeck.c:2954
+#: c-family/c-common.c:9101 c-family/c-common.c:10027 c/c-typeck.c:2954
 #, gcc-internal-format
 msgid "too many arguments to function %qE"
 msgstr "zu viele Argumente für Funktion %qE"
 
-#: c-family/c-common.c:9111 c-family/c-common.c:9157
+#: c-family/c-common.c:9131 c-family/c-common.c:9177
 #, gcc-internal-format
 msgid "non-floating-point argument in call to function %qE"
 msgstr "Nicht-Gleitkomma-Argument in Aufruf von Funktion %qE"
 
-#: c-family/c-common.c:9134
+#: c-family/c-common.c:9154
 #, gcc-internal-format
 msgid "non-floating-point arguments in call to function %qE"
 msgstr "Nicht-Gleitkomma-Argumente in Aufruf von Funktion %qE"
 
-#: c-family/c-common.c:9150
+#: c-family/c-common.c:9170
 #, gcc-internal-format
 msgid "non-const integer argument %u in call to function %qE"
 msgstr "Nicht-konstantes Ganzzahl-Argument %u in Aufruf von Funktion %qE"
 
-#: c-family/c-common.c:9170
+#: c-family/c-common.c:9190
 #, gcc-internal-format
 msgid "non-integer argument 3 in call to function %qE"
 msgstr "Nicht-Ganzzahl-Argument 3 in Aufruf von Funktion %qE"
 
-#: c-family/c-common.c:9496
+#: c-family/c-common.c:9516
 #, gcc-internal-format
 msgid "cannot apply %<offsetof%> to static data member %qD"
 msgstr "%<offsetof%> kann nicht auf statisches Datenelement %qD angewendet werden"
 
-#: c-family/c-common.c:9501
+#: c-family/c-common.c:9521
 #, gcc-internal-format
 msgid "cannot apply %<offsetof%> when %<operator[]%> is overloaded"
 msgstr "%<offsetof%> kann nicht angewandt werden, wenn %<operator[]%> überladen ist"
 
-#: c-family/c-common.c:9508
+#: c-family/c-common.c:9528
 #, gcc-internal-format
 msgid "cannot apply %<offsetof%> to a non constant address"
 msgstr "%<offsetof%> kann nicht auf nicht-konstante Adresse angewandt werden"
 
-#: c-family/c-common.c:9521 cp/typeck.c:5289
+#: c-family/c-common.c:9541 cp/typeck.c:5289
 #, gcc-internal-format
 msgid "attempt to take address of bit-field structure member %qD"
 msgstr "Versuch, die Adresse des Bitfeldstrukturelements %qD zu ermitteln"
 
-#: c-family/c-common.c:9573
+#: c-family/c-common.c:9593
 #, gcc-internal-format
 msgid "index %E denotes an offset greater than size of %qT"
 msgstr "Index %E markiert einen Offset größer als die Größe von %qT"
 
-#: c-family/c-common.c:9613
+#: c-family/c-common.c:9633
 #, gcc-internal-format
 msgid "the omitted middle operand in ?: will always be %<true%>, suggest explicit middle operand"
 msgstr "Der ausgelassene mittlere Operand in ?: wird immer %<wahr%> sein; ausdrücklicher mittlerer Operand wird empfohlen"
 
-#: c-family/c-common.c:9634
+#: c-family/c-common.c:9654
 #, gcc-internal-format
 msgid "assignment of member %qD in read-only object"
 msgstr "Zuweisung von Element %qD in schreibgeschütztem Objekt"
 
-#: c-family/c-common.c:9636
+#: c-family/c-common.c:9656
 #, gcc-internal-format
 msgid "increment of member %qD in read-only object"
 msgstr "Erhöhung des Elements %qD in schreibgeschütztem Objekt"
 
-#: c-family/c-common.c:9638
+#: c-family/c-common.c:9658
 #, gcc-internal-format
 msgid "decrement of member %qD in read-only object"
 msgstr "Verringerung des Elements %qD in schreibgeschütztem Objekt"
 
-#: c-family/c-common.c:9640
+#: c-family/c-common.c:9660
 #, gcc-internal-format
 msgid "member %qD in read-only object used as %<asm%> output"
 msgstr "Element %qD in schreibgeschütztem Objekt als %<asm%>-Ausgabe verwendet"
 
-#: c-family/c-common.c:9644
+#: c-family/c-common.c:9664
 #, gcc-internal-format
 msgid "assignment of read-only member %qD"
 msgstr "Zuweisung des schreibgeschützten Elementes %qD"
 
-#: c-family/c-common.c:9645
+#: c-family/c-common.c:9665
 #, gcc-internal-format
 msgid "increment of read-only member %qD"
 msgstr "Erhöhung des schreibgeschützten Elementes %qD"
 
-#: c-family/c-common.c:9646
+#: c-family/c-common.c:9666
 #, gcc-internal-format
 msgid "decrement of read-only member %qD"
 msgstr "Verringerung des schreibgeschützten Elementes %qD"
 
-#: c-family/c-common.c:9647
+#: c-family/c-common.c:9667
 #, gcc-internal-format
 msgid "read-only member %qD used as %<asm%> output"
 msgstr "schreibgeschütztes Element %qD als %<asm%>-Ausgabe verwendet"
 
-#: c-family/c-common.c:9651
+#: c-family/c-common.c:9671
 #, gcc-internal-format
 msgid "assignment of read-only variable %qD"
 msgstr "Zuweisung der schreibgeschützten Variable %qD"
 
-#: c-family/c-common.c:9652
+#: c-family/c-common.c:9672
 #, gcc-internal-format
 msgid "increment of read-only variable %qD"
 msgstr "Erhöhung der schreibgeschützten Variable %qD"
 
-#: c-family/c-common.c:9653
+#: c-family/c-common.c:9673
 #, gcc-internal-format
 msgid "decrement of read-only variable %qD"
 msgstr "Verringerung der schreibgeschützten Variable %qD"
 
-#: c-family/c-common.c:9654
+#: c-family/c-common.c:9674
 #, gcc-internal-format
 msgid "read-only variable %qD used as %<asm%> output"
 msgstr "schreibgeschützte Variable %qD als %<asm%>-Ausgabe verwendet"
 
-#: c-family/c-common.c:9657
+#: c-family/c-common.c:9677
 #, gcc-internal-format
 msgid "assignment of read-only parameter %qD"
 msgstr "Zuweisung des schreibgeschützten Parameters %qD"
 
-#: c-family/c-common.c:9658
+#: c-family/c-common.c:9678
 #, gcc-internal-format
 msgid "increment of read-only parameter %qD"
 msgstr "Erhöhung des schreibgeschützten Parameters %qD"
 
-#: c-family/c-common.c:9659
+#: c-family/c-common.c:9679
 #, gcc-internal-format
 msgid "decrement of read-only parameter %qD"
 msgstr "Verringerung des schreibgeschützten Parameters %qD"
 
-#: c-family/c-common.c:9660
+#: c-family/c-common.c:9680
 #, gcc-internal-format
 msgid "read-only parameter %qD use as %<asm%> output"
 msgstr "schreibgeschützter Parameter %qD als %<asm%>-Ausgabe verwendet"
 
-#: c-family/c-common.c:9665
+#: c-family/c-common.c:9685
 #, gcc-internal-format
 msgid "assignment of read-only named return value %qD"
 msgstr "Zuweisung des schreibgeschützten benannten Rückgabewertes %qD"
 
-#: c-family/c-common.c:9667
+#: c-family/c-common.c:9687
 #, gcc-internal-format
 msgid "increment of read-only named return value %qD"
 msgstr "Erhöhung des schreibgeschützten benannten Rückgabewertes %qD"
 
-#: c-family/c-common.c:9669
+#: c-family/c-common.c:9689
 #, gcc-internal-format
 msgid "decrement of read-only named return value %qD"
 msgstr "Verringerung des schreibgeschützten benannten Rückgabewertes %qD"
 
-#: c-family/c-common.c:9671
+#: c-family/c-common.c:9691
 #, gcc-internal-format
 msgid "read-only named return value %qD used as %<asm%>output"
 msgstr "schreibgeschützter benannter Rückgabewert %qD als %<asm%>-Ausgabe verwendet"
 
-#: c-family/c-common.c:9676
+#: c-family/c-common.c:9696
 #, gcc-internal-format
 msgid "assignment of function %qD"
 msgstr "Zuweisung der Funktion %qD"
 
-#: c-family/c-common.c:9677
+#: c-family/c-common.c:9697
 #, gcc-internal-format
 msgid "increment of function %qD"
 msgstr "Erhöhung der Funktion %qD"
 
-#: c-family/c-common.c:9678
+#: c-family/c-common.c:9698
 #, gcc-internal-format
 msgid "decrement of function %qD"
 msgstr "Verringerung der Funktion %qD"
 
-#: c-family/c-common.c:9679
+#: c-family/c-common.c:9699
 #, gcc-internal-format
 msgid "function %qD used as %<asm%> output"
 msgstr "Funktion %qD als %<asm%>-Ausgabe verwendet"
 
-#: c-family/c-common.c:9682 c/c-typeck.c:3902
+#: c-family/c-common.c:9702 c/c-typeck.c:3902
 #, gcc-internal-format
 msgid "assignment of read-only location %qE"
 msgstr "Zuweisung der schreibgeschützten Speicherstelle %qE"
 
-#: c-family/c-common.c:9683 c/c-typeck.c:3905
+#: c-family/c-common.c:9703 c/c-typeck.c:3905
 #, gcc-internal-format
 msgid "increment of read-only location %qE"
 msgstr "Erhöhung der schreibgeschützten Speicherstelle %qE"
 
-#: c-family/c-common.c:9684 c/c-typeck.c:3908
+#: c-family/c-common.c:9704 c/c-typeck.c:3908
 #, gcc-internal-format
 msgid "decrement of read-only location %qE"
 msgstr "Verringerung der schreibgeschützten Speicherstelle %qE"
 
-#: c-family/c-common.c:9685
+#: c-family/c-common.c:9705
 #, gcc-internal-format
 msgid "read-only location %qE used as %<asm%> output"
 msgstr "schreibgeschützte Stelle %qE als %<asm%>-Ausgabe verwendet"
 
-#: c-family/c-common.c:9699
+#: c-family/c-common.c:9719
 #, gcc-internal-format
 msgid "lvalue required as left operand of assignment"
 msgstr "Als linker Operand einer Zuweisung wird L-Wert erfordert"
 
-#: c-family/c-common.c:9702
+#: c-family/c-common.c:9722
 #, gcc-internal-format
 msgid "lvalue required as increment operand"
 msgstr "Als Erhöhungsoperand wird L-Wert erfordert"
 
-#: c-family/c-common.c:9705
+#: c-family/c-common.c:9725
 #, gcc-internal-format
 msgid "lvalue required as decrement operand"
 msgstr "Als Verringerungsoperand wird L-Wert erfordert"
 
-#: c-family/c-common.c:9708
+#: c-family/c-common.c:9728
 #, gcc-internal-format
 msgid "lvalue required as unary %<&%> operand"
 msgstr "Als Operand für unäres %<&%> wird L-Wert erfordert"
 
-#: c-family/c-common.c:9711
+#: c-family/c-common.c:9731
 #, gcc-internal-format
 msgid "lvalue required in asm statement"
 msgstr "In asm-Anweisung wird L-Wert erfordert"
 
-#: c-family/c-common.c:9728
+#: c-family/c-common.c:9748
 #, gcc-internal-format
 msgid "invalid type argument (have %qT)"
 msgstr "ungültiger Argumenttyp (haben %qT)"
 
-#: c-family/c-common.c:9732
+#: c-family/c-common.c:9752
 #, gcc-internal-format
 msgid "invalid type argument of array indexing (have %qT)"
 msgstr "ungültiger Argumenttyp des Feldindex (haben %qT)"
 
-#: c-family/c-common.c:9737
+#: c-family/c-common.c:9757
 #, gcc-internal-format
 msgid "invalid type argument of unary %<*%> (have %qT)"
 msgstr "ungültiger Argumenttyp in unärem %<*%> (haben %qT)"
 
-#: c-family/c-common.c:9742
+#: c-family/c-common.c:9762
 #, gcc-internal-format
 msgid "invalid type argument of %<->%> (have %qT)"
 msgstr "ungültiger Argumenttyp in %<->%> (haben %qT)"
 
-#: c-family/c-common.c:9747
+#: c-family/c-common.c:9767
 #, gcc-internal-format
 msgid "invalid type argument of implicit conversion (have %qT)"
 msgstr "ungültiger Argumenttyp in impliziter Umwandlung (haben %qT)"
 
-#: c-family/c-common.c:9877 cp/init.c:2373
+#: c-family/c-common.c:9897 cp/init.c:2373
 #, gcc-internal-format
 msgid "size of array is too large"
 msgstr "Feldgröße ist zu groß"
 
-#: c-family/c-common.c:9925 c-family/c-common.c:9981 c/c-typeck.c:3185
+#: c-family/c-common.c:9945 c-family/c-common.c:10001 c/c-typeck.c:3185
 #, gcc-internal-format
 msgid "too few arguments to function %qE"
 msgstr "Zu wenige Argumente für Funktion %qE"
 
-#: c-family/c-common.c:9942 config/mep/mep.c:6175 c/c-typeck.c:5687
+#: c-family/c-common.c:9962 config/mep/mep.c:6175 c/c-typeck.c:5687
 #, gcc-internal-format
 msgid "incompatible type for argument %d of %qE"
 msgstr "Inkompatibler Typ für Argument %d von %qE"
 
-#: c-family/c-common.c:10074
+#: c-family/c-common.c:10094
 #, gcc-internal-format
 msgid "incorrect number of arguments to function %qE"
 msgstr "Falsche Anzahl der Argumente für Funktion %qE"
 
-#: c-family/c-common.c:10082
+#: c-family/c-common.c:10102
 #, gcc-internal-format
 msgid "argument 1 of %qE must be a non-void pointer type"
 msgstr "Argument 1 von %qE muss ein Nicht-Void-Zeigertyp sein"
 
-#: c-family/c-common.c:10091
+#: c-family/c-common.c:10111
 #, gcc-internal-format
 msgid "argument 1 of %qE must be a pointer to a constant size type"
 msgstr "Argument 1 von %qE muss ein Zeiger auf Typen konstanter Größe sein"
 
-#: c-family/c-common.c:10102
+#: c-family/c-common.c:10122
 #, gcc-internal-format
 msgid "argument 1 of %qE must be a pointer to a nonzero size object"
 msgstr "Argument 1 von %qE muss ein Zeiger auf Objekt breiter als Null sein"
 
-#: c-family/c-common.c:10117
+#: c-family/c-common.c:10137
 #, gcc-internal-format
 msgid "argument %d of %qE must be a pointer type"
 msgstr "Argument %d von %qE muss eine Zeigertyp sein"
 
-#: c-family/c-common.c:10124
+#: c-family/c-common.c:10144
 #, gcc-internal-format
 msgid "size mismatch in argument %d of %qE"
 msgstr "Unpassende Größe in Argument %d von %qE"
 
-#: c-family/c-common.c:10140
+#: c-family/c-common.c:10160
 #, gcc-internal-format
 msgid "invalid memory model argument %d of %qE"
 msgstr "ungültiges Argument %d für Speichermodell von %qE"
 
-#: c-family/c-common.c:10147
+#: c-family/c-common.c:10167
 #, gcc-internal-format
 msgid "non-integer memory model argument %d of %qE"
 msgstr "Nicht-Ganzzahlargument %d für Speichermodell von %qE"
 
-#: c-family/c-common.c:10674
+#: c-family/c-common.c:10694
 #, gcc-internal-format
 msgid "array subscript has type %<char%>"
 msgstr "Feldindex hat Typ %<char%>"
 
-#: c-family/c-common.c:10709 c-family/c-common.c:10712
+#: c-family/c-common.c:10729 c-family/c-common.c:10732
 #, gcc-internal-format
 msgid "suggest parentheses around %<+%> inside %<<<%>"
 msgstr "Klammern um %<+%> innerhalb von %<<<%> empfohlen"
 
-#: c-family/c-common.c:10715 c-family/c-common.c:10718
+#: c-family/c-common.c:10735 c-family/c-common.c:10738
 #, gcc-internal-format
 msgid "suggest parentheses around %<-%> inside %<<<%>"
 msgstr "Klammern um %<-%> innerhalb von %<<<%>"
 
-#: c-family/c-common.c:10724 c-family/c-common.c:10727
+#: c-family/c-common.c:10744 c-family/c-common.c:10747
 #, gcc-internal-format
 msgid "suggest parentheses around %<+%> inside %<>>%>"
 msgstr "Klammern um %<+%> innerhalb von %<>>%> empfohlen"
 
-#: c-family/c-common.c:10730 c-family/c-common.c:10733
+#: c-family/c-common.c:10750 c-family/c-common.c:10753
 #, gcc-internal-format
 msgid "suggest parentheses around %<-%> inside %<>>%>"
 msgstr "Klammern um %<-%> innerhalb von %<>>%> empfohlen"
 
-#: c-family/c-common.c:10739 c-family/c-common.c:10742
+#: c-family/c-common.c:10759 c-family/c-common.c:10762
 #, gcc-internal-format
 msgid "suggest parentheses around %<&&%> within %<||%>"
 msgstr "Klammern um %<&&%> innerhalb von %<||%> empfohlen"
 
-#: c-family/c-common.c:10749 c-family/c-common.c:10753
+#: c-family/c-common.c:10769 c-family/c-common.c:10773
 #, gcc-internal-format
 msgid "suggest parentheses around arithmetic in operand of %<|%>"
 msgstr "Klammern um Arithmetik in Operand von %<|%> empfohlen"
 
-#: c-family/c-common.c:10757 c-family/c-common.c:10760
+#: c-family/c-common.c:10777 c-family/c-common.c:10780
 #, gcc-internal-format
 msgid "suggest parentheses around comparison in operand of %<|%>"
 msgstr "Klammern um Vergleich in Operand von %<|%> empfohlen"
 
-#: c-family/c-common.c:10765
+#: c-family/c-common.c:10785
 #, gcc-internal-format
 msgid "suggest parentheses around operand of %<!%> or change %<|%> to %<||%> or %<!%> to %<~%>"
 msgstr "Klammern um Operand von %<!%> empfohlen, oder Änderung von %<|%> in %<||%> oder %<!%> in %<~%>"
 
-#: c-family/c-common.c:10773 c-family/c-common.c:10777
+#: c-family/c-common.c:10793 c-family/c-common.c:10797
 #, gcc-internal-format
 msgid "suggest parentheses around arithmetic in operand of %<^%>"
 msgstr "Klammern um Arithmetik in Operand von %<^%> empfohlen"
 
-#: c-family/c-common.c:10781 c-family/c-common.c:10784
+#: c-family/c-common.c:10801 c-family/c-common.c:10804
 #, gcc-internal-format
 msgid "suggest parentheses around comparison in operand of %<^%>"
 msgstr "Klammern um Vergleich in Operand von %<^%> empfohlen"
 
-#: c-family/c-common.c:10790 c-family/c-common.c:10793
+#: c-family/c-common.c:10810 c-family/c-common.c:10813
 #, gcc-internal-format
 msgid "suggest parentheses around %<+%> in operand of %<&%>"
 msgstr "Klammern um %<+%> in Operand von %<&%> empfohlen"
 
-#: c-family/c-common.c:10796 c-family/c-common.c:10799
+#: c-family/c-common.c:10816 c-family/c-common.c:10819
 #, gcc-internal-format
 msgid "suggest parentheses around %<-%> in operand of %<&%>"
 msgstr "Klammern um %<-%> in Operand von %<&%> empfohlen"
 
-#: c-family/c-common.c:10803 c-family/c-common.c:10806
+#: c-family/c-common.c:10823 c-family/c-common.c:10826
 #, gcc-internal-format
 msgid "suggest parentheses around comparison in operand of %<&%>"
 msgstr "Klammern um Vergleich in Operand von %<&%> empfohlen"
 
-#: c-family/c-common.c:10811
+#: c-family/c-common.c:10831
 #, gcc-internal-format
 msgid "suggest parentheses around operand of %<!%> or change %<&%> to %<&&%> or %<!%> to %<~%>"
 msgstr "Klammern um Operand von %<!%> empfohlen, oder Änderung von %<&%> in %<&&%> oder %<!%> in %<~%>"
 
-#: c-family/c-common.c:10818 c-family/c-common.c:10821
+#: c-family/c-common.c:10838 c-family/c-common.c:10841
 #, gcc-internal-format
 msgid "suggest parentheses around comparison in operand of %<==%>"
 msgstr "Klammern um Vergleich in Operand von %<==%> empfohlen"
 
-#: c-family/c-common.c:10826 c-family/c-common.c:10829
+#: c-family/c-common.c:10846 c-family/c-common.c:10849
 #, gcc-internal-format
 msgid "suggest parentheses around comparison in operand of %<!=%>"
 msgstr "Klammern um Vergleich in Operand von %<!=%> empfohlen"
 
-#: c-family/c-common.c:10839 c-family/c-common.c:10845
+#: c-family/c-common.c:10859 c-family/c-common.c:10865
 #, gcc-internal-format
 msgid "comparisons like %<X<=Y<=Z%> do not have their mathematical meaning"
 msgstr "Vergleiche wie %<X<=Y<=Z%> haben nicht ihre mathematische Bedeutung"
 
-#: c-family/c-common.c:10861
+#: c-family/c-common.c:10881
 #, gcc-internal-format
 msgid "label %q+D defined but not used"
 msgstr "Marke %q+D definiert, aber nicht verwendet"
 
-#: c-family/c-common.c:10863
+#: c-family/c-common.c:10883
 #, gcc-internal-format
 msgid "label %q+D declared but not defined"
 msgstr "Marke %q+D deklariert, aber nicht definiert"
 
-#: c-family/c-common.c:10879
+#: c-family/c-common.c:10899
 #, gcc-internal-format
 msgid "division by zero"
 msgstr "Division durch Null"
 
-#: c-family/c-common.c:10911
+#: c-family/c-common.c:10931
 #, gcc-internal-format
 msgid "comparison between types %qT and %qT"
 msgstr "Vergleich zwischen den Typen %qT und %qT"
 
-#: c-family/c-common.c:10962
+#: c-family/c-common.c:10982
 #, gcc-internal-format
 msgid "comparison between signed and unsigned integer expressions"
 msgstr "Vergleich zwischen vorzeichenbehafteten und vorzeichenlosen Ganzzahlausdrücken"
 
-#: c-family/c-common.c:11013
+#: c-family/c-common.c:11033
 #, gcc-internal-format
 msgid "promoted ~unsigned is always non-zero"
 msgstr "weitergegebenes ~vorzeichenlos ist immer Nicht-Null"
 
-#: c-family/c-common.c:11016
+#: c-family/c-common.c:11036
 #, gcc-internal-format
 msgid "comparison of promoted ~unsigned with constant"
 msgstr "Vergleich von weitergegebenem ~unsigned mit Konstante"
 
-#: c-family/c-common.c:11026
+#: c-family/c-common.c:11046
 #, gcc-internal-format
 msgid "comparison of promoted ~unsigned with unsigned"
 msgstr "Vergleich von weitergegebenem ~unsigned mit unsigned"
 
-#: c-family/c-common.c:11204
+#: c-family/c-common.c:11224
 #, gcc-internal-format
 msgid "typedef %qD locally defined but not used"
 msgstr "typedef %qD lokal definiert, aber nicht verwendet"
 
-#: c-family/c-common.c:11443
+#: c-family/c-common.c:11463
 #, gcc-internal-format
 msgid "index value is out of bound"
 msgstr "Indexwert ist außerhalb der Grenzen"
 
-#: c-family/c-common.c:11481 c-family/c-common.c:11531
-#: c-family/c-common.c:11546
-#, fuzzy, gcc-internal-format
+#: c-family/c-common.c:11501 c-family/c-common.c:11551
+#: c-family/c-common.c:11566
+#, gcc-internal-format
 msgid "conversion of scalar %qT to vector %qT involves truncation"
-msgstr "Umwandlung von Skalar in Vektor führt zum Abschneiden"
+msgstr "Umwandlung von Skalar %qT in Vektor %qT führt zum Abschneiden"
 
 #: c-family/c-format.c:103 c-family/c-format.c:290
 #, gcc-internal-format
@@ -19449,9 +19434,9 @@
 msgstr "-Wformat-security wird ohne -Wformat ignoriert"
 
 #: c-family/c-opts.c:910
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "external TLS initialization functions not supported on this target"
-msgstr "geschachtelte Funktionen werden auf diesem Ziel nicht unterstützt"
+msgstr "externe Funktionen zur TLS-Initialisierung werden auf diesem Ziel nicht unterstützt"
 
 #: c-family/c-opts.c:930
 #, gcc-internal-format
@@ -19466,7 +19451,7 @@
 #: c-family/c-opts.c:954
 #, gcc-internal-format, gfc-internal-format
 msgid "the \"%s\" debug format cannot be used with pre-compiled headers"
-msgstr ""
+msgstr "Das Debug-Format »%s« kann nicht mit vorkompilierten Headers verwendet werden"
 
 #: c-family/c-opts.c:1081
 #, gcc-internal-format
@@ -19518,37 +19503,37 @@
 msgid "can%'t write to %s: %m"
 msgstr "in %s kann nicht geschrieben werden: %m"
 
-#: c-family/c-pch.c:191
+#: c-family/c-pch.c:193
 #, gcc-internal-format
 msgid "can%'t write %s: %m"
 msgstr "%s kann nicht geschrieben werden: %m"
 
-#: c-family/c-pch.c:219 c-family/c-pch.c:260 c-family/c-pch.c:311
+#: c-family/c-pch.c:221 c-family/c-pch.c:262 c-family/c-pch.c:313
 #, gcc-internal-format
 msgid "can%'t read %s: %m"
 msgstr "%s kann nicht gelesen werden: %m"
 
-#: c-family/c-pch.c:417
+#: c-family/c-pch.c:419
 #, gcc-internal-format
 msgid "pch_preprocess pragma should only be used with -fpreprocessed"
 msgstr "pch_preprocess-Pragma sollte nur mit -fpreprocessed verwendet werden"
 
-#: c-family/c-pch.c:418
+#: c-family/c-pch.c:420
 #, gcc-internal-format
 msgid "use #include instead"
 msgstr "stattdessen #include verwenden"
 
-#: c-family/c-pch.c:424
+#: c-family/c-pch.c:426
 #, gcc-internal-format
 msgid "%s: couldn%'t open PCH file: %m"
 msgstr "%s: PCH-Datei konnte nicht geöffnet werden: %m"
 
-#: c-family/c-pch.c:429
+#: c-family/c-pch.c:431
 #, gcc-internal-format
 msgid "use -Winvalid-pch for more information"
 msgstr "-Winvalid-pch für weitere Informationen verwenden"
 
-#: c-family/c-pch.c:430
+#: c-family/c-pch.c:432
 #, gcc-internal-format, gfc-internal-format
 msgid "%s: PCH file was invalid"
 msgstr "%s: PCH-Datei war ungültig"
@@ -20030,9 +20015,9 @@
 msgstr "%qE 2.95 vtable-Kompatibilitätsattribut trifft nur für C++-Klassen zu"
 
 #: config/darwin.c:2689
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "protected visibility attribute not supported in this configuration; ignored"
-msgstr "Sichtbarkeitsattribute werden in dieser Konfiguration nicht unterstützt; ignoriert"
+msgstr "geschützte Sichtbarkeitsattribute werden in dieser Konfiguration nicht unterstützt; ignoriert"
 
 #: config/darwin.c:2847
 #, gcc-internal-format, gfc-internal-format
@@ -20166,74 +20151,74 @@
 msgstr "Profilerunterstützung für VxWorks"
 
 #: config/aarch64/aarch64-builtins.c:1032
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "incompatible type for argument %d, expected %<const int%>"
-msgstr "Inkompatibler Typ für Argument %d von %qE"
+msgstr "unverträglicher Typ für Argument %d, %<const int%> erwartet"
 
 #: config/aarch64/aarch64.c:3643
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "function profiling"
-msgstr "Funktionsprofilierung einschalten"
+msgstr "Funktionsprofilierung"
 
 #: config/aarch64/aarch64.c:4623
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "missing feature modifier after %qs"
-msgstr "fehlender Dateiname hinter %qs"
+msgstr "fehlender Eigenschaftsmodifizierer hinter %qs"
 
 #. Extension not found in list.
 #: config/aarch64/aarch64.c:4644
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "unknown feature modifier %qs"
-msgstr "unbekanntes TLS-Modell %qs"
+msgstr "unbekannter Eigenschaftsmodifizierer %qs"
 
 #: config/aarch64/aarch64.c:4675
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "missing arch name in -march=%qs"
-msgstr "fehlender Pfad hinter %qs"
+msgstr "fehlender Architekturname in -march=%qs"
 
 #. ARCH name not found in list.
 #: config/aarch64/aarch64.c:4699
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "unknown value %qs for -march"
-msgstr "unbekannter Wert %s für -mfpu"
+msgstr "unbekannter Wert %qs für -march"
 
 #: config/aarch64/aarch64.c:4724
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "missing cpu name in -mcpu=%qs"
-msgstr "fehlender Pfad hinter %qs"
+msgstr "fehlender CPU-Name in -mcpu=%qs"
 
 #. CPU name not found in list.
 #: config/aarch64/aarch64.c:4747
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "unknown value %qs for -mcpu"
-msgstr "unbekannter Wert %s für -mfpu"
+msgstr "unbekannter Wert %qs für -mcpu"
 
 #. CPU name not found in list.
 #: config/aarch64/aarch64.c:4771
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "unknown value %qs for -mtune"
-msgstr "unbekannter Wert %s für -mfpu"
+msgstr "unbekannter Wert %qs für -mtune"
 
 #: config/aarch64/aarch64.c:4879
 #, gcc-internal-format
 msgid "code model %qs with -f%s"
-msgstr ""
+msgstr "Codemodell %qs mit -f%s"
 
 #: config/aarch64/aarch64.c:5198 config/aarch64/aarch64.c:5306
 #: config/aarch64/aarch64.c:5545
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%qs and floating point or vector arguments"
-msgstr "Hardware-Gleitkommabefehle verwenden"
+msgstr "%qs und Gleitkomma- oder Vektorbefehle"
 
 #: config/aarch64/aarch64.c:6421
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "lane out of range"
-msgstr "Zeilennummer ist außerhalb des Wertebereiches"
+msgstr "Spur ist außerhalb des Wertebereiches"
 
 #: config/aarch64/aarch64.c:6431
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "constant out of range"
-msgstr "Konstantes Argument außerhalb des Wertebereiches für %qs"
+msgstr "Konstante ist außerhalb des Wertebereiches"
 
 #: config/alpha/alpha.c:295
 #, gcc-internal-format
@@ -20377,14 +20362,14 @@
 msgstr "AAPCS unterstützt nicht -mcallee-super-interworking"
 
 #: config/arm/arm.c:1923
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "iWMMXt and NEON are incompatible"
-msgstr "-fPIC und -G sind unverträglich"
+msgstr "iWMMXt und NEON sind unverträglich"
 
 #: config/arm/arm.c:1927
 #, gcc-internal-format
 msgid "iWMMXt unsupported under Thumb mode"
-msgstr ""
+msgstr "iWMMXt wird im Thumb-Modus nicht unterstützt"
 
 #: config/arm/arm.c:1931
 #, gcc-internal-format
@@ -20467,220 +20452,220 @@
 #: config/i386/i386.c:34639 config/i386/i386.c:34690 config/i386/i386.c:34762
 #: config/m68k/m68k.c:729 config/mcore/mcore.c:3046 config/mep/mep.c:3887
 #: config/mep/mep.c:3901 config/mep/mep.c:3975 config/rl78/rl78.c:480
-#: config/rs6000/rs6000.c:24833 config/rx/rx.c:2571 config/sh/sh.c:9515
-#: config/sh/sh.c:9533 config/sh/sh.c:9562 config/sh/sh.c:9644
-#: config/sh/sh.c:9667 config/spu/spu.c:3685 config/stormy16/stormy16.c:2207
+#: config/rs6000/rs6000.c:24833 config/rx/rx.c:2571 config/sh/sh.c:9512
+#: config/sh/sh.c:9530 config/sh/sh.c:9559 config/sh/sh.c:9641
+#: config/sh/sh.c:9664 config/spu/spu.c:3685 config/stormy16/stormy16.c:2207
 #: config/v850/v850.c:2082
 #, gcc-internal-format
 msgid "%qE attribute only applies to functions"
 msgstr "Attribut %qE bezieht sich nur auf Funktionen"
 
-#: config/arm/arm.c:19315
+#: config/arm/arm.c:19325
 #, gcc-internal-format
 msgid "unable to compute real location of stacked parameter"
 msgstr "Wirkliche Stelle des gestapelten Parameters kann nicht berechnet werden"
 
-#: config/arm/arm.c:21257
+#: config/arm/arm.c:21267
 #, gcc-internal-format
 msgid "argument must be a constant"
 msgstr "Argument muss eine Konstante sein"
 
 #. @@@ better error message
-#: config/arm/arm.c:21632 config/arm/arm.c:21736
+#: config/arm/arm.c:21642 config/arm/arm.c:21746
 #, gcc-internal-format
 msgid "selector must be an immediate"
 msgstr "Wähler muss »immediate« sein"
 
-#: config/arm/arm.c:21640 config/arm/arm.c:21685 config/arm/arm.c:21743
-#: config/arm/arm.c:21752
+#: config/arm/arm.c:21650 config/arm/arm.c:21695 config/arm/arm.c:21753
+#: config/arm/arm.c:21762
 #, gcc-internal-format
 msgid "the range of selector should be in 0 to 7"
-msgstr ""
+msgstr "der Wertebereich des Selektors sollte 0 bis 7 sein"
 
-#: config/arm/arm.c:21645 config/arm/arm.c:21754
+#: config/arm/arm.c:21655 config/arm/arm.c:21764
 #, gcc-internal-format
 msgid "the range of selector should be in 0 to 3"
-msgstr ""
+msgstr "der Wertebereich des Selektors sollte 0 bis 3 sein"
 
-#: config/arm/arm.c:21650 config/arm/arm.c:21756
+#: config/arm/arm.c:21660 config/arm/arm.c:21766
 #, gcc-internal-format
 msgid "the range of selector should be in 0 to 1"
-msgstr ""
+msgstr "der Wertebereich des Selektors sollte 0 bis 1 sein"
 
-#: config/arm/arm.c:21822
+#: config/arm/arm.c:21832
 #, gcc-internal-format
 msgid "mask must be an immediate"
 msgstr "Maske muss »immediate« sein"
 
-#: config/arm/arm.c:21827
-#, fuzzy, gcc-internal-format
+#: config/arm/arm.c:21837
+#, gcc-internal-format
 msgid "the range of mask should be in 0 to 255"
-msgstr "Argument des Attributs %qE sollte zwischen 0 und 255 sein"
+msgstr "der Wertebereich der Maske ist 0 bis 255"
 
-#: config/arm/arm.c:22015
+#: config/arm/arm.c:22025
 #, gcc-internal-format
 msgid "the range of count should be in 0 to 32.  please check the intrinsic _mm_rori_pi16 in code."
-msgstr ""
+msgstr "der Wertebereich des Zählers ist 0 bis 32. Bitte eingebautes _mm_rori_pi16 im Code prüfen."
 
-#: config/arm/arm.c:22017
+#: config/arm/arm.c:22027
 #, gcc-internal-format
 msgid "the range of count should be in 0 to 32.  please check the intrinsic _mm_rori_pi32 in code."
-msgstr ""
+msgstr "der Wertebereich des Zählers ist 0 bis 32. Bitte eingebautes _mm_rori_pi32 im Code prüfen."
 
-#: config/arm/arm.c:22019
+#: config/arm/arm.c:22029
 #, gcc-internal-format
 msgid "the range of count should be in 0 to 32.  please check the intrinsic _mm_ror_pi16 in code."
-msgstr ""
+msgstr "der Wertebereich des Zählers ist 0 bis 32. Bitte eingebautes _mm_ror_pi16 im Code prüfen."
 
-#: config/arm/arm.c:22021
+#: config/arm/arm.c:22031
 #, gcc-internal-format
 msgid "the range of count should be in 0 to 32.  please check the intrinsic _mm_ror_pi32 in code."
-msgstr ""
+msgstr "der Wertebereich des Zählers ist 0 bis 32. Bitte eingebautes _mm_ror_pi32 im Code prüfen."
 
-#: config/arm/arm.c:22027
+#: config/arm/arm.c:22037
 #, gcc-internal-format
 msgid "the range of count should be in 0 to 64.  please check the intrinsic _mm_rori_si64 in code."
-msgstr ""
+msgstr "der Wertebereich des Zählers ist 0 bis 64. Bitte eingebautes _mm_rori_si64 im Code prüfen."
 
-#: config/arm/arm.c:22029
+#: config/arm/arm.c:22039
 #, gcc-internal-format
 msgid "the range of count should be in 0 to 64.  please check the intrinsic _mm_ror_si64 in code."
-msgstr ""
+msgstr "der Wertebereich des Zählers ist 0 bis 64. Bitte eingebautes _mm_ror_si64 im Code prüfen."
 
-#: config/arm/arm.c:22034
+#: config/arm/arm.c:22044
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srli_pi16 in code."
-msgstr ""
+msgstr "der Zähler sollte nicht kleiner als 0 sein. Bitte das eingebaute _mm_srli_pi16 im Code prüfen."
 
-#: config/arm/arm.c:22036
+#: config/arm/arm.c:22046
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srli_pi32 in code."
-msgstr ""
+msgstr "der Zähler sollte nicht kleiner als 0 sein. Bitte das eingebaute _mm_srli_pi32 im Code prüfen."
 
-#: config/arm/arm.c:22038
+#: config/arm/arm.c:22048
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srli_si64 in code."
-msgstr ""
+msgstr "der Zähler sollte nicht kleiner als 0 sein. Bitte das eingebaute _mm_srli_si64 im Code prüfen."
 
-#: config/arm/arm.c:22040
+#: config/arm/arm.c:22050
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_slli_pi16 in code."
-msgstr ""
+msgstr "der Zähler sollte nicht kleiner als 0 sein. Bitte das eingebaute _mm_slli_pi16 im Code prüfen."
 
-#: config/arm/arm.c:22042
+#: config/arm/arm.c:22052
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_slli_pi32 in code."
-msgstr ""
+msgstr "der Zähler sollte nicht kleiner als 0 sein. Bitte das eingebaute _mm_slli_pi32 im Code prüfen."
 
-#: config/arm/arm.c:22044
+#: config/arm/arm.c:22054
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_slli_si64 in code."
-msgstr ""
+msgstr "der Zähler sollte nicht kleiner als 0 sein. Bitte das eingebaute _mm_slli_si64 im Code prüfen."
 
-#: config/arm/arm.c:22046
+#: config/arm/arm.c:22056
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srai_pi16 in code."
-msgstr ""
+msgstr "der Zähler sollte nicht kleiner als 0 sein. Bitte das eingebaute _mm_srai_pi16 im Code prüfen."
 
-#: config/arm/arm.c:22048
+#: config/arm/arm.c:22058
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srai_pi32 in code."
-msgstr ""
+msgstr "der Zähler sollte nicht kleiner als 0 sein. Bitte das eingebaute _mm_srai_pi32 im Code prüfen."
 
-#: config/arm/arm.c:22050
+#: config/arm/arm.c:22060
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srai_si64 in code."
-msgstr ""
+msgstr "der Zähler sollte nicht kleiner als 0 sein. Bitte das eingebaute _mm_srai_si64 im Code prüfen."
 
-#: config/arm/arm.c:22052
+#: config/arm/arm.c:22062
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srl_pi16 in code."
-msgstr ""
+msgstr "der Zähler sollte nicht kleiner als 0 sein. Bitte das eingebaute _mm_srl_pi16 im Code prüfen."
 
-#: config/arm/arm.c:22054
+#: config/arm/arm.c:22064
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srl_pi32 in code."
-msgstr ""
+msgstr "der Zähler sollte nicht kleiner als 0 sein. Bitte das eingebaute _mm_srl_pi32 im Code prüfen."
 
-#: config/arm/arm.c:22056
+#: config/arm/arm.c:22066
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_srl_si64 in code."
-msgstr ""
+msgstr "der Zähler sollte nicht kleiner als 0 sein. Bitte das eingebaute _mm_srl_si64 im Code prüfen."
 
-#: config/arm/arm.c:22058
+#: config/arm/arm.c:22068
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_sll_pi16 in code."
-msgstr ""
+msgstr "der Zähler sollte nicht kleiner als 0 sein. Bitte das eingebaute _mm_sll_pi16 im Code prüfen."
 
-#: config/arm/arm.c:22060
+#: config/arm/arm.c:22070
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_sll_pi32 in code."
-msgstr ""
+msgstr "der Zähler sollte nicht kleiner als 0 sein. Bitte das eingebaute _mm_sll_pi32 im Code prüfen."
 
-#: config/arm/arm.c:22062
+#: config/arm/arm.c:22072
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_sll_si64 in code."
-msgstr ""
+msgstr "der Zähler sollte nicht kleiner als 0 sein. Bitte das eingebaute _mm_sll_si64 im Code prüfen."
 
-#: config/arm/arm.c:22064
+#: config/arm/arm.c:22074
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_sra_pi16 in code."
-msgstr ""
+msgstr "der Zähler sollte nicht kleiner als 0 sein. Bitte das eingebaute _mm_sra_pi16 im Code prüfen."
 
-#: config/arm/arm.c:22066
+#: config/arm/arm.c:22076
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_sra_pi32 in code."
-msgstr ""
+msgstr "der Zähler sollte nicht kleiner als 0 sein. Bitte das eingebaute _mm_sra_pi32 im Code prüfen."
 
-#: config/arm/arm.c:22068
+#: config/arm/arm.c:22078
 #, gcc-internal-format
 msgid "the count should be no less than 0.  please check the intrinsic _mm_sra_si64 in code."
-msgstr ""
+msgstr "der Zähler sollte nicht kleiner als 0 sein. Bitte das eingebaute _mm_sra_si64 im Code prüfen."
 
-#: config/arm/arm.c:22787
+#: config/arm/arm.c:22797
 #, gcc-internal-format
 msgid "no low registers available for popping high registers"
 msgstr "keine unteren Register für das Hervorholen der hohen Register verfügbar"
 
-#: config/arm/arm.c:23012
+#: config/arm/arm.c:23022
 #, gcc-internal-format
 msgid "interrupt Service Routines cannot be coded in Thumb mode"
 msgstr "Interrupt-Dienst-Routinen können nicht im »Thumb«-Modus codiert werden"
 
 #: config/avr/avr-c.c:65 config/avr/avr-c.c:190
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%qs expects 1 argument but %d given"
-msgstr "Makro »%s« erfordert %u Argumente, aber nur %u wurden angegeben"
+msgstr "%qs erfordert 1 Argument, aber %d wurden angegeben"
 
 #: config/avr/avr-c.c:76
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%qs expects a fixed-point value as argument"
-msgstr "%qs erwartet ein konstantes Argument"
+msgstr "%qs erwartet einen Festkommawert als Argument"
 
 #: config/avr/avr-c.c:102
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "using %qs with unsigned type has no effect"
-msgstr "Attribut %qE hat keinen Effekt"
+msgstr "Verwendung von %qs mit vorzeichenunbehaftetem Typ hat keinen Effekt"
 
 #: config/avr/avr-c.c:107 config/avr/avr-c.c:173 config/avr/avr-c.c:230
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "no matching fixed-point overload found for %qs"
-msgstr "kein passendes Template für %qD gefunden"
+msgstr "keine passende Festkomma-Überladung für %qs gefunden"
 
 #: config/avr/avr-c.c:124
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%qs expects 2 arguments but %d given"
-msgstr "Makro »%s« erfordert %u Argumente, aber nur %u wurden angegeben"
+msgstr "%qs erwartet 2 Argumente, aber %d wurden angegeben"
 
 #: config/avr/avr-c.c:136 config/avr/avr-c.c:201
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%qs expects a fixed-point value as first argument"
-msgstr "%qs erwartet ein konstantes Argument"
+msgstr "%qs erwartet einen Festkommawert als erstes Argument"
 
 #: config/avr/avr-c.c:144
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%qs expects an integer value as second argument"
-msgstr "%qs erwartet ein konstantes Argument"
+msgstr "%qs erwartet einen Ganzzahlwert als zweites Argument"
 
 #: config/avr/avr.c:573
 #, gcc-internal-format
@@ -20708,9 +20693,9 @@
 msgstr "%qs scheint ein falsch geschriebener Handler für %s zu sein"
 
 #: config/avr/avr.c:838
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%<builtin_return_address%> contains only 2 bytes of address"
-msgstr "»builtin_return_address« enthält nur 2 Adressbytes"
+msgstr "%<builtin_return_address%> enthält nur 2 Adressbytes"
 
 #: config/avr/avr.c:2047
 #, gcc-internal-format
@@ -20782,25 +20767,30 @@
 msgid "MCU %qs supported for assembler only"
 msgstr "MCU %qs nur für Assemblierung unterstützt"
 
-#: config/avr/avr.c:11718
+#: config/avr/avr.c:10816
+#, gcc-internal-format
+msgid "conversion from address space %qs to address space %qs"
+msgstr "Umwandlung von Adressraum %qs in Adressraum %qs"
+
+#: config/avr/avr.c:11778
 #, gcc-internal-format, gfc-internal-format
 msgid "%s expects a compile time integer constant"
 msgstr "%s erwartet eine Ganzzahlkonstante zur Compile-Zeit"
 
-#: config/avr/avr.c:11732
+#: config/avr/avr.c:11792
 #, gcc-internal-format, gfc-internal-format
 msgid "%s expects a compile time long integer constant as first argument"
 msgstr "%s erwartet eine Long-Ganzzahlkonstante als erstes Argument zur Compile-Zeit"
 
-#: config/avr/avr.c:11760
+#: config/avr/avr.c:11820
 #, gcc-internal-format, gfc-internal-format
 msgid "rounding to %d bits has no effect for fixed-point value with %d fractional bits"
-msgstr ""
+msgstr "Rundung auf %d Bits hat keinen Effekt für Festkommawert mit %d Bit Nachkommaanteil"
 
-#: config/avr/avr.c:11769
+#: config/avr/avr.c:11829
 #, gcc-internal-format
 msgid "rounding result will always be 0"
-msgstr ""
+msgstr "Rundungsergebnis wird immer 0 sein"
 
 #: config/bfin/bfin.c:2351
 #, gcc-internal-format
@@ -21112,9 +21102,9 @@
 msgstr "diese eingebaute Funktion ist nur auf dem fr450 verfügbar"
 
 #: config/h8300/h8300.c:320
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "-msx is not supported in coff"
-msgstr "-f%s nicht unterstützt: ignoriert"
+msgstr "-msx wird in COFF nicht unterstützt"
 
 #: config/h8300/h8300.c:342
 #, gcc-internal-format
@@ -21122,29 +21112,29 @@
 msgstr "-ms2600 ohne -ms verwendet"
 
 #: config/h8300/h8300.c:348
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "-mn is used without -mh or -ms or -msx"
-msgstr "-mn ohne -mh oder -ms verwendet"
+msgstr "-mn ohne -mh, -ms oder -msx verwendet"
 
 #: config/h8300/h8300.c:354
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "-mexr is used without -ms"
-msgstr "-ms2600 ohne -ms verwendet"
+msgstr "-mexr ohne -ms verwendet"
 
 #: config/h8300/h8300.c:360
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "-mint32 is not supported for H8300 and H8300L targets"
-msgstr "<__int128%> wird für dieses Ziel nicht unterstützt"
+msgstr "-mint32 wird für Ziele H8300 und H8300L nicht unterstützt"
 
 #: config/h8300/h8300.c:366
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "-mexr is used without -ms or -msx"
-msgstr "-mn ohne -mh oder -ms verwendet"
+msgstr "-mexr ohne -ms oder -msx verwendet"
 
 #: config/h8300/h8300.c:372
 #, gcc-internal-format
 msgid "-mno-exr valid only with -ms or -msx                   - Option ignored!"
-msgstr ""
+msgstr "-mno-exr nur mit -ms oder -msx gültig                  - Option ignoriert!"
 
 #: config/i386/host-cygwin.c:62
 #, gcc-internal-format
@@ -21173,9 +21163,9 @@
 msgstr "-mstringop-strategy=rep_8byte wird für 32-Bit-Code nicht unterstützt"
 
 #: config/i386/i386.c:3160
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "address mode %qs not supported in the %s bit mode"
-msgstr "Codemodell %qs wird im %s-Bit-Modus nicht unterstützt"
+msgstr "Adressmodus %qs wird im %s-Bit-Modus nicht unterstützt"
 
 #: config/i386/i386.c:3179 config/i386/i386.c:3188 config/i386/i386.c:3200
 #: config/i386/i386.c:3211 config/i386/i386.c:3222
@@ -21289,9 +21279,9 @@
 msgstr "unbekannte Option für -mrecip=%s"
 
 #: config/i386/i386.c:4229
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "attribute %<target%> argument not a string"
-msgstr "Attributargument von %qE ist keine Zeichenkette"
+msgstr "Argument für Attribut %<target%> ist keine Zeichenkette"
 
 #: config/i386/i386.c:4295 config/i386/i386.c:4342
 #, gcc-internal-format, gfc-internal-format
@@ -21476,59 +21466,59 @@
 msgstr "nicht unterstützte Operandengröße für erweitertes Register"
 
 #: config/i386/i386.c:14206
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "non-integer operand used with operand code 'z'"
-msgstr "Nicht-Ganzzahl-Operand mit Operandencode »%c« verwendet"
+msgstr "Nicht-Ganzzahl-Operand mit Operandencode »z« verwendet"
 
 #: config/i386/i386.c:28755
 #, gcc-internal-format
 msgid "No dispatcher found for the versioning attributes"
-msgstr ""
+msgstr "Kein Dispatcher für versionierte Attribute gefunden"
 
 #: config/i386/i386.c:28805
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "No dispatcher found for %s"
-msgstr "Keine Markendefinition für %qs gefunden"
+msgstr "Kein Dispatcher für %s gefunden"
 
 #: config/i386/i386.c:28815
 #, gcc-internal-format, gfc-internal-format
 msgid "No dispatcher found for the versioning attributes : %s"
-msgstr ""
+msgstr "Kein Dispatcher für versionierte Attribute gefunden: %s"
 
 #: config/i386/i386.c:29062
 #, gcc-internal-format
 msgid "Function versions cannot be marked as gnu_inline, bodies have to be generated"
-msgstr ""
+msgstr "Funktionsversionen können nicht als gnu_inline markiert werden, Körper müssen generiert werden"
 
 #: config/i386/i386.c:29067 config/i386/i386.c:29512
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "Virtual function multiversioning not supported"
-msgstr "Statische Bindung wird nicht unterstützt"
+msgstr "Multiversionierung virtueller Funktionen wird nicht unterstützt"
 
 #: config/i386/i386.c:29132
 #, gcc-internal-format
 msgid "missing %<target%> attribute for multi-versioned %D"
-msgstr ""
+msgstr "Attribut %<target%> fehlt für multiversioniertes %D"
 
 #: config/i386/i386.c:29135
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "previous declaration of %D"
-msgstr "vorherige Deklaration von %q+D"
+msgstr "vorherige Deklaration von %D"
 
 #: config/i386/i386.c:29351
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "multiversioning needs ifunc which is not supported in this configuration"
-msgstr "ifunc wird in dieser Konfiguration nicht unterstützt"
+msgstr "Multiversionierung erfordert ifunc, was in dieser Konfiguration nicht unterstützt wird"
 
 #: config/i386/i386.c:29695
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "Parameter to builtin must be a string constant or literal"
-msgstr "Argument für %qs muss ein vorzeichenloses 2-Bit-Symbol sein"
+msgstr "Parameter für eingebaute Funktion muss Zeichenkettenkonstante oder Literal sein"
 
 #: config/i386/i386.c:29720 config/i386/i386.c:29770
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Parameter to builtin not valid: %s"
-msgstr "Argument für -ffpe-trap ist ungültig: %s"
+msgstr "Parameter für eingebaute Funktion ist ungültig: %s"
 
 #: config/i386/i386.c:30171 config/i386/i386.c:31114
 #, gcc-internal-format
@@ -21606,9 +21596,9 @@
 msgstr "letztes Argument muss Skalierung 1, 2, 4, 8 sein"
 
 #: config/i386/i386.c:32311
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "the xabort's argument must be an 8-bit immediate"
-msgstr "Das letzte Argument muss ein 8-Bit-Immediate sein"
+msgstr "Das Argument für xabort muss ein 8-Bit-Immediate sein"
 
 #: config/i386/i386.c:34646
 #, gcc-internal-format
@@ -21631,19 +21621,19 @@
 msgstr "%qE-inkompatibles Attribut wird ignoriert"
 
 #: config/i386/i386.c:42160
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "Unknown architecture specific memory model"
-msgstr "Unbekannte Architektur »%s«"
+msgstr "Unbekanntes architekturspezifisches Speichermodell«"
 
 #: config/i386/i386.c:42167
 #, gcc-internal-format
 msgid "HLE_ACQUIRE not used with ACQUIRE or stronger memory model"
-msgstr ""
+msgstr "HLE_ACQUIRE nicht mit ACQUIRE oder stärkerem Speichermodell verwendet"
 
 #: config/i386/i386.c:42173
 #, gcc-internal-format
 msgid "HLE_RELEASE not used with RELEASE or stronger memory model"
-msgstr ""
+msgstr "HLE_RELEASE nicht mit RELEASE oder stärkerem Speichermodell verwendet"
 
 #: config/i386/winnt.c:82
 #, gcc-internal-format
@@ -21710,13 +21700,13 @@
 msgid "%qE attribute requires a string constant argument"
 msgstr "Attribut %qE erfordert eine Zeichenkettenkonstante als Argument"
 
-#: config/ia64/ia64.c:5885 config/pa/pa.c:416 config/sh/sh.c:9351
+#: config/ia64/ia64.c:5885 config/pa/pa.c:416 config/sh/sh.c:9348
 #: config/spu/spu.c:4897
 #, gcc-internal-format
 msgid "value of -mfixed-range must have form REG1-REG2"
 msgstr "Wert von -mfixed-range muss die Form REG1-REG2 haben"
 
-#: config/ia64/ia64.c:5912 config/pa/pa.c:443 config/sh/sh.c:9377
+#: config/ia64/ia64.c:5912 config/pa/pa.c:443 config/sh/sh.c:9374
 #: config/spu/spu.c:4923
 #, gcc-internal-format, gfc-internal-format
 msgid "%s-%s is an empty range"
@@ -21788,7 +21778,7 @@
 msgstr "Attribut %qE wird für Ziel R8C nicht unterstützt"
 
 #. The argument must be a constant integer.
-#: config/m32c/m32c.c:2934 config/sh/sh.c:9570 config/sh/sh.c:9676
+#: config/m32c/m32c.c:2934 config/sh/sh.c:9567 config/sh/sh.c:9673
 #, gcc-internal-format
 msgid "%qE attribute argument not an integer constant"
 msgstr "Attributargument %qE ist keine Ganzzahlkonstante"
@@ -21834,9 +21824,9 @@
 msgstr "-falign-loops=%d wird nicht unterstützt"
 
 #: config/m68k/m68k.c:621
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "-fstack-limit- options are not supported on this cpu"
-msgstr "Kellergrenzen nicht für dieses Ziel unterstützt"
+msgstr "Optionen für -fstack-limit- werden auf dieser CPU nicht unterstützt"
 
 #: config/m68k/m68k.c:736
 #, gcc-internal-format
@@ -22131,23 +22121,33 @@
 msgid "unexpected %d byte cop instruction"
 msgstr "unerwartete %d-Byte-Cop-Anweisung"
 
-#: config/microblaze/microblaze.c:1311
-#, fuzzy, gcc-internal-format
+#: config/microblaze/microblaze.c:1676
+#, gcc-internal-format
 msgid "-fPIC/-fpic not supported for this target"
-msgstr "-fstack-protector wird für dieses Ziel nicht unterstützt"
+msgstr "-fPIC/-fpic werden für dieses Ziel nicht unterstützt"
 
-#: config/microblaze/microblaze.c:1323
+#: config/microblaze/microblaze.c:1688
 #, gcc-internal-format
 msgid "%qs is an invalid argument to -mcpu="
 msgstr "%qs ist ein ungültiges Argument für -mcpu="
 
-#: config/microblaze/microblaze.c:1372
+#: config/microblaze/microblaze.c:1737
 #, gcc-internal-format
 msgid "-mxl-multiply-high can be used only with -mcpu=v6.00.a or greater"
 msgstr "-mxl-multiply-high kann nur mit -mcpu=v6.00.a oder höher verwendet werden"
 
-#: config/microblaze/microblaze.c:1384
+#: config/microblaze/microblaze.c:1753
 #, gcc-internal-format
+msgid "-mxl-reorder can be used only with -mcpu=v8.30.a or greater"
+msgstr "-mxl-reorder kann nur mit -mcpu=v8.30.a oder höher verwendet werden"
+
+#: config/microblaze/microblaze.c:1759
+#, gcc-internal-format
+msgid "-mxl-reorder requires -mxl-pattern-compare for -mcpu=v8.30.a"
+msgstr "-mxl-reorder erfordert -mxl-pattern-compare für -mcpu=v8.30.a"
+
+#: config/microblaze/microblaze.c:1764
+#, gcc-internal-format
 msgid "-mxl-multiply-high requires -mno-xl-soft-mul"
 msgstr "-mxl-multiply-high erfordert -mno-xl-soft-mul"
 
@@ -22189,7 +22189,7 @@
 #: config/mips/mips.c:10596
 #, gcc-internal-format
 msgid "-fstack-check=specific not implemented for MIPS16"
-msgstr ""
+msgstr "-fstack-check=specific nicht für MIPS16 implementiert"
 
 #: config/mips/mips.c:13989
 #, gcc-internal-format
@@ -22282,14 +22282,14 @@
 msgstr "die Architektur %qs unterstützt keine Befehle mit Sprungwahrscheinlichkeit"
 
 #: config/mips/mips.c:16621
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "cannot generate position-independent code for %qs"
-msgstr "Wenn möglich, lageunabhängigen Code erzeugen (large mode)"
+msgstr "für %qs kann kein lageunabhängiger Code erzeugt werden"
 
 #: config/mips/mips.c:16624
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "position-independent code requires %qs"
-msgstr "Lageunabhängigen Code (PIC) für Verwendung in BS-Kernelcode ausschalten"
+msgstr "lageunabhängiger Code erfordert %qs"
 
 #: config/mips/mips.c:16657
 #, gcc-internal-format
@@ -22643,9 +22643,9 @@
 msgstr "nicht für SPE-ABI konfiguriert"
 
 #: config/rs6000/rs6000.c:2547
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "not configured for SPE instruction set"
-msgstr "PowerPC-Befehlssatz nicht verwenden"
+msgstr "Nicht für SPE-Befehlssatz konfiguriert"
 
 #: config/rs6000/rs6000.c:2553
 #, gcc-internal-format
@@ -23057,19 +23057,19 @@
 msgstr "-mcmodel unverträglich mit anderen TOC-Optionen"
 
 #: config/rs6000/e500.h:37
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "AltiVec and SPE instructions cannot coexist"
-msgstr "AltiVec- und E500-Befehle können nicht koexistieren"
+msgstr "AltiVec- und SPE-Befehle können nicht koexistieren"
 
 #: config/rs6000/e500.h:39
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "VSX and SPE instructions cannot coexist"
-msgstr "VSX- und E500-Befehle können nicht koexistieren"
+msgstr "VSX- und SPE-Befehle können nicht koexistieren"
 
 #: config/rs6000/e500.h:41
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "64-bit SPE not supported"
-msgstr "64-Bit-E500 wird nicht unterstützt"
+msgstr "64-Bit-SPE wird nicht unterstützt"
 
 #: config/rs6000/e500.h:43
 #, gcc-internal-format
@@ -23161,9 +23161,9 @@
 msgstr "unbekannte Steuerregisterzahl: %d - 'psw' wird verwendet"
 
 #: config/rx/rx.c:1350
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "multiple fast interrupt routines seen: %qE and %qE"
-msgstr "mehrere Interruptattribute sind nicht erlaubt"
+msgstr "mehrere schnelle Interruptroutinen gefunden: %qE und %qE"
 
 #: config/rx/rx.c:2452
 #, gcc-internal-format, gfc-internal-format
@@ -23255,63 +23255,63 @@
 msgid "%qs uses dynamic stack allocation"
 msgstr "%qs verwendet dynamische Stackanforderung"
 
-#: config/sh/sh.c:906
+#: config/sh/sh.c:903
 #, gcc-internal-format
 msgid "ignoring -fschedule-insns because of exception handling bug"
 msgstr "-fschedule-insns wird wegen Ausnahmebehandlungsfehler ignoriert"
 
-#: config/sh/sh.c:923
+#: config/sh/sh.c:920
 #, gcc-internal-format
 msgid "unwind tables currently require either a frame pointer or -maccumulate-outgoing-args for correctness"
 msgstr "Abwicklungstabellen erfordern derzeit entweder einen Rahmenzeiger oder -maccumulate-outgoing-args für Korrektheit"
 
-#: config/sh/sh.c:8284
+#: config/sh/sh.c:8281
 #, gcc-internal-format
 msgid "__builtin_saveregs not supported by this subtarget"
 msgstr "__builtin_saveregs wird für dieses Teilziel nicht unterstützt"
 
-#: config/sh/sh.c:9439
+#: config/sh/sh.c:9436
 #, gcc-internal-format
 msgid "%qE attribute only applies to interrupt functions"
 msgstr "Attribut %qE bezieht sich nur auf Interruptfunktionen"
 
-#: config/sh/sh.c:9509
+#: config/sh/sh.c:9506
 #, gcc-internal-format
 msgid "%qE attribute is supported only for SH2A"
 msgstr "Attribut %qE wird nur auf SH2A unterstützt"
 
-#: config/sh/sh.c:9539
+#: config/sh/sh.c:9536
 #, gcc-internal-format
 msgid "attribute interrupt_handler is not compatible with -m5-compact"
 msgstr "Attribut interrupt_handler ist mit -m5-compact unverträglich"
 
-#: config/sh/sh.c:9556
+#: config/sh/sh.c:9553
 #, gcc-internal-format
 msgid "%qE attribute only applies to SH2A"
 msgstr "Attribut %qE gilt nur für SH2A"
 
-#: config/sh/sh.c:9578
+#: config/sh/sh.c:9575
 #, gcc-internal-format
 msgid "%qE attribute argument should be between 0 to 255"
 msgstr "Argument des Attributs %qE sollte zwischen 0 und 255 sein"
 
 #. The argument must be a constant string.
-#: config/sh/sh.c:9651
+#: config/sh/sh.c:9648
 #, gcc-internal-format
 msgid "%qE attribute argument not a string constant"
 msgstr "Argument des Attributs %qE ist keine Zeichenkettenkonstante"
 
-#: config/sh/sh.c:12341
+#: config/sh/sh.c:12338
 #, gcc-internal-format
 msgid "r0 needs to be available as a call-clobbered register"
 msgstr "r0 muss als aufrufzerstörtes Register verfügbar sein"
 
-#: config/sh/sh.c:12362
+#: config/sh/sh.c:12359
 #, gcc-internal-format
 msgid "need a second call-clobbered general purpose register"
 msgstr "ein zweites aufrufzerstörtes Mehrzweckregister wird benötigt"
 
-#: config/sh/sh.c:12370
+#: config/sh/sh.c:12367
 #, gcc-internal-format
 msgid "need a call-clobbered target register"
 msgstr "aufrufzerstörtes Zielregister erforderlich"
@@ -23624,14 +23624,14 @@
 msgstr "falsch geformtes »#pragma __extern_prefix«, ignoriert"
 
 #: config/vms/vms-c.c:312 config/vms/vms-c.c:332
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "malformed %<#pragma %s%>, ignoring"
 msgstr "falsch geformtes %<#pragma %s%>, ignoriert"
 
 #: config/vms/vms-c.c:328
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "invalid constant in %<#pragma %s%>"
-msgstr "ungültige Konstante in %<#pragma pack%> - ignoriert"
+msgstr "ungültige Konstante in %<#pragma %s%>"
 
 #: config/xtensa/xtensa.c:2178
 #, gcc-internal-format
@@ -23656,7 +23656,7 @@
 #: ada/gcc-interface/decl.c:2249 ada/gcc-interface/decl.c:2964
 #, gcc-internal-format
 msgid "non-default Scalar_Storage_Order"
-msgstr ""
+msgstr "Nicht-Standard Scalar_Storage_Order"
 
 #: ada/gcc-interface/misc.c:139
 #, gcc-internal-format
@@ -24046,7 +24046,7 @@
 msgstr "Marke %qD hier definiert"
 
 #: c/c-decl.c:3111 c/c-decl.c:3383 c/c-typeck.c:6979 cp/class.c:1339
-#: cp/class.c:2928
+#: cp/class.c:2932
 #, gcc-internal-format
 msgid "%qD declared here"
 msgstr "%qD hier deklariert"
@@ -24214,7 +24214,7 @@
 msgid "variable %qD has initializer but incomplete type"
 msgstr "Variable %qD hat Initialisierung, aber unvollständigen Typ"
 
-#: c/c-decl.c:4150 cp/decl.c:4529 cp/decl.c:12970
+#: c/c-decl.c:4150 cp/decl.c:4529 cp/decl.c:12961
 #, gcc-internal-format
 msgid "inline function %q+D given attribute noinline"
 msgstr "inline-Funktion %q+D wurde das Attribut »noinline« gegeben"
@@ -24349,7 +24349,7 @@
 msgid "variable length array %qE is used"
 msgstr "Feld %qE variabler Größe wird verwendet"
 
-#: c/c-decl.c:4857 cp/decl.c:8274
+#: c/c-decl.c:4857 cp/decl.c:8277
 #, gcc-internal-format
 msgid "variable length array is used"
 msgstr "Feld variabler Größe wird verwendet"
@@ -24434,7 +24434,7 @@
 msgid "storage class specified for unnamed parameter"
 msgstr "Speicherklasse für unbenannten Parameter angegeben"
 
-#: c/c-decl.c:5143 cp/decl.c:9283
+#: c/c-decl.c:5143 cp/decl.c:9279
 #, gcc-internal-format
 msgid "storage class specified for typename"
 msgstr "Speicherklasse für Typnamen angegeben"
@@ -24583,7 +24583,7 @@
 msgid "function definition has qualified void return type"
 msgstr "Funktionsdefinition hat qualifizierten void-Rückgabetypen"
 
-#: c/c-decl.c:5635 cp/decl.c:9411
+#: c/c-decl.c:5635 cp/decl.c:9407
 #, gcc-internal-format
 msgid "type qualifiers ignored on function return type"
 msgstr "Typkennzeichner an Funktions-Rückgabewert ignoriert"
@@ -24694,7 +24694,7 @@
 msgid "a member of a structure or union cannot have a variably modified type"
 msgstr "Ein Element einer Struktur oder Union kann nicht variabel modifizierten Typ haben"
 
-#: c/c-decl.c:5915 cp/decl.c:8516
+#: c/c-decl.c:5915 cp/decl.c:8519
 #, gcc-internal-format
 msgid "variable or field %qE declared void"
 msgstr "Variable oder Feld %qE als »void« deklariert"
@@ -25117,7 +25117,7 @@
 msgid "argument %qD doesn%'t match prototype"
 msgstr "Argument %qD passt nicht zum Prototypen"
 
-#: c/c-decl.c:8396 cp/decl.c:13848
+#: c/c-decl.c:8396 cp/decl.c:13839
 #, gcc-internal-format
 msgid "no return statement in function returning non-void"
 msgstr "keine return-Anweisung in nicht void zurückgebender Funktion"
@@ -25185,7 +25185,7 @@
 msgid "two or more data types in declaration specifiers"
 msgstr "zwei oder mehr Datentypen in Deklaration"
 
-#: c/c-decl.c:8924 cp/parser.c:22803
+#: c/c-decl.c:8924 cp/parser.c:22807
 #, gcc-internal-format
 msgid "%<long long long%> is too long for GCC"
 msgstr "%<long long long%> ist für GCC zu lang"
@@ -25315,7 +25315,7 @@
 msgid "unknown type name %qE"
 msgstr "unbekannter Typname: %qE"
 
-#: c/c-parser.c:1484 c/c-parser.c:8618 cp/parser.c:28127
+#: c/c-parser.c:1484 c/c-parser.c:8618 cp/parser.c:28131
 #, gcc-internal-format
 msgid "expected declaration specifiers"
 msgstr "Deklarationsspezifizierer erwartet"
@@ -25325,7 +25325,7 @@
 msgid "expected %<;%>, identifier or %<(%>"
 msgstr "%<;%>, Bezeichner oder %<(%> erwartet"
 
-#: c/c-parser.c:1527 cp/parser.c:24553 cp/parser.c:24627
+#: c/c-parser.c:1527 cp/parser.c:24557 cp/parser.c:24631
 #, gcc-internal-format
 msgid "prefix attributes are ignored for methods"
 msgstr "Präfixattribute werden für Methoden ignoriert"
@@ -25373,7 +25373,7 @@
 msgid "ISO C90 does not support %<_Static_assert%>"
 msgstr "ISO-C90 unterstützt nicht %<_Static_assert%>"
 
-#: c/c-parser.c:1860 c/c-parser.c:3388 c/c-parser.c:8673 cp/parser.c:27998
+#: c/c-parser.c:1860 c/c-parser.c:3388 c/c-parser.c:8673 cp/parser.c:28002
 #, gcc-internal-format
 msgid "expected string literal"
 msgstr "Zeichenkettenliteral erwartet"
@@ -25405,13 +25405,13 @@
 #: c/c-parser.c:7409 c/c-parser.c:7417 c/c-parser.c:7446 c/c-parser.c:7459
 #: c/c-parser.c:7764 c/c-parser.c:7888 c/c-parser.c:8316 c/c-parser.c:8351
 #: c/c-parser.c:8404 c/c-parser.c:8457 c/c-parser.c:8473 c/c-parser.c:8519
-#: c/c-parser.c:8798 c/c-parser.c:9873 c/c-parser.c:10676 cp/parser.c:23013
-#: cp/parser.c:25397 cp/parser.c:25427 cp/parser.c:25497 cp/parser.c:27718
+#: c/c-parser.c:8798 c/c-parser.c:9873 c/c-parser.c:10676 cp/parser.c:23017
+#: cp/parser.c:25401 cp/parser.c:25431 cp/parser.c:25501 cp/parser.c:27722
 #, gcc-internal-format
 msgid "expected identifier"
 msgstr "Bezeichner erwartet"
 
-#: c/c-parser.c:2295 cp/parser.c:14837
+#: c/c-parser.c:2295 cp/parser.c:14839
 #, gcc-internal-format
 msgid "comma at end of enumerator list"
 msgstr "Komma am Ende der Aufzählungsliste"
@@ -25740,77 +25740,77 @@
 msgid "no type or storage class may be specified here,"
 msgstr "hier darf kein Typ oder Speicherklasse angegeben werden,"
 
-#: c/c-parser.c:8320 c/c-parser.c:8377 cp/parser.c:25457
+#: c/c-parser.c:8320 c/c-parser.c:8377 cp/parser.c:25461
 #, gcc-internal-format
 msgid "unknown property attribute"
 msgstr "unbekanntes Eigenschaftsattribut"
 
-#: c/c-parser.c:8341 cp/parser.c:25417
+#: c/c-parser.c:8341 cp/parser.c:25421
 #, gcc-internal-format
 msgid "missing %<=%> (after %<getter%> attribute)"
 msgstr "fehlendes %<=%> (hinter Attribut %<getter%>)"
 
-#: c/c-parser.c:8344 cp/parser.c:25420
+#: c/c-parser.c:8344 cp/parser.c:25424
 #, gcc-internal-format
 msgid "missing %<=%> (after %<setter%> attribute)"
 msgstr "fehlendes %<=%> (hinter Attribut %<setter%>)"
 
-#: c/c-parser.c:8358 cp/parser.c:25435
+#: c/c-parser.c:8358 cp/parser.c:25439
 #, gcc-internal-format
 msgid "the %<setter%> attribute may only be specified once"
 msgstr "das %<setter%>-Attribut darf nur einmal angegeben werden"
 
-#: c/c-parser.c:8363 cp/parser.c:25441
+#: c/c-parser.c:8363 cp/parser.c:25445
 #, gcc-internal-format
 msgid "setter name must terminate with %<:%>"
 msgstr "Setter-Name muss mit %<:%> beendet werden"
 
-#: c/c-parser.c:8370 cp/parser.c:25449
+#: c/c-parser.c:8370 cp/parser.c:25453
 #, gcc-internal-format
 msgid "the %<getter%> attribute may only be specified once"
 msgstr "das %<getter%>-Attribut darf nur einmal angegeben werden"
 
-#: c/c-parser.c:8556 cp/parser.c:28042
+#: c/c-parser.c:8556 cp/parser.c:28046
 #, gcc-internal-format
 msgid "%<#pragma omp barrier%> may only be used in compound statements"
 msgstr "%<#pragma omp barrier%> darf nur in Verbundanweisungen verwendet werden"
 
-#: c/c-parser.c:8567 cp/parser.c:28057
+#: c/c-parser.c:8567 cp/parser.c:28061
 #, gcc-internal-format
 msgid "%<#pragma omp flush%> may only be used in compound statements"
 msgstr "%<#pragma omp flush%> darf nur in Verbundanweisungen verwendet werden"
 
-#: c/c-parser.c:8578 cp/parser.c:28073
+#: c/c-parser.c:8578 cp/parser.c:28077
 #, gcc-internal-format
 msgid "%<#pragma omp taskwait%> may only be used in compound statements"
 msgstr "%<#pragma omp taskwait%> darf nur in Verbundanweisungen verwendet werden"
 
-#: c/c-parser.c:8589 cp/parser.c:28089
+#: c/c-parser.c:8589 cp/parser.c:28093
 #, gcc-internal-format
 msgid "%<#pragma omp taskyield%> may only be used in compound statements"
 msgstr "%<#pragma omp taskyield%> darf nur in Verbundanweisungen verwendet werden"
 
-#: c/c-parser.c:8602 cp/parser.c:28117
+#: c/c-parser.c:8602 cp/parser.c:28121
 #, gcc-internal-format
 msgid "%<#pragma omp section%> may only be used in %<#pragma omp sections%> construct"
 msgstr "%<#pragma omp section%> darf nur in %<#pragma omp sections%>-Konstrukt verwendet werden"
 
-#: c/c-parser.c:8608 cp/parser.c:28032
+#: c/c-parser.c:8608 cp/parser.c:28036
 #, gcc-internal-format
 msgid "%<#pragma GCC pch_preprocess%> must be first"
 msgstr "%<#pragma GCC pch_preprocess%> muss zuerst kommen"
 
-#: c/c-parser.c:8773 cp/parser.c:25705
+#: c/c-parser.c:8773 cp/parser.c:25709
 #, gcc-internal-format
 msgid "too many %qs clauses"
 msgstr "zu viele %qs-Klauseln"
 
-#: c/c-parser.c:8875 cp/parser.c:25820
+#: c/c-parser.c:8875 cp/parser.c:25824
 #, gcc-internal-format
 msgid "collapse argument needs positive constant integer expression"
 msgstr "Collapse-Argument erfordert positiven konstanten Ganzzahlausdruck"
 
-#: c/c-parser.c:8941 cp/parser.c:25871
+#: c/c-parser.c:8941 cp/parser.c:25875
 #, gcc-internal-format
 msgid "expected %<none%> or %<shared%>"
 msgstr "%<none%> oder %<shared%> erwartet"
@@ -25825,42 +25825,42 @@
 msgid "%<num_threads%> value must be positive"
 msgstr "Wert von %<num_threads%> muss positiv sein"
 
-#: c/c-parser.c:9192 cp/parser.c:26090
+#: c/c-parser.c:9192 cp/parser.c:26094
 #, gcc-internal-format
 msgid "expected %<+%>, %<*%>, %<-%>, %<&%>, %<^%>, %<|%>, %<&&%>, %<||%>, %<min%> or %<max%>"
 msgstr "%<+%>, %<*%>, %<-%>, %<&%>, %<^%>, %<|%>, %<&&%>, %<||%>, %<min%> oder %<max%> erwartet"
 
-#: c/c-parser.c:9281 cp/parser.c:26175
+#: c/c-parser.c:9281 cp/parser.c:26179
 #, gcc-internal-format
 msgid "schedule %<runtime%> does not take a %<chunk_size%> parameter"
 msgstr "Ablauf %<runtime%> akzeptiert keinen Parameter %<chunk_size%>"
 
-#: c/c-parser.c:9285 cp/parser.c:26178
+#: c/c-parser.c:9285 cp/parser.c:26182
 #, gcc-internal-format
 msgid "schedule %<auto%> does not take a %<chunk_size%> parameter"
 msgstr "Ablauf %<auto%> akzeptiert keinen Parameter %<chunk_size%>"
 
-#: c/c-parser.c:9303 cp/parser.c:26194
+#: c/c-parser.c:9303 cp/parser.c:26198
 #, gcc-internal-format
 msgid "invalid schedule kind"
 msgstr "ungültige Ablaufart"
 
-#: c/c-parser.c:9431 cp/parser.c:26326
+#: c/c-parser.c:9431 cp/parser.c:26330
 #, gcc-internal-format
 msgid "expected %<#pragma omp%> clause"
 msgstr "Klausel %<#pragma omp%> erwartet"
 
-#: c/c-parser.c:9440 cp/parser.c:26335
+#: c/c-parser.c:9440 cp/parser.c:26339
 #, gcc-internal-format
 msgid "%qs is not valid for %qs"
 msgstr "%qs ist für %qs ungültig"
 
-#: c/c-parser.c:9732 cp/parser.c:26619
+#: c/c-parser.c:9732 cp/parser.c:26623
 #, gcc-internal-format
 msgid "invalid form of %<#pragma omp atomic%>"
 msgstr "ungültige Form von %<#pragma omp atomic%>"
 
-#: c/c-parser.c:9772 c/c-parser.c:9790 cp/parser.c:26650 cp/parser.c:26667
+#: c/c-parser.c:9772 c/c-parser.c:9790 cp/parser.c:26654 cp/parser.c:26671
 #, gcc-internal-format
 msgid "invalid operator for %<#pragma omp atomic%>"
 msgstr "ungültiger Operator für %<#pragma omp atomic%>"
@@ -25870,7 +25870,7 @@
 msgid "expected %<(%> or end of line"
 msgstr "%<(%> oder Zeilenende erwartet"
 
-#: c/c-parser.c:9932 cp/parser.c:26939
+#: c/c-parser.c:9932 cp/parser.c:26943
 #, gcc-internal-format
 msgid "for statement expected"
 msgstr "für Anweisung erwartet"
@@ -25885,12 +25885,12 @@
 msgid "not enough perfectly nested loops"
 msgstr "nicht genügend perfekt geschachtelte Schleifen"
 
-#: c/c-parser.c:10119 cp/parser.c:27284
+#: c/c-parser.c:10119 cp/parser.c:27288
 #, gcc-internal-format
 msgid "collapsed loops not perfectly nested"
 msgstr "zusammengelegte Schleifen sind nicht perfekt geschachtelt"
 
-#: c/c-parser.c:10157 cp/parser.c:27125 cp/parser.c:27163 cp/pt.c:12692
+#: c/c-parser.c:10157 cp/parser.c:27129 cp/parser.c:27167 cp/pt.c:12687
 #, gcc-internal-format
 msgid "iteration variable %qD should not be firstprivate"
 msgstr "Schleifenvariable %qD sollte nicht »firstprivate« sein"
@@ -25915,27 +25915,27 @@
 msgid "%<threadprivate%> %qE has incomplete type"
 msgstr "%<threadprivate%> %qE hat unvollständigen Typen"
 
-#: c/c-parser.c:10823 cp/parser.c:27928
+#: c/c-parser.c:10823 cp/parser.c:27932
 #, gcc-internal-format
 msgid "%<__transaction_cancel%> without transactional memory support enabled"
 msgstr "%<__transaction_cancel%> ohne eingeschaltete Unterstützung für transaktionsbasierten Speicher"
 
-#: c/c-parser.c:10829 cp/parser.c:27934
+#: c/c-parser.c:10829 cp/parser.c:27938
 #, gcc-internal-format
 msgid "%<__transaction_cancel%> within a %<__transaction_relaxed%>"
 msgstr "%<__transaction_cancel%> innerhalb eines %<__transaction_relaxed%>"
 
-#: c/c-parser.c:10838 cp/parser.c:27943
+#: c/c-parser.c:10838 cp/parser.c:27947
 #, gcc-internal-format
 msgid "outer %<__transaction_cancel%> not within outer %<__transaction_atomic%>"
 msgstr "äußeres %<__transaction_cancel%> nicht innerhalb des äußeren %<__transaction_atomic%>"
 
-#: c/c-parser.c:10840 cp/parser.c:27946
+#: c/c-parser.c:10840 cp/parser.c:27950
 #, gcc-internal-format
 msgid "  or a %<transaction_may_cancel_outer%> function"
 msgstr "  oder einer %<transaction_may_cancel_outer%>-Funktion"
 
-#: c/c-parser.c:10846 cp/parser.c:27952
+#: c/c-parser.c:10846 cp/parser.c:27956
 #, gcc-internal-format
 msgid "%<__transaction_cancel%> not within %<__transaction_atomic%>"
 msgstr "%<__transaction_cancel%> nicht innerhalb von %<__transaction_atomic%>"
@@ -26077,19 +26077,19 @@
 msgstr "hier deklariert"
 
 #: c/c-typeck.c:2746
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "called object %qE is not a function or function pointer"
-msgstr "gerufenes Objekt %qE ist keine Funktion"
+msgstr "gerufenes Objekt %qE ist keine Funktion oder Funktionszeiger"
 
 #: c/c-typeck.c:2751
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "called object %qD is not a function or function pointer"
-msgstr "gerufenes Objekt %qE ist keine Funktion"
+msgstr "gerufenes Objekt %qD ist keine Funktion oder Funktionszeiger"
 
 #: c/c-typeck.c:2757
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "called object is not a function or function pointer"
-msgstr "gerufenes Objekt %qE ist keine Funktion"
+msgstr "gerufenes Objekt ist keine Funktion oder Funktionszeiger"
 
 #. This situation leads to run-time undefined behavior.  We can't,
 #. therefore, simply error unless we can prove that all possible
@@ -26730,9 +26730,9 @@
 msgstr "Initialisierung eines flexiblen Feld-Elements in geschachteltem Kontext"
 
 #: c/c-typeck.c:6975
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "missing initializer for field %qD of %qT"
-msgstr "Initialisierung für Element %qD fehlt"
+msgstr "fehlende Initialisierung für Feld %qD von %qT fehlt"
 
 #: c/c-typeck.c:7000
 #, gcc-internal-format
@@ -27177,79 +27177,79 @@
 msgstr "Aufruf von %<(%T) (%A)%> ist nicht eindeutig"
 
 #: cp/call.c:4177
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "ambiguous overload for "
-msgstr "mehrdeutiges Überladen für %qs in %<%s %E%>"
+msgstr "mehrdeutiges Überladen für "
 
 #: cp/call.c:4178
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "no match for "
-msgstr "keine Übereinstimmung für %qs in %<%s %E%>"
+msgstr "keine Übereinstimmung für "
 
 #: cp/call.c:4181
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid " (operand types are %qT, %qT, and %qT)"
-msgstr "Ungültige Operanden für binäres %s (haben %qT und %qT)"
+msgstr " (Operandentypen sind %qT, %qT und %qT)"
 
 #: cp/call.c:4183
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid " (operand types are %qT and %qT)"
-msgstr "Ungültige Operanden für binäres %s (haben %qT und %qT)"
+msgstr " (Operandentypen sind %qT und %qT)"
 
 #: cp/call.c:4185
 #, gcc-internal-format
 msgid " (operand type is %qT)"
-msgstr ""
+msgstr " (Operandentyp ist %qT)"
 
 #: cp/call.c:4205
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "ternary %<operator?:%>"
-msgstr "%<operator%> erwartet"
+msgstr "ternärer %<operator?:%>"
 
 #: cp/call.c:4209
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "ternary %<operator?:%> in %<%E ? %E : %E%>"
-msgstr "keine Übereinstimmung für ternären %<operator?:%> in %<%E ? %E : %E%>"
+msgstr "ternärer %<operator?:%> in %<%E ? %E : %E%>"
 
 #: cp/call.c:4218 cp/call.c:4249 cp/call.c:4258
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%<operator%s%>"
-msgstr "%<operator%> erwartet"
+msgstr "%<operator%s%>"
 
 #: cp/call.c:4221
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%<operator%s%> in %<%E%s%>"
-msgstr "keine Übereinstimmung für %<operator%s%> in %<%E%s%>"
+msgstr "%<operator%s%> in %<%E%s%>"
 
 #: cp/call.c:4228
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%<operator[]%>"
-msgstr "%<operator%> erwartet"
+msgstr "%<operator[]%>"
 
 #: cp/call.c:4231
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%<operator[]%> in %<%E[%E]%>"
-msgstr "keine Übereinstimmung für %<operator[]%> in %<%E[%E]%>"
+msgstr "%<operator[]%> in %<%E[%E]%>"
 
 #: cp/call.c:4239
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%qs"
-msgstr "%s"
+msgstr "%qs"
 
 #: cp/call.c:4242
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%qs in %<%s %E%>"
-msgstr "keine Übereinstimmung für %qs in %<%s %E%>"
+msgstr "%qs in %<%s %E%>"
 
 #: cp/call.c:4252
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%<operator%s%> in %<%E %s %E%>"
-msgstr "keine Übereinstimmung für %<operator%s%> in %<%E %s %E%>"
+msgstr "%<operator%s%> in %<%E %s %E%>"
 
 #: cp/call.c:4261
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%<operator%s%> in %<%s%E%>"
-msgstr "keine Übereinstimmung für %<operator%s%> in %<%s%E%>"
+msgstr "%<operator%s%> in %<%s%E%>"
 
 #: cp/call.c:4359
 #, gcc-internal-format
@@ -27259,12 +27259,12 @@
 #: cp/call.c:4392
 #, gcc-internal-format
 msgid "at least one operand of a vector conditional operator must be a vector"
-msgstr ""
+msgstr "mindestens ein Operand eines Vektor-Bedingungsoperators muss ein Vektor sein"
 
 #: cp/call.c:4433
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "incompatible vector types in conditional expression: %qT, %qT and %qT"
-msgstr "Aufzählungsfehler in bedingtem Ausdruck: %qT vs. %qT"
+msgstr "unverträgliche Vektortypen in bedingtem Ausdruck: %qT, %qT und %qT"
 
 #: cp/call.c:4520
 #, gcc-internal-format
@@ -27448,9 +27448,9 @@
 msgstr "Argument des Funktionsaufrufs könnte Kandidat für Formatattribut sein"
 
 #: cp/call.c:6526
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "use of multiversioned function without a default"
-msgstr "vorgegebene Funktion %q+D mit Standardargument"
+msgstr "Verwendung einer multiversionierten Funktion ohne Standardargument"
 
 #: cp/call.c:6745
 #, gcc-internal-format
@@ -27477,107 +27477,107 @@
 msgid "  (you can disable this with -fno-deduce-init-list)"
 msgstr "  (dies kann mit -fno-deduce-init-list abgeschaltet werden)"
 
-#: cp/call.c:7153
+#: cp/call.c:7156
 #, gcc-internal-format
 msgid "could not find class$ field in java interface type %qT"
 msgstr "class$-Feld konnte nicht im Java-Schnittstellentyp %qT gefunden werden"
 
-#: cp/call.c:7414
+#: cp/call.c:7417
 #, gcc-internal-format
 msgid "call to non-function %qD"
 msgstr "Aufruf der Nicht-Funktion %qD"
 
-#: cp/call.c:7459 cp/typeck.c:2680
+#: cp/call.c:7462 cp/typeck.c:2680
 #, gcc-internal-format
 msgid "cannot call constructor %<%T::%D%> directly"
 msgstr "Konstruktor %<%T::%D%> kann nicht direkt aufgerufen werden"
 
-#: cp/call.c:7461
+#: cp/call.c:7464
 #, gcc-internal-format
 msgid "  for a function-style cast, remove the redundant %<::%D%>"
 msgstr "  für Umwandlung im Funktions-Stil muss das überflüssige %<::%D%> entfernt werden"
 
-#: cp/call.c:7578
+#: cp/call.c:7581
 #, gcc-internal-format
 msgid "no matching function for call to %<%T::operator %T(%A)%#V%>"
 msgstr "keine passende Funktion für Aufruf von %<%T::operator %T(%A)%#V%>"
 
-#: cp/call.c:7591
+#: cp/call.c:7594
 #, gcc-internal-format
 msgid "no matching function for call to %<%T::%s(%A)%#V%>"
 msgstr "keine passende Funktion für Aufruf von %<%T::%s(%A)%#V%>"
 
-#: cp/call.c:7616
+#: cp/call.c:7619
 #, gcc-internal-format
 msgid "call of overloaded %<%s(%A)%> is ambiguous"
 msgstr "Aufruf des überladenen %<%s(%A)%> ist mehrdeutig"
 
-#: cp/call.c:7645
+#: cp/call.c:7661
 #, gcc-internal-format
 msgid "cannot call member function %qD without object"
 msgstr "Elementfunktion %qD kann nicht ohne Objekt aufgerufen werden"
 
-#: cp/call.c:8410
+#: cp/call.c:8428
 #, gcc-internal-format
 msgid "passing %qT chooses %qT over %qT"
 msgstr "Übergabe von %qT wählt %qT statt %qT"
 
-#: cp/call.c:8412 cp/name-lookup.c:5552
+#: cp/call.c:8430 cp/name-lookup.c:5547
 #, gcc-internal-format
 msgid "  in call to %qD"
 msgstr "  in Aufruf von %qD"
 
-#: cp/call.c:8470
+#: cp/call.c:8488
 #, gcc-internal-format
 msgid "choosing %qD over %qD"
 msgstr "Wahl von %qD statt %qD"
 
-#: cp/call.c:8471
+#: cp/call.c:8489
 #, gcc-internal-format
 msgid "  for conversion from %qT to %qT"
 msgstr "  für Umwandlung von %qT in %qT"
 
-#: cp/call.c:8474
+#: cp/call.c:8492
 #, gcc-internal-format
 msgid "  because conversion sequence for the argument is better"
 msgstr "  denn die Umwandlungsfolge für das Argument ist besser"
 
-#: cp/call.c:8628
+#: cp/call.c:8646
 #, gcc-internal-format
 msgid "default argument mismatch in overload resolution"
 msgstr "Zuordnungsfehler der Standardargumente in Überladungsauflösung"
 
-#: cp/call.c:8631
+#: cp/call.c:8649
 #, gcc-internal-format
 msgid " candidate 1: %q+#F"
 msgstr " Kandidat 1: %q+#F"
 
-#: cp/call.c:8633
+#: cp/call.c:8651
 #, gcc-internal-format
 msgid " candidate 2: %q+#F"
 msgstr " Kandidat 2: %q+#F"
 
-#: cp/call.c:8677
+#: cp/call.c:8695
 #, gcc-internal-format
 msgid "ISO C++ says that these are ambiguous, even though the worst conversion for the first is better than the worst conversion for the second:"
 msgstr "ISO C++ besagt, dass diese mehrdeutig sind, auch wenn die schlechteste Umwandlung für das erste besser ist als die schlechteste Umwandlung für das zweite:"
 
-#: cp/call.c:8841
+#: cp/call.c:8859
 #, gcc-internal-format
 msgid "could not convert %qE from %qT to %qT"
 msgstr "%qE konnte nicht von %qT nach %qT umgewandelt werden"
 
-#: cp/call.c:9034
+#: cp/call.c:9052
 #, gcc-internal-format
 msgid "a temporary bound to %qD only persists until the constructor exits"
 msgstr "eine vorübergehende Bindung an %qD besteht nur, bis der Konstruktor beendet ist"
 
-#: cp/call.c:9150
+#: cp/call.c:9168
 #, gcc-internal-format
 msgid "invalid initialization of non-const reference of type %qT from an rvalue of type %qT"
 msgstr "ungültige Initialisierung einer nicht-konstanten Referenz des Typs %qT von R-Wert des Typs %qT"
 
-#: cp/call.c:9154
+#: cp/call.c:9172
 #, gcc-internal-format
 msgid "invalid initialization of reference of type %qT from expression of type %qT"
 msgstr "ungültige Initialisierung einer Referenz des Typs %qT von Ausdruck des Typs %qT"
@@ -27598,14 +27598,14 @@
 msgstr "Java-Klasse %qT kann keinen impliziten nicht-trivialen Destruktor haben"
 
 #: cp/class.c:1120
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%q#D inherited from %qT"
-msgstr " %qT ist nicht vom Typ %qT abgeleitet"
+msgstr "%q#D von %qT geerbt"
 
 #: cp/class.c:1123
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "conflicts with version inherited from %qT"
-msgstr "in Konflikt mit vorheriger Deklaration hier"
+msgstr "in Konflikt mit von %qT geerbter Version"
 
 #: cp/class.c:1137
 #, gcc-internal-format
@@ -27645,17 +27645,17 @@
 #: cp/class.c:1329
 #, gcc-internal-format
 msgid "%qT does not have the %E abi tag that base %qT has"
-msgstr ""
+msgstr "%qT hat nicht die %E-ABI-Marke, die die Basis %qT hat"
 
 #: cp/class.c:1331 cp/class.c:1341
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%qT declared here"
-msgstr "%qD hier deklariert"
+msgstr "%qT hier deklariert"
 
 #: cp/class.c:1336
 #, gcc-internal-format
 msgid "%qT does not have the %E abi tag that %qT (used in the type of %qD) has"
-msgstr ""
+msgstr "%qT hat nicht das ABI-Tag %E, das %qT (im Typ on %qD verwendet) hat"
 
 #: cp/class.c:1413
 #, gcc-internal-format
@@ -27687,350 +27687,350 @@
 msgid "no unique final overrider for %qD in %qT"
 msgstr "%qD wurde nicht eindeutig und endgültig in %qT überschrieben"
 
-#: cp/class.c:2648
+#: cp/class.c:2652
 #, gcc-internal-format
 msgid "%q+#D marked final, but is not virtual"
 msgstr "%q+#D als »final« markiert, ist aber nicht »virtual«"
 
-#: cp/class.c:2650
+#: cp/class.c:2654
 #, gcc-internal-format
 msgid "%q+#D marked override, but does not override"
 msgstr "%q+#D als override markiert, überschreibt aber nicht"
 
 #. Here we know it is a hider, and no overrider exists.
-#: cp/class.c:2719
+#: cp/class.c:2723
 #, gcc-internal-format
 msgid "%q+D was hidden"
 msgstr "%q+D war versteckt"
 
-#: cp/class.c:2720
+#: cp/class.c:2724
 #, gcc-internal-format
 msgid "  by %q+D"
 msgstr "  von %q+D"
 
-#: cp/class.c:2763 cp/decl2.c:1365
+#: cp/class.c:2767 cp/decl2.c:1365
 #, gcc-internal-format
 msgid "%q+#D invalid; an anonymous union can only have non-static data members"
 msgstr "%q+#D ungültig; eine anonyme Union kann nur nicht-statische Datenelemente haben"
 
-#: cp/class.c:2766
+#: cp/class.c:2770
 #, gcc-internal-format
 msgid "%q+#D invalid; an anonymous struct can only have non-static data members"
 msgstr "%q+#D ungültig; eine anonyme struct kann nur nicht-statische Datenelemente haben"
 
-#: cp/class.c:2774 cp/decl2.c:1371
+#: cp/class.c:2778 cp/decl2.c:1371
 #, gcc-internal-format
 msgid "private member %q+#D in anonymous union"
 msgstr "privates Element %q+#D in anonymer Union"
 
-#: cp/class.c:2776
+#: cp/class.c:2780
 #, gcc-internal-format
 msgid "private member %q+#D in anonymous struct"
 msgstr "privates Element %q+#D in anonymer struct"
 
-#: cp/class.c:2781 cp/decl2.c:1373
+#: cp/class.c:2785 cp/decl2.c:1373
 #, gcc-internal-format
 msgid "protected member %q+#D in anonymous union"
 msgstr "geschütztes Element %q+#D in anonymer Union"
 
-#: cp/class.c:2783
+#: cp/class.c:2787
 #, gcc-internal-format
 msgid "protected member %q+#D in anonymous struct"
 msgstr "geschütztes Element %q+#D in anonymer struct"
 
-#: cp/class.c:2927
+#: cp/class.c:2931
 #, gcc-internal-format
 msgid "the ellipsis in %qD is not inherited"
-msgstr ""
+msgstr "die Auslassung in %qD wurde nicht vererbt"
 
-#: cp/class.c:3103
+#: cp/class.c:3106
 #, gcc-internal-format
 msgid "bit-field %q+#D with non-integral type"
 msgstr "Bit-Feld %q+#D mit Nicht-Ganzzahl-Typ"
 
-#: cp/class.c:3119
+#: cp/class.c:3122
 #, gcc-internal-format
 msgid "bit-field %q+D width not an integer constant"
 msgstr "Breite des Bitfeldes %q+D ist keine Ganzzahlkonstante"
 
-#: cp/class.c:3124
+#: cp/class.c:3127
 #, gcc-internal-format
 msgid "negative width in bit-field %q+D"
 msgstr "negative Breite in Bitfeld %q+D"
 
-#: cp/class.c:3129
+#: cp/class.c:3132
 #, gcc-internal-format
 msgid "zero width for bit-field %q+D"
 msgstr "Breite Null für Bitfeld %q+D"
 
-#: cp/class.c:3135
+#: cp/class.c:3138
 #, gcc-internal-format
 msgid "width of %q+D exceeds its type"
 msgstr "Breite von %q+D übersteigt seinen Typen"
 
-#: cp/class.c:3139
+#: cp/class.c:3142
 #, gcc-internal-format
 msgid "%q+D is too small to hold all values of %q#T"
 msgstr "%q+D ist zu klein um alle Werte von %q#T aufzunehmen"
 
-#: cp/class.c:3198
+#: cp/class.c:3201
 #, gcc-internal-format
 msgid "member %q+#D with constructor not allowed in union"
 msgstr "Element %q+#D mit Konstruktor nicht erlaubt in Union"
 
-#: cp/class.c:3201
+#: cp/class.c:3204
 #, gcc-internal-format
 msgid "member %q+#D with destructor not allowed in union"
 msgstr "Element %q+#D mit Destruktor nicht erlaubt in Union"
 
-#: cp/class.c:3203
+#: cp/class.c:3206
 #, gcc-internal-format
 msgid "member %q+#D with copy assignment operator not allowed in union"
 msgstr "Element %q+#D mit Copy-Zuweisungsoperator ist nicht erlaubt in Union"
 
-#: cp/class.c:3207
+#: cp/class.c:3210
 #, gcc-internal-format
 msgid "unrestricted unions only available with -std=c++11 or -std=gnu++11"
 msgstr "uneingeschränkte »Unions« nur mit -std=c++11 oder -std=gnu++11 verfügbar"
 
-#: cp/class.c:3244
+#: cp/class.c:3247
 #, gcc-internal-format
 msgid "multiple fields in union %qT initialized"
 msgstr "in Union %qT werden mehrere Felder initialisiert"
 
-#: cp/class.c:3329
+#: cp/class.c:3332
 #, gcc-internal-format
 msgid "%q+D may not be static because it is a member of a union"
 msgstr "%q+D kann nicht static sein, da es ein Union-Element ist"
 
-#: cp/class.c:3334
+#: cp/class.c:3337
 #, gcc-internal-format
 msgid "%q+D may not have reference type %qT because it is a member of a union"
 msgstr "%q+D darf keinen Referenztyp %qT haben, da es ein Element einer Union ist"
 
-#: cp/class.c:3345
+#: cp/class.c:3348
 #, gcc-internal-format
 msgid "field %q+D invalidly declared function type"
 msgstr "Feld %q+D deklarierte ungültigerweise einen Funktionstypen"
 
-#: cp/class.c:3351
+#: cp/class.c:3354
 #, gcc-internal-format
 msgid "field %q+D invalidly declared method type"
 msgstr "Feld %q+D deklarierte ungültigerweise einen Methodentypen"
 
-#: cp/class.c:3407
+#: cp/class.c:3410
 #, gcc-internal-format
 msgid "ignoring packed attribute because of unpacked non-POD field %q+#D"
 msgstr "»gepackt«-Attribut für ungepacktes nicht-POD-Feld %q+#D wird ignoriert"
 
-#: cp/class.c:3504
+#: cp/class.c:3507
 #, gcc-internal-format
 msgid "field %q+#D with same name as class"
 msgstr "Feld %q+#D mit gleichem Namen wie Klasse"
 
-#: cp/class.c:3527
+#: cp/class.c:3530
 #, gcc-internal-format
 msgid "%q#T has pointer data members"
 msgstr "%q#T hat Zeigertypen als Elemente"
 
-#: cp/class.c:3532
+#: cp/class.c:3535
 #, gcc-internal-format
 msgid "  but does not override %<%T(const %T&)%>"
 msgstr "  aber überschreibt nicht %<%T(const %T&)%>"
 
-#: cp/class.c:3534
+#: cp/class.c:3537
 #, gcc-internal-format
 msgid "  or %<operator=(const %T&)%>"
 msgstr "  oder %<operator=(const %T&)%>"
 
-#: cp/class.c:3538
+#: cp/class.c:3541
 #, gcc-internal-format
 msgid "  but does not override %<operator=(const %T&)%>"
 msgstr "  aber überschreibt nicht %<operator=(const %T&)%>"
 
-#: cp/class.c:4009
+#: cp/class.c:4012
 #, gcc-internal-format
 msgid "offset of empty base %qT may not be ABI-compliant and maychange in a future version of GCC"
 msgstr "Versatz der leeren Basis %qT könnte ABI-unverträglich sein und sich in zukünftigen GCC-Versionen ändern"
 
-#: cp/class.c:4136
+#: cp/class.c:4139
 #, gcc-internal-format
 msgid "class %qT will be considered nearly empty in a future version of GCC"
 msgstr "Klasse %qT wird in zukünftigen GCC-Versionen als annähernd leer betrachtet werden"
 
-#: cp/class.c:4218
+#: cp/class.c:4221
 #, gcc-internal-format
 msgid "initializer specified for non-virtual method %q+D"
 msgstr "Initialisierung für nicht-virtuelle Methode %q+D angegeben"
 
-#: cp/class.c:4645
+#: cp/class.c:4648
 #, gcc-internal-format
 msgid "method overrides both %<transaction_pure%> and %qE methods"
 msgstr "Methode überschreibt Methoden %<transaction_pure%> und %qE"
 
-#: cp/class.c:4666
+#: cp/class.c:4669
 #, gcc-internal-format
 msgid "method declared %qE overriding %qE method"
 msgstr "als %qE deklarierte Methode überschreibt Methode %qE"
 
-#: cp/class.c:5132 cp/semantics.c:5826
+#: cp/class.c:5135 cp/semantics.c:5828
 #, gcc-internal-format
 msgid "enclosing class of constexpr non-static member function %q+#D is not a literal type"
 msgstr "umschließende Klasse der nicht-statischen Elementfunktion %q+#D als konstanter Ausdruck ist kein Literaltyp"
 
-#: cp/class.c:5157
+#: cp/class.c:5160
 #, gcc-internal-format
 msgid "%q+T is not literal because:"
 msgstr "%q+T ist kein Literal, denn: "
 
-#: cp/class.c:5159
+#: cp/class.c:5162
 #, gcc-internal-format
 msgid "  %q+T has a non-trivial destructor"
 msgstr "  %q+T hat einen nicht-trivialen Destruktor"
 
-#: cp/class.c:5164
+#: cp/class.c:5167
 #, gcc-internal-format
 msgid "  %q+T is not an aggregate, does not have a trivial default constructor, and has no constexpr constructor that is not a copy or move constructor"
 msgstr " %q+T ist kein Aggregat, hat keinen trivialen Standardkonstruktor und hat keinen Konstruktor mit konstantem Ausdruck, der kein Kopier- oder Bewegungskonstruktor ist"
 
-#: cp/class.c:5200
+#: cp/class.c:5203
 #, gcc-internal-format
 msgid "  base class %qT of %q+T is non-literal"
 msgstr "  Basisklasse %qT von %q+T ist kein Literal"
 
-#: cp/class.c:5214
+#: cp/class.c:5217
 #, gcc-internal-format
 msgid "  non-static data member %q+D has non-literal type"
 msgstr "  nicht-statisches Datenelement %q+D hat nicht-literalen Typ"
 
-#: cp/class.c:5332
+#: cp/class.c:5335
 #, gcc-internal-format
 msgid "non-static reference %q+#D in class without a constructor"
 msgstr "nicht-statische Referenz %q+#D in Klasse ohne Konstruktor"
 
-#: cp/class.c:5337
+#: cp/class.c:5340
 #, gcc-internal-format
 msgid "non-static const member %q+#D in class without a constructor"
 msgstr "nicht-statisches const-Element %q+#D in Klasse ohne einen Konstruktor"
 
 #. If the function is defaulted outside the class, we just
 #. give the synthesis error.
-#: cp/class.c:5363
+#: cp/class.c:5366
 #, gcc-internal-format
 msgid "%q+D declared to take const reference, but implicit declaration would take non-const"
 msgstr "%q+D mit Eingabe einer konstanten Referenz deklariert, aber implizite Deklaration würde nicht-Konstante annehmen"
 
-#: cp/class.c:5587
+#: cp/class.c:5590
 #, gcc-internal-format
 msgid "offset of virtual base %qT is not ABI-compliant and may change in a future version of GCC"
 msgstr "Versatz der virtuellen Basis %qT ist ABI-unverträglich und kann sich in zukünftigen GCC-Versionen ändern"
 
-#: cp/class.c:5688
+#: cp/class.c:5691
 #, gcc-internal-format
 msgid "direct base %qT inaccessible in %qT due to ambiguity"
 msgstr "direkte Basis %qT ist in %qT durch Mehrdeutigkeit unzugänglich"
 
-#: cp/class.c:5700
+#: cp/class.c:5703
 #, gcc-internal-format
 msgid "virtual base %qT inaccessible in %qT due to ambiguity"
 msgstr "virtuelle Basis %qT ist in %qT durch Mehrdeutigkeit unzugänglich"
 
-#: cp/class.c:5886
+#: cp/class.c:5889
 #, gcc-internal-format
 msgid "size assigned to %qT may not be ABI-compliant and may change in a future version of GCC"
 msgstr "%qT zugewiesene Größe könnte ABI-unverträglich sein und sich in zukünftigen GCC-Versionen ändern"
 
-#: cp/class.c:5926
+#: cp/class.c:5929
 #, gcc-internal-format
 msgid "the offset of %qD may not be ABI-compliant and may change in a future version of GCC"
 msgstr "der Versatz von %qD könnte ABI-unverträglich sein und sich in einer zukünftigen GCC-Version ändern"
 
-#: cp/class.c:5954
+#: cp/class.c:5957
 #, gcc-internal-format
 msgid "offset of %q+D is not ABI-compliant and may change in a future version of GCC"
 msgstr "Versatz von %q+D ist ABI-unverträglich und kann sich in zukünftigen GCC-Versionen ändern"
 
-#: cp/class.c:5964
+#: cp/class.c:5967
 #, gcc-internal-format
 msgid "%q+D contains empty classes which may cause base classes to be placed at different locations in a future version of GCC"
 msgstr "%q+D enthält leere Klassen, die in zukünftigen GCC-Versionen die Basisklassen an andere Orte verschieben können"
 
-#: cp/class.c:6052
+#: cp/class.c:6055
 #, gcc-internal-format
 msgid "layout of classes derived from empty class %qT may change in a future version of GCC"
 msgstr "die Anordnung der von der leeren Klasse %qT abgeleiteten Klassen könnte sich in zukünftigen GCC-Versionen ändern"
 
-#: cp/class.c:6220 cp/decl.c:12134 cp/parser.c:18856
+#: cp/class.c:6223 cp/decl.c:12125 cp/parser.c:18860
 #, gcc-internal-format
 msgid "redefinition of %q#T"
 msgstr "Redefinition von %q#T"
 
-#: cp/class.c:6369
+#: cp/class.c:6372
 #, gcc-internal-format
 msgid "%q#T has virtual functions and accessible non-virtual destructor"
 msgstr "%q#T hat virtuelle Funktionen und erreichbaren nicht-virtuellen Destruktor"
 
-#: cp/class.c:6395
-#, fuzzy, gcc-internal-format
+#: cp/class.c:6398
+#, gcc-internal-format
 msgid "type transparent %q#T does not have any fields"
-msgstr "typtransparente Klasse %qT hat keine Felder"
+msgstr "typtransparentes %q#T hat keine Felder"
 
-#: cp/class.c:6401
+#: cp/class.c:6404
 #, gcc-internal-format
 msgid "type transparent class %qT has base classes"
 msgstr "typtransparente Klasse %qT hat Basisklassen"
 
-#: cp/class.c:6405
+#: cp/class.c:6408
 #, gcc-internal-format
 msgid "type transparent class %qT has virtual functions"
 msgstr "typtransparente Klasse %qT hat virtuelle Funktionen"
 
-#: cp/class.c:6411
+#: cp/class.c:6414
 #, gcc-internal-format
 msgid "type transparent %q#T cannot be made transparent because the type of the first field has a different ABI from the class overall"
-msgstr ""
+msgstr "typtransparentes %q#T kann nicht transparent gemacht werden, weil der Typ des ersten Feldes anderes ABI als gesamte Klasse hat"
 
-#: cp/class.c:6562
+#: cp/class.c:6565
 #, gcc-internal-format
 msgid "trying to finish struct, but kicked out due to previous parse errors"
 msgstr "Lesen der struct konnte wegen Syntaxfehlern nicht beendet werden"
 
-#: cp/class.c:7071
+#: cp/class.c:7074
 #, gcc-internal-format
 msgid "language string %<\"%E\"%> not recognized"
 msgstr "Sprachen-Zeichenkette %<\"%E\"%> nicht erkannt"
 
-#: cp/class.c:7160
+#: cp/class.c:7163
 #, gcc-internal-format
 msgid "cannot resolve overloaded function %qD based on conversion to type %qT"
 msgstr "überladene Funktion %qD konnte nicht durch Umwandlung in Typ %qT aufgelöst werden"
 
-#: cp/class.c:7280
+#: cp/class.c:7283
 #, gcc-internal-format
 msgid "no matches converting function %qD to type %q#T"
 msgstr "bei der Umwandlung der Funktion %qD in den Typ %q#T gab es keine Übereinstimmungen"
 
-#: cp/class.c:7308
+#: cp/class.c:7311
 #, gcc-internal-format
 msgid "converting overloaded function %qD to type %q#T is ambiguous"
 msgstr "Umwandung der überladenen Funktion %qD in den Typ %q#T ist mehrdeutig"
 
-#: cp/class.c:7335
+#: cp/class.c:7338
 #, gcc-internal-format
 msgid "assuming pointer to member %qD"
 msgstr "Zeiger auf Element %qD wird angenommen"
 
-#: cp/class.c:7338
+#: cp/class.c:7341
 #, gcc-internal-format
 msgid "(a pointer to member can only be formed with %<&%E%>)"
 msgstr "(ein Zeiger auf ein Element kann nur mit %<»&%E%> erzeugt werden)"
 
-#: cp/class.c:7413 cp/class.c:7447
+#: cp/class.c:7416 cp/class.c:7450
 #, gcc-internal-format
 msgid "not enough type information"
 msgstr "zu wenig Typinformationen"
 
-#: cp/class.c:7430 cp/cvt.c:173 cp/cvt.c:199 cp/cvt.c:248
+#: cp/class.c:7433 cp/cvt.c:173 cp/cvt.c:199 cp/cvt.c:248
 #, gcc-internal-format
 msgid "cannot convert %qE from type %qT to type %qT"
 msgstr "%qE kann nicht vom Typ %qT in den Typ %qT umgewandelt werden"
@@ -28040,12 +28040,12 @@
 #. A name N used in a class S shall refer to the same declaration
 #. in its context and when re-evaluated in the completed scope of
 #. S.
-#: cp/class.c:7742 cp/decl.c:1325
+#: cp/class.c:7745 cp/decl.c:1325
 #, gcc-internal-format
 msgid "declaration of %q#D"
 msgstr "Deklaration von %q#D"
 
-#: cp/class.c:7743
+#: cp/class.c:7746
 #, gcc-internal-format
 msgid "changes meaning of %qD from %q+#D"
 msgstr "verändert die Bedeutung von %qD von %q+#D"
@@ -28116,9 +28116,9 @@
 msgstr "%q#T verwendet, wo %qT erwartet wurde"
 
 #: cp/cvt.c:765
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "could not convert %qE from %<void%> to %<bool%>"
-msgstr "%qE konnte nicht von %qT nach %qT umgewandelt werden"
+msgstr "%qE konnte nicht von %<void%> nach %<bool%> umgewandelt werden"
 
 #: cp/cvt.c:816
 #, gcc-internal-format
@@ -28522,9 +28522,9 @@
 msgstr "vorherige Deklaration %q+#D hier"
 
 #: cp/decl.c:1533
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "ambiguates old declaration with deduced return type"
-msgstr "macht alte Deklaration %q+#D mehrdeutig"
+msgstr "macht alte Deklaration mit hergeleitetem Rückgabetyp mehrdeutig"
 
 #: cp/decl.c:1544
 #, gcc-internal-format
@@ -28888,14 +28888,14 @@
 msgstr "%<constexpr%> kann nicht für Typdeklarationen verwendet werden"
 
 #: cp/decl.c:4321
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "attribute ignored in explicit instantiation %q#T"
-msgstr "Attribute an Templateinstanziierung ignoriert"
+msgstr "Attribut in expliter Instanziierung %q#T ignoriert"
 
 #: cp/decl.c:4324
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "no attribute can be applied to an explicit instantiation"
-msgstr "Attribut %qE kann nur auf Klassendefinitionen angewendet werden"
+msgstr "auf explizite Instanziierung kann kein Attribut angewendet werden"
 
 #: cp/decl.c:4396
 #, gcc-internal-format
@@ -29067,9 +29067,9 @@
 msgstr "%qT hat kein nicht-statisches Datenelement namens %qD"
 
 #: cp/decl.c:5226
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "invalid initializer for %q#D"
-msgstr "ungültige Initialisierung für Feldelement %q#D"
+msgstr "ungültige Initialisierung für %q#D"
 
 #: cp/decl.c:5256
 #, gcc-internal-format
@@ -29172,233 +29172,233 @@
 msgid "function %q#D is initialized like a variable"
 msgstr "Funktion %q#D ist wie eine Variable initialisiert"
 
-#: cp/decl.c:6883
+#: cp/decl.c:6886
 #, gcc-internal-format
 msgid "non-local variable %qD declared %<__thread%> needs dynamic initialization"
-msgstr ""
+msgstr "nicht-lokale %<__thread%>-Variable %qD erfordert dynamische Initialisierung"
 
-#: cp/decl.c:6886
-#, fuzzy, gcc-internal-format
+#: cp/decl.c:6889
+#, gcc-internal-format
 msgid "non-local variable %qD declared %<__thread%> has a non-trivial destructor"
-msgstr "  %q+T hat einen nicht-trivialen Destruktor"
+msgstr "nicht-lokale %<__thread%>-Variable %qD hat einen nicht-trivialen Destruktor"
 
-#: cp/decl.c:6892
+#: cp/decl.c:6895
 #, gcc-internal-format
 msgid "C++11 %<thread_local%> allows dynamic initialization and destruction"
-msgstr ""
+msgstr "%<thread_local%> in C++11 erlaubt dynamische Initialisierung und Zerstörung"
 
-#: cp/decl.c:7119
+#: cp/decl.c:7122
 #, gcc-internal-format
 msgid "initializer fails to determine size of %qT"
 msgstr "Initialisierung gibt nicht die Größe von %qT an"
 
-#: cp/decl.c:7123
+#: cp/decl.c:7126
 #, gcc-internal-format
 msgid "array size missing in %qT"
 msgstr "Feldgröße fehlt in %qT"
 
-#: cp/decl.c:7126
+#: cp/decl.c:7129
 #, gcc-internal-format
 msgid "zero-size array %qT"
 msgstr "Feld %qT der Größe null"
 
-#: cp/decl.c:7142
+#: cp/decl.c:7145
 #, gcc-internal-format
 msgid "destructor for alien class %qT cannot be a member"
 msgstr "Destruktor für fremde Klasse %qT kann kein Element sein"
 
-#: cp/decl.c:7144
+#: cp/decl.c:7147
 #, gcc-internal-format
 msgid "constructor for alien class %qT cannot be a member"
 msgstr "Konstruktor für fremde Klasse %qT kann kein Element sein"
 
-#: cp/decl.c:7168
+#: cp/decl.c:7171
 #, gcc-internal-format
 msgid "%qD declared as a %<virtual%> variable"
 msgstr "%qD als eine %<virtual%> Variable deklariert"
 
-#: cp/decl.c:7170
+#: cp/decl.c:7173
 #, gcc-internal-format
 msgid "%qD declared as an %<inline%> variable"
 msgstr "%qD als eine %<inline%> Variable deklariert"
 
-#: cp/decl.c:7172
+#: cp/decl.c:7175
 #, gcc-internal-format
 msgid "%<const%> and %<volatile%> function specifiers on %qD invalid in variable declaration"
 msgstr "Funktionsspezifizierer %<const%> und %<volatile%> an %qD ungültig in Variablendeklaration"
 
-#: cp/decl.c:7177
+#: cp/decl.c:7180
 #, gcc-internal-format
 msgid "%qD declared as a %<virtual%> parameter"
 msgstr "%qD als ein %<virtual%> Parameter deklariert"
 
-#: cp/decl.c:7179
+#: cp/decl.c:7182
 #, gcc-internal-format
 msgid "%qD declared as an %<inline%> parameter"
 msgstr "%qD als ein %<inline%> Parameter deklariert"
 
-#: cp/decl.c:7181
+#: cp/decl.c:7184
 #, gcc-internal-format
 msgid "%<const%> and %<volatile%> function specifiers on %qD invalid in parameter declaration"
 msgstr "Funktionsspezifizierer %<const%> und %<volatile%> an %qD ungültig in Parameterdeklaration"
 
-#: cp/decl.c:7186
+#: cp/decl.c:7189
 #, gcc-internal-format
 msgid "%qD declared as a %<virtual%> type"
 msgstr "%qD als ein %<virtual%> Typ deklariert"
 
-#: cp/decl.c:7188
+#: cp/decl.c:7191
 #, gcc-internal-format
 msgid "%qD declared as an %<inline%> type"
 msgstr "%qD als ein %<inline%> Typ deklariert"
 
-#: cp/decl.c:7190
+#: cp/decl.c:7193
 #, gcc-internal-format
 msgid "%<const%> and %<volatile%> function specifiers on %qD invalid in type declaration"
 msgstr "Funktionsspezifizierer %<const%> und %<volatile%> an %qD ungültig in Typdeklaration"
 
-#: cp/decl.c:7195
+#: cp/decl.c:7198
 #, gcc-internal-format
 msgid "%qD declared as a %<virtual%> field"
 msgstr "%qD als ein %<virtual%> Feld deklariert"
 
-#: cp/decl.c:7197
+#: cp/decl.c:7200
 #, gcc-internal-format
 msgid "%qD declared as an %<inline%> field"
 msgstr "%qD als ein %<inline%> Feld deklariert"
 
-#: cp/decl.c:7199
+#: cp/decl.c:7202
 #, gcc-internal-format
 msgid "%<const%> and %<volatile%> function specifiers on %qD invalid in field declaration"
 msgstr "Funktionsspezifizierer %<const%> und %<volatile%> an %qD ungültig in Felddeklaration"
 
-#: cp/decl.c:7206
+#: cp/decl.c:7209
 #, gcc-internal-format
 msgid "%q+D declared as a friend"
 msgstr "%q+D als »friend« deklariert"
 
-#: cp/decl.c:7212
+#: cp/decl.c:7215
 #, gcc-internal-format
 msgid "%q+D declared with an exception specification"
 msgstr "%q+D mit einer Ausnahmespezifikation deklariert"
 
-#: cp/decl.c:7246
+#: cp/decl.c:7249
 #, gcc-internal-format
 msgid "definition of %qD is not in namespace enclosing %qT"
 msgstr "Deklaration von %qD ist nicht in einem Namensbereich um %qT"
 
-#: cp/decl.c:7286
+#: cp/decl.c:7289
 #, gcc-internal-format
 msgid "static member function %q#D declared with type qualifiers"
 msgstr "statische Elementfunktion %q#D mit Typqualifizierern deklariert"
 
-#: cp/decl.c:7385
+#: cp/decl.c:7388
 #, gcc-internal-format
 msgid "defining explicit specialization %qD in friend declaration"
 msgstr "Definition der expliziten Spezialisierung %qD in friend-Deklaration"
 
 #. Something like `template <class T> friend void f<T>()'.
-#: cp/decl.c:7395
+#: cp/decl.c:7398
 #, gcc-internal-format
 msgid "invalid use of template-id %qD in declaration of primary template"
 msgstr "ungültige Verwendung der Template-ID %qD in Deklaration des ursprünglichen Templates"
 
-#: cp/decl.c:7425
+#: cp/decl.c:7428
 #, gcc-internal-format
 msgid "default arguments are not allowed in declaration of friend template specialization %qD"
 msgstr "Standardargumente sind nicht in Deklaration der friend-Template-Spezialisierung %qD erlaubt"
 
-#: cp/decl.c:7433
+#: cp/decl.c:7436
 #, gcc-internal-format
 msgid "%<inline%> is not allowed in declaration of friend template specialization %qD"
 msgstr "%<inline%> ist nicht in Deklaration der friend-Template-Spezialisierung %qD erlaubt"
 
-#: cp/decl.c:7475
+#: cp/decl.c:7478
 #, gcc-internal-format
 msgid "cannot declare %<::main%> to be a template"
 msgstr "%<::main%> kann nicht als Template deklariert werden"
 
-#: cp/decl.c:7477
+#: cp/decl.c:7480
 #, gcc-internal-format
 msgid "cannot declare %<::main%> to be inline"
 msgstr "%<::main%> kann nicht inline deklariert werden"
 
-#: cp/decl.c:7479
+#: cp/decl.c:7482
 #, gcc-internal-format
 msgid "cannot declare %<::main%> to be static"
 msgstr "%<::main%> kann nicht statisch deklariert werden"
 
-#: cp/decl.c:7507
+#: cp/decl.c:7510
 #, gcc-internal-format
 msgid "anonymous type with no linkage used to declare function %q#D with linkage"
 msgstr "anonymer Typ ohne Bindung verwendet, um Funktion %q#D mit Bindung zu deklarieren"
 
-#: cp/decl.c:7511 cp/decl.c:7879 cp/decl2.c:3864
+#: cp/decl.c:7514 cp/decl.c:7882 cp/decl2.c:3864
 #, gcc-internal-format
 msgid "%q+#D does not refer to the unqualified type, so it is not used for linkage"
 msgstr "%q+#D verweist nicht auf den unqualifizierten Typen, also wird es nicht zum Binden verwendet"
 
-#: cp/decl.c:7517
+#: cp/decl.c:7520
 #, gcc-internal-format
 msgid "type %qT with no linkage used to declare function %q#D with linkage"
 msgstr "Typ %qT ohne Bindung für Funktionsdeklaration %q#D mit Bindung deklariert"
 
-#: cp/decl.c:7539
+#: cp/decl.c:7542
 #, gcc-internal-format
 msgid "static member function %qD cannot have cv-qualifier"
 msgstr "statische Elementfunktion %qD kann nicht CV-Qualifizierer haben"
 
-#: cp/decl.c:7540
+#: cp/decl.c:7543
 #, gcc-internal-format
 msgid "non-member function %qD cannot have cv-qualifier"
 msgstr "Nicht-Elementfunktion %qD kann nicht CV-Qualifizierer haben"
 
-#: cp/decl.c:7556
+#: cp/decl.c:7559
 #, gcc-internal-format
 msgid "literal operator with C linkage"
 msgstr "literaler Operator mit C-Bindung"
 
-#: cp/decl.c:7565
+#: cp/decl.c:7568
 #, gcc-internal-format
 msgid "%qD has invalid argument list"
 msgstr "%qD hat ungültige Argumentliste"
 
-#: cp/decl.c:7573
+#: cp/decl.c:7576
 #, gcc-internal-format
 msgid "integer suffix %<%s%> shadowed by implementation"
 msgstr "Ganzzahl-Suffix %<%s%> durch Implementierung überdeckt"
 
-#: cp/decl.c:7579
+#: cp/decl.c:7582
 #, gcc-internal-format
 msgid "floating point suffix %<%s%> shadowed by implementation"
 msgstr "Gleitkomma-Suffix %<%s%> durch Implementierung überdeckt"
 
-#: cp/decl.c:7585
+#: cp/decl.c:7588
 #, gcc-internal-format
 msgid "%qD must be a non-member function"
 msgstr "%qD muss eine Nicht-Elementfunktion sein"
 
-#: cp/decl.c:7636
+#: cp/decl.c:7639
 #, gcc-internal-format
 msgid "%<::main%> must return %<int%>"
 msgstr "%<::main%> muss %<int%> zurückgeben"
 
-#: cp/decl.c:7678
+#: cp/decl.c:7681
 #, gcc-internal-format
 msgid "definition of implicitly-declared %qD"
 msgstr "Definition des implizit deklarierten %qD"
 
-#: cp/decl.c:7683
+#: cp/decl.c:7686
 #, gcc-internal-format
 msgid "definition of explicitly-defaulted %q+D"
 msgstr "Definition des explizit standardisierten %q+D"
 
-#: cp/decl.c:7684
+#: cp/decl.c:7687
 #, gcc-internal-format
 msgid "%q+#D explicitly defaulted here"
 msgstr "%q+#D wurde ausdrücklich hier standardisiert"
 
-#: cp/decl.c:7701 cp/decl2.c:738
+#: cp/decl.c:7704 cp/decl2.c:738
 #, gcc-internal-format
 msgid "no %q#D member function declared in class %qT"
 msgstr "keine Elementfunktion %q#D in Klasse %qT deklariert"
@@ -29407,884 +29407,879 @@
 #. no linkage can only be used to declare extern "C"
 #. entities.  Since it's not always an error in the
 #. ISO C++ 90 Standard, we only issue a warning.
-#: cp/decl.c:7876
+#: cp/decl.c:7879
 #, gcc-internal-format
 msgid "anonymous type with no linkage used to declare variable %q#D with linkage"
 msgstr "anonymer Typ ohne Bindung verwendet, um Variable %q#D mit Bindung zu deklarieren"
 
-#: cp/decl.c:7885
+#: cp/decl.c:7888
 #, gcc-internal-format
 msgid "type %qT with no linkage used to declare variable %q#D with linkage"
 msgstr "Typ %qT ohne Bindung verwendet, um Variable %q#D mit Bindung zu deklarieren"
 
-#: cp/decl.c:8008
+#: cp/decl.c:8011
 #, gcc-internal-format
 msgid "in-class initialization of static data member %q#D of incomplete type"
 msgstr "Initialisierung innerhalb der Klasse des statischen Datenelements %q#D mit unvollständigem Typ"
 
-#: cp/decl.c:8012
+#: cp/decl.c:8015
 #, gcc-internal-format
 msgid "%<constexpr%> needed for in-class initialization of static data member %q#D of non-integral type"
 msgstr "%<constexpr%> erforderlich für Initialisierung innerhalb der Klasse des statischen Datenelements %q#D mit nicht eingebautem Typ"
 
-#: cp/decl.c:8015
+#: cp/decl.c:8018
 #, gcc-internal-format
 msgid "in-class initialization of static data member %q#D of non-literal type"
 msgstr "Initialisierung innerhalb der Klasse des statischen Datenelements %q#D mit nicht eingebautem Typ"
 
-#: cp/decl.c:8028
+#: cp/decl.c:8031
 #, gcc-internal-format
 msgid "invalid in-class initialization of static data member of non-integral type %qT"
 msgstr "ungültige Initialisierung innerhalb der Klasse des statischen Datenelements vom nicht eingebauten Typen %qT"
 
-#: cp/decl.c:8034
+#: cp/decl.c:8037
 #, gcc-internal-format
 msgid "ISO C++ forbids in-class initialization of non-const static member %qD"
 msgstr "ISO-C++ verbietet Initialisierung des nicht konstanten statischen Elements %qD in der Klasse"
 
-#: cp/decl.c:8038
+#: cp/decl.c:8041
 #, gcc-internal-format
 msgid "ISO C++ forbids initialization of member constant %qD of non-integral type %qT"
 msgstr "ISO-C++ verbietet Initialisierung der Elementkonstante %qD vom nicht eingebauten Typen %qT"
 
-#: cp/decl.c:8144 cp/decl.c:8172
+#: cp/decl.c:8147 cp/decl.c:8175
 #, gcc-internal-format
 msgid "size of array %qD has non-integral type %qT"
 msgstr "Feldgröße von %qD hat nicht-ganzzahligen Typen %qT"
 
-#: cp/decl.c:8147 cp/decl.c:8174
+#: cp/decl.c:8150 cp/decl.c:8177
 #, gcc-internal-format
 msgid "size of array has non-integral type %qT"
 msgstr "Feldgröße hat nicht-ganzzahligen Typen %qT"
 
-#: cp/decl.c:8224
+#: cp/decl.c:8227
 #, gcc-internal-format
 msgid "size of array %qD is negative"
 msgstr "Größe des Feldes %qD ist negativ"
 
-#: cp/decl.c:8226
+#: cp/decl.c:8229
 #, gcc-internal-format
 msgid "size of array is negative"
 msgstr "Größe des Feldes ist negativ"
 
-#: cp/decl.c:8240
+#: cp/decl.c:8243
 #, gcc-internal-format
 msgid "ISO C++ forbids zero-size array %qD"
 msgstr "ISO-C++ verbietet Feld %qD der Größe null"
 
-#: cp/decl.c:8242
+#: cp/decl.c:8245
 #, gcc-internal-format
 msgid "ISO C++ forbids zero-size array"
 msgstr "ISO-C++ verbietet Feld der Größe null"
 
-#: cp/decl.c:8254
+#: cp/decl.c:8257
 #, gcc-internal-format
 msgid "size of array %qD is not an integral constant-expression"
 msgstr "Größe des Feldes %qD ist kein konstanter Ganzzahlausdruck"
 
-#: cp/decl.c:8257
+#: cp/decl.c:8260
 #, gcc-internal-format
 msgid "size of array is not an integral constant-expression"
 msgstr "Größe des Feldes ist kein konstanter Ganzzahlausdruck"
 
-#: cp/decl.c:8263
+#: cp/decl.c:8266
 #, gcc-internal-format
 msgid "ISO C++ forbids variable length array %qD"
 msgstr "ISO-C++ verbietet Feld %qD variabler Länge"
 
-#: cp/decl.c:8265
+#: cp/decl.c:8268
 #, gcc-internal-format
 msgid "ISO C++ forbids variable length array"
 msgstr "ISO-C++ verbietet Feld variabler Länge"
 
-#: cp/decl.c:8271
+#: cp/decl.c:8274
 #, gcc-internal-format
 msgid "variable length array %qD is used"
 msgstr "Feld %qD variabler Länge wird verwendet"
 
-#: cp/decl.c:8323
+#: cp/decl.c:8326
 #, gcc-internal-format
 msgid "overflow in array dimension"
 msgstr "Überlauf in Feldgröße"
 
-#: cp/decl.c:8383
+#: cp/decl.c:8386
 #, gcc-internal-format
 msgid "declaration of %qD as array of %<auto%>"
 msgstr "Deklaration von %qD als Feld von %<auto%>"
 
-#: cp/decl.c:8391
+#: cp/decl.c:8394
 #, gcc-internal-format
 msgid "declaration of %qD as array of void"
 msgstr "Deklaration von %qD als Feld von voids"
 
-#: cp/decl.c:8393
+#: cp/decl.c:8396
 #, gcc-internal-format
 msgid "creating array of void"
 msgstr "Feld von void wird erzeugt"
 
-#: cp/decl.c:8398
+#: cp/decl.c:8401
 #, gcc-internal-format
 msgid "declaration of %qD as array of functions"
 msgstr "Deklaration von %qD als Feld von Funktionen"
 
-#: cp/decl.c:8400
+#: cp/decl.c:8403
 #, gcc-internal-format
 msgid "creating array of functions"
 msgstr "Feld von Funktionen wird erzeugt"
 
-#: cp/decl.c:8405
+#: cp/decl.c:8408
 #, gcc-internal-format
 msgid "declaration of %qD as array of references"
 msgstr "Deklaration von %qD als Feld von Referenzen"
 
-#: cp/decl.c:8407
+#: cp/decl.c:8410
 #, gcc-internal-format
 msgid "creating array of references"
 msgstr "Feld von Referenzen wird erzeugt"
 
-#: cp/decl.c:8412
+#: cp/decl.c:8415
 #, gcc-internal-format
 msgid "declaration of %qD as array of function members"
 msgstr "Deklaration von %qD als Feld von Funktionselementen"
 
-#: cp/decl.c:8414
+#: cp/decl.c:8417
 #, gcc-internal-format
 msgid "creating array of function members"
 msgstr "Feld von Funktionselementen wird erzeugt"
 
-#: cp/decl.c:8428
+#: cp/decl.c:8431
 #, gcc-internal-format
 msgid "declaration of %qD as multidimensional array must have bounds for all dimensions except the first"
 msgstr "Deklaration von %qD als multidimensionales Feld muss für alle Dimensionen außer der ersten Grenzen haben"
 
-#: cp/decl.c:8432
+#: cp/decl.c:8435
 #, gcc-internal-format
 msgid "multidimensional array must have bounds for all dimensions except the first"
 msgstr "multidimensionales Feld muss für alle Dimensionen außer der ersten Grenzen haben"
 
-#: cp/decl.c:8467
+#: cp/decl.c:8470
 #, gcc-internal-format
 msgid "return type specification for constructor invalid"
 msgstr "Angabe des Rückgabetyps für Konstruktor ist ungültig"
 
-#: cp/decl.c:8477
+#: cp/decl.c:8480
 #, gcc-internal-format
 msgid "return type specification for destructor invalid"
 msgstr "Angabe des Rückgabetyps für Destruktor ist ungültig"
 
-#: cp/decl.c:8490
+#: cp/decl.c:8493
 #, gcc-internal-format
 msgid "return type specified for %<operator %T%>"
 msgstr "Rückgabetyp für %<operator %T%> angegeben"
 
-#: cp/decl.c:8512
+#: cp/decl.c:8515
 #, gcc-internal-format
 msgid "unnamed variable or field declared void"
 msgstr "unbenannte Variable oder Feld als »void« deklariert"
 
-#: cp/decl.c:8519
+#: cp/decl.c:8522
 #, gcc-internal-format
 msgid "variable or field declared void"
 msgstr "Variable oder Feld als »void« deklariert"
 
-#: cp/decl.c:8720
+#: cp/decl.c:8722
 #, gcc-internal-format
 msgid "invalid use of qualified-name %<::%D%>"
 msgstr "ungültige Verwendung des qualifizierten Namens %<::%D%>"
 
-#: cp/decl.c:8723
+#: cp/decl.c:8725
 #, gcc-internal-format
 msgid "invalid use of qualified-name %<%T::%D%>"
 msgstr "ungültige Verwendung des qualifizierten Namens %<%T::%D%>"
 
-#: cp/decl.c:8726
+#: cp/decl.c:8728
 #, gcc-internal-format
 msgid "invalid use of qualified-name %<%D::%D%>"
 msgstr "ungültige Verwendung des qualifizierten Namens %<%D::%D%>"
 
-#: cp/decl.c:8735
+#: cp/decl.c:8737
 #, gcc-internal-format
 msgid "%q#T is not a class or a namespace"
 msgstr "%q#T ist keine Klasse oder Namensbereich"
 
-#: cp/decl.c:8743
+#: cp/decl.c:8745
 #, gcc-internal-format
 msgid "type %qT is not derived from type %qT"
 msgstr "Typ %qT ist nicht vom Typ %qT abgeleitet"
 
-#: cp/decl.c:8759 cp/decl.c:8851 cp/decl.c:8860 cp/decl.c:10242
+#: cp/decl.c:8761 cp/decl.c:8853 cp/decl.c:8862 cp/decl.c:10238
 #, gcc-internal-format
 msgid "declaration of %qD as non-function"
 msgstr "Deklaration von %qD als Nicht-Funktion"
 
-#: cp/decl.c:8765
+#: cp/decl.c:8767
 #, gcc-internal-format
 msgid "declaration of %qD as non-member"
 msgstr "Deklaration von %qD als Nicht-Element"
 
-#: cp/decl.c:8796
+#: cp/decl.c:8798
 #, gcc-internal-format
 msgid "declarator-id missing; using reserved word %qD"
 msgstr "Deklarator-ID fehlt: reserviertes Wort %qD wird verwendet"
 
-#: cp/decl.c:8843
+#: cp/decl.c:8845
 #, gcc-internal-format
 msgid "function definition does not declare parameters"
 msgstr "Funktionsdefinition deklariert keine Parameter"
 
-#: cp/decl.c:8868
+#: cp/decl.c:8870
 #, gcc-internal-format
 msgid "declaration of %qD as %<typedef%>"
 msgstr "Deklaration von %qD als %<typedef%>"
 
-#: cp/decl.c:8873
+#: cp/decl.c:8875
 #, gcc-internal-format
 msgid "declaration of %qD as parameter"
 msgstr "Deklaration von %qD als Parameter"
 
-#: cp/decl.c:8906
+#: cp/decl.c:8908
 #, gcc-internal-format
 msgid "%<constexpr%> cannot appear in a typedef declaration"
 msgstr "%<constexpr%> kann nicht in typedef-Deklaration auftreten"
 
-#: cp/decl.c:8914
+#: cp/decl.c:8916
 #, gcc-internal-format
 msgid "two or more data types in declaration of %qs"
 msgstr "zwei oder mehr Datentypen in Deklaration von %qs"
 
-#: cp/decl.c:8920
+#: cp/decl.c:8922
 #, gcc-internal-format
 msgid "conflicting specifiers in declaration of %qs"
 msgstr "in Konflikt stehende Spezifikationen für Deklaration von %qs"
 
-#: cp/decl.c:8992 cp/decl.c:8995 cp/decl.c:8998
+#: cp/decl.c:8994 cp/decl.c:8997 cp/decl.c:9000
 #, gcc-internal-format
 msgid "ISO C++ forbids declaration of %qs with no type"
 msgstr "ISO-C++ verbietet Deklaration von %qs ohne Typ"
 
-#: cp/decl.c:9009
+#: cp/decl.c:9011
 #, gcc-internal-format
 msgid "%<__int128%> is not supported by this target"
 msgstr "%<__int128%> wird von diesem Ziel nicht unterstützt"
 
-#: cp/decl.c:9014
+#: cp/decl.c:9016
 #, gcc-internal-format
 msgid "ISO C++ does not support %<__int128%> for %qs"
 msgstr "ISO-C++ unterstützt nicht %<__int128%> for %qs"
 
-#: cp/decl.c:9035 cp/decl.c:9055
+#: cp/decl.c:9037 cp/decl.c:9057
 #, gcc-internal-format
 msgid "%<signed%> or %<unsigned%> invalid for %qs"
 msgstr "%<signed%> oder %<unsigned%> ungültig für %qs"
 
-#: cp/decl.c:9037
+#: cp/decl.c:9039
 #, gcc-internal-format
 msgid "%<signed%> and %<unsigned%> specified together for %qs"
 msgstr "%<signed%> und %<unsigned%> für %qs gleichzeitig angegeben"
 
-#: cp/decl.c:9039
+#: cp/decl.c:9041
 #, gcc-internal-format
 msgid "%<long long%> invalid for %qs"
 msgstr "%<long long%> ungültig für %qs"
 
-#: cp/decl.c:9041
+#: cp/decl.c:9043
 #, gcc-internal-format
 msgid "%<long%> invalid for %qs"
 msgstr "%<long%> ungültig für %qs"
 
-#: cp/decl.c:9043
+#: cp/decl.c:9045
 #, gcc-internal-format
 msgid "%<short%> invalid for %qs"
 msgstr "%<short%> ungültig für %qs"
 
-#: cp/decl.c:9045
+#: cp/decl.c:9047
 #, gcc-internal-format
 msgid "%<long%> or %<short%> invalid for %qs"
 msgstr "%<long%> oder %<short%> ungültig für %qs"
 
-#: cp/decl.c:9047
+#: cp/decl.c:9049
 #, gcc-internal-format
 msgid "%<long%>, %<int%>, %<short%>, or %<char%> invalid for %qs"
 msgstr "%<long%>, %<int%>, %<short%> oder %<char%> ungültig für %qs"
 
-#: cp/decl.c:9049
+#: cp/decl.c:9051
 #, gcc-internal-format
 msgid "%<long%> or %<short%> specified with char for %qs"
 msgstr "%<long%> oder %<short%> mit »char« für %qs angegeben"
 
-#: cp/decl.c:9051
+#: cp/decl.c:9053
 #, gcc-internal-format
 msgid "%<long%> and %<short%> specified together for %qs"
 msgstr "%<long%> und %<short%> für %qs gleichzeitig angegeben"
 
-#: cp/decl.c:9057
+#: cp/decl.c:9059
 #, gcc-internal-format
 msgid "%<short%> or %<long%> invalid for %qs"
 msgstr "%<short%> oder %<long%> ungültig für %qs"
 
-#: cp/decl.c:9065
+#: cp/decl.c:9067
 #, gcc-internal-format
 msgid "long, short, signed or unsigned used invalidly for %qs"
 msgstr "long, short, signed oder unsigned ungültig verwendet für %qs"
 
-#: cp/decl.c:9133
+#: cp/decl.c:9135
 #, gcc-internal-format
 msgid "complex invalid for %qs"
 msgstr "complex ungültig für %qs"
 
-#: cp/decl.c:9161
+#: cp/decl.c:9163
 #, gcc-internal-format
 msgid "qualifiers are not allowed on declaration of %<operator %T%>"
 msgstr "Qualifizierer sind bei Deklaration von %<operator %T%> nicht erlaubt"
 
-#: cp/decl.c:9193
+#: cp/decl.c:9195
 #, gcc-internal-format
 msgid "member %qD cannot be declared both virtual and static"
 msgstr "Element %qD kann nicht gleichzeitig virtuell und statisch deklariert werden"
 
-#: cp/decl.c:9201
+#: cp/decl.c:9206
 #, gcc-internal-format
-msgid "%<%T::%D%> is not a valid declarator"
-msgstr "%<%T::%D%> ist kein gültiger Deklarator"
-
-#: cp/decl.c:9210
-#, gcc-internal-format
 msgid "typedef declaration invalid in parameter declaration"
 msgstr "»typedef«-Deklaration in Parameterdeklaration ungültig"
 
-#: cp/decl.c:9215
+#: cp/decl.c:9211
 #, gcc-internal-format
 msgid "storage class specified for template parameter %qs"
 msgstr "Speicherklasse für Template-Parameter %qs angegeben"
 
-#: cp/decl.c:9221
+#: cp/decl.c:9217
 #, gcc-internal-format
 msgid "storage class specifiers invalid in parameter declarations"
 msgstr "Speicherklassenangaben sind in Parameterdeklarationen ungültig"
 
-#: cp/decl.c:9227
+#: cp/decl.c:9223
 #, gcc-internal-format
 msgid "a parameter cannot be declared %<constexpr%>"
 msgstr "ein Parameter kann nicht als %<constexpr%> deklariert sein"
 
-#: cp/decl.c:9236
+#: cp/decl.c:9232
 #, gcc-internal-format
 msgid "%<virtual%> outside class declaration"
 msgstr "%<virtual%> außerhalb einer Klassendeklaration"
 
-#: cp/decl.c:9254
+#: cp/decl.c:9250
 #, gcc-internal-format
 msgid "multiple storage classes in declaration of %qs"
 msgstr "mehrere Speicherklassen in Deklaration von %qs"
 
-#: cp/decl.c:9277
+#: cp/decl.c:9273
 #, gcc-internal-format
 msgid "storage class specified for %qs"
 msgstr "Speicherklasse %qs angegeben"
 
-#: cp/decl.c:9281
+#: cp/decl.c:9277
 #, gcc-internal-format
 msgid "storage class specified for parameter %qs"
 msgstr "Speicherklasse für Parameter %qs angegeben"
 
-#: cp/decl.c:9294
+#: cp/decl.c:9290
 #, gcc-internal-format
 msgid "nested function %qs declared %<extern%>"
 msgstr "geschachtelte Funktion %qs als %<extern%> deklariert"
 
-#: cp/decl.c:9298
+#: cp/decl.c:9294
 #, gcc-internal-format
 msgid "top-level declaration of %qs specifies %<auto%>"
 msgstr "Deklaration höchster Ebene von %qs gibt %<auto%> an"
 
-#: cp/decl.c:9305
+#: cp/decl.c:9301
 #, gcc-internal-format
 msgid "function-scope %qs implicitly auto and declared %<__thread%>"
 msgstr "Funktions-Gültigkeitsbereich %qs ist implizit auto und deklarierte %<__thread%>"
 
-#: cp/decl.c:9317
+#: cp/decl.c:9313
 #, gcc-internal-format
 msgid "storage class specifiers invalid in friend function declarations"
 msgstr "Speicherklassenangaben sind in friend-Funktionsdeklarationen ungültig"
 
-#: cp/decl.c:9427
+#: cp/decl.c:9423
 #, gcc-internal-format
 msgid "%qs declared as function returning a function"
 msgstr "%qs als Funktion, die eine Funktion zurückgibt, deklariert"
 
-#: cp/decl.c:9432
+#: cp/decl.c:9428
 #, gcc-internal-format
 msgid "%qs declared as function returning an array"
 msgstr "%qs als Funktion, die ein Feld zurückgibt, deklariert"
 
-#: cp/decl.c:9438
-#, fuzzy, gcc-internal-format
+#: cp/decl.c:9434
+#, gcc-internal-format
 msgid "%qs declared as function returning an abstract class type"
-msgstr "%qs als Funktion, die ein Feld zurückgibt, deklariert"
+msgstr "Funktion %qs gibt abstrakten Klassentyp zurück"
 
-#: cp/decl.c:9467
+#: cp/decl.c:9463
 #, gcc-internal-format
 msgid "%qs function uses %<auto%> type specifier without trailing return type"
 msgstr "Funktion %qs verwendet Typspezifikation %<auto%> ohne folgenden Rückgabetypen"
 
-#: cp/decl.c:9473
+#: cp/decl.c:9469
 #, gcc-internal-format
 msgid "%qs function with trailing return type has %qT as its type rather than plain %<auto%>"
 msgstr "Funktion %qs mit folgendem Rückgabetypen hat %qT als seinen Typ statt einfaches %<auto%>"
 
 #. Not using maybe_warn_cpp0x because this should
 #. always be an error.
-#: cp/decl.c:9484
+#: cp/decl.c:9480
 #, gcc-internal-format
 msgid "trailing return type only available with -std=c++11 or -std=gnu++11"
 msgstr "folgender Rückgabetyp nur mit -std=c++11 oder -std=gnu++11 verfügbar"
 
-#: cp/decl.c:9487
+#: cp/decl.c:9483
 #, gcc-internal-format
 msgid "%qs function with trailing return type not declared with %<auto%> type specifier"
 msgstr "Funktion %qs mit folgendem Rückgabetypen nicht mit Typspezifikation %<auto%> deklariert"
 
-#: cp/decl.c:9520
+#: cp/decl.c:9516
 #, gcc-internal-format
 msgid "destructor cannot be static member function"
 msgstr "Destruktor kann keine statische Elementfunktion sein"
 
-#: cp/decl.c:9521
+#: cp/decl.c:9517
 #, gcc-internal-format
 msgid "constructor cannot be static member function"
 msgstr "Konstruktor kann keine statische Elementfunktion sein"
 
-#: cp/decl.c:9525
+#: cp/decl.c:9521
 #, gcc-internal-format
 msgid "destructors may not be cv-qualified"
 msgstr "Destruktoren dürfen nicht CV-qualifiziert sein"
 
-#: cp/decl.c:9526
+#: cp/decl.c:9522
 #, gcc-internal-format
 msgid "constructors may not be cv-qualified"
 msgstr "Konstruktoren dürfen nicht CV-qualifiziert sein"
 
-#: cp/decl.c:9543
+#: cp/decl.c:9539
 #, gcc-internal-format
 msgid "constructors cannot be declared virtual"
 msgstr "Konstruktoren können nicht als virtuell deklariert werden"
 
-#: cp/decl.c:9556
+#: cp/decl.c:9552
 #, gcc-internal-format
 msgid "can%'t initialize friend function %qs"
 msgstr "friend-Funktion %qs kann nicht initialisiert werden"
 
 #. Cannot be both friend and virtual.
-#: cp/decl.c:9560
+#: cp/decl.c:9556
 #, gcc-internal-format
 msgid "virtual functions cannot be friends"
 msgstr "virtuelle Funktionen können keine friends sein"
 
-#: cp/decl.c:9564
+#: cp/decl.c:9560
 #, gcc-internal-format
 msgid "friend declaration not in class definition"
 msgstr "friend-Deklaration nicht in Klassendefinition"
 
-#: cp/decl.c:9566
+#: cp/decl.c:9562
 #, gcc-internal-format
 msgid "can%'t define friend function %qs in a local class definition"
 msgstr "friend-Funktion %qs kann nicht in einer lokalen Klassendefinition definiert werden"
 
-#: cp/decl.c:9587
+#: cp/decl.c:9583
 #, gcc-internal-format
 msgid "destructors may not have parameters"
 msgstr "Destruktoren dürfen keine Parameter haben"
 
-#: cp/decl.c:9613
+#: cp/decl.c:9609
 #, gcc-internal-format
 msgid "cannot declare pointer to %q#T"
 msgstr "Zeiger auf %q#T kann nicht deklariert werden"
 
-#: cp/decl.c:9626 cp/decl.c:9633
+#: cp/decl.c:9622 cp/decl.c:9629
 #, gcc-internal-format
 msgid "cannot declare reference to %q#T"
 msgstr "Referenz auf %q#T kann nicht deklariert werden"
 
-#: cp/decl.c:9635
+#: cp/decl.c:9631
 #, gcc-internal-format
 msgid "cannot declare pointer to %q#T member"
 msgstr "Zeiger auf Element %q#T kann nicht deklariert werden"
 
-#: cp/decl.c:9658
+#: cp/decl.c:9654
 #, gcc-internal-format
 msgid "cannot declare reference to qualified function type %qT"
 msgstr "Referenz auf qualifizierten Funktionstypen %qT kann nicht deklariert werden"
 
-#: cp/decl.c:9659
+#: cp/decl.c:9655
 #, gcc-internal-format
 msgid "cannot declare pointer to qualified function type %qT"
 msgstr "Zeiger auf qualifizierten Funktionstypen %qT kann nicht deklariert werden"
 
-#: cp/decl.c:9733
+#: cp/decl.c:9729
 #, gcc-internal-format
 msgid "cannot declare reference to %q#T, which is not a typedef or a template type argument"
 msgstr "Referenz auf %q#T kann nicht deklariert werden, da letzteres weder Typedef noch Templatetyp-Argument ist"
 
-#: cp/decl.c:9797
+#: cp/decl.c:9793
 #, gcc-internal-format
 msgid "both %<volatile%> and %<constexpr%> cannot be used here"
 msgstr " %<volatile%> und %<constexpr%> können hier nicht zusammen verwendet werden"
 
-#: cp/decl.c:9809
+#: cp/decl.c:9805
 #, gcc-internal-format
 msgid "template-id %qD used as a declarator"
 msgstr "Template-ID %qD als Deklarator verwendet"
 
-#: cp/decl.c:9833
+#: cp/decl.c:9829
 #, gcc-internal-format
 msgid "member functions are implicitly friends of their class"
 msgstr "Elementfunktionen sind implizite »friends« ihrer Klasse"
 
-#: cp/decl.c:9838
+#: cp/decl.c:9834
 #, gcc-internal-format
 msgid "extra qualification %<%T::%> on member %qs"
 msgstr "zusätzliche Qualifizierung %<%T::%> an Element %qs"
 
-#: cp/decl.c:9868
+#: cp/decl.c:9864
 #, gcc-internal-format
 msgid "cannot define member function %<%T::%s%> within %<%T%>"
 msgstr "Elementfunktion %<%T::%s%> innerhalb von %<%T%> kann nicht definiert werden"
 
-#: cp/decl.c:9870
+#: cp/decl.c:9866
 #, gcc-internal-format
 msgid "cannot declare member function %<%T::%s%> within %<%T%>"
 msgstr "Elementfunktion %<%T::%s%> kann nicht in %<%T%> deklariert werden"
 
-#: cp/decl.c:9879
+#: cp/decl.c:9875
 #, gcc-internal-format
 msgid "cannot declare member %<%T::%s%> within %qT"
 msgstr "Element %<%T::%s%> kann nicht in %qT deklariert werden"
 
-#: cp/decl.c:9912
+#: cp/decl.c:9908
 #, gcc-internal-format
 msgid "non-parameter %qs cannot be a parameter pack"
 msgstr "Nicht-Parameter %qs kann kein Parameterpack sein"
 
-#: cp/decl.c:9922
+#: cp/decl.c:9918
 #, gcc-internal-format
 msgid "size of array %qs is too large"
 msgstr "Feldgröße von %qs ist zu groß"
 
-#: cp/decl.c:9933
+#: cp/decl.c:9929
 #, gcc-internal-format
 msgid "data member may not have variably modified type %qT"
 msgstr "Datenelement darf nicht variabel modifizierten Typ %qT haben"
 
-#: cp/decl.c:9935
+#: cp/decl.c:9931
 #, gcc-internal-format
 msgid "parameter may not have variably modified type %qT"
 msgstr "Parameter darf nicht variabel modifizierten Typ %qT haben"
 
 #. [dcl.fct.spec] The explicit specifier shall only be used in
 #. declarations of constructors within a class definition.
-#: cp/decl.c:9943
+#: cp/decl.c:9939
 #, gcc-internal-format
 msgid "only declarations of constructors can be %<explicit%>"
 msgstr "nur Deklarationen von Konstruktoren können %<explicit%> sein"
 
-#: cp/decl.c:9951
+#: cp/decl.c:9947
 #, gcc-internal-format
 msgid "non-member %qs cannot be declared %<mutable%>"
 msgstr "Nicht-Element %qs kann nicht als %<mutable%> deklariert sein"
 
-#: cp/decl.c:9957
+#: cp/decl.c:9953
 #, gcc-internal-format
 msgid "non-object member %qs cannot be declared %<mutable%>"
 msgstr "Nicht-Objekt-Element %qs kann nicht als %<mutable%> deklariert sein"
 
-#: cp/decl.c:9963
+#: cp/decl.c:9959
 #, gcc-internal-format
 msgid "function %qs cannot be declared %<mutable%>"
 msgstr "Funktion %qs kann nicht als %<mutable%> deklariert sein"
 
-#: cp/decl.c:9968
+#: cp/decl.c:9964
 #, gcc-internal-format
 msgid "static %qs cannot be declared %<mutable%>"
 msgstr "statisches %qs kann nicht als %<mutable%> deklariert sein"
 
-#: cp/decl.c:9973
+#: cp/decl.c:9969
 #, gcc-internal-format
 msgid "const %qs cannot be declared %<mutable%>"
 msgstr "Konstante %qs kann nicht als %<mutable%> deklariert sein"
 
-#: cp/decl.c:9978
+#: cp/decl.c:9974
 #, gcc-internal-format
 msgid "reference %qs cannot be declared %<mutable%>"
 msgstr "Referenz %qs kann nicht als %<mutable%> deklariert sein"
 
-#: cp/decl.c:10013
+#: cp/decl.c:10009
 #, gcc-internal-format
 msgid "typedef declared %<auto%>"
 msgstr "»typedef« als %<auto%> deklariert"
 
-#: cp/decl.c:10023
+#: cp/decl.c:10019
 #, gcc-internal-format
 msgid "typedef name may not be a nested-name-specifier"
 msgstr "typedef-Name darf kein Spezifizierer mit geschachteltem Namen sein"
 
-#: cp/decl.c:10042
+#: cp/decl.c:10038
 #, gcc-internal-format
 msgid "ISO C++ forbids nested type %qD with same name as enclosing class"
 msgstr "ISO-C++ verbietet geschachtelten Typen %qD mit gleichem Namen wie umschließende Klasse"
 
-#: cp/decl.c:10143
+#: cp/decl.c:10139
 #, gcc-internal-format
 msgid "qualified function types cannot be used to declare static member functions"
 msgstr "qualifizierte Funktionstypen können nicht verwendet werden, um statische Elementfunktionen zu deklarieren"
 
-#: cp/decl.c:10145
+#: cp/decl.c:10141
 #, gcc-internal-format
 msgid "qualified function types cannot be used to declare free functions"
 msgstr "qualifizierte Funktionstypen können nicht verwendet werden, um free-Funktionen zu deklarieren"
 
-#: cp/decl.c:10172
+#: cp/decl.c:10168
 #, gcc-internal-format
 msgid "type qualifiers specified for friend class declaration"
 msgstr "Typkennzeichner für friend-Klassen-Deklaration angegeben"
 
-#: cp/decl.c:10177
+#: cp/decl.c:10173
 #, gcc-internal-format
 msgid "%<inline%> specified for friend class declaration"
 msgstr "%<inline%> für friend-Klassen-Deklaration angegeben"
 
-#: cp/decl.c:10185
+#: cp/decl.c:10181
 #, gcc-internal-format
 msgid "template parameters cannot be friends"
 msgstr "Template-Parameter können keine »friends« sein"
 
-#: cp/decl.c:10187
+#: cp/decl.c:10183
 #, gcc-internal-format
 msgid "friend declaration requires class-key, i.e. %<friend class %T::%D%>"
 msgstr "friend-Deklaration erfordert Klassenschlüssel, d.h. %<friend class %T::%D%>"
 
-#: cp/decl.c:10191
+#: cp/decl.c:10187
 #, gcc-internal-format
 msgid "friend declaration requires class-key, i.e. %<friend %#T%>"
 msgstr "friend-Deklaration erfordert Klassenschlüssel, d.h. %<friend %#T%>"
 
-#: cp/decl.c:10204
+#: cp/decl.c:10200
 #, gcc-internal-format
 msgid "trying to make class %qT a friend of global scope"
 msgstr "Versuch, die Klasse %qT zu einem »friend« des globalen Gültigkeitsbereiches zu machen"
 
-#: cp/decl.c:10222
+#: cp/decl.c:10218
 #, gcc-internal-format
 msgid "invalid qualifiers on non-member function type"
 msgstr "ungültige Qualifizierer an Nicht-Element-Funktionstyp"
 
-#: cp/decl.c:10232
+#: cp/decl.c:10228
 #, gcc-internal-format
 msgid "abstract declarator %qT used as declaration"
 msgstr "abstrakter Deklarator %qT als Deklaration verwendet"
 
-#: cp/decl.c:10261
+#: cp/decl.c:10257
 #, gcc-internal-format
 msgid "cannot use %<::%> in parameter declaration"
 msgstr "%<::%> kann nicht in Parameterdeklaration verwendet werden"
 
-#: cp/decl.c:10265
+#: cp/decl.c:10261
 #, gcc-internal-format
 msgid "parameter declared %<auto%>"
 msgstr "Parameter als %<auto%> deklariert"
 
-#: cp/decl.c:10308
+#: cp/decl.c:10304
 #, gcc-internal-format
 msgid "non-static data member declared %<auto%>"
 msgstr "nicht-statisches Datenelement als %<auto%> deklariert"
 
 #. Something like struct S { int N::j; };
-#: cp/decl.c:10330
+#: cp/decl.c:10326
 #, gcc-internal-format
 msgid "invalid use of %<::%>"
 msgstr "ungültige Verwendung von %<::%>"
 
-#: cp/decl.c:10352
+#: cp/decl.c:10348
 #, gcc-internal-format
 msgid "declaration of function %qD in invalid context"
 msgstr "Deklaration der Funktion %qD in ungültigem Kontext"
 
-#: cp/decl.c:10361
+#: cp/decl.c:10357
 #, gcc-internal-format
 msgid "function %qD declared virtual inside a union"
 msgstr "Funktion %qD als virtuell innerhalb einer Union deklariert"
 
-#: cp/decl.c:10370
+#: cp/decl.c:10366
 #, gcc-internal-format
 msgid "%qD cannot be declared virtual, since it is always static"
 msgstr "%qD kann nicht als virtuell deklariert werden, da es immer statisch ist"
 
-#: cp/decl.c:10386
+#: cp/decl.c:10382
 #, gcc-internal-format
 msgid "expected qualified name in friend declaration for destructor %qD"
 msgstr "Qualifizierten Namen in Friend-Deklaration für Destruktor %qD erwartet"
 
-#: cp/decl.c:10393
+#: cp/decl.c:10389
 #, gcc-internal-format
 msgid "declaration of %qD as member of %qT"
 msgstr "Deklaration von %qD als Element %qT"
 
-#: cp/decl.c:10399
+#: cp/decl.c:10395
 #, gcc-internal-format
 msgid "a destructor cannot be %<constexpr%>"
 msgstr "Destruktor kann nicht %<constexpr%> sein"
 
-#: cp/decl.c:10405
+#: cp/decl.c:10401
 #, gcc-internal-format
 msgid "expected qualified name in friend declaration for constructor %qD"
 msgstr "Qualifizierten Namen in Friend-Deklaration für Konstruktor %qD erwartet"
 
-#: cp/decl.c:10451
+#: cp/decl.c:10447
 #, gcc-internal-format
 msgid "field %qD has incomplete type"
 msgstr "Feld %qD hat unvollständigen Typen"
 
-#: cp/decl.c:10453
+#: cp/decl.c:10449
 #, gcc-internal-format
 msgid "name %qT has incomplete type"
 msgstr "Name %qT hat unvollständigen Typen"
 
-#: cp/decl.c:10462
+#: cp/decl.c:10458
 #, gcc-internal-format
 msgid "  in instantiation of template %qT"
 msgstr "  in Instanziierung des Templates %qT"
 
-#: cp/decl.c:10471
+#: cp/decl.c:10467
 #, gcc-internal-format
 msgid "%qE is neither function nor member function; cannot be declared friend"
 msgstr "%qE ist weder eine Funktion noch Elementfunktion; kann nicht als »friend« deklariert werden"
 
-#: cp/decl.c:10528
+#: cp/decl.c:10524
 #, gcc-internal-format
 msgid "constexpr static data member %qD must have an initializer"
 msgstr "statisches Datenelement %qD (constexpr) muss Initialisierung haben"
 
-#: cp/decl.c:10537
+#: cp/decl.c:10533
 #, gcc-internal-format
 msgid "non-static data member %qE declared %<constexpr%>"
 msgstr "nicht-statisches Datenelement %qE als %<constexpr%> deklariert"
 
-#: cp/decl.c:10587
+#: cp/decl.c:10583
 #, gcc-internal-format
 msgid "storage class %<auto%> invalid for function %qs"
 msgstr "Speicherklasse %<auto%> ungültig für Funktion %qs"
 
-#: cp/decl.c:10589
+#: cp/decl.c:10585
 #, gcc-internal-format
 msgid "storage class %<register%> invalid for function %qs"
 msgstr "Speicherklasse %<register%> ungültig für Funktion %qs"
 
-#: cp/decl.c:10593
+#: cp/decl.c:10589
 #, gcc-internal-format
 msgid "storage class %<__thread%> invalid for function %qs"
 msgstr "Speicherklasse %<__thread%> ungültig für Funktion %qs"
 
-#: cp/decl.c:10596
-#, fuzzy, gcc-internal-format
+#: cp/decl.c:10592
+#, gcc-internal-format
 msgid "storage class %<thread_local%> invalid for function %qs"
-msgstr "Speicherklasse %<__thread%> ungültig für Funktion %qs"
+msgstr "Speicherklasse %<thread_local%> ungültig für Funktion %qs"
 
-#: cp/decl.c:10601
+#: cp/decl.c:10597
 #, gcc-internal-format
 msgid "virt-specifiers in %qs not allowed outside a class definition"
 msgstr "virt-Spezifikation in %qs ist außerhalb einer Klassendefinition nicht erlaubt"
 
-#: cp/decl.c:10612
+#: cp/decl.c:10608
 #, gcc-internal-format
 msgid "%<static%> specified invalid for function %qs declared out of global scope"
 msgstr "%<static%> ungültig für außerhalb des globalen Gültigkeitsbereiches deklarierte Funktion %qs"
 
-#: cp/decl.c:10616
+#: cp/decl.c:10612
 #, gcc-internal-format
 msgid "%<inline%> specifier invalid for function %qs declared out of global scope"
 msgstr "%<inline%> ungültig für außerhalb des globalen Gültigkeitsbereiches deklarierte Funktion %qs"
 
-#: cp/decl.c:10624
+#: cp/decl.c:10620
 #, gcc-internal-format
 msgid "virtual non-class function %qs"
 msgstr "virtuelle Nicht-Klassen-Funktion %qs"
 
-#: cp/decl.c:10631
+#: cp/decl.c:10627
 #, gcc-internal-format
 msgid "%qs defined in a non-class scope"
 msgstr "%qs nicht in Klassen-Gültigkeitsbereich definiert"
 
-#: cp/decl.c:10632
+#: cp/decl.c:10628
 #, gcc-internal-format
 msgid "%qs declared in a non-class scope"
 msgstr "%qs in einem Nicht-Klassen-Gültigkeitsbereich definiert"
 
-#: cp/decl.c:10660
+#: cp/decl.c:10655
 #, gcc-internal-format
 msgid "cannot declare member function %qD to have static linkage"
 msgstr "Elementfunktion %qD kann nicht deklariert werden, statische Bindung zu haben"
 
 #. FIXME need arm citation
-#: cp/decl.c:10667
+#: cp/decl.c:10662
 #, gcc-internal-format
 msgid "cannot declare static function inside another function"
 msgstr "statische Funktion innerhalb anderer Funktion kann nicht deklariert werden"
 
-#: cp/decl.c:10697
+#: cp/decl.c:10692
 #, gcc-internal-format
 msgid "%<static%> may not be used when defining (as opposed to declaring) a static data member"
 msgstr "%<static%> darf nicht bei der Definition (im Gegensatz zu Deklaration) eines statischen Datenelementes verwendet werden"
 
-#: cp/decl.c:10704
+#: cp/decl.c:10699
 #, gcc-internal-format
 msgid "static member %qD declared %<register%>"
 msgstr "statisches Element %qD als %<register%> deklariert"
 
-#: cp/decl.c:10710
+#: cp/decl.c:10705
 #, gcc-internal-format
 msgid "cannot explicitly declare member %q#D to have extern linkage"
 msgstr "Element %q#D kann nicht explizit deklariert werden, externe Bindung zu haben"
 
-#: cp/decl.c:10717
+#: cp/decl.c:10712
 #, gcc-internal-format
 msgid "declaration of constexpr variable %qD is not a definition"
 msgstr "Deklaration der constexpr-Variable %qD ist keine Definition"
 
-#: cp/decl.c:10730
+#: cp/decl.c:10725
 #, gcc-internal-format
 msgid "%qs initialized and declared %<extern%>"
 msgstr "%qs initialisiert und als %<extern%> deklariert"
 
-#: cp/decl.c:10734
+#: cp/decl.c:10729
 #, gcc-internal-format
 msgid "%qs has both %<extern%> and initializer"
 msgstr "%qs hat sowohl %<extern%> als auch Initialisierung"
 
-#: cp/decl.c:10880
+#: cp/decl.c:10874
 #, gcc-internal-format
 msgid "default argument %qE uses %qD"
 msgstr "Standardargument %qE verwendet %qD"
 
-#: cp/decl.c:10882
+#: cp/decl.c:10876
 #, gcc-internal-format
 msgid "default argument %qE uses local variable %qD"
 msgstr "Standardargument %qE verwendet lokale Variable %qD"
 
-#: cp/decl.c:10970
+#: cp/decl.c:10964
 #, gcc-internal-format
 msgid "parameter %qD has Java class type"
 msgstr "Parameter %qD hat Java-Klassentyp"
 
-#: cp/decl.c:10998
+#: cp/decl.c:10992
 #, gcc-internal-format
 msgid "parameter %qD invalidly declared method type"
 msgstr "Parameter %qD deklariert ungültigerweise Methodentyp"
 
-#: cp/decl.c:11023
+#: cp/decl.c:11017
 #, gcc-internal-format
 msgid "parameter %qD includes pointer to array of unknown bound %qT"
 msgstr "Parameter %qD bezieht Zeiger auf Feld mit unbekannter Grenze %qT ein"
 
-#: cp/decl.c:11025
+#: cp/decl.c:11019
 #, gcc-internal-format
 msgid "parameter %qD includes reference to array of unknown bound %qT"
 msgstr "Parameter %qD bezieht Referenz auf Feld mit unbekannter Grenze %qT ein"
@@ -30304,168 +30299,168 @@
 #. or implicitly defined), there's no need to worry about their
 #. existence.  Theoretically, they should never even be
 #. instantiated, but that's hard to forestall.
-#: cp/decl.c:11279
+#: cp/decl.c:11273
 #, gcc-internal-format
 msgid "invalid constructor; you probably meant %<%T (const %T&)%>"
 msgstr "ungültiger Konstruktor; wahrscheinlich war %<%T (const %T&)%> gemeint"
 
-#: cp/decl.c:11401
+#: cp/decl.c:11395
 #, gcc-internal-format
 msgid "%qD may not be declared within a namespace"
 msgstr "%qD darf nicht innerhalb eines Namensbereiches definiert werden"
 
-#: cp/decl.c:11406
+#: cp/decl.c:11400
 #, gcc-internal-format
 msgid "%qD may not be declared as static"
 msgstr "%qD darf nicht als »static« deklariert werden"
 
-#: cp/decl.c:11432
+#: cp/decl.c:11426
 #, gcc-internal-format
 msgid "%qD must be a nonstatic member function"
 msgstr "%qD muss eine nichtstatische Elementfunktion sein"
 
-#: cp/decl.c:11441
+#: cp/decl.c:11435
 #, gcc-internal-format
 msgid "%qD must be either a non-static member function or a non-member function"
 msgstr "%qD muss entweder eine nichtstatische Elementfunktion oder eine Nicht-Element-Funktion sein"
 
-#: cp/decl.c:11463
+#: cp/decl.c:11457
 #, gcc-internal-format
 msgid "%qD must have an argument of class or enumerated type"
 msgstr "%qD muss ein Argument von einem Klassen- oder Aufzählungstyp haben"
 
-#: cp/decl.c:11492
+#: cp/decl.c:11486
 #, gcc-internal-format
 msgid "conversion to a reference to void will never use a type conversion operator"
 msgstr "Umwandlung in Referenz auf void wird nie einen Typumwandlungsoperator verwenden"
 
-#: cp/decl.c:11494
+#: cp/decl.c:11488
 #, gcc-internal-format
 msgid "conversion to void will never use a type conversion operator"
 msgstr "Umwandlung in void wird nie einen Typumwandlungsoperator verwenden"
 
-#: cp/decl.c:11501
+#: cp/decl.c:11495
 #, gcc-internal-format
 msgid "conversion to a reference to the same type will never use a type conversion operator"
 msgstr "Umwandlung in Referenz auf gleichen Typ wird nie einen Typumwandlungsoperator verwenden"
 
-#: cp/decl.c:11503
+#: cp/decl.c:11497
 #, gcc-internal-format
 msgid "conversion to the same type will never use a type conversion operator"
 msgstr "Umwandlung in gleichen Typ wird nie einen Typumwandlungsoperator verwenden"
 
-#: cp/decl.c:11511
+#: cp/decl.c:11505
 #, gcc-internal-format
 msgid "conversion to a reference to a base class will never use a type conversion operator"
 msgstr "Umwandlung in Referenz auf Basisklasse wird nie einen Typumwandlungsoperator verwenden"
 
-#: cp/decl.c:11513
+#: cp/decl.c:11507
 #, gcc-internal-format
 msgid "conversion to a base class will never use a type conversion operator"
 msgstr "Umwandlung in Basisklasse wird nie einen Typumwandlungsoperator verwenden"
 
 #. 13.4.0.3
-#: cp/decl.c:11522
+#: cp/decl.c:11516
 #, gcc-internal-format
 msgid "ISO C++ prohibits overloading operator ?:"
 msgstr "ISO-C++ verbietet Überladen des Operators ?:"
 
-#: cp/decl.c:11527
+#: cp/decl.c:11521
 #, gcc-internal-format
 msgid "%qD must not have variable number of arguments"
 msgstr "»%qD« darf keine variable Argumentanzahl haben"
 
-#: cp/decl.c:11578
+#: cp/decl.c:11572
 #, gcc-internal-format
 msgid "postfix %qD must take %<int%> as its argument"
 msgstr "Suffix-%qD muss %<int%> als sein Argument nehmen"
 
-#: cp/decl.c:11581
+#: cp/decl.c:11575
 #, gcc-internal-format
 msgid "postfix %qD must take %<int%> as its second argument"
 msgstr "Suffix-%qD muss %<int%> als sein zweites Argument nehmen"
 
-#: cp/decl.c:11589
+#: cp/decl.c:11583
 #, gcc-internal-format
 msgid "%qD must take either zero or one argument"
 msgstr "%qD muss entweder null oder ein Argument nehmen"
 
-#: cp/decl.c:11591
+#: cp/decl.c:11585
 #, gcc-internal-format
 msgid "%qD must take either one or two arguments"
 msgstr "»%D« muss entweder ein oder zwei Argumente nehmen"
 
-#: cp/decl.c:11613
+#: cp/decl.c:11607
 #, gcc-internal-format
 msgid "prefix %qD should return %qT"
 msgstr "Präfix-%qD sollte %qT zurückgeben"
 
-#: cp/decl.c:11619
+#: cp/decl.c:11613
 #, gcc-internal-format
 msgid "postfix %qD should return %qT"
 msgstr "Suffix-%qD sollte %qT zurückgeben"
 
-#: cp/decl.c:11628
+#: cp/decl.c:11622
 #, gcc-internal-format
 msgid "%qD must take %<void%>"
 msgstr "%qD muss %<void%> nehmen"
 
-#: cp/decl.c:11630 cp/decl.c:11639
+#: cp/decl.c:11624 cp/decl.c:11633
 #, gcc-internal-format
 msgid "%qD must take exactly one argument"
 msgstr "%qD muss genau ein Argument nehmen"
 
-#: cp/decl.c:11641
+#: cp/decl.c:11635
 #, gcc-internal-format
 msgid "%qD must take exactly two arguments"
 msgstr "%qD muss genau zwei Argumente nehmen"
 
-#: cp/decl.c:11650
+#: cp/decl.c:11644
 #, gcc-internal-format
 msgid "user-defined %qD always evaluates both arguments"
 msgstr "benutzerdefiniertes %qD wertet immer beide Argumente aus"
 
-#: cp/decl.c:11664
+#: cp/decl.c:11658
 #, gcc-internal-format
 msgid "%qD should return by value"
 msgstr "%qD sollte Wert zurückgeben"
 
-#: cp/decl.c:11675 cp/decl.c:11680
+#: cp/decl.c:11669 cp/decl.c:11674
 #, gcc-internal-format
 msgid "%qD cannot have default arguments"
 msgstr "%qD kann keine Standardargumente haben"
 
-#: cp/decl.c:11741
+#: cp/decl.c:11732
 #, gcc-internal-format
 msgid "using template type parameter %qT after %qs"
 msgstr "Templatetyp-Parameter %qT wird nach %qs verwendet"
 
-#: cp/decl.c:11764
+#: cp/decl.c:11755
 #, gcc-internal-format
 msgid "using alias template specialization %qT after %qs"
 msgstr "Templatespezialisierung alias %qT hinter %qs wird verwendet"
 
-#: cp/decl.c:11767
+#: cp/decl.c:11758
 #, gcc-internal-format
 msgid "using typedef-name %qD after %qs"
 msgstr "typedef-Name %qD wird nach %qs verwendet"
 
-#: cp/decl.c:11769
+#: cp/decl.c:11760
 #, gcc-internal-format
 msgid "%qD has a previous declaration here"
 msgstr "%qD hat eine vorherige Deklaration hier"
 
-#: cp/decl.c:11777
+#: cp/decl.c:11768
 #, gcc-internal-format
 msgid "%qT referred to as %qs"
 msgstr "%qT als %qs verwendet"
 
-#: cp/decl.c:11778 cp/decl.c:11785
+#: cp/decl.c:11769 cp/decl.c:11776
 #, gcc-internal-format
 msgid "%q+T has a previous declaration here"
 msgstr "%q+T hat eine vorherige Deklaration hier"
 
-#: cp/decl.c:11784
+#: cp/decl.c:11775
 #, gcc-internal-format
 msgid "%qT referred to as enum"
 msgstr "%qT als enum verwendet"
@@ -30477,88 +30472,88 @@
 #. void f(class C);		// No template header here
 #.
 #. then the required template argument is missing.
-#: cp/decl.c:11799
+#: cp/decl.c:11790
 #, gcc-internal-format
 msgid "template argument required for %<%s %T%>"
 msgstr "Template-Argument für %<%s %T%> benötigt"
 
-#: cp/decl.c:11849 cp/name-lookup.c:3069
+#: cp/decl.c:11840 cp/name-lookup.c:3062
 #, gcc-internal-format
 msgid "%qD has the same name as the class in which it is declared"
 msgstr "%qD hat den gleichen Namen wie die Klasse, in der es deklariert wurde"
 
-#: cp/decl.c:11879 cp/name-lookup.c:2561 cp/name-lookup.c:3395
-#: cp/name-lookup.c:3440 cp/parser.c:5076 cp/parser.c:21175
+#: cp/decl.c:11870 cp/name-lookup.c:2561 cp/name-lookup.c:3390
+#: cp/name-lookup.c:3435 cp/parser.c:5076 cp/parser.c:21179
 #, gcc-internal-format
 msgid "reference to %qD is ambiguous"
 msgstr "Referenz auf %qD ist mehrdeutig"
 
-#: cp/decl.c:11994
+#: cp/decl.c:11985
 #, gcc-internal-format
 msgid "use of enum %q#D without previous declaration"
 msgstr "Verwendung des enum %q#D ohne vorherige Deklaration"
 
-#: cp/decl.c:12015
+#: cp/decl.c:12006
 #, gcc-internal-format
 msgid "redeclaration of %qT as a non-template"
 msgstr "Redeklaration von %qT als Nicht-Template"
 
-#: cp/decl.c:12016
+#: cp/decl.c:12007
 #, gcc-internal-format
 msgid "previous declaration %q+D"
 msgstr "vorherige Deklaration %q+D"
 
-#: cp/decl.c:12157
+#: cp/decl.c:12148
 #, gcc-internal-format
 msgid "derived union %qT invalid"
 msgstr "abgeleitete Union %qT ist ungültig"
 
-#: cp/decl.c:12166
+#: cp/decl.c:12157
 #, gcc-internal-format
 msgid "Java class %qT cannot have multiple bases"
 msgstr "Java-Klasse %qT kann nicht mehrere Basen haben"
 
-#: cp/decl.c:12177
+#: cp/decl.c:12168
 #, gcc-internal-format
 msgid "Java class %qT cannot have virtual bases"
 msgstr "Java-Klasse %qT kann keine virtuellen Basen haben"
 
-#: cp/decl.c:12197
+#: cp/decl.c:12188
 #, gcc-internal-format
 msgid "base type %qT fails to be a struct or class type"
 msgstr "Basistyp %qT ist kein struct- oder Klassentyp"
 
-#: cp/decl.c:12230
+#: cp/decl.c:12221
 #, gcc-internal-format
 msgid "recursive type %qT undefined"
 msgstr "rekursiver Typ %qT nicht definiert"
 
-#: cp/decl.c:12232
+#: cp/decl.c:12223
 #, gcc-internal-format
 msgid "duplicate base type %qT invalid"
 msgstr "doppelter Basistyp %qT ungültig"
 
-#: cp/decl.c:12356
+#: cp/decl.c:12347
 #, gcc-internal-format
 msgid "scoped/unscoped mismatch in enum %q#T"
 msgstr "falsche Zuordnung zwischen innerhalb und außerhalb eines Gültigkeitsbereiches in enum %q#T"
 
-#: cp/decl.c:12359 cp/decl.c:12367 cp/decl.c:12379 cp/parser.c:14742
+#: cp/decl.c:12350 cp/decl.c:12358 cp/decl.c:12370 cp/parser.c:14744
 #, gcc-internal-format
 msgid "previous definition here"
 msgstr "vorherige Definition hier"
 
-#: cp/decl.c:12364
+#: cp/decl.c:12355
 #, gcc-internal-format
 msgid "underlying type mismatch in enum %q#T"
 msgstr "falsche Zuordnung des zugrunde liegenden Typs in enum %q#T"
 
-#: cp/decl.c:12376
+#: cp/decl.c:12367
 #, gcc-internal-format
 msgid "different underlying type in enum %q#T"
 msgstr "anderer zugrunde liegender Typ in enum %q#T"
 
-#: cp/decl.c:12443
+#: cp/decl.c:12434
 #, gcc-internal-format
 msgid "underlying type %<%T%> of %<%T%> must be an integral type"
 msgstr "zugrunde liegender Typ %<%T%> von %<%T%> muss ein eingebauter Typ sein"
@@ -30567,82 +30562,82 @@
 #.
 #. IF no integral type can represent all the enumerator values, the
 #. enumeration is ill-formed.
-#: cp/decl.c:12577
+#: cp/decl.c:12568
 #, gcc-internal-format
 msgid "no integral type can represent all of the enumerator values for %qT"
 msgstr "kein Ganzzahltyp kann alle Aufzählungswerte für %qT darstellen"
 
-#: cp/decl.c:12718
+#: cp/decl.c:12709
 #, gcc-internal-format
 msgid "enumerator value for %qD is not an integer constant"
 msgstr "Aufzählungswert für %qD ist keine Ganzzahlkonstante"
 
-#: cp/decl.c:12764
+#: cp/decl.c:12755
 #, gcc-internal-format
 msgid "incremented enumerator value is too large for %<unsigned long%>"
 msgstr "erhöhter Aufzählungswert ist zu groß für %<unsigned long%>"
 
-#: cp/decl.c:12776
+#: cp/decl.c:12767
 #, gcc-internal-format
 msgid "overflow in enumeration values at %qD"
 msgstr "Überlauf in Aufzählungswerten bei %qD"
 
-#: cp/decl.c:12796
+#: cp/decl.c:12787
 #, gcc-internal-format
 msgid "enumerator value %E is too large for underlying type %<%T%>"
 msgstr "Aufzählungswert %E ist zu groß für zugrunde liegenden Typ %<%T%>"
 
-#: cp/decl.c:12886
+#: cp/decl.c:12877
 #, gcc-internal-format
 msgid "return type %q#T is incomplete"
 msgstr "Rückgabetyp %q#T ist unvollständig"
 
-#: cp/decl.c:12888
+#: cp/decl.c:12879
 #, gcc-internal-format
 msgid "return type has Java class type %q#T"
 msgstr "Rückgabetyp hat Java-Klassentyp %q#T"
 
-#: cp/decl.c:13012 cp/typeck.c:8247
+#: cp/decl.c:13003 cp/typeck.c:8252
 #, gcc-internal-format
 msgid "%<operator=%> should return a reference to %<*this%>"
 msgstr "%<operator=%> sollte eine Referenz auf %<*this%> zurück geben"
 
-#: cp/decl.c:13108
+#: cp/decl.c:13099
 #, gcc-internal-format
 msgid "no previous declaration for %q+D"
 msgstr "keine vorherige Deklaration für %q+D"
 
-#: cp/decl.c:13329
+#: cp/decl.c:13320
 #, gcc-internal-format
 msgid "invalid function declaration"
 msgstr "ungültige Funktionsdeklaration"
 
-#: cp/decl.c:13413
+#: cp/decl.c:13404
 #, gcc-internal-format
 msgid "parameter %qD declared void"
 msgstr "Parameter %qD leer definiert"
 
-#: cp/decl.c:13781
-#, fuzzy, gcc-internal-format
+#: cp/decl.c:13772
+#, gcc-internal-format
 msgid "no return statements in function returning %qT"
-msgstr "keine return-Anweisung in nicht void zurückgebender Funktion"
+msgstr "keine return-Anweisungen in %qT zurückgebender Funktion"
 
-#: cp/decl.c:13783 cp/typeck.c:8135
-#, fuzzy, gcc-internal-format
+#: cp/decl.c:13774 cp/typeck.c:8135
+#, gcc-internal-format
 msgid "only plain %<auto%> return type can be deduced to %<void%>"
-msgstr "Funktionsrückgabetypen nicht kompatibel wegen %<volatile%>"
+msgstr "nur einfacher Rückgabetyp %<auto%> kann zu %<void%> hergeleitet werden"
 
-#: cp/decl.c:13879
+#: cp/decl.c:13870
 #, gcc-internal-format
 msgid "parameter %q+D set but not used"
 msgstr "Parameter %q+D gesetzt, aber nicht verwendet"
 
-#: cp/decl.c:13974
+#: cp/decl.c:13965
 #, gcc-internal-format
 msgid "invalid member function declaration"
 msgstr "ungültige Elementfunktionsdeklaration"
 
-#: cp/decl.c:13988
+#: cp/decl.c:13979
 #, gcc-internal-format
 msgid "%qD is already defined in class %qT"
 msgstr "%qD ist bereits in Klasse %qT definiert"
@@ -30663,9 +30658,9 @@
 msgstr "ungültige Typen %<%T[%T]%> für Feldindex"
 
 #: cp/decl2.c:439
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "deleting array %q#E"
-msgstr "Feld %q#D wird gelöscht"
+msgstr "Feld %q#E wird gelöscht"
 
 #: cp/decl2.c:445
 #, gcc-internal-format
@@ -30874,101 +30869,101 @@
 msgstr "gelöschte Funktion %qD wird verwendet"
 
 #: cp/decl2.c:4537 cp/decl2.c:4594
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "use of %qD before deduction of %<auto%>"
-msgstr "Typ von %qD ist auf %<int%> voreingestellt"
+msgstr "Verwendung von %qD vor Herleitung von %<auto%>"
 
-#: cp/error.c:3327
+#: cp/error.c:3331
 #, gcc-internal-format
 msgid "extended initializer lists only available with -std=c++11 or -std=gnu++11"
 msgstr "erweiterte Initialisierungsliste nur mit -std=c++11 oder -std=gnu++11 verfügbar"
 
-#: cp/error.c:3332
+#: cp/error.c:3336
 #, gcc-internal-format
 msgid "explicit conversion operators only available with -std=c++11 or -std=gnu++11"
 msgstr "explizite Umwandlungsoperatoren nur mit -std=c++11 oder -std=gnu++11 verfügbar"
 
-#: cp/error.c:3337
+#: cp/error.c:3341
 #, gcc-internal-format
 msgid "variadic templates only available with -std=c++11 or -std=gnu++11"
 msgstr "variadische Templates nur mit -std=c++11 oder -std=gnu++11 verfügbar"
 
-#: cp/error.c:3342
+#: cp/error.c:3346
 #, gcc-internal-format
 msgid "lambda expressions only available with -std=c++11 or -std=gnu++11"
 msgstr "Lambda-Ausdrücke nur mit -std=c++11 oder -std=gnu++11 verfügbar"
 
-#: cp/error.c:3347
+#: cp/error.c:3351
 #, gcc-internal-format
 msgid "C++0x auto only available with -std=c++11 or -std=gnu++11"
 msgstr "C++0x »auto« nur mit -std=c++11 oder -std=gnu++11 verfügbar"
 
-#: cp/error.c:3351
+#: cp/error.c:3355
 #, gcc-internal-format
 msgid "scoped enums only available with -std=c++11 or -std=gnu++11"
 msgstr "enums mit Gültigkeitsbereich nur mit -std=c++11 oder -std=gnu++11 verfügbar"
 
-#: cp/error.c:3355
+#: cp/error.c:3359
 #, gcc-internal-format
 msgid "defaulted and deleted functions only available with -std=c++11 or -std=gnu++11"
 msgstr "Standard- und gelöschte Funktionen nur mit -std=c++11 oder -std=gnu++11 verfügbar"
 
-#: cp/error.c:3360
+#: cp/error.c:3364
 #, gcc-internal-format
 msgid "inline namespaces only available with -std=c++11 or -std=gnu++11"
 msgstr "»inline« Namensräume nur mit -std=c++11 oder -std=gnu++11 verfügbar"
 
-#: cp/error.c:3365
+#: cp/error.c:3369
 #, gcc-internal-format
 msgid "override controls (override/final) only available with -std=c++11 or -std=gnu++11"
 msgstr "Überschreibsteuerung (override/final) nur mit -std=c++11 oder -std=gnu++11 verfügbar"
 
-#: cp/error.c:3370
+#: cp/error.c:3374
 #, gcc-internal-format
 msgid "non-static data member initializers only available with -std=c++11 or -std=gnu++11"
 msgstr "nicht-statische Initialisierungen für Datenelemente nur mit -std=c++11 oder -std=gnu++11 verfügbar"
 
-#: cp/error.c:3375
+#: cp/error.c:3379
 #, gcc-internal-format
 msgid "user-defined literals only available with -std=c++11 or -std=gnu++11"
 msgstr "benutzerdefinierte Literale nur mit -std=c++11 oder -std=gnu++11 verfügbar"
 
-#: cp/error.c:3380
+#: cp/error.c:3384
 #, gcc-internal-format
 msgid "delegating constructors only available with -std=c++11 or -std=gnu++11"
 msgstr "delegierende Konstruktoren nur mit -std=c++11 oder -std=gnu++11 verfügbar"
 
-#: cp/error.c:3385
-#, fuzzy, gcc-internal-format
+#: cp/error.c:3389
+#, gcc-internal-format
 msgid "inheriting constructors only available with -std=c++11 or -std=gnu++11"
-msgstr "delegierende Konstruktoren nur mit -std=c++11 oder -std=gnu++11 verfügbar"
+msgstr "erbende Konstruktoren nur mit -std=c++11 oder -std=gnu++11 verfügbar"
 
-#: cp/error.c:3390
-#, fuzzy, gcc-internal-format
+#: cp/error.c:3394
+#, gcc-internal-format
 msgid "c++11 attributes only available with -std=c++11 or -std=gnu++11"
-msgstr "C++0x »auto« nur mit -std=c++11 oder -std=gnu++11 verfügbar"
+msgstr "C++11-Attribute nur mit -std=c++11 oder -std=gnu++11 verfügbar"
 
-#: cp/error.c:3439
+#: cp/error.c:3443
 #, gcc-internal-format
 msgid "incomplete type %qT used in nested name specifier"
 msgstr "unvollständiger Typ %qT in geschachtelter Namensangabe verwendet"
 
-#: cp/error.c:3443
+#: cp/error.c:3447
 #, gcc-internal-format
 msgid "reference to %<%T::%D%> is ambiguous"
 msgstr "Referenz auf %<%T::%D%> ist mehrdeutig"
 
-#: cp/error.c:3448 cp/typeck.c:2260
+#: cp/error.c:3452 cp/typeck.c:2260
 #, gcc-internal-format
 msgid "%qD is not a member of %qT"
 msgstr "%qD ist kein Element von %qT"
 
-#: cp/error.c:3452
+#: cp/error.c:3456
 #, gcc-internal-format
 msgid "%qD is not a member of %qD"
 msgstr "%qD ist kein Element von %qD"
 
-#: cp/error.c:3457
+#: cp/error.c:3461
 #, gcc-internal-format
 msgid "%<::%D%> has not been declared"
 msgstr "%<::%D%> wurde nicht deklariert"
@@ -31021,14 +31016,14 @@
 msgstr "Ausdruck %qE von abstraktem Klassentyp %qT kann nicht in throw-Ausdruck verwendet werden"
 
 #: cp/except.c:981
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "cannot declare catch parameter to be of abstract class type %qT"
-msgstr "Parameter %q+D kann nicht als vom abstrakten Typ %qT deklariert werden"
+msgstr "Catch-Parameter kann nicht mit abstraktem Klassentyp %qT deklariert werden"
 
 #: cp/except.c:989
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "cannot declare catch parameter to be of rvalue reference type %qT"
-msgstr "Parameter %q+D kann nicht als vom abstrakten Typ %qT deklariert werden"
+msgstr "Catch-Parameter kann nicht mit R-Wert-Referenztyp %qT deklariert werden"
 
 #: cp/except.c:1075
 #, gcc-internal-format
@@ -31162,7 +31157,7 @@
 #: cp/init.c:544
 #, gcc-internal-format
 msgid "constructor required before non-static data member for %qD has been parsed"
-msgstr ""
+msgstr "Konstruktor erforderlich, bevor nicht-statisches Datenelement von %qD eingelesen wird"
 
 #: cp/init.c:564
 #, gcc-internal-format
@@ -31325,24 +31320,24 @@
 msgstr "nicht initialisiertes konstantes Element in %q#T"
 
 #: cp/init.c:2254
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "integer overflow in array size"
-msgstr "Ganzzahlüberlauf in Ausdruck"
+msgstr "Ganzzahlüberlauf in Feldgröße"
 
 #: cp/init.c:2264
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "array size in operator new must be constant"
-msgstr "Variable »%s« bei %L muss in diesem Kontext eine Konstante sein"
+msgstr "Feldgröße im Operator »new« muss konstant sein"
 
 #: cp/init.c:2278
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "variably modified type not allowed in operator new"
-msgstr "variabel modifiziertes Feld im Dateibereich"
+msgstr "im Operator »new« ist kein variabel modifizierter Typ erlaubt"
 
 #: cp/init.c:2292
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "ISO C++ does not support variable-length array types"
-msgstr "ISO-C unterstützt keine sättigenden Typen"
+msgstr "ISO-C++ unterstützt keine Feldtypen variabler Länge"
 
 #: cp/init.c:2300
 #, gcc-internal-format
@@ -31522,7 +31517,7 @@
 #: cp/mangle.c:2881
 #, gcc-internal-format
 msgid "use of built-in trait %qE in function signature; use library traits instead"
-msgstr ""
+msgstr "Verwendung der eingebauten Eigenschaft %qE in Funktionssignatur; stattdessen sollten Bibliothekseigenschaften verwendet werden"
 
 #: cp/mangle.c:2886
 #, gcc-internal-format, gfc-internal-format
@@ -31608,7 +31603,7 @@
 #: cp/method.c:1345
 #, gcc-internal-format
 msgid "defaulted move assignment for %qT calls a non-trivial move assignment operator for virtual base %qT"
-msgstr ""
+msgstr "Standard-Kopierzuweisung für %qT ruft nichttrivialen Operator zur Kopierzuweisung für virtuelle Basis %qT auf"
 
 #: cp/method.c:1431
 #, gcc-internal-format
@@ -31848,99 +31843,99 @@
 msgid "%qD not declared"
 msgstr "%qD nicht deklariert"
 
-#: cp/name-lookup.c:3218
+#: cp/name-lookup.c:3211
 #, gcc-internal-format
 msgid "using-declaration for non-member at class scope"
 msgstr "»using«-Deklaration für Nicht-Element im Gültigkeitsbereich der Klasse"
 
-#: cp/name-lookup.c:3225
+#: cp/name-lookup.c:3218
 #, gcc-internal-format
 msgid "%<%T::%D%> names destructor"
 msgstr "%<%T::%D%> benennt Destruktor"
 
-#: cp/name-lookup.c:3236
+#: cp/name-lookup.c:3231
 #, gcc-internal-format
 msgid "%<%T::%D%> names constructor in %qT"
 msgstr "%<%T::%D%> benennt Konstruktor in %qT"
 
-#: cp/name-lookup.c:3287
+#: cp/name-lookup.c:3282
 #, gcc-internal-format
 msgid "no members matching %<%T::%D%> in %q#T"
 msgstr "kein Element passt zu %<%T::%D%> in %q#T"
 
-#: cp/name-lookup.c:3374
+#: cp/name-lookup.c:3369
 #, gcc-internal-format
 msgid "declaration of %qD not in a namespace surrounding %qD"
 msgstr "Deklaration von %qD nicht in einem Namensbereich um %qD"
 
-#: cp/name-lookup.c:3382
+#: cp/name-lookup.c:3377
 #, gcc-internal-format
 msgid "explicit qualification in declaration of %qD"
 msgstr "explizite Qualifizierung in Deklaration von %qD"
 
-#: cp/name-lookup.c:3465
+#: cp/name-lookup.c:3460
 #, gcc-internal-format
 msgid "%qD should have been declared inside %qD"
 msgstr "%qD sollte innerhalb von %qD deklariert werden"
 
-#: cp/name-lookup.c:3509
+#: cp/name-lookup.c:3504
 #, gcc-internal-format
 msgid "%qD attribute requires a single NTBS argument"
 msgstr "Attribut %qD erfordert ein einzelnes NTBS-Argument"
 
-#: cp/name-lookup.c:3516
+#: cp/name-lookup.c:3511
 #, gcc-internal-format
 msgid "%qD attribute is meaningless since members of the anonymous namespace get local symbols"
 msgstr "Attribut %qD ist bedeutungslos, da die Elemente des anonymen Namensraums lokale Symbole erhalten"
 
-#: cp/name-lookup.c:3524 cp/name-lookup.c:3936
+#: cp/name-lookup.c:3519 cp/name-lookup.c:3931
 #, gcc-internal-format
 msgid "%qD attribute directive ignored"
 msgstr "Attribut-Anweisung %qD wird ignoriert"
 
-#: cp/name-lookup.c:3588
+#: cp/name-lookup.c:3583
 #, gcc-internal-format
 msgid "namespace alias %qD not allowed here, assuming %qD"
 msgstr "Namensbereich-Alias %qD ist hier nicht erlaubt, %qD angenommen"
 
-#: cp/name-lookup.c:3924
+#: cp/name-lookup.c:3919
 #, gcc-internal-format
 msgid "strong using only meaningful at namespace scope"
 msgstr "starkes »using« ist nur im Gültigkeitsbereich des Namensbereiches sinnvoll"
 
-#: cp/name-lookup.c:3928
+#: cp/name-lookup.c:3923
 #, gcc-internal-format
 msgid "current namespace %qD does not enclose strongly used namespace %qD"
 msgstr "aktueller Namensbereich %qD schließt nicht stark verwendeten Namensbereich %qD ein"
 
-#: cp/name-lookup.c:4267
+#: cp/name-lookup.c:4262
 #, gcc-internal-format
 msgid "maximum limit of %d namespaces searched for %qE"
 msgstr "obere Grenze von %d Namensräumen für %qE durchsucht"
 
-#: cp/name-lookup.c:4277
+#: cp/name-lookup.c:4272
 #, gcc-internal-format
 msgid "suggested alternative:"
 msgid_plural "suggested alternatives:"
 msgstr[0] "empfohlene Alternative:"
 msgstr[1] "empfohlene Alternativen:"
 
-#: cp/name-lookup.c:4281
+#: cp/name-lookup.c:4276
 #, gcc-internal-format
 msgid "  %qE"
 msgstr "  %qE"
 
-#: cp/name-lookup.c:5551
+#: cp/name-lookup.c:5546
 #, gcc-internal-format
 msgid "argument dependent lookup finds %q+D"
 msgstr "Argumentabhängiges Nachschlagen findet %q+D"
 
-#: cp/name-lookup.c:6088
+#: cp/name-lookup.c:6083
 #, gcc-internal-format
 msgid "XXX entering pop_everything ()\n"
 msgstr "XXX Eintritt in pop_everything ()\n"
 
-#: cp/name-lookup.c:6097
+#: cp/name-lookup.c:6092
 #, gcc-internal-format
 msgid "XXX leaving pop_everything ()\n"
 msgstr "XXX pop_everything () wird verlassen\n"
@@ -32046,9 +32041,9 @@
 msgstr "%qT ist kein Template"
 
 #: cp/parser.c:2591
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%qE is not a class template"
-msgstr "%qE ist kein Template"
+msgstr "%qE ist kein Klassentemplate"
 
 #: cp/parser.c:2593
 #, gcc-internal-format
@@ -32065,7 +32060,7 @@
 msgid "floating-point literal cannot appear in a constant-expression"
 msgstr "Gleitkommaliteral kann nicht in einem Konstanten-Ausdruck auftreten"
 
-#: cp/parser.c:2633 cp/pt.c:13527
+#: cp/parser.c:2633 cp/pt.c:13522
 #, gcc-internal-format
 msgid "a cast to a type other than an integral or enumeration type cannot appear in a constant-expression"
 msgstr "Eine Typumwandlung, die weder zu ganzzahligen noch Aufzählungstypen führt, kann nicht in einem Konstantenausdruck auftreten"
@@ -32214,19 +32209,19 @@
 msgstr "Operator %qD für Zeichenliterale mit Argument %qT kann nicht gefunden werden"
 
 #: cp/parser.c:3682
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "integer literal exceeds range of %qT type"
-msgstr "Gleitkommakonstante überschreitet Wertebereich von %qT"
+msgstr "Ganzzahlliteral überschreitet Wertebereich des Typs %qT"
 
 #: cp/parser.c:3688
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "floating literal exceeds range of %qT type"
-msgstr "Gleitkommakonstante überschreitet Wertebereich von %qT"
+msgstr "Gleitkommaliteral überschreitet Wertebereich des Typs %qT"
 
 #: cp/parser.c:3692
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "floating literal truncated to zero"
-msgstr "Gleitkommakonstante auf Null abgeschnitten"
+msgstr "Gleitkommaliteral auf Null abgeschnitten"
 
 #: cp/parser.c:3735
 #, gcc-internal-format
@@ -32308,7 +32303,7 @@
 msgid "literal operator suffixes not preceded by %<_%> are reserved for future standardization"
 msgstr "Literale Operator-Suffixe ohne vorangehendes %<_%> sind für zukünftige Standardisierungen reserviert"
 
-#: cp/parser.c:4857 cp/parser.c:16496
+#: cp/parser.c:4857 cp/parser.c:16498
 #, gcc-internal-format
 msgid "expected unqualified-id"
 msgstr "unqualifiziertes ID erwartet"
@@ -32353,7 +32348,7 @@
 #: cp/parser.c:5653
 #, gcc-internal-format
 msgid "two consecutive %<[%> shall only introduce an attribute"
-msgstr ""
+msgstr "zwei aufeinander folgende %<[%> sollten nur ein Attribut einführen"
 
 #: cp/parser.c:5999
 #, gcc-internal-format
@@ -32481,9 +32476,9 @@
 msgstr "Standardargument für Lambda-Parameter angegeben"
 
 #: cp/parser.c:8885
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "attributes at the beginning of statement are ignored"
-msgstr "Attribute hinter geklammerter Initialisierung werden ignoriert"
+msgstr "Attribute am Anfang der Anweisung werden ignoriert"
 
 #: cp/parser.c:8913
 #, gcc-internal-format
@@ -32510,7 +32505,7 @@
 msgid "compound-statement in constexpr function"
 msgstr "zusammengesetzte Anweisung in Funktion als konstantem Audruck"
 
-#: cp/parser.c:9298 cp/parser.c:23016
+#: cp/parser.c:9298 cp/parser.c:23020
 #, gcc-internal-format
 msgid "expected selection-statement"
 msgstr "Auswahl-Anweisung erwartet"
@@ -32540,7 +32535,7 @@
 msgid "inconsistent begin/end types in range-based %<for%> statement: %qT and %qT"
 msgstr "unvereinbare Anfang-/Ende-Typen in bereichsbasierter %<for%>-Anweisung: %qT und %qT"
 
-#: cp/parser.c:9889 cp/parser.c:23019
+#: cp/parser.c:9889 cp/parser.c:23023
 #, gcc-internal-format
 msgid "expected iteration-statement"
 msgstr "Iterationsanweisung erwartet"
@@ -32556,12 +32551,12 @@
 msgid "ISO C++ forbids computed gotos"
 msgstr "ISO-C++ verbietet berechnete Gotos"
 
-#: cp/parser.c:10071 cp/parser.c:23022
+#: cp/parser.c:10071 cp/parser.c:23026
 #, gcc-internal-format
 msgid "expected jump-statement"
 msgstr "Sprunganweisung erwartet"
 
-#: cp/parser.c:10203 cp/parser.c:19157
+#: cp/parser.c:10203 cp/parser.c:19161
 #, gcc-internal-format
 msgid "extra %<;%>"
 msgstr "zusätzliches %<;%>"
@@ -32598,7 +32593,7 @@
 msgid "class definition may not be declared a friend"
 msgstr "Klassendefinition darf nicht als »friend« deklariert sein"
 
-#: cp/parser.c:11034 cp/parser.c:19551
+#: cp/parser.c:11034 cp/parser.c:19555
 #, gcc-internal-format
 msgid "templates may not be %<virtual%>"
 msgstr "Templates dürfen nicht %<virtual%> sein"
@@ -32619,9 +32614,9 @@
 msgstr "ungültige Verwendung von %<auto%> in Umwandlungsoperator"
 
 #: cp/parser.c:11471
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "use of %<auto%> in member template conversion operator can never be deduced"
-msgstr "ungültige Verwendung von %<auto%> in Umwandlungsoperator"
+msgstr "Verwendung von %<auto%> in Umwandlungsoperator von Elementtemplate kann niemals hergeleitet werden"
 
 #: cp/parser.c:11560
 #, gcc-internal-format
@@ -32679,12 +32674,12 @@
 msgid "keyword %<export%> not implemented, and will be ignored"
 msgstr "Schlüsselwort %<export%> nicht implementiert, und wird ignoriert"
 
-#: cp/parser.c:12317 cp/parser.c:12415 cp/parser.c:12522 cp/parser.c:17611
+#: cp/parser.c:12317 cp/parser.c:12415 cp/parser.c:12522 cp/parser.c:17613
 #, gcc-internal-format
 msgid "template parameter pack %qD cannot have a default argument"
 msgstr "Templateparameterpack %qD kann kein Standardargument haben"
 
-#: cp/parser.c:12321 cp/parser.c:17619
+#: cp/parser.c:12321 cp/parser.c:17621
 #, gcc-internal-format
 msgid "template parameter pack cannot have a default argument"
 msgstr "Templateparameterpack kann kein Standardargument haben"
@@ -32699,7 +32694,7 @@
 msgid "expected template-id"
 msgstr "Template-ID erwartet"
 
-#: cp/parser.c:12658 cp/parser.c:22980
+#: cp/parser.c:12658 cp/parser.c:22984
 #, gcc-internal-format
 msgid "expected %<<%>"
 msgstr "%<%> erwartet"
@@ -32715,9 +32710,9 @@
 msgstr "%<<:%> ist eine andere Schreibweise für %<[%>. Leerraum zwischen %<<%> und %<::%> einfügen"
 
 #: cp/parser.c:12673
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "(if you use %<-fpermissive%> or %<-std=c++11%>, or %<-std=gnu++11%> G++ will accept your code)"
-msgstr "(G++ wird den Code mit »-fpermissive« akzeptieren)"
+msgstr "(bei Verwendung von %<-fpermissive%>, %<-std=c++11%> oder %<-std=gnu++11%> wird G++ den Code akzeptieren)"
 
 #: cp/parser.c:12750
 #, gcc-internal-format
@@ -32791,163 +32786,163 @@
 msgid "elaborated-type-specifier for a scoped enum must not use the %<%D%> keyword"
 msgstr "ausführliche Typ-Spezifikation für einen enum mit Gültigkeitsbereich darf nicht das Schlüsselwort %<%D%> verwenden"
 
-#: cp/parser.c:14355
+#: cp/parser.c:14357
 #, gcc-internal-format
 msgid "declaration %qD does not declare anything"
 msgstr "Deklaration %qD deklariert nichts"
 
-#: cp/parser.c:14441
+#: cp/parser.c:14443
 #, gcc-internal-format
 msgid "attributes ignored on uninstantiated type"
 msgstr "Attribute an instanziiertem Typen ignoriert"
 
-#: cp/parser.c:14445
+#: cp/parser.c:14447
 #, gcc-internal-format
 msgid "attributes ignored on template instantiation"
 msgstr "Attribute an Templateinstanziierung ignoriert"
 
-#: cp/parser.c:14450
+#: cp/parser.c:14452
 #, gcc-internal-format
 msgid "attributes ignored on elaborated-type-specifier that is not a forward declaration"
 msgstr "Attribute an Spezifizierer ausführlichen Typs ignoriert, der keine Vorwärtsdeklaration ist"
 
-#: cp/parser.c:14584
+#: cp/parser.c:14586
 #, gcc-internal-format
 msgid "%qD is an enumeration template"
 msgstr "%qD ist ein Aufzählungstemplate"
 
-#: cp/parser.c:14592
+#: cp/parser.c:14594
 #, gcc-internal-format
 msgid "%qD is not an enumerator-name"
 msgstr "%qD ist kein Aufzählungsname"
 
-#: cp/parser.c:14655
+#: cp/parser.c:14657
 #, gcc-internal-format
 msgid "expected %<;%> or %<{%>"
 msgstr "%<;%> oder %<{%> erwartet"
 
-#: cp/parser.c:14703
+#: cp/parser.c:14705
 #, gcc-internal-format
 msgid "cannot add an enumerator list to a template instantiation"
 msgstr "Aufzählungsliste kann nicht zu Template-Instantiierung hinzugefügt werden"
 
-#: cp/parser.c:14712 cp/parser.c:18714
+#: cp/parser.c:14714 cp/parser.c:18718
 #, gcc-internal-format
 msgid "declaration of %qD in namespace %qD which does not enclose %qD"
 msgstr "Deklaration von %qD in Namensraum %qD, der nicht %qD einschließt"
 
-#: cp/parser.c:14717 cp/parser.c:18719
+#: cp/parser.c:14719 cp/parser.c:18723
 #, gcc-internal-format
 msgid "declaration of %qD in %qD which does not enclose %qD"
 msgstr "Deklaration von %qD in %qD, das nicht %qD einschließt"
 
-#: cp/parser.c:14740
+#: cp/parser.c:14742
 #, gcc-internal-format
 msgid "multiple definition of %q#T"
 msgstr "mehrfache Definition von %q#T"
 
-#: cp/parser.c:14767
+#: cp/parser.c:14769
 #, gcc-internal-format
 msgid "opaque-enum-specifier without name"
 msgstr "intransparente Enum-Spezifikation ohne Namen"
 
-#: cp/parser.c:14770
+#: cp/parser.c:14772
 #, gcc-internal-format
 msgid "opaque-enum-specifier must use a simple identifier"
 msgstr "intransparente Enum-Spezifikation muss einfachen Bezeichner verwenden"
 
-#: cp/parser.c:14946
+#: cp/parser.c:14948
 #, gcc-internal-format
 msgid "%qD is not a namespace-name"
 msgstr "%qD ist kein Namensbereichs-Name"
 
-#: cp/parser.c:14947
+#: cp/parser.c:14949
 #, gcc-internal-format
 msgid "expected namespace-name"
 msgstr "Namensraumname erwartet"
 
-#: cp/parser.c:15072
+#: cp/parser.c:15074
 #, gcc-internal-format
 msgid "%<namespace%> definition is not allowed here"
 msgstr "%<namespace%>-Definition ist hier nicht erlaubt"
 
-#: cp/parser.c:15218
+#: cp/parser.c:15220
 #, gcc-internal-format
 msgid "a template-id may not appear in a using-declaration"
 msgstr "eine Template-ID darf nicht in »using«-Deklaration auftreten"
 
-#: cp/parser.c:15258
+#: cp/parser.c:15260
 #, gcc-internal-format
 msgid "access declarations are deprecated in favour of using-declarations; suggestion: add the %<using%> keyword"
 msgstr "Zugriffsdeklarationen sind zugunsten von %<using%>-Deklarationen veraltet; Vorschlag: %<using%> hinzufügen"
 
-#: cp/parser.c:15323
+#: cp/parser.c:15325
 #, gcc-internal-format
 msgid "types may not be defined in alias template declarations"
 msgstr "Typen dürfen nicht in Alias-Templatedeklarationen definiert werden"
 
-#: cp/parser.c:15787
+#: cp/parser.c:15789
 #, gcc-internal-format
 msgid "a function-definition is not allowed here"
 msgstr "eine Funktionsdefinition ist hier nicht erlaubt"
 
-#: cp/parser.c:15799
+#: cp/parser.c:15801
 #, gcc-internal-format
 msgid "an asm-specification is not allowed on a function-definition"
 msgstr "asm-Spezifikation ist bei Funktionsdefinition nicht erlaubt"
 
-#: cp/parser.c:15803
+#: cp/parser.c:15805
 #, gcc-internal-format
 msgid "attributes are not allowed on a function-definition"
 msgstr "bei einer Funktionsdefinition sind keine Attribute erlaubt"
 
-#: cp/parser.c:15840
+#: cp/parser.c:15842
 #, gcc-internal-format
 msgid "expected constructor, destructor, or type conversion"
 msgstr "Konstruktor, Destruktor oder Typumwandlung erwartet"
 
 #. Anything else is an error.
-#: cp/parser.c:15875 cp/parser.c:17782
+#: cp/parser.c:15877 cp/parser.c:17784
 #, gcc-internal-format
 msgid "expected initializer"
 msgstr "Initialisierung erwartet"
 
-#: cp/parser.c:15895
+#: cp/parser.c:15897
 #, gcc-internal-format
 msgid "invalid type in declaration"
 msgstr "ungültiger Typ in Deklaration"
 
-#: cp/parser.c:15971
+#: cp/parser.c:15973
 #, gcc-internal-format
 msgid "initializer provided for function"
 msgstr "Initialisierung für Funktion bereitgestellt"
 
-#: cp/parser.c:16005
+#: cp/parser.c:16007
 #, gcc-internal-format
 msgid "attributes after parenthesized initializer ignored"
 msgstr "Attribute hinter geklammerter Initialisierung werden ignoriert"
 
-#: cp/parser.c:16416
+#: cp/parser.c:16418
 #, gcc-internal-format
 msgid "array bound is not an integer constant"
 msgstr "Feldgrenze ist keine Ganzzahlkonstante"
 
-#: cp/parser.c:16542
+#: cp/parser.c:16544
 #, gcc-internal-format
 msgid "cannot define member of dependent typedef %qT"
 msgstr "Element des abhängigen Typedef %qT kann nicht definiert werden"
 
-#: cp/parser.c:16546
+#: cp/parser.c:16548
 #, gcc-internal-format
 msgid "%<%T::%E%> is not a type"
 msgstr "%<%T::%E%> ist kein Typ"
 
-#: cp/parser.c:16574
+#: cp/parser.c:16576
 #, gcc-internal-format
 msgid "invalid use of constructor as a template"
 msgstr "ungültige Benutzung des Konstruktors als Template"
 
-#: cp/parser.c:16576
+#: cp/parser.c:16578
 #, gcc-internal-format
 msgid "use %<%T::%D%> instead of %<%T::%D%> to name the constructor in a qualified name"
 msgstr "%<%T::%D%> statt %<%T::%D%> verwenden, um den Konstruktor mit qualifiziertem Namen zu benennen"
@@ -32956,262 +32951,262 @@
 #. here because we do not have enough
 #. information about its original syntactic
 #. form.
-#: cp/parser.c:16593
+#: cp/parser.c:16595
 #, gcc-internal-format
 msgid "invalid declarator"
 msgstr "ungültiger Deklarator"
 
-#: cp/parser.c:16660
+#: cp/parser.c:16662
 #, gcc-internal-format
 msgid "expected declarator"
 msgstr "Deklarator erwartet"
 
-#: cp/parser.c:16763
+#: cp/parser.c:16765
 #, gcc-internal-format
 msgid "%qD is a namespace"
 msgstr "%qD ist ein Namensbereich"
 
-#: cp/parser.c:16765
+#: cp/parser.c:16767
 #, gcc-internal-format
 msgid "cannot form pointer to member of non-class %q#T"
 msgstr "Zeiger auf Element der Nicht-Klasse %q#T kann nicht erzeugt werden"
 
-#: cp/parser.c:16786
+#: cp/parser.c:16788
 #, gcc-internal-format
 msgid "expected ptr-operator"
 msgstr "Ptr-Operator erwartet"
 
-#: cp/parser.c:16845
+#: cp/parser.c:16847
 #, gcc-internal-format
 msgid "duplicate cv-qualifier"
 msgstr "doppelter CV-Qualifizierer"
 
-#: cp/parser.c:16903
+#: cp/parser.c:16905
 #, gcc-internal-format
 msgid "duplicate virt-specifier"
 msgstr "doppelter Virt-Spezifizierer"
 
-#: cp/parser.c:17065 cp/typeck2.c:448 cp/typeck2.c:1685
+#: cp/parser.c:17067 cp/typeck2.c:448 cp/typeck2.c:1685
 #, gcc-internal-format
 msgid "invalid use of %<auto%>"
 msgstr "ungültige Verwendung von %<auto%>"
 
-#: cp/parser.c:17084
+#: cp/parser.c:17086
 #, gcc-internal-format
 msgid "types may not be defined in template arguments"
 msgstr "in Template-Argumenten dürfen keine Typen definiert werden"
 
-#: cp/parser.c:17165
+#: cp/parser.c:17167
 #, gcc-internal-format
 msgid "expected type-specifier"
 msgstr "Typspezifikation erwartet"
 
-#: cp/parser.c:17407
+#: cp/parser.c:17409
 #, gcc-internal-format
 msgid "expected %<,%> or %<...%>"
 msgstr "%<,%> oder %<...%> erwartet"
 
-#: cp/parser.c:17464
+#: cp/parser.c:17466
 #, gcc-internal-format
 msgid "types may not be defined in parameter types"
 msgstr "Typen dürfen nicht in Parametertypen definiert werden"
 
-#: cp/parser.c:17590
+#: cp/parser.c:17592
 #, gcc-internal-format
 msgid "deprecated use of default argument for parameter of non-function"
 msgstr "veraltete Verwendung des Standardarguments für Parameter einer Nicht-Funktion"
 
-#: cp/parser.c:17594
+#: cp/parser.c:17596
 #, gcc-internal-format
 msgid "default arguments are only permitted for function parameters"
 msgstr "Standardargumente sind nur für Funktionsparameter zugelassen"
 
-#: cp/parser.c:17613
+#: cp/parser.c:17615
 #, gcc-internal-format
 msgid "parameter pack %qD cannot have a default argument"
 msgstr "Parameterpack %qD kann kein Standardargument haben"
 
-#: cp/parser.c:17621
+#: cp/parser.c:17623
 #, gcc-internal-format
 msgid "parameter pack cannot have a default argument"
 msgstr "Parameterpack kann kein Standardargument haben"
 
-#: cp/parser.c:17910
+#: cp/parser.c:17914
 #, gcc-internal-format
 msgid "ISO C++ does not allow designated initializers"
 msgstr "ISO-C++ erlaubt keine benannten Initialisierungen"
 
-#: cp/parser.c:17924
+#: cp/parser.c:17928
 #, gcc-internal-format
 msgid "ISO C++ does not allow C99 designated initializers"
 msgstr "ISO-C++ erlaubt keine benannten Initialisierungen von C99"
 
-#: cp/parser.c:18032 cp/parser.c:18157
+#: cp/parser.c:18036 cp/parser.c:18161
 #, gcc-internal-format
 msgid "expected class-name"
 msgstr "Klassenname erwartet"
 
-#: cp/parser.c:18337
+#: cp/parser.c:18341
 #, gcc-internal-format
 msgid "expected %<;%> after class definition"
 msgstr "%<;%> hinter Klassendefinition erwartet"
 
-#: cp/parser.c:18339
+#: cp/parser.c:18343
 #, gcc-internal-format
 msgid "expected %<;%> after struct definition"
 msgstr "%<;%> hinter Strukturdefinition erwartet"
 
-#: cp/parser.c:18341
+#: cp/parser.c:18345
 #, gcc-internal-format
 msgid "expected %<;%> after union definition"
 msgstr "%<;%> hinter Uniondefinition erwartet"
 
-#: cp/parser.c:18662
+#: cp/parser.c:18666
 #, gcc-internal-format
 msgid "expected %<{%> or %<:%>"
 msgstr "%<{%> oder %<:%> erwartet"
 
-#: cp/parser.c:18673
+#: cp/parser.c:18677
 #, gcc-internal-format
 msgid "cannot specify %<override%> for a class"
 msgstr "für eine Klasse kann kein %<override%> angegeben werden"
 
-#: cp/parser.c:18681
+#: cp/parser.c:18685
 #, gcc-internal-format
 msgid "global qualification of class name is invalid"
 msgstr "globale Qualifizierung von Klassenname ist ungültig"
 
-#: cp/parser.c:18688
+#: cp/parser.c:18692
 #, gcc-internal-format
 msgid "qualified name does not name a class"
 msgstr "qualifizierter Name benennt keine Klasse"
 
-#: cp/parser.c:18700
+#: cp/parser.c:18704
 #, gcc-internal-format
 msgid "invalid class name in declaration of %qD"
 msgstr "ungültiger Klassenname in Deklaration von %qD"
 
-#: cp/parser.c:18733
+#: cp/parser.c:18737
 #, gcc-internal-format
 msgid "extra qualification not allowed"
 msgstr "zusätzliche Qualifizierung nicht erlaubt"
 
-#: cp/parser.c:18745
+#: cp/parser.c:18749
 #, gcc-internal-format
 msgid "an explicit specialization must be preceded by %<template <>%>"
 msgstr "einer expliziten Spezialisierung muss %<template <>%> vorausgehen"
 
-#: cp/parser.c:18775
+#: cp/parser.c:18779
 #, gcc-internal-format
 msgid "function template %qD redeclared as a class template"
 msgstr "Funktions-Template %qD als Klassentemplate redeklariert"
 
-#: cp/parser.c:18806
+#: cp/parser.c:18810
 #, gcc-internal-format
 msgid "could not resolve typename type"
 msgstr "Typnamen-Typ kann nicht aufgelöst werden"
 
-#: cp/parser.c:18858
+#: cp/parser.c:18862
 #, gcc-internal-format
 msgid "previous definition of %q+#T"
 msgstr "vorherige Definition von %q+#T"
 
-#: cp/parser.c:18939 cp/parser.c:23025
+#: cp/parser.c:18943 cp/parser.c:23029
 #, gcc-internal-format
 msgid "expected class-key"
 msgstr "Klassenschlüssel erwartet"
 
-#: cp/parser.c:19177
+#: cp/parser.c:19181
 #, gcc-internal-format
 msgid "in C++03 a class-key must be used when declaring a friend"
 msgstr "in C++03 muss bei Deklaration eines »friend« ein Klassenschlüssel verwendet werden"
 
-#: cp/parser.c:19195
+#: cp/parser.c:19199
 #, gcc-internal-format
 msgid "friend declaration does not name a class or function"
 msgstr "»friend«-Deklaration benennt keine Klasse oder Funktion"
 
-#: cp/parser.c:19213
+#: cp/parser.c:19217
 #, gcc-internal-format
 msgid "a storage class on an anonymous aggregate in class scope is not allowed"
-msgstr ""
+msgstr "Speicherklasse an anonymem Aggregat im Klassenbereich ist nicht erlaubt"
 
-#: cp/parser.c:19418
+#: cp/parser.c:19422
 #, gcc-internal-format
 msgid "pure-specifier on function-definition"
 msgstr "reiner Spezifizierer bei Funktionsdefinition"
 
-#: cp/parser.c:19462
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:19466
+#, gcc-internal-format
 msgid "stray %<,%> at end of member declaration"
-msgstr "%<;%> am Ende von Elementdeklaration erwartet"
+msgstr "überflüssiges %<,%> am Ende der Elementdeklaration"
 
-#: cp/parser.c:19474
+#: cp/parser.c:19478
 #, gcc-internal-format
 msgid "expected %<;%> at end of member declaration"
 msgstr "%<;%> am Ende von Elementdeklaration erwartet"
 
-#: cp/parser.c:19545
+#: cp/parser.c:19549
 #, gcc-internal-format
 msgid "invalid pure specifier (only %<= 0%> is allowed)"
 msgstr "ungültige reine Spezifikation (nur %<= 0%> ist erlaubt)"
 
-#: cp/parser.c:19580
+#: cp/parser.c:19584
 #, gcc-internal-format
 msgid "a brace-enclosed initializer is not allowed here"
 msgstr "eine geschweift geklammerte Initialisierung ist hier nicht erlaubt"
 
-#: cp/parser.c:19711
+#: cp/parser.c:19715
 #, gcc-internal-format
 msgid "%<virtual%> specified more than once in base-specified"
 msgstr "%<virtual%> mehr als einmal in Basisspezifikation angegeben"
 
-#: cp/parser.c:19731
+#: cp/parser.c:19735
 #, gcc-internal-format
 msgid "more than one access specifier in base-specified"
 msgstr "mehr als ein Zugriff in Basisspezifikation angegeben"
 
-#: cp/parser.c:19755
+#: cp/parser.c:19759
 #, gcc-internal-format
 msgid "keyword %<typename%> not allowed outside of templates"
 msgstr "Schlüsselwort %<typename%> nicht außerhalb von Templates erlaubt"
 
-#: cp/parser.c:19758
+#: cp/parser.c:19762
 #, gcc-internal-format
 msgid "keyword %<typename%> not allowed in this context (the base class is implicitly a type)"
 msgstr "Schlüsselwort %<typename%> nicht erlaubt in diesem Kontext (die Basisklasse ist implizit ein Typ)"
 
-#: cp/parser.c:19851 cp/parser.c:19933
+#: cp/parser.c:19855 cp/parser.c:19937
 #, gcc-internal-format
 msgid "types may not be defined in an exception-specification"
 msgstr "Typen dürfen nicht in einer Ausnahmespezifikation definiert werden"
 
-#: cp/parser.c:19915
+#: cp/parser.c:19919
 #, gcc-internal-format
 msgid "dynamic exception specifications are deprecated in C++0x; use %<noexcept%> instead"
 msgstr "dynamische Ausnahmespezifikationen sind in C++0x veraltet; stattdessen %<noexcept%> verwenden"
 
-#: cp/parser.c:20114
+#: cp/parser.c:20118
 #, gcc-internal-format
 msgid "types may not be defined in exception-declarations"
 msgstr "Typen dürfen nicht in Ausnahmedeklarationen definiert werden"
 
-#: cp/parser.c:20665
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:20669
+#, gcc-internal-format
 msgid "expected an identifier for the attribute name"
-msgstr "Bezeichner oder %<(%> erwartet"
+msgstr "Bezeichner für den Attributnamen erwartet"
 
-#: cp/parser.c:21334
+#: cp/parser.c:21338
 #, gcc-internal-format
 msgid "specializing member %<%T::%E%> requires %<template<>%> syntax"
 msgstr "spezialisierendes Element %<%T::%E%> erfordert Syntax %<template<>%>"
 
-#: cp/parser.c:21339
+#: cp/parser.c:21343
 #, gcc-internal-format
 msgid "invalid declaration of %<%T::%E%>"
 msgstr "ungültige Deklaration von  %<%T::%E%>"
 
-#: cp/parser.c:21343
+#: cp/parser.c:21347
 #, gcc-internal-format
 msgid "too few template-parameter-lists"
 msgstr "zu wenige Templateparameterlisten"
@@ -33220,342 +33215,342 @@
 #. something like:
 #.
 #. template <class T> template <class U> void S::f();
-#: cp/parser.c:21350
+#: cp/parser.c:21354
 #, gcc-internal-format
 msgid "too many template-parameter-lists"
 msgstr "zu viele Templateparameterlisten"
 
-#: cp/parser.c:21647
+#: cp/parser.c:21651
 #, gcc-internal-format
 msgid "named return values are no longer supported"
 msgstr "benannte Rückgabewerte werden nicht mehr unterstützt"
 
-#: cp/parser.c:21734
+#: cp/parser.c:21738
 #, gcc-internal-format
 msgid "invalid declaration of member template in local class"
 msgstr "ungültige Deklaration eines Elementtemplates in lokaler Klasse"
 
-#: cp/parser.c:21743
+#: cp/parser.c:21747
 #, gcc-internal-format
 msgid "template with C linkage"
 msgstr "Template mit C-Bindung"
 
-#: cp/parser.c:21762
+#: cp/parser.c:21766
 #, gcc-internal-format
 msgid "invalid explicit specialization"
 msgstr "ungültige explizite Spezialisierung"
 
-#: cp/parser.c:21849
+#: cp/parser.c:21853
 #, gcc-internal-format
 msgid "literal operator template %qD has invalid parameter list.  Expected non-type template argument pack <char...>"
 msgstr "Literales Operatortemplate %qD hat ungültige Parameterliste. Template für Nicht-Typ Argumentpack <char...> erwartet"
 
-#: cp/parser.c:21923
+#: cp/parser.c:21927
 #, gcc-internal-format
 msgid "template declaration of %<typedef%>"
 msgstr "Templatedeklaration von %<typedef%>"
 
-#: cp/parser.c:22000
+#: cp/parser.c:22004
 #, gcc-internal-format
 msgid "explicit template specialization cannot have a storage class"
 msgstr "explizite Template-Spezialisierung kann keine Speicherklasse haben"
 
-#: cp/parser.c:22238
+#: cp/parser.c:22242
 #, gcc-internal-format
 msgid "%<>>%> should be %<> >%> within a nested template argument list"
 msgstr "%<>>%> sollte innerhalb einer geschachtelten Templateargumentliste %<> >%> sein"
 
-#: cp/parser.c:22251
+#: cp/parser.c:22255
 #, gcc-internal-format
 msgid "spurious %<>>%>, use %<>%> to terminate a template argument list"
 msgstr "falsches %<>>%>; %<>%> verwenden, um eine Templateargumentliste zu beenden"
 
-#: cp/parser.c:22608
+#: cp/parser.c:22612
 #, gcc-internal-format
 msgid "%<sizeof...%> argument must be surrounded by parentheses"
-msgstr ""
+msgstr "Argument von %<sizeof...%> muss mit Klammern umschlossen werden"
 
-#: cp/parser.c:22660
+#: cp/parser.c:22664
 #, gcc-internal-format
 msgid "invalid use of %qD in linkage specification"
 msgstr "ungültige Verwendung von %qD in Spezifizierung der Bindung"
 
-#: cp/parser.c:22675
+#: cp/parser.c:22679
 #, gcc-internal-format
 msgid "%<__thread%> before %qD"
 msgstr "%<__thread%> vor %qD"
 
-#: cp/parser.c:22809
+#: cp/parser.c:22813
 #, gcc-internal-format
 msgid "ISO C++ 1998 does not support %<long long%>"
 msgstr "ISO-C++ 1998 unterstützt nicht %<long long%>"
 
-#: cp/parser.c:22817
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:22821
+#, gcc-internal-format
 msgid "both %<__thread%> and %<thread_local%> specified"
-msgstr "sowohl %<_Sat%> als auch %<char%> in Deklaration"
+msgstr "sowohl %<__thread%> als auch %<thread_local%> angegeben"
 
-#: cp/parser.c:22819
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:22823
+#, gcc-internal-format
 msgid "duplicate %qD"
-msgstr "doppeltes %qE"
+msgstr "doppeltes %qD"
 
-#: cp/parser.c:22841
+#: cp/parser.c:22845
 #, gcc-internal-format
 msgid "duplicate %qs"
 msgstr "doppeltes %qs"
 
-#: cp/parser.c:22883
+#: cp/parser.c:22887
 #, gcc-internal-format
 msgid "expected %<new%>"
 msgstr "%<new%> erwartet"
 
-#: cp/parser.c:22886
+#: cp/parser.c:22890
 #, gcc-internal-format
 msgid "expected %<delete%>"
 msgstr "%<delete%> erwartet"
 
-#: cp/parser.c:22889
+#: cp/parser.c:22893
 #, gcc-internal-format
 msgid "expected %<return%>"
 msgstr "%<return%> erwartet"
 
-#: cp/parser.c:22895
+#: cp/parser.c:22899
 #, gcc-internal-format
 msgid "expected %<extern%>"
 msgstr "%<extern%> erwartet"
 
-#: cp/parser.c:22898
+#: cp/parser.c:22902
 #, gcc-internal-format
 msgid "expected %<static_assert%>"
 msgstr "%<static_assert%> erwartet"
 
-#: cp/parser.c:22901
+#: cp/parser.c:22905
 #, gcc-internal-format
 msgid "expected %<decltype%>"
 msgstr "%<decltype%> erwartet"
 
-#: cp/parser.c:22904
+#: cp/parser.c:22908
 #, gcc-internal-format
 msgid "expected %<operator%>"
 msgstr "%<operator%> erwartet"
 
-#: cp/parser.c:22907
+#: cp/parser.c:22911
 #, gcc-internal-format
 msgid "expected %<class%>"
 msgstr "%<class%> erwartet"
 
-#: cp/parser.c:22910
+#: cp/parser.c:22914
 #, gcc-internal-format
 msgid "expected %<template%>"
 msgstr "%<template%> erwartet"
 
-#: cp/parser.c:22913
+#: cp/parser.c:22917
 #, gcc-internal-format
 msgid "expected %<namespace%>"
 msgstr "%<namespace%> erwartet"
 
-#: cp/parser.c:22916
+#: cp/parser.c:22920
 #, gcc-internal-format
 msgid "expected %<using%>"
 msgstr "%<using%> erwartet"
 
-#: cp/parser.c:22919
+#: cp/parser.c:22923
 #, gcc-internal-format
 msgid "expected %<asm%>"
 msgstr "%<asm%> erwartet"
 
-#: cp/parser.c:22922
+#: cp/parser.c:22926
 #, gcc-internal-format
 msgid "expected %<try%>"
 msgstr "%<try%> erwartet"
 
-#: cp/parser.c:22925
+#: cp/parser.c:22929
 #, gcc-internal-format
 msgid "expected %<catch%>"
 msgstr "%<catch%> erwartet"
 
-#: cp/parser.c:22928
+#: cp/parser.c:22932
 #, gcc-internal-format
 msgid "expected %<throw%>"
 msgstr "%<throw%> erwartet"
 
-#: cp/parser.c:22931
+#: cp/parser.c:22935
 #, gcc-internal-format
 msgid "expected %<__label__%>"
 msgstr "%<__label__%> erwartet"
 
-#: cp/parser.c:22934
+#: cp/parser.c:22938
 #, gcc-internal-format
 msgid "expected %<@try%>"
 msgstr "%<@try%> erwartet"
 
-#: cp/parser.c:22937
+#: cp/parser.c:22941
 #, gcc-internal-format
 msgid "expected %<@synchronized%>"
 msgstr "%<@synchronized%> erwartet"
 
-#: cp/parser.c:22940
+#: cp/parser.c:22944
 #, gcc-internal-format
 msgid "expected %<@throw%>"
 msgstr "%<@throw%> erwartet"
 
-#: cp/parser.c:22943
+#: cp/parser.c:22947
 #, gcc-internal-format
 msgid "expected %<__transaction_atomic%>"
 msgstr "%<__transaction_atomic%> erwartet"
 
-#: cp/parser.c:22946
+#: cp/parser.c:22950
 #, gcc-internal-format
 msgid "expected %<__transaction_relaxed%>"
 msgstr "%<__transaction_relaxed%> erwartet"
 
-#: cp/parser.c:22977
+#: cp/parser.c:22981
 #, gcc-internal-format
 msgid "expected %<::%>"
 msgstr "%<::%> erwartet"
 
-#: cp/parser.c:22989
+#: cp/parser.c:22993
 #, gcc-internal-format
 msgid "expected %<...%>"
 msgstr "%<...%> erwartet"
 
-#: cp/parser.c:22992
+#: cp/parser.c:22996
 #, gcc-internal-format
 msgid "expected %<*%>"
 msgstr "%<*%> erwartet"
 
-#: cp/parser.c:22995
+#: cp/parser.c:22999
 #, gcc-internal-format
 msgid "expected %<~%>"
 msgstr "%<~%> erwartet"
 
-#: cp/parser.c:23001
+#: cp/parser.c:23005
 #, gcc-internal-format
 msgid "expected %<:%> or %<::%>"
 msgstr "%<:%> oder %<::%> erwartet"
 
-#: cp/parser.c:23029
+#: cp/parser.c:23033
 #, gcc-internal-format
 msgid "expected %<class%>, %<typename%>, or %<template%>"
 msgstr "%<class%>, %<typename%> oder %<template%> erwartet"
 
-#: cp/parser.c:23267
+#: cp/parser.c:23271
 #, gcc-internal-format
 msgid "%qs tag used in naming %q#T"
 msgstr "Markierung %qs bei Benennung von %q#T verwendet"
 
-#: cp/parser.c:23272
+#: cp/parser.c:23276
 #, gcc-internal-format
 msgid "%q#T was previously declared here"
 msgstr "%q#T wurde vorher hier deklariert"
 
-#: cp/parser.c:23291
+#: cp/parser.c:23295
 #, gcc-internal-format
 msgid "%qD redeclared with different access"
 msgstr "%qD mit anderem Zugriff redeklariert"
 
-#: cp/parser.c:23312
-#, fuzzy, gcc-internal-format
+#: cp/parser.c:23316
+#, gcc-internal-format
 msgid "in C++98 %<template%> (as a disambiguator) is only allowed within templates"
-msgstr "%<template%> (zur Erklärung) ist nur innerhalb von Templates erlaubt"
+msgstr "in C++98 ist %<template%> (zum eindeutig machen) nur innerhalb von Templates erlaubt"
 
-#: cp/parser.c:23544
+#: cp/parser.c:23548
 #, gcc-internal-format
 msgid "file ends in default argument"
 msgstr "Datei endet in Standardargument"
 
-#: cp/parser.c:23748 cp/parser.c:25010 cp/parser.c:25196
+#: cp/parser.c:23752 cp/parser.c:25014 cp/parser.c:25200
 #, gcc-internal-format
 msgid "misplaced %<@%D%> Objective-C++ construct"
 msgstr "unpassendes Objective-C++-Konstrukt %<@%D%>"
 
-#: cp/parser.c:23870
+#: cp/parser.c:23874
 #, gcc-internal-format
 msgid "objective-c++ message argument(s) are expected"
 msgstr "Objective-C++ Nachrichtenargument(e) erwartet"
 
-#: cp/parser.c:23899
+#: cp/parser.c:23903
 #, gcc-internal-format
 msgid "%<@encode%> must specify a type as an argument"
 msgstr "%<@encode%> muss als Argument einen Typen angeben"
 
-#: cp/parser.c:24275
+#: cp/parser.c:24279
 #, gcc-internal-format
 msgid "invalid Objective-C++ selector name"
 msgstr "Ungültiger Objective-C++-Selektorname"
 
-#: cp/parser.c:24350 cp/parser.c:24368
+#: cp/parser.c:24354 cp/parser.c:24372
 #, gcc-internal-format
 msgid "objective-c++ method declaration is expected"
 msgstr "Objective-C++ Methodendeklaration erwartet"
 
-#: cp/parser.c:24362 cp/parser.c:24427
+#: cp/parser.c:24366 cp/parser.c:24431
 #, gcc-internal-format
 msgid "method attributes must be specified at the end"
 msgstr "Methodenattribute müssen am Ende angegeben werden"
 
-#: cp/parser.c:24470
+#: cp/parser.c:24474
 #, gcc-internal-format
 msgid "stray %qs between Objective-C++ methods"
 msgstr "überflüssiges %qs zwischen Objective-C++ Methoden"
 
-#: cp/parser.c:24676 cp/parser.c:24683 cp/parser.c:24690
+#: cp/parser.c:24680 cp/parser.c:24687 cp/parser.c:24694
 #, gcc-internal-format
 msgid "invalid type for instance variable"
 msgstr "ungültiger Typ für Instanzvariable"
 
-#: cp/parser.c:24804
+#: cp/parser.c:24808
 #, gcc-internal-format
 msgid "identifier expected after %<@protocol%>"
 msgstr "Bezeichner nach %<@protocol%> erwartet"
 
-#: cp/parser.c:24975
+#: cp/parser.c:24979
 #, gcc-internal-format
 msgid "attributes may not be specified before the %<@%D%> Objective-C++ keyword"
 msgstr "Attribute dürfen nicht vor dem Objective-C++-Schlüsselwort %<@%D%> angegeben werden"
 
-#: cp/parser.c:24982
+#: cp/parser.c:24986
 #, gcc-internal-format
 msgid "prefix attributes are ignored before %<@%D%>"
 msgstr "Präfix-Attribute vor %<@%D%> werden ignoriert"
 
-#: cp/parser.c:25255 cp/parser.c:25262 cp/parser.c:25269
+#: cp/parser.c:25259 cp/parser.c:25266 cp/parser.c:25273
 #, gcc-internal-format
 msgid "invalid type for property"
 msgstr "ungültiger Typ für Eigenschaft"
 
-#: cp/parser.c:27000
+#: cp/parser.c:27004
 #, gcc-internal-format
 msgid "parenthesized initialization is not allowed in OpenMP %<for%> loop"
 msgstr "geklammerte Initialisierung ist in OpenMP-%<for%>-Schleife nicht erlaubt"
 
-#: cp/parser.c:27168 cp/pt.c:12695
+#: cp/parser.c:27172 cp/pt.c:12690
 #, gcc-internal-format
 msgid "iteration variable %qD should not be reduction"
 msgstr "Schleifenvariable %qD sollte nicht Reduktion sein"
 
-#: cp/parser.c:27238
+#: cp/parser.c:27242
 #, gcc-internal-format
 msgid "not enough collapsed for loops"
 msgstr "zu wenig zusammengefallen für Schleifen"
 
-#: cp/parser.c:27796 cp/semantics.c:5105
+#: cp/parser.c:27800 cp/semantics.c:5105
 #, gcc-internal-format
 msgid "%<__transaction_relaxed%> without transactional memory support enabled"
 msgstr "%<__transaction_relaxed%> ohne eingeschaltete Unterstützung für transaktionsgebundenen Speicher"
 
-#: cp/parser.c:27798 cp/semantics.c:5107
+#: cp/parser.c:27802 cp/semantics.c:5107
 #, gcc-internal-format
 msgid "%<__transaction_atomic%> without transactional memory support enabled"
 msgstr "%<__transaction_atomic%> ohne eingeschaltete Unterstützung für transaktionsgebundenen Speicher"
 
-#: cp/parser.c:27995
+#: cp/parser.c:27999
 #, gcc-internal-format
 msgid "junk at end of %<#pragma GCC pch_preprocess%>"
 msgstr "Ausschuss am Ende von %<#pragma GCC pch_preprocess%>"
 
-#: cp/parser.c:28174
+#: cp/parser.c:28178
 #, gcc-internal-format
 msgid "inter-module optimizations not implemented for C++"
 msgstr "Optimierungen zwischen Modulen noch nicht implementiert für C++"
@@ -33606,9 +33601,9 @@
 msgstr "Name der Klasse verdeckt Template-Templateparameter %qD"
 
 #: cp/pt.c:823
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "specialization of alias template %qD"
-msgstr "partielle Spezialisierung des Alias-Template %qD"
+msgstr "Spezialisierung des Alias-Template %qD"
 
 #: cp/pt.c:826 cp/pt.c:957
 #, gcc-internal-format
@@ -33643,14 +33638,14 @@
 msgstr "Spezialisierung von %qD nach Instanziierung"
 
 #: cp/pt.c:1747
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "candidate is: %#D"
-msgstr "Kandidat ist: %+#D"
+msgstr "Kandidat ist: %#D"
 
 #: cp/pt.c:1754
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%s %#D"
-msgstr "%s %+#D"
+msgstr "%s %#D"
 
 #: cp/pt.c:1848
 #, gcc-internal-format
@@ -33672,20 +33667,20 @@
 msgid "ambiguous template specialization %qD for %q+D"
 msgstr "mehrdeutige Templatespezialisierung %qD für %q+D"
 
-#: cp/pt.c:2273 cp/pt.c:17968
+#: cp/pt.c:2273 cp/pt.c:17964
 #, gcc-internal-format
 msgid "%qD is not a static data member of a class template"
 msgstr "%qD ist kein statisches Datenelement eines Klassentemplates"
 
 #: cp/pt.c:2277
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "too many template headers for %D (should be %d)"
-msgstr "falsche Anzahl der Templateargumente (%d, sollte %d sein)"
+msgstr "zu viele Templateheaders für %D (sollte %d sein)"
 
 #: cp/pt.c:2281
 #, gcc-internal-format
 msgid "members of an explicitly specialized class are defined without a template header"
-msgstr ""
+msgstr "Elemente einer explizit spezialisierten Klasse sind ohne Templateheader definiert"
 
 #. This case handles bogus declarations like template <>
 #. template <class T> void f<int>();
@@ -33810,12 +33805,12 @@
 #: cp/pt.c:4118
 #, gcc-internal-format
 msgid "partial specialization is not more specialized than the primary template because it replaces multiple parameters with a pack expansion"
-msgstr ""
+msgstr "partielle Spezialisierung ist nicht näher spezialisiert als das ursprüngliche Template, da es mehrere Parameter mit einer »pack«-Erweiterung ersetzt"
 
 #: cp/pt.c:4121
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "primary template here"
-msgstr "vorher hier deklariert"
+msgstr "ursprüngliches Template hier"
 
 #: cp/pt.c:4168
 #, gcc-internal-format
@@ -34001,9 +33996,9 @@
 msgstr "es muss die Adresse einer Funktion mit externer Bindung sein"
 
 #: cp/pt.c:5137
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "it must be the name of a function with external linkage"
-msgstr "es muss die Adresse einer Funktion mit externer Bindung sein"
+msgstr "es muss der Name einer Funktion mit externer Bindung sein"
 
 #: cp/pt.c:5145
 #, gcc-internal-format
@@ -34307,9 +34302,9 @@
 msgstr "Argumentpacklängen passen nicht bei Auflösung von %<%E%>"
 
 #: cp/pt.c:9886
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "  when instantiating default argument for call to %D"
-msgstr "Redefinition des Standardarguments für %q#D"
+msgstr "  bei Instanziierung des Standardarguments für Aufruf von %D"
 
 #: cp/pt.c:10478
 #, gcc-internal-format
@@ -34329,252 +34324,252 @@
 #.
 #. is an attempt to declare a variable with function
 #. type.
-#: cp/pt.c:10656
+#: cp/pt.c:10651
 #, gcc-internal-format
 msgid "variable %qD has function type"
 msgstr "Variable %qD hat Funktionstyp"
 
-#: cp/pt.c:10828
+#: cp/pt.c:10823
 #, gcc-internal-format
 msgid "invalid parameter type %qT"
 msgstr "ungültiger Parametertyp %qT"
 
-#: cp/pt.c:10830
+#: cp/pt.c:10825
 #, gcc-internal-format
 msgid "in declaration %q+D"
 msgstr "in Deklaration %q+D"
 
-#: cp/pt.c:10906
+#: cp/pt.c:10901
 #, gcc-internal-format
 msgid "function returning an array"
 msgstr "Funktion gibt ein Feld zurück"
 
-#: cp/pt.c:10908
+#: cp/pt.c:10903
 #, gcc-internal-format
 msgid "function returning a function"
 msgstr "Funktion gibt eine Funktion"
 
-#: cp/pt.c:10938
+#: cp/pt.c:10933
 #, gcc-internal-format
 msgid "creating pointer to member function of non-class type %qT"
 msgstr "Erzeugung eines Zeigers auf Elementfunktion des Nicht-Klassentyps %qT"
 
-#: cp/pt.c:11503
+#: cp/pt.c:11498
 #, gcc-internal-format
 msgid "forming reference to void"
 msgstr "Referenz auf »void« wird gebildet"
 
-#: cp/pt.c:11505
+#: cp/pt.c:11500
 #, gcc-internal-format
 msgid "forming pointer to reference type %qT"
 msgstr "Zeiger auf Referenztyp %qT wird geformt"
 
-#: cp/pt.c:11507
+#: cp/pt.c:11502
 #, gcc-internal-format
 msgid "forming reference to reference type %qT"
 msgstr "Referenz auf Referenztyp %qT wird geformt"
 
-#: cp/pt.c:11556
+#: cp/pt.c:11551
 #, gcc-internal-format
 msgid "creating pointer to member of non-class type %qT"
 msgstr "Zeiger auf Element des Nicht-Klassentypen %qT wird erzeugt"
 
-#: cp/pt.c:11562
+#: cp/pt.c:11557
 #, gcc-internal-format
 msgid "creating pointer to member reference type %qT"
 msgstr "Zeiger auf Elementreferenztyp %qT wird erzeugt"
 
-#: cp/pt.c:11568
+#: cp/pt.c:11563
 #, gcc-internal-format
 msgid "creating pointer to member of type void"
 msgstr "Zeiger auf Element mit Typ »void« wird erzeugt"
 
-#: cp/pt.c:11630
+#: cp/pt.c:11625
 #, gcc-internal-format
 msgid "creating array of %qT"
 msgstr "Feld von %qT wird erzeugt"
 
-#: cp/pt.c:11636
+#: cp/pt.c:11631
 #, gcc-internal-format
 msgid "creating array of %qT, which is an abstract class type"
 msgstr "Feld von %qT wird erzeugt, was ein abstrakter Klassentyp ist"
 
-#: cp/pt.c:11665
+#: cp/pt.c:11660
 #, gcc-internal-format
 msgid "%qT is not a class, struct, or union type"
 msgstr "%qT ist kein Klassen-, Struktur- oder Union-Typ"
 
-#: cp/pt.c:11702
+#: cp/pt.c:11697
 #, gcc-internal-format
 msgid "%qT resolves to %qT, which is not an enumeration type"
 msgstr "%qT wird in %qT aufgelöst, was kein Aufzählungstyp ist"
 
-#: cp/pt.c:11710
+#: cp/pt.c:11705
 #, gcc-internal-format
 msgid "%qT resolves to %qT, which is is not a class type"
 msgstr "%qT wird in %qT aufgelöst, was kein Klassentyp ist"
 
-#: cp/pt.c:11827
+#: cp/pt.c:11822
 #, gcc-internal-format
 msgid "use of %qs in template"
 msgstr "Verwendung von %qs in Template"
 
-#: cp/pt.c:11969
+#: cp/pt.c:11964
 #, gcc-internal-format
 msgid "qualifying type %qT does not match destructor name ~%qT"
 msgstr "qualifizierender Typ %qT passt nicht zum Destruktornamen ~%qT"
 
-#: cp/pt.c:11984
+#: cp/pt.c:11979
 #, gcc-internal-format
 msgid "dependent-name %qE is parsed as a non-type, but instantiation yields a type"
 msgstr "Abhängigenname %qE wird als Nicht-Typ erkannt, aber die Instanziierung liefert einen Typ"
 
-#: cp/pt.c:11986
+#: cp/pt.c:11981
 #, gcc-internal-format
 msgid "say %<typename %E%> if a type is meant"
 msgstr "%<typename %E%> sagen, wenn ein Typ gemeint ist"
 
-#: cp/pt.c:12134
+#: cp/pt.c:12129
 #, gcc-internal-format
 msgid "using invalid field %qD"
 msgstr "ungültiges Feld %qD wird verwendet"
 
-#: cp/pt.c:12502 cp/pt.c:13323
+#: cp/pt.c:12497 cp/pt.c:13318
 #, gcc-internal-format
 msgid "invalid use of pack expansion expression"
 msgstr "falsche Benutzung eines Packauflösungs-Ausdruckes"
 
-#: cp/pt.c:12506 cp/pt.c:13327
+#: cp/pt.c:12501 cp/pt.c:13322
 #, gcc-internal-format
 msgid "use %<...%> to expand argument pack"
 msgstr "%<...%> verwenden, um Argumentpack aufzulösen"
 
-#: cp/pt.c:13973
+#: cp/pt.c:13968
 #, gcc-internal-format
 msgid "%qD was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation"
 msgstr "%qD wurde in diesem Gültigkeitsbereich nicht deklariert, und bei argumentabhängiger Suche am Ort der Instanziierung wurden keine Deklarationen gefunden"
 
-#: cp/pt.c:13982
+#: cp/pt.c:13977
 #, gcc-internal-format
 msgid "declarations in dependent base %qT are not found by unqualified lookup"
 msgstr "Deklarationen in abhängiger Basis %qT wurden bei unqualifizierter Suche nicht gefunden"
 
-#: cp/pt.c:13987
+#: cp/pt.c:13982
 #, gcc-internal-format
 msgid "use %<this->%D%> instead"
 msgstr "stattdessen %<this->%D%> verwenden"
 
-#: cp/pt.c:13990
+#: cp/pt.c:13985
 #, gcc-internal-format
 msgid "use %<%T::%D%> instead"
 msgstr "stattdessen %<%T::%D%> verwenden"
 
-#: cp/pt.c:13994
+#: cp/pt.c:13989
 #, gcc-internal-format
 msgid "%q+D declared here, later in the translation unit"
 msgstr "%q+D hier deklariert, später in Übersetzungseinheit"
 
-#: cp/pt.c:14254
+#: cp/pt.c:14249
 #, gcc-internal-format
 msgid "%qT is not a class or namespace"
 msgstr "%qT ist keine Klasse oder Namensbereich"
 
-#: cp/pt.c:14257
+#: cp/pt.c:14252
 #, gcc-internal-format
 msgid "%qD is not a class or namespace"
 msgstr "%qD ist keine Klasse oder Namensbereich"
 
-#: cp/pt.c:14563
+#: cp/pt.c:14558
 #, gcc-internal-format
 msgid "%qT is/uses anonymous type"
 msgstr "%qT ist/verwendet anonymen Typen"
 
-#: cp/pt.c:14565
+#: cp/pt.c:14560
 #, gcc-internal-format
 msgid "template argument for %qD uses local type %qT"
 msgstr "Templateargument für %qD verwendet lokalen Typ %qT"
 
-#: cp/pt.c:14575
+#: cp/pt.c:14570
 #, gcc-internal-format
 msgid "%qT is a variably modified type"
 msgstr "%qT ist ein variabel modifizierter Typ"
 
-#: cp/pt.c:14589
+#: cp/pt.c:14584
 #, gcc-internal-format
 msgid "integral expression %qE is not constant"
 msgstr "Ganzzahlausdruck %qE ist nicht konstant"
 
-#: cp/pt.c:14607
+#: cp/pt.c:14602
 #, gcc-internal-format
 msgid "  trying to instantiate %qD"
 msgstr "  Versuch, %qD zu instanziieren"
 
-#: cp/pt.c:17925
+#: cp/pt.c:17921
 #, gcc-internal-format
 msgid "ambiguous class template instantiation for %q#T"
 msgstr "mehrdeutige Klassentemplate-Instanziierung für %q#T"
 
-#: cp/pt.c:17929
+#: cp/pt.c:17925
 #, gcc-internal-format
 msgid "%s %+#T"
 msgstr "%s %+#T"
 
-#: cp/pt.c:17953 cp/pt.c:18036
+#: cp/pt.c:17949 cp/pt.c:18032
 #, gcc-internal-format
 msgid "explicit instantiation of non-template %q#D"
 msgstr "explizite Instanziierung des Nicht-Templates %q#D"
 
-#: cp/pt.c:17974 cp/pt.c:18031
+#: cp/pt.c:17970 cp/pt.c:18027
 #, gcc-internal-format
 msgid "no matching template for %qD found"
 msgstr "kein passendes Template für %qD gefunden"
 
-#: cp/pt.c:17979
+#: cp/pt.c:17975
 #, gcc-internal-format
 msgid "type %qT for explicit instantiation %qD does not match declared type %qT"
 msgstr "Typ %qT für explizite Instanziierung %qD passt nicht zum deklarierten Typ %qT"
 
-#: cp/pt.c:17987
+#: cp/pt.c:17983
 #, gcc-internal-format
 msgid "explicit instantiation of %q#D"
 msgstr "explizite Instanziierung von %q#D"
 
-#: cp/pt.c:18023
+#: cp/pt.c:18019
 #, gcc-internal-format
 msgid "duplicate explicit instantiation of %q#D"
 msgstr "doppelte explizite Instanziierung von %q#D"
 
-#: cp/pt.c:18046 cp/pt.c:18143
+#: cp/pt.c:18042 cp/pt.c:18139
 #, gcc-internal-format
 msgid "ISO C++ 1998 forbids the use of %<extern%> on explicit instantiations"
 msgstr "ISO-C++ 1998 verbietet die Verwendung von %<extern%> bei expliziten Instanziierungen"
 
-#: cp/pt.c:18051 cp/pt.c:18160
+#: cp/pt.c:18047 cp/pt.c:18156
 #, gcc-internal-format
 msgid "storage class %qD applied to template instantiation"
 msgstr "Speicherklasse %qD auf Templateinstanziierung angewendet"
 
-#: cp/pt.c:18119
+#: cp/pt.c:18115
 #, gcc-internal-format
 msgid "explicit instantiation of non-class template %qD"
 msgstr "explizite Instanziierung des Nicht-Klassen-Templates %qD"
 
-#: cp/pt.c:18121
+#: cp/pt.c:18117
 #, gcc-internal-format
 msgid "explicit instantiation of non-template type %qT"
 msgstr "explizite Instanziierung des Nicht-Templatetyps %qT"
 
-#: cp/pt.c:18130
+#: cp/pt.c:18126
 #, gcc-internal-format
 msgid "explicit instantiation of %q#T before definition of template"
 msgstr "explizite Instanziierung von %q#T vor Definition des Templates"
 
-#: cp/pt.c:18148
+#: cp/pt.c:18144
 #, gcc-internal-format
 msgid "ISO C++ forbids the use of %qE on explicit instantiations"
 msgstr "ISO-C++ verbietet die Verwendung von %qE bei expliziten Instanziierungen"
 
-#: cp/pt.c:18194
+#: cp/pt.c:18190
 #, gcc-internal-format
 msgid "duplicate explicit instantiation of %q#T"
 msgstr "doppelte explizite Instanziierung von %q#T"
@@ -34586,47 +34581,47 @@
 #. member function or static data member of a class template
 #. shall be present in every translation unit in which it is
 #. explicitly instantiated.
-#: cp/pt.c:18723
+#: cp/pt.c:18719
 #, gcc-internal-format
 msgid "explicit instantiation of %qD but no definition available"
 msgstr "explizite Instanziierung von %qD, aber keine Definition verfügbar"
 
-#: cp/pt.c:18908
+#: cp/pt.c:18904
 #, gcc-internal-format
 msgid "template instantiation depth exceeds maximum of %d instantiating %q+D, possibly from virtual table generation (use -ftemplate-depth= to increase the maximum)"
 msgstr "Instanziierungstiefe für Templates überschreitet Höchstwert %d (-ftemplate-depth= verwenden, um dies zu erhöhen) bei Instanziierung von %q+D, möglicherweise von Erzeugung der virtuellen Tabelle"
 
-#: cp/pt.c:19288
+#: cp/pt.c:19284
 #, gcc-internal-format
 msgid "invalid template non-type parameter"
 msgstr "ungültiger Nicht-Typ-Parameter für Template"
 
-#: cp/pt.c:19290
+#: cp/pt.c:19286
 #, gcc-internal-format
 msgid "%q#T is not a valid type for a template non-type parameter"
 msgstr "%q#T ist kein gültiger Typ für einen Nicht-Typ-Parameter eines Templates"
 
-#: cp/pt.c:20508
+#: cp/pt.c:20504
 #, gcc-internal-format
 msgid "deducing from brace-enclosed initializer list requires #include <initializer_list>"
 msgstr "Ermittlung aus geschweift geklammerter Initialisierungsliste erfordert #include <initializer_list>"
 
-#: cp/pt.c:20579
-#, fuzzy, gcc-internal-format
+#: cp/pt.c:20575
+#, gcc-internal-format
 msgid "unable to deduce lambda return type from %qE"
-msgstr "%qT kann nicht aus %qE hergeleitet werden"
+msgstr "Lambda-Rückgabewert von %qE kann nicht hergeleitet werden"
 
-#: cp/pt.c:20581
+#: cp/pt.c:20577
 #, gcc-internal-format
 msgid "unable to deduce %qT from %qE"
 msgstr "%qT kann nicht aus %qE hergeleitet werden"
 
-#: cp/pt.c:20595
+#: cp/pt.c:20591
 #, gcc-internal-format
 msgid "inconsistent types %qT and %qT deduced for lambda return type"
 msgstr "widersprüchliche Typen %qT und %qT für Lambda-Rückgabetypen hergeleitet"
 
-#: cp/pt.c:20599
+#: cp/pt.c:20595
 #, gcc-internal-format
 msgid "inconsistent deduction for %qT: %qT and then %qT"
 msgstr "widersprüchliche Herleitung für %qT: %qT und dann %qT"
@@ -34778,17 +34773,17 @@
 msgid "__label__ declarations are only allowed in function scopes"
 msgstr "__label__-Deklarationen sind nur im Funktionsgültigkeitsbereich erlaubt"
 
-#: cp/semantics.c:1557
+#: cp/semantics.c:1558
 #, gcc-internal-format
 msgid "invalid use of member %q+D in static member function"
 msgstr "ungültige Verwendung des Elementes %q+D in statischer Elementfunktion"
 
-#: cp/semantics.c:1559
+#: cp/semantics.c:1560
 #, gcc-internal-format
 msgid "invalid use of non-static data member %q+D"
 msgstr "ungültige Verwendung des nicht-statischen Datenelementes %q+D"
 
-#: cp/semantics.c:1560
+#: cp/semantics.c:1561
 #, gcc-internal-format
 msgid "from this location"
 msgstr "von dieser Stelle"
@@ -34863,15 +34858,15 @@
 msgid "invalid base-class specification"
 msgstr "ungültige Spezifizierung der Basisklasse"
 
-#: cp/semantics.c:3074 cp/semantics.c:9106
+#: cp/semantics.c:3074 cp/semantics.c:9123
 #, gcc-internal-format
 msgid "%qD is not captured"
 msgstr "%qD ist nicht aufgefangen"
 
 #: cp/semantics.c:3080
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "use of local variable with automatic storage from containing function"
-msgstr "Verwendung einer %<auto%>-Variable aus enthaltender Funktion"
+msgstr "Verwendung lokaler Variable mit automatischer Speicherklasse aus enthaltender Funktion"
 
 #: cp/semantics.c:3081
 #, gcc-internal-format
@@ -34991,263 +34986,268 @@
 msgstr "Unterschied zwischen %qE und %qD hat keinen Ganzzahltyp"
 
 #. Report the error.
-#: cp/semantics.c:5224
+#: cp/semantics.c:5226
 #, gcc-internal-format, gfc-internal-format
 msgid "static assertion failed: %s"
 msgstr "statische Erklärung gescheitert: %s"
 
-#: cp/semantics.c:5227
+#: cp/semantics.c:5229
 #, gcc-internal-format
 msgid "non-constant condition for static assertion"
 msgstr "Nicht-konstante Bedingung für statische Behauptung"
 
-#: cp/semantics.c:5256
+#: cp/semantics.c:5258
 #, gcc-internal-format
 msgid "argument to decltype must be an expression"
 msgstr "Argument für decltype muss ein Ausdruck sein"
 
-#: cp/semantics.c:5281
+#: cp/semantics.c:5283
 #, gcc-internal-format
 msgid "decltype cannot resolve address of overloaded function"
 msgstr "decltype kann die Adresse der überladenen Funktion nicht auflösen"
 
-#: cp/semantics.c:5612
+#: cp/semantics.c:5614
 #, gcc-internal-format
 msgid "__is_convertible_to"
 msgstr "__is_convertible_to"
 
-#: cp/semantics.c:5730
+#: cp/semantics.c:5732
 #, gcc-internal-format
 msgid "the type %qT of constexpr variable %qD is not literal"
 msgstr "der Typ %qT der Variable %qD als konstanter Ausdruck ist kein Literal"
 
-#: cp/semantics.c:5800
+#: cp/semantics.c:5802
 #, gcc-internal-format
 msgid "invalid type for parameter %d of constexpr function %q+#D"
 msgstr "ungültiger Typ für Parameter %d der Funktion %q+#D als konstantem Ausdruck"
 
-#: cp/semantics.c:5814
+#: cp/semantics.c:5816
 #, gcc-internal-format
 msgid "invalid return type %qT of constexpr function %q+D"
 msgstr "ungültiger Rückgabetyp %qT der Funktion %q+D als konstantem Ausdruck"
 
-#: cp/semantics.c:5836
+#: cp/semantics.c:5838
 #, gcc-internal-format
 msgid "%q#T has virtual base classes"
 msgstr "%q#T hat virtuelle Basisklassen"
 
-#: cp/semantics.c:6036
+#: cp/semantics.c:6038
 #, gcc-internal-format
 msgid "constexpr constructor does not have empty body"
 msgstr "Konstruktor mit konstantem Ausdruck hat keinen leeren Körper"
 
-#: cp/semantics.c:6122
+#: cp/semantics.c:6124
 #, gcc-internal-format
 msgid "body of %<constexpr%> constructor cannot be a function-try-block"
-msgstr ""
+msgstr "Körper des %<constexpr%>-Konstruktor kann kein Funktions-»try«-Block sein"
 
-#: cp/semantics.c:6245
+#: cp/semantics.c:6247
 #, gcc-internal-format
 msgid "%<constexpr%> constructor for union %qT must initialize exactly one non-static data member"
 msgstr "%<constexpr%>-Konstruktor für Union %qT muss genau ein nicht-statisches Datenelement initialisieren"
 
-#: cp/semantics.c:6285
+#: cp/semantics.c:6287
 #, gcc-internal-format
 msgid "uninitialized member %qD in %<constexpr%> constructor"
 msgstr "nicht initialisiertes Element %qD in %<constexpr%>-Konstruktor"
 
-#: cp/semantics.c:6316
+#: cp/semantics.c:6318
 #, gcc-internal-format
 msgid "body of constexpr function %qD not a return-statement"
 msgstr "Körper der Funktion %qD mit konstantem Ausdruck ist keine Rückgabeanweisung"
 
-#: cp/semantics.c:6371
+#: cp/semantics.c:6373
 #, gcc-internal-format
 msgid "%q+D is not usable as a constexpr function because:"
 msgstr "%q+D ist nicht als Funktion mit konstantem Audruck verwendbar, denn:"
 
-#: cp/semantics.c:6706
+#: cp/semantics.c:6708
 #, gcc-internal-format
 msgid "expression %qE does not designate a constexpr function"
 msgstr "Ausdruck %qE bezeichnet keine Funktion mit konstantem Ausdruck"
 
-#: cp/semantics.c:6720 cp/semantics.c:8360
+#: cp/semantics.c:6722 cp/semantics.c:8362
 #, gcc-internal-format
 msgid "call to non-constexpr function %qD"
 msgstr "Aufruf der Funktion %qD, die kein konstanter Ausdruck ist"
 
 #. The definition of fun was somehow unsuitable.
-#: cp/semantics.c:6748
+#: cp/semantics.c:6750
 #, gcc-internal-format
 msgid "%qD called in a constant expression"
 msgstr "%qD in konstantem Ausdruck aufgerufen"
 
-#: cp/semantics.c:6752
+#: cp/semantics.c:6754
 #, gcc-internal-format
 msgid "%qD used before its definition"
 msgstr "%qD vor seiner Definition verwendet"
 
-#: cp/semantics.c:6786
+#: cp/semantics.c:6788
 #, gcc-internal-format
 msgid "call has circular dependency"
 msgstr "Aufruf hat ringförmige Abhängigkeit"
 
-#: cp/semantics.c:6794
+#: cp/semantics.c:6796
 #, gcc-internal-format, gfc-internal-format
 msgid "constexpr evaluation depth exceeds maximum of %d (use -fconstexpr-depth= to increase the maximum)"
 msgstr "Auswertungstiefe des konstanten Ausdrucks überschreitet Höchstwert %d (-fconstexpr-depth= verwenden, um dies zu erhöhen)"
 
-#: cp/semantics.c:6858
+#: cp/semantics.c:6860
 #, gcc-internal-format
 msgid "%q+E is not a constant expression"
 msgstr "%q+E ist kein Konstantenausdruck"
 
-#: cp/semantics.c:7004
+#: cp/semantics.c:7006
 #, gcc-internal-format
 msgid "array subscript out of bound"
 msgstr "Feldindex ist außerhalb der Feldgrenzen"
 
-#: cp/semantics.c:7050 cp/semantics.c:7110 cp/semantics.c:7804
+#: cp/semantics.c:7052 cp/semantics.c:7112 cp/semantics.c:7806
 #, gcc-internal-format
 msgid "%qE is not a constant expression"
 msgstr "%qE ist kein Konstantenausdruck"
 
-#: cp/semantics.c:7056
+#: cp/semantics.c:7058
 #, gcc-internal-format
 msgid "mutable %qD is not usable in a constant expression"
 msgstr "veränderliches %qD ist in konstantem Ausdruck nicht verwendbar"
 
-#: cp/semantics.c:7071
+#: cp/semantics.c:7073
 #, gcc-internal-format
 msgid "accessing %qD member instead of initialized %qD member in constant expression"
 msgstr "Zugriff auf Element %qD statt auf initialisiertes Element %qD in Konstantenausdruck"
 
-#: cp/semantics.c:7630
+#: cp/semantics.c:7632
 #, gcc-internal-format
 msgid "accessing value of %qE through a %qT glvalue in a constant expression"
 msgstr "auf Wert von %qE wird über ein %qT GL-Wert in Konstantenausdruck zugegriffen"
 
-#: cp/semantics.c:7665
+#: cp/semantics.c:7667
 #, gcc-internal-format
 msgid "the value of %qD is not usable in a constant expression"
 msgstr "der Wert von %qD ist in konstantem Ausdruck nicht verwendbar"
 
-#: cp/semantics.c:7672
+#: cp/semantics.c:7674
 #, gcc-internal-format
 msgid "%qD used in its own initializer"
 msgstr "%qD in seiner eigenen Initialisierung verwendet"
 
-#: cp/semantics.c:7677
+#: cp/semantics.c:7679
 #, gcc-internal-format
 msgid "%q#D is not const"
 msgstr "%q#D ist nicht konstant"
 
-#: cp/semantics.c:7680
+#: cp/semantics.c:7682
 #, gcc-internal-format
 msgid "%q#D is volatile"
 msgstr "%q#D ist volatile"
 
-#: cp/semantics.c:7684
+#: cp/semantics.c:7686
 #, gcc-internal-format
 msgid "%qD was not initialized with a constant expression"
 msgstr "%qD wurde nicht mit konstantem Ausdruck initialisiert"
 
-#: cp/semantics.c:7693
+#: cp/semantics.c:7695
 #, gcc-internal-format
 msgid "%qD was not declared %<constexpr%>"
 msgstr "%qD wurde nicht als %<constexpr%> definiert"
 
-#: cp/semantics.c:7696
+#: cp/semantics.c:7698
 #, gcc-internal-format
 msgid "%qD does not have integral or enumeration type"
 msgstr "%qD hat keinen Ganzzahl- oder Aufzählungstyp"
 
-#: cp/semantics.c:7792 cp/semantics.c:8492
+#: cp/semantics.c:7794 cp/semantics.c:8494
 #, gcc-internal-format
 msgid "use of the value of the object being constructed in a constant expression"
 msgstr "Verwendung des Wertes des konstruierten Objektes in konstantem Ausdruck"
 
-#: cp/semantics.c:7820 cp/semantics.c:8630
+#: cp/semantics.c:7822 cp/semantics.c:8644
 #, gcc-internal-format
 msgid "temporary of non-literal type %qT in a constant expression"
 msgstr "Zwischenergebnis des nicht-literalen Typs %qT in konstantem Ausdruck"
 
-#: cp/semantics.c:8087 cp/semantics.c:8534 cp/semantics.c:8794
+#: cp/semantics.c:8089 cp/semantics.c:8536 cp/semantics.c:8811
 #, gcc-internal-format
 msgid "expression %qE is not a constant-expression"
 msgstr "Ausdruck %qE ist kein konstanter Ausdruck"
 
-#: cp/semantics.c:8092
+#: cp/semantics.c:8094
 #, gcc-internal-format
 msgid "unexpected expression %qE of kind %s"
 msgstr "unerwarteter Ausdruck %qE der Art %s"
 
-#: cp/semantics.c:8124
+#: cp/semantics.c:8126
 #, gcc-internal-format
 msgid "%qT cannot be the type of a complete constant expression because it has mutable sub-objects"
 msgstr "%qT kann nicht der Typ eines vollständigen konstanten Ausdrucks sein, da es veränderliche Sub-Objekte hat"
 
-#: cp/semantics.c:8137
+#: cp/semantics.c:8139
 #, gcc-internal-format
 msgid "conversion from pointer type %qT to arithmetic type %qT in a constant-expression"
 msgstr "Umwandlung des Zeigertyps %qT in arithmetischen Typ %qT in konstantem Ausdruck"
 
-#: cp/semantics.c:8308
+#: cp/semantics.c:8310
 #, gcc-internal-format
 msgid "expression %qE has side-effects"
 msgstr "Ausdruck %qE hat Seiteneffekte"
 
-#: cp/semantics.c:8378
+#: cp/semantics.c:8380
 #, gcc-internal-format
 msgid "calling a member function of the object being constructed in a constant expression"
 msgstr "Aufruf einer Elementfunktion des konstruierten Objektes in konstantem Ausdruck"
 
-#: cp/semantics.c:8460
+#: cp/semantics.c:8462
 #, gcc-internal-format
 msgid "address-of an object %qE with thread local or automatic storage is not a constant expression"
 msgstr "Adresse eines Objektes %qE mit thread-lokalem oder automatischem Speicher ist kein konstanter Ausdruck"
 
-#: cp/semantics.c:8546
+#: cp/semantics.c:8548
 #, gcc-internal-format
 msgid "typeid-expression is not a constant expression because %qE is of polymorphic type"
 msgstr "Typeid-Ausdruck ist kein konstanter Ausdruck, da %qE polymorphen Typ hat"
 
-#: cp/semantics.c:8559
+#: cp/semantics.c:8561
 #, gcc-internal-format
 msgid "difference of two pointer expressions is not a constant expression"
 msgstr "Unterschied zweier Zeigerausdrücke ist kein konstanter Ausdruck"
 
-#: cp/semantics.c:8578
+#: cp/semantics.c:8580
 #, gcc-internal-format
 msgid "pointer comparison expression is not a constant expression"
 msgstr "Zeigervergleichsausdruck ist kein konstanter Ausdruck"
 
-#: cp/semantics.c:8679
+#: cp/semantics.c:8619
 #, gcc-internal-format
+msgid "cast to non-integral type %qT in a constant expression"
+msgstr "Umwandlung in Nicht-Ganzzahltyp %qT in konstantem Ausdruck"
+
+#: cp/semantics.c:8695
+#, gcc-internal-format
 msgid "division by zero is not a constant-expression"
 msgstr "Division durch Null ist kein konstanter Ausdruck"
 
-#: cp/semantics.c:8802
+#: cp/semantics.c:8819
 #, gcc-internal-format
 msgid "non-constant array initialization"
 msgstr "nicht konstante Feldinitialisierung"
 
-#: cp/semantics.c:8811
+#: cp/semantics.c:8828
 #, gcc-internal-format, gfc-internal-format
 msgid "unexpected AST of kind %s"
 msgstr "unerwarteter AST der Art %s"
 
-#: cp/semantics.c:9303
+#: cp/semantics.c:9320
 #, gcc-internal-format
 msgid "cannot capture %qE by reference"
 msgstr "%qE kann nicht per Referenz aufgefangen werden"
 
-#: cp/semantics.c:9326
+#: cp/semantics.c:9343
 #, gcc-internal-format
 msgid "already captured %qD in lambda expression"
 msgstr "%qD bereits in Lambda-Ausdruck erfasst"
 
-#: cp/semantics.c:9472
+#: cp/semantics.c:9515
 #, gcc-internal-format
 msgid "%<this%> was not captured for this lambda function"
 msgstr "%<this%> wurde für diese Lambda-Funktion nicht aufgefangen"
@@ -35257,82 +35257,82 @@
 msgid "%qV qualifiers cannot be applied to %qT"
 msgstr "%qV-Qualifizierer können nicht auf %qT angewendet werden"
 
-#: cp/tree.c:3084
+#: cp/tree.c:3078
 #, gcc-internal-format
 msgid "%qE attribute can only be applied to Java class definitions"
 msgstr "Attribut %qE kann nur auf Java-Klassendefinitionen angewendet werden"
 
-#: cp/tree.c:3113
+#: cp/tree.c:3107
 #, gcc-internal-format
 msgid "%qE attribute can only be applied to class definitions"
 msgstr "Attribut %qE kann nur auf Klassendefinitionen angewendet werden"
 
-#: cp/tree.c:3119
+#: cp/tree.c:3113
 #, gcc-internal-format
 msgid "%qE is obsolete; g++ vtables are now COM-compatible by default"
 msgstr "%qE ist veraltet; g++-vtables sind jetzt standardmäßig COM-verträglich"
 
-#: cp/tree.c:3143
+#: cp/tree.c:3137
 #, gcc-internal-format
 msgid "requested init_priority is not an integer constant"
 msgstr "angefordertes init_priority ist keine Ganzzahlkonstante"
 
-#: cp/tree.c:3164
+#: cp/tree.c:3158
 #, gcc-internal-format
 msgid "can only use %qE attribute on file-scope definitions of objects of class type"
 msgstr "nur Attribut %qE kann für Definitionen von Objekten eines Klassentyps im Datei-Gültigkeitsbereich verwendet werden"
 
-#: cp/tree.c:3172
+#: cp/tree.c:3166
 #, gcc-internal-format
 msgid "requested init_priority is out of range"
 msgstr "angefordertes init_priority ist außerhalb des Wertebereiches"
 
-#: cp/tree.c:3182
+#: cp/tree.c:3176
 #, gcc-internal-format
 msgid "requested init_priority is reserved for internal use"
 msgstr "angefordertes init_priority ist für interne Verwendung reserviert"
 
-#: cp/tree.c:3193
+#: cp/tree.c:3187
 #, gcc-internal-format
 msgid "%qE attribute is not supported on this platform"
 msgstr "Attribut %qE wird auf dieser Plattform nicht unterstützt"
 
-#: cp/tree.c:3220
-#, fuzzy, gcc-internal-format
+#: cp/tree.c:3214
+#, gcc-internal-format
 msgid "redeclaration of %qD adds abi tag %E"
-msgstr "Deklaration von %qD als Element %qT"
+msgstr "Redeklaration von %qD fügt ABI-Marke %E hinzu"
 
-#: cp/tree.c:3226
-#, fuzzy, gcc-internal-format
+#: cp/tree.c:3220
+#, gcc-internal-format
 msgid "previous declaration here"
-msgstr "vorherige Deklaration %q+#D hier"
+msgstr "vorherige Deklaration hier"
 
-#: cp/tree.c:3243
-#, fuzzy, gcc-internal-format
+#: cp/tree.c:3237
+#, gcc-internal-format
 msgid "%qE attribute applied to non-class, non-enum type %qT"
-msgstr "Attribut %qE ignoriert für Nicht-Klassen-Typen"
+msgstr "Attribut %qE auf Nicht-Klassen-, Nicht-Enum-Typ %qT angewendet"
 
-#: cp/tree.c:3249
-#, fuzzy, gcc-internal-format
+#: cp/tree.c:3243
+#, gcc-internal-format
 msgid "%qE attribute applied to %qT after its definition"
-msgstr "auf %qT nach einer Definition angewandte Attribute werden ignoriert"
+msgstr "Attribut %qE auf %qT nach seiner Definition angewendet"
 
-#: cp/tree.c:3271
-#, fuzzy, gcc-internal-format
+#: cp/tree.c:3265
+#, gcc-internal-format
 msgid "%qE attribute applied to non-function %qD"
-msgstr "Attribut %qE kann nur auf Funktionen angewandt werden"
+msgstr "Attribut %qE auf Nicht-Funktion %qD angewendet"
 
-#: cp/tree.c:3276
-#, fuzzy, gcc-internal-format
+#: cp/tree.c:3270
+#, gcc-internal-format
 msgid "%qE attribute applied to extern \"C\" function %qD"
-msgstr "Attribut %qE kann nur auf Funktionen angewandt werden"
+msgstr "Attribut %qE auf »extern \"C\"«-Funktion %qD angewendet"
 
-#: cp/tree.c:3977
+#: cp/tree.c:3971
 #, gcc-internal-format
 msgid "zero as null pointer constant"
 msgstr "Null als Null-Zeigerkonstante"
 
-#: cp/tree.c:3990
+#: cp/tree.c:3984
 #, gcc-internal-format, gfc-internal-format
 msgid "lang_* check: failed in %s, at %s:%d"
 msgstr "Überprüfung von lang_*: in %s, bei %s:%d gescheitert"
@@ -35515,7 +35515,7 @@
 #: cp/typeck.c:2915
 #, gcc-internal-format
 msgid "left hand operand of %<->*%> must be a pointer to class, but is a pointer to member of type %qT"
-msgstr ""
+msgstr "linker Operand von %<->*%> muss Zeiger auf Klasse sein, ist aber ein Zeiger auf Element des Typs %qT"
 
 #: cp/typeck.c:2951
 #, gcc-internal-format
@@ -35558,14 +35558,14 @@
 msgstr "%qE kann nicht als Funktion verwendet werden"
 
 #: cp/typeck.c:3409
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "%qD cannot be used as a function"
-msgstr "%qE kann nicht als Funktion verwendet werden"
+msgstr "%qD kann nicht als Funktion verwendet werden"
 
 #: cp/typeck.c:3412
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "expression cannot be used as a function"
-msgstr "%qE kann nicht als Funktion verwendet werden"
+msgstr "Ausdruck kann nicht als Funktion verwendet werden"
 
 #: cp/typeck.c:3461
 #, gcc-internal-format
@@ -35673,9 +35673,9 @@
 msgstr "ISO-C++ verbietet Vergleich zwischen Zeiger und Ganzzahl"
 
 #: cp/typeck.c:4463 cp/typeck.c:4471
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "operand types are %qT and %qT"
-msgstr "kein Typ namens %q#T in %q#T"
+msgstr "Operandentypen sind %qT und %qT"
 
 #: cp/typeck.c:4538
 #, gcc-internal-format
@@ -35865,9 +35865,9 @@
 msgstr "reinterpret_cast des Typs %qT in Typ %qT entfernt Qualifizierer"
 
 #: cp/typeck.c:6063
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "useless cast to type %qT"
-msgstr "%qT verwendet lokalen Typen %qT"
+msgstr "nutzlose Umwandlung in Typ %qT"
 
 #: cp/typeck.c:6405
 #, gcc-internal-format
@@ -36087,28 +36087,33 @@
 msgstr "Rückgabe eines Wertes von einem Konstruktor"
 
 #. Give a helpful error message.
-#: cp/typeck.c:8133 cp/typeck.c:8172
+#: cp/typeck.c:8133 cp/typeck.c:8177
 #, gcc-internal-format
 msgid "return-statement with no value, in function returning %qT"
 msgstr "Return-Anweisung ohne Wert, in %qT zurückgebender Funktion"
 
-#: cp/typeck.c:8191
+#: cp/typeck.c:8141
 #, gcc-internal-format
+msgid "returning initializer list"
+msgstr "Initialisierungsliste wird zurückgegeben"
+
+#: cp/typeck.c:8196
+#, gcc-internal-format
 msgid "return-statement with a value, in function returning 'void'"
 msgstr "Return-Anweisung mit Wert in »void« zurückgebender Funktion"
 
-#: cp/typeck.c:8221
+#: cp/typeck.c:8226
 #, gcc-internal-format
 msgid "%<operator new%> must not return NULL unless it is declared %<throw()%> (or -fcheck-new is in effect)"
 msgstr "%<operator new%> darf nicht NULL zurückgeben, außer es ist mit %<throw()%> deklariert (oder -fcheck-new ist eingeschaltet)"
 
 #. Make this a permerror because we used to accept it.
-#: cp/typeck.c:8789
+#: cp/typeck.c:8794
 #, gcc-internal-format
 msgid "using temporary as lvalue"
 msgstr "temporärer Wert wird als L-Wert verwendet"
 
-#: cp/typeck.c:8791
+#: cp/typeck.c:8796
 #, gcc-internal-format
 msgid "using xvalue (rvalue reference) as lvalue"
 msgstr "X-Wert (R-Wert-Referenz) wird als L-Wert verwendet"
@@ -36420,9 +36425,9 @@
 msgstr "Umwandlung einer Unendlichkeit oder NaN bei %L in INTEGER"
 
 #: fortran/arith.c:904 fortran/arith.c:929
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Noninteger exponent in an initialization expression at %L"
-msgstr "Fortran 2003: Nichtganzzahliger Exponent in einem Initialisierungsausdruck bei %L"
+msgstr "Nichtganzzahliger Exponent in einem Initialisierungsausdruck bei %L"
 
 #: fortran/arith.c:915
 #, gcc-internal-format, gfc-internal-format
@@ -36553,9 +36558,9 @@
 msgstr "Erwarteter Ausdruck in Feldspezifikation bei %C"
 
 #: fortran/array.c:470
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-rank array at %C"
-msgstr "Aufzählung kann kein Feld bei %C sein"
+msgstr "Feld mit vermutetem Rang bei %C"
 
 #: fortran/array.c:505
 #, gcc-internal-format, gfc-internal-format
@@ -36593,14 +36598,14 @@
 msgstr "Feldspezifikation bei %C hat mehr als %d Dimensionen"
 
 #: fortran/array.c:579
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Array specification at %C with more than 7 dimensions"
-msgstr "Feldspezifikation bei %C hat mehr als %d Dimensionen"
+msgstr "Feldspezifikation bei %C mit mehr als 7 Dimensionen"
 
 #: fortran/array.c:592
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Coarray declaration at %C"
-msgstr "Fortran 2008: Coarray-Deklaration bei %C"
+msgstr "Coarray-Deklaration bei %C"
 
 #: fortran/array.c:690
 #, gcc-internal-format, gfc-internal-format
@@ -36608,78 +36613,78 @@
 msgstr "Obere Grenze der letzten Coarray-Dimension muss '*' bei %C sein"
 
 #: fortran/array.c:758
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "The assumed-rank array '%s' at %L shall not have a codimension"
-msgstr "Koarray-Variable »%s« bei %L sollte keine Kodimensionen mit aufgeschobener Form haben"
+msgstr "Das Feld »%s« mit vermutetem Rang bei %L sollte keine Kodimension haben"
 
 #: fortran/array.c:918
 #, gcc-internal-format, gfc-internal-format
 msgid "DO-iterator '%s' at %L is inside iterator of the same name"
 msgstr "DO-Iterator »%s« bei %L ist innerhalb eines Iterators mit gleichem Namen"
 
-#: fortran/array.c:1010 fortran/array.c:1143
+#: fortran/array.c:1010 fortran/array.c:1154
 #, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in array constructor at %C"
 msgstr "Syntaxfehler in Feldkonstruktor bei %C"
 
-#: fortran/array.c:1062
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/array.c:1063
+#, gcc-internal-format, gfc-internal-format
 msgid "[...] style array constructors at %C"
-msgstr "Fortran 2003: Feldkonstruktoren im [...]-Stil bei %C"
+msgstr "Feldkonstruktoren im [...]-Stil bei %C"
 
-#: fortran/array.c:1083
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/array.c:1085
+#, gcc-internal-format, gfc-internal-format
 msgid "Array constructor including type specification at %C"
-msgstr "Fortran 2003: Feldkonstruktor mit Typspezifikation bei %C"
+msgstr "Feldkonstruktor mit Typspezifikation bei %C"
 
-#: fortran/array.c:1089 fortran/match.c:3469
+#: fortran/array.c:1094 fortran/match.c:3469
 #, gcc-internal-format, gfc-internal-format
 msgid "Type-spec at %L cannot contain a deferred type parameter"
 msgstr "Typspezifikation bei %L kann keine Parameter mit aufgeschobenem Typ haben"
 
-#: fortran/array.c:1105
+#: fortran/array.c:1116
 #, gcc-internal-format, gfc-internal-format
 msgid "Empty array constructor at %C is not allowed"
 msgstr "Leerer Feldkonstruktor bei %C ist nicht erlaubt"
 
-#: fortran/array.c:1190
+#: fortran/array.c:1201
 #, gcc-internal-format, gfc-internal-format
 msgid "Element in %s array constructor at %L is %s"
 msgstr "Element in Feldkonstruktor %s bei %L ist %s"
 
-#: fortran/array.c:1518
+#: fortran/array.c:1529
 #, gcc-internal-format, gfc-internal-format
 msgid "Iterator step at %L cannot be zero"
 msgstr "Iteratorschritt bei %L kann nicht Null sein"
 
 #. Problems occur when we get something like
 #. integer :: a(lots) = (/(i, i=1, lots)/)
-#: fortran/array.c:1655 fortran/expr.c:1535 fortran/trans-array.c:5370
+#: fortran/array.c:1666 fortran/expr.c:1535 fortran/trans-array.c:5370
 #, gcc-internal-format, gfc-internal-format
 msgid "The number of elements in the array constructor at %L requires an increase of the allowed %d upper limit.   See -fmax-array-constructor option"
 msgstr "Die Anzahl der Elemente im Feldkonstruktor bei %L erfordert Erhöhung der erlaubten oberen Grenze %d. Siehe Option -fmax-array-constructor"
 
-#: fortran/array.c:1826
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/array.c:1837
+#, gcc-internal-format, gfc-internal-format
 msgid "AC-IMPLIED-DO initial expression references control variable at %L"
-msgstr "Typfehler in Ausdrucksreferenz bei %L"
+msgstr "erster Ausdruck von AC-IMPLIED-DO referenziert Steuervariable bei %L"
 
-#: fortran/array.c:1833
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/array.c:1844
+#, gcc-internal-format, gfc-internal-format
 msgid "AC-IMPLIED-DO final expression references control variable at %L"
-msgstr "Typfehler in Ausdrucksreferenz bei %L"
+msgstr "letzter Ausdruck von AC-IMPLIED-DO referenziert Steuervariable bei %L"
 
-#: fortran/array.c:1840
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/array.c:1851
+#, gcc-internal-format, gfc-internal-format
 msgid "AC-IMPLIED-DO step expression references control variable at %L"
-msgstr "Typfehler in Ausdrucksreferenz bei %L"
+msgstr "Schrittausdruck von AC-IMPLIED-DO referenziert Steuervariable bei %L"
 
-#: fortran/array.c:1852
+#: fortran/array.c:1863
 #, gcc-internal-format, gfc-internal-format
 msgid "Array constructor value at %L shall not be unlimited polymorphic [F2008: C4106]"
-msgstr ""
+msgstr "Wert für Feldkonstruktor bei %L sollte nicht unbegrenzt polymorph sein [F2008: C4106]"
 
-#: fortran/array.c:1935
+#: fortran/array.c:1946
 #, gcc-internal-format, gfc-internal-format
 msgid "Different CHARACTER lengths (%d/%d) in array constructor at %L"
 msgstr "Unterschiedliche CHARACTER-Längen (%d, %d) in Feldkonstruktor bei %L"
@@ -36831,9 +36836,9 @@
 
 #: fortran/check.c:867 fortran/check.c:1806 fortran/check.c:1932
 #: fortran/check.c:2006 fortran/check.c:2358
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Different type kinds at %L"
-msgstr "Erweiterung: Verschiedene Typ-Arten bei %L"
+msgstr "Verschiedene Typ-Arten bei %L"
 
 #: fortran/check.c:903
 #, gcc-internal-format, gfc-internal-format
@@ -36891,9 +36896,9 @@
 msgstr "VALUE-Argument der intrinsischen Funktion »%s« bei %L sollte definierbar sein"
 
 #: fortran/check.c:1084
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Negative argument N at %L"
-msgstr "Erweiterung: Negatives Argument N bei %L"
+msgstr "Negatives Argument N bei %L"
 
 #: fortran/check.c:1256 fortran/check.c:1426
 #, gcc-internal-format, gfc-internal-format
@@ -36908,15 +36913,15 @@
 #: fortran/check.c:1279 fortran/check.c:1284
 #, gcc-internal-format, gfc-internal-format
 msgid "Conversion from %s to default-kind COMPLEX(%d) at %L might loose precision, consider using the KIND argument"
-msgstr ""
+msgstr "Umwandlung von %s in standardartiges COMPLEX(%d) bei %L könnte Genauigkeit verlieren, evtl. KIND-Argument verwenden"
 
 #: fortran/check.c:1320 fortran/check.c:1851 fortran/check.c:1954
 #: fortran/check.c:2148 fortran/check.c:2193 fortran/check.c:3411
 #: fortran/check.c:3545 fortran/check.c:3600 fortran/check.c:4139
 #: fortran/check.c:4268
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "'%s' intrinsic with KIND argument at %L"
-msgstr "Fortran 2003: intrinsisches »%s« mit KIND-Argument bei %L"
+msgstr "intrinsisches »%s« mit KIND-Argument bei %L"
 
 #: fortran/check.c:1367 fortran/check.c:1617
 #, gcc-internal-format, gfc-internal-format
@@ -36949,14 +36954,14 @@
 msgstr "»I« bei %L und »J« bei %L können nicht beide literale BOZ-Konstanten sein"
 
 #: fortran/check.c:1678
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "non-default INTEGER kind argument to %s intrinsic at %L"
-msgstr "GNU-Erweiterung: Nicht-Standard Argument der Art INTEGER für intrinsisches »%s« bei %L"
+msgstr "Nicht-Standard Argument der Art INTEGER für intrinsisches »%s« bei %L"
 
 #: fortran/check.c:1738
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "COMPLEX argument '%s' argument of '%s' intrinsic at %L"
-msgstr "Fortran 2008: COMPLEX-Argument »%s« des intrinsischen »%s« bei %L"
+msgstr "COMPLEX-Argument »%s« ist Argument des intrinsischen »%s« bei %L"
 
 #: fortran/check.c:1902
 #, gcc-internal-format, gfc-internal-format
@@ -36994,9 +36999,9 @@
 msgstr "Argument »a%d« des intrinsischen »%s« bei %L muss %s(%d) sein"
 
 #: fortran/check.c:2395
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "'%s' intrinsic with CHARACTER argument at %L"
-msgstr "Fortran 2003: intrinsisches »%s« mit CHARACTER-Argument bei %L"
+msgstr "intrinsisches »%s« mit CHARACTER-Argument bei %L"
 
 #: fortran/check.c:2402
 #, gcc-internal-format, gfc-internal-format
@@ -37029,14 +37034,14 @@
 msgstr "Argument »%s« des intrinsischen »%s« bei %L muss ein INTEGER sein"
 
 #: fortran/check.c:2746
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "The FROM argument to MOVE_ALLOC at %L shall not be coindexed"
-msgstr "Argument »%s« des intrinsischen »%s« bei %L sollte keinen Koindex haben"
+msgstr "Das FROM-Argument für MOVE_ALLOC bei %L sollte keinen Koindex haben"
 
 #: fortran/check.c:2757
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "The TO argument to MOVE_ALLOC at %L shall not be coindexed"
-msgstr "Argument »%s« des intrinsischen »%s« bei %L sollte keinen Koindex haben"
+msgstr "Das TO-Argument für MOVE_ALLOC bei %L sollte keinen Koindex haben"
 
 #: fortran/check.c:2764
 #, gcc-internal-format, gfc-internal-format
@@ -37044,14 +37049,14 @@
 msgstr "Die TO-Argumente in MOVE_ALLOC bei %L müssen polymorph sein, wenn FROM polymorph ist"
 
 #: fortran/check.c:2775
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "The FROM and TO arguments of the MOVE_ALLOC intrinsic at %L must have the same rank %d/%d"
-msgstr "Argumente »%s« und »%s« des intrinsischen »%s« bei %L müssen den selben Rang %d/%d haben"
+msgstr "Die FROM- und TO-Argumente des intrinsischen MOVE_ALLOC bei %L müssen den selben Rang %d/%d haben"
 
 #: fortran/check.c:2784
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "The FROM and TO arguments of the MOVE_ALLOC intrinsic at %L must have the same corank %d/%d"
-msgstr "Argumente »%s« und »%s« des intrinsischen »%s« bei %L müssen den selben Rang %d/%d haben"
+msgstr "Die FROM- und TO-Argumente des intrinsischen MOVE_ALLOC bei %L müssen den selben Ko-Rang %d/%d haben"
 
 #: fortran/check.c:2816
 #, gcc-internal-format, gfc-internal-format
@@ -37064,9 +37069,9 @@
 msgstr "Argument »%s« des intrinsischen »%s« bei %L muss POINTER, ALLOCATABLE oder Prozedurzeiger sein"
 
 #: fortran/check.c:2874
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "NULL intrinsic with allocatable MOLD at %L"
-msgstr "Fortran 2003: intrinsisches NULL mit reservierbarem MOLD bei %L"
+msgstr "intrinsisches NULL mit reservierbarem MOLD bei %L"
 
 #: fortran/check.c:2953 fortran/check.c:4215
 #, gcc-internal-format, gfc-internal-format
@@ -37134,9 +37139,9 @@
 msgstr "Ohne Auffüllen gibt es nicht genügend Elemente in eingebauter RESHAPE-Quelle bei %L um zur Form zu passen"
 
 #: fortran/check.c:3344 fortran/check.c:3363
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "'%s' argument of '%s' intrinsic at %L cannot be of type %s"
-msgstr "Argument »%s« des intrinsischen »%s« bei %L muss %s sein"
+msgstr "Argument »%s« des intrinsischen »%s« bei %L kann nicht Typ %s haben"
 
 #: fortran/check.c:3354 fortran/check.c:3373
 #, gcc-internal-format, gfc-internal-format
@@ -37144,14 +37149,14 @@
 msgstr "Argument »%s« des intrinsischen »%s« bei %L muss erweiterbaren Typ haben"
 
 #: fortran/check.c:3472
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "SELECTED_REAL_KIND with neither 'P' nor 'R' argument at %L"
-msgstr "Fortran 2008: SELECTED_REAL_KIND ohne Argument »P« oder »R« bei %L"
+msgstr "SELECTED_REAL_KIND ohne Argument »P« oder »R« bei %L"
 
 #: fortran/check.c:3503
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "'%s' intrinsic with RADIX argument at %L"
-msgstr "Fortran 2008: intrinsisches »%s« mit RADIX-Argument bei %L"
+msgstr "intrinsisches »%s« mit RADIX-Argument bei %L"
 
 #: fortran/check.c:3538
 #, gcc-internal-format, gfc-internal-format
@@ -37169,9 +37174,9 @@
 msgstr "Argument »%s« des intrinsischen »%s« bei %L muss austauschbare Datenentität sein"
 
 #: fortran/check.c:3658
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "non double precision REAL argument to %s intrinsic at %L"
-msgstr "GNU-Erweiterung: REAL-Argument ohne doppelte Genauigkeit für intrinsisches %s bei %L"
+msgstr "REAL-Argument ohne doppelte Genauigkeit für intrinsisches %s bei %L"
 
 #: fortran/check.c:3671
 #, gcc-internal-format, gfc-internal-format
@@ -37253,7 +37258,7 @@
 #: fortran/class.c:2480
 #, gcc-internal-format, gfc-internal-format
 msgid "TODO: Deferred character length variable at %C cannot yet be associated with unlimited polymorphic entities"
-msgstr ""
+msgstr "TODO: Variable mit aufgeschobener Zeichenlänge bei %C kann noch nicht mit unbeschränkten polymorphen Entitäten verbunden werden"
 
 #: fortran/class.c:2733 fortran/class.c:2807
 #, gcc-internal-format, gfc-internal-format
@@ -37301,9 +37306,9 @@
 msgstr "Datenelement oberhalb der oberen Feldgrenze bei %L"
 
 #: fortran/data.c:321 fortran/data.c:487
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "re-initialization of '%s' at %L"
-msgstr "Erweiterung: Reinitialisierung von »%s« bei %L"
+msgstr "Reinitialisierung von »%s« bei %L"
 
 #: fortran/decl.c:264
 #, gcc-internal-format, gfc-internal-format
@@ -37311,9 +37316,9 @@
 msgstr "Mit Host verbundene Variable »%s« darf nicht in DATA-Anweisung bei %C stehen"
 
 #: fortran/decl.c:271
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "initialization of common block variable '%s' in DATA statement at %C"
-msgstr "Erweiterung: Initialisierung der allgemeinen Blockvariable »%s« in DATA-Anweisung bei %C"
+msgstr "Initialisierung der allgemeinen Blockvariable »%s« in DATA-Anweisung bei %C"
 
 #: fortran/decl.c:382
 #, gcc-internal-format, gfc-internal-format
@@ -37336,9 +37341,9 @@
 msgstr "DATA-Anweisung bei %C ist in PURE-Prozedur nicht erlaubt"
 
 #: fortran/decl.c:600
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "The assumed-rank array at %C shall not have a codimension"
-msgstr "Datenziel bei %L sollte keinen Koindex haben"
+msgstr "Das Feld vermuteten Ranges bei %C sollte keine Kodimension haben"
 
 #: fortran/decl.c:668
 #, gcc-internal-format, gfc-internal-format
@@ -37346,9 +37351,9 @@
 msgstr "Falsche INTENT-Spezifikation bei %C"
 
 #: fortran/decl.c:689
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "deferred type parameter at %C"
-msgstr "Fortran 2003: Parameter mit zurückgestelltem Typ bei %C"
+msgstr "Parameter mit zurückgestelltem Typ bei %C"
 
 #: fortran/decl.c:726
 #, gcc-internal-format, gfc-internal-format
@@ -37356,9 +37361,9 @@
 msgstr "Konflikt in Attributen des Funktionsarguments bei %C"
 
 #: fortran/decl.c:753
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Old-style character length at %C"
-msgstr "Veraltete Funktion: Zeichenlänge alten Stils bei %C"
+msgstr "Zeichenlänge alten Stils bei %C"
 
 #: fortran/decl.c:784
 #, gcc-internal-format, gfc-internal-format
@@ -37396,9 +37401,9 @@
 msgstr "Variable »%s« bei %L ist ein Scheinargument für die BIND(C)-Prozedur »%s«, jedoch nicht interoperabel mit C, da sie polymorph ist"
 
 #: fortran/decl.c:1040
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L is a dummy argument of the BIND(C) procedure '%s' but may not be C interoperable"
-msgstr "Variable »%s« bei %L ist ein Parameter für die BIND(C)-Prozedur »%s«, könnte jedoch inkompatibel mit C sein"
+msgstr "Variable »%s« bei %L ist ein Scheinargument für die BIND(C)-Prozedur »%s«, könnte jedoch unverträglich mit C sein"
 
 #: fortran/decl.c:1055
 #, gcc-internal-format, gfc-internal-format
@@ -37421,14 +37426,14 @@
 msgstr "Variable »%s« bei %L kann nicht gleichzeitig die Attribute OPTIONAL und VALUE haben, da Prozedur »%s« BIND(C) ist"
 
 #: fortran/decl.c:1094
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L with OPTIONAL attribute in procedure '%s' which is BIND(C)"
-msgstr "TS29113: Variable »%s« bei %L mit OPTIONAL-Attribut in Prozedur »%s«, die BIND(C) ist"
+msgstr "Variable »%s« bei %L mit OPTIONAL-Attribut in Prozedur »%s«, die BIND(C) ist"
 
 #: fortran/decl.c:1106
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-shape array '%s' at %L as dummy argument to the BIND(C) procedure '%s' at %L"
-msgstr "Feld »%s« mit vermuteter Form bei %L kann kein Argument für Prozedur »%s« bei %L sein, da die Prozedur BIND(C) ist"
+msgstr "Feld »%s« mit vermuteter Form bei %L als Scheinargument für BIND(C)-Prozedur »%s« bei %L"
 
 #: fortran/decl.c:1185
 #, gcc-internal-format, gfc-internal-format
@@ -37501,9 +37506,9 @@
 msgstr "NULL()-Initialisierung bei %C ist mehrdeutig"
 
 #: fortran/decl.c:1719
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "NULL() initialization at %C may not have MOLD"
-msgstr "NULL()-Initialisierung bei %C ist mehrdeutig"
+msgstr "NULL()-Initialisierung bei %C könnte kein MOLD haben"
 
 #: fortran/decl.c:1736
 #, gcc-internal-format, gfc-internal-format
@@ -37516,9 +37521,9 @@
 msgstr "Fehler in Zeigerinitialisierung bei %C"
 
 #: fortran/decl.c:1763
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "non-NULL pointer initialization at %C"
-msgstr "Fortran 2008: Nicht-NULL-Zeigerinitialisierung bei %C"
+msgstr "Nicht-NULL-Zeigerinitialisierung bei %C"
 
 #: fortran/decl.c:1786
 #, gcc-internal-format, gfc-internal-format
@@ -37531,9 +37536,9 @@
 msgstr "Nicht-PARAMETER-Symbol »%s« bei %L kann nicht implizite Form haben"
 
 #: fortran/decl.c:1864
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Implied-shape array at %L"
-msgstr "Fortran 2008: Feld mit impliziter Form bei %L"
+msgstr "Feld mit impliziter Form bei %L"
 
 #: fortran/decl.c:1928 fortran/decl.c:6509
 #, gcc-internal-format, gfc-internal-format
@@ -37541,9 +37546,9 @@
 msgstr "Doppelte Feldspezifikation für Cray-Zeigerende bei %C"
 
 #: fortran/decl.c:1999
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Old-style initialization at %C"
-msgstr "Erweiterung: Initialisierung im alten Stil bei %C"
+msgstr "Initialisierung im alten Stil bei %C"
 
 #: fortran/decl.c:2014 fortran/decl.c:4963
 #, gcc-internal-format, gfc-internal-format
@@ -37621,9 +37626,9 @@
 msgstr "Syntaxfehler in CHARACTER-Deklaration bei %C"
 
 #: fortran/decl.c:2592
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "BYTE type at %C"
-msgstr "Erweiterung: BYTE-Typ bei %C"
+msgstr "BYTE-Typ bei %C"
 
 #: fortran/decl.c:2598
 #, gcc-internal-format, gfc-internal-format
@@ -37631,30 +37636,30 @@
 msgstr "Bei %C verwendeter BYTE-Typ ist auf der Zielmaschine nicht verfügbar"
 
 #: fortran/decl.c:2620
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed type at %C is not allowed for components"
-msgstr "Wertargument bei %L ist in diesem Kontext nicht erlaubt"
+msgstr "Vermuteter Typ bei %C ist für Komponenten nicht erlaubt"
 
 #: fortran/decl.c:2623
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed type at %C"
-msgstr ""
+msgstr "Vermuteter Typ bei %C"
 
 #: fortran/decl.c:2646 fortran/decl.c:2677 fortran/decl.c:2707
 #: fortran/decl.c:2885
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "TYPE with intrinsic-type-spec at %C"
-msgstr "Fortran 2008: TYPE mit intrinsischer Typspezifikation bei %C"
+msgstr "TYPE mit intrinsischer Typspezifikation bei %C"
 
 #: fortran/decl.c:2702
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "DOUBLE COMPLEX at %C"
-msgstr "Erweiterung: DOUBLE COMPLEX bei %C"
+msgstr "DOUBLE COMPLEX bei %C"
 
 #: fortran/decl.c:2777
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "CLASS statement at %C"
-msgstr "Fortran 2003: CLASS-Anweisung bei %C"
+msgstr "CLASS-Anweisung bei %C"
 
 #: fortran/decl.c:2813 fortran/decl.c:2826 fortran/decl.c:3200
 #: fortran/decl.c:3208
@@ -37688,9 +37693,9 @@
 msgstr "IMPORT-Anweisung bei %C ist nur in einem INTERFACE-Körper erlaubt"
 
 #: fortran/decl.c:3170
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "IMPORT statement at %C"
-msgstr "Leere IMPLICIT-Anweisung bei %C"
+msgstr "IMPORT-Anweisung bei %C"
 
 #: fortran/decl.c:3185
 #, gcc-internal-format, gfc-internal-format
@@ -37728,9 +37733,9 @@
 msgstr "Doppeltes Attribut %s bei %L"
 
 #: fortran/decl.c:3667
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ALLOCATABLE attribute at %C in a TYPE definition"
-msgstr "Fortran 2003: Attribut ALLOCATABLE bei %C in einer TYPE-Definition"
+msgstr "Attribut ALLOCATABLE bei %C in einer TYPE-Definition"
 
 #: fortran/decl.c:3677
 #, gcc-internal-format, gfc-internal-format
@@ -37738,9 +37743,9 @@
 msgstr "Attribut bei %L ist in TYPE-Definition nicht erlaubt"
 
 #: fortran/decl.c:3695
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Attribute %s at %L in a TYPE definition"
-msgstr "Fortran 2003: Attribut %s bei %L in einer TYPE-Definition"
+msgstr "Attribut %s bei %L in einer TYPE-Definition"
 
 #: fortran/decl.c:3706
 #, gcc-internal-format, gfc-internal-format
@@ -37748,14 +37753,14 @@
 msgstr "Attribut %s bei %L ist außerhalb des Spezifikationsabschnitts eines Moduls nicht erlaubt"
 
 #: fortran/decl.c:3721
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ASYNCHRONOUS attribute at %C"
-msgstr "Fortran 2003: ASYNCHRONOUS-Attribut bei %C"
+msgstr "ASYNCHRONOUS-Attribut bei %C"
 
 #: fortran/decl.c:3734
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "CONTIGUOUS attribute at %C"
-msgstr "Fortran 2008: CONTIGUOUS-Attribut bei %C"
+msgstr "CONTIGUOUS-Attribut bei %C"
 
 #: fortran/decl.c:3780 fortran/decl.c:6804
 #, gcc-internal-format, gfc-internal-format
@@ -37763,19 +37768,19 @@
 msgstr "PROTECTED bei %C nur in Spezifikationsabschnitts eines Moduls erlaubt"
 
 #: fortran/decl.c:3786
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "PROTECTED attribute at %C"
-msgstr "Fortran 2003: PROTECTED-Attribut bei %C"
+msgstr "PROTECTED-Attribut bei %C"
 
 #: fortran/decl.c:3817
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "VALUE attribute at %C"
-msgstr "Fortran 2003: VALUE-Attribut bei %C"
+msgstr "VALUE-Attribut bei %C"
 
 #: fortran/decl.c:3827
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "VOLATILE attribute at %C"
-msgstr "Fortran 2003: VOLATILE-Attribut bei %C"
+msgstr "VOLATILE-Attribut bei %C"
 
 #: fortran/decl.c:3873
 #, gcc-internal-format, gfc-internal-format
@@ -37857,9 +37862,9 @@
 msgstr "Syntaxfehler in Daten-Deklaration bei %C"
 
 #: fortran/decl.c:4411
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "IMPURE procedure at %C"
-msgstr "Fortran 2008: IMPURE-Prozedur bei %C"
+msgstr "IMPURE-Prozedur bei %C"
 
 #: fortran/decl.c:4424
 #, gcc-internal-format, gfc-internal-format
@@ -37892,9 +37897,9 @@
 msgstr "Unerwartete Angaben hinter Funktionsdeklaration bei %C"
 
 #: fortran/decl.c:4697 fortran/decl.c:5730
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "BIND(C) attribute at %L may not be specified for an internal procedure"
-msgstr "Fortran 2008: BIND(C)-Attribut bei %L kann nicht für eine interne Prozedur angegeben werden"
+msgstr "BIND(C)-Attribut bei %L kann nicht für eine interne Prozedur angegeben werden"
 
 #: fortran/decl.c:4901
 #, gcc-internal-format, gfc-internal-format
@@ -37932,9 +37937,9 @@
 msgstr "NOPASS oder explizite Schnittstelle bei %C erforderlich"
 
 #: fortran/decl.c:5045
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Procedure pointer component at %C"
-msgstr "Fortran 2003: Prozedurzeiger-Komponente bei %C"
+msgstr "Prozedurzeiger-Komponente bei %C"
 
 #: fortran/decl.c:5111
 #, gcc-internal-format, gfc-internal-format
@@ -37947,14 +37952,14 @@
 msgstr "PROCEDURE bei %C muss in einer allgemeinen Schnittstelle sein"
 
 #: fortran/decl.c:5138 fortran/decl.c:7311
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "double colon in MODULE PROCEDURE statement at %L"
-msgstr "Fortran 2008: »::« in MODULE PROCEDURE-Anweisung bei %L"
+msgstr "»::« in MODULE PROCEDURE-Anweisung bei %L"
 
 #: fortran/decl.c:5208
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "PROCEDURE statement at %C"
-msgstr "Fortran 2003: PROCEDURE-Anweisung bei %C"
+msgstr "PROCEDURE-Anweisung bei %C"
 
 #: fortran/decl.c:5276
 #, gcc-internal-format, gfc-internal-format
@@ -37963,15 +37968,15 @@
 
 #: fortran/decl.c:5300 fortran/decl.c:5304 fortran/decl.c:5508
 #: fortran/decl.c:5512 fortran/decl.c:5698 fortran/decl.c:5702
-#: fortran/symbol.c:1588
+#: fortran/symbol.c:1577
 #, gcc-internal-format, gfc-internal-format
 msgid "BIND(C) attribute at %L can only be used for variables or common blocks"
 msgstr "BIND(C)-Attribut bei %L kann nur für Variablen oder gemeinsame Blöcke verwendet werden"
 
 #: fortran/decl.c:5420
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ENTRY statement at %C"
-msgstr "Leere IMPLICIT-Anweisung bei %C"
+msgstr "ENTRY-Anweisung bei %C"
 
 #: fortran/decl.c:5429
 #, gcc-internal-format, gfc-internal-format
@@ -38079,9 +38084,9 @@
 msgstr "Unerwartete END-Anweisung bei %C"
 
 #: fortran/decl.c:6102
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "END statement instead of %s statement at %L"
-msgstr "Fortran 2008: END-Anweisung statt %s-Anweisung bei %L"
+msgstr "END-Anweisung statt %s-Anweisung bei %L"
 
 #. We would have required END [something].
 #: fortran/decl.c:6110
@@ -38185,9 +38190,9 @@
 msgstr "Cray-Zeiger-Deklaration bei %C benötigt den Schalter -fcray-pointer"
 
 #: fortran/decl.c:6657
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "CONTIGUOUS statement at %C"
-msgstr "Fortran 2008: CONTIGUOUS-Anweisung bei %C"
+msgstr "CONTIGUOUS-Anweisung bei %C"
 
 #: fortran/decl.c:6755
 #, gcc-internal-format, gfc-internal-format
@@ -38200,9 +38205,9 @@
 msgstr "Zugriffsspezifikation des Operators .%s. bei %C wurde bereits spezifiziert"
 
 #: fortran/decl.c:6810
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "PROTECTED statement at %C"
-msgstr "Fortran 2003: PROTECTED-Anweisung bei %C"
+msgstr "PROTECTED-Anweisung bei %C"
 
 #: fortran/decl.c:6850
 #, gcc-internal-format, gfc-internal-format
@@ -38265,9 +38270,9 @@
 msgstr "VALUE ist in BLOCK bei %C nicht erlaubt"
 
 #: fortran/decl.c:7108
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "VALUE statement at %C"
-msgstr "Fortran 2003: VALUE-Anweisung bei %C"
+msgstr "VALUE-Anweisung bei %C"
 
 #: fortran/decl.c:7148
 #, gcc-internal-format, gfc-internal-format
@@ -38275,9 +38280,9 @@
 msgstr "Syntaxfehler in VALUE-Anweisung bei %C"
 
 #: fortran/decl.c:7159
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "VOLATILE statement at %C"
-msgstr "Fortran 2003: VOLATILE-Anweisung bei %C"
+msgstr "VOLATILE-Anweisung bei %C"
 
 #: fortran/decl.c:7183
 #, gcc-internal-format, gfc-internal-format
@@ -38290,9 +38295,9 @@
 msgstr "Syntaxfehler in VOLATILE-Anweisung bei %C"
 
 #: fortran/decl.c:7220
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ASYNCHRONOUS statement at %C"
-msgstr "Fortran 2003: ASYNCHRONOUS-Anweisung bei %C"
+msgstr "ASYNCHRONOUS-Anweisung bei %C"
 
 #: fortran/decl.c:7262
 #, gcc-internal-format, gfc-internal-format
@@ -38345,9 +38350,9 @@
 msgstr "Abgeleiteter Typ bei %C kann nur PUBLIC im Spezifikationsteil eines Moduls sein"
 
 #: fortran/decl.c:7478
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ABSTRACT type at %C"
-msgstr "ABSTRACT-Typ »%s« bei %L verwendet"
+msgstr "ABSTRACT-Typ bei %C"
 
 #: fortran/decl.c:7543
 #, gcc-internal-format, gfc-internal-format
@@ -38375,9 +38380,9 @@
 msgstr "Cray-Zeigerende bei %C kann nicht Feld mit impliziter Form sein"
 
 #: fortran/decl.c:7709
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ENUM and ENUMERATOR at %C"
-msgstr "Fortran 2003: ENUM AND ENUMERATOR bei %C"
+msgstr "ENUM und ENUMERATOR bei %C"
 
 #: fortran/decl.c:7742
 #, gcc-internal-format, gfc-internal-format
@@ -38475,9 +38480,9 @@
 msgstr "Bindungsname bei %C erwartet"
 
 #: fortran/decl.c:8203
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "PROCEDURE list at %C"
-msgstr "Fortran 2008: PROCEDURE-Liste bei %C"
+msgstr "PROCEDURE-Liste bei %C"
 
 #: fortran/decl.c:8216
 #, gcc-internal-format, gfc-internal-format
@@ -38690,9 +38695,9 @@
 msgstr "Variable »%s« bei %L kann nicht in einem Initialisierungs-Ausdruck auftreten"
 
 #: fortran/expr.c:2405
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Evaluation of nonstandard initialization expression at %L"
-msgstr "Erweiterung: Auswertung des nicht standardisierten Initialisierungsausdrucks bei %L"
+msgstr "Auswertung des nicht standardisierten Initialisierungsausdrucks bei %L"
 
 #: fortran/expr.c:2461
 #, gcc-internal-format, gfc-internal-format
@@ -38820,19 +38825,19 @@
 msgstr "Auf rechter Seite in Zuweisung bei %L tritt NULL auf"
 
 #: fortran/expr.c:3153
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "POINTER-valued function appears on right-hand side of assignment at %L"
 msgstr "POINTER-wertige Funktion tritt auf rechter Seite der Zuweisung bei %L auf"
 
 #: fortran/expr.c:3163
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "BOZ literal at %L used to initialize non-integer variable '%s'"
-msgstr "Erweiterung: BOZ-Literal bei %L verwendet, um Nicht-Ganzzahlvariable »%s« zu initialisieren"
+msgstr "BOZ-Literal bei %L verwendet, um Nicht-Ganzzahlvariable »%s« zu initialisieren"
 
 #: fortran/expr.c:3169 fortran/resolve.c:9505
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "BOZ literal at %L outside a DATA statement and outside INT/REAL/DBLE/CMPLX"
-msgstr "Erweiterung: BOZ-Literal bei %L außerhalb einer DATA-Anweisung und außerhalb von INT/REAL/DBLE/CMPLX"
+msgstr "BOZ-Literal bei %L außerhalb einer DATA-Anweisung und außerhalb von INT/REAL/DBLE/CMPLX"
 
 #: fortran/expr.c:3179 fortran/resolve.c:9515
 #, gcc-internal-format, gfc-internal-format
@@ -38890,9 +38895,9 @@
 msgstr "Grenzen für »%s« bei %L erwartet"
 
 #: fortran/expr.c:3336
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Bounds specification for '%s' in pointer assignment at %L"
-msgstr "Fortran 2003: Grenzenangabe für »%s« in Zeigerzuweisung bei %L"
+msgstr "Grenzenangabe für »%s« in Zeigerzuweisung bei %L"
 
 #: fortran/expr.c:3350
 #, gcc-internal-format, gfc-internal-format
@@ -38920,9 +38925,9 @@
 msgstr "Ungültige Zuweisung eines Prozedurzeigers bei %L"
 
 #: fortran/expr.c:3435
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Function result '%s' is invalid as proc-target in procedure pointer assignment at %L"
-msgstr "Anweisungsfunktion »%s« ist in Zuweisung des Prozedurzeigers bei %L ungültig"
+msgstr "Funktionsergebnis »%s« ist als Prozedurziel in Zuweisung des Prozedurzeigers bei %L ungültig"
 
 #: fortran/expr.c:3443
 #, gcc-internal-format, gfc-internal-format
@@ -38940,12 +38945,12 @@
 msgstr "Interne Prozedur »%s« ist in Zuweisung des Prozedurzeigers bei %L ungültig"
 
 #: fortran/expr.c:3467
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Intrinsic '%s' at %L is invalid in procedure pointer assignment"
-msgstr "Interne Prozedur »%s« ist in Zuweisung des Prozedurzeigers bei %L ungültig"
+msgstr "Eingebautes »%s« ist in Zuweisung des Prozedurzeigers bei %L ungültig"
 
 #: fortran/expr.c:3475
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Nonintrinsic elemental procedure '%s' is invalid in procedure pointer assignment at %L"
 msgstr "Nichtintrinsische elementare Prozedur »%s« ist in Zuweisung des Prozedurzeigers bei %L ungültig"
 
@@ -38962,7 +38967,7 @@
 #: fortran/expr.c:3573
 #, gcc-internal-format, gfc-internal-format
 msgid "Data-pointer-object &L must be unlimited polymorphic, a sequence derived type or of a type with the BIND attribute assignment at %L to be compatible with an unlimited polymorphic target"
-msgstr ""
+msgstr "Datenzeigerobjekt &L muss unbegrenzt polymorph sein, von Sequenz abgeleiteten Typ oder Typ mit Zuweisung eines BIND-Attributs bei %L haben, um zum unbegrenzt polymorphen Ziel zu passen"
 
 #: fortran/expr.c:3579
 #, gcc-internal-format, gfc-internal-format
@@ -38990,9 +38995,9 @@
 msgstr "Ziel der Rang-Neuzuordnung muss Rang 1 oder einfach fortlaufend bei %L sein"
 
 #: fortran/expr.c:3633
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Rank remapping target is not rank 1 at %L"
-msgstr "Fortran 2008: Ziel der Rang-Neuzuordnung ist nicht Rang 1 bei %L"
+msgstr "Ziel der Rang-Neuzuordnung ist nicht Rang 1 bei %L"
 
 #: fortran/expr.c:3658
 #, gcc-internal-format, gfc-internal-format
@@ -39025,19 +39030,19 @@
 msgstr "Datenziel bei %L sollte keinen Koindex haben"
 
 #: fortran/expr.c:3741
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Pointer at %L in pointer assignment might outlive the pointer target"
-msgstr "Zielausdruck in Zeigerzuweisung bei %L muss ein Zeigerergebnis liefern"
+msgstr "Zeiger bei %L in Zeigerzuweisung könnte Zeigerziel überdauern"
 
 #: fortran/expr.c:3806
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Pointer initialization target at %L must not be ALLOCATABLE"
 msgstr "Ziel der Zeigerinitialisierung bei %L darf nicht ALLOCATABLE sein"
 
 #: fortran/expr.c:3812
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Pointer initialization target at %L must have the TARGET attribute"
-msgstr "Ziel der Zeigerinitialisierung bei %C muss das TARGET-Attribut haben"
+msgstr "Ziel der Zeigerinitialisierung bei %L muss das TARGET-Attribut haben"
 
 #: fortran/expr.c:3827 fortran/resolve.c:1256
 #, gcc-internal-format, gfc-internal-format
@@ -39049,72 +39054,72 @@
 msgid "Procedure pointer initialization target at %L may not be a procedure pointer"
 msgstr "Ziel der Zeigerinitialisierung für Prozedur bei %L darf kein Prozedurzeiger sein"
 
-#: fortran/expr.c:4692
+#: fortran/expr.c:4693
 #, gcc-internal-format, gfc-internal-format
 msgid "Fortran 2008: Pointer functions in variable definition context (%s) at %L"
 msgstr "Fortran 2008: Zeigerfunktionen in Variablen-Definitionskontext (%s) bei %L"
 
-#: fortran/expr.c:4700
+#: fortran/expr.c:4701
 #, gcc-internal-format, gfc-internal-format
 msgid "Non-variable expression in variable definition context (%s) at %L"
 msgstr "Nicht-variabler Ausdruck in Variablen-Definitionskontext (%s) bei %L"
 
-#: fortran/expr.c:4708
+#: fortran/expr.c:4709
 #, gcc-internal-format, gfc-internal-format
 msgid "Named constant '%s' in variable definition context (%s) at %L"
 msgstr "Benannte Konstante »%s« in Variablen-Definitionskontext (%s) bei %L"
 
-#: fortran/expr.c:4717
+#: fortran/expr.c:4718
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' in variable definition context (%s) at %L is not a variable"
 msgstr "»%s« in Variablen-Definitionskontext (%s) bei %L ist keine Variable"
 
-#: fortran/expr.c:4728
+#: fortran/expr.c:4729
 #, gcc-internal-format, gfc-internal-format
 msgid "Non-POINTER in pointer association context (%s) at %L"
 msgstr "Nicht-POINTER in Zeiger-Verbindungskontext (%s) bei %L"
 
-#: fortran/expr.c:4741
+#: fortran/expr.c:4742
 #, gcc-internal-format, gfc-internal-format
 msgid "LOCK_TYPE in variable definition context (%s) at %L"
 msgstr "LOCK_TYPE in Variablen-Definitionskontext (%s) bei %L"
 
-#: fortran/expr.c:4770
+#: fortran/expr.c:4771
 #, gcc-internal-format, gfc-internal-format
 msgid "Dummy argument '%s' with INTENT(IN) in pointer association context (%s) at %L"
 msgstr "Scheinargument »%s« mit INTENT(IN) in Zeiger-Verbindungskontext (%s) bei %L"
 
-#: fortran/expr.c:4778
+#: fortran/expr.c:4779
 #, gcc-internal-format, gfc-internal-format
 msgid "Dummy argument '%s' with INTENT(IN) in variable definition context (%s) at %L"
 msgstr "Scheinargument »%s« mit INTENT(IN) in Variablen-Definitionskontext (%s) bei %L"
 
-#: fortran/expr.c:4791
+#: fortran/expr.c:4792
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' is PROTECTED and can not appear in a pointer association context (%s) at %L"
 msgstr "Variable »%s« ist PROTECTED und kann nicht in Zeiger-Verbindungskontext (%s) bei %L auftreten"
 
-#: fortran/expr.c:4799
+#: fortran/expr.c:4800
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' is PROTECTED and can not appear in a variable definition context (%s) at %L"
 msgstr "Variable »%s« ist PROTECTED und kann nicht in Variablen-Definitionskontext (%s) bei %L auftreten"
 
-#: fortran/expr.c:4811
+#: fortran/expr.c:4812
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' can not appear in a variable definition context (%s) at %L in PURE procedure"
 msgstr "Variable »%s« kann nicht in Variablen-Definitionskontext (%s) bei %L in PURE-Prozedur auftreten"
 
-#: fortran/expr.c:4870
+#: fortran/expr.c:4871
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L associated to vector-indexed target can not be used in a variable definition context (%s)"
 msgstr "»%s« ist bei %L mit vektorindiziertem Ziel verbunden und kann nicht in Variablen-Definitionskontext (%s) verwendet werden"
 
-#: fortran/expr.c:4874
+#: fortran/expr.c:4875
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L associated to expression can not be used in a variable definition context (%s)"
 msgstr "»%s« ist bei %L mit Ausdruck verbunden und kann nicht in Variablen-Definitionskontext (%s) verwendet werden"
 
-#: fortran/expr.c:4886
+#: fortran/expr.c:4887
 #, gcc-internal-format, gfc-internal-format
 msgid "Associate-name '%s' can not appear in a variable definition context (%s) at %L because its target at %L can not, either"
 msgstr "Verbundener Name »%s« kann nicht in Variablen-Definitionskontext (%s) bei %L auftreten, da sein Ziel bei %L es auch nicht kann"
@@ -39126,7 +39131,7 @@
 
 #: fortran/frontend-passes.c:518 fortran/trans-array.c:1041
 #: fortran/trans-array.c:5866 fortran/trans-array.c:7150
-#: fortran/trans-intrinsic.c:5445
+#: fortran/trans-intrinsic.c:5444
 #, gcc-internal-format, gfc-internal-format
 msgid "Creating array temporary at %L"
 msgstr "Zwischenergebnis-Feld bei %L wird erzeugt"
@@ -39137,24 +39142,24 @@
 msgstr "Aufruf von Funktion »%s« bei %L wird entfernt"
 
 #: fortran/frontend-passes.c:1474
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L set to undefined value inside loop  beginning at %L as INTENT(OUT) argument to subroutine '%s'"
-msgstr "Variable »%s« bei %C kann nicht innerhalb der bei %L beginnenden Schleife redefiniert werden"
+msgstr "Variable »%s« bei %L auf undefinierten Wert innerhalb der bei %L beginnenden Schleife gesetzt, als INTENT(OUT)-Argument für Unterprogramm »%s«"
 
 #: fortran/frontend-passes.c:1480
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L not definable inside loop beginning at %L as INTENT(INOUT) argument to subroutine '%s'"
-msgstr "Variable »%s« bei %C kann nicht innerhalb der bei %L beginnenden Schleife redefiniert werden"
+msgstr "Variable »%s« bei %L kann nicht innerhalb der bei %L beginnenden Schleife als INTENT(INOUT)-Argument für Unterprogramm »%s« definiert werden"
 
 #: fortran/frontend-passes.c:1544
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L set to undefined value inside loop beginning at %L as INTENT(OUT) argument to function '%s'"
-msgstr "Variable »%s« bei %C kann nicht innerhalb der bei %L beginnenden Schleife redefiniert werden"
+msgstr "Variable »%s« bei %L auf undefinierten Wert innerhalb der bei %L beginnenden Schleife gesetzt, als INTENT(OUT)-Argument für Funktion »%s«"
 
 #: fortran/frontend-passes.c:1550
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L not definable inside loop beginning at %L as INTENT(INOUT) argument to function '%s'"
-msgstr "Variable »%s« bei %C kann nicht innerhalb der bei %L beginnenden Schleife redefiniert werden"
+msgstr "Variable »%s« bei %L kann nicht innerhalb der bei %L beginnenden Schleife als INTENT(INOUT)-Argument für Funktion »%s« definiert werden"
 
 #: fortran/gfortranspec.c:168
 #, gcc-internal-format
@@ -39182,9 +39187,9 @@
 msgstr "Scheinprozedur »%s« bei %C kann keine allgemeine Schnittstelle haben"
 
 #: fortran/interface.c:254
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ABSTRACT INTERFACE at %C"
-msgstr " ABSTRAKTE SCHNITTSTELLE"
+msgstr "ABSTRACT INTERFACE bei %C"
 
 #: fortran/interface.c:262
 #, gcc-internal-format, gfc-internal-format
@@ -39261,12 +39266,12 @@
 msgid "Second argument of defined assignment at %L must be INTENT(IN)"
 msgstr "Zweites Argument der definierten Zuweisung bei %L muss INTENT(IN)"
 
-#: fortran/interface.c:723 fortran/resolve.c:14797
+#: fortran/interface.c:723 fortran/resolve.c:14799
 #, gcc-internal-format, gfc-internal-format
 msgid "First argument of operator interface at %L must be INTENT(IN)"
 msgstr "Erstes Argument der Operatorschnittstelle bei %L muss INTENT(IN) sein"
 
-#: fortran/interface.c:730 fortran/resolve.c:14815
+#: fortran/interface.c:730 fortran/resolve.c:14817
 #, gcc-internal-format, gfc-internal-format
 msgid "Second argument of operator interface at %L must be INTENT(IN)"
 msgstr "Zweites Argument der Operatorschnittstelle bei %L muss INTENT(IN) sein"
@@ -39297,9 +39302,9 @@
 msgstr "In %s bei %L müssen alle Prozeduren auch FUNCTIONs sein, da der allgemeine Name auch der Name des abgeleiteten Typs ist"
 
 #: fortran/interface.c:1491
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Internal procedure '%s' in %s at %L"
-msgstr "Fortran 2008: Interne Prozedur »%s« in %s bei %L"
+msgstr "Interne Prozedur »%s« in %s bei %L"
 
 #: fortran/interface.c:1548 fortran/interface.c:1552
 #, gcc-internal-format, gfc-internal-format
@@ -39317,9 +39322,9 @@
 msgstr "»%s« bei %L ist keine Modulprozedur"
 
 #: fortran/interface.c:1804
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "The assumed-rank array at %L requires that the dummy argument '%s' has assumed-rank"
-msgstr "Feld mit vermuteter Form bei %L muss ein Scheinargument sein"
+msgstr "Feld mit vermutetem Rang bei %L erfordert Scheinargument »%s« mit vermutetem Rang"
 
 #: fortran/interface.c:1809
 #, gcc-internal-format, gfc-internal-format
@@ -39347,7 +39352,7 @@
 msgstr "Schnittstelle in Scheinprozedur »%s« bei %L passt nicht: %s"
 
 #: fortran/interface.c:1894
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Actual argument to contiguous pointer dummy '%s' at %L must be simply contiguous"
 msgstr "Effektives Argument für fortlaufenden Schein-Zeiger »%s« bei %L muss einfach fortlaufend sein"
 
@@ -39369,7 +39374,7 @@
 #: fortran/interface.c:1946
 #, gcc-internal-format, gfc-internal-format
 msgid "Actual argument to '%s' at %L must be unlimited polymorphic since the formal argument is a pointer or allocatable unlimited polymorphic entity [F2008: 12.5.2.5]"
-msgstr ""
+msgstr "Effektives Argument für »%s« bei %L muss unbegrenzt polymorph sein, da das formale Argument ein Zeiger oder reservierbare unbegrenzt polymorphe Entität ist [F2008: 12.5.2.5]"
 
 #: fortran/interface.c:1957
 #, gcc-internal-format, gfc-internal-format
@@ -39464,7 +39469,7 @@
 #: fortran/interface.c:2525
 #, gcc-internal-format, gfc-internal-format
 msgid "Actual argument at %L to assumed-type dummy is of derived type with type-bound or FINAL procedures"
-msgstr ""
+msgstr "Effektives Argument bei %L für Scheinparameter vermuteten Typs hat abgeleiteten Typ mit typgebundenen oder FINAL-Prozeduren"
 
 #: fortran/interface.c:2546
 #, gcc-internal-format, gfc-internal-format
@@ -39627,9 +39632,9 @@
 msgstr "Schlüsselwort-Argument erfordert explizite Schnittstelle für Prozedur »%s« bei %L"
 
 #: fortran/interface.c:3171
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-type argument %s at %L requires an explicit interface"
-msgstr "Symbol »%s« bei %L hat bereits eine explizite Schnittstelle"
+msgstr "Argument »%s« bei %L vermuteten Typs erfordert eine explizite Schnittstelle"
 
 #: fortran/interface.c:3184
 #, gcc-internal-format, gfc-internal-format
@@ -39642,9 +39647,9 @@
 msgstr "MOLD-Argument an NULL bei %L erforderlich"
 
 #: fortran/interface.c:3201
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-rank argument requires an explicit interface at %L"
-msgstr "Schlüsselwort-Argument erfordert explizite Schnittstelle für Prozedur »%s« bei %L"
+msgstr "Argument vermuteten Ranges erfordert eine explizite Schnittstelle bei %L"
 
 #: fortran/interface.c:3238
 #, gcc-internal-format, gfc-internal-format
@@ -39662,9 +39667,9 @@
 msgstr "In NULL()-Argument bei %L wird MOLD= benötigt: Mehrdeutig zwischen spezifischen Funktionen %s und %s"
 
 #: fortran/interface.c:3785
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Entity '%s' at %L is already present in the interface"
-msgstr "Entität »%s« bei %C ist bereits in der Schnittstelle vorhanden"
+msgstr "Entität »%s« bei %L ist bereits in der Schnittstelle vorhanden"
 
 #: fortran/interface.c:3996
 #, gcc-internal-format, gfc-internal-format
@@ -39707,9 +39712,9 @@
 msgstr "»%s« bei %L überschreibt eine FUNCTION und muss auch eine FUNCTION sein"
 
 #: fortran/interface.c:4067
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Result mismatch for the overriding procedure '%s' at %L: %s"
-msgstr "Unpassende Argumente für die überschreibende Prozedur »%s« bei %L: %s"
+msgstr "Unpassendes Ergebnis für die überschreibende Prozedur »%s« bei %L: %s"
 
 #: fortran/interface.c:4078
 #, gcc-internal-format, gfc-internal-format
@@ -39792,14 +39797,14 @@
 msgstr "Intrinsisches »%s« (ist %s) wird bei %L verwendet"
 
 #: fortran/intrinsic.c:4097
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Function '%s' as initialization expression at %L"
-msgstr "Fortran 2003: Funktion »%s« als Initialisierungsausdruck bei %L"
+msgstr "Funktion »%s« als Initialisierungsausdruck bei %L"
 
 #: fortran/intrinsic.c:4173
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Elemental function as initialization expression with non-integer/non-character arguments at %L"
-msgstr "Fortran 2003: Elementare Funktion als Initialisierungsausdruck mit Nicht-Ganzzahl-/Nicht-Zeichen-Argumenten bei %L"
+msgstr "Elementare Funktion als Initialisierungsausdruck mit Nicht-Ganzzahl-/Nicht-Zeichen-Argumenten bei %L"
 
 #: fortran/intrinsic.c:4234
 #, gcc-internal-format, gfc-internal-format
@@ -39837,24 +39842,24 @@
 msgstr "Erweiterung: Tab-Zeichen im Format bei %C"
 
 #: fortran/io.c:455
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "DP format specifier not allowed at %C"
-msgstr "Fortran 2003: DP-Format-Spezifizierer bei %C nicht erlaubt"
+msgstr "DP-Format-Spezifizierer bei %C nicht erlaubt"
 
 #: fortran/io.c:462
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "DC format specifier not allowed at %C"
-msgstr "Fortran 2003: DC-Format-Spezifizierer bei %C nicht erlaubt"
+msgstr "DC-Format-Spezifizierer bei %C nicht erlaubt"
 
 #: fortran/io.c:651
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "X descriptor requires leading space count at %L"
-msgstr "Erweiterung: X-Deskriptor benötigt führenden Leerzeichenzähler bei %L"
+msgstr "X-Deskriptor erfordert führenden Leerzeichenzähler bei %L"
 
 #: fortran/io.c:681
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "$ descriptor at %L"
-msgstr "Erweiterung: $-Deskriptor bei %L"
+msgstr "$-Deskriptor bei %L"
 
 #: fortran/io.c:686
 #, gcc-internal-format, gfc-internal-format
@@ -39867,9 +39872,9 @@
 msgstr "Erweiterung: Positive Breite hinter L-Deskriptor bei %L fehlt"
 
 #: fortran/io.c:828
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "'G0' in format at %L"
-msgstr "Fortran 2008: »G0« in Format bei %L"
+msgstr "»G0« in Format bei %L"
 
 #: fortran/io.c:856
 #, gcc-internal-format, gfc-internal-format
@@ -39892,9 +39897,9 @@
 msgstr "Das Formatspezifikationssymbol H bei %L ist eine in Fortran 95 entfernte Besonderheit"
 
 #: fortran/io.c:1061 fortran/io.c:1124
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Missing comma at %L"
-msgstr "Erweiterung: Fehlendes Komma bei %L"
+msgstr "Fehlendes Komma bei %L"
 
 #: fortran/io.c:1143
 #, gcc-internal-format, gfc-internal-format
@@ -39952,9 +39957,9 @@
 msgstr "FORMAT-Markierung bei %L muss vom Typ Standard-CHARACTER oder INTEGER sein"
 
 #: fortran/io.c:1409
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ASSIGNED variable in FORMAT tag at %L"
-msgstr "Gelöschte Funktion: ASSIGNED-Variable in FORMAT-Markierung bei %L"
+msgstr "ASSIGNED-Variable in FORMAT-Markierung bei %L"
 
 #: fortran/io.c:1415
 #, gcc-internal-format, gfc-internal-format
@@ -39967,9 +39972,9 @@
 msgstr "Skalares »%s« in FORMAT-Marke bei %L ist keine ASSIGNED-Variable"
 
 #: fortran/io.c:1434
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Non-character in FORMAT tag at %L"
-msgstr "Erweiterung: Nicht-Zeichen in FORMAT-Markierung bei %L"
+msgstr "Nicht-Zeichen in FORMAT-Markierung bei %L"
 
 #: fortran/io.c:1440
 #, gcc-internal-format, gfc-internal-format
@@ -40002,9 +40007,9 @@
 msgstr "Markierung %s bei %L muss ein Skalar sein"
 
 #: fortran/io.c:1500
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "IOMSG tag at %L"
-msgstr "Fortran 2003: IOMSG-Markierung bei %L"
+msgstr "IOMSG-Markierung bei %L"
 
 #: fortran/io.c:1508
 #, gcc-internal-format, gfc-internal-format
@@ -40012,19 +40017,19 @@
 msgstr "Fortran 95 erfordert Standard INTEGER in %s-Marke bei %L"
 
 #: fortran/io.c:1516
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Nondefault LOGICAL in %s tag at %L"
-msgstr "Fortran 2008: Nicht-Standard-LOGICAL in %s-Marke bei %L"
+msgstr "Nicht-Standard-LOGICAL in %s-Marke bei %L"
 
 #: fortran/io.c:1524
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "NEWUNIT specifier at %L"
-msgstr "bei %L wurde kein UNIT angegeben"
+msgstr "NEWUNIT-Spezifizierer bei %L"
 
 #: fortran/io.c:1542
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "CONVERT tag at %L"
-msgstr "Erweiterung: CONVERT-Marke bei %L"
+msgstr "CONVERT-Marke bei %L"
 
 #: fortran/io.c:1728
 #, gcc-internal-format, gfc-internal-format
@@ -40032,9 +40037,9 @@
 msgstr "Fortran 2003: Spezifizierer %s in Anweisung %s bei %C hat Wert »%s«"
 
 #: fortran/io.c:1736 fortran/io.c:1763
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "%s specifier in %s statement at %C has value '%s'"
-msgstr "Spezifizierer %s in Anweisung %s bei %C hat ungültigen Wert »%s«"
+msgstr "Spezifizierer %s in Anweisung %s bei %C hat Wert »%s«"
 
 #: fortran/io.c:1755
 #, gcc-internal-format, gfc-internal-format
@@ -40067,34 +40072,34 @@
 msgstr "OPEN-Anweisung bei %C muss UNIT oder NEWUNIT haben"
 
 #: fortran/io.c:1898
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ASYNCHRONOUS= at %C not allowed in Fortran 95"
-msgstr "Fortran 2003: ASYNCHRONOUS= bei %C ist in Fortran 95 nicht erlaubt"
+msgstr "ASYNCHRONOUS= bei %C ist in Fortran 95 nicht erlaubt"
 
 #: fortran/io.c:1916 fortran/io.c:3365
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "BLANK= at %C not allowed in Fortran 95"
-msgstr "Fortran 2003: BLANK= bei %C ist in Fortran 95 nicht erlaubt"
+msgstr "BLANK= bei %C ist in Fortran 95 nicht erlaubt"
 
 #: fortran/io.c:1934 fortran/io.c:3344
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "DECIMAL= at %C not allowed in Fortran 95"
-msgstr "Fortran 2003: DECIMAL= bei %C ist in Fortran 95 nicht erlaubt"
+msgstr "DECIMAL= bei %C ist in Fortran 95 nicht erlaubt"
 
 #: fortran/io.c:1966
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ENCODING= at %C not allowed in Fortran 95"
-msgstr "Fortran 2003: ENCODING= bei %C ist in Fortran 95 nicht erlaubt"
+msgstr "ENCODING= bei %C ist in Fortran 95 nicht erlaubt"
 
 #: fortran/io.c:2017 fortran/io.c:3407
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ROUND= at %C not allowed in Fortran 95"
-msgstr "Fortran 2003: ROUND= bei %C ist in Fortran 95 nicht erlaubt"
+msgstr "ROUND= bei %C ist in Fortran 95 nicht erlaubt"
 
 #: fortran/io.c:2037
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "SIGN= at %C not allowed in Fortran 95"
-msgstr "Fortran 2003: SIGN= bei %C ist in Fortran 95 nicht erlaubt"
+msgstr "SIGN= bei %C ist in Fortran 95 nicht erlaubt"
 
 #: fortran/io.c:2250
 #, gcc-internal-format, gfc-internal-format
@@ -40122,9 +40127,9 @@
 msgstr "UNIT-Zahl in Anweisung bei %L muss nicht-negativ sein"
 
 #: fortran/io.c:2483
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "FLUSH statement at %C"
-msgstr "Fortran 2003: FLUSH-Anweisung bei %C"
+msgstr "FLUSH-Anweisung bei %C"
 
 #: fortran/io.c:2539
 #, gcc-internal-format, gfc-internal-format
@@ -40187,9 +40192,9 @@
 msgstr "NAMELIST »%s« in READ-Anweisung bei %L enthält Symbol »%s«, das im Kontext zur Variablendefinition nicht auftreten darf"
 
 #: fortran/io.c:2914
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Comma before i/o item list at %L"
-msgstr "Erweiterung: Komma vor Ein-/Ausgabeelementliste bei %L"
+msgstr "Komma vor Ein-/Ausgabeelementliste bei %L"
 
 #: fortran/io.c:2924
 #, gcc-internal-format, gfc-internal-format
@@ -40227,15 +40232,15 @@
 msgstr "Ausdruck in %s-Anweisung bei %C erwartet"
 
 #. A general purpose syntax error.
-#: fortran/io.c:3175 fortran/io.c:3774 fortran/gfortran.h:2496
+#: fortran/io.c:3175 fortran/io.c:3774 fortran/gfortran.h:2506
 #, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in %s statement at %C"
 msgstr "Syntaxfehler in Anweisung %s bei %C"
 
 #: fortran/io.c:3260
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Internal file at %L with namelist"
-msgstr "Fortran 2003: Interne Datei bei %L mit Namensliste"
+msgstr "Interne Datei bei %L mit Namensliste"
 
 #: fortran/io.c:3318
 #, gcc-internal-format, gfc-internal-format
@@ -40243,14 +40248,14 @@
 msgstr "Spezifikation ASYNCHRONOUS= bei %L muss ein Initialisierungsausdruck sein"
 
 #: fortran/io.c:3386
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "PAD= at %C not allowed in Fortran 95"
-msgstr "Fortran 2003: PAD= bei %C ist in Fortran 95 nicht erlaubt"
+msgstr "PAD= bei %C ist in Fortran 95 nicht erlaubt"
 
 #: fortran/io.c:3452
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "DELIM= at %C not allowed in Fortran 95"
-msgstr "Fortran 2003: DELIM= bei %C ist in Fortran 95 nicht erlaubt"
+msgstr "DELIM= bei %C ist in Fortran 95 nicht erlaubt"
 
 #: fortran/io.c:3601
 #, gcc-internal-format, gfc-internal-format
@@ -40293,9 +40298,9 @@
 msgstr "INQUIRE-Anweisung bei %L erfordert PENDING= mit Spezifizierung ID="
 
 #: fortran/io.c:4205
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "WAIT at %C not allowed in Fortran 95"
-msgstr "Fortran 2003: WAIT bei %C ist in Fortran 95 nicht erlaubt"
+msgstr "WAIT bei %C ist in Fortran 95 nicht erlaubt"
 
 #: fortran/io.c:4211
 #, gcc-internal-format, gfc-internal-format
@@ -40388,9 +40393,9 @@
 msgstr "Ungültige Form der PROGRAM-Anweisung bei %C"
 
 #: fortran/match.c:1394 fortran/match.c:1475
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Arithmetic IF statement at %C"
-msgstr "Veraltet: Arithmetische IF-Anweisung bei %C"
+msgstr "Arithmetische IF-Anweisung bei %C"
 
 #: fortran/match.c:1450
 #, gcc-internal-format, gfc-internal-format
@@ -40448,9 +40453,9 @@
 msgstr "CRITICAL-Anweisung zur Image-Steuerung bei %C in DO CONCURRENT-Block"
 
 #: fortran/match.c:1759
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "CRITICAL statement at %C"
-msgstr "Fortran 2008: CRITICAL-Anweisung bei %C"
+msgstr "CRITICAL-Anweisung bei %C"
 
 #: fortran/match.c:1771
 #, gcc-internal-format, gfc-internal-format
@@ -40503,9 +40508,9 @@
 msgstr "Syntaxfehler in FORALL-Iterator bei %C"
 
 #: fortran/match.c:2383
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "DO CONCURRENT construct at %C"
-msgstr "Fortran 2008: DO CONCURRENT-Konstrukt bei %C"
+msgstr "DO CONCURRENT-Konstrukt bei %C"
 
 #: fortran/match.c:2509
 #, gcc-internal-format, gfc-internal-format
@@ -40544,9 +40549,9 @@
 msgstr "CYCLE-Anweisung bei %C ist nicht auf Nicht-Schleifenkonstrukt »%s« anwendbar"
 
 #: fortran/match.c:2582
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "EXIT statement with no do-construct-name at %C"
-msgstr "Fortran 2008: EXIT-Anweisung ohne DO-CONSTRUCT-Name bei %C"
+msgstr "EXIT-Anweisung ohne DO-CONSTRUCT-Name bei %C"
 
 #: fortran/match.c:2588
 #, gcc-internal-format, gfc-internal-format
@@ -40599,14 +40604,14 @@
 msgstr "STOP-Code bei %L muss Standardganzzahltyp KIND=%d sein"
 
 #: fortran/match.c:2773
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "PAUSE statement at %C"
-msgstr "Unerwartete CASE-Anweisung bei %C"
+msgstr "PAUSE-Anweisung bei %C"
 
 #: fortran/match.c:2796
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ERROR STOP statement at %C"
-msgstr "Fortran 2008: ERROR STOP-Anweisung bei %C"
+msgstr "ERROR STOP-Anweisung bei %C"
 
 #: fortran/match.c:2822
 #, gcc-internal-format, gfc-internal-format
@@ -40641,14 +40646,14 @@
 msgstr "Redundante ACQUIRED_LOCK-Marke bei %L gefunden"
 
 #: fortran/match.c:2982
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "LOCK statement at %C"
-msgstr "Fortran 2008: LOCK-Anweisung bei %C"
+msgstr "LOCK-Anweisung bei %C"
 
 #: fortran/match.c:2993
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "UNLOCK statement at %C"
-msgstr "Fortran 2008: UNLOCK-Anweisung bei %C"
+msgstr "UNLOCK-Anweisung bei %C"
 
 #: fortran/match.c:3019
 #, gcc-internal-format, gfc-internal-format
@@ -40656,9 +40661,9 @@
 msgstr "SYNC-Anweisung zur Image-Steuerung bei %C in PURE-Prozedur"
 
 #: fortran/match.c:3026
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "SYNC statement at %C"
-msgstr "Fortran 2008: SYNC-Anweisung bei %C"
+msgstr "SYNC-Anweisung bei %C"
 
 #: fortran/match.c:3038
 #, gcc-internal-format, gfc-internal-format
@@ -40671,14 +40676,14 @@
 msgstr "SYNC-Anweisung zur Image-Steuerung bei %C in DO CONCURRENT-Block"
 
 #: fortran/match.c:3224
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ASSIGN statement at %C"
-msgstr "Gelöschte Funktion: ASSIGN-Anweisung bei %C"
+msgstr "ASSIGN-Anweisung bei %C"
 
 #: fortran/match.c:3270
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Assigned GOTO statement at %C"
-msgstr "Gelöschte Funktion: Zugewiesene GOTO-Anweisung bei %C"
+msgstr "Zugewiesene GOTO-Anweisung bei %C"
 
 #: fortran/match.c:3317 fortran/match.c:3370
 #, gcc-internal-format, gfc-internal-format
@@ -40686,9 +40691,9 @@
 msgstr "Anweisungsmarkenliste in GOTO bei %C kann nicht leer sein"
 
 #: fortran/match.c:3380
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Computed GOTO at %C"
-msgstr "Veraltet: Berechnetes GOTO bei %C"
+msgstr "Berechnetes GOTO bei %C"
 
 #: fortran/match.c:3453
 #, gcc-internal-format, gfc-internal-format
@@ -40696,9 +40701,9 @@
 msgstr "Fehler in Typspezifikation bei %L"
 
 #: fortran/match.c:3463
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "typespec in ALLOCATE at %L"
-msgstr "Fortran 2003: Typspezifikation in ALLOCATE bei %L"
+msgstr "Typspezifikation in ALLOCATE bei %L"
 
 #: fortran/match.c:3505
 #, gcc-internal-format, gfc-internal-format
@@ -40716,9 +40721,9 @@
 msgstr "ALLOCATE von Koarray bei %C in CRITICAL-Block"
 
 #: fortran/match.c:3557
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Allocate-object at %L is neither a data pointer nor an allocatable variable"
-msgstr "ALLOCATE-Objekt bei %L ist kein Nichtprozedur-Zeiger oder eine reservierbare Variable"
+msgstr "ALLOCATE-Objekt bei %L ist weder ein Datenzeiger noch eine reservierbare Variable"
 
 #: fortran/match.c:3569
 #, gcc-internal-format, gfc-internal-format
@@ -40736,14 +40741,14 @@
 msgstr "Formspezifikation für reservierbares Skalar bei %C"
 
 #: fortran/match.c:3628
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ERRMSG tag at %L"
-msgstr "Fortran 2003: ERRMSG-Markierung bei %L"
+msgstr "ERRMSG-Markierung bei %L"
 
 #: fortran/match.c:3652
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "SOURCE tag at %L"
-msgstr "Fortran 2003: SOURCE-Marke bei %L"
+msgstr "SOURCE-Marke bei %L"
 
 #: fortran/match.c:3659
 #, gcc-internal-format, gfc-internal-format
@@ -40756,14 +40761,14 @@
 msgstr "SOURCE-Marke bei %L steht mit Typspezifikation bei %L in Konflikt"
 
 #: fortran/match.c:3672
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "SOURCE tag at %L with more than a single allocate object"
-msgstr "Fortran 2008: SOURCE-Marke bei %L mit mehr als einem reservierbaren Objekt"
+msgstr "SOURCE-Marke bei %L mit mehr als einem reservierbaren Objekt"
 
 #: fortran/match.c:3690
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "MOLD tag at %L"
-msgstr "Fortran 2008: MOLD-Marke bei %L"
+msgstr "MOLD-Marke bei %L"
 
 #: fortran/match.c:3697
 #, gcc-internal-format, gfc-internal-format
@@ -40786,9 +40791,9 @@
 msgstr "ALLOCATE-Objekt bei %L mit Parameter aufgeschobenen Typs erfordert entweder eine Typspezifikation, SOURCE-Marke oder MOLD-Marke"
 
 #: fortran/match.c:3750
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Unlimited polymorphic allocate-object at %L requires either a type-spec or SOURCE tag or a MOLD tag"
-msgstr "ALLOCATE-Objekt bei %L mit Parameter aufgeschobenen Typs erfordert entweder eine Typspezifikation, SOURCE-Marke oder MOLD-Marke"
+msgstr "Unbeschränkt polymorphes ALLOCATE-Objekt bei %L erfordert entweder eine Typspezifikation, SOURCE-Marke oder MOLD-Marke"
 
 #: fortran/match.c:3812
 #, gcc-internal-format, gfc-internal-format
@@ -40811,14 +40816,14 @@
 msgstr "DEALLOCATE von Koarray bei %C in CRITICAL-Block"
 
 #: fortran/match.c:3928
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Allocate-object at %C is not a nonprocedure pointer nor an allocatable variable"
 msgstr "Allocate-Objekt bei %C ist kein Nicht-Prozedur-Zeiger oder reservierbare Variable"
 
 #: fortran/match.c:3965
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ERRMSG at %L"
-msgstr "Fortran 2003: ERRMSG bei %L"
+msgstr "ERRMSG bei %L"
 
 #: fortran/match.c:4023
 #, gcc-internal-format, gfc-internal-format
@@ -40836,14 +40841,14 @@
 msgstr "Alternative RETURN-Anweisung bei %C ist nur innerhalb einer SUBROUTINE erlaubt"
 
 #: fortran/match.c:4043
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Alternate RETURN at %C"
-msgstr "Veraltet: Alternatives RETURN bei %C"
+msgstr "Alternatives RETURN bei %C"
 
 #: fortran/match.c:4073
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "RETURN statement in main program at %C"
-msgstr "Erweiterung: RETURN-Anweisung im Hauptprogramm bei %C"
+msgstr "RETURN-Anweisung im Hauptprogramm bei %C"
 
 #: fortran/match.c:4101
 #, gcc-internal-format, gfc-internal-format
@@ -40954,9 +40959,9 @@
 msgstr "Anweisungsfunktion bei %L ist rekursiv"
 
 #: fortran/match.c:4989
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Statement function at %C"
-msgstr "Anweisungsfunktion bei %L ist rekursiv"
+msgstr "Anweisungsfunktion bei %C"
 
 #: fortran/match.c:5074
 #, gcc-internal-format, gfc-internal-format
@@ -40991,7 +40996,7 @@
 #: fortran/match.c:5565
 #, gcc-internal-format, gfc-internal-format
 msgid "The type-spec shall not specify a sequence derived type or a type with the BIND attribute in SELECT TYPE at %C [F2003:C815]"
-msgstr ""
+msgstr "Typspezifikation sollte keinen Sequenz-abgeleiteten Typ oder Typ mit BIND-Attribut in SELECT TYPE bei %C beschreiben [F2003:C815]"
 
 #: fortran/match.c:5577
 #, gcc-internal-format, gfc-internal-format
@@ -41040,9 +41045,9 @@
 msgstr "Erweiterung: Unärer Operator hinter arithmetischem Operator bei %C (Klammern verwenden)"
 
 #: fortran/module.c:554
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "module nature in USE statement at %C"
-msgstr "Fortran 2003: Modul-Eigenschaft in USE-Anweisung bei %C"
+msgstr "Modul-Eigenschaft in USE-Anweisung bei %C"
 
 #: fortran/module.c:566
 #, gcc-internal-format, gfc-internal-format
@@ -41055,9 +41060,9 @@
 msgstr "\"::\" nach Modul-Eigenschaft bei %C erwartet, aber nicht gefunden"
 
 #: fortran/module.c:590
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "\"USE :: module\" at %C"
-msgstr "Fortran 2003: \"USE :: module\" bei %C"
+msgstr "\"USE :: module\" bei %C"
 
 #: fortran/module.c:649
 #, gcc-internal-format, gfc-internal-format
@@ -41065,9 +41070,9 @@
 msgstr "Fehlende allgemeine Spezifikation in USE-Anweisung bei %C"
 
 #: fortran/module.c:657
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Renaming operators in USE statements at %C"
-msgstr "Fortran 2003: Umbenennungsoperatoren in USE-Anweisungen bei %C"
+msgstr "Umbenennungsoperatoren in USE-Anweisungen bei %C"
 
 #: fortran/module.c:699
 #, gcc-internal-format, gfc-internal-format
@@ -41181,14 +41186,14 @@
 msgstr "Bei %2$L referenziertes Symbol »%1$s« nicht im intrinsischen Modul ISO_FORTRAN_ENV gefunden"
 
 #: fortran/module.c:6143
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ISO_FORTRAN_ENV intrinsic module at %C"
-msgstr "Fortran 2003: Intrinsisches Modul ISO_FORTRAN_ENV bei %C"
+msgstr "Intrinsisches Modul ISO_FORTRAN_ENV bei %C"
 
 #: fortran/module.c:6156
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ISO_C_BINDING module at %C"
-msgstr "Fortran 2003: Modul ISO_C_BINDING bei %C"
+msgstr "Modul ISO_C_BINDING bei %C"
 
 #: fortran/module.c:6169
 #, gcc-internal-format, gfc-internal-format
@@ -41206,14 +41211,14 @@
 msgstr "Verwendung des nicht-intrinsischen Moduls »%s« bei %C steht mit vorher verwendetem intrinsischen Modulnamen in Konflikt"
 
 #: fortran/module.c:6202
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "File '%s' opened at %C is not a GNU Fortran module file"
-msgstr "Bei %2$C geöffnete Datei »%1$s« ist keine GFORTRAN-Moduldatei"
+msgstr "Bei %2$C geöffnete Datei »%1$s« ist keine GNU Fortran-Moduldatei"
 
 #: fortran/module.c:6210
 #, gcc-internal-format, gfc-internal-format
 msgid "Cannot read module file '%s' opened at %C, because it was created by a different version of GNU Fortran"
-msgstr ""
+msgstr "Bei %2$C geöffnete Moduldatei »%1$s« kann nicht gelesen werden, da sie von anderer Version von GNU Fortran erstellt wurde"
 
 #: fortran/module.c:6224
 #, gcc-internal-format
@@ -41727,24 +41732,24 @@
 msgstr "Komponenten in TYPE bei %C müssen CONTAINS vorausgehen"
 
 #: fortran/parse.c:1980
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Type-bound procedure at %C"
-msgstr "Fortran 2003: Typgebundene Prozedur bei %C"
+msgstr "Typgebundene Prozedur bei %C"
 
 #: fortran/parse.c:1989
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "GENERIC binding at %C"
-msgstr "Ausschuss hinter GENERIC-Bindung bei %C"
+msgstr "GENERIC-Bindung bei %C"
 
 #: fortran/parse.c:1999
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "FINAL procedure declaration at %C"
-msgstr "Fortran 2003: FINAL-Prozedurdeklaration bei %C"
+msgstr "FINAL-Prozedurdeklaration bei %C"
 
 #: fortran/parse.c:2011
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Derived type definition at %C with empty CONTAINS section"
-msgstr "Fortran 2008: Definition eines abgeleiteten Typs bei %C mit leerem CONTAINS-Abschnitt"
+msgstr "Definition eines abgeleiteten Typs bei %C mit leerem CONTAINS-Abschnitt"
 
 #: fortran/parse.c:2022 fortran/parse.c:2125
 #, gcc-internal-format, gfc-internal-format
@@ -41777,9 +41782,9 @@
 msgstr "FINAL-Deklaration bei %C muss innerhalb von CONTAINS sein"
 
 #: fortran/parse.c:2116
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Derived type definition at %C without components"
-msgstr "Fortran 2003: Definition des abgeleiteten Typs bei %C ohne Komponenten"
+msgstr "Definition des abgeleiteten Typs bei %C ohne Komponenten"
 
 #: fortran/parse.c:2132
 #, gcc-internal-format, gfc-internal-format
@@ -41802,9 +41807,9 @@
 msgstr "Doppelte SEQUENCE-Anweisung bei %C"
 
 #: fortran/parse.c:2170
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "CONTAINS block in derived type definition at %C"
-msgstr "Fortran 2003: CONTAINS-Block in Definition des abgeleiteten Typs bei %C"
+msgstr "CONTAINS-Block in Definition des abgeleiteten Typs bei %C"
 
 #: fortran/parse.c:2258
 #, gcc-internal-format, gfc-internal-format
@@ -41937,19 +41942,19 @@
 msgstr "Ende der DO-Anweisung bei %C ist mit anderer DO-Schleife verwoben"
 
 #: fortran/parse.c:3274
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Statement label in END CRITICAL at %C does not match CRITICAL label"
-msgstr "Anweisungsmarke in END CRITICAL bei %C passt nicht zum CRITICAL-Marke"
+msgstr "Anweisungsmarke in END CRITICAL bei %C passt nicht zur CRITICAL-Marke"
 
 #: fortran/parse.c:3342
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "BLOCK construct at %C"
-msgstr "Fortran 2008: BLOCK-Konstrukt bei %C"
+msgstr "BLOCK-Konstrukt bei %C"
 
 #: fortran/parse.c:3372
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "ASSOCIATE construct at %C"
-msgstr "Fortran 2003: ASSOCIATE-Konstrukt bei %C"
+msgstr "ASSOCIATE-Konstrukt bei %C"
 
 #: fortran/parse.c:3472
 #, gcc-internal-format, gfc-internal-format
@@ -41977,9 +41982,9 @@
 msgstr "Anweisung %s bei %C kann keine DO-Schleife ohne Block beenden"
 
 #: fortran/parse.c:3833
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "DATA statement at %C after the first executable statement"
-msgstr "FORMAT-Anweisung bei %L hat keine Anweisungsmarke"
+msgstr "DATA-Anweisung bei %C hinter der ersten ausführbaren Anweisung"
 
 #: fortran/parse.c:4025
 #, gcc-internal-format, gfc-internal-format
@@ -41992,9 +41997,9 @@
 msgstr "Unerwartete Anweisung %s in CONTAINS-Abschnitt bei %C"
 
 #: fortran/parse.c:4105
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "CONTAINS statement without FUNCTION or SUBROUTINE statement at %C"
-msgstr "Fortran 2008: CONTAINS-Anweisung ohne FUNCTION- oder SUBROUTINE-Anweisung bei %C"
+msgstr "CONTAINS-Anweisung ohne FUNCTION- oder SUBROUTINE-Anweisung bei %C"
 
 #: fortran/parse.c:4182
 #, gcc-internal-format, gfc-internal-format
@@ -42045,9 +42050,9 @@
 msgstr "Ganzzahl zu groß für ihre Art bei %C. Diese Überprüfung kann mit der Option -fno-range-check ausgeschaltet werden"
 
 #: fortran/primary.c:270
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Hollerith constant at %C"
-msgstr "Erweiterung: Hollerithkonstante bei %C"
+msgstr "Hollerithkonstante bei %C"
 
 #: fortran/primary.c:282
 #, gcc-internal-format, gfc-internal-format
@@ -42065,9 +42070,9 @@
 msgstr "Ungültige Hollerithkonstante bei %L enthält ein Wide-Zeichen"
 
 #: fortran/primary.c:394
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Hexadecimal constant at %C uses non-standard syntax"
-msgstr "Erweiterung: Hexadezimalkonstante bei %C verwendet Nicht-Standard-Syntax"
+msgstr "Hexadezimalkonstante bei %C verwendet Nicht-Standard-Syntax"
 
 #: fortran/primary.c:404
 #, gcc-internal-format, gfc-internal-format
@@ -42080,9 +42085,9 @@
 msgstr "Unzulässiges Zeichen in BOZ-Konstante bei %C"
 
 #: fortran/primary.c:433
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "BOZ constant at %C uses non-standard postfix syntax"
-msgstr "Erweiterung: BOZ-Konstante bei %C verwendet Nicht-Standard-Postfix-Syntax"
+msgstr "BOZ-Konstante bei %C verwendet Nicht-Standard-Postfix-Syntax"
 
 #: fortran/primary.c:464
 #, gcc-internal-format, gfc-internal-format
@@ -42090,14 +42095,14 @@
 msgstr "Ganzzahl zu groß für Ganzzahlart %i bei %C"
 
 #: fortran/primary.c:470
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "BOZ used outside a DATA statement at %C"
-msgstr "Fortran 2003: BOZ außerhalb einer DATA-Anweisung bei %C verwendet"
+msgstr "BOZ außerhalb einer DATA-Anweisung bei %C verwendet"
 
 #: fortran/primary.c:561
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "exponent-letter 'q' in real-literal-constant at %C"
-msgstr "Ungültiger Exponent-Buchstabe »q« in literaler Realkonstante bei %C"
+msgstr "Exponent-Buchstabe »q« in Real-Literalkonstante bei %C"
 
 #: fortran/primary.c:565
 #, gcc-internal-format, gfc-internal-format
@@ -42180,9 +42185,9 @@
 msgstr "Skalarer PARAMETER in komplexer Konstante bei %C erwartet"
 
 #: fortran/primary.c:1220
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "PARAMETER symbol in complex constant at %C"
-msgstr "PARAMETER-Symbol in komplexer Konstante bei %C erwartet"
+msgstr "PARAMETER-Symbol in komplexer Konstante bei %C"
 
 #: fortran/primary.c:1250
 #, gcc-internal-format, gfc-internal-format
@@ -42200,9 +42205,9 @@
 msgstr "Schlüsselwort »%s« bei %C bereits in aktueller Argumentliste aufgetreten"
 
 #: fortran/primary.c:1649
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "argument list function at %C"
-msgstr "Unbekannte Argumentlistenfunktion bei %L"
+msgstr "Argumentlistenfunktion bei %C"
 
 #: fortran/primary.c:1718
 #, gcc-internal-format, gfc-internal-format
@@ -42230,14 +42235,14 @@
 msgstr "Koarray-Bezeichner bei %C, aber »%s« ist kein Koarray"
 
 #: fortran/primary.c:1916
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %C has no IMPLICIT type"
-msgstr "Symbol »%s« bei %L hat keinen IMPLICIT-Typ"
+msgstr "Symbol »%s« bei %C hat keinen IMPLICIT-Typ"
 
 #: fortran/primary.c:1922
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Unexpected '%%' for nonderived-type variable '%s' at %C"
-msgstr "Unerwartetes Zeichen in Variablenliste bei %C"
+msgstr "Unerwartetes »%%« für Variable »%s« nicht-abgeleiteten Typs bei %C"
 
 #: fortran/primary.c:1940
 #, gcc-internal-format, gfc-internal-format
@@ -42260,9 +42265,9 @@
 msgstr "Koindizierte Prozedurzeiger-Komponente bei %C"
 
 #: fortran/primary.c:2357
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Structure constructor with missing optional arguments at %C"
-msgstr "Fortran 2003: Strukturkonstruktor mit fehlenden optionalen Argumenten bei %C"
+msgstr "Strukturkonstruktor mit fehlenden optionalen Argumenten bei %C"
 
 #: fortran/primary.c:2365
 #, gcc-internal-format, gfc-internal-format
@@ -42275,9 +42280,9 @@
 msgstr "ABSTRACT-Typ »%s« bei %L kann nicht konstruiert werden"
 
 #: fortran/primary.c:2433
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Structure constructor with named arguments at %C"
-msgstr "Fortran 2003: Strukturkonstruktor mit benannten Argumenten bei %C"
+msgstr "Strukturkonstruktor mit benannten Argumenten bei %C"
 
 #: fortran/primary.c:2449
 #, gcc-internal-format, gfc-internal-format
@@ -42360,29 +42365,29 @@
 msgstr "ABSTRACT-Typ »%s« bei %L verwendet"
 
 #: fortran/resolve.c:145
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Interface '%s' at %L is declared in a later PROCEDURE statement"
-msgstr "Schnittstelle »%s«, von Prozedur »%s« bei %L verwendet, ist in späterer PROCEDURE-Anweisung deklariert"
+msgstr "Schnittstelle »%s« bei %L ist in späterer PROCEDURE-Anweisung deklariert"
 
 #: fortran/resolve.c:158
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Interface '%s' at %L may not be generic"
-msgstr "Schnittstelle »%s« bei %C kann nicht allgemein sein"
+msgstr "Schnittstelle »%s« bei %L kann nicht allgemein sein"
 
 #: fortran/resolve.c:165
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Interface '%s' at %L may not be a statement function"
-msgstr "Schnittstelle »%s« bei %C kann keine Anweisungsfunktion sein"
+msgstr "Schnittstelle »%s« bei %L darf keine Anweisungsfunktion sein"
 
 #: fortran/resolve.c:174
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Intrinsic procedure '%s' not allowed in PROCEDURE statement at %L"
-msgstr "Intrinsische Prozedur »%s« ist in PROCEDURE-Anweisung bei %C nicht erlaubt"
+msgstr "Intrinsische Prozedur »%s« ist in PROCEDURE-Anweisung bei %L nicht erlaubt"
 
 #: fortran/resolve.c:180
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Interface '%s' at %L must be explicit"
-msgstr "Schnittstelle »%s« der Prozedur »%s« bei %L muss explizit sein"
+msgstr "Schnittstelle »%s« bei %L muss explizit sein"
 
 #: fortran/resolve.c:202
 #, gcc-internal-format, gfc-internal-format
@@ -42405,9 +42410,9 @@
 msgstr "Scheinprozedur »%s« der PURE-Prozedur bei %L muss auch PURE sein"
 
 #: fortran/resolve.c:385
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Argument '%s' of pure function '%s' at %L with VALUE attribute but without INTENT(IN)"
-msgstr "Fortran 2008: Argument »%s« der reinen Funktion »%s« bei %L mit VALUE-Attribut, aber ohne INTENT(IN)"
+msgstr "Argument »%s« der reinen Funktion »%s« bei %L mit VALUE-Attribut, aber ohne INTENT(IN)"
 
 #: fortran/resolve.c:390
 #, gcc-internal-format, gfc-internal-format
@@ -42415,9 +42420,9 @@
 msgstr "Argument »%s« der reinen Funktion »%s« bei %L muss INTENT(IN) oder VALUE sein"
 
 #: fortran/resolve.c:398
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Argument '%s' of pure subroutine '%s' at %L with VALUE attribute but without INTENT"
-msgstr "Fortran 2008: Argument »%s« des reinen Unterprogrammes »%s« bei %L mit VALUE-Attribut, aber ohne INTENT"
+msgstr "Argument »%s« des reinen Unterprogrammes »%s« bei %L mit VALUE-Attribut, aber ohne INTENT"
 
 #: fortran/resolve.c:403
 #, gcc-internal-format, gfc-internal-format
@@ -42450,9 +42455,9 @@
 msgstr "Scheinprozedur »%s« nicht in elementarer Prozedur »%s« bei %L erlaubt"
 
 #: fortran/resolve.c:481
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Argument '%s' of elemental procedure '%s' at %L must have its INTENT specified or have the VALUE attribute"
-msgstr "Für Argument »%s« des reinen Unterprogrammes »%s« bei %L muss INTENT oder das VALUE-Attribut angegeben werden"
+msgstr "Für Argument »%s« des elementaren Unterprogrammes »%s« bei %L muss INTENT oder das VALUE-Attribut angegeben werden"
 
 #: fortran/resolve.c:494
 #, gcc-internal-format, gfc-internal-format
@@ -42485,9 +42490,9 @@
 msgstr "Funktion %s bei %L hat Einträge mit unpassenden Feldspezifikationen"
 
 #: fortran/resolve.c:781
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Function %s at %L with entries returning variables of different string lengths"
-msgstr "Erweiterung: Funktion %s bei %L mit Einträgen, die Variablen mit verschiedenen Zeichenkettenlängen zurückgeben"
+msgstr "Funktion %s bei %L mit Einträgen, die Variablen mit verschiedenen Zeichenkettenlängen zurückgeben"
 
 #: fortran/resolve.c:808
 #, gcc-internal-format, gfc-internal-format
@@ -42532,7 +42537,7 @@
 #: fortran/resolve.c:920
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' in cannot appear in COMMON at %L [F2008:C5100]"
-msgstr ""
+msgstr "»%s« kann nicht in COMMON bei %L auftreten [F2008:C5100]"
 
 #: fortran/resolve.c:928
 #, gcc-internal-format, gfc-internal-format
@@ -42565,14 +42570,14 @@
 msgstr "COMMON-Block »%s« bei %L ist auch eine intrinsische Prozedur"
 
 #: fortran/resolve.c:978
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "COMMON block '%s' at %L that is also a function result"
-msgstr "Fortran 2003: COMMON-Block »%s« bei %L der auch ein Funktionsergebnis ist"
+msgstr "COMMON-Block »%s« bei %L der auch ein Funktionsergebnis ist"
 
 #: fortran/resolve.c:983
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "COMMON block '%s' at %L that is also a global procedure"
-msgstr "Fortran 2003: COMMON-Block »%s« bei %L der auch eine globale Prozedur ist"
+msgstr "COMMON-Block »%s« bei %L der auch eine globale Prozedur ist"
 
 #: fortran/resolve.c:1047
 #, gcc-internal-format, gfc-internal-format
@@ -42670,9 +42675,9 @@
 msgstr "Eingebautes »%s« bei %L ist nicht als effektives Argument erlaubt"
 
 #: fortran/resolve.c:1742
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Internal procedure '%s' is used as actual argument at %L"
-msgstr "Fortran 2008: Interne Prozedur »%s« wird als effektives Argument bei %L verwendet"
+msgstr "Interne Prozedur »%s« wird als effektives Argument bei %L verwendet"
 
 #: fortran/resolve.c:1750
 #, gcc-internal-format, gfc-internal-format
@@ -42745,9 +42750,9 @@
 msgstr "Prozedur »%s« bei %L mit Scheinargument »%s« mit vermuteter Form muss explizite Schnittstelle haben"
 
 #: fortran/resolve.c:2275
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Procedure '%s' at %L with assumed-rank dummy argument '%s' must have an explicit interface"
-msgstr "Prozedur »%s« bei %L mit Scheinargument »%s« mit vermuteter Form muss explizite Schnittstelle haben"
+msgstr "Prozedur »%s« bei %L mit Scheinargument »%s« vermuteten Ranges muss explizite Schnittstelle haben"
 
 #: fortran/resolve.c:2283
 #, gcc-internal-format, gfc-internal-format
@@ -42765,9 +42770,9 @@
 msgstr "Prozedur »%s« bei %L mit polymorphem Scheinargument »%s« muss explizite Schnittstelle haben"
 
 #: fortran/resolve.c:2309
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Procedure '%s' at %L with assumed-type dummy argument '%s' must have an explicit interface"
-msgstr "Prozedur »%s« bei %L mit Scheinargument »%s« mit vermuteter Form muss explizite Schnittstelle haben"
+msgstr "Prozedur »%s« bei %L mit Scheinargument »%s« vermuteten Typs muss explizite Schnittstelle haben"
 
 #: fortran/resolve.c:2321
 #, gcc-internal-format, gfc-internal-format
@@ -42814,7 +42819,7 @@
 msgid "Unable to resolve the specific function '%s' at %L"
 msgstr "Spezifische Funktion »%s« bei %L kann nicht aufgelöst werden"
 
-#: fortran/resolve.c:2630 fortran/resolve.c:14732
+#: fortran/resolve.c:2630 fortran/resolve.c:14734
 #, gcc-internal-format, gfc-internal-format
 msgid "Function '%s' at %L has no IMPLICIT type"
 msgstr "Funktion »%s« bei %L hat IMPLICIT-Typ"
@@ -42889,14 +42894,14 @@
 #. TODO: Update this error message to allow for procedure
 #. pointers once they are implemented.
 #: fortran/resolve.c:3056
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Argument '%s' to '%s' at %L must be a procedure"
-msgstr "Parameter »%s« für »%s« bei %L muss eine Prozedur sein"
+msgstr "Argument »%s« für »%s« bei %L muss eine Prozedur sein"
 
 #: fortran/resolve.c:3063
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Noninteroperable argument '%s' to '%s' at %L"
-msgstr "Fehlendes effektives Argument »%s« in Aufruf von »%s« bei %L"
+msgstr "Unverträgliches Argument »%s« für »%s« bei %L"
 
 #: fortran/resolve.c:3111
 #, gcc-internal-format, gfc-internal-format
@@ -42972,32 +42977,32 @@
 #: fortran/resolve.c:3546
 #, gcc-internal-format, gfc-internal-format
 msgid "Argument CPTR to C_F_POINTER at %L shall have the type C_PTR"
-msgstr ""
+msgstr "Argument CPTR für C_F_POINTER bei %L sollte Typ C_PTR haben"
 
 #: fortran/resolve.c:3554
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Argument FPTR to C_F_POINTER at %L must not be polymorphic"
-msgstr "Effektives Argument für »%s« bei %L muss polymorph sein"
+msgstr "Argument FPTR für C_F_POINTER bei %L darf nicht polymorph sein"
 
 #: fortran/resolve.c:3568
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Missing SHAPE argument for call to %s at %L"
-msgstr "Fehlender SHAPE-Parameter für Aufruf von »%s« bei %L"
+msgstr "Fehlendes SHAPE-Argument für Aufruf von »%s« bei %L"
 
 #: fortran/resolve.c:3575
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "SHAPE argument for call to %s at %L must be a rank 1 INTEGER array"
-msgstr "SHAPE-Parameter für Aufruf von %s bei %L muss ein INTEGER-Feld mit Rang 1 sein"
+msgstr "SHAPE-Argument für Aufruf von %s bei %L muss ein INTEGER-Feld mit Rang 1 sein"
 
 #: fortran/resolve.c:3588
 #, gcc-internal-format, gfc-internal-format
 msgid "Argument at %L to C_F_FUNPOINTER shall have the type C_FUNPTR"
-msgstr ""
+msgstr "Argument bei %L für C_F_FUNPOINTER sollte Type C_FUNPTR haben"
 
 #: fortran/resolve.c:3594
 #, gcc-internal-format, gfc-internal-format
 msgid "Noninteroperable procedure-pointer at %L to C_F_FUNPOINTER"
-msgstr ""
+msgstr "Unverträglicher Prozedurzeiger bei %L für C_F_FUNPOINTER"
 
 #: fortran/resolve.c:3660
 #, gcc-internal-format, gfc-internal-format
@@ -43105,9 +43110,9 @@
 msgstr "Feldindex bei %L muss INTEGER-Typ haben, %s gefunden"
 
 #: fortran/resolve.c:4608
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "REAL array index at %L"
-msgstr "Erweiterung: REAL-Feld-Index bei %L"
+msgstr "REAL-Feld-Index bei %L"
 
 #: fortran/resolve.c:4647
 #, gcc-internal-format, gfc-internal-format
@@ -43175,9 +43180,9 @@
 msgstr "Zwei oder mehr Teilreferenzen mit Rang größer Null dürfen nicht bei %L angegeben werden"
 
 #: fortran/resolve.c:5234
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-type variable %s at %L may only be used as actual argument"
-msgstr "Feld mit vermuteter Form bei %L muss ein Scheinargument sein"
+msgstr "Variable %s vermuteten Typs bei %L kann nur als effektives Argument verwendet werden"
 
 #. FIXME: It doesn't work reliably as inquiry_argument is not set
 #. for all inquiry functions in resolve_function; the reason is
@@ -43186,12 +43191,12 @@
 #: fortran/resolve.c:5244
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed-type variable %s at %L as actual argument to an inquiry function shall be the first argument"
-msgstr ""
+msgstr "Variable %s vermuteten Typs bei %L als effektives Argument für Abfragefunktion sollte das erste Argument sein"
 
 #: fortran/resolve.c:5260
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-rank variable %s at %L may only be used as actual argument"
-msgstr "Feld mit vermuteter Form bei %L muss ein Scheinargument sein"
+msgstr "Variable %s vermuteten Ranges bei %L kann nur als effektives Argument verwendet werden"
 
 #. FIXME: It doesn't work reliably as inquiry_argument is not set
 #. for all inquiry functions in resolve_function; the reason is
@@ -43200,17 +43205,17 @@
 #: fortran/resolve.c:5270
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed-rank variable %s at %L as actual argument to an inquiry function shall be the first argument"
-msgstr ""
+msgstr "Variable %s vermuteten Ranges bei %L als effektives Argument für Abfragefunktion sollte das erste Argument sein"
 
 #: fortran/resolve.c:5282
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-type variable %s at %L shall not have a subobject reference"
-msgstr "Koarray-Variable »%s« bei %L sollte keine Kodimensionen mit aufgeschobener Form haben"
+msgstr "Variable %s vermuteten Typs bei %L sollte keine Referenz auf Subobjekt haben"
 
 #: fortran/resolve.c:5297
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-rank variable %s at %L shall not have a subobject reference"
-msgstr "Koarray-Variable »%s« bei %L sollte keine Kodimensionen mit aufgeschobener Form haben"
+msgstr "Variable »%s« vermuteten Ranges bei %L sollte keine Referenz auf Subobjekt haben"
 
 #: fortran/resolve.c:5384
 #, gcc-internal-format, gfc-internal-format
@@ -43274,9 +43279,9 @@
 msgstr "%s bei %L muss skalar sein"
 
 #: fortran/resolve.c:6650
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "%s at %L must be integer"
-msgstr "'%s' bei %L muss nichtnegativ sein"
+msgstr "%s bei %L muss ganzzahlig sein"
 
 #: fortran/resolve.c:6654 fortran/resolve.c:6661
 #, gcc-internal-format, gfc-internal-format
@@ -43510,7 +43515,7 @@
 #: fortran/resolve.c:8297
 #, gcc-internal-format, gfc-internal-format
 msgid "CLASS selector at %L needs a temporary which is not yet implemented"
-msgstr ""
+msgstr "CLASS-Selektor bei %L erfordert Zwischenspeicher, was noch nicht implementiert ist"
 
 #: fortran/resolve.c:8354
 #, gcc-internal-format, gfc-internal-format
@@ -43518,9 +43523,9 @@
 msgstr "Selektor sollte in SELECT TYPE-Anweisung bei %L polymorph sein"
 
 #: fortran/resolve.c:8371 fortran/resolve.c:8383
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Selector at %L must not be coindexed"
-msgstr "Verknüpfungsziel bei %C darf nicht koindiziert sein"
+msgstr "Selektor bei %L darf nicht koindiziert sein"
 
 #: fortran/resolve.c:8399
 #, gcc-internal-format, gfc-internal-format
@@ -43533,14 +43538,14 @@
 msgstr "Abgeleiteter Typ »%s« bei %L muss eine Erweiterung von »%s« sein"
 
 #: fortran/resolve.c:8414
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Unexpected intrinsic type '%s' at %L"
-msgstr "Unerwartetes intrinsisches NULL() bei %L für Schein-»%s«"
+msgstr "Unerwarteter intrinsischer Typ »%s« bei %L"
 
 #: fortran/resolve.c:8423
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "The type-spec at %L shall specify that each length type parameter is assumed"
-msgstr "Typspezifikation bei %L kann keine Parameter mit aufgeschobenem Typ haben"
+msgstr "In Typspezifikation bei %L sollten alle Parameter mit Längentyp vermutet sein"
 
 #: fortran/resolve.c:8618
 #, gcc-internal-format, gfc-internal-format
@@ -43716,7 +43721,7 @@
 #: fortran/resolve.c:9894
 #, gcc-internal-format, gfc-internal-format
 msgid "TODO: type-bound defined assignment(s) at %L not done because multiple part array references would occur in intermediate expressions."
-msgstr ""
+msgstr "TODO: als typgebunden definierte Zuweisung(en) bei %L nicht durchgeführt, da Feldreferenzen mit mehreren Teilen in Audrücken als Zwischenergebnisse auftreten würden"
 
 #: fortran/resolve.c:10181
 #, gcc-internal-format, gfc-internal-format
@@ -43797,9 +43802,9 @@
 msgstr "Zeichenkettenlänge bei %L ist zu groß"
 
 #: fortran/resolve.c:11084
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Allocatable array '%s' at %L must have a deferred shape or assumed rank"
-msgstr "Zuordnungsfähiges Feld »%s« bei %L muss aufgeschobene Form haben"
+msgstr "Reservierbares Feld »%s« bei %L muss aufgeschobene Form oder vermuteten Rang haben"
 
 #: fortran/resolve.c:11088
 #, gcc-internal-format, gfc-internal-format
@@ -43807,9 +43812,9 @@
 msgstr "Skalares Objekt »%s« bei %L kann nicht ALLOCATABLE sein"
 
 #: fortran/resolve.c:11096
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Array pointer '%s' at %L must have a deferred shape or assumed rank"
-msgstr "Feldzeiger »%s« bei %L muss aufgeschobene Form haben"
+msgstr "Feldzeiger »%s« bei %L muss aufgeschobene Form oder vermuteten Rang haben"
 
 #: fortran/resolve.c:11106
 #, gcc-internal-format, gfc-internal-format
@@ -43832,9 +43837,9 @@
 msgstr "Der Typ %s kann bei %L nicht mit Wirt verbunden werden, da er von unverträglichem bei %L definiertem Objekt mit gleichem Namen blockiert wird"
 
 #: fortran/resolve.c:11186
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Implied SAVE for module variable '%s' at %L, needed due to the default initialization"
-msgstr "Fortran 2008: Inbegriffenes SAVE für Modulvariable »%s« bei %L, benötigt wegen Standardkonstruktor"
+msgstr "Einbezogenes SAVE für Modulvariable »%s« bei %L, benötigt wegen Standardinitialisierung"
 
 #. The shape of a main program or module array needs to be
 #. constant.
@@ -43899,14 +43904,14 @@
 msgstr "Zeichenwertige Anweisungsfunktion »%s« bei %L muss konstante Länge haben"
 
 #: fortran/resolve.c:11415
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "'%s' is of a PRIVATE type and cannot be a dummy argument of '%s', which is PUBLIC at %L"
-msgstr "Fortran 2003: »%s« hat PRIVATE-Typ und kann kein Scheinargument von »%s« sein, das PUBLIC bei %L ist"
+msgstr "»%s« hat PRIVATE-Typ und kann kein Scheinargument von »%s« sein, das PUBLIC bei %L ist"
 
 #: fortran/resolve.c:11437 fortran/resolve.c:11461
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Procedure '%s' in PUBLIC interface '%s' at %L takes dummy arguments of '%s' which is PRIVATE"
-msgstr "Fortran 2003: Prozedur »%s« in PUBLIC-Schnittstelle »%s« bei %L nimmt Schneinargumente von »%s«, das PRIVATE ist"
+msgstr "Prozedur »%s« in PUBLIC-Schnittstelle »%s« bei %L nimmt Scheinargumente von »%s«, das PRIVATE ist"
 
 #: fortran/resolve.c:11479
 #, gcc-internal-format, gfc-internal-format
@@ -43949,9 +43954,9 @@
 msgstr "CHARACTER(*)-Funktion »%s« bei %L kann nicht rekursiv sein"
 
 #: fortran/resolve.c:11550
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "CHARACTER(*) function '%s' at %L"
-msgstr "CHARACTER(*)-Funktion »%s« bei %L kann nicht pure sein"
+msgstr "CHARACTER(*)-Funktion »%s« bei %L"
 
 #: fortran/resolve.c:11604
 #, gcc-internal-format, gfc-internal-format
@@ -44200,9 +44205,9 @@
 msgstr "Zeichenkomponente »%s« von »%s« bei %L mit aufgeschobener Länge muss POINTER oder ALLOCATABLE sein"
 
 #: fortran/resolve.c:12808
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "the component '%s' is a PRIVATE type and cannot be a component of '%s', which is PUBLIC at %L"
-msgstr "Fortran 2003: Die Komponente »%s« ist ein PRIVATE-Typ und kann nicht Komponente von »%s« sein, die PUBLIC bei %L ist"
+msgstr "Die Komponente »%s« ist ein PRIVATE-Typ und kann nicht Komponente von »%s« sein, die PUBLIC bei %L ist"
 
 #: fortran/resolve.c:12816
 #, gcc-internal-format, gfc-internal-format
@@ -44224,417 +44229,417 @@
 msgid "Component '%s' with CLASS at %L must be allocatable or pointer"
 msgstr "Komponente »%s« mit CLASS bei %L muss allozierbar oder Zeiger sein"
 
-#: fortran/resolve.c:12934
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:12936
+#, gcc-internal-format, gfc-internal-format
 msgid "Generic name '%s' of function '%s' at %L being the same name as derived type at %L"
-msgstr "Fortran 2003: Allgemeiner Name »%s« der Funktion »%s« bei %L ist der gleiche wie der des abgeleiteten Typs bei %L"
+msgstr "Allgemeiner Name »%s« der Funktion »%s« bei %L ist der gleiche wie der des abgeleiteten Typs bei %L"
 
-#: fortran/resolve.c:12990
+#: fortran/resolve.c:12992
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed size array '%s' in namelist '%s' at %L is not allowed"
 msgstr "Feld »%s« mit vermuteter Größe in Namensliste »%s« bei %L ist nicht erlaubt"
 
-#: fortran/resolve.c:12996
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:12998
+#, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST array object '%s' with assumed shape in namelist '%s' at %L"
-msgstr "Fortran 2003: NAMELIST-Feldobjekt »%s« mit vermuteter Form in Namensliste »%s« bei %L"
+msgstr "NAMELIST-Feldobjekt »%s« mit vermuteter Form in Namensliste »%s« bei %L"
 
-#: fortran/resolve.c:13003
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13005
+#, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST array object '%s' with nonconstant shape in namelist '%s' at %L"
-msgstr "Fortran 2003: NAMELIST-Feldobjekt »%s« ohne konstante Form in Namensliste »%s« bei %L"
+msgstr "NAMELIST-Feldobjekt »%s« ohne konstante Form in Namensliste »%s« bei %L"
 
-#: fortran/resolve.c:13012
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13014
+#, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST object '%s' with nonconstant character length in namelist '%s' at %L"
-msgstr "Fortran 2003: NAMELIST-Objekt »%s« ohne konstante Zeichenlänge in Namensliste »%s« bei %L"
+msgstr "NAMELIST-Objekt »%s« ohne konstante Zeichenlänge in Namensliste »%s« bei %L"
 
-#: fortran/resolve.c:13022
+#: fortran/resolve.c:13024
 #, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST object '%s' in namelist '%s' at %L is polymorphic and requires a defined input/output procedure"
 msgstr "NAMELIST-Objekt »%s« in Namensliste »%s« bei %L ist polymorph und erfordert eine definierte Ein-/Ausgabeprozedur"
 
-#: fortran/resolve.c:13032
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13034
+#, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST object '%s' in namelist '%s' at %L with ALLOCATABLE or POINTER components"
-msgstr "Fortran 2003: NAMELIST-Objekt »%s« in Namensliste »%s« bei %L mit ALLOCATABLE- oder POINTER-Komponenten"
+msgstr "NAMELIST-Objekt »%s« in Namensliste »%s« bei %L mit ALLOCATABLE- oder POINTER-Komponenten"
 
 #. FIXME: Once UDDTIO is implemented, the following can be
 #. removed.
-#: fortran/resolve.c:13040
+#: fortran/resolve.c:13042
 #, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST object '%s' in namelist '%s' at %L has ALLOCATABLE or POINTER components and thus requires a defined input/output procedure"
 msgstr "NAMELIST-Objekt »%s« in Namensliste »%s« bei %L hat ALLOCATABLE- oder POINTER-Komponenten und erfordert daher eine definierte Ein-/Ausgabeprozedur"
 
-#: fortran/resolve.c:13057
+#: fortran/resolve.c:13059
 #, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST object '%s' was declared PRIVATE and cannot be member of PUBLIC namelist '%s' at %L"
 msgstr "NAMELIST-Objekt »%s« wurde als PRIVATE deklariert und kann kein Element der PUBLIC-Namensliste »%s« bei %L sein"
 
-#: fortran/resolve.c:13067
+#: fortran/resolve.c:13069
 #, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST object '%s' has use-associated PRIVATE components and cannot be member of namelist '%s' at %L"
 msgstr "NAMELIST-Objekt »%s« hat benutzungs-verbundene PRIVATE-Komponenten und kann kein Element der Namensliste »%s« bei %L sein"
 
-#: fortran/resolve.c:13078
+#: fortran/resolve.c:13080
 #, gcc-internal-format, gfc-internal-format
 msgid "NAMELIST object '%s' has PRIVATE components and cannot be a member of PUBLIC namelist '%s' at %L"
 msgstr "NAMELIST-Objekt »%s« hat PRIVATE-Komponenten und kann kein Element der PUBLIC-Namensliste »%s« bei %L sein"
 
-#: fortran/resolve.c:13105
+#: fortran/resolve.c:13107
 #, gcc-internal-format, gfc-internal-format
 msgid "PROCEDURE attribute conflicts with NAMELIST attribute in '%s' at %L"
 msgstr "Attribut PROCEDURE steht mit Attribut NAMELIST in »%s« bei %L in Konflikt"
 
-#: fortran/resolve.c:13124
+#: fortran/resolve.c:13126
 #, gcc-internal-format, gfc-internal-format
 msgid "Parameter array '%s' at %L cannot be automatic or of deferred shape"
 msgstr "Parameterfeld »%s« bei %L kann nicht automatische oder vermutete Form haben"
 
-#: fortran/resolve.c:13136
+#: fortran/resolve.c:13138
 #, gcc-internal-format, gfc-internal-format
 msgid "Implicitly typed PARAMETER '%s' at %L doesn't match a later IMPLICIT type"
 msgstr "Implizit angegebener PARAMETER »%s« bei %L passt nicht zu früherem IMPLICIT-Typ"
 
-#: fortran/resolve.c:13147
+#: fortran/resolve.c:13149
 #, gcc-internal-format, gfc-internal-format
 msgid "Incompatible derived type in PARAMETER at %L"
 msgstr "Unverträglicher abgeleiteter Typ in PARAMETER bei %L"
 
-#: fortran/resolve.c:13230
+#: fortran/resolve.c:13232
 #, gcc-internal-format, gfc-internal-format
 msgid "PROTECTED attribute conflicts with EXTERNAL attribute at %L"
 msgstr "Attribut PROTECTED steht mit Attribut EXTERNAL bei %L in Konflikt"
 
-#: fortran/resolve.c:13233
+#: fortran/resolve.c:13235
 #, gcc-internal-format, gfc-internal-format
 msgid "PROCEDURE attribute conflicts with PROTECTED attribute at %L"
 msgstr "Attribut PROCEDURE steht mit Attribut PROTECTED bei %L in Konflikt"
 
-#: fortran/resolve.c:13322
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13324
+#, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L has the CONTIGUOUS attribute but is not an array pointer or an assumed-shape or assumed-rank array"
-msgstr "»%s« bei %L hat Attribut CONTIGUOUS, aber ist kein Feldzeiger oder Feld vermuteter Größe"
+msgstr "»%s« bei %L hat Attribut CONTIGUOUS, aber ist kein Feldzeiger oder Feld vermuteter Größe oder Rang"
 
-#: fortran/resolve.c:13340
+#: fortran/resolve.c:13342
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed size array at %L must be a dummy argument"
 msgstr "Feld mit vermuteter Größe bei %L muss ein Schein-Argument sein"
 
-#: fortran/resolve.c:13343
+#: fortran/resolve.c:13345
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed shape array at %L must be a dummy argument"
 msgstr "Feld mit vermuteter Form bei %L muss ein Scheinargument sein"
 
-#: fortran/resolve.c:13351
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13353
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-rank array at %L must be a dummy argument"
-msgstr "Feld mit vermuteter Form bei %L muss ein Scheinargument sein"
+msgstr "Feld mit vermutetem Rang bei %L muss ein Scheinargument sein"
 
-#: fortran/resolve.c:13358
+#: fortran/resolve.c:13360
 #, gcc-internal-format, gfc-internal-format
 msgid "Assumed-rank array at %L may not have the VALUE or CODIMENSION attribute"
-msgstr ""
+msgstr "Feld mit vermutetem Rang bei %L darf kein Attribut VALUE oder CODIMENSION haben"
 
-#: fortran/resolve.c:13371
+#: fortran/resolve.c:13373
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol at %L is not a DUMMY variable"
 msgstr "Symbol bei %L ist keine Scheinvariable"
 
-#: fortran/resolve.c:13377
+#: fortran/resolve.c:13379
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L cannot have the VALUE attribute because it is not a dummy argument"
 msgstr "»%s« bei %L kann nicht das VALUE-Attribut haben, da es kein Scheinargument ist"
 
-#: fortran/resolve.c:13387
+#: fortran/resolve.c:13389
 #, gcc-internal-format, gfc-internal-format
 msgid "Character dummy variable '%s' at %L with VALUE attribute must have constant length"
 msgstr "Zeichenwertige Scheinvariable »%s« bei %L mit VALUE-Attribut muss konstante Länge haben"
 
-#: fortran/resolve.c:13396
+#: fortran/resolve.c:13398
 #, gcc-internal-format, gfc-internal-format
 msgid "C interoperable character dummy variable '%s' at %L with VALUE attribute must have length one"
 msgstr "C-kompatible zeichenwertige Scheinvariable »%s« bei %L mit VALUE-Attribut muss Länge eins haben"
 
-#: fortran/resolve.c:13409 fortran/resolve.c:13522
+#: fortran/resolve.c:13411 fortran/resolve.c:13524
 #, gcc-internal-format, gfc-internal-format
 msgid "The derived type '%s' at %L is of type '%s', which has not been defined"
 msgstr "Der abgeleitete Typ »%s« bei %L hat Typ »%s«, der nicht definiert wurde"
 
-#: fortran/resolve.c:13422
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13424
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed type of variable %s at %L is only permitted for dummy variables"
-msgstr "Feld »%s« mit vermuteter Form bei %L ist nicht in einem Initialisierungs-Ausdruck erlaubt"
+msgstr "Vermuteter Typ der Variable %s bei %L ist nur für Scheinvariablen erlaubt"
 
-#: fortran/resolve.c:13429
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13431
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-type variable %s at %L may not have the ALLOCATABLE, CODIMENSION, POINTER or VALUE attribute"
-msgstr "Variable »%s« bei %L kann nicht gleichzeitig die Attribute ALLOCATABLE und BIND(C) haben"
+msgstr "Variable %s vermuteten Typs bei %L darf nicht die Attribute ALLOCATABLE, CODIMENSION, POINTER oder VALUE haben"
 
-#: fortran/resolve.c:13436
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13438
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-type variable %s at %L may not have the INTENT(OUT) attribute"
-msgstr "Variable »%s« bei %L kann nicht gleichzeitig die Attribute POINTER und BIND(C) haben"
+msgstr "Variable %s vermuteten Typs bei %L darf nicht das Attribut INTENT(OUT) haben"
 
-#: fortran/resolve.c:13443
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13445
+#, gcc-internal-format, gfc-internal-format
 msgid "Assumed-type variable %s at %L shall not be an explicit-shape array"
-msgstr "Schleifenvariable bei %C kann kein Koarray sein"
+msgstr "Variable %s vermuteten Typs bei %L sollte kein Feld mit ausdrücklicher Form sein"
 
-#: fortran/resolve.c:13468
+#: fortran/resolve.c:13470
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L cannot be BIND(C) because it is neither a COMMON block nor declared at the module level scope"
 msgstr "Variable »%s« bei %L kann nicht BIND(C) sein, weil es weder ein COMMON-Block noch mit Sichtbarkeit auf Modulebene deklariert ist"
 
-#: fortran/resolve.c:13548
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13550
+#, gcc-internal-format, gfc-internal-format
 msgid "PUBLIC %s '%s' at %L of PRIVATE derived type '%s'"
-msgstr "Fortran 2003: PUBLIC %s »%s« bei %L mit abgeleitetem PRIVATE-Typen »%s«"
+msgstr "PUBLIC %s »%s« bei %L mit abgeleitetem PRIVATE-Typen »%s«"
 
-#: fortran/resolve.c:13562
+#: fortran/resolve.c:13564
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable %s at %L of type LOCK_TYPE or with subcomponent of type LOCK_TYPE must be a coarray"
 msgstr "Variable %s bei %L mit LOCK_TYPE oder mit Subkomponente mit LOCK_TYPE muss ein Koarray sein"
 
-#: fortran/resolve.c:13580
+#: fortran/resolve.c:13582
 #, gcc-internal-format, gfc-internal-format
 msgid "The INTENT(OUT) dummy argument '%s' at %L is ASSUMED SIZE and so cannot have a default initializer"
 msgstr "Das INTENT(OUT)-Scheinargument »%s« bei %L hat vermutete Größe und kann damit keine Standardinitialisierung haben"
 
-#: fortran/resolve.c:13592
+#: fortran/resolve.c:13594
 #, gcc-internal-format, gfc-internal-format
 msgid "Dummy argument '%s' at %L of LOCK_TYPE shall not be INTENT(OUT)"
 msgstr "Scheinargument »%s« bei %L mit LOCK_TYPE sollte nicht INTENT(OUT) sein"
 
-#: fortran/resolve.c:13604
+#: fortran/resolve.c:13606
 #, gcc-internal-format, gfc-internal-format
 msgid "Function result '%s' at %L shall not be a coarray or have a coarray component"
 msgstr "Funktionsergebnis »%s« bei %L sollte kein Koarray sein oder Koarray-Komponente haben"
 
-#: fortran/resolve.c:13613
+#: fortran/resolve.c:13615
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L of TYPE(C_PTR) or TYPE(C_FUNPTR) shall not be a coarray"
 msgstr "Variable »%s« bei %L mit TYPE(C_PTR) oder TYPE(C_FUNPTR) sollte kein Koarray sein"
 
-#: fortran/resolve.c:13625
+#: fortran/resolve.c:13627
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L with coarray component shall be a nonpointer, nonallocatable scalar"
 msgstr "Variable »%s« bei %L mit Koarraykomponente sollte ein Nichtzeiger, nichtallozierbares Skalar sein"
 
-#: fortran/resolve.c:13640
+#: fortran/resolve.c:13642
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L is a coarray and is not ALLOCATABLE, SAVE nor a dummy argument"
 msgstr "Variable »%s« bei %L ist ein Koarray und ist weder ALLOCATABLE, SAVE, noch ein Scheinargument"
 
-#: fortran/resolve.c:13648
+#: fortran/resolve.c:13650
 #, gcc-internal-format, gfc-internal-format
 msgid "Coarray variable '%s' at %L shall not have codimensions with deferred shape"
 msgstr "Koarray-Variable »%s« bei %L sollte keine Kodimensionen mit aufgeschobener Form haben"
 
-#: fortran/resolve.c:13655
+#: fortran/resolve.c:13657
 #, gcc-internal-format, gfc-internal-format
 msgid "Allocatable coarray variable '%s' at %L must have deferred shape"
 msgstr "Zuordnungsfähige Koarray-Variable »%s« bei %L muss aufgeschobene Form haben"
 
-#: fortran/resolve.c:13667
+#: fortran/resolve.c:13669
 #, gcc-internal-format, gfc-internal-format
 msgid "Variable '%s' at %L is INTENT(OUT) and can thus not be an allocatable coarray or have coarray components"
 msgstr "Variable '%s' bei %L ist INTENT(OUT) und kann daher kein reservierbares Coarray sein oder Coarray-Komponenten haben"
 
-#: fortran/resolve.c:13676
+#: fortran/resolve.c:13678
 #, gcc-internal-format, gfc-internal-format
 msgid "Coarray dummy variable '%s' at %L not allowed in BIND(C) procedure '%s'"
 msgstr "Coarray-Hilfsvariable '%s' bei %L in BIND(C)-Prozedur '%s' nicht erlaubt"
 
-#: fortran/resolve.c:13692
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13694
+#, gcc-internal-format, gfc-internal-format
 msgid "LOGICAL dummy argument '%s' at %L with non-C_Bool kind in BIND(C) procedure '%s'"
-msgstr "Coarray-Hilfsvariable '%s' bei %L in BIND(C)-Prozedur '%s' nicht erlaubt"
+msgstr "LOGICAL-Scheinargument '%s' bei %L mit Nicht-C_Bool-Art in BIND(C)-Prozedur '%s'"
 
-#: fortran/resolve.c:13698
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:13700
+#, gcc-internal-format, gfc-internal-format
 msgid "LOGICAL result variable '%s' at %L with non-C_Bool kind in BIND(C) procedure '%s'"
-msgstr "Coarray-Hilfsvariable '%s' bei %L in BIND(C)-Prozedur '%s' nicht erlaubt"
+msgstr "LOGICAL-Rückgabevariable '%s' bei %L mit Nicht-C_Bool-Art in BIND(C)-Prozedur '%s'"
 
-#: fortran/resolve.c:13778
+#: fortran/resolve.c:13780
 #, gcc-internal-format, gfc-internal-format
 msgid "Threadprivate at %L isn't SAVEd"
 msgstr "Threadprivate bei %L ist nicht SAVEd"
 
-#: fortran/resolve.c:13871
+#: fortran/resolve.c:13873
 #, gcc-internal-format, gfc-internal-format
 msgid "BLOCK DATA element '%s' at %L must be in COMMON"
 msgstr "BLOCK DATA Element »%s« bei %L muss in COMMON sein"
 
-#: fortran/resolve.c:13877
+#: fortran/resolve.c:13879
 #, gcc-internal-format, gfc-internal-format
 msgid "DATA array '%s' at %L must be specified in a previous declaration"
 msgstr "DATA-Feld »%s« bei %L muss in vorheriger Deklaration angegeben werden"
 
-#: fortran/resolve.c:13886
+#: fortran/resolve.c:13888
 #, gcc-internal-format, gfc-internal-format
 msgid "DATA element '%s' at %L cannot have a coindex"
 msgstr "DATA-Element '%s' bei %L kann keinen Coindex haben"
 
-#: fortran/resolve.c:13900
+#: fortran/resolve.c:13902
 #, gcc-internal-format, gfc-internal-format
 msgid "DATA element '%s' at %L is a pointer and so must be a full array"
 msgstr "DATA-Element '%s' bei %L ist ein Zeiger und muss daher ein vollständiges Feld sein"
 
-#: fortran/resolve.c:13946
+#: fortran/resolve.c:13948
 #, gcc-internal-format, gfc-internal-format
 msgid "Nonconstant array section at %L in DATA statement"
 msgstr "Abschnitt eines nicht konstanten Feldes bei %L in DATA-Anweisung"
 
-#: fortran/resolve.c:13959
+#: fortran/resolve.c:13961
 #, gcc-internal-format, gfc-internal-format
 msgid "DATA statement at %L has more variables than values"
 msgstr "DATA-Anweisung bei %L hat mehr Variablen als Werte"
 
-#: fortran/resolve.c:14058
+#: fortran/resolve.c:14060
 #, gcc-internal-format, gfc-internal-format
 msgid "start of implied-do loop at %L could not be simplified to a constant value"
 msgstr "Anfang der Implied-do-Schleife bei %L konnte nicht zu einem konstanten Wert vereinfacht werden"
 
-#: fortran/resolve.c:14066
+#: fortran/resolve.c:14068
 #, gcc-internal-format, gfc-internal-format
 msgid "end of implied-do loop at %L could not be simplified to a constant value"
 msgstr "Ende der Implied-do-Schleife bei %L konnte nicht zu einem konstanten Wert vereinfacht werden"
 
-#: fortran/resolve.c:14074
+#: fortran/resolve.c:14076
 #, gcc-internal-format, gfc-internal-format
 msgid "step of implied-do loop at %L could not be simplified to a constant value"
 msgstr "Schritt der Implied-do-Schleife bei %L konnte nicht zu einem konstanten Wert vereinfacht werden"
 
-#: fortran/resolve.c:14199
+#: fortran/resolve.c:14201
 #, gcc-internal-format, gfc-internal-format
 msgid "DATA statement at %L has more values than variables"
 msgstr "DATA-Anweisung bei %L hat mehr Werte als Variablen"
 
-#: fortran/resolve.c:14337
+#: fortran/resolve.c:14339
 #, gcc-internal-format, gfc-internal-format
 msgid "Label %d at %L defined but not used"
 msgstr "Marke %d bei %L definiert, aber nicht verwendet"
 
-#: fortran/resolve.c:14342
+#: fortran/resolve.c:14344
 #, gcc-internal-format, gfc-internal-format
 msgid "Label %d at %L defined but cannot be used"
 msgstr "Marke %d bei %L definiert, kann aber nicht verwendet werden"
 
-#: fortran/resolve.c:14426
+#: fortran/resolve.c:14428
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type variable '%s' at %L must have SEQUENCE attribute to be an EQUIVALENCE object"
 msgstr "Variable »%s« abgeleiteten Typs bei %L muss SEQUENCE-Attribut haben, um EQUIVALENCE-Objekt zu sein"
 
-#: fortran/resolve.c:14435
+#: fortran/resolve.c:14437
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type variable '%s' at %L cannot have ALLOCATABLE components to be an EQUIVALENCE object"
 msgstr "Variable »%s« abgeleiteten Typs bei %L kann keine ALLOCATABLE-Komponenten haben, um EQUIVALENCE-Objekt zu sein"
 
-#: fortran/resolve.c:14443
+#: fortran/resolve.c:14445
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type variable '%s' at %L with default initialization cannot be in EQUIVALENCE with a variable in COMMON"
 msgstr "Variable »%s« abgeleiteten Typs bei %L mit Standardinitialisierung kann nicht in EQUIVALENCE mit einer Variablen in COMMON sein"
 
-#: fortran/resolve.c:14459
+#: fortran/resolve.c:14461
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type variable '%s' at %L with pointer component(s) cannot be an EQUIVALENCE object"
 msgstr "Variable »%s« abgeleiteten Typs bei %L mit Zeigerkomponenten kann kein EQUIVALENCE-Objekt sein"
 
-#: fortran/resolve.c:14562
+#: fortran/resolve.c:14564
 #, gcc-internal-format, gfc-internal-format
 msgid "Syntax error in EQUIVALENCE statement at %L"
 msgstr "Syntaxfehler in EQUIVALENCE-Anweisung bei %L"
 
-#: fortran/resolve.c:14577
+#: fortran/resolve.c:14579
 #, gcc-internal-format, gfc-internal-format
 msgid "Either all or none of the objects in the EQUIVALENCE set at %L shall have the PROTECTED attribute"
 msgstr "Entweder alle oder keines der Objekte in bei %L gesetztem EQUIVALENCE sollte das Attribut PROTECTED haben"
 
-#: fortran/resolve.c:14589
+#: fortran/resolve.c:14591
 #, gcc-internal-format, gfc-internal-format
 msgid "Common block member '%s' at %L cannot be an EQUIVALENCE object in the pure procedure '%s'"
 msgstr "Allgemeines Blockelement »%s« bei %L kann kein EQUIVALENCE-Objekt in PURE-Prozedur »%s« sein"
 
-#: fortran/resolve.c:14598
+#: fortran/resolve.c:14600
 #, gcc-internal-format, gfc-internal-format
 msgid "Named constant '%s' at %L cannot be an EQUIVALENCE object"
 msgstr "Benannte Konstante »%s« bei %L kann kein EQUIVALENCE-Objekt sein"
 
-#: fortran/resolve.c:14677
+#: fortran/resolve.c:14679
 #, gcc-internal-format, gfc-internal-format
 msgid "Array '%s' at %L with non-constant bounds cannot be an EQUIVALENCE object"
 msgstr "Feld »%s« bei %L mit nicht-konstanten Grenzen kann kein EQUIVALENCE-Objekt sein"
 
-#: fortran/resolve.c:14688
+#: fortran/resolve.c:14690
 #, gcc-internal-format, gfc-internal-format
 msgid "Structure component '%s' at %L cannot be an EQUIVALENCE object"
 msgstr "Strukturkomponente »%s« bei %L kann kein EQUIVALENCE-Objekt sein"
 
-#: fortran/resolve.c:14699
+#: fortran/resolve.c:14701
 #, gcc-internal-format, gfc-internal-format
 msgid "Substring at %L has length zero"
 msgstr "Teilzeichenkette bei %L hat Länge Null"
 
-#: fortran/resolve.c:14742
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/resolve.c:14744
+#, gcc-internal-format, gfc-internal-format
 msgid "PUBLIC function '%s' at %L of PRIVATE type '%s'"
-msgstr "PUBLIC-Funktion »%s« bei %L kann nicht PRIVATE-Typen »%s« haben"
+msgstr "PUBLIC-Funktion »%s« bei %L mit PRIVATE-Typen »%s«"
 
-#: fortran/resolve.c:14755
+#: fortran/resolve.c:14757
 #, gcc-internal-format, gfc-internal-format
 msgid "ENTRY '%s' at %L has no IMPLICIT type"
 msgstr "ENTRY »%s« bei %L hat keinen IMPLICIT-Typ"
 
-#: fortran/resolve.c:14772
+#: fortran/resolve.c:14774
 #, gcc-internal-format, gfc-internal-format
 msgid "User operator procedure '%s' at %L must be a FUNCTION"
 msgstr "Prozedur für Benutzeroperator »%s« bei %L muss eine FUNKTION sein"
 
-#: fortran/resolve.c:14782
+#: fortran/resolve.c:14784
 #, gcc-internal-format, gfc-internal-format
 msgid "User operator procedure '%s' at %L cannot be assumed character length"
 msgstr "Prozedur für Benutzeroperator »%s« bei %L kann nicht vermutete Zeichenlänge haben"
 
-#: fortran/resolve.c:14790
+#: fortran/resolve.c:14792
 #, gcc-internal-format, gfc-internal-format
 msgid "User operator procedure '%s' at %L must have at least one argument"
 msgstr "Prozedur für Benutzeroperator »%s« bei %L muss mindestens ein Argument haben"
 
-#: fortran/resolve.c:14804
+#: fortran/resolve.c:14806
 #, gcc-internal-format, gfc-internal-format
 msgid "First argument of operator interface at %L cannot be optional"
 msgstr "Erstes Argument der Operatorschnittstelle bei %L kann nicht optional sein"
 
-#: fortran/resolve.c:14822
+#: fortran/resolve.c:14824
 #, gcc-internal-format, gfc-internal-format
 msgid "Second argument of operator interface at %L cannot be optional"
 msgstr "Zweites Argument der Operatorschnittstelle bei %L kann nicht optional sein"
 
-#: fortran/resolve.c:14829
+#: fortran/resolve.c:14831
 #, gcc-internal-format, gfc-internal-format
 msgid "Operator interface at %L must have, at most, two arguments"
 msgstr "Operatorschnittstelle bei %L darf höchstens zwei Argumente haben"
 
-#: fortran/resolve.c:14905
+#: fortran/resolve.c:14907
 #, gcc-internal-format, gfc-internal-format
 msgid "Contained procedure '%s' at %L of a PURE procedure must also be PURE"
 msgstr "Enthaltene Prozedur »%s« bei %L einer PURE-Prozedur muss auch PURE sein"
 
 #: fortran/scanner.c:335
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Include directory \"%s\": %s"
-msgstr "das Verzeichnis %s kann nicht erzeugt werden: %m"
+msgstr "Include-Verzeichnis »%s«: %s"
 
 #: fortran/scanner.c:341
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "Nonexistent include directory \"%s\""
-msgstr "nicht vorhandenes Verzeichnis »%s« wird ignoriert\n"
+msgstr "Include-Verzeichnis »%s« ist nicht vorhanden"
 
 #: fortran/scanner.c:347
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#, gcc-internal-format, gfc-internal-format
 msgid "\"%s\" is not a directory"
-msgstr "%s: Kein Verzeichnis"
+msgstr "»%s« ist kein Verzeichnis"
 
 #: fortran/scanner.c:806
 #, gcc-internal-format, gfc-internal-format
@@ -44877,338 +44882,338 @@
 msgid "Character '%s' in string at %L cannot be converted into character kind %d"
 msgstr "Zeichen »%s« in Zeichenkette bei %L kann nicht in Zeichenart %d umgewandelt werden"
 
-#: fortran/symbol.c:134
+#: fortran/symbol.c:123
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate IMPLICIT NONE statement at %C"
 msgstr "Doppelte IMPLICIT NONE-Anweisung bei %C"
 
-#: fortran/symbol.c:174
+#: fortran/symbol.c:163
 #, gcc-internal-format, gfc-internal-format
 msgid "Letter '%c' already set in IMPLICIT statement at %C"
 msgstr "Buchstabe »%c« bereits gesetzt in IMPLICIT-Anweisung bei %C"
 
-#: fortran/symbol.c:196
+#: fortran/symbol.c:185
 #, gcc-internal-format, gfc-internal-format
 msgid "Cannot specify IMPLICIT at %C after IMPLICIT NONE"
 msgstr "IMPLICIT bei %C kann nicht hinter IMPLICIT NONE angegeben werden"
 
-#: fortran/symbol.c:206
+#: fortran/symbol.c:195
 #, gcc-internal-format, gfc-internal-format
 msgid "Letter %c already has an IMPLICIT type at %C"
 msgstr "Buchstabe %c hat bereits einen IMPLICIT-Typ bei %C"
 
-#: fortran/symbol.c:262
+#: fortran/symbol.c:251
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %L has no IMPLICIT type"
 msgstr "Symbol »%s« bei %L hat keinen IMPLICIT-Typ"
 
 #. BIND(C) variables should not be implicitly declared.
-#: fortran/symbol.c:279
+#: fortran/symbol.c:268
 #, gcc-internal-format, gfc-internal-format
 msgid "Implicitly declared BIND(C) variable '%s' at %L may not be C interoperable"
 msgstr "Implizit deklarierte BIND(C)-Variable »%s« bei %L kann nicht C-kompatibel sein"
 
 #. Dummy args to a BIND(C) routine may not be interoperable if
 #. they are implicitly typed.
-#: fortran/symbol.c:294
+#: fortran/symbol.c:283
 #, gcc-internal-format, gfc-internal-format
 msgid "Implicitly declared variable '%s' at %L may not be C interoperable but it is a dummy argument to the BIND(C) procedure '%s' at %L"
 msgstr "Implizit deklarierte Variable »%s« bei %L könnte nicht C-kompatibel sein, ist aber ein Scheinargument für BIND(C)-Prozedur »%s« bei %L"
 
-#: fortran/symbol.c:335
+#: fortran/symbol.c:324
 #, gcc-internal-format, gfc-internal-format
 msgid "Function result '%s' at %L has no IMPLICIT type"
 msgstr "Funktionsergebnis »%s« bei %L hat keinen IMPLICIT-Typ"
 
-#: fortran/symbol.c:424
+#: fortran/symbol.c:413
 #, gcc-internal-format, gfc-internal-format
 msgid "%s attribute not allowed in BLOCK DATA program unit at %L"
 msgstr "Attribut %s ungültig in BLOCK DATA - Programmeinheit bei %L"
 
-#: fortran/symbol.c:448
+#: fortran/symbol.c:437
 #, gcc-internal-format, gfc-internal-format
 msgid "Namelist group name at %L cannot have the SAVE attribute"
 msgstr "Name der Namenslisten-Gruppe bei %L kann kein SAVE-Attribut haben"
 
-#: fortran/symbol.c:482
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:471
+#, gcc-internal-format, gfc-internal-format
 msgid "Procedure pointer at %C"
-msgstr "Fortran 2003: Prozedur-Zeiger bei %C"
+msgstr "Prozedur-Zeiger bei %C"
 
-#: fortran/symbol.c:644
+#: fortran/symbol.c:633
 #, gcc-internal-format, gfc-internal-format
 msgid "%s attribute applied to %s %s at %L"
 msgstr "Attribut %s auf %s %s bei %L angewendet"
 
-#: fortran/symbol.c:651
+#: fortran/symbol.c:640
 #, gcc-internal-format, gfc-internal-format
 msgid "BIND(C) applied to %s %s at %L"
 msgstr "BIND(C) auf %s %s bei %L angewendet"
 
-#: fortran/symbol.c:762 fortran/symbol.c:1485
+#: fortran/symbol.c:751 fortran/symbol.c:1474
 #, gcc-internal-format, gfc-internal-format
 msgid "%s attribute conflicts with %s attribute at %L"
 msgstr "Attribut %s steht mit Attribut %s bei %L in Konflikt"
 
-#: fortran/symbol.c:765
+#: fortran/symbol.c:754
 #, gcc-internal-format, gfc-internal-format
 msgid "%s attribute conflicts with %s attribute in '%s' at %L"
 msgstr "Attribut %s steht mit Attribut %s in »%s« bei %L in Konflikt"
 
-#: fortran/symbol.c:773
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:762
+#, gcc-internal-format, gfc-internal-format
 msgid "%s attribute with %s attribute at %L"
-msgstr "Attribut %s steht mit Attribut %s bei %L in Konflikt"
+msgstr "Attribut %s mit Attribut %s bei %L"
 
-#: fortran/symbol.c:779
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:768
+#, gcc-internal-format, gfc-internal-format
 msgid "%s attribute with %s attribute in '%s' at %L"
-msgstr "Attribut %s steht mit Attribut %s in »%s« bei %L in Konflikt"
+msgstr "Attribut %s mit Attribut %s in »%s« bei %L"
 
-#: fortran/symbol.c:823
+#: fortran/symbol.c:812
 #, gcc-internal-format, gfc-internal-format
 msgid "Cannot change attributes of USE-associated symbol at %L"
 msgstr "Attribute des USE-verbundenen Symbols bei %L können nicht verändert werden"
 
-#: fortran/symbol.c:826
+#: fortran/symbol.c:815
 #, gcc-internal-format, gfc-internal-format
 msgid "Cannot change attributes of USE-associated symbol %s at %L"
 msgstr "Attribute des USE-verbundenen Symbols %s bei %L können nicht verändert werden"
 
-#: fortran/symbol.c:842
+#: fortran/symbol.c:831
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate %s attribute specified at %L"
 msgstr "Attribut %s doppelt angegeben bei %L"
 
-#: fortran/symbol.c:884
+#: fortran/symbol.c:873
 #, gcc-internal-format, gfc-internal-format
 msgid "ALLOCATABLE specified outside of INTERFACE body at %L"
 msgstr "ALLOCATABLE außerhalb des INTERFACE-Körpers bei %L angegeben"
 
-#: fortran/symbol.c:910
+#: fortran/symbol.c:899
 #, gcc-internal-format, gfc-internal-format
 msgid "CODIMENSION specified for '%s' outside its INTERFACE body at %L"
 msgstr "CODIMENSION für »%s« außerhalb seines INTERFACE-Körpers bei %L angegeben"
 
-#: fortran/symbol.c:936
+#: fortran/symbol.c:925
 #, gcc-internal-format, gfc-internal-format
 msgid "DIMENSION specified for '%s' outside its INTERFACE body at %L"
 msgstr "DIMENSION für »%s« außerhalb seines INTERFACE-Körpers bei %L angegeben"
 
-#: fortran/symbol.c:1066
+#: fortran/symbol.c:1055
 #, gcc-internal-format, gfc-internal-format
 msgid "Cray Pointee at %L appears in multiple pointer() statements"
 msgstr "Cray-Zeigerende bei %L tritt in mehreren pointer()-Anweisungen auf"
 
-#: fortran/symbol.c:1085
+#: fortran/symbol.c:1074
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate PROTECTED attribute specified at %L"
 msgstr "Doppeltes PROTECTED-Attribut bei %L angegeben"
 
-#: fortran/symbol.c:1119
+#: fortran/symbol.c:1108
 #, gcc-internal-format, gfc-internal-format
 msgid "SAVE attribute at %L cannot be specified in a PURE procedure"
 msgstr "SAVE-Attribut bei %L kann nicht in einer PURE-Prozedur angegeben werden"
 
-#: fortran/symbol.c:1130
+#: fortran/symbol.c:1119
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate SAVE attribute specified at %L"
 msgstr "SAVE-Attribut doppelt angegeben bei %L"
 
-#: fortran/symbol.c:1151
+#: fortran/symbol.c:1140
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate VALUE attribute specified at %L"
 msgstr "Doppeltes VALUE-Attribut bei %L angegeben"
 
-#: fortran/symbol.c:1171
+#: fortran/symbol.c:1160
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate VOLATILE attribute specified at %L"
 msgstr "Doppeltes VOLATILE-Attribut bei %L angegeben"
 
-#: fortran/symbol.c:1190
+#: fortran/symbol.c:1179
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate ASYNCHRONOUS attribute specified at %L"
 msgstr "Doppeltes ASYNCHRONOUS-Attribut bei %L angegeben"
 
-#: fortran/symbol.c:1481
+#: fortran/symbol.c:1470
 #, gcc-internal-format, gfc-internal-format
 msgid "%s attribute of '%s' conflicts with %s attribute at %L"
 msgstr "Attribut %s von »%s« steht mit Attribut %s bei %L in Konflikt"
 
-#: fortran/symbol.c:1515
+#: fortran/symbol.c:1504
 #, gcc-internal-format, gfc-internal-format
 msgid "%s procedure at %L is already declared as %s procedure"
 msgstr "Prozedur %s bei %L ist bereits als Prozedur %s deklariert"
 
-#: fortran/symbol.c:1550
+#: fortran/symbol.c:1539
 #, gcc-internal-format, gfc-internal-format
 msgid "INTENT (%s) conflicts with INTENT(%s) at %L"
 msgstr "INTENT(%s) steht mit INTENT(%s) bei %L in Konflikt"
 
-#: fortran/symbol.c:1574
+#: fortran/symbol.c:1563
 #, gcc-internal-format, gfc-internal-format
 msgid "ACCESS specification at %L was already specified"
 msgstr "ACCESS-Spezifikation bei %L wurde bereits spezifiziert"
 
-#: fortran/symbol.c:1591
+#: fortran/symbol.c:1580
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate BIND attribute specified at %L"
 msgstr "Doppeltes BIND-Attribut bei %L angegeben"
 
-#: fortran/symbol.c:1598
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:1587
+#, gcc-internal-format, gfc-internal-format
 msgid "BIND(C) at %L"
-msgstr " BIND(C)"
+msgstr "BIND(C) bei %L"
 
-#: fortran/symbol.c:1615
+#: fortran/symbol.c:1604
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate EXTENDS attribute specified at %L"
 msgstr "Doppeltes EXTENDS-Attribut bei %L angegeben"
 
-#: fortran/symbol.c:1619
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:1608
+#, gcc-internal-format, gfc-internal-format
 msgid "EXTENDS at %L"
-msgstr "Fortran 2003: EXTENDS bei %L"
+msgstr "EXTENDS bei %L"
 
-#: fortran/symbol.c:1641
+#: fortran/symbol.c:1630
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %L already has an explicit interface"
 msgstr "Symbol »%s« bei %L hat bereits eine explizite Schnittstelle"
 
-#: fortran/symbol.c:1648
+#: fortran/symbol.c:1637
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %L has attributes specified outside its INTERFACE body"
 msgstr "»%s« bei %L hat außerhalb seines INTERFACE-Körpers spezifizierte Attribute"
 
-#: fortran/symbol.c:1682
+#: fortran/symbol.c:1671
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %L conflicts with symbol from module '%s', use-associated at %L"
 msgstr "Symbol »%s« bei %L steht mit Symbol aus Modul »%s« in Konflikt, verbunden durch Verwendung bei %L"
 
-#: fortran/symbol.c:1686
+#: fortran/symbol.c:1675
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %L already has basic type of %s"
 msgstr "Symbol »%s« bei %L hat bereits grundlegenden Typen %s"
 
-#: fortran/symbol.c:1693
+#: fortran/symbol.c:1682
 #, gcc-internal-format, gfc-internal-format
 msgid "Procedure '%s' at %L may not have basic type of %s"
 msgstr "Prozedur »%s« bei %L kann nicht grundlegenden Typen %s haben"
 
-#: fortran/symbol.c:1705
+#: fortran/symbol.c:1694
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %L cannot have a type"
 msgstr "Symbol »%s« bei %L kann keinen Typen haben"
 
-#: fortran/symbol.c:1874
+#: fortran/symbol.c:1863
 #, gcc-internal-format, gfc-internal-format
 msgid "Component '%s' at %C already declared at %L"
 msgstr "Komponente »%s« bei %C bereits bei %L deklariert"
 
-#: fortran/symbol.c:1885
+#: fortran/symbol.c:1874
 #, gcc-internal-format, gfc-internal-format
 msgid "Component '%s' at %C already in the parent type at %L"
 msgstr "Komponente »%s« bei %C bereits im Elterntypen bei %L deklariert"
 
-#: fortran/symbol.c:1970
+#: fortran/symbol.c:1959
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %C is ambiguous"
 msgstr "Symbol»%s« bei %C ist mehrdeutig"
 
-#: fortran/symbol.c:2002
+#: fortran/symbol.c:1991
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type '%s' at %C is being used before it is defined"
 msgstr "Abgeleiteter Typ »%s« bei %C wird benutzt bevor er definiert wird"
 
-#: fortran/symbol.c:2040
+#: fortran/symbol.c:2029
 #, gcc-internal-format, gfc-internal-format
 msgid "Component '%s' at %C is a PRIVATE component of '%s'"
 msgstr "Komponente »%s« bei %C ist eine PRIVATE-Komponente von »%s«"
 
-#: fortran/symbol.c:2058
+#: fortran/symbol.c:2047
 #, gcc-internal-format, gfc-internal-format
 msgid "'%s' at %C is not a member of the '%s' structure"
 msgstr "»%s« bei %C ist kein Element der Struktur »%s«"
 
-#: fortran/symbol.c:2196
+#: fortran/symbol.c:2186
 #, gcc-internal-format, gfc-internal-format
 msgid "Duplicate statement label %d at %L and %L"
 msgstr "Doppelte Anweisungsmarke %d bei %L und %L"
 
-#: fortran/symbol.c:2207
+#: fortran/symbol.c:2197
 #, gcc-internal-format, gfc-internal-format
 msgid "Label %d at %C already referenced as branch target"
 msgstr "Marke %d bei %C bereits als Sprungziel referenziert"
 
-#: fortran/symbol.c:2217
+#: fortran/symbol.c:2207
 #, gcc-internal-format, gfc-internal-format
 msgid "Label %d at %C already referenced as a format label"
 msgstr "Marke %d bei %C bereits als eine Formatmarke referenziert"
 
-#: fortran/symbol.c:2223
+#: fortran/symbol.c:2213
 #, gcc-internal-format, gfc-internal-format
 msgid "DO termination statement which is not END DO or CONTINUE with label %d at %C"
-msgstr ""
+msgstr "DO-Abbruchanweisung ist nicht »END DO« oder »CONTINUE« mit Marke %d bei %C"
 
-#: fortran/symbol.c:2265
+#: fortran/symbol.c:2255
 #, gcc-internal-format, gfc-internal-format
 msgid "Label %d at %C previously used as a FORMAT label"
 msgstr "Marke %d bei %C vorher als FORMAT-Marke verwendet"
 
-#: fortran/symbol.c:2274
+#: fortran/symbol.c:2264
 #, gcc-internal-format, gfc-internal-format
 msgid "Label %d at %C previously used as branch target"
 msgstr "Marke %d bei %C vorher als Sprungziel verwendet"
 
-#: fortran/symbol.c:2280
-#, fuzzy, gcc-internal-format, gfc-internal-format
+#: fortran/symbol.c:2270
+#, gcc-internal-format, gfc-internal-format
 msgid "Shared DO termination label %d at %C"
-msgstr "Beendenden Namen bei %C erwartet"
+msgstr "Gemeinsam genutzte DO-Abbruchmarke %d bei %C"
 
-#: fortran/symbol.c:2600
+#: fortran/symbol.c:2590
 #, gcc-internal-format, gfc-internal-format
 msgid "Name '%s' at %C is an ambiguous reference to '%s' from module '%s'"
 msgstr "Name »%s« bei %C ist eine mehrdeutige Referenz auf »%s« vom Modul »%s«"
 
-#: fortran/symbol.c:2603
+#: fortran/symbol.c:2593
 #, gcc-internal-format, gfc-internal-format
 msgid "Name '%s' at %C is an ambiguous reference to '%s' from current program unit"
 msgstr "Name »%s« bei %C ist eine mehrdeutige Referenz auf »%s« von aktueller Programmeinheit"
 
 #. Symbol is from another namespace.
-#: fortran/symbol.c:2788
+#: fortran/symbol.c:2808
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' at %C has already been host associated"
 msgstr "Symbol »%s« bei %C wurde bereits mit Host verbunden"
 
-#: fortran/symbol.c:3665
+#: fortran/symbol.c:3793
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type '%s' declared at %L must have the BIND attribute to be C interoperable"
 msgstr "Abgeleiteter Typ »%s«, bei %L deklariert, muss BIND-Attribut haben, um C-kompatibel zu sein"
 
-#: fortran/symbol.c:3683
+#: fortran/symbol.c:3811
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type '%s' with BIND(C) attribute at %L is empty, and may be inaccessible by the C companion processor"
 msgstr "Abgeleiteter Typ »%s« mit Attribut BIND(C) bei %L ist leer und könnte für entsprechenden C-Prozessor unerreichar sein"
 
-#: fortran/symbol.c:3704
+#: fortran/symbol.c:3832
 #, gcc-internal-format, gfc-internal-format
 msgid "Component '%s' at %L cannot have the POINTER attribute because it is a member of the BIND(C) derived type '%s' at %L"
 msgstr "Komponente »%s« bei %L kann nicht POINTER-Attribut haben, da es Element des BIND(C)-abgeleiteten Typs »%s« bei %L ist"
 
-#: fortran/symbol.c:3714
+#: fortran/symbol.c:3842
 #, gcc-internal-format, gfc-internal-format
 msgid "Procedure pointer component '%s' at %L cannot be a member of the BIND(C) derived type '%s' at %L"
 msgstr "Komponente »%s« des Prozedurzeigers bei %L kann kein Element des BIND(C)-abgeleiteten Typs »%s« bei %L sein"
 
-#: fortran/symbol.c:3725
+#: fortran/symbol.c:3853
 #, gcc-internal-format, gfc-internal-format
 msgid "Component '%s' at %L cannot have the ALLOCATABLE attribute because it is a member of the BIND(C) derived type '%s' at %L"
 msgstr "Komponente »%s« bei %L kann nicht ALLOCATABLE-Attribut haben, da es Element des BIND(C)-abgeleiteten Typs »%s« bei %L ist"
 
 #. If the derived type is bind(c), all fields must be
 #. interop.
-#: fortran/symbol.c:3764
+#: fortran/symbol.c:3892
 #, gcc-internal-format, gfc-internal-format
 msgid "Component '%s' in derived type '%s' at %L may not be C interoperable, even though derived type '%s' is BIND(C)"
 msgstr "Komponente »%s« in abgeleiteten Typ »%s« bei %L könnte nicht C-kompatibel sein, obwohl abgeleiteter Typ »%s« BIND(C) ist"
@@ -45216,22 +45221,22 @@
 #. If derived type is param to bind(c) routine, or to one
 #. of the iso_c_binding procs, it must be interoperable, so
 #. all fields must interop too.
-#: fortran/symbol.c:3773
+#: fortran/symbol.c:3901
 #, gcc-internal-format, gfc-internal-format
 msgid "Component '%s' in derived type '%s' at %L may not be C interoperable"
 msgstr "Komponente »%s« in abgeleitetem Typ »%s« bei %L könnte nicht C-kompatibel sein"
 
-#: fortran/symbol.c:3787
+#: fortran/symbol.c:3915
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type '%s' at %L cannot be declared with both PRIVATE and BIND(C) attributes"
 msgstr "Abgeleiteter Typ »%s« bei %L kann nicht mit Attributen PRIVATE und BIND(C) deklariert werden"
 
-#: fortran/symbol.c:3795
+#: fortran/symbol.c:3923
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type '%s' at %L cannot have the SEQUENCE attribute because it is BIND(C)"
 msgstr "Abgeleiteter Typ »%s« bei %L kann nicht das SEQUENCE-Attribut haben, da es BIND(C) ist"
 
-#: fortran/symbol.c:4688 fortran/symbol.c:4694
+#: fortran/symbol.c:4816 fortran/symbol.c:4822
 #, gcc-internal-format, gfc-internal-format
 msgid "Symbol '%s' is used before it is typed at %L"
 msgstr "Symbol »%s« wird bei %L verwendet, bevor es typisiert wird"
@@ -45342,57 +45347,57 @@
 msgid "intrinsic variable which isn't a procedure"
 msgstr "innere Variable, die keine Prozedur ist"
 
-#: fortran/trans-decl.c:3556 fortran/trans-decl.c:5433
+#: fortran/trans-decl.c:3556 fortran/trans-decl.c:5435
 #, gcc-internal-format, gfc-internal-format
 msgid "Return value of function '%s' at %L not set"
 msgstr "Rückgabewert der Funktion »%s« bei %L nicht gesetzt"
 
-#: fortran/trans-decl.c:3883
+#: fortran/trans-decl.c:3885
 #, gcc-internal-format
 msgid "Deferred type parameter not yet supported"
 msgstr "Parameter aufgeschobenen Typs wird noch nicht unterstützt"
 
-#: fortran/trans-decl.c:4090
+#: fortran/trans-decl.c:4092
 #, gcc-internal-format, gfc-internal-format
 msgid "backend decl for module variable %s already exists"
 msgstr "Backend-Deklaration für Modulvariable %s ist bereits vorhanden"
 
-#: fortran/trans-decl.c:4614
+#: fortran/trans-decl.c:4616
 #, gcc-internal-format, gfc-internal-format
 msgid "Dummy argument '%s' at %L was declared INTENT(OUT) but was not set"
 msgstr "Scheinargument »%s« bei %L war als INTENT(OUT) deklariert, aber nicht gesetzt"
 
-#: fortran/trans-decl.c:4618
+#: fortran/trans-decl.c:4620
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived-type dummy argument '%s' at %L was declared INTENT(OUT) but was not set and does not have a default initializer"
 msgstr "Scheinargument »%s« abgeleiteten Typs bei %L war als INTENT(OUT) deklariert, aber nicht gesetzt und hat keine Standardinitialisierung"
 
-#: fortran/trans-decl.c:4627 fortran/trans-decl.c:4742
+#: fortran/trans-decl.c:4629 fortran/trans-decl.c:4744
 #, gcc-internal-format, gfc-internal-format
 msgid "Unused dummy argument '%s' at %L"
 msgstr "Ungenutztes Scheinargument %s bei %L"
 
-#: fortran/trans-decl.c:4641
+#: fortran/trans-decl.c:4643
 #, gcc-internal-format, gfc-internal-format
 msgid "Unused module variable '%s' which has been explicitly imported at %L"
 msgstr "Ungenutzte Modulvariable »%s«, die bei %L ausdrücklich importiert wurde"
 
-#: fortran/trans-decl.c:4649
+#: fortran/trans-decl.c:4651
 #, gcc-internal-format, gfc-internal-format
 msgid "Unused variable '%s' declared at %L"
 msgstr "Ungenutzte Variable »%s« bei %L deklariert"
 
-#: fortran/trans-decl.c:4697
+#: fortran/trans-decl.c:4699
 #, gcc-internal-format, gfc-internal-format
 msgid "Unused parameter '%s' declared at %L"
 msgstr "Ungenutzter Parameter »%s« bei %L deklariert"
 
-#: fortran/trans-decl.c:4700
+#: fortran/trans-decl.c:4702
 #, gcc-internal-format, gfc-internal-format
 msgid "Unused parameter '%s' which has been explicitly imported at %L"
 msgstr "Ungenutzter Parameter »%s«, der bei %L ausdrücklich importiert wurde"
 
-#: fortran/trans-decl.c:4715
+#: fortran/trans-decl.c:4717
 #, gcc-internal-format, gfc-internal-format
 msgid "Return value '%s' of function '%s' declared at %L not set"
 msgstr "Rückgabewert »%1$s« der bei %3$L deklarierten Funktion »%2$s« nicht gesetzt"
@@ -45400,12 +45405,12 @@
 #: fortran/trans-expr.c:1025
 #, gcc-internal-format, gfc-internal-format
 msgid "Code for reallocating the allocatable array at %L will be added"
-msgstr ""
+msgstr "Code zur Neu-Reservierung des reservierbaren Feldes bei %L wird hinzugefügt"
 
 #: fortran/trans-expr.c:1028
 #, gcc-internal-format, gfc-internal-format
 msgid "Code for reallocating the allocatable variable at %L will be added"
-msgstr ""
+msgstr "Code zur Neu-Reservierung der reservierbaren Variable bei %L wird hinzugefügt"
 
 #: fortran/trans-expr.c:2464
 #, gcc-internal-format
@@ -45428,12 +45433,12 @@
 msgid "'dim' argument of %s intrinsic at %L is not a valid dimension index"
 msgstr "Argument »dim« des intrinsischen »%s« bei %L ist kein gültiger Dimensionsindex"
 
-#: fortran/trans-io.c:2032
+#: fortran/trans-io.c:2034
 #, gcc-internal-format, gfc-internal-format
 msgid "Derived type '%s' at %L has PRIVATE components"
 msgstr "Abgeleiteter Typ »%s« bei %L hat PRIVATE-Komponenten"
 
-#: fortran/trans-io.c:2183
+#: fortran/trans-io.c:2185
 #, gcc-internal-format, gfc-internal-format
 msgid "Bad IO basetype (%d)"
 msgstr "Falscher IO-Basistyp (%d)"
@@ -45902,9 +45907,9 @@
 msgstr "ungültige Auflösung in Auflösungsdatei"
 
 #: lto/lto.c:2228
-#, fuzzy, gcc-internal-format
+#, gcc-internal-format
 msgid "resolution sub id %wx not in object file"
-msgstr "Auflösungs-Sub-ID "
+msgstr "Auflösungs-Sub-ID %wx nicht in Objekt-Datei"
 
 #: lto/lto.c:2335
 #, gcc-internal-format, gfc-internal-format
@@ -46896,6 +46901,9 @@
 msgid "creating selector for nonexistent method %qE"
 msgstr "für nicht existierende Methode %qE wird Selektor erzeugt"
 
+#~ msgid "%<%T::%D%> is not a valid declarator"
+#~ msgstr "%<%T::%D%> ist kein gültiger Deklarator"
+
 #~ msgid "%s:not a gcov graph file\n"
 #~ msgstr "%s: keine gcov-Graph-Datei\n"
 
@@ -51154,9 +51162,6 @@
 #~ msgid "This is the location of the previous declaration of label %qs"
 #~ msgstr "Dies ist die Stelle der vorherigen Deklaration der Marke %qs"
 
-#~ msgid "%<continue%> must be in loop"
-#~ msgstr "%<continue%> muss in einer Schleife sein"
-
 #~ msgid "continue label %qs does not name a loop"
 #~ msgstr "continue-Marke %qs benennt keine Schleife"
 
Index: gcc/varasm.c
===================================================================
--- gcc/varasm.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/varasm.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -402,12 +402,16 @@
 {
   unsigned int flags;
 
-  gcc_assert (!decl || DECL_P (decl));
   if (name == NULL)
-    name = TREE_STRING_POINTER (DECL_SECTION_NAME (decl));
+    {
+      gcc_assert (decl && DECL_P (decl) && DECL_SECTION_NAME (decl));
+      name = TREE_STRING_POINTER (DECL_SECTION_NAME (decl));
+    }
 
   flags = targetm.section_type_flags (decl, name, reloc);
 
+  if (decl && !DECL_P (decl))
+    decl = NULL_TREE;
   return get_section (name, flags, decl);
 }
 
@@ -5989,7 +5993,7 @@
 	flags |= SECTION_RELRO;
     }
 
-  if (decl && DECL_ONE_ONLY (decl))
+  if (decl && DECL_P (decl) && DECL_ONE_ONLY (decl))
     flags |= SECTION_LINKONCE;
 
   if (decl && TREE_CODE (decl) == VAR_DECL && DECL_THREAD_LOCAL_P (decl))
@@ -6348,8 +6352,6 @@
       gcc_unreachable ();
     }
 
-  if (!DECL_P (decl))
-    decl = NULL_TREE;
   return get_named_section (decl, sname, reloc);
 }
 
Index: gcc/intl.h
===================================================================
--- gcc/intl.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/intl.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -26,16 +26,8 @@
 # define setlocale(category, locale) (locale)
 #endif
 
-/* If libintl.h is available, include it before testing for NLS. If we
-   are building with --disable-nls and another header file includes
-   libintl.h, the stubs defined down below will cause syntax errors
-   when parsing libintl.h. See http://gcc.gnu.org/bugzilla/show_bug.cgi?id=54281
-   for details.  */
-#if defined(HAVE_LIBINTL_H) || defined(ENABLE_NLS)
-# include <libintl.h>
-#endif
-
 #ifdef ENABLE_NLS
+#include <libintl.h>
 extern void gcc_init_libintl (void);
 extern size_t gcc_gettext_width (const char *);
 #else
Index: gcc/combine.c
===================================================================
--- gcc/combine.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/combine.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -7703,9 +7703,25 @@
 	 what it originally did, do this SUBREG as a force_to_mode.  */
       {
 	rtx inner = SUBREG_REG (x), simplified;
-	
-	tem = make_compound_operation (inner, in_code);
+	enum rtx_code subreg_code = in_code;
 
+	/* If in_code is COMPARE, it isn't always safe to pass it through
+	   to the recursive make_compound_operation call.  */
+	if (subreg_code == COMPARE
+	    && (!subreg_lowpart_p (x)
+		|| GET_CODE (inner) == SUBREG
+		/* (subreg:SI (and:DI (reg:DI) (const_int 0x800000000)) 0)
+		   is (const_int 0), rather than
+		   (subreg:SI (lshiftrt:DI (reg:DI) (const_int 35)) 0).  */
+		|| (GET_CODE (inner) == AND
+		    && CONST_INT_P (XEXP (inner, 1))
+		    && GET_MODE_SIZE (mode) < GET_MODE_SIZE (GET_MODE (inner))
+		    && exact_log2 (UINTVAL (XEXP (inner, 1)))
+		       >= GET_MODE_BITSIZE (mode))))
+	  subreg_code = SET;
+
+	tem = make_compound_operation (inner, subreg_code);
+
 	simplified
 	  = simplify_subreg (mode, tem, GET_MODE (inner), SUBREG_BYTE (x));
 	if (simplified)
Index: gcc/Makefile.in
===================================================================
--- gcc/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -4601,7 +4601,7 @@
   $(C_PRAGMA_H)  $(CPPLIB_H)  $(FUNCTION_H) \
   cppdefault.h flags.h $(MD5_H) params.def params.h prefix.h tree-inline.h \
   $(GIMPLE_PRETTY_PRINT_H) realmpfr.h \
-  $(IPA_PROP_H) $(RTL_H) $(TM_P_H) $(CFGLOOP_H) $(EMIT_RTL_H) version.h
+  $(IPA_PROP_H) $(TARGET_H) $(RTL_H) $(TM_P_H) $(CFGLOOP_H) $(EMIT_RTL_H) version.h
 
 # generate the 'build fragment' b-header-vars
 s-header-vars: Makefile
Index: gcc/tree-cfg.c
===================================================================
--- gcc/tree-cfg.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/tree-cfg.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -6099,10 +6099,19 @@
 
   if (EXPR_P (t))
     {
-      if (TREE_BLOCK (t) == p->orig_block
+      tree block = TREE_BLOCK (t);
+      if (block == p->orig_block
 	  || (p->orig_block == NULL_TREE
-	  && TREE_BLOCK (t) == NULL_TREE))
+	      && block != NULL_TREE))
 	TREE_SET_BLOCK (t, p->new_block);
+#ifdef ENABLE_CHECKING
+      else if (block != NULL_TREE)
+	{
+	  while (block && TREE_CODE (block) == BLOCK && block != p->orig_block)
+	    block = BLOCK_SUPERCONTEXT (block);
+	  gcc_assert (block == p->orig_block);
+	}
+#endif
     }
   else if (DECL_P (t) || TREE_CODE (t) == SSA_NAME)
     {
@@ -6187,18 +6196,10 @@
   gimple stmt = gsi_stmt (*gsi_p);
   tree block = gimple_block (stmt);
 
-  if (p->orig_block == NULL_TREE
-      || block == p->orig_block
-      || block == NULL_TREE)
+  if (block == p->orig_block
+      || (p->orig_block == NULL_TREE
+	  && block != NULL_TREE))
     gimple_set_block (stmt, p->new_block);
-#ifdef ENABLE_CHECKING
-  else if (block != p->new_block)
-    {
-      while (block && block != p->orig_block)
-	block = BLOCK_SUPERCONTEXT (block);
-      gcc_assert (block);
-    }
-#endif
 
   switch (gimple_code (stmt))
     {
@@ -6426,14 +6427,6 @@
 	  e->goto_locus = d->new_block ?
 	      COMBINE_LOCATION_DATA (line_table, e->goto_locus, d->new_block) :
 	      LOCATION_LOCUS (e->goto_locus);
-#ifdef ENABLE_CHECKING
-	else if (block != d->new_block)
-	  {
-	    while (block && block != d->orig_block)
-	      block = BLOCK_SUPERCONTEXT (block);
-	    gcc_assert (block);
-	  }
-#endif
       }
 }
 
Index: gcc/tree-ssa-reassoc.c
===================================================================
--- gcc/tree-ssa-reassoc.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/tree-ssa-reassoc.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -4293,6 +4293,7 @@
   0,					/* properties_destroyed */
   0,					/* todo_flags_start */
   TODO_verify_ssa
+    | TODO_update_ssa_only_virtuals
     | TODO_verify_flow
     | TODO_ggc_collect			/* todo_flags_finish */
  }
Index: gcc/config/s390/s390.c
===================================================================
--- gcc/config/s390/s390.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/s390/s390.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -4647,6 +4647,9 @@
   int smode_bsize, mode_bsize;
   rtx op, clobber;
 
+  if (bitsize + bitpos > GET_MODE_SIZE (mode))
+    return false;
+
   /* Generate INSERT IMMEDIATE (IILL et al).  */
   /* (set (ze (reg)) (const_int)).  */
   if (TARGET_ZARCH
Index: gcc/config/sparc/sp64-elf.h
===================================================================
--- gcc/config/sparc/sp64-elf.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/sparc/sp64-elf.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -30,10 +30,6 @@
 /* Don't assume anything about the header files.  */
 #define NO_IMPLICIT_EXTERN_C
 
-/* __svr4__ is used by the C library (FIXME) */
-#undef CPP_SUBTARGET_SPEC
-#define CPP_SUBTARGET_SPEC "-D__svr4__"
-
 #undef ASM_SPEC
 #define ASM_SPEC "\
 -s %{fpic|fPIC|fpie|fPIE:-K PIC} \
Index: gcc/config/sparc/openbsd64.h
===================================================================
--- gcc/config/sparc/openbsd64.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/sparc/openbsd64.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -41,9 +41,6 @@
     }						\
   while (0)
 
-#undef CPP_SUBTARGET_SPEC
-#define CPP_SUBTARGET_SPEC ""
-
 /* Inherited from sp64-elf.  */
 #undef NO_IMPLICIT_EXTERN_C
 
Index: gcc/config/sparc/sparc.c
===================================================================
--- gcc/config/sparc/sparc.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/sparc/sparc.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -4321,13 +4321,14 @@
    mapped into one sparc_mode_class mode.  */
 
 enum sparc_mode_class {
-  S_MODE, D_MODE, T_MODE, O_MODE,
+  H_MODE, S_MODE, D_MODE, T_MODE, O_MODE,
   SF_MODE, DF_MODE, TF_MODE, OF_MODE,
   CC_MODE, CCFP_MODE
 };
 
 /* Modes for single-word and smaller quantities.  */
-#define S_MODES ((1 << (int) S_MODE) | (1 << (int) SF_MODE))
+#define S_MODES \
+  ((1 << (int) H_MODE) | (1 << (int) S_MODE) | (1 << (int) SF_MODE))
 
 /* Modes for double-word and smaller quantities.  */
 #define D_MODES (S_MODES | (1 << (int) D_MODE) | (1 << DF_MODE))
@@ -4338,13 +4339,11 @@
 /* Modes for 8-word and smaller quantities.  */
 #define O_MODES (T_MODES | (1 << (int) O_MODE) | (1 << (int) OF_MODE))
 
-/* Modes for single-float quantities.  We must allow any single word or
-   smaller quantity.  This is because the fix/float conversion instructions
-   take integer inputs/outputs from the float registers.  */
-#define SF_MODES (S_MODES)
+/* Modes for single-float quantities.  */
+#define SF_MODES ((1 << (int) S_MODE) | (1 << (int) SF_MODE))
 
 /* Modes for double-float and smaller quantities.  */
-#define DF_MODES (D_MODES)
+#define DF_MODES (SF_MODES | (1 << (int) D_MODE) | (1 << DF_MODE))
 
 /* Modes for quad-float and smaller quantities.  */
 #define TF_MODES (DF_MODES | (1 << (int) TF_MODE))
@@ -4440,7 +4439,9 @@
 	case MODE_INT:
 	case MODE_PARTIAL_INT:
 	case MODE_COMPLEX_INT:
-	  if (GET_MODE_SIZE (i) <= 4)
+	  if (GET_MODE_SIZE (i) < 4)
+	    sparc_mode_class[i] = 1 << (int) H_MODE;
+	  else if (GET_MODE_SIZE (i) == 4)
 	    sparc_mode_class[i] = 1 << (int) S_MODE;
 	  else if (GET_MODE_SIZE (i) == 8)
 	    sparc_mode_class[i] = 1 << (int) D_MODE;
@@ -4452,14 +4453,16 @@
 	    sparc_mode_class[i] = 0;
 	  break;
 	case MODE_VECTOR_INT:
-	  if (GET_MODE_SIZE (i) <= 4)
-	    sparc_mode_class[i] = 1 << (int)SF_MODE;
+	  if (GET_MODE_SIZE (i) == 4)
+	    sparc_mode_class[i] = 1 << (int) SF_MODE;
 	  else if (GET_MODE_SIZE (i) == 8)
-	    sparc_mode_class[i] = 1 << (int)DF_MODE;
+	    sparc_mode_class[i] = 1 << (int) DF_MODE;
+	  else
+	    sparc_mode_class[i] = 0;
 	  break;
 	case MODE_FLOAT:
 	case MODE_COMPLEX_FLOAT:
-	  if (GET_MODE_SIZE (i) <= 4)
+	  if (GET_MODE_SIZE (i) == 4)
 	    sparc_mode_class[i] = 1 << (int) SF_MODE;
 	  else if (GET_MODE_SIZE (i) == 8)
 	    sparc_mode_class[i] = 1 << (int) DF_MODE;
Index: gcc/config/sparc/sparc.h
===================================================================
--- gcc/config/sparc/sparc.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/sparc/sparc.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -327,6 +327,8 @@
 %{mcpu=sparclite86x:-Asparclite} \
 %{mcpu=f930:-Asparclite} %{mcpu=f934:-Asparclite} \
 %{mcpu=v8:-Av8} \
+%{mcpu=supersparc:-Av8} \
+%{mcpu=hypersparc:-Av8} \
 %{mcpu=leon:-Av8} \
 %{mv8plus:-Av8plus} \
 %{mcpu=v9:-Av9} \
Index: gcc/config/i386/i386.md
===================================================================
--- gcc/config/i386/i386.md	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/i386/i386.md	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1798,6 +1798,8 @@
    (set (attr "mode")
    	(cond [(eq_attr "alternative" "0,1")
 		 (const_string "DI")
+	       (not (match_test "TARGET_SSE2"))
+	         (const_string "V4SF")
 	       (match_test "TARGET_SSE_PACKED_SINGLE_INSN_OPTIMAL")
 		 (const_string "V4SF")
 	       (and (eq_attr "alternative" "4")
@@ -1854,15 +1856,16 @@
   [(set_attr "type" "sselog1,ssemov,ssemov")
    (set_attr "prefix" "maybe_vex")
    (set (attr "mode")
-	(cond [(match_test "TARGET_SSE_PACKED_SINGLE_INSN_OPTIMAL")
+	(cond [(not (match_test "TARGET_SSE2"))
+	         (const_string "V4SF")
+	       (match_test "TARGET_SSE_PACKED_SINGLE_INSN_OPTIMAL")
 		 (const_string "V4SF")
 	       (and (eq_attr "alternative" "2")
 		    (match_test "TARGET_SSE_TYPELESS_STORES"))
 		 (const_string "V4SF")
 	       (match_test "TARGET_AVX")
 		 (const_string "TI")
-	       (ior (not (match_test "TARGET_SSE2"))
-		    (match_test "optimize_function_for_size_p (cfun)"))
+	       (match_test "optimize_function_for_size_p (cfun)")
 		 (const_string "V4SF")
 	      ]
 	      (const_string "TI")))])
@@ -3281,7 +3284,7 @@
 	(cond [(eq_attr "alternative" "0,1,2")
 		 (const_string "fmov")
 	       (eq_attr "alternative" "3,4")
-		 (const_string "multi")
+		 (const_string "imov")
 	       (eq_attr "alternative" "5")
 		 (const_string "sselog1")
 	       (eq_attr "alternative" "9,10,11,14,15")
@@ -3432,10 +3435,10 @@
 
 (define_insn "*zero_extendsidi2_rex64"
   [(set (match_operand:DI 0 "nonimmediate_operand"
-			"=r  ,o,?*Ym,?*y,?*Yi,?*x")
+			"=r  ,o,?*Ym,?!*y,?*Yi,?*x")
 	(zero_extend:DI
 	 (match_operand:SI 1 "x86_64_zext_general_operand"
-	        	"rmWz,0,r   ,m  ,r   ,m")))]
+	        	"rmWz,0,r   ,m   ,r   ,m")))]
   "TARGET_64BIT"
 {
   switch (get_attr_type (insn))
@@ -3466,9 +3469,9 @@
 
 (define_insn "*zero_extendsidi2"
   [(set (match_operand:DI 0 "nonimmediate_operand"
-			"=ro,?r,?o,?*Ym,?*y,?*Yi,?*x")
+			"=ro,?r,?o,?*Ym,?!*y,?*Yi,?*x")
 	(zero_extend:DI (match_operand:SI 1 "nonimmediate_operand"
-			"0  ,rm,r ,r   ,m  ,r   ,m")))]
+			"0  ,rm,r ,r   ,m   ,r   ,m")))]
   "!TARGET_64BIT"
   "@
    #
@@ -3647,27 +3650,13 @@
   "!TARGET_64BIT"
   "#")
 
-;; Extend to memory case when source register does die.
+;; Split the memory case.  If the source register doesn't die, it will stay
+;; this way, if it does die, following peephole2s take care of it.
 (define_split
   [(set (match_operand:DI 0 "memory_operand")
 	(sign_extend:DI (match_operand:SI 1 "register_operand")))
    (clobber (reg:CC FLAGS_REG))
    (clobber (match_operand:SI 2 "register_operand"))]
-  "(reload_completed
-    && dead_or_set_p (insn, operands[1])
-    && !reg_mentioned_p (operands[1], operands[0]))"
-  [(set (match_dup 3) (match_dup 1))
-   (parallel [(set (match_dup 1) (ashiftrt:SI (match_dup 1) (const_int 31)))
-	      (clobber (reg:CC FLAGS_REG))])
-   (set (match_dup 4) (match_dup 1))]
-  "split_double_mode (DImode, &operands[0], 1, &operands[3], &operands[4]);")
-
-;; Extend to memory case when source register does not die.
-(define_split
-  [(set (match_operand:DI 0 "memory_operand")
-	(sign_extend:DI (match_operand:SI 1 "register_operand")))
-   (clobber (reg:CC FLAGS_REG))
-   (clobber (match_operand:SI 2 "register_operand"))]
   "reload_completed"
   [(const_int 0)]
 {
@@ -3691,6 +3680,44 @@
   DONE;
 })
 
+;; Peepholes for the case where the source register does die, after
+;; being split with the above splitter.
+(define_peephole2
+  [(set (match_operand:SI 0 "memory_operand")
+	(match_operand:SI 1 "register_operand"))
+   (set (match_operand:SI 2 "register_operand") (match_dup 1))
+   (parallel [(set (match_dup 2)
+		   (ashiftrt:SI (match_dup 2) (const_int 31)))
+	       (clobber (reg:CC FLAGS_REG))])
+   (set (match_operand:SI 3 "memory_operand") (match_dup 2))]
+  "REGNO (operands[1]) != REGNO (operands[2])
+   && peep2_reg_dead_p (2, operands[1])
+   && peep2_reg_dead_p (4, operands[2])
+   && !reg_mentioned_p (operands[2], operands[3])"
+  [(set (match_dup 0) (match_dup 1))
+   (parallel [(set (match_dup 1) (ashiftrt:SI (match_dup 1) (const_int 31)))
+	      (clobber (reg:CC FLAGS_REG))])
+   (set (match_dup 3) (match_dup 1))])
+
+(define_peephole2
+  [(set (match_operand:SI 0 "memory_operand")
+	(match_operand:SI 1 "register_operand"))
+   (parallel [(set (match_operand:SI 2 "register_operand")
+		   (ashiftrt:SI (match_dup 1) (const_int 31)))
+	       (clobber (reg:CC FLAGS_REG))])
+   (set (match_operand:SI 3 "memory_operand") (match_dup 2))]
+  "/* cltd is shorter than sarl $31, %eax */
+   !optimize_function_for_size_p (cfun)
+   && true_regnum (operands[1]) == AX_REG
+   && true_regnum (operands[2]) == DX_REG
+   && peep2_reg_dead_p (2, operands[1])
+   && peep2_reg_dead_p (3, operands[2])
+   && !reg_mentioned_p (operands[2], operands[3])"
+  [(set (match_dup 0) (match_dup 1))
+   (parallel [(set (match_dup 1) (ashiftrt:SI (match_dup 1) (const_int 31)))
+	      (clobber (reg:CC FLAGS_REG))])
+   (set (match_dup 3) (match_dup 1))])
+
 ;; Extend to register case.  Optimize case where source and destination
 ;; registers match and cases where we can use cltd.
 (define_split
@@ -9136,28 +9163,20 @@
 })
 
 ;; Avoid useless masking of count operand.
-(define_insn_and_split "*ashl<mode>3_mask"
+(define_insn "*ashl<mode>3_mask"
   [(set (match_operand:SWI48 0 "nonimmediate_operand" "=rm")
 	(ashift:SWI48
 	  (match_operand:SWI48 1 "nonimmediate_operand" "0")
 	  (subreg:QI
 	    (and:SI
-	      (match_operand:SI 2 "nonimmediate_operand" "c")
+	      (match_operand:SI 2 "register_operand" "c")
 	      (match_operand:SI 3 "const_int_operand" "n")) 0)))
    (clobber (reg:CC FLAGS_REG))]
   "ix86_binary_operator_ok (ASHIFT, <MODE>mode, operands)
    && (INTVAL (operands[3]) & (GET_MODE_BITSIZE (<MODE>mode)-1))
       == GET_MODE_BITSIZE (<MODE>mode)-1"
-  "#"
-  "&& 1"
-  [(parallel [(set (match_dup 0)
-		   (ashift:SWI48 (match_dup 1) (match_dup 2)))
-	      (clobber (reg:CC FLAGS_REG))])]
 {
-  if (can_create_pseudo_p ())
-    operands [2] = force_reg (SImode, operands[2]);
-
-  operands[2] = simplify_gen_subreg (QImode, operands[2], SImode, 0);
+  return "sal{<imodesuffix>}\t{%b2, %0|%0, %b2}";
 }
   [(set_attr "type" "ishift")
    (set_attr "mode" "<MODE>")])
@@ -9646,28 +9665,20 @@
   "ix86_expand_binary_operator (<CODE>, <MODE>mode, operands); DONE;")
 
 ;; Avoid useless masking of count operand.
-(define_insn_and_split "*<shift_insn><mode>3_mask"
+(define_insn "*<shift_insn><mode>3_mask"
   [(set (match_operand:SWI48 0 "nonimmediate_operand" "=rm")
 	(any_shiftrt:SWI48
 	  (match_operand:SWI48 1 "nonimmediate_operand" "0")
 	  (subreg:QI
 	    (and:SI
-	      (match_operand:SI 2 "nonimmediate_operand" "c")
+	      (match_operand:SI 2 "register_operand" "c")
 	      (match_operand:SI 3 "const_int_operand" "n")) 0)))
    (clobber (reg:CC FLAGS_REG))]
   "ix86_binary_operator_ok (<CODE>, <MODE>mode, operands)
    && (INTVAL (operands[3]) & (GET_MODE_BITSIZE (<MODE>mode)-1))
       == GET_MODE_BITSIZE (<MODE>mode)-1"
-  "#"
-  "&& 1"
-  [(parallel [(set (match_dup 0)
-		   (any_shiftrt:SWI48 (match_dup 1) (match_dup 2)))
-	      (clobber (reg:CC FLAGS_REG))])]
 {
-  if (can_create_pseudo_p ())
-    operands [2] = force_reg (SImode, operands[2]);
-
-  operands[2] = simplify_gen_subreg (QImode, operands[2], SImode, 0);
+  return "<shift>{<imodesuffix>}\t{%b2, %0|%0, %b2}";
 }
   [(set_attr "type" "ishift")
    (set_attr "mode" "<MODE>")])
@@ -10109,28 +10120,20 @@
   "ix86_expand_binary_operator (<CODE>, <MODE>mode, operands); DONE;")
 
 ;; Avoid useless masking of count operand.
-(define_insn_and_split "*<rotate_insn><mode>3_mask"
+(define_insn "*<rotate_insn><mode>3_mask"
   [(set (match_operand:SWI48 0 "nonimmediate_operand" "=rm")
 	(any_rotate:SWI48
 	  (match_operand:SWI48 1 "nonimmediate_operand" "0")
 	  (subreg:QI
 	    (and:SI
-	      (match_operand:SI 2 "nonimmediate_operand" "c")
+	      (match_operand:SI 2 "register_operand" "c")
 	      (match_operand:SI 3 "const_int_operand" "n")) 0)))
    (clobber (reg:CC FLAGS_REG))]
   "ix86_binary_operator_ok (<CODE>, <MODE>mode, operands)
    && (INTVAL (operands[3]) & (GET_MODE_BITSIZE (<MODE>mode)-1))
       == GET_MODE_BITSIZE (<MODE>mode)-1"
-  "#"
-  "&& 1"
-  [(parallel [(set (match_dup 0)
-		   (any_rotate:SWI48 (match_dup 1) (match_dup 2)))
-	      (clobber (reg:CC FLAGS_REG))])]
 {
-  if (can_create_pseudo_p ())
-    operands [2] = force_reg (SImode, operands[2]);
-
-  operands[2] = simplify_gen_subreg (QImode, operands[2], SImode, 0);
+  return "<rotate>{<imodesuffix>}\t{%b2, %0|%0, %b2}";
 }
   [(set_attr "type" "rotate")
    (set_attr "mode" "<MODE>")])
@@ -17539,21 +17542,18 @@
   [(prefetch (match_operand 0 "address_operand")
 	     (match_operand:SI 1 "const_int_operand")
 	     (match_operand:SI 2 "const_int_operand"))]
-  "TARGET_PREFETCH_SSE || TARGET_3DNOW"
+  "TARGET_PREFETCH_SSE || TARGET_PRFCHW"
 {
-  int rw = INTVAL (operands[1]);
+  bool write = INTVAL (operands[1]) != 0;
   int locality = INTVAL (operands[2]);
 
-  gcc_assert (rw == 0 || rw == 1);
   gcc_assert (IN_RANGE (locality, 0, 3));
 
-  if (TARGET_PRFCHW && rw)
-    operands[2] = GEN_INT (3);
   /* Use 3dNOW prefetch in case we are asking for write prefetch not
      supported by SSE counterpart or the SSE prefetch is not available
      (K6 machines).  Otherwise use SSE prefetch as it allows specifying
      of locality.  */
-  else if (TARGET_3DNOW && (!TARGET_PREFETCH_SSE || rw))
+  if (TARGET_PRFCHW && (write || !TARGET_PREFETCH_SSE))
     operands[2] = GEN_INT (3);
   else
     operands[1] = const0_rtx;
@@ -17584,7 +17584,7 @@
   [(prefetch (match_operand 0 "address_operand" "p")
 	     (match_operand:SI 1 "const_int_operand" "n")
 	     (const_int 3))]
-  "TARGET_3DNOW || TARGET_PRFCHW"
+  "TARGET_PRFCHW"
 {
   if (INTVAL (operands[1]) == 0)
     return "prefetch\t%a0";
Index: gcc/config/i386/avx2intrin.h
===================================================================
--- gcc/config/i386/avx2intrin.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/i386/avx2intrin.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -921,7 +921,7 @@
 
 extern __inline __m256i
 __attribute__ ((__gnu_inline__, __always_inline__, __artificial__))
-_mm_broadcastsi128_si256 (__m128i __X)
+_mm256_broadcastsi128_si256 (__m128i __X)
 {
   return (__m256i) __builtin_ia32_vbroadcastsi256 ((__v2di)__X);
 }
Index: gcc/config/i386/winnt.c
===================================================================
--- gcc/config/i386/winnt.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/i386/winnt.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -476,7 +476,7 @@
 	flags |= SECTION_PE_SHARED;
     }
 
-  if (decl && DECL_ONE_ONLY (decl))
+  if (decl && DECL_P (decl) && DECL_ONE_ONLY (decl))
     flags |= SECTION_LINKONCE;
 
   /* See if we already have an entry for this section.  */
Index: gcc/config/i386/sse.md
===================================================================
--- gcc/config/i386/sse.md	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/i386/sse.md	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -5638,7 +5638,7 @@
   if (TARGET_SSE4_1)
     {
       if (CONSTANT_P (operands[2]))
-	operands[2] = force_const_mem (<MODE>mode, operands[2]);
+	operands[2] = validize_mem (force_const_mem (<MODE>mode, operands[2]));
       ix86_fixup_binary_operands_no_copy (MULT, <MODE>mode, operands);
     }
   else
@@ -9942,7 +9942,8 @@
 	 (match_operand:SI 2 "const_0_to_<sserotatemax>_operand" "n")))]
   "TARGET_XOP"
 {
-  operands[3] = GEN_INT ((<ssescalarnum> * 8) - INTVAL (operands[2]));
+  operands[3]
+    = GEN_INT (GET_MODE_BITSIZE (<ssescalarmode>mode) - INTVAL (operands[2]));
   return \"vprot<ssemodesuffix>\t{%3, %1, %0|%0, %1, %3}\";
 }
   [(set_attr "type" "sseishft")
Index: gcc/config/i386/driver-i386.c
===================================================================
--- gcc/config/i386/driver-i386.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/i386/driver-i386.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -517,7 +517,11 @@
 
   if (!arch)
     {
-      if (vendor == signature_AMD_ebx)
+      if (vendor == signature_AMD_ebx
+	  || vendor == signature_CENTAUR_ebx
+	  || vendor == signature_CYRIX_ebx
+	  || vendor == signature_NSC_ebx
+	  || vendor == signature_TM2_ebx)
 	cache = detect_caches_amd (ext_level);
       else if (vendor == signature_INTEL_ebx)
 	{
@@ -560,6 +564,37 @@
       else
 	processor = PROCESSOR_PENTIUM;
     }
+  else if (vendor == signature_CENTAUR_ebx)
+    {
+      if (arch)
+	{
+	  switch (family)
+	    {
+	    case 6:
+	      if (model > 9)
+		/* Use the default detection procedure.  */
+		processor = PROCESSOR_GENERIC32;
+	      else if (model == 9)
+		cpu = "c3-2";
+	      else if (model >= 6)
+		cpu = "c3";
+	      else
+		processor = PROCESSOR_GENERIC32;
+	      break;
+	    case 5:
+	      if (has_3dnow)
+		cpu = "winchip2";
+	      else if (has_mmx)
+		cpu = "winchip2-c6";
+	      else
+		processor = PROCESSOR_GENERIC32;
+	      break;
+	    default:
+	      /* We have no idea.  */
+	      processor = PROCESSOR_GENERIC32;
+	    }
+	}
+    }
   else
     {
       switch (family)
Index: gcc/config/i386/i386.c
===================================================================
--- gcc/config/i386/i386.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/i386/i386.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -2877,9 +2877,10 @@
       {"pentium", PROCESSOR_PENTIUM, CPU_PENTIUM, 0},
       {"pentium-mmx", PROCESSOR_PENTIUM, CPU_PENTIUM, PTA_MMX},
       {"winchip-c6", PROCESSOR_I486, CPU_NONE, PTA_MMX},
-      {"winchip2", PROCESSOR_I486, CPU_NONE, PTA_MMX | PTA_3DNOW},
-      {"c3", PROCESSOR_I486, CPU_NONE, PTA_MMX | PTA_3DNOW},
-      {"c3-2", PROCESSOR_PENTIUMPRO, CPU_PENTIUMPRO, PTA_MMX | PTA_SSE},
+      {"winchip2", PROCESSOR_I486, CPU_NONE, PTA_MMX | PTA_3DNOW | PTA_PRFCHW},
+      {"c3", PROCESSOR_I486, CPU_NONE, PTA_MMX | PTA_3DNOW | PTA_PRFCHW},
+      {"c3-2", PROCESSOR_PENTIUMPRO, CPU_PENTIUMPRO,
+	PTA_MMX | PTA_SSE | PTA_FXSR},
       {"i686", PROCESSOR_PENTIUMPRO, CPU_PENTIUMPRO, 0},
       {"pentiumpro", PROCESSOR_PENTIUMPRO, CPU_PENTIUMPRO, 0},
       {"pentium2", PROCESSOR_PENTIUMPRO, CPU_PENTIUMPRO, PTA_MMX | PTA_FXSR},
@@ -2902,8 +2903,8 @@
 	PTA_64BIT | PTA_MMX | PTA_SSE | PTA_SSE2 | PTA_SSE3
 	| PTA_SSSE3 | PTA_CX16 | PTA_FXSR},
       {"corei7", PROCESSOR_COREI7, CPU_COREI7,
-	PTA_64BIT | PTA_MMX | PTA_SSE | PTA_SSE2 | PTA_SSE3
-	| PTA_SSSE3 | PTA_SSE4_1 | PTA_SSE4_2 | PTA_CX16 | PTA_FXSR},
+	PTA_64BIT | PTA_MMX | PTA_SSE | PTA_SSE2 | PTA_SSE3 | PTA_SSSE3
+	| PTA_SSE4_1 | PTA_SSE4_2 | PTA_CX16 | PTA_POPCNT | PTA_FXSR},
       {"corei7-avx", PROCESSOR_COREI7, CPU_COREI7,
 	PTA_64BIT | PTA_MMX | PTA_SSE | PTA_SSE2 | PTA_SSE3
 	| PTA_SSSE3 | PTA_SSE4_1 | PTA_SSE4_2 | PTA_AVX
@@ -2925,49 +2926,49 @@
 	PTA_64BIT | PTA_MMX | PTA_SSE | PTA_SSE2 | PTA_SSE3
 	| PTA_SSSE3 | PTA_CX16 | PTA_MOVBE | PTA_FXSR},
       {"geode", PROCESSOR_GEODE, CPU_GEODE,
-	PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_PREFETCH_SSE},
+	PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_PREFETCH_SSE | PTA_PRFCHW},
       {"k6", PROCESSOR_K6, CPU_K6, PTA_MMX},
-      {"k6-2", PROCESSOR_K6, CPU_K6, PTA_MMX | PTA_3DNOW},
-      {"k6-3", PROCESSOR_K6, CPU_K6, PTA_MMX | PTA_3DNOW},
+      {"k6-2", PROCESSOR_K6, CPU_K6, PTA_MMX | PTA_3DNOW | PTA_PRFCHW},
+      {"k6-3", PROCESSOR_K6, CPU_K6, PTA_MMX | PTA_3DNOW | PTA_PRFCHW},
       {"athlon", PROCESSOR_ATHLON, CPU_ATHLON,
-	PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_PREFETCH_SSE},
+	PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_PREFETCH_SSE | PTA_PRFCHW},
       {"athlon-tbird", PROCESSOR_ATHLON, CPU_ATHLON,
-	PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_PREFETCH_SSE},
+	PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_PREFETCH_SSE | PTA_PRFCHW},
       {"athlon-4", PROCESSOR_ATHLON, CPU_ATHLON,
-	PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_SSE},
+	PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_SSE | PTA_PRFCHW | PTA_FXSR},
       {"athlon-xp", PROCESSOR_ATHLON, CPU_ATHLON,
-	PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_SSE},
+	PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_SSE | PTA_PRFCHW | PTA_FXSR},
       {"athlon-mp", PROCESSOR_ATHLON, CPU_ATHLON,
-	PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_SSE},
+	PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_SSE | PTA_PRFCHW | PTA_FXSR},
       {"x86-64", PROCESSOR_K8, CPU_K8,
-	PTA_64BIT | PTA_MMX | PTA_SSE | PTA_SSE2 | PTA_NO_SAHF},
+	PTA_64BIT | PTA_MMX | PTA_SSE | PTA_SSE2 | PTA_NO_SAHF | PTA_FXSR},
       {"k8", PROCESSOR_K8, CPU_K8,
 	PTA_64BIT | PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_SSE
-	| PTA_SSE2 | PTA_NO_SAHF},
+	| PTA_SSE2 | PTA_NO_SAHF | PTA_PRFCHW | PTA_FXSR},
       {"k8-sse3", PROCESSOR_K8, CPU_K8,
 	PTA_64BIT | PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_SSE
-	| PTA_SSE2 | PTA_SSE3 | PTA_NO_SAHF},
+	| PTA_SSE2 | PTA_SSE3 | PTA_NO_SAHF | PTA_PRFCHW | PTA_FXSR},
       {"opteron", PROCESSOR_K8, CPU_K8,
 	PTA_64BIT | PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_SSE
-	| PTA_SSE2 | PTA_NO_SAHF},
+	| PTA_SSE2 | PTA_NO_SAHF | PTA_PRFCHW | PTA_FXSR},
       {"opteron-sse3", PROCESSOR_K8, CPU_K8,
 	PTA_64BIT | PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_SSE
-	| PTA_SSE2 | PTA_SSE3 | PTA_NO_SAHF},
+	| PTA_SSE2 | PTA_SSE3 | PTA_NO_SAHF | PTA_PRFCHW | PTA_FXSR},
       {"athlon64", PROCESSOR_K8, CPU_K8,
 	PTA_64BIT | PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_SSE
-	| PTA_SSE2 | PTA_NO_SAHF},
+	| PTA_SSE2 | PTA_NO_SAHF | PTA_PRFCHW | PTA_FXSR},
       {"athlon64-sse3", PROCESSOR_K8, CPU_K8,
 	PTA_64BIT | PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_SSE
-	| PTA_SSE2 | PTA_SSE3 | PTA_NO_SAHF},
+	| PTA_SSE2 | PTA_SSE3 | PTA_NO_SAHF | PTA_PRFCHW | PTA_FXSR},
       {"athlon-fx", PROCESSOR_K8, CPU_K8,
 	PTA_64BIT | PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_SSE
-	| PTA_SSE2 | PTA_NO_SAHF},
+	| PTA_SSE2 | PTA_NO_SAHF | PTA_PRFCHW | PTA_FXSR},
       {"amdfam10", PROCESSOR_AMDFAM10, CPU_AMDFAM10,
-	PTA_64BIT | PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_SSE
-	| PTA_SSE2 | PTA_SSE3 | PTA_SSE4A | PTA_CX16 | PTA_ABM},
+	PTA_64BIT | PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_SSE | PTA_SSE2
+	| PTA_SSE3 | PTA_SSE4A | PTA_CX16 | PTA_ABM | PTA_PRFCHW | PTA_FXSR},
       {"barcelona", PROCESSOR_AMDFAM10, CPU_AMDFAM10,
-	PTA_64BIT | PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_SSE
-	| PTA_SSE2 | PTA_SSE3 | PTA_SSE4A | PTA_CX16 | PTA_ABM},
+	PTA_64BIT | PTA_MMX | PTA_3DNOW | PTA_3DNOW_A | PTA_SSE | PTA_SSE2
+	| PTA_SSE3 | PTA_SSE4A | PTA_CX16 | PTA_ABM | PTA_PRFCHW | PTA_FXSR},
       {"bdver1", PROCESSOR_BDVER1, CPU_BDVER1,
 	PTA_64BIT | PTA_MMX | PTA_SSE | PTA_SSE2 | PTA_SSE3
 	| PTA_SSE4A | PTA_CX16 | PTA_ABM | PTA_SSSE3 | PTA_SSE4_1
@@ -3579,14 +3580,18 @@
     ix86_isa_flags |= OPTION_MASK_ISA_MMX & ~ix86_isa_flags_explicit;
 
   /* Enable SSE prefetch.  */
-  if (TARGET_SSE || TARGET_PRFCHW)
+  if (TARGET_SSE || (TARGET_PRFCHW && !TARGET_3DNOW))
     x86_prefetch_sse = true;
 
-  /* Turn on popcnt instruction for -msse4.2 or -mabm.  */
+  /* Enable prefetch{,w} instructions for -m3dnow.  */
+  if (TARGET_3DNOW)
+    ix86_isa_flags |= OPTION_MASK_ISA_PRFCHW & ~ix86_isa_flags_explicit;
+
+  /* Enable popcnt instruction for -msse4.2 or -mabm.  */
   if (TARGET_SSE4_2 || TARGET_ABM)
     ix86_isa_flags |= OPTION_MASK_ISA_POPCNT & ~ix86_isa_flags_explicit;
 
-  /* Turn on lzcnt instruction for -mabm.  */
+  /* Enable lzcnt instruction for -mabm.  */
   if (TARGET_ABM)
     ix86_isa_flags |= OPTION_MASK_ISA_LZCNT & ~ix86_isa_flags_explicit;
 
@@ -20434,7 +20439,7 @@
 	      vec[i * 2 + 1] = const1_rtx;
 	    }
 	  vt = gen_rtx_CONST_VECTOR (maskmode, gen_rtvec_v (w, vec));
-	  vt = force_const_mem (maskmode, vt);
+	  vt = validize_mem (force_const_mem (maskmode, vt));
 	  t1 = expand_simple_binop (maskmode, PLUS, t1, vt, t1, 1,
 				    OPTAB_DIRECT);
 
@@ -20631,7 +20636,7 @@
       for (i = 0; i < 16; ++i)
 	vec[i] = GEN_INT (i/e * e);
       vt = gen_rtx_CONST_VECTOR (V16QImode, gen_rtvec_v (16, vec));
-      vt = force_const_mem (V16QImode, vt);
+      vt = validize_mem (force_const_mem (V16QImode, vt));
       if (TARGET_XOP)
 	emit_insn (gen_xop_pperm (mask, mask, mask, vt));
       else
@@ -20642,7 +20647,7 @@
       for (i = 0; i < 16; ++i)
 	vec[i] = GEN_INT (i % e);
       vt = gen_rtx_CONST_VECTOR (V16QImode, gen_rtvec_v (16, vec));
-      vt = force_const_mem (V16QImode, vt);
+      vt = validize_mem (force_const_mem (V16QImode, vt));
       emit_insn (gen_addv16qi3 (mask, mask, vt));
     }
 
@@ -24538,7 +24543,7 @@
 	  /* Add output depdendence between two function arguments if chain
 	     of output arguments contains likely spilled HW registers.  */
 	  if (is_spilled)
-	    add_dependence (last, insn, REG_DEP_OUTPUT);
+	    add_dependence (first_arg, insn, REG_DEP_OUTPUT);
 	  first_arg = last = insn;
 	}
       else
@@ -33862,6 +33867,11 @@
 	return true;
       if (!TARGET_PARTIAL_REG_STALL)
 	return true;
+      /* LRA checks if the hard register is OK for the given mode.
+        QImode values can live in non-QI regs, so we allow all
+        registers here.  */
+      if (lra_in_progress)
+       return true;
       return !can_create_pseudo_p ();
     }
   /* We handle both integer and floats in the general purpose registers.  */
@@ -34170,6 +34180,13 @@
 	{
 	  if (CONST_INT_P (XEXP (x, 1)))
 	    *total = cost->shift_const;
+	  else if (GET_CODE (XEXP (x, 1)) == SUBREG
+		   && GET_CODE (XEXP (XEXP (x, 1), 0)) == AND)
+	    {
+	      /* Return the cost after shift-and truncation.  */
+	      *total = cost->shift_var;
+	      return true;
+	    }
 	  else
 	    *total = cost->shift_var;
 	}
@@ -40716,7 +40733,9 @@
      the even slots.  For some cpus this is faster than a PSHUFD.  */
   if (odd_p)
     {
-      if (TARGET_XOP && mode == V4SImode)
+      /* For XOP use vpmacsdqh, but only for smult, as it is only
+	 signed.  */
+      if (TARGET_XOP && mode == V4SImode && !uns_p)
 	{
 	  x = force_reg (wmode, CONST0_RTX (wmode));
 	  emit_insn (gen_xop_pmacsdqh (dest, op1, op2, x));
@@ -41198,7 +41217,8 @@
 #undef TARGET_SCHED_ADJUST_PRIORITY
 #define TARGET_SCHED_ADJUST_PRIORITY ix86_adjust_priority
 #undef TARGET_SCHED_DEPENDENCIES_EVALUATION_HOOK
-#define TARGET_SCHED_DEPENDENCIES_EVALUATION_HOOK ix86_dependencies_evaluation_hook
+#define TARGET_SCHED_DEPENDENCIES_EVALUATION_HOOK \
+  ix86_dependencies_evaluation_hook
 
 /* The size of the dispatch window is the total number of bytes of
    object code allowed in a window.  */
Index: gcc/config/tilegx/tilegx.h
===================================================================
--- gcc/config/tilegx/tilegx.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/tilegx/tilegx.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -287,6 +287,8 @@
 #define INITIAL_ELIMINATION_OFFSET(FROM, TO, OFFSET) \
   ((OFFSET) = tilegx_initial_elimination_offset((FROM),(TO)))
 
+#define PROFILE_BEFORE_PROLOGUE 1
+
 #define FUNCTION_PROFILER(FILE, LABELNO) \
   tilegx_function_profiler (FILE, LABELNO)
 
@@ -446,7 +448,7 @@
     {								\
       char label[256];						\
       ASM_GENERATE_INTERNAL_LABEL (label, "L", (VALUE));	\
-      fprintf (FILE, "\t%s ",					\
+      fprintf (FILE, "%s ",					\
                integer_asm_op (GET_MODE_SIZE (Pmode), TRUE));	\
       assemble_name (FILE, label);				\
       fprintf (FILE, "\n");					\
@@ -458,7 +460,7 @@
     {								\
       char label[256];						\
       ASM_GENERATE_INTERNAL_LABEL (label, "L", (VALUE));	\
-      fprintf (FILE, "\t%s ", 					\
+      fprintf (FILE, "%s ", 					\
                integer_asm_op (GET_MODE_SIZE (Pmode), TRUE));	\
       assemble_name (FILE, label);				\
       ASM_GENERATE_INTERNAL_LABEL (label, "L", (REL));		\
Index: gcc/config/tilegx/tilegx.md
===================================================================
--- gcc/config/tilegx/tilegx.md	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/tilegx/tilegx.md	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -2490,7 +2490,7 @@
   "@
    jr\t%r0
    j\t%p0"
-  [(set_attr "type" "X1,X1")])
+  [(set_attr "type" "Y1,X1")])
 
 (define_expand "sibcall_value"
   [(parallel [(set (match_operand 0 "" "")
@@ -2509,7 +2509,7 @@
   "@
    jr\t%r1
    j\t%p1"
-  [(set_attr "type" "X1,X1")])
+  [(set_attr "type" "Y1,X1")])
 
 (define_insn "jump"
   [(set (pc) (label_ref (match_operand 0 "" "")))]
@@ -3857,6 +3857,15 @@
   "shufflebytes\t%0, %r2, %r3"
   [(set_attr "type" "X0")])
 
+(define_insn "insn_shufflebytes1"
+  [(set (match_operand:DI 0 "register_operand" "=r")
+        (unspec:DI [(match_operand:DI 1 "reg_or_0_operand" "rO")
+                    (match_operand:DI 2 "reg_or_0_operand" "rO")]
+                   UNSPEC_INSN_SHUFFLEBYTES))]
+  ""
+  "shufflebytes\t%0, %r1, %r2"
+  [(set_attr "type" "X0")])
+
 ;; stores
 
 (define_expand "insn_st"
@@ -4486,61 +4495,151 @@
 ;; insn_v1mz
 ;; insn_v2mnz
 ;; insn_v2mz
-(define_insn "insn_mnz_<mode>"
-  [(set (match_operand:VEC48MODE 0 "register_operand" "=r")
-	(if_then_else:VEC48MODE
-         (ne:VEC48MODE
-	  (match_operand:VEC48MODE 1 "reg_or_0_operand" "rO")
-	  (const_int 0))
-         (match_operand:VEC48MODE 2 "reg_or_0_operand" "rO")
-         (const_int 0)))]
+(define_insn "insn_mnz_v8qi"
+  [(set (match_operand:V8QI 0 "register_operand" "=r")
+	(if_then_else:V8QI
+         (ne:V8QI
+	  (match_operand:V8QI 1 "reg_or_0_operand" "rO")
+	  (const_vector:V8QI [(const_int 0) (const_int 0)
+			      (const_int 0) (const_int 0)
+			      (const_int 0) (const_int 0)
+			      (const_int 0) (const_int 0)]))
+         (match_operand:V8QI 2 "reg_or_0_operand" "rO")
+	 (const_vector:V8QI [(const_int 0) (const_int 0)
+			     (const_int 0) (const_int 0)
+			     (const_int 0) (const_int 0)
+			     (const_int 0) (const_int 0)])))]
   ""
-  "v<n>mnz\t%0, %r1, %r2"
+  "v1mnz\t%0, %r1, %r2"
   [(set_attr "type" "X01")])
 
-(define_expand "insn_v<n>mnz"
+(define_expand "insn_v1mnz"
   [(set (match_operand:DI 0 "register_operand" "")
-	(if_then_else:VEC48MODE
-         (ne:VEC48MODE
+	(if_then_else:V8QI
+         (ne:V8QI
 	  (match_operand:DI 1 "reg_or_0_operand" "")
-	  (const_int 0))
+	  (const_vector:V8QI [(const_int 0) (const_int 0)
+			      (const_int 0) (const_int 0)
+			      (const_int 0) (const_int 0)
+			      (const_int 0) (const_int 0)])
+	  )
          (match_operand:DI 2 "reg_or_0_operand" "")
-         (const_int 0)))]
+	 (const_vector:V8QI [(const_int 0) (const_int 0)
+			     (const_int 0) (const_int 0)
+			     (const_int 0) (const_int 0)
+			     (const_int 0) (const_int 0)])))]
   ""
 {
-  tilegx_expand_builtin_vector_binop (gen_insn_mnz_<mode>, <MODE>mode,
-                                      operands[0], <MODE>mode, operands[1],
+  tilegx_expand_builtin_vector_binop (gen_insn_mnz_v8qi, V8QImode,
+                                      operands[0], V8QImode, operands[1],
 				      operands[2], true);
   DONE;
 })
 
-(define_insn "insn_mz_<mode>"
-  [(set (match_operand:VEC48MODE 0 "register_operand" "=r")
-	(if_then_else:VEC48MODE
-         (ne:VEC48MODE
-	  (match_operand:VEC48MODE 1 "reg_or_0_operand" "rO")
-	  (const_int 0))
-         (const_int 0)
-         (match_operand:VEC48MODE 2 "reg_or_0_operand" "rO")))]
+(define_insn "insn_mz_v8qi"
+  [(set (match_operand:V8QI 0 "register_operand" "=r")
+	(if_then_else:V8QI
+         (ne:V8QI
+	  (match_operand:V8QI 1 "reg_or_0_operand" "rO")
+	  (const_vector:V8QI [(const_int 0) (const_int 0)
+			      (const_int 0) (const_int 0)
+			      (const_int 0) (const_int 0)
+			      (const_int 0) (const_int 0)]))
+	 (const_vector:V8QI [(const_int 0) (const_int 0)
+			     (const_int 0) (const_int 0)
+			     (const_int 0) (const_int 0)
+			     (const_int 0) (const_int 0)])
+         (match_operand:V8QI 2 "reg_or_0_operand" "rO")))]
   ""
-  "v<n>mz\t%0, %r1, %r2"
+  "v1mz\t%0, %r1, %r2"
   [(set_attr "type" "X01")])
-(define_expand "insn_v<n>mz"
+
+(define_expand "insn_v1mz"
   [(set (match_operand:DI 0 "register_operand" "")
-	(if_then_else:VEC48MODE
-         (ne:VEC48MODE
+	(if_then_else:V8QI
+         (ne:V8QI
 	  (match_operand:DI 1 "reg_or_0_operand" "")
-	  (const_int 0))
-         (const_int 0)
+	  (const_vector:V8QI [(const_int 0) (const_int 0)
+			      (const_int 0) (const_int 0)
+			      (const_int 0) (const_int 0)
+			      (const_int 0) (const_int 0)]))
+	 (const_vector:V8QI [(const_int 0) (const_int 0)
+			      (const_int 0) (const_int 0)
+			      (const_int 0) (const_int 0)
+			      (const_int 0) (const_int 0)])
          (match_operand:DI 2 "reg_or_0_operand" "")))]
   ""
 {
-  tilegx_expand_builtin_vector_binop (gen_insn_mz_<mode>, <MODE>mode,
-                                      operands[0], <MODE>mode, operands[1],
+  tilegx_expand_builtin_vector_binop (gen_insn_mz_v8qi, V8QImode,
+                                      operands[0], V8QImode, operands[1],
 				      operands[2], true);
   DONE;
 })
 
+(define_insn "insn_mnz_v4hi"
+  [(set (match_operand:V4HI 0 "register_operand" "=r")
+	(if_then_else:V4HI
+         (ne:V4HI
+	  (match_operand:V4HI 1 "reg_or_0_operand" "rO")
+	  (const_vector:V4HI [(const_int 0) (const_int 0)
+			      (const_int 0) (const_int 0)]))
+         (match_operand:V4HI 2 "reg_or_0_operand" "rO")
+	 (const_vector:V4HI [(const_int 0) (const_int 0)
+			     (const_int 0) (const_int 0)])))]
+  ""
+  "v2mnz\t%0, %r1, %r2"
+  [(set_attr "type" "X01")])
+
+(define_expand "insn_v2mnz"
+  [(set (match_operand:DI 0 "register_operand" "")
+	(if_then_else:V4HI
+         (ne:V4HI
+	  (match_operand:DI 1 "reg_or_0_operand" "")
+	  (const_vector:V4HI [(const_int 0) (const_int 0)
+			      (const_int 0) (const_int 0)]))
+         (match_operand:DI 2 "reg_or_0_operand" "")
+	 (const_vector:V4HI [(const_int 0) (const_int 0)
+			     (const_int 0) (const_int 0)])))]
+  ""
+{
+  tilegx_expand_builtin_vector_binop (gen_insn_mnz_v4hi, V4HImode,
+                                      operands[0], V4HImode, operands[1],
+				      operands[2], true);
+  DONE;
+})
+
+(define_insn "insn_mz_v4hi"
+  [(set (match_operand:V4HI 0 "register_operand" "=r")
+	(if_then_else:V4HI
+         (ne:V4HI
+	  (match_operand:V4HI 1 "reg_or_0_operand" "rO")
+	  (const_vector:V4HI [(const_int 0) (const_int 0)
+			      (const_int 0) (const_int 0)]))
+	 (const_vector:V4HI [(const_int 0) (const_int 0)
+			     (const_int 0) (const_int 0)])
+         (match_operand:V4HI 2 "reg_or_0_operand" "rO")))]
+  ""
+  "v2mz\t%0, %r1, %r2"
+  [(set_attr "type" "X01")])
+
+(define_expand "insn_v2mz"
+  [(set (match_operand:DI 0 "register_operand" "")
+	(if_then_else:V4HI
+         (ne:V4HI
+	  (match_operand:DI 1 "reg_or_0_operand" "")
+	  (const_vector:V4HI [(const_int 0) (const_int 0)
+			      (const_int 0) (const_int 0)]))
+	 (const_vector:V4HI [(const_int 0) (const_int 0)
+			      (const_int 0) (const_int 0)])
+         (match_operand:DI 2 "reg_or_0_operand" "")))]
+  ""
+{
+  tilegx_expand_builtin_vector_binop (gen_insn_mz_v4hi, V4HImode,
+                                      operands[0], V4HImode, operands[1],
+				      operands[2], true);
+  DONE;
+})
+
 ;; insn_v1mulu
 (define_insn "vec_widen_umult_lo_v8qi"
   [(set (match_operand:V4HI 0 "register_operand" "=r")
@@ -4561,8 +4660,8 @@
 
 (define_expand "insn_v1mulu"
   [(match_operand:DI 0 "register_operand" "")
-   (match_operand:DI 1 "reg_or_0_operand" "")
-   (match_operand:DI 2 "reg_or_0_operand" "")]
+   (match_operand:DI 1 "register_operand" "")
+   (match_operand:DI 2 "register_operand" "")]
   ""
 {
   tilegx_expand_builtin_vector_binop (gen_vec_widen_umult_lo_v8qi, V4HImode,
@@ -4591,8 +4690,8 @@
 
 (define_expand "insn_v1mulus"
   [(match_operand:DI 0 "register_operand" "")
-   (match_operand:DI 1 "reg_or_0_operand" "")
-   (match_operand:DI 2 "reg_or_0_operand" "")]
+   (match_operand:DI 1 "register_operand" "")
+   (match_operand:DI 2 "register_operand" "")]
   ""
 {
   tilegx_expand_builtin_vector_binop (gen_vec_widen_usmult_lo_v8qi, V4HImode,
@@ -4619,8 +4718,8 @@
 
 (define_expand "insn_v2muls"
   [(match_operand:DI 0 "register_operand" "")
-   (match_operand:DI 1 "reg_or_0_operand" "")
-   (match_operand:DI 2 "reg_or_0_operand" "")]
+   (match_operand:DI 1 "register_operand" "")
+   (match_operand:DI 2 "register_operand" "")]
   ""
 {
   tilegx_expand_builtin_vector_binop (gen_vec_widen_smult_lo_v4qi, V2SImode,
Index: gcc/config/tilegx/tilegx-builtins.h
===================================================================
--- gcc/config/tilegx/tilegx-builtins.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/tilegx/tilegx-builtins.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -193,6 +193,7 @@
   TILEGX_INSN_SHRU,
   TILEGX_INSN_SHRUX,
   TILEGX_INSN_SHUFFLEBYTES,
+  TILEGX_INSN_SHUFFLEBYTES1,
   TILEGX_INSN_ST,
   TILEGX_INSN_ST1,
   TILEGX_INSN_ST2,
Index: gcc/config/tilegx/tilegx.c
===================================================================
--- gcc/config/tilegx/tilegx.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/tilegx/tilegx.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1429,14 +1429,16 @@
     }
   else if (!three_wide_only)
     {
-      rtx imm_op = GEN_INT (val);
-
-      if (satisfies_constraint_J (imm_op)
-	  || satisfies_constraint_K (imm_op)
-	  || satisfies_constraint_N (imm_op)
-	  || satisfies_constraint_P (imm_op))
+      /* Test for the following constraints: J, K, N, P.  We avoid
+	 generating an rtx and using existing predicates because we
+	 can be testing and rejecting a lot of constants, and GEN_INT
+	 is O(N).  */
+      if ((val >= -32768 && val <= 65535)
+	  || ((val == (val & 0xFF) * 0x0101010101010101LL))
+	  || (val == ((trunc_int_for_mode (val, QImode) & 0xFFFF)
+		      * 0x0001000100010001LL)))
 	{
-	  emit_move_insn (dest_reg, imm_op);
+	  emit_move_insn (dest_reg, GEN_INT (val));
 	  return true;
 	}
     }
@@ -2895,6 +2897,7 @@
   { CODE_FOR_lshrdi3,                   NULL }, /* shru */
   { CODE_FOR_lshrsi3,                   NULL }, /* shrux */
   { CODE_FOR_insn_shufflebytes,         NULL }, /* shufflebytes */
+  { CODE_FOR_insn_shufflebytes1,        NULL }, /* shufflebytes1 */
   { CODE_FOR_insn_st,                   NULL }, /* st */
   { CODE_FOR_insn_st1,                  NULL }, /* st1 */
   { CODE_FOR_insn_st2,                  NULL }, /* st2 */
@@ -3223,6 +3226,7 @@
   { "__insn_shrux",              TILEGX_INSN_SHRUX,              true,  "iii"  },
   { "__insn_shruxi",             TILEGX_INSN_SHRUX,              true,  "iii"  },
   { "__insn_shufflebytes",       TILEGX_INSN_SHUFFLEBYTES,       true,  "llll" },
+  { "__insn_shufflebytes1",      TILEGX_INSN_SHUFFLEBYTES1,      true,  "lll"  },
   { "__insn_st",                 TILEGX_INSN_ST,                 false, "vpl"  },
   { "__insn_st1",                TILEGX_INSN_ST1,                false, "vpl"  },
   { "__insn_st2",                TILEGX_INSN_ST2,                false, "vpl"  },
@@ -3995,11 +3999,10 @@
 
 	if (r == NULL_RTX)
 	  {
-	    rtx p = compute_frame_addr (offset, &next_scratch_regno);
-	    r = gen_rtx_REG (Pmode, next_scratch_regno--);
-	    reg_save_addr[which_scratch] = r;
-
-	    emit_insn (gen_rtx_SET (VOIDmode, r, p));
+	    int prev_scratch_regno = next_scratch_regno;
+	    r = compute_frame_addr (offset, &next_scratch_regno);
+	    if (prev_scratch_regno != next_scratch_regno)
+	      reg_save_addr[which_scratch] = r;
 	  }
 	else
 	  {
@@ -4786,13 +4789,8 @@
 int
 tilegx_asm_preferred_eh_data_format (int code ATTRIBUTE_UNUSED, int global)
 {
-  if (flag_pic)
-    {
-      int type = TARGET_32BIT ? DW_EH_PE_sdata4 : DW_EH_PE_sdata8;
-      return (global ? DW_EH_PE_indirect : 0) | DW_EH_PE_pcrel | type;
-    }
-  else
-    return DW_EH_PE_absptr;
+  int type = TARGET_32BIT ? DW_EH_PE_sdata4 : DW_EH_PE_sdata8;
+  return (global ? DW_EH_PE_indirect : 0) | DW_EH_PE_pcrel | type;
 }
 
 
Index: gcc/config/sh/sh.md
===================================================================
--- gcc/config/sh/sh.md	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/sh/sh.md	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -687,9 +687,9 @@
   [(set_attr "type" "mt_group")])
 
 ;; Extract contiguous bits and compare them against zero.
-(define_insn "tstsi_t_zero_extract_eq"
+(define_insn "tst<mode>_t_zero_extract_eq"
   [(set (reg:SI T_REG)
-	(eq:SI (zero_extract:SI (match_operand 0 "logical_operand" "z")
+	(eq:SI (zero_extract:SI (match_operand:QIHISIDI 0 "logical_operand" "z")
 				(match_operand:SI 1 "const_int_operand")
 				(match_operand:SI 2 "const_int_operand"))
 	       (const_int 0)))]
Index: gcc/config/epiphany/epiphany.h
===================================================================
--- gcc/config/epiphany/epiphany.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/epiphany/epiphany.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -895,7 +895,8 @@
    finally an entity that runs in a second mode switching pass to
    resolve FP_MODE_ROUND_UNKNOWN.  */
 #define NUM_MODES_FOR_MODE_SWITCHING \
-  { 2, 2, FP_MODE_NONE, FP_MODE_NONE, FP_MODE_NONE, FP_MODE_NONE, FP_MODE_NONE }
+  { 2, 2, 2, \
+    FP_MODE_NONE, FP_MODE_NONE, FP_MODE_NONE, FP_MODE_NONE, FP_MODE_NONE }
 
 #define MODE_NEEDED(ENTITY, INSN) epiphany_mode_needed((ENTITY), (INSN))
 
@@ -917,11 +918,13 @@
 {
   EPIPHANY_MSW_ENTITY_AND,
   EPIPHANY_MSW_ENTITY_OR,
+  EPIPHANY_MSW_ENTITY_CONFIG, /* 1 means config is known or saved.  */
   EPIPHANY_MSW_ENTITY_NEAREST,
   EPIPHANY_MSW_ENTITY_TRUNC,
   EPIPHANY_MSW_ENTITY_ROUND_UNKNOWN,
   EPIPHANY_MSW_ENTITY_ROUND_KNOWN,
-  EPIPHANY_MSW_ENTITY_FPU_OMNIBUS
+  EPIPHANY_MSW_ENTITY_FPU_OMNIBUS,
+  EPIPHANY_MSW_ENTITY_NUM
 };
 
 extern int epiphany_normal_fp_rounding;
Index: gcc/config/epiphany/epiphany.md
===================================================================
--- gcc/config/epiphany/epiphany.md	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/epiphany/epiphany.md	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1432,6 +1432,16 @@
   [(set_attr "type" "flow")
    (set_attr "length" "20,4")])
 
+(define_insn_and_split "save_config"
+  [(set (match_operand:SI 0 "gpr_operand" "=r") (reg:SI CONFIG_REGNUM))
+   (use (reg:SI FP_NEAREST_REGNUM))
+   (use (reg:SI FP_TRUNCATE_REGNUM))
+   (use (reg:SI FP_ANYFP_REGNUM))]
+  ""
+  "#"
+  "reload_completed"
+  [(set (match_dup 0) (reg:SI CONFIG_REGNUM))])
+
 (define_insn_and_split "set_fp_mode"
   [(set (reg:SI FP_NEAREST_REGNUM)
 	(match_operand:SI 0 "set_fp_mode_operand" "rCfm"))
Index: gcc/config/epiphany/epiphany.c
===================================================================
--- gcc/config/epiphany/epiphany.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/epiphany/epiphany.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -181,6 +181,8 @@
     = { &pass_split_all_insns.pass, "mode_sw",
 	1, PASS_POS_INSERT_AFTER
       };
+  static const int num_modes[] = NUM_MODES_FOR_MODE_SWITCHING;
+#define N_ENTITIES ARRAY_SIZE (num_modes)
 
   epiphany_init_reg_tables ();
 
@@ -196,6 +198,8 @@
   register_pass (&mode_sw3_info);
   register_pass (&insert_use_info);
   register_pass (&mode_sw2_info);
+  /* Verify that NUM_MODES_FOR_MODE_SWITCHING has one value per entity.  */
+  gcc_assert (N_ENTITIES == EPIPHANY_MSW_ENTITY_NUM);
 
 #if 1 /* As long as peep2_rescan is not implemented,
          (see http://gcc.gnu.org/ml/gcc-patches/2011-10/msg02819.html,)
@@ -1712,18 +1716,28 @@
      register save.  */
   if (current_frame_info.last_slot >= 0)
     {
+      rtx ip, mem2, insn, note;
+
       gcc_assert (current_frame_info.last_slot != GPR_FP
 		  || (!current_frame_info.need_fp
 		      && current_frame_info.first_slot < 0));
       off = GEN_INT (-current_frame_info.last_slot_offset);
       mem = gen_frame_mem (BLKmode,
 			   gen_rtx_PLUS (Pmode, stack_pointer_rtx, off));
-      reg = gen_rtx_REG (Pmode, GPR_IP);
-      frame_move_insn (reg, off);
-      frame_insn (gen_stack_adjust_str
-		   (gen_frame_mem (word_mode, stack_pointer_rtx),
-		    gen_rtx_REG (word_mode, current_frame_info.last_slot),
-		    reg, mem));
+      ip = gen_rtx_REG (Pmode, GPR_IP);
+      frame_move_insn (ip, off);
+      reg = gen_rtx_REG (word_mode, current_frame_info.last_slot),
+      mem2 = gen_frame_mem (word_mode, stack_pointer_rtx),
+      insn = frame_insn (gen_stack_adjust_str (mem2, reg, ip, mem));
+      /* Instruction scheduling can separate the instruction setting IP from
+	 INSN so that dwarf2out_frame_debug_expr becomes confused what the
+	 temporary register is.  Example: _gcov.o  */
+      note = gen_rtx_SET (VOIDmode, stack_pointer_rtx,
+			  gen_rtx_PLUS (Pmode, stack_pointer_rtx, off));
+      note = gen_rtx_PARALLEL (VOIDmode,
+			       gen_rtvec (2, gen_rtx_SET (VOIDmode, mem2, reg),
+					  note));
+      add_reg_note (insn, REG_FRAME_RELATED_EXPR, note);
     }
   /* If there is only one or no register to save, yet we have a large frame,
      use an add.  */
@@ -1741,44 +1755,6 @@
 	}
       frame_insn (gen_stack_adjust_add (off, mem));
     }
-
-  /* Mode switching uses get_hard_reg_initial_val after
-      emit_initial_value_sets, so we have to fix this up now.  */
-  save_config = has_hard_reg_initial_val (SImode, CONFIG_REGNUM);
-  if (save_config)
-    {
-      if (REG_P (save_config))
-	{
-	  if (REGNO (save_config) >= FIRST_PSEUDO_REGISTER)
-	    gcc_assert (!df_regs_ever_live_p (REGNO (save_config)));
-	  else
-	    frame_move_insn (save_config,
-			     get_hard_reg_initial_reg (save_config));
-	}
-      else
-	{
-	  rtx save_dst = save_config;
-
-	  reg = gen_rtx_REG (SImode, GPR_IP);
-	  gcc_assert (MEM_P (save_dst));
-	  if (!memory_operand (save_dst, SImode))
-	    {
-	      rtx addr = XEXP (save_dst, 0);
-	      rtx reg2 = gen_rtx_REG (SImode, GPR_16);
-
-	      gcc_assert (GET_CODE (addr) == PLUS);
-	      gcc_assert (XEXP (addr, 0) == hard_frame_pointer_rtx
-			  || XEXP (addr, 0) == stack_pointer_rtx);
-	      emit_move_insn (reg2, XEXP (addr, 1));
-	      save_dst
-		= replace_equiv_address (save_dst,
-					 gen_rtx_PLUS (Pmode, XEXP (addr, 0),
-						       reg2));
-	    }
-	  emit_move_insn (reg, get_hard_reg_initial_reg (save_config));
-	  emit_move_insn (save_dst, reg);
-	}
-    }
 }
 
 void
@@ -2239,6 +2215,7 @@
     {
     case EPIPHANY_MSW_ENTITY_AND:
     case EPIPHANY_MSW_ENTITY_OR:
+    case EPIPHANY_MSW_ENTITY_CONFIG:
       return true;
     case EPIPHANY_MSW_ENTITY_NEAREST:
     case EPIPHANY_MSW_ENTITY_TRUNC:
@@ -2257,7 +2234,8 @@
 int
 epiphany_mode_priority_to_mode (int entity, unsigned priority)
 {
-  if (entity == EPIPHANY_MSW_ENTITY_AND || entity == EPIPHANY_MSW_ENTITY_OR)
+  if (entity == EPIPHANY_MSW_ENTITY_AND || entity == EPIPHANY_MSW_ENTITY_OR
+      || entity== EPIPHANY_MSW_ENTITY_CONFIG)
     return priority;
   if (priority > 3)
     switch (priority)
@@ -2309,7 +2287,8 @@
   if (recog_memoized (insn) < 0)
     {
       if (entity == EPIPHANY_MSW_ENTITY_AND
-	  || entity == EPIPHANY_MSW_ENTITY_OR)
+	  || entity == EPIPHANY_MSW_ENTITY_OR
+	  || entity == EPIPHANY_MSW_ENTITY_CONFIG)
 	return 2;
       return FP_MODE_NONE;
     }
@@ -2318,9 +2297,24 @@
   switch (entity)
   {
   case EPIPHANY_MSW_ENTITY_AND:
-    return mode != FP_MODE_INT ? 1 : 2;
+    return mode != FP_MODE_NONE && mode != FP_MODE_INT ? 1 : 2;
   case EPIPHANY_MSW_ENTITY_OR:
     return mode == FP_MODE_INT ? 1 : 2;
+  case EPIPHANY_MSW_ENTITY_CONFIG:
+    /* We must know/save config before we set it to something else.
+       Where we need the original value, we are fine with having it
+       just unchanged from the function start.
+       Because of the nature of the mode switching optimization,
+       a restore will be dominated by a clobber.  */
+    if (mode != FP_MODE_NONE && mode != FP_MODE_CALLER)
+      return 1;
+    /* A cpecial case are abnormal edges, which are deemed to clobber
+       the mode as well.  We need to pin this effect on a actually
+       dominating insn, and one where the frame can be accessed, too, in
+       case the pseudo used to save CONFIG doesn't get a hard register.  */
+    if (CALL_P (insn) && find_reg_note (insn, REG_EH_REGION, NULL_RTX))
+      return 1;
+    return 2;
   case EPIPHANY_MSW_ENTITY_ROUND_KNOWN:
     if (recog_memoized (insn) == CODE_FOR_set_fp_mode)
       mode = (enum attr_fp_mode) epiphany_mode_after (entity, mode, insn);
@@ -2364,6 +2358,10 @@
       if (exit)
 	return normal_mode == FP_MODE_INT ? 1 : 2;
       return 0;
+    case EPIPHANY_MSW_ENTITY_CONFIG:
+      if (exit)
+	return 2;
+      return normal_mode == FP_MODE_CALLER ? 0 : 1;
     case EPIPHANY_MSW_ENTITY_ROUND_UNKNOWN:
       if (normal_mode == FP_MODE_ROUND_NEAREST
 	  || normal_mode == FP_MODE_ROUND_TRUNC)
@@ -2390,6 +2388,18 @@
 	return 0;
       return last_mode;
     }
+  /* If there is an abnormal edge, we don't want the config register to
+     be 'saved' again at the destination.
+     The frame pointer adjustment is inside a PARALLEL because of the
+     flags clobber.  */
+  if (entity == EPIPHANY_MSW_ENTITY_CONFIG && NONJUMP_INSN_P (insn)
+      && GET_CODE (PATTERN (insn)) == PARALLEL
+      && GET_CODE (XVECEXP (PATTERN (insn), 0, 0)) == SET
+      && SET_DEST (XVECEXP (PATTERN (insn), 0, 0)) == frame_pointer_rtx)
+    {
+      gcc_assert (cfun->has_nonlocal_label);
+      return 1;
+    }
   if (recog_memoized (insn) < 0)
     return last_mode;
   if (get_attr_fp_mode (insn) == FP_MODE_ROUND_UNKNOWN
@@ -2443,12 +2453,25 @@
 	emit_move_insn (MACHINE_FUNCTION (cfun)->or_mask, GEN_INT(0x00080000));
       return;
     }
+  else if (entity == EPIPHANY_MSW_ENTITY_CONFIG)
+    {
+      /* Mode switching optimization is done after emit_initial_value_sets,
+	 so we have to take care of CONFIG_REGNUM here.  */
+      gcc_assert (mode >= 0 && mode <= 2);
+      rtx save = get_hard_reg_initial_val (SImode, CONFIG_REGNUM);
+      if (mode == 1)
+	emit_insn (gen_save_config (save));
+      return;
+    }
   fp_mode = (enum attr_fp_mode) mode;
   src = NULL_RTX;
 
   switch (fp_mode)
     {
       case FP_MODE_CALLER:
+	/* The EPIPHANY_MSW_ENTITY_CONFIG processing must come later
+	   so that the config save gets inserted before the first use.  */
+	gcc_assert (entity > EPIPHANY_MSW_ENTITY_CONFIG);
 	src = get_hard_reg_initial_val (SImode, CONFIG_REGNUM);
 	mask = MACHINE_FUNCTION (cfun)->and_mask;
 	break;
Index: gcc/config/rtems.opt
===================================================================
--- gcc/config/rtems.opt	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/rtems.opt	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -23,6 +23,9 @@
 
 ; Please try to keep this file in ASCII collating order.
 
+pthread
+Ignore
+
 qnolinkcmds
 Driver
 
Index: gcc/config/aarch64/aarch64-simd.md
===================================================================
--- gcc/config/aarch64/aarch64-simd.md	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/aarch64/aarch64-simd.md	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1586,6 +1586,7 @@
   "TARGET_SIMD"
 {
   int inverse = 0;
+  int use_zero_form = 0;
   int swap_bsl_operands = 0;
   rtx mask = gen_reg_rtx (<V_cmp_result>mode);
   rtx tmp = gen_reg_rtx (<V_cmp_result>mode);
@@ -1596,12 +1597,16 @@
   switch (GET_CODE (operands[3]))
     {
     case GE:
+    case GT:
     case LE:
+    case LT:
     case EQ:
-      if (!REG_P (operands[5])
-	  && (operands[5] != CONST0_RTX (<MODE>mode)))
-	operands[5] = force_reg (<MODE>mode, operands[5]);
-      break;
+      if (operands[5] == CONST0_RTX (<MODE>mode))
+	{
+	  use_zero_form = 1;
+	  break;
+	}
+      /* Fall through.  */
     default:
       if (!REG_P (operands[5]))
 	operands[5] = force_reg (<MODE>mode, operands[5]);
@@ -1652,7 +1657,26 @@
 	 a GT b -> a GT b
 	 a LE b -> b GE a
 	 a LT b -> b GT a
-	 a EQ b -> a EQ b  */
+	 a EQ b -> a EQ b
+	 Note that there also exist direct comparison against 0 forms,
+	 so catch those as a special case.  */
+      if (use_zero_form)
+	{
+	  inverse = 0;
+	  switch (GET_CODE (operands[3]))
+	    {
+	    case LT:
+	      base_comparison = gen_aarch64_cmlt<mode>;
+	      break;
+	    case LE:
+	      base_comparison = gen_aarch64_cmle<mode>;
+	      break;
+	    default:
+	      /* Do nothing, other zero form cases already have the correct
+		 base_comparison.  */
+	      break;
+	    }
+	}
 
       if (!inverse)
 	emit_insn (base_comparison (mask, operands[4], operands[5]));
Index: gcc/config/aarch64/arm_neon.h
===================================================================
--- gcc/config/aarch64/arm_neon.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/aarch64/arm_neon.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -8390,10 +8390,10 @@
 vld1_dup_f32 (const float32_t * a)
 {
   float32x2_t result;
-  __asm__ ("ld1r {%0.2s},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.2s}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8401,10 +8401,10 @@
 vld1_dup_f64 (const float64_t * a)
 {
   float64x1_t result;
-  __asm__ ("ld1 {%0.1d},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.1d}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8412,10 +8412,10 @@
 vld1_dup_p8 (const poly8_t * a)
 {
   poly8x8_t result;
-  __asm__ ("ld1r {%0.8b},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.8b}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8423,10 +8423,10 @@
 vld1_dup_p16 (const poly16_t * a)
 {
   poly16x4_t result;
-  __asm__ ("ld1r {%0.4h},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.4h}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8434,10 +8434,10 @@
 vld1_dup_s8 (const int8_t * a)
 {
   int8x8_t result;
-  __asm__ ("ld1r {%0.8b},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.8b}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8445,10 +8445,10 @@
 vld1_dup_s16 (const int16_t * a)
 {
   int16x4_t result;
-  __asm__ ("ld1r {%0.4h},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.4h}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8456,10 +8456,10 @@
 vld1_dup_s32 (const int32_t * a)
 {
   int32x2_t result;
-  __asm__ ("ld1r {%0.2s},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.2s}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8467,10 +8467,10 @@
 vld1_dup_s64 (const int64_t * a)
 {
   int64x1_t result;
-  __asm__ ("ld1 {%0.1d},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.1d}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8478,10 +8478,10 @@
 vld1_dup_u8 (const uint8_t * a)
 {
   uint8x8_t result;
-  __asm__ ("ld1r {%0.8b},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.8b}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8489,10 +8489,10 @@
 vld1_dup_u16 (const uint16_t * a)
 {
   uint16x4_t result;
-  __asm__ ("ld1r {%0.4h},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.4h}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8500,10 +8500,10 @@
 vld1_dup_u32 (const uint32_t * a)
 {
   uint32x2_t result;
-  __asm__ ("ld1r {%0.2s},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.2s}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8511,10 +8511,10 @@
 vld1_dup_u64 (const uint64_t * a)
 {
   uint64x1_t result;
-  __asm__ ("ld1 {%0.1d},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.1d}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8522,10 +8522,10 @@
 vld1_f32 (const float32_t * a)
 {
   float32x2_t result;
-  __asm__ ("ld1 {%0.2s},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.2s}, %1"
+	   : "=w"(result)
+	   : "Utv"(({const float32x2_t *_a = (float32x2_t *) a; *_a;}))
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8533,10 +8533,10 @@
 vld1_f64 (const float64_t * a)
 {
   float64x1_t result;
-  __asm__ ("ld1 {%0.1d},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.1d}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8546,9 +8546,9 @@
        float32x2_t b_ = (b);                                            \
        const float32_t * a_ = (a);                                      \
        float32x2_t result;                                              \
-       __asm__ ("ld1 {%0.s}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.s}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i" (c), "Utv"(*a_), "0"(b_)                          \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -8559,9 +8559,9 @@
        float64x1_t b_ = (b);                                            \
        const float64_t * a_ = (a);                                      \
        float64x1_t result;                                              \
-       __asm__ ("ld1 {%0.d}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.d}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i" (c), "Utv"(*a_), "0"(b_)                          \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -8572,9 +8572,9 @@
        poly8x8_t b_ = (b);                                              \
        const poly8_t * a_ = (a);                                        \
        poly8x8_t result;                                                \
-       __asm__ ("ld1 {%0.b}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.b}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i" (c), "Utv"(*a_), "0"(b_)                          \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -8585,9 +8585,9 @@
        poly16x4_t b_ = (b);                                             \
        const poly16_t * a_ = (a);                                       \
        poly16x4_t result;                                               \
-       __asm__ ("ld1 {%0.h}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.h}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i" (c), "Utv"(*a_), "0"(b_)                          \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -8598,9 +8598,9 @@
        int8x8_t b_ = (b);                                               \
        const int8_t * a_ = (a);                                         \
        int8x8_t result;                                                 \
-       __asm__ ("ld1 {%0.b}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.b}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i" (c), "Utv"(*a_), "0"(b_)                          \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -8611,9 +8611,9 @@
        int16x4_t b_ = (b);                                              \
        const int16_t * a_ = (a);                                        \
        int16x4_t result;                                                \
-       __asm__ ("ld1 {%0.h}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.h}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i" (c), "Utv"(*a_), "0"(b_)                          \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -8624,9 +8624,9 @@
        int32x2_t b_ = (b);                                              \
        const int32_t * a_ = (a);                                        \
        int32x2_t result;                                                \
-       __asm__ ("ld1 {%0.s}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.s}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i" (c), "Utv"(*a_), "0"(b_)                          \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -8637,9 +8637,9 @@
        int64x1_t b_ = (b);                                              \
        const int64_t * a_ = (a);                                        \
        int64x1_t result;                                                \
-       __asm__ ("ld1 {%0.d}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.d}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i" (c), "Utv"(*a_), "0"(b_)                          \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -8650,9 +8650,9 @@
        uint8x8_t b_ = (b);                                              \
        const uint8_t * a_ = (a);                                        \
        uint8x8_t result;                                                \
-       __asm__ ("ld1 {%0.b}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.b}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i" (c), "Utv"(*a_), "0"(b_)                          \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -8663,9 +8663,9 @@
        uint16x4_t b_ = (b);                                             \
        const uint16_t * a_ = (a);                                       \
        uint16x4_t result;                                               \
-       __asm__ ("ld1 {%0.h}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.h}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i" (c), "Utv"(*a_), "0"(b_)                          \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -8676,9 +8676,9 @@
        uint32x2_t b_ = (b);                                             \
        const uint32_t * a_ = (a);                                       \
        uint32x2_t result;                                               \
-       __asm__ ("ld1 {%0.s}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.s}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i" (c), "Utv"(*a_), "0"(b_)                          \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -8689,9 +8689,9 @@
        uint64x1_t b_ = (b);                                             \
        const uint64_t * a_ = (a);                                       \
        uint64x1_t result;                                               \
-       __asm__ ("ld1 {%0.d}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.d}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i" (c), "Utv"(*a_), "0"(b_)                          \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -8700,10 +8700,10 @@
 vld1_p8 (const poly8_t * a)
 {
   poly8x8_t result;
-  __asm__ ("ld1 {%0.8b}, [%1]"
-           : "=w"(result)
-           : "r"(a)
-           : /* No clobbers */);
+  __asm__ ("ld1 {%0.8b}, %1"
+	   : "=w"(result)
+	   : "Utv"(({const poly8x8_t *_a = (poly8x8_t *) a; *_a;}))
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8711,10 +8711,10 @@
 vld1_p16 (const poly16_t * a)
 {
   poly16x4_t result;
-  __asm__ ("ld1 {%0.4h}, [%1]"
-           : "=w"(result)
-           : "r"(a)
-           : /* No clobbers */);
+  __asm__ ("ld1 {%0.4h}, %1"
+	   : "=w"(result)
+	   : "Utv"(({const poly16x4_t *_a = (poly16x4_t *) a; *_a;}))
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8722,10 +8722,10 @@
 vld1_s8 (const int8_t * a)
 {
   int8x8_t result;
-  __asm__ ("ld1 {%0.8b},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.8b}, %1"
+	   : "=w"(result)
+	   : "Utv"(({const int8x8_t *_a = (int8x8_t *) a; *_a;}))
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8733,10 +8733,10 @@
 vld1_s16 (const int16_t * a)
 {
   int16x4_t result;
-  __asm__ ("ld1 {%0.4h},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.4h}, %1"
+	   : "=w"(result)
+	   : "Utv"(({const int16x4_t *_a = (int16x4_t *) a; *_a;}))
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8744,10 +8744,10 @@
 vld1_s32 (const int32_t * a)
 {
   int32x2_t result;
-  __asm__ ("ld1 {%0.2s},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.2s}, %1"
+	   : "=w"(result)
+	   : "Utv"(({const int32x2_t *_a = (int32x2_t *) a; *_a;}))
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8755,10 +8755,10 @@
 vld1_s64 (const int64_t * a)
 {
   int64x1_t result;
-  __asm__ ("ld1 {%0.1d},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.1d}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8766,10 +8766,10 @@
 vld1_u8 (const uint8_t * a)
 {
   uint8x8_t result;
-  __asm__ ("ld1 {%0.8b},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.8b}, %1"
+	   : "=w"(result)
+	   : "Utv"(({const uint8x8_t *_a = (uint8x8_t *) a; *_a;}))
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8777,10 +8777,10 @@
 vld1_u16 (const uint16_t * a)
 {
   uint16x4_t result;
-  __asm__ ("ld1 {%0.4h},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.4h}, %1"
+	   : "=w"(result)
+	   : "Utv"(({const uint16x4_t *_a = (uint16x4_t *) a; *_a;}))
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8788,10 +8788,10 @@
 vld1_u32 (const uint32_t * a)
 {
   uint32x2_t result;
-  __asm__ ("ld1 {%0.2s},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.2s}, %1"
+	   : "=w"(result)
+	   : "Utv"(({const uint32x2_t *_a = (uint32x2_t *) a; *_a;}))
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8799,10 +8799,10 @@
 vld1_u64 (const uint64_t * a)
 {
   uint64x1_t result;
-  __asm__ ("ld1 {%0.1d},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.1d}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8810,10 +8810,10 @@
 vld1q_dup_f32 (const float32_t * a)
 {
   float32x4_t result;
-  __asm__ ("ld1r {%0.4s},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.4s}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8821,10 +8821,10 @@
 vld1q_dup_f64 (const float64_t * a)
 {
   float64x2_t result;
-  __asm__ ("ld1r {%0.2d},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.2d}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8832,10 +8832,10 @@
 vld1q_dup_p8 (const poly8_t * a)
 {
   poly8x16_t result;
-  __asm__ ("ld1r {%0.16b},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.16b}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8843,10 +8843,10 @@
 vld1q_dup_p16 (const poly16_t * a)
 {
   poly16x8_t result;
-  __asm__ ("ld1r {%0.8h},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.8h}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8854,10 +8854,10 @@
 vld1q_dup_s8 (const int8_t * a)
 {
   int8x16_t result;
-  __asm__ ("ld1r {%0.16b},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.16b}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8865,10 +8865,10 @@
 vld1q_dup_s16 (const int16_t * a)
 {
   int16x8_t result;
-  __asm__ ("ld1r {%0.8h},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.8h}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8876,10 +8876,10 @@
 vld1q_dup_s32 (const int32_t * a)
 {
   int32x4_t result;
-  __asm__ ("ld1r {%0.4s},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.4s}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8887,10 +8887,10 @@
 vld1q_dup_s64 (const int64_t * a)
 {
   int64x2_t result;
-  __asm__ ("ld1r {%0.2d},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.2d}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8898,10 +8898,10 @@
 vld1q_dup_u8 (const uint8_t * a)
 {
   uint8x16_t result;
-  __asm__ ("ld1r {%0.16b},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.16b}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8909,10 +8909,10 @@
 vld1q_dup_u16 (const uint16_t * a)
 {
   uint16x8_t result;
-  __asm__ ("ld1r {%0.8h},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.8h}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8920,10 +8920,10 @@
 vld1q_dup_u32 (const uint32_t * a)
 {
   uint32x4_t result;
-  __asm__ ("ld1r {%0.4s},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.4s}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8931,10 +8931,10 @@
 vld1q_dup_u64 (const uint64_t * a)
 {
   uint64x2_t result;
-  __asm__ ("ld1r {%0.2d},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1r {%0.2d}, %1"
+	   : "=w"(result)
+	   : "Utv"(*a)
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8942,10 +8942,10 @@
 vld1q_f32 (const float32_t * a)
 {
   float32x4_t result;
-  __asm__ ("ld1 {%0.4s},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.4s}, %1"
+	   : "=w"(result)
+	   : "Utv"(({const float32x4_t *_a = (float32x4_t *) a; *_a;}))
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8953,10 +8953,10 @@
 vld1q_f64 (const float64_t * a)
 {
   float64x2_t result;
-  __asm__ ("ld1 {%0.2d},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.2d}, %1"
+	   : "=w"(result)
+	   : "Utv"(({const float64x2_t *_a = (float64x2_t *) a; *_a;}))
+	   : /* No clobbers */);
   return result;
 }
 
@@ -8966,9 +8966,9 @@
        float32x4_t b_ = (b);                                            \
        const float32_t * a_ = (a);                                      \
        float32x4_t result;                                              \
-       __asm__ ("ld1 {%0.s}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.s}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i"(c), "Utv"(*a_), "0"(b_)                           \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -8979,9 +8979,9 @@
        float64x2_t b_ = (b);                                            \
        const float64_t * a_ = (a);                                      \
        float64x2_t result;                                              \
-       __asm__ ("ld1 {%0.d}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.d}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i"(c), "Utv"(*a_), "0"(b_)                           \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -8992,9 +8992,9 @@
        poly8x16_t b_ = (b);                                             \
        const poly8_t * a_ = (a);                                        \
        poly8x16_t result;                                               \
-       __asm__ ("ld1 {%0.b}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.b}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i"(c), "Utv"(*a_), "0"(b_)                           \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -9005,9 +9005,9 @@
        poly16x8_t b_ = (b);                                             \
        const poly16_t * a_ = (a);                                       \
        poly16x8_t result;                                               \
-       __asm__ ("ld1 {%0.h}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.h}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i"(c), "Utv"(*a_), "0"(b_)                           \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -9018,9 +9018,9 @@
        int8x16_t b_ = (b);                                              \
        const int8_t * a_ = (a);                                         \
        int8x16_t result;                                                \
-       __asm__ ("ld1 {%0.b}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.b}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i"(c), "Utv"(*a_), "0"(b_)                           \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -9031,9 +9031,9 @@
        int16x8_t b_ = (b);                                              \
        const int16_t * a_ = (a);                                        \
        int16x8_t result;                                                \
-       __asm__ ("ld1 {%0.h}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.h}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i"(c), "Utv"(*a_), "0"(b_)                           \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -9044,9 +9044,9 @@
        int32x4_t b_ = (b);                                              \
        const int32_t * a_ = (a);                                        \
        int32x4_t result;                                                \
-       __asm__ ("ld1 {%0.s}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.s}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i"(c), "Utv"(*a_), "0"(b_)                           \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -9057,9 +9057,9 @@
        int64x2_t b_ = (b);                                              \
        const int64_t * a_ = (a);                                        \
        int64x2_t result;                                                \
-       __asm__ ("ld1 {%0.d}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.d}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i"(c), "Utv"(*a_), "0"(b_)                           \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -9070,9 +9070,9 @@
        uint8x16_t b_ = (b);                                             \
        const uint8_t * a_ = (a);                                        \
        uint8x16_t result;                                               \
-       __asm__ ("ld1 {%0.b}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.b}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i"(c), "Utv"(*a_), "0"(b_)                           \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -9083,9 +9083,9 @@
        uint16x8_t b_ = (b);                                             \
        const uint16_t * a_ = (a);                                       \
        uint16x8_t result;                                               \
-       __asm__ ("ld1 {%0.h}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.h}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i"(c), "Utv"(*a_), "0"(b_)                           \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -9096,9 +9096,9 @@
        uint32x4_t b_ = (b);                                             \
        const uint32_t * a_ = (a);                                       \
        uint32x4_t result;                                               \
-       __asm__ ("ld1 {%0.s}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.s}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i"(c), "Utv"(*a_), "0"(b_)                           \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -9109,9 +9109,9 @@
        uint64x2_t b_ = (b);                                             \
        const uint64_t * a_ = (a);                                       \
        uint64x2_t result;                                               \
-       __asm__ ("ld1 {%0.d}[%3],[%1]"                                   \
+       __asm__ ("ld1 {%0.d}[%1], %2"                                    \
                 : "=w"(result)                                          \
-                : "r"(a_), "0"(b_), "i"(c)                              \
+                : "i"(c), "Utv"(*a_), "0"(b_)                           \
                 : /* No clobbers */);                                   \
        result;                                                          \
      })
@@ -9120,10 +9120,10 @@
 vld1q_p8 (const poly8_t * a)
 {
   poly8x16_t result;
-  __asm__ ("ld1 {%0.16b},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.16b}, %1"
+	   : "=w"(result)
+	   : "Utv"(({const poly8x16_t *_a = (poly8x16_t *) a; *_a;}))
+	   : /* No clobbers */);
   return result;
 }
 
@@ -9131,10 +9131,10 @@
 vld1q_p16 (const poly16_t * a)
 {
   poly16x8_t result;
-  __asm__ ("ld1 {%0.8h},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.16b}, %1"
+	   : "=w"(result)
+	   : "Utv"(({const poly16x8_t *_a = (poly16x8_t *) a; *_a;}))
+	   : /* No clobbers */);
   return result;
 }
 
@@ -9142,10 +9142,10 @@
 vld1q_s8 (const int8_t * a)
 {
   int8x16_t result;
-  __asm__ ("ld1 {%0.16b},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.16b}, %1"
+	   : "=w"(result)
+	   : "Utv"(({const int8x16_t *_a = (int8x16_t *) a; *_a;}))
+	   : /* No clobbers */);
   return result;
 }
 
@@ -9153,10 +9153,10 @@
 vld1q_s16 (const int16_t * a)
 {
   int16x8_t result;
-  __asm__ ("ld1 {%0.8h},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.8h}, %1"
+	   : "=w"(result)
+	   : "Utv"(({const int16x8_t *_a = (int16x8_t *) a; *_a;}))
+	   : /* No clobbers */);
   return result;
 }
 
@@ -9164,10 +9164,10 @@
 vld1q_s32 (const int32_t * a)
 {
   int32x4_t result;
-  __asm__ ("ld1 {%0.4s},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.4s}, %1"
+	   : "=w"(result)
+	   : "Utv"(({const int32x4_t *_a = (int32x4_t *) a; *_a;}))
+	   : /* No clobbers */);
   return result;
 }
 
@@ -9175,10 +9175,10 @@
 vld1q_s64 (const int64_t * a)
 {
   int64x2_t result;
-  __asm__ ("ld1 {%0.2d},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.2d}, %1"
+	   : "=w"(result)
+	   : "Utv"(({const int64x2_t *_a = (int64x2_t *) a; *_a;}))
+	   : /* No clobbers */);
   return result;
 }
 
@@ -9186,10 +9186,10 @@
 vld1q_u8 (const uint8_t * a)
 {
   uint8x16_t result;
-  __asm__ ("ld1 {%0.16b},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.16b}, %1"
+	   : "=w"(result)
+	   : "Utv"(({const uint8x16_t *_a = (uint8x16_t *) a; *_a;}))
+	   : /* No clobbers */);
   return result;
 }
 
@@ -9197,10 +9197,10 @@
 vld1q_u16 (const uint16_t * a)
 {
   uint16x8_t result;
-  __asm__ ("ld1 {%0.8h},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.8h}, %1"
+	   : "=w"(result)
+	   : "Utv"(({const uint16x8_t *_a = (uint16x8_t *) a; *_a;}))
+	   : /* No clobbers */);
   return result;
 }
 
@@ -9208,10 +9208,10 @@
 vld1q_u32 (const uint32_t * a)
 {
   uint32x4_t result;
-  __asm__ ("ld1 {%0.4s},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.4s}, %1"
+	   : "=w"(result)
+	   : "Utv"(({const uint32x4_t *_a = (uint32x4_t *) a; *_a;}))
+	   : /* No clobbers */);
   return result;
 }
 
@@ -9219,10 +9219,10 @@
 vld1q_u64 (const uint64_t * a)
 {
   uint64x2_t result;
-  __asm__ ("ld1 {%0.2d},[%1]"
-           : "=w"(result)
-           : "r"(a)
-           : "memory");
+  __asm__ ("ld1 {%0.2d}, %1"
+	   : "=w"(result)
+	   : "Utv"(({const uint64x2_t *_a = (uint64x2_t *) a; *_a;}))
+	   : /* No clobbers */);
   return result;
 }
 
Index: gcc/config/aarch64/aarch64.md
===================================================================
--- gcc/config/aarch64/aarch64.md	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/aarch64/aarch64.md	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -844,8 +844,8 @@
 	(match_operand:GPI 2 "const_int_operand" "n"))]
   "INTVAL (operands[1]) < GET_MODE_BITSIZE (<MODE>mode)
    && INTVAL (operands[1]) % 16 == 0
-   && INTVAL (operands[2]) <= 0xffff"
-  "movk\\t%<w>0, %2, lsl %1"
+   && UINTVAL (operands[2]) <= 0xffff"
+  "movk\\t%<w>0, %X2, lsl %1"
   [(set_attr "v8type" "movk")
    (set_attr "mode" "<MODE>")]
 )
Index: gcc/config/aarch64/aarch64.c
===================================================================
--- gcc/config/aarch64/aarch64.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/aarch64/aarch64.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -2926,9 +2926,10 @@
     case CONST:
     case SYMBOL_REF:
     case LABEL_REF:
-      /* load literal: pc-relative constant pool entry.  */
+      /* load literal: pc-relative constant pool entry.  Only supported
+         for SI mode or larger.  */
       info->type = ADDRESS_SYMBOLIC;
-      if (outer_code != PARALLEL)
+      if (outer_code != PARALLEL && GET_MODE_SIZE (mode) >= 4)
 	{
 	  rtx sym, addend;
 
@@ -3365,6 +3366,16 @@
 			       REGNO (x) - V0_REGNUM + (code - 'S'));
       break;
 
+    case 'X':
+      /* Print integer constant in hex.  */
+      if (GET_CODE (x) != CONST_INT)
+	{
+	  output_operand_lossage ("invalid operand for '%%%c'", code);
+	  return;
+	}
+      asm_fprintf (f, "0x%x", UINTVAL (x));
+      break;
+
     case 'w':
     case 'x':
       /* Print a general register name or the zero register (32-bit or
@@ -3870,14 +3881,21 @@
     }
   else
     {
-      /* If we decided that we didn't need a frame pointer but then used
-	 LR in the function, then we do need a frame pointer after all, so
-	 prevent this elimination to ensure a frame pointer is used.  */
+      /* If we decided that we didn't need a leaf frame pointer but then used
+	 LR in the function, then we'll want a frame pointer after all, so
+	 prevent this elimination to ensure a frame pointer is used.
 
+	 NOTE: the original value of flag_omit_frame_pointer gets trashed
+	 IFF flag_omit_leaf_frame_pointer is true, so we check the value
+	 of faked_omit_frame_pointer here (which is true when we always
+	 wish to keep non-leaf frame pointers but only wish to keep leaf frame
+	 pointers when LR is clobbered).  */
       if (from == FRAME_POINTER_REGNUM && to == STACK_POINTER_REGNUM
-	  && df_regs_ever_live_p (LR_REGNUM))
+	  && df_regs_ever_live_p (LR_REGNUM)
+	  && faked_omit_frame_pointer)
 	return false;
     }
+
   return true;
 }
 
@@ -7049,12 +7067,30 @@
 }
 
 static void
+aarch64_print_extension (void)
+{
+  const struct aarch64_option_extension *opt = NULL;
+
+  for (opt = all_extensions; opt->name != NULL; opt++)
+    if ((aarch64_isa_flags & opt->flags_on) == opt->flags_on)
+      asm_fprintf (asm_out_file, "+%s", opt->name);
+
+  asm_fprintf (asm_out_file, "\n");
+}
+
+static void
 aarch64_start_file (void)
 {
   if (selected_arch)
-    asm_fprintf (asm_out_file, "\t.arch %s\n", selected_arch->name);
+    {
+      asm_fprintf (asm_out_file, "\t.arch %s", selected_arch->name);
+      aarch64_print_extension ();
+    }
   else if (selected_cpu)
-    asm_fprintf (asm_out_file, "\t.cpu %s\n", selected_cpu->name);
+    {
+      asm_fprintf (asm_out_file, "\t.cpu %s", selected_cpu->name);
+      aarch64_print_extension ();
+    }
   default_file_start();
 }
 
Index: gcc/config/rs6000/rs6000.c
===================================================================
--- gcc/config/rs6000/rs6000.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/rs6000/rs6000.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -2186,8 +2186,16 @@
 	reg_size = UNITS_PER_WORD;
 
       for (m = 0; m < NUM_MACHINE_MODES; ++m)
-	rs6000_class_max_nregs[m][c]
-	  = (GET_MODE_SIZE (m) + reg_size - 1) / reg_size;
+	{
+	  int reg_size2 = reg_size;
+
+	  /* TFmode/TDmode always takes 2 registers, even in VSX.  */
+	  if (m == TDmode || m == TFmode)
+	    reg_size2 = UNITS_PER_FP_WORD;
+
+	  rs6000_class_max_nregs[m][c]
+	    = (GET_MODE_SIZE (m) + reg_size2 - 1) / reg_size2;
+	}
     }
 
   if (TARGET_E500_DOUBLE)
@@ -25913,7 +25921,7 @@
   unsigned int flags = default_section_type_flags (decl, name, reloc);
 
   /* Align to at least UNIT size.  */
-  if (flags & SECTION_CODE || !decl)
+  if ((flags & SECTION_CODE) != 0 || !decl || !DECL_P (decl))
     align = MIN_UNITS_PER_WORD;
   else
     /* Increase alignment of large objects if not already stricter.  */
Index: gcc/config/rs6000/vsx.md
===================================================================
--- gcc/config/rs6000/vsx.md	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/rs6000/vsx.md	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -208,8 +208,8 @@
 
 ;; VSX moves
 (define_insn "*vsx_mov<mode>"
-  [(set (match_operand:VSX_M 0 "nonimmediate_operand" "=Z,<VSr>,<VSr>,?Z,?wa,?wa,*Y,*r,*r,<VSr>,?wa,v,wZ,v")
-	(match_operand:VSX_M 1 "input_operand" "<VSr>,Z,<VSr>,wa,Z,wa,r,Y,r,j,j,W,v,wZ"))]
+  [(set (match_operand:VSX_M 0 "nonimmediate_operand" "=Z,<VSr>,<VSr>,?Z,?wa,?wa,*Y,*r,*r,<VSr>,?wa,*r,v,wZ,v")
+	(match_operand:VSX_M 1 "input_operand" "<VSr>,Z,<VSr>,wa,Z,wa,r,Y,r,j,j,j,W,v,wZ"))]
   "VECTOR_MEM_VSX_P (<MODE>mode)
    && (register_operand (operands[0], <MODE>mode) 
        || register_operand (operands[1], <MODE>mode))"
@@ -239,23 +239,24 @@
     case 6:
     case 7:
     case 8:
+    case 11:
       return "#";
 
     case 9:
     case 10:
       return "xxlxor %x0,%x0,%x0";
 
-    case 11:
+    case 12:
       return output_vec_const_move (operands);
 
-    case 12:
+    case 13:
       gcc_assert (MEM_P (operands[0])
 		  && GET_CODE (XEXP (operands[0], 0)) != PRE_INC
 		  && GET_CODE (XEXP (operands[0], 0)) != PRE_DEC
 		  && GET_CODE (XEXP (operands[0], 0)) != PRE_MODIFY);
       return "stvx %1,%y0";
 
-    case 13:
+    case 14:
       gcc_assert (MEM_P (operands[0])
 		  && GET_CODE (XEXP (operands[0], 0)) != PRE_INC
 		  && GET_CODE (XEXP (operands[0], 0)) != PRE_DEC
@@ -266,7 +267,7 @@
       gcc_unreachable ();
     }
 }
-  [(set_attr "type" "vecstore,vecload,vecsimple,vecstore,vecload,vecsimple,*,*,*,vecsimple,vecsimple,*,vecstore,vecload")])
+  [(set_attr "type" "vecstore,vecload,vecsimple,vecstore,vecload,vecsimple,*,*,*,vecsimple,vecsimple,*,*,vecstore,vecload")])
 
 ;; Unlike other VSX moves, allow the GPRs, since a normal use of TImode is for
 ;; unions.  However for plain data movement, slightly favor the vector loads
Index: gcc/config/rs6000/rs6000.h
===================================================================
--- gcc/config/rs6000/rs6000.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/rs6000/rs6000.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1068,12 +1068,17 @@
 #define HARD_REGNO_NREGS(REGNO, MODE) rs6000_hard_regno_nregs[(MODE)][(REGNO)]
 
 /* When setting up caller-save slots (MODE == VOIDmode) ensure we allocate
-   enough space to account for vectors in FP regs. */
+   enough space to account for vectors in FP regs.  However, TFmode/TDmode
+   should not use VSX instructions to do a caller save. */
 #define HARD_REGNO_CALLER_SAVE_MODE(REGNO, NREGS, MODE)			\
   (TARGET_VSX								\
    && ((MODE) == VOIDmode || ALTIVEC_OR_VSX_VECTOR_MODE (MODE))		\
-   && FP_REGNO_P (REGNO)				\
-   ? V2DFmode						\
+   && FP_REGNO_P (REGNO)						\
+   ? V2DFmode								\
+   : ((MODE) == TFmode && FP_REGNO_P (REGNO))				\
+   ? DFmode								\
+   : ((MODE) == TDmode && FP_REGNO_P (REGNO))				\
+   ? DImode								\
    : choose_hard_reg_mode ((REGNO), (NREGS), false))
 
 #define HARD_REGNO_CALL_PART_CLOBBERED(REGNO, MODE)			\
@@ -1081,7 +1086,8 @@
      && (GET_MODE_SIZE (MODE) > 4)					\
      && INT_REGNO_P (REGNO)) ? 1 : 0)					\
    || (TARGET_VSX && FP_REGNO_P (REGNO)					\
-       && GET_MODE_SIZE (MODE) > 8))
+       && GET_MODE_SIZE (MODE) > 8 && ((MODE) != TDmode) 		\
+       && ((MODE) != TFmode)))
 
 #define VSX_VECTOR_MODE(MODE)		\
 	 ((MODE) == V4SFmode		\
Index: gcc/config/tilepro/tilepro.c
===================================================================
--- gcc/config/tilepro/tilepro.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/tilepro/tilepro.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -4338,10 +4338,7 @@
 int
 tilepro_asm_preferred_eh_data_format (int code ATTRIBUTE_UNUSED, int global)
 {
-  if (flag_pic)
-    return (global ? DW_EH_PE_indirect : 0) | DW_EH_PE_pcrel | DW_EH_PE_sdata4;
-  else
-    return DW_EH_PE_absptr;
+  return (global ? DW_EH_PE_indirect : 0) | DW_EH_PE_pcrel | DW_EH_PE_sdata4;
 }
 
 
Index: gcc/config/tilepro/tilepro.h
===================================================================
--- gcc/config/tilepro/tilepro.h	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/tilepro/tilepro.h	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -268,6 +268,8 @@
 #define INITIAL_ELIMINATION_OFFSET(FROM, TO, OFFSET) \
   ((OFFSET) = tilepro_initial_elimination_offset((FROM),(TO)))
 
+#define PROFILE_BEFORE_PROLOGUE 1
+
 #define FUNCTION_PROFILER(FILE, LABELNO) \
   tilepro_function_profiler (FILE, LABELNO)
 
Index: gcc/config/arm/arm.c
===================================================================
--- gcc/config/arm/arm.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/arm/arm.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -10707,6 +10707,13 @@
 	      || (i != nops - 1 && unsorted_regs[i] == base_reg))
 	    return 0;
 
+          /* Don't allow SP to be loaded unless it is also the base
+             register.  It guarantees that SP is reset correctly when
+             an LDM instruction is interrupted.  Otherwise, we might
+             end up with a corrupt stack.  */
+          if (unsorted_regs[i] == SP_REGNUM && base_reg != SP_REGNUM)
+            return 0;
+
 	  unsorted_offsets[i] = INTVAL (offset);
 	  if (i == 0 || unsorted_offsets[i] < unsorted_offsets[order[0]])
 	    order[0] = i;
@@ -17975,7 +17982,7 @@
 	      "wC12",  "wC13",  "wC14",  "wC15"
 	    };
 
-	  fprintf (stream, wc_reg_names [INTVAL (x)]);
+	  fputs (wc_reg_names [INTVAL (x)], stream);
 	}
       return;
 
Index: gcc/config/arm/neon.md
===================================================================
--- gcc/config/arm/neon.md	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/arm/neon.md	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1721,80 +1721,144 @@
 (define_expand "vcond<mode><mode>"
   [(set (match_operand:VDQW 0 "s_register_operand" "")
 	(if_then_else:VDQW
-	  (match_operator 3 "arm_comparison_operator"
+	  (match_operator 3 "comparison_operator"
 	    [(match_operand:VDQW 4 "s_register_operand" "")
 	     (match_operand:VDQW 5 "nonmemory_operand" "")])
 	  (match_operand:VDQW 1 "s_register_operand" "")
 	  (match_operand:VDQW 2 "s_register_operand" "")))]
   "TARGET_NEON && (!<Is_float_mode> || flag_unsafe_math_optimizations)"
 {
-  rtx mask;
-  int inverse = 0, immediate_zero = 0;
-  /* See the description of "magic" bits in the 'T' case of
-     arm_print_operand.  */
   HOST_WIDE_INT magic_word = (<MODE>mode == V2SFmode || <MODE>mode == V4SFmode)
 			     ? 3 : 1;
   rtx magic_rtx = GEN_INT (magic_word);
-  
-  mask = gen_reg_rtx (<V_cmp_result>mode);
-  
-  if (operands[5] == CONST0_RTX (<MODE>mode))
-    immediate_zero = 1;
-  else if (!REG_P (operands[5]))
-    operands[5] = force_reg (<MODE>mode, operands[5]);
-  
+  int inverse = 0;
+  int swap_bsl_operands = 0;
+  rtx mask = gen_reg_rtx (<V_cmp_result>mode);
+  rtx tmp = gen_reg_rtx (<V_cmp_result>mode);
+
+  rtx (*base_comparison) (rtx, rtx, rtx, rtx);
+  rtx (*complimentary_comparison) (rtx, rtx, rtx, rtx);
+
   switch (GET_CODE (operands[3]))
     {
     case GE:
-      emit_insn (gen_neon_vcge<mode> (mask, operands[4], operands[5],
-				      magic_rtx));
+    case LE:
+    case EQ:
+      if (!REG_P (operands[5])
+	  && (operands[5] != CONST0_RTX (<MODE>mode)))
+	operands[5] = force_reg (<MODE>mode, operands[5]);
       break;
-    
+    default:
+      if (!REG_P (operands[5]))
+	operands[5] = force_reg (<MODE>mode, operands[5]);
+    }
+
+  switch (GET_CODE (operands[3]))
+    {
+    case LT:
+    case UNLT:
+      inverse = 1;
+      /* Fall through.  */
+    case GE:
+    case UNGE:
+    case ORDERED:
+    case UNORDERED:
+      base_comparison = gen_neon_vcge<mode>;
+      complimentary_comparison = gen_neon_vcgt<mode>;
+      break;
+    case LE:
+    case UNLE:
+      inverse = 1;
+      /* Fall through.  */
     case GT:
-      emit_insn (gen_neon_vcgt<mode> (mask, operands[4], operands[5],
-				      magic_rtx));
+    case UNGT:
+      base_comparison = gen_neon_vcgt<mode>;
+      complimentary_comparison = gen_neon_vcge<mode>;
       break;
-    
     case EQ:
-      emit_insn (gen_neon_vceq<mode> (mask, operands[4], operands[5],
-				      magic_rtx));
+    case NE:
+    case UNEQ:
+      base_comparison = gen_neon_vceq<mode>;
+      complimentary_comparison = gen_neon_vceq<mode>;
       break;
-    
+    default:
+      gcc_unreachable ();
+    }
+
+  switch (GET_CODE (operands[3]))
+    {
+    case LT:
     case LE:
-      if (immediate_zero)
-	emit_insn (gen_neon_vcle<mode> (mask, operands[4], operands[5],
-					magic_rtx));
+    case GT:
+    case GE:
+    case EQ:
+      /* The easy case.  Here we emit one of vcge, vcgt or vceq.
+	 As a LT b <=> b GE a && a LE b <=> b GT a.  Our transformations are:
+	 a GE b -> a GE b
+	 a GT b -> a GT b
+	 a LE b -> b GE a
+	 a LT b -> b GT a
+	 a EQ b -> a EQ b  */
+
+      if (!inverse)
+	emit_insn (base_comparison (mask, operands[4], operands[5], magic_rtx));
       else
-	emit_insn (gen_neon_vcge<mode> (mask, operands[5], operands[4],
-					magic_rtx));
+	emit_insn (complimentary_comparison (mask, operands[5], operands[4], magic_rtx));
       break;
-    
-    case LT:
-      if (immediate_zero)
-	emit_insn (gen_neon_vclt<mode> (mask, operands[4], operands[5],
-					magic_rtx));
+    case UNLT:
+    case UNLE:
+    case UNGT:
+    case UNGE:
+    case NE:
+      /* Vector compare returns false for lanes which are unordered, so if we use
+	 the inverse of the comparison we actually want to emit, then
+	 swap the operands to BSL, we will end up with the correct result.
+	 Note that a NE NaN and NaN NE b are true for all a, b.
+
+	 Our transformations are:
+	 a GE b -> !(b GT a)
+	 a GT b -> !(b GE a)
+	 a LE b -> !(a GT b)
+	 a LT b -> !(a GE b)
+	 a NE b -> !(a EQ b)  */
+
+      if (inverse)
+	emit_insn (base_comparison (mask, operands[4], operands[5], magic_rtx));
       else
-	emit_insn (gen_neon_vcgt<mode> (mask, operands[5], operands[4],
-					magic_rtx));
+	emit_insn (complimentary_comparison (mask, operands[5], operands[4], magic_rtx));
+
+      swap_bsl_operands = 1;
       break;
-    
-    case NE:
-      emit_insn (gen_neon_vceq<mode> (mask, operands[4], operands[5],
-				      magic_rtx));
-      inverse = 1;
+    case UNEQ:
+      /* We check (a > b ||  b > a).  combining these comparisons give us
+	 true iff !(a != b && a ORDERED b), swapping the operands to BSL
+	 will then give us (a == b ||  a UNORDERED b) as intended.  */
+
+      emit_insn (gen_neon_vcgt<mode> (mask, operands[4], operands[5], magic_rtx));
+      emit_insn (gen_neon_vcgt<mode> (tmp, operands[5], operands[4], magic_rtx));
+      emit_insn (gen_ior<v_cmp_result>3 (mask, mask, tmp));
+      swap_bsl_operands = 1;
       break;
-    
+    case UNORDERED:
+       /* Operands are ORDERED iff (a > b || b >= a).
+	 Swapping the operands to BSL will give the UNORDERED case.  */
+     swap_bsl_operands = 1;
+     /* Fall through.  */
+    case ORDERED:
+      emit_insn (gen_neon_vcgt<mode> (tmp, operands[4], operands[5], magic_rtx));
+      emit_insn (gen_neon_vcge<mode> (mask, operands[5], operands[4], magic_rtx));
+      emit_insn (gen_ior<v_cmp_result>3 (mask, mask, tmp));
+      break;
     default:
       gcc_unreachable ();
     }
-  
-  if (inverse)
+
+  if (swap_bsl_operands)
     emit_insn (gen_neon_vbsl<mode> (operands[0], mask, operands[2],
 				    operands[1]));
   else
     emit_insn (gen_neon_vbsl<mode> (operands[0], mask, operands[1],
 				    operands[2]));
-
   DONE;
 })
 
Index: gcc/config/arm/iterators.md
===================================================================
--- gcc/config/arm/iterators.md	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/arm/iterators.md	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -314,6 +314,12 @@
                                 (V2SF "V2SI") (V4SF  "V4SI")
                                 (DI   "DI")   (V2DI  "V2DI")])
 
+(define_mode_attr v_cmp_result [(V8QI "v8qi") (V16QI "v16qi")
+				(V4HI "v4hi") (V8HI  "v8hi")
+				(V2SI "v2si") (V4SI  "v4si")
+				(DI   "di")   (V2DI  "v2di")
+				(V2SF "v2si") (V4SF  "v4si")])
+
 ;; Get element type from double-width mode, for operations where we 
 ;; don't care about signedness.
 (define_mode_attr V_if_elem [(V8QI "i8")  (V16QI "i8")
Index: gcc/config/arm/t-rtems-eabi
===================================================================
--- gcc/config/arm/t-rtems-eabi	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/arm/t-rtems-eabi	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,8 +1,47 @@
 # Custom RTEMS EABI multilibs
 
-MULTILIB_OPTIONS    = mthumb march=armv6-m/march=armv7/march=armv7-m
-MULTILIB_DIRNAMES   = thumb armv6-m armv7 armv7-m
-MULTILIB_EXCEPTIONS = march=armv6-m march=armv7 march=armv7-m
-MULTILIB_MATCHES    =
-MULTILIB_EXCLUSIONS =
-MULTILIB_OSDIRNAMES =
+MULTILIB_OPTIONS  = mthumb march=armv6-m/march=armv7-a/march=armv7-r/march=armv7-m mfpu=neon mfloat-abi=hard
+MULTILIB_DIRNAMES = thumb armv6-m armv7-a armv7-r armv7-m neon hard
+
+# Enumeration of multilibs
+
+MULTILIB_EXCEPTIONS =
+MULTILIB_EXCEPTIONS += mthumb/march=armv6-m/mfpu=neon/mfloat-abi=hard
+MULTILIB_EXCEPTIONS += mthumb/march=armv6-m/mfpu=neon
+MULTILIB_EXCEPTIONS += mthumb/march=armv6-m/mfloat-abi=hard
+# MULTILIB_EXCEPTIONS += mthumb/march=armv6-m
+# MULTILIB_EXCEPTIONS += mthumb/march=armv7-a/mfpu=neon/mfloat-abi=hard
+MULTILIB_EXCEPTIONS += mthumb/march=armv7-a/mfpu=neon
+MULTILIB_EXCEPTIONS += mthumb/march=armv7-a/mfloat-abi=hard
+# MULTILIB_EXCEPTIONS += mthumb/march=armv7-a
+MULTILIB_EXCEPTIONS += mthumb/march=armv7-r/mfpu=neon/mfloat-abi=hard
+MULTILIB_EXCEPTIONS += mthumb/march=armv7-r/mfpu=neon
+MULTILIB_EXCEPTIONS += mthumb/march=armv7-r/mfloat-abi=hard
+# MULTILIB_EXCEPTIONS += mthumb/march=armv7-r
+MULTILIB_EXCEPTIONS += mthumb/march=armv7-m/mfpu=neon/mfloat-abi=hard
+MULTILIB_EXCEPTIONS += mthumb/march=armv7-m/mfpu=neon
+MULTILIB_EXCEPTIONS += mthumb/march=armv7-m/mfloat-abi=hard
+# MULTILIB_EXCEPTIONS += mthumb/march=armv7-m
+MULTILIB_EXCEPTIONS += mthumb/mfpu=neon/mfloat-abi=hard
+MULTILIB_EXCEPTIONS += mthumb/mfpu=neon
+MULTILIB_EXCEPTIONS += mthumb/mfloat-abi=hard
+# MULTILIB_EXCEPTIONS += mthumb
+MULTILIB_EXCEPTIONS += march=armv6-m/mfpu=neon/mfloat-abi=hard
+MULTILIB_EXCEPTIONS += march=armv6-m/mfpu=neon
+MULTILIB_EXCEPTIONS += march=armv6-m/mfloat-abi=hard
+MULTILIB_EXCEPTIONS += march=armv6-m
+MULTILIB_EXCEPTIONS += march=armv7-a/mfpu=neon/mfloat-abi=hard
+MULTILIB_EXCEPTIONS += march=armv7-a/mfpu=neon
+MULTILIB_EXCEPTIONS += march=armv7-a/mfloat-abi=hard
+MULTILIB_EXCEPTIONS += march=armv7-a
+MULTILIB_EXCEPTIONS += march=armv7-r/mfpu=neon/mfloat-abi=hard
+MULTILIB_EXCEPTIONS += march=armv7-r/mfpu=neon
+MULTILIB_EXCEPTIONS += march=armv7-r/mfloat-abi=hard
+MULTILIB_EXCEPTIONS += march=armv7-r
+MULTILIB_EXCEPTIONS += march=armv7-m/mfpu=neon/mfloat-abi=hard
+MULTILIB_EXCEPTIONS += march=armv7-m/mfpu=neon
+MULTILIB_EXCEPTIONS += march=armv7-m/mfloat-abi=hard
+MULTILIB_EXCEPTIONS += march=armv7-m
+MULTILIB_EXCEPTIONS += mfpu=neon/mfloat-abi=hard
+MULTILIB_EXCEPTIONS += mfpu=neon
+MULTILIB_EXCEPTIONS += mfloat-abi=hard
Index: gcc/config/pa/pa.c
===================================================================
--- gcc/config/pa/pa.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/pa/pa.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -792,7 +792,9 @@
 	  /* Extract CODE_LABEL.  */
 	  orig = XEXP (orig, 0);
 	  add_reg_note (insn, REG_LABEL_OPERAND, orig);
-	  LABEL_NUSES (orig)++;
+	  /* Make sure we have label and not a note.  */
+	  if (LABEL_P (orig))
+	    LABEL_NUSES (orig)++;
 	}
       crtl->uses_pic_offset_table = 1;
       return reg;
Index: gcc/config/v850/t-rtems
===================================================================
--- gcc/config/v850/t-rtems	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/config/v850/t-rtems	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,7 @@
 # Custom multilibs for RTEMS
 
+MULTILIB_OPTIONS  = mv850/mv850e/mv850e2/mv850e2v3
+MULTILIB_DIRNAMES = v850 v850e v850e2 v850e2v3
+MULTILIB_MATCHES  = mv850e=mv850e1 
+
 MULTILIB_MATCHES  += mv850e=mv850es
Index: gcc/params.def
===================================================================
--- gcc/params.def	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/params.def	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -376,7 +376,7 @@
 DEFPARAM (PARAM_ALIGN_THRESHOLD,
 	  "align-threshold",
 	  "Select fraction of the maximal frequency of executions of basic block in function given basic block get alignment",
-	  100, 0, 0)
+	  100, 1, 0)
 
 DEFPARAM (PARAM_ALIGN_LOOP_ITERATIONS,
 	  "align-loop-iterations",
@@ -433,7 +433,7 @@
 DEFPARAM(PARAM_MIN_CROSSJUMP_INSNS,
      "min-crossjump-insns",
      "The minimum number of matching instructions to consider for crossjumping",
-     5, 0, 0)
+     5, 1, 0)
 
 /* The maximum number expansion factor when copying basic blocks.  */
 DEFPARAM(PARAM_MAX_GROW_COPY_BB_INSNS,
@@ -451,7 +451,7 @@
 DEFPARAM(PARAM_MAX_CSE_PATH_LENGTH,
 	 "max-cse-path-length",
 	 "The maximum length of path considered in cse",
-	 10, 0, 0)
+	 10, 1, 0)
 DEFPARAM(PARAM_MAX_CSE_INSNS,
 	 "max-cse-insns",
 	 "The maximum instructions CSE process before flushing",
Index: gcc/regcprop.c
===================================================================
--- gcc/regcprop.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ gcc/regcprop.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1015,6 +1015,13 @@
 	  EXECUTE_IF_SET_IN_HARD_REG_SET (regs_invalidated_by_call, 0, regno, hrsi)
 	    if (regno < set_regno || regno >= set_regno + set_nregs)
 	      kill_value_regno (regno, 1, vd);
+
+	  /* If SET was seen in CALL_INSN_FUNCTION_USAGE, and SET_SRC
+	     of the SET isn't in regs_invalidated_by_call hard reg set,
+	     but instead among CLOBBERs on the CALL_INSN, we could wrongly
+	     assume the value in it is still live.  */
+	  if (ksvd.ignore_set_reg)
+	    note_stores (PATTERN (insn), kill_clobbered_value, vd);
 	}
 
       /* Notice stores.  */
Index: libgfortran/ChangeLog
===================================================================
--- libgfortran/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libgfortran/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,70 @@
+2013-04-28  Jerry DeLisle  <jvdelisle@gcc.gnu.org>
+
+	Backport from mainline:
+	2013-03-20  Tilo Schwarz  <tilo@tilo-schwarz.de>
+
+	PR libfortran/51825
+	* io/list_read.c (nml_read_obj): Don't end the component loop on a
+	nested derived type, but continue with the next loop iteration.
+	(nml_get_obj_data): Don't move the first_nl pointer further in the
+	list if a qualifier was found.
+
+2013-04-28  Jerry DeLisle  <jvdelisle@gcc.gnu.org>
+
+	Backport from mainline:
+
+	PR libfortran/56786
+	* io/list_read.c (nml_parse_qualifier): Remove spurious next_char call
+	when checking for EOF. Use error return mechanism when EOF detected.
+	Do not return FAILURE unless parse_err_msg and parse_err_msg_size have
+	been set. Use hit_eof.
+	(nml_get_obj_data): Likewise use the correct error mechanism.
+	* io/transfer.c (hit_eof): Do not set AFTER_ENDFILE if in namelist
+	mode.
+
+2013-04-27  Jerry DeLisle  <jvdelisle@gcc.gnu.org>
+
+	Backport from mainline:
+	2013-03-25  Tilo Schwarz  <tilo@tilo-schwarz.de>
+
+	PR libfortran/52512
+	* io/list_read.c (nml_parse_qualifier): To check for a derived type
+	don't use the namelist head element type but the current element type.
+	(nml_get_obj_data): Add current namelist element type to
+	nml_parse_qualifier call.
+
+2013-04-02  Tobias Burnus  <burnus@net-b.de>
+
+	Backport from mainline:
+	2013-03-28  Tobias Burnus  <burnus@net-b.de>
+
+	PR fortran/56735
+	* io/list_read.c (nml_query): Only abort when
+	an error occured.
+	(namelist_read): Add goto instead of falling through.
+
+2013-04-02  Tobias Burnus  <burnus@net-b.de>
+
+	Backport from mainline:
+	2013-03-29  Tobias Burnus  <burnus@net-b.de>
+
+	PR fortran/56737
+	* io/format.c (parse_format): With caching, copy
+	dtp->format string.
+	(save_parsed_format): Use dtp->format directly without
+	copying.
+
+	2012-03-29  Tobias Burnus  <burnus@net-b.de>
+
+	PR fortran/56737
+	* io/format.c (parse_format_list): Also cache FMT_STRING.
+	(parse_format): Update call.
+
+2013-03-24  Tobias Burnus  <burnus@net-b.de>
+
+	PR fortran/56696
+	* io/list_read.c (read_real): Fix EOF diagnostic.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
Index: libgfortran/io/list_read.c
===================================================================
--- libgfortran/io/list_read.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libgfortran/io/list_read.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1433,7 +1433,6 @@
       goto got_sign;
 
     CASE_SEPARATORS:
-    case EOF:
       unget_char (dtp, c);		/* Single null.  */
       eat_separator (dtp);
       return;
@@ -2054,8 +2053,8 @@
 
 static try
 nml_parse_qualifier (st_parameter_dt *dtp, descriptor_dimension *ad,
-		     array_loop_spec *ls, int rank, char *parse_err_msg,
-		     size_t parse_err_msg_size,
+		     array_loop_spec *ls, int rank, bt nml_elem_type,
+		     char *parse_err_msg, size_t parse_err_msg_size,
 		     int *parsed_rank)
 {
   int dim;
@@ -2079,7 +2078,7 @@
   /* The next character in the stream should be the '('.  */
 
   if ((c = next_char (dtp)) == EOF)
-    return FAILURE;
+    goto err_ret;
 
   /* Process the qualifier, by dimension and triplet.  */
 
@@ -2093,7 +2092,7 @@
 
 	  /* Process a potential sign.  */
 	  if ((c = next_char (dtp)) == EOF)
-	    return FAILURE;
+	    goto err_ret;
 	  switch (c)
 	    {
 	    case '-':
@@ -2111,11 +2110,12 @@
 	  /* Process characters up to the next ':' , ',' or ')'.  */
 	  for (;;)
 	    {
-	      if ((c = next_char (dtp)) == EOF)
-		return FAILURE;
-
+	      c = next_char (dtp);
 	      switch (c)
 		{
+		case EOF:
+		  goto err_ret;
+
 		case ':':
                   is_array_section = 1;
 		  break;
@@ -2138,10 +2138,8 @@
 		  push_char (dtp, c);
 		  continue;
 
-		case ' ': case '\t':
+		case ' ': case '\t': case '\r': case '\n':
 		  eat_spaces (dtp);
-		  if ((c = next_char (dtp) == EOF))
-		    return FAILURE;
 		  break;
 
 		default:
@@ -2230,7 +2228,7 @@
 		      do not allow excess data to be processed.  */
 		  if (is_array_section == 1
 		      || !(compile_options.allow_std & GFC_STD_GNU)
-		      || dtp->u.p.ionml->type == BT_DERIVED)
+		      || nml_elem_type == BT_DERIVED)
 		    ls[dim].end = ls[dim].start;
 		  else
 		    dtp->u.p.expanded_read = 1;
@@ -2283,6 +2281,15 @@
 
 err_ret:
 
+  /* The EOF error message is issued by hit_eof. Return true so that the
+     caller does not use parse_err_msg and parse_err_msg_size to generate
+     an unrelated error message.  */
+  if (c == EOF)
+    {
+      hit_eof (dtp);
+      dtp->u.p.input_complete = 1;
+      return SUCCESS;
+    }
   return FAILURE;
 }
 
@@ -2381,11 +2388,11 @@
   index_type len;
   char * p;
 #ifdef HAVE_CRLF
-  static const index_type endlen = 3;
+  static const index_type endlen = 2;
   static const char endl[] = "\r\n";
   static const char nmlend[] = "&end\r\n";
 #else
-  static const index_type endlen = 2;
+  static const index_type endlen = 1;
   static const char endl[] = "\n";
   static const char nmlend[] = "&end\n";
 #endif
@@ -2415,12 +2422,12 @@
 	  /* "&namelist_name\n"  */
 
 	  len = dtp->namelist_name_len;
-	  p = write_block (dtp, len + endlen);
+	  p = write_block (dtp, len - 1 + endlen);
           if (!p)
             goto query_return;
 	  memcpy (p, "&", 1);
 	  memcpy ((char*)(p + 1), dtp->namelist_name, len);
-	  memcpy ((char*)(p + len + 1), &endl, endlen - 1);
+	  memcpy ((char*)(p + len + 1), &endl, endlen);
 	  for (nl = dtp->u.p.ionml; nl; nl = nl->next)
 	    {
 	      /* " var_name\n"  */
@@ -2431,14 +2438,15 @@
 		goto query_return;
 	      memcpy (p, " ", 1);
 	      memcpy ((char*)(p + 1), nl->var_name, len);
-	      memcpy ((char*)(p + len + 1), &endl, endlen - 1);
+	      memcpy ((char*)(p + len + 1), &endl, endlen);
 	    }
 
 	  /* "&end\n"  */
 
-          p = write_block (dtp, endlen + 3);
+          p = write_block (dtp, endlen + 4);
+	  if (!p)
 	    goto query_return;
-          memcpy (p, &nmlend, endlen + 3);
+          memcpy (p, &nmlend, endlen + 4);
 	}
 
       /* Flush the stream to force immediate output.  */
@@ -2578,17 +2586,17 @@
 	       since a single object can have multiple reads.  */
 	    dtp->u.p.expanded_read = 0;
 
-	    /* Now loop over the components. Update the component pointer
-	       with the return value from nml_write_obj.  This loop jumps
-	       past nested derived types by testing if the potential
-	       component name contains '%'.  */
+	    /* Now loop over the components.  */
 
 	    for (cmp = nl->next;
 		 cmp &&
-		   !strncmp (cmp->var_name, obj_name, obj_name_len) &&
-		   !strchr (cmp->var_name + obj_name_len, '%');
+		   !strncmp (cmp->var_name, obj_name, obj_name_len);
 		 cmp = cmp->next)
 	      {
+		/* Jump over nested derived type by testing if the potential
+		   component name contains '%'.  */
+		if (strchr (cmp->var_name + obj_name_len, '%'))
+		    continue;
 
 		if (nml_read_obj (dtp, cmp, (index_type)(pdata - nl->mem_pos),
 				  pprev_nl, nml_err_msg, nml_err_msg_size,
@@ -2751,12 +2759,12 @@
     return SUCCESS;
 
   if ((c = next_char (dtp)) == EOF)
-    return FAILURE;
+    goto nml_err_ret;
   switch (c)
     {
     case '=':
       if ((c = next_char (dtp)) == EOF)
-	return FAILURE;
+	goto nml_err_ret;
       if (c != '?')
 	{
 	  snprintf (nml_err_msg, nml_err_msg_size, 
@@ -2806,8 +2814,9 @@
       if (!is_separator (c))
 	push_char (dtp, tolower(c));
       if ((c = next_char (dtp)) == EOF)
-	return FAILURE;
-    } while (!( c=='=' || c==' ' || c=='\t' || c =='(' || c =='%' ));
+	goto nml_err_ret;
+    }
+  while (!( c=='=' || c==' ' || c=='\t' || c =='(' || c =='%' ));
 
   unget_char (dtp, c);
 
@@ -2867,7 +2876,7 @@
     {
       parsed_rank = 0;
       if (nml_parse_qualifier (dtp, nl->dim, nl->ls, nl->var_rank,
-			       nml_err_msg, nml_err_msg_size, 
+			       nl->type, nml_err_msg, nml_err_msg_size,
 			       &parsed_rank) == FAILURE)
 	{
 	  char *nml_err_msg_end = strchr (nml_err_msg, '\0');
@@ -2882,7 +2891,7 @@
       qualifier_flag = 1;
 
       if ((c = next_char (dtp)) == EOF)
-	return FAILURE;
+	goto nml_err_ret;
       unget_char (dtp, c);
     }
   else if (nl->var_rank > 0)
@@ -2901,14 +2910,15 @@
 	  goto nml_err_ret;
 	}
 
-      if (*pprev_nl == NULL || !component_flag)
+      /* Don't move first_nl further in the list if a qualifier was found.  */
+      if ((*pprev_nl == NULL && !qualifier_flag) || !component_flag)
 	first_nl = nl;
 
       root_nl = nl;
 
       component_flag = 1;
       if ((c = next_char (dtp)) == EOF)
-	return FAILURE;
+	goto nml_err_ret;
       goto get_name;
     }
 
@@ -2923,8 +2933,8 @@
       descriptor_dimension chd[1] = { {1, clow, nl->string_length} };
       array_loop_spec ind[1] = { {1, clow, nl->string_length, 1} };
 
-      if (nml_parse_qualifier (dtp, chd, ind, -1, nml_err_msg, 
-			       nml_err_msg_size, &parsed_rank)
+      if (nml_parse_qualifier (dtp, chd, ind, -1, nl->type,
+			       nml_err_msg, nml_err_msg_size, &parsed_rank)
 	  == FAILURE)
 	{
 	  char *nml_err_msg_end = strchr (nml_err_msg, '\0');
@@ -2946,7 +2956,7 @@
 	}
 
       if ((c = next_char (dtp)) == EOF)
-	return FAILURE;
+	goto nml_err_ret;
       unget_char (dtp, c);
     }
 
@@ -2986,7 +2996,7 @@
     return SUCCESS;
 
   if ((c = next_char (dtp)) == EOF)
-    return FAILURE;
+    goto nml_err_ret;
 
   if (c != '=')
     {
@@ -3021,6 +3031,17 @@
 
 nml_err_ret:
 
+  /* The EOF error message is issued by hit_eof. Return true so that the
+     caller does not use nml_err_msg and nml_err_msg_size to generate
+     an unrelated error message.  */
+  if (c == EOF)
+    {
+      dtp->u.p.input_complete = 1;
+      unget_char (dtp, c);
+      hit_eof (dtp);
+      return SUCCESS;
+    }
+
   return FAILURE;
 }
 
@@ -3073,6 +3094,7 @@
 
     case '?':
       nml_query (dtp, '?');
+      goto find_nml_name;
 
     case EOF:
       return;
Index: libgfortran/io/transfer.c
===================================================================
--- libgfortran/io/transfer.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libgfortran/io/transfer.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -3840,7 +3840,7 @@
       case NO_ENDFILE:
       case AT_ENDFILE:
         generate_error (&dtp->common, LIBERROR_END, NULL);
-	if (!is_internal_unit (dtp))
+	if (!is_internal_unit (dtp) && !dtp->u.p.namelist_mode)
 	  {
 	    dtp->u.p.current_unit->endfile = AFTER_ENDFILE;
 	    dtp->u.p.current_unit->current_record = 0;
Index: libgfortran/io/format.c
===================================================================
--- libgfortran/io/format.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libgfortran/io/format.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -149,8 +149,7 @@
   u->format_hash_table[hash].hashed_fmt = NULL;
 
   free (u->format_hash_table[hash].key);
-  u->format_hash_table[hash].key = xmalloc (dtp->format_len);
-  memcpy (u->format_hash_table[hash].key, dtp->format, dtp->format_len);
+  u->format_hash_table[hash].key = dtp->format;
 
   u->format_hash_table[hash].key_len = dtp->format_len;
   u->format_hash_table[hash].hashed_fmt = dtp->u.p.fmt;
@@ -588,16 +587,15 @@
  * parenthesis node which contains the rest of the list. */
 
 static fnode *
-parse_format_list (st_parameter_dt *dtp, bool *save_ok, bool *seen_dd)
+parse_format_list (st_parameter_dt *dtp, bool *seen_dd)
 {
   fnode *head, *tail;
   format_token t, u, t2;
   int repeat;
   format_data *fmt = dtp->u.p.fmt;
-  bool saveit, seen_data_desc = false;
+  bool seen_data_desc = false;
 
   head = tail = NULL;
-  saveit = *save_ok;
 
   /* Get the next format item */
  format_item:
@@ -614,7 +612,7 @@
 	}
       get_fnode (fmt, &head, &tail, FMT_LPAREN);
       tail->repeat = -2;  /* Signifies unlimited format.  */
-      tail->u.child = parse_format_list (dtp, &saveit, &seen_data_desc);
+      tail->u.child = parse_format_list (dtp, &seen_data_desc);
       if (fmt->error != NULL)
 	goto finished;
       if (!seen_data_desc)
@@ -633,7 +631,7 @@
 	case FMT_LPAREN:
 	  get_fnode (fmt, &head, &tail, FMT_LPAREN);
 	  tail->repeat = repeat;
-	  tail->u.child = parse_format_list (dtp, &saveit, &seen_data_desc);
+	  tail->u.child = parse_format_list (dtp, &seen_data_desc);
 	  *seen_dd = seen_data_desc;
 	  if (fmt->error != NULL)
 	    goto finished;
@@ -661,7 +659,7 @@
     case FMT_LPAREN:
       get_fnode (fmt, &head, &tail, FMT_LPAREN);
       tail->repeat = 1;
-      tail->u.child = parse_format_list (dtp, &saveit, &seen_data_desc);
+      tail->u.child = parse_format_list (dtp, &seen_data_desc);
       *seen_dd = seen_data_desc;
       if (fmt->error != NULL)
 	goto finished;
@@ -725,8 +723,6 @@
       goto between_desc;
 
     case FMT_STRING:
-      /* TODO: Find out why it is necessary to turn off format caching.  */
-      saveit = false;
       get_fnode (fmt, &head, &tail, FMT_STRING);
       tail->u.string.p = fmt->string;
       tail->u.string.length = fmt->value;
@@ -1106,8 +1102,6 @@
 
  finished:
 
-  *save_ok = saveit;
-  
   return head;
 }
 
@@ -1224,6 +1218,13 @@
 
   /* Not found so proceed as follows.  */
 
+  if (format_cache_ok)
+    {
+      char *fmt_string = xmalloc (dtp->format_len);
+      memcpy (fmt_string, dtp->format, dtp->format_len);
+      dtp->format = fmt_string;
+    }
+
   dtp->u.p.fmt = fmt = xmalloc (sizeof (format_data));
   fmt->format_string = dtp->format;
   fmt->format_string_len = dtp->format_len;
@@ -1250,14 +1251,15 @@
   fmt->avail++;
 
   if (format_lex (fmt) == FMT_LPAREN)
-    fmt->array.array[0].u.child = parse_format_list (dtp, &format_cache_ok,
-						     &seen_data_desc);
+    fmt->array.array[0].u.child = parse_format_list (dtp, &seen_data_desc);
   else
     fmt->error = "Missing initial left parenthesis in format";
 
   if (fmt->error)
     {
       format_error (dtp, NULL, fmt->error);
+      if (format_cache_ok)
+	free (dtp->format);
       free_format_hash_table (dtp->u.p.current_unit);
       return;
     }
Index: Makefile.def
===================================================================
--- Makefile.def	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ Makefile.def	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -138,7 +138,7 @@
                    missing=maintainer-clean; };
 target_modules = { module= winsup; };
 target_modules = { module= libgloss; no_check=true; };
-target_modules = { module= libffi; };
+target_modules = { module= libffi; no_install=true; };
 target_modules = { module= libjava; raw_cxx=true;
                    extra_configure_flags="$(EXTRA_CONFIGARGS_LIBJAVA)"; };
 target_modules = { module= zlib; };
Index: libffi/Makefile.in
===================================================================
--- libffi/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libffi/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -66,14 +66,11 @@
 @PA_HPUX_TRUE@am__append_29 = src/pa/hpux32.S src/pa/ffi.c
 @TILE_TRUE@am__append_30 = src/tile/tile.S src/tile/ffi.c
 subdir = .
-DIST_COMMON = README $(am__configure_deps) $(srcdir)/../compile \
-	$(srcdir)/../config.guess $(srcdir)/../config.sub \
-	$(srcdir)/../depcomp $(srcdir)/../install-sh \
-	$(srcdir)/../ltmain.sh $(srcdir)/../missing \
-	$(srcdir)/../mkinstalldirs $(srcdir)/Makefile.am \
-	$(srcdir)/Makefile.in $(srcdir)/doc/stamp-vti \
-	$(srcdir)/doc/version.texi $(srcdir)/fficonfig.h.in \
-	$(top_srcdir)/configure ChangeLog mdate-sh
+DIST_COMMON = README ChangeLog $(srcdir)/Makefile.in \
+	$(srcdir)/Makefile.am $(top_srcdir)/configure \
+	$(am__configure_deps) $(srcdir)/fficonfig.h.in \
+	$(srcdir)/../mkinstalldirs $(srcdir)/../depcomp mdate-sh \
+	$(srcdir)/doc/version.texi $(srcdir)/doc/stamp-vti
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
 	$(top_srcdir)/../config/asmcfi.m4 \
@@ -217,7 +214,6 @@
 SOURCES = $(libffi_la_SOURCES) $(nodist_libffi_la_SOURCES) \
 	$(libffi_convenience_la_SOURCES) \
 	$(nodist_libffi_convenience_la_SOURCES)
-DIST_SOURCES = $(libffi_la_SOURCES) $(libffi_convenience_la_SOURCES)
 MULTISRCTOP = 
 MULTIBUILDTOP = 
 MULTIDIRS = 
@@ -246,47 +242,10 @@
 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
   distclean-recursive maintainer-clean-recursive
 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
-	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
-	distdir dist dist-all distcheck
+	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS
 ETAGS = etags
 CTAGS = ctags
 DIST_SUBDIRS = $(SUBDIRS)
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-distdir = $(PACKAGE)-$(VERSION)
-top_distdir = $(distdir)
-am__remove_distdir = \
-  { test ! -d "$(distdir)" \
-    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
-         && rm -fr "$(distdir)"; }; }
-am__relativize = \
-  dir0=`pwd`; \
-  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
-  sed_rest='s,^[^/]*/*,,'; \
-  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
-  sed_butlast='s,/*[^/]*$$,,'; \
-  while test -n "$$dir1"; do \
-    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
-    if test "$$first" != "."; then \
-      if test "$$first" = ".."; then \
-        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
-        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
-      else \
-        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
-        if test "$$first2" = "$$first"; then \
-          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
-        else \
-          dir2="../$$dir2"; \
-        fi; \
-        dir0="$$dir0"/"$$first"; \
-      fi; \
-    fi; \
-    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
-  done; \
-  reldir="$$dir2"
-DIST_ARCHIVES = $(distdir).tar.gz
-GZIP_ENV = --best
-distuninstallcheck_listfiles = find . -type f -print
-distcleancheck_listfiles = find . -type f -print
 ACLOCAL = @ACLOCAL@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
@@ -1446,185 +1405,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	$(am__remove_distdir)
-	test -d "$(distdir)" || mkdir "$(distdir)"
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
-	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
-	  if test "$$subdir" = .; then :; else \
-	    test -d "$(distdir)/$$subdir" \
-	    || $(MKDIR_P) "$(distdir)/$$subdir" \
-	    || exit 1; \
-	  fi; \
-	done
-	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
-	  if test "$$subdir" = .; then :; else \
-	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
-	    $(am__relativize); \
-	    new_distdir=$$reldir; \
-	    dir1=$$subdir; dir2="$(top_distdir)"; \
-	    $(am__relativize); \
-	    new_top_distdir=$$reldir; \
-	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
-	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
-	    ($(am__cd) $$subdir && \
-	      $(MAKE) $(AM_MAKEFLAGS) \
-	        top_distdir="$$new_top_distdir" \
-	        distdir="$$new_distdir" \
-		am__remove_distdir=: \
-		am__skip_length_check=: \
-		am__skip_mode_fix=: \
-	        distdir) \
-	      || exit 1; \
-	  fi; \
-	done
-	$(MAKE) $(AM_MAKEFLAGS) \
-	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
-	  dist-info
-	-test -n "$(am__skip_mode_fix)" \
-	|| find "$(distdir)" -type d ! -perm -755 \
-		-exec chmod u+rwx,go+rx {} \; -o \
-	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
-	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
-	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
-	|| chmod -R a+r "$(distdir)"
-dist-gzip: distdir
-	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
-	$(am__remove_distdir)
-
-dist-bzip2: distdir
-	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
-	$(am__remove_distdir)
-
-dist-lzma: distdir
-	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
-	$(am__remove_distdir)
-
-dist-xz: distdir
-	tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
-	$(am__remove_distdir)
-
-dist-tarZ: distdir
-	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
-	$(am__remove_distdir)
-
-dist-shar: distdir
-	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
-	$(am__remove_distdir)
-
-dist-zip: distdir
-	-rm -f $(distdir).zip
-	zip -rq $(distdir).zip $(distdir)
-	$(am__remove_distdir)
-
-dist dist-all: distdir
-	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
-	$(am__remove_distdir)
-
-# This target untars the dist file and tries a VPATH configuration.  Then
-# it guarantees that the distribution is self-contained by making another
-# tarfile.
-distcheck: dist
-	case '$(DIST_ARCHIVES)' in \
-	*.tar.gz*) \
-	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
-	*.tar.bz2*) \
-	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
-	*.tar.lzma*) \
-	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
-	*.tar.xz*) \
-	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
-	*.tar.Z*) \
-	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
-	*.shar.gz*) \
-	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
-	*.zip*) \
-	  unzip $(distdir).zip ;;\
-	esac
-	chmod -R a-w $(distdir); chmod a+w $(distdir)
-	mkdir $(distdir)/_build
-	mkdir $(distdir)/_inst
-	chmod a-w $(distdir)
-	test -d $(distdir)/_build || exit 0; \
-	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
-	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
-	  && am__cwd=`pwd` \
-	  && $(am__cd) $(distdir)/_build \
-	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
-	    $(DISTCHECK_CONFIGURE_FLAGS) \
-	  && $(MAKE) $(AM_MAKEFLAGS) \
-	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
-	  && $(MAKE) $(AM_MAKEFLAGS) check \
-	  && $(MAKE) $(AM_MAKEFLAGS) install \
-	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
-	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
-	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
-	        distuninstallcheck \
-	  && chmod -R a-w "$$dc_install_base" \
-	  && ({ \
-	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
-	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
-	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
-	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
-	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
-	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
-	  && rm -rf "$$dc_destdir" \
-	  && $(MAKE) $(AM_MAKEFLAGS) dist \
-	  && rm -rf $(DIST_ARCHIVES) \
-	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
-	  && cd "$$am__cwd" \
-	  || exit 1
-	$(am__remove_distdir)
-	@(echo "$(distdir) archives ready for distribution: "; \
-	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
-	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
-distuninstallcheck:
-	@$(am__cd) '$(distuninstallcheck_dir)' \
-	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
-	   || { echo "ERROR: files left after uninstall:" ; \
-	        if test -n "$(DESTDIR)"; then \
-	          echo "  (check DESTDIR support)"; \
-	        fi ; \
-	        $(distuninstallcheck_listfiles) ; \
-	        exit 1; } >&2
-distcleancheck: distclean
-	@if test '$(srcdir)' = . ; then \
-	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
-	  exit 1 ; \
-	fi
-	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
-	  || { echo "ERROR: files left in build directory after distclean:" ; \
-	       $(distcleancheck_listfiles) ; \
-	       exit 1; } >&2
 check-am: all-am
 check: check-recursive
 all-am: Makefile $(INFO_DEPS) $(LTLIBRARIES) all-multi fficonfig.h \
@@ -1865,16 +1645,14 @@
 	all all-am all-local all-multi am--refresh check check-am \
 	clean clean-aminfo clean-generic clean-libtool clean-multi \
 	clean-noinstLTLIBRARIES clean-toolexeclibLTLIBRARIES ctags \
-	ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-info \
-	dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
-	distclean distclean-compile distclean-generic distclean-hdr \
-	distclean-libtool distclean-multi distclean-tags \
-	distcleancheck distdir distuninstallcheck dvi dvi-am html \
-	html-am info info-am install install-am install-data \
-	install-data-am install-dvi install-dvi-am install-exec \
-	install-exec-am install-html install-html-am install-info \
-	install-info-am install-man install-multi install-pdf \
-	install-pdf-am install-ps install-ps-am install-strip \
+	ctags-recursive dist-info distclean distclean-compile \
+	distclean-generic distclean-hdr distclean-libtool \
+	distclean-multi distclean-tags dvi dvi-am html html-am info \
+	info-am install install-am install-data install-data-am \
+	install-dvi install-dvi-am install-exec install-exec-am \
+	install-html install-html-am install-info install-info-am \
+	install-man install-multi install-pdf install-pdf-am \
+	install-ps install-ps-am install-strip \
 	install-toolexeclibLTLIBRARIES installcheck installcheck-am \
 	installdirs installdirs-am maintainer-clean \
 	maintainer-clean-aminfo maintainer-clean-generic \
Index: libffi/include/Makefile.in
===================================================================
--- libffi/include/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libffi/include/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -36,7 +36,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = include
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
 	$(srcdir)/ffi.h.in $(toollibffi_HEADERS)
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
@@ -56,7 +56,6 @@
 CONFIG_CLEAN_FILES = ffi.h ffitarget.h
 CONFIG_CLEAN_VPATH_FILES =
 SOURCES =
-DIST_SOURCES =
 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
 am__vpath_adj = case $$p in \
     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
@@ -82,7 +81,6 @@
 HEADERS = $(toollibffi_HEADERS)
 ETAGS = etags
 CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
@@ -332,37 +330,6 @@
 
 distclean-tags:
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(HEADERS)
@@ -466,17 +433,16 @@
 
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool ctags distclean distclean-generic \
-	distclean-libtool distclean-tags distdir dvi dvi-am html \
-	html-am info info-am install install-am install-data \
-	install-data-am install-dvi install-dvi-am install-exec \
-	install-exec-am install-html install-html-am install-info \
-	install-info-am install-man install-pdf install-pdf-am \
-	install-ps install-ps-am install-strip \
-	install-toollibffiHEADERS installcheck installcheck-am \
-	installdirs maintainer-clean maintainer-clean-generic \
-	mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
-	ps ps-am tags uninstall uninstall-am \
-	uninstall-toollibffiHEADERS
+	distclean-libtool distclean-tags dvi dvi-am html html-am info \
+	info-am install install-am install-data install-data-am \
+	install-dvi install-dvi-am install-exec install-exec-am \
+	install-html install-html-am install-info install-info-am \
+	install-man install-pdf install-pdf-am install-ps \
+	install-ps-am install-strip install-toollibffiHEADERS \
+	installcheck installcheck-am installdirs maintainer-clean \
+	maintainer-clean-generic mostlyclean mostlyclean-generic \
+	mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
+	uninstall-am uninstall-toollibffiHEADERS
 
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: libffi/ChangeLog
===================================================================
--- libffi/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libffi/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,22 @@
+2013-05-22  Dominique d'Humieres  <dominiq@lps.ens.fr>
+	    Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>
+
+	PR libffi/56033
+	* testsuite/libffi.call/cls_struct_va1.c (test_fn): Cast resp to
+	ffi_arg *.
+	* testsuite/libffi.call/cls_uint_va.c (cls_ret_T_fn): Likewise.
+	* testsuite/libffi.call/va_1.c (main): Change res to ffi_arg.
+	* testsuite/libffi.call/va_struct1.c (main): Likewise.
+
+2013-03-22  Jakub Jelinek  <jakub@redhat.com>
+
+	PR other/43620
+	* configure.ac (AM_INIT_AUTOMAKE): Add no-dist.
+	* Makefile.in: Regenerated.
+	* include/Makefile.in: Regenerated.
+	* man/Makefile.in: Regenerated.
+	* testsuite/Makefile.in: Regenerated.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
Index: libffi/testsuite/Makefile.in
===================================================================
--- libffi/testsuite/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libffi/testsuite/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -35,7 +35,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = testsuite
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
 	$(top_srcdir)/../config/asmcfi.m4 \
@@ -54,10 +54,8 @@
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
 SOURCES =
-DIST_SOURCES =
 DEJATOOL = $(PACKAGE)
 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
@@ -350,37 +348,6 @@
 	-l='$(DEJATOOL)'; for tool in $$l; do \
 	  rm -f $$tool.sum $$tool.log; \
 	done
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 	$(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU
 check: check-am
@@ -482,8 +449,8 @@
 
 .PHONY: all all-am check check-DEJAGNU check-am clean clean-generic \
 	clean-libtool distclean distclean-DEJAGNU distclean-generic \
-	distclean-libtool distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
+	distclean-libtool dvi dvi-am html html-am info info-am install \
+	install-am install-data install-data-am install-dvi \
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-pdf install-pdf-am install-ps install-ps-am \
Index: libffi/testsuite/libffi.call/va_struct1.c
===================================================================
--- libffi/testsuite/libffi.call/va_struct1.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libffi/testsuite/libffi.call/va_struct1.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -61,7 +61,7 @@
   struct large_tag l1;
 
   int n;
-  int res;
+  ffi_arg res;
 
   s_type.size = 0;
   s_type.alignment = 0;
Index: libffi/testsuite/libffi.call/cls_uint_va.c
===================================================================
--- libffi/testsuite/libffi.call/cls_uint_va.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libffi/testsuite/libffi.call/cls_uint_va.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -13,9 +13,9 @@
 static void cls_ret_T_fn(ffi_cif* cif __UNUSED__, void* resp, void** args,
 			 void* userdata __UNUSED__)
  {
-   *(T *)resp = *(T *)args[0];
+   *(ffi_arg *)resp = *(T *)args[0];
 
-   printf("%d: %d %d\n", *(T *)resp, *(T *)args[0], *(T *)args[1]);
+   printf("%d: %d %d\n", (int)*(ffi_arg *)resp, *(T *)args[0], *(T *)args[1]);
  }
 
 typedef T (*cls_ret_T)(T, ...);
Index: libffi/testsuite/libffi.call/va_1.c
===================================================================
--- libffi/testsuite/libffi.call/va_1.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libffi/testsuite/libffi.call/va_1.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -94,7 +94,7 @@
   struct large_tag l1;
 
   int n;
-  int res;
+  ffi_arg res;
 
   unsigned char uc;
   signed char sc;
Index: libffi/testsuite/libffi.call/cls_struct_va1.c
===================================================================
--- libffi/testsuite/libffi.call/cls_struct_va1.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libffi/testsuite/libffi.call/cls_struct_va1.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -35,7 +35,7 @@
   printf ("%d %d %d %d %d %d %d %d %d %d\n", n, s1.a, s1.b,
 	  l1.a, l1.b, l1.c, l1.d, l1.e,
 	  s2.a, s2.b);
-  * (int*) resp = 42;
+  * (ffi_arg*) resp = 42;
 }
 
 int
Index: libffi/configure.ac
===================================================================
--- libffi/configure.ac	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libffi/configure.ac	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -12,7 +12,7 @@
 
 . ${srcdir}/configure.host
 
-AM_INIT_AUTOMAKE
+AM_INIT_AUTOMAKE([no-dist])
 
 # See if makeinfo has been installed and is modern enough
 # that we can use it.
Index: libffi/man/Makefile.in
===================================================================
--- libffi/man/Makefile.in	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libffi/man/Makefile.in	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -35,7 +35,7 @@
 host_triplet = @host@
 target_triplet = @target@
 subdir = man
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
 	$(top_srcdir)/../config/asmcfi.m4 \
@@ -54,7 +54,6 @@
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
 SOURCES =
-DIST_SOURCES =
 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
 am__vpath_adj = case $$p in \
     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
@@ -80,7 +79,6 @@
 am__installdirs = "$(DESTDIR)$(man3dir)"
 NROFF = nroff
 MANS = $(man_MANS)
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ALLOCA = @ALLOCA@
 AMTAR = @AMTAR@
@@ -295,50 +293,6 @@
 ctags: CTAGS
 CTAGS:
 
-
-distdir: $(DISTFILES)
-	@list='$(MANS)'; if test -n "$$list"; then \
-	  list=`for p in $$list; do \
-	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
-	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
-	  if test -n "$$list" && \
-	    grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
-	    echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
-	    grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
-	    echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
-	    echo "       typically \`make maintainer-clean' will remove them" >&2; \
-	    exit 1; \
-	  else :; fi; \
-	else :; fi
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
 check-am: all-am
 check: check-am
 all-am: Makefile $(MANS)
@@ -442,16 +396,16 @@
 .MAKE: install-am install-strip
 
 .PHONY: all all-am check check-am clean clean-generic clean-libtool \
-	distclean distclean-generic distclean-libtool distdir dvi \
-	dvi-am html html-am info info-am install install-am \
-	install-data install-data-am install-dvi install-dvi-am \
-	install-exec install-exec-am install-html install-html-am \
-	install-info install-info-am install-man install-man3 \
-	install-pdf install-pdf-am install-ps install-ps-am \
-	install-strip installcheck installcheck-am installdirs \
-	maintainer-clean maintainer-clean-generic mostlyclean \
-	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
-	uninstall uninstall-am uninstall-man uninstall-man3
+	distclean distclean-generic distclean-libtool dvi dvi-am html \
+	html-am info info-am install install-am install-data \
+	install-data-am install-dvi install-dvi-am install-exec \
+	install-exec-am install-html install-html-am install-info \
+	install-info-am install-man install-man3 install-pdf \
+	install-pdf-am install-ps install-ps-am install-strip \
+	installcheck installcheck-am installdirs maintainer-clean \
+	maintainer-clean-generic mostlyclean mostlyclean-generic \
+	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
+	uninstall-man uninstall-man3
 
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: libcpp/configure
===================================================================
--- libcpp/configure	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libcpp/configure	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -7153,6 +7153,7 @@
 	aarch64*-*-* | \
 	alpha*-*-* | \
 	arm*-*-*eabi* | \
+	arm*-*-rtems* | \
 	arm*-*-symbianelf* | \
 	x86_64-*-* | \
 	ia64-*-* | \
Index: libcpp/ChangeLog
===================================================================
--- libcpp/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libcpp/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,9 @@
+2013-04-03  Sebastian Huber  <sebastian.huber@embedded-brains.de>
+
+	PR target/56771
+	* configure.ac: Require 64-bit int for arm*-*-rtems*.
+	* configure: Regenerate.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
Index: libcpp/configure.ac
===================================================================
--- libcpp/configure.ac	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libcpp/configure.ac	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -185,6 +185,7 @@
 	aarch64*-*-* | \
 	alpha*-*-* | \
 	arm*-*-*eabi* | \
+	arm*-*-rtems* | \
 	arm*-*-symbianelf* | \
 	x86_64-*-* | \
 	ia64-*-* | \
Index: libcpp/po/ChangeLog
===================================================================
--- libcpp/po/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libcpp/po/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,11 @@
+2013-03-30  Joseph Myers  <joseph@codesourcery.com>
+
+	* vi.po: Update.
+
+2013-03-27  Joseph Myers  <joseph@codesourcery.com>
+
+	* zh_TW.po: Update.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
Index: libcpp/po/vi.po
===================================================================
--- libcpp/po/vi.po	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libcpp/po/vi.po	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -6,10 +6,10 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: cpplib-4.8-b20130224\n"
+"Project-Id-Version: cpplib-4.8.0\n"
 "Report-Msgid-Bugs-To: http://gcc.gnu.org/bugs.html\n"
-"POT-Creation-Date: 2013-02-24 01:05+0000\n"
-"PO-Revision-Date: 2013-02-27 14:17+0700\n"
+"POT-Creation-Date: 2013-03-15 17:42+0000\n"
+"PO-Revision-Date: 2013-03-29 14:34+0700\n"
 "Last-Translator: Trần Ngọc Quân <vnwildman@gmail.com>\n"
 "Language-Team: Vietnamese <translation-team-vi@lists.sourceforge.net>\n"
 "Language: vi\n"
@@ -28,7 +28,7 @@
 
 #: charset.c:676
 msgid "iconv_open"
-msgstr "iconv_open (mở)"
+msgstr "iconv_open"
 
 #: charset.c:684
 #, c-format
@@ -383,7 +383,7 @@
 
 #: directives.c:2139
 msgid "missing ')' to complete answer"
-msgstr "thiếu “)” để xong trả lời"
+msgstr "thiếu “)” để hoàn tất câu trả lời"
 
 #: directives.c:2159
 msgid "predicate's answer is empty"
@@ -402,7 +402,7 @@
 msgid "\"%s\" re-asserted"
 msgstr "“%s” được khẳng định lại"
 
-#: directives.c:2566
+#: directives.c:2567
 #, c-format
 msgid "unterminated #%s"
 msgstr "#%s chưa chấm dứt"
@@ -574,39 +574,39 @@
 msgid "division by zero in #if"
 msgstr "chia cho số không trong #if (nếu)"
 
-#: files.c:504
+#: files.c:505
 msgid "NULL directory in find_file"
 msgstr "thư mục RỖNG trong “find_file”  (tìm tập tin)"
 
-#: files.c:542
+#: files.c:553
 msgid "one or more PCH files were found, but they were invalid"
 msgstr "tìm thấy một hay nhiều tập tin PCH, nhưng chúng không hợp lệ"
 
-#: files.c:545
+#: files.c:556
 msgid "use -Winvalid-pch for more information"
-msgstr "hãy thử lệnh “-Winvalid-pch” để tìm thấy thông tin thêm"
+msgstr "hãy thử lệnh “-Winvalid-pch” để tìm thấy thêm thông tin cần thiết"
 
-#: files.c:643
+#: files.c:660
 #, c-format
 msgid "%s is a block device"
 msgstr "%s là một thiết bị khối"
 
-#: files.c:660
+#: files.c:677
 #, c-format
 msgid "%s is too large"
 msgstr "%s quá lớn"
 
-#: files.c:700
+#: files.c:717
 #, c-format
 msgid "%s is shorter than expected"
 msgstr "%s ngắn hơn mong đợi"
 
-#: files.c:935
+#: files.c:953
 #, c-format
 msgid "no include path in which to search for %s"
 msgstr "không có đường dẫn bao gồm trong đó có thể tìm kiếm %s"
 
-#: files.c:1363
+#: files.c:1381
 msgid "Multiple include guards may be useful for:\n"
 msgstr "Nhiều bộ bảo vệ bao gồm có lẽ hiệu ích cho :\n"
 
@@ -655,12 +655,12 @@
 #: lex.c:931
 #, c-format
 msgid "trigraph ??%c converted to %c"
-msgstr "chữ ba “??%c” đã được chuyển đổi thành “%c”"
+msgstr "bộ ba “??%c” đã được chuyển đổi thành “%c”"
 
 #: lex.c:939
 #, c-format
 msgid "trigraph ??%c ignored, use -trigraphs to enable"
-msgstr "chữ ba “??%c” bị bỏ qua nên hãy sử dụng tùy chọn “-trigraphs” (chữ ba) để hiệu lực nó"
+msgstr "bộ ba “??%c” bị bỏ qua nên hãy sử dụng tùy chọn “-trigraphs” (bộ ba) để hiệu lực nó"
 
 #: lex.c:988
 msgid "\"/*\" within comment"
@@ -867,36 +867,36 @@
 msgid "invalid hash type %d in cpp_macro_definition"
 msgstr "gặp kiểu băm không hợp lệ %d trong “cpp_macro_definition” (lời định nghĩa vĩ lệnh)"
 
-#: pch.c:87 pch.c:335 pch.c:347 pch.c:365 pch.c:371 pch.c:380 pch.c:387
+#: pch.c:87 pch.c:345 pch.c:359 pch.c:377 pch.c:383 pch.c:392 pch.c:399
 msgid "while writing precompiled header"
 msgstr "trong khi ghi đầu trang biên dịch sẵn"
 
-#: pch.c:607
+#: pch.c:619
 #, c-format
 msgid "%s: not used because `%.*s' is poisoned"
 msgstr "%s: không được dùng vì “%.*s” không còn tin cậy lại (bị dữ liệu sai thay thế)"
 
-#: pch.c:629
+#: pch.c:641
 #, c-format
 msgid "%s: not used because `%.*s' not defined"
 msgstr "%s: không được dùng vì chưa định nghĩa “%.*s”"
 
-#: pch.c:641
+#: pch.c:653
 #, c-format
 msgid "%s: not used because `%.*s' defined as `%s' not `%.*s'"
 msgstr "%s: không được dùng vì “%.*s” đã được định nghĩa là “%s” không phải “%.*s”"
 
-#: pch.c:682
+#: pch.c:694
 #, c-format
 msgid "%s: not used because `%s' is defined"
 msgstr "%s: không được dùng vì “%s” đã được định nghĩa"
 
-#: pch.c:702
+#: pch.c:714
 #, c-format
 msgid "%s: not used because `__COUNTER__' is invalid"
 msgstr "%s: không được dùng vì “__COUNTER__” không hợp lệ"
 
-#: pch.c:711 pch.c:886
+#: pch.c:723 pch.c:898
 msgid "while reading precompiled header"
 msgstr "trong khi đọc đầu trang biên dịch sẵn"
 
Index: libcpp/po/zh_TW.po
===================================================================
--- libcpp/po/zh_TW.po	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libcpp/po/zh_TW.po	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,16 +1,16 @@
 # Traditional Chinese translation for cpplib.
 # Copyright (C) 2005 Free Software Foundation, Inc.
-# This file is distributed under the same license as the cpplib package.
+# This file is distributed under the same license as the gcc package.
 # Meng Jie <zuxyhere@eastday.com>, 2005.
-# Wei-Lun Chao <chaoweilun@pcmail.com.tw>, 2006.
+# Wei-Lun Chao <bluebat@member.fsf.org>, 2006, 2013.
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: cpplib 4.1.0\n"
+"Project-Id-Version: cpplib 4.8.0\n"
 "Report-Msgid-Bugs-To: http://gcc.gnu.org/bugs.html\n"
-"POT-Creation-Date: 2013-02-24 01:05+0000\n"
-"PO-Revision-Date: 2006-03-09 12:37+0800\n"
-"Last-Translator: Wei-Lun Chao <chaoweilun@pcmail.com.tw>\n"
+"POT-Creation-Date: 2013-03-15 17:42+0000\n"
+"PO-Revision-Date: 2013-03-27 23:37+0800\n"
+"Last-Translator: Wei-Lun Chao <bluebat@member.fsf.org>\n"
 "Language-Team: Chinese (traditional) <zh-l10n@linux.org.tw>\n"
 "Language: zh_TW\n"
 "MIME-Version: 1.0\n"
@@ -122,10 +122,9 @@
 msgstr "非 ISO 標準的逸出序列，「\\%c」"
 
 #: charset.c:1320
-#, fuzzy, c-format
-#| msgid "unknown escape sequence '\\%c'"
+#, c-format
 msgid "unknown escape sequence: '\\%c'"
-msgstr "不明的逸出序列：「\\%c」"
+msgstr "不明的逸出序列：『\\%c』"
 
 #: charset.c:1328
 #, c-format
@@ -164,10 +163,9 @@
 msgstr "#%s 是 GCC 擴充功能"
 
 #: directives.c:362
-#, fuzzy, c-format
-#| msgid "#%s is a GCC extension"
+#, c-format
 msgid "#%s is a deprecated GCC extension"
-msgstr "#%s 是 GCC 擴充功能"
+msgstr "#%s 是不宜再用的 GCC 擴充功能"
 
 #: directives.c:375
 msgid "suggest not using #elif in traditional C"
@@ -248,7 +246,7 @@
 
 #: directives.c:909
 msgid "unexpected end of file after #line"
-msgstr ""
+msgstr "#line 之後未預期的檔案結束"
 
 #: directives.c:912
 #, c-format
@@ -272,7 +270,7 @@
 #: directives.c:1068 directives.c:1070 directives.c:1072 directives.c:1658
 #, c-format
 msgid "%s"
-msgstr ""
+msgstr "%s"
 
 #: directives.c:1096
 #, c-format
@@ -282,18 +280,17 @@
 #: directives.c:1159
 #, c-format
 msgid "registering pragmas in namespace \"%s\" with mismatched name expansion"
-msgstr ""
+msgstr "以不匹配的名稱擴展去註冊命名空間「%s」中的編譯指示"
 
 #: directives.c:1168
-#, fuzzy, c-format
-#| msgid "registering \"%s\" as both a pragma and a pragma namespace"
+#, c-format
 msgid "registering pragma \"%s\" with name expansion and no namespace"
-msgstr "「%s」既被註冊為一個 pragma 又被註冊為一個 pragma 命名空間"
+msgstr "以名稱擴展以及無命名空間去註冊編譯指示「%s」"
 
 #: directives.c:1186
 #, c-format
 msgid "registering \"%s\" as both a pragma and a pragma namespace"
-msgstr "「%s」既被註冊為一個 pragma 又被註冊為一個 pragma 命名空間"
+msgstr "「%s」既被註冊為一個編譯指示又被註冊為一個編譯指示命名空間"
 
 #: directives.c:1189
 #, c-format
@@ -307,23 +304,19 @@
 
 #: directives.c:1222
 msgid "registering pragma with NULL handler"
-msgstr ""
+msgstr "以空值處理常式去註冊編譯指示"
 
 #: directives.c:1439
 msgid "#pragma once in main file"
-msgstr "#pragma once 出現在主檔案中"
+msgstr "#pragma 出現在主檔案中一次"
 
 #: directives.c:1462
-#, fuzzy
-#| msgid "invalid #pragma GCC poison directive"
 msgid "invalid #pragma push_macro directive"
-msgstr "無效的 #pragma GCC poison 指令"
+msgstr "無效的 #pragma push_macro 指令"
 
 #: directives.c:1517
-#, fuzzy
-#| msgid "invalid #pragma GCC poison directive"
 msgid "invalid #pragma pop_macro directive"
-msgstr "無效的 #pragma GCC poison 指令"
+msgstr "無效的 #pragma pop_macro 指令"
 
 #: directives.c:1572
 msgid "invalid #pragma GCC poison directive"
@@ -349,10 +342,9 @@
 msgstr "目前檔案早於 %s"
 
 #: directives.c:1653
-#, fuzzy, c-format
-#| msgid "invalid #pragma GCC poison directive"
+#, c-format
 msgid "invalid \"#pragma GCC %s\" directive"
-msgstr "無效的 #pragma GCC poison 指令"
+msgstr "無效的 #pragma GCC %s 指令"
 
 #: directives.c:1847
 msgid "_Pragma takes a parenthesized string literal"
@@ -407,7 +399,7 @@
 msgid "\"%s\" re-asserted"
 msgstr "已再判定「%s」"
 
-#: directives.c:2566
+#: directives.c:2567
 #, c-format
 msgid "unterminated #%s"
 msgstr "未終止的 #%s"
@@ -426,16 +418,12 @@
 msgstr "%s：%s"
 
 #: expr.c:479 expr.c:577
-#, fuzzy
-#| msgid "imaginary constants are a GCC extension"
 msgid "fixed-point constants are a GCC extension"
-msgstr "虛數常數是一個 GCC 擴充功能"
+msgstr "定點常數是一個 GCC 擴充功能"
 
 #: expr.c:504
-#, fuzzy
-#| msgid "invalid suffix \"%.*s\" on floating constant"
 msgid "invalid prefix \"0b\" for floating constant"
-msgstr "浮點常數的「%.*s」字尾無效"
+msgstr "無效的浮點常數前綴「0b」"
 
 #: expr.c:514
 msgid "use of C99 hexadecimal floating constant"
@@ -452,22 +440,17 @@
 msgstr "傳統 C 不接受「%.*s」字尾"
 
 #: expr.c:564
-#, fuzzy
-#| msgid "imaginary constants are a GCC extension"
 msgid "suffix for double constant is a GCC extension"
-msgstr "虛數常數是一個 GCC 擴充功能"
+msgstr "雙倍精度常數字尾是 GCC 的擴充功能"
 
 #: expr.c:570
-#, fuzzy, c-format
-#| msgid "invalid suffix \"%.*s\" on floating constant"
+#, c-format
 msgid "invalid suffix \"%.*s\" with hexadecimal floating constant"
-msgstr "浮點常數的「%.*s」字尾無效"
+msgstr "無效的十六進位浮點常數字尾「%.*s」"
 
 #: expr.c:581
-#, fuzzy
-#| msgid "imaginary constants are a GCC extension"
 msgid "decimal float constants are a GCC extension"
-msgstr "虛數常數是一個 GCC 擴充功能"
+msgstr "十進位浮點數常數是 GCC 的擴充功能"
 
 #: expr.c:599
 #, c-format
@@ -475,10 +458,8 @@
 msgstr "整數常數的「%.*s」字尾無效"
 
 #: expr.c:624
-#, fuzzy
-#| msgid "use of C99 long long integer constant"
 msgid "use of C++0x long long integer constant"
-msgstr "使用 C99 long long 整數常數"
+msgstr "使用 C++0x long long 整數常數"
 
 #: expr.c:625
 msgid "use of C99 long long integer constant"
@@ -486,13 +467,11 @@
 
 #: expr.c:641
 msgid "imaginary constants are a GCC extension"
-msgstr "虛數常數是一個 GCC 擴充功能"
+msgstr "虛數常數是 GCC 的擴充功能"
 
 #: expr.c:644
-#, fuzzy
-#| msgid "imaginary constants are a GCC extension"
 msgid "binary constants are a GCC extension"
-msgstr "虛數常數是一個 GCC 擴充功能"
+msgstr "二進位常數是 GCC 的擴充功能"
 
 #: expr.c:737
 msgid "integer constant is too large for its type"
@@ -520,10 +499,8 @@
 msgstr "使用「defined」可能不利於移植"
 
 #: expr.c:948
-#, fuzzy
-#| msgid "integer overflow in preprocessor expression"
 msgid "user-defined literal in preprocessor expression"
-msgstr "預先處理運算式中整數溢出"
+msgstr "在前置處理器運算式中有使用者定義的實字"
 
 #: expr.c:953
 msgid "floating constant in preprocessor expression"
@@ -539,20 +516,17 @@
 msgstr "「%s」未定義"
 
 #: expr.c:1020
-#, fuzzy
-#| msgid "#%s is a GCC extension"
 msgid "assertions are a GCC extension"
-msgstr "#%s 是 GCC 擴充功能"
+msgstr "assertions 是 GCC 的擴充功能"
 
 #: expr.c:1023
 msgid "assertions are a deprecated extension"
-msgstr ""
+msgstr "assertions 是不宜再用的擴充功能"
 
 #: expr.c:1268
-#, fuzzy, c-format
-#| msgid "unbalanced stack in #if"
+#, c-format
 msgid "unbalanced stack in %s"
-msgstr "#if 中不平衡的堆疊"
+msgstr "%s 中的堆疊不平衡"
 
 #: expr.c:1288
 #, c-format
@@ -597,39 +571,39 @@
 msgid "division by zero in #if"
 msgstr "#if 中用零做除數"
 
-#: files.c:504
+#: files.c:505
 msgid "NULL directory in find_file"
 msgstr "find_file 中有 NULL 目錄"
 
-#: files.c:542
+#: files.c:553
 msgid "one or more PCH files were found, but they were invalid"
 msgstr "找到一個或多個 PCH 檔案，但它們是無效的"
 
-#: files.c:545
+#: files.c:556
 msgid "use -Winvalid-pch for more information"
 msgstr "使用 -Winvalid-pch 以獲得更多資訊"
 
-#: files.c:643
+#: files.c:660
 #, c-format
 msgid "%s is a block device"
 msgstr "%s 是一個區塊裝置"
 
-#: files.c:660
+#: files.c:677
 #, c-format
 msgid "%s is too large"
 msgstr "%s 過大"
 
-#: files.c:700
+#: files.c:717
 #, c-format
 msgid "%s is shorter than expected"
 msgstr "%s 短於預期"
 
-#: files.c:935
+#: files.c:953
 #, c-format
 msgid "no include path in which to search for %s"
 msgstr "沒有包含路徑可供搜尋 %s"
 
-#: files.c:1363
+#: files.c:1381
 msgid "Multiple include guards may be useful for:\n"
 msgstr "多個防止重包含可能對其有用：\n"
 
@@ -720,37 +694,33 @@
 #: lex.c:1178 lex.c:1255
 #, c-format
 msgid "identifier \"%s\" is a special operator name in C++"
-msgstr ""
+msgstr "識別碼「%s」在 C++ 中是特殊運算子名稱"
 
 #: lex.c:1399
 msgid "raw string delimiter longer than 16 characters"
-msgstr ""
+msgstr "原始字串分隔符號長度超過 16 字元"
 
 #: lex.c:1402
-#, fuzzy, c-format
-#| msgid "universal character %.*s is not valid in an identifier"
+#, c-format
 msgid "invalid character '%c' in raw string delimiter"
-msgstr "萬國碼字元 %.*s 在識別字中無效"
+msgstr "無效字元『%c』出現於原始字串分隔符號"
 
 #: lex.c:1525 lex.c:1547
-#, fuzzy
-#| msgid "unterminated #%s"
 msgid "unterminated raw string"
-msgstr "未終止的 #%s"
+msgstr "未終結的原始字串"
 
 #: lex.c:1573 lex.c:1706
 msgid "invalid suffix on literal; C++11 requires a space between literal and identifier"
-msgstr ""
+msgstr "無效的實字後綴；C++11 要求一個空白位在實字和識別字之間"
 
 #: lex.c:1684
 msgid "null character(s) preserved in literal"
 msgstr "空字元將保留在原文中"
 
 #: lex.c:1687
-#, fuzzy, c-format
-#| msgid "missing terminating > character"
+#, c-format
 msgid "missing terminating %c character"
-msgstr "缺少結尾的 > 字元"
+msgstr "缺少終止 %c 字元"
 
 #: lex.c:2245
 msgid "C++ style comments are not allowed in ISO C90"
@@ -780,10 +750,8 @@
 msgstr "無效的內建巨集「%s」"
 
 #: macro.c:263
-#, fuzzy
-#| msgid "could not determine date and time"
 msgid "could not determine file timestamp"
-msgstr "無法決定日期與時間"
+msgstr "無法決定檔案時間戳記"
 
 #: macro.c:361
 msgid "could not determine date and time"
@@ -791,7 +759,7 @@
 
 #: macro.c:377
 msgid "__COUNTER__ expanded inside directive with -fdirectives-only"
-msgstr ""
+msgstr "__COUNTER__ 以 -fdirectives-only 在指令內部展開"
 
 #: macro.c:535
 msgid "invalid string literal, ignoring final '\\'"
@@ -829,7 +797,7 @@
 #: macro.c:1746
 #, c-format
 msgid "invoking macro %s argument %d: empty macro arguments are undefined in ISO C90 and ISO C++98"
-msgstr ""
+msgstr "調用巨集 %s 引數 %d：空的巨集引數在 ISO C90 和 ISO C++98 中未定義"
 
 #: macro.c:2708
 #, c-format
@@ -896,38 +864,36 @@
 msgid "invalid hash type %d in cpp_macro_definition"
 msgstr "cpp_macro_definition 中有無效的雜湊類型 %d"
 
-#: pch.c:87 pch.c:335 pch.c:347 pch.c:365 pch.c:371 pch.c:380 pch.c:387
+#: pch.c:87 pch.c:345 pch.c:359 pch.c:377 pch.c:383 pch.c:392 pch.c:399
 msgid "while writing precompiled header"
 msgstr "在寫入預先編譯標頭時"
 
-#: pch.c:607
-#, fuzzy, c-format
-#| msgid "%s: not used because `%s' is defined"
+#: pch.c:619
+#, c-format
 msgid "%s: not used because `%.*s' is poisoned"
-msgstr "%s：未使用，因為「%s」已定義"
+msgstr "%s：未使用因為『%.*s』是有害的"
 
-#: pch.c:629
+#: pch.c:641
 #, c-format
 msgid "%s: not used because `%.*s' not defined"
 msgstr "%s：未使用，因為「%.*s」未定義"
 
-#: pch.c:641
+#: pch.c:653
 #, c-format
 msgid "%s: not used because `%.*s' defined as `%s' not `%.*s'"
 msgstr "%s：未使用，因為「%.*s」被定義為「%s」而非「%*.s」"
 
-#: pch.c:682
+#: pch.c:694
 #, c-format
 msgid "%s: not used because `%s' is defined"
 msgstr "%s：未使用，因為「%s」已定義"
 
-#: pch.c:702
-#, fuzzy, c-format
-#| msgid "%s: not used because `%s' is defined"
+#: pch.c:714
+#, c-format
 msgid "%s: not used because `__COUNTER__' is invalid"
-msgstr "%s：未使用，因為「%s」已定義"
+msgstr "%s：未使用因為『__COUNTER__』無效"
 
-#: pch.c:711 pch.c:886
+#: pch.c:723 pch.c:898
 msgid "while reading precompiled header"
 msgstr "在讀取預先編譯標頭時"
 
@@ -939,58 +905,3 @@
 #: traditional.c:968
 msgid "syntax error in macro parameter list"
 msgstr "巨集參數清單語法錯誤"
-
-#~ msgid "warning: "
-#~ msgstr "警告："
-
-#~ msgid "internal error: "
-#~ msgstr "內部錯誤："
-
-#~ msgid "error: "
-#~ msgstr "錯誤："
-
-#~ msgid "too many decimal points in number"
-#~ msgstr "數字中有太多小數點"
-
-#~ msgid "invalid digit \"%c\" in octal constant"
-#~ msgstr "八進位常數中有無效字元「%c」"
-
-#~ msgid "exponent has no digits"
-#~ msgstr "指數部分沒有數字"
-
-#~ msgid "hexadecimal floating constants require an exponent"
-#~ msgstr "十六進位浮點常數需要指數部分"
-
-#~ msgid "missing binary operator before token \"%s\""
-#~ msgstr "識別字「%s」前缺少二元運算子"
-
-#~ msgid "token \"%s\" is not valid in preprocessor expressions"
-#~ msgstr "識別字「%s」在預先處理運算式中無效"
-
-#~ msgid "missing expression between '(' and ')'"
-#~ msgstr "「(」與「)」之間缺少運算式"
-
-#~ msgid "#if with no expression"
-#~ msgstr "#if 後沒有運算式"
-
-#~ msgid "operator '%s' has no right operand"
-#~ msgstr "運算子「%s」沒有右運算元"
-
-#~ msgid "operator '%s' has no left operand"
-#~ msgstr "運算子「%s」沒有左運算元"
-
-#~ msgid " ':' without preceding '?'"
-#~ msgstr "「:」前沒有「?」"
-
-#~ msgid "no newline at end of file"
-#~ msgstr "檔案未以空白列結束"
-
-#~ msgid "In file included from %s:%u"
-#~ msgstr "在包含自 %s：%u 的檔案中"
-
-#~ msgid ""
-#~ ",\n"
-#~ "                 from %s:%u"
-#~ msgstr ""
-#~ "，\n"
-#~ "                 從 %s：%u"
Index: .
===================================================================
--- .	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ .	(.../branches/gcc-4_8-branch)	(revision 199208)

Property changes on: .
___________________________________________________________________
Added: svn:mergeinfo
   Merged /:r197284
   Merged /trunk:r197180,197284,197677,197951
